BrowserCategory["Introduction to Programming with Mathematica", None, {
BrowserCategory["Preface", None, {
	Item["The Technical Computing Environment", "00Preface.nb", IndexTag->"IPM3.0.1"],
  	Item["The Audience for This Book", "00Preface.nb", IndexTag->"IPM3.0.2"],
  	Item["Changes in the Third Edition", "00Preface.nb", IndexTag->"IPM3.0.3"],
  	Item["How to Use This Book", "00Preface.nb", IndexTag->"IPM3.0.4"],
  	Item["Conventions Used in This Book", "00Preface.nb", IndexTag->"IPM3.0.5"],
  	Item["What Is in This Book", "00Preface.nb", IndexTag->"IPM3.0.6"],
  	Item["Supplemental Packages and Solutions", "00Preface.nb", IndexTag->"IPM3.0.7"],
  	Item["Further Information", "00Preface.nb", IndexTag->"IPM3.0.8"],
  	Item["Colophon", "00Preface.nb", IndexTag->"IPM3.0.9"],
  	Item["Acknowledgments", "00Preface.nb", IndexTag->"IPM3.0.10"]
  	}],
Item[Delimiter],
BrowserCategory["1.  An Introduction to Mathematica", None, {
  	Item["Abstract", "01Introduction.nb", IndexTag->"IPM3.1.0"],
 	Item[Delimiter],
  	BrowserCategory["1.1 A Brief Overview of Mathematica", None, { 
  		Item["Numerical Computations", "01Introduction.nb", IndexTag->"IPM3.1.1.1"],
  		Item["Symbolic Computations", "01Introduction.nb", IndexTag->"IPM3.1.1.2"],
  		Item["Graphics", "01Introduction.nb", IndexTag->"IPM3.1.1.3"],
  		Item["Working with Data", "01Introduction.nb", IndexTag->"IPM3.1.1.4"],
  		Item["Programming", "01Introduction.nb", IndexTag->"IPM3.1.1.5"],
  		Item["Symbolic and Interactive Documents", "01Introduction.nb", IndexTag->"IPM3.1.1.6"]
  		}],
  	BrowserCategory["1.2 Using Mathematica", None, { 
  		Item["Introduction", "01Introduction.nb", IndexTag->"IPM3.1.2.0"],
  		Item["Getting Into and Out of Mathematica", "01Introduction.nb", IndexTag->"IPM3.1.2.1"],
  		Item["The Syntax of Inputs", "01Introduction.nb", IndexTag->"IPM3.1.2.2"],
  		Item["Alternate Input Syntax", "01Introduction.nb", IndexTag->"IPM3.1.2.3"],
  		Item["The Front End and Kernel", "01Introduction.nb", IndexTag->"IPM3.1.2.4"],
  		Item["Errors", "01Introduction.nb", IndexTag->"IPM3.1.2.5"],
  		Item["Getting Help", "01Introduction.nb", IndexTag->"IPM3.1.2.6"],
  		Item["The Help Browser", "01Introduction.nb", IndexTag->"IPM3.1.2.7"]
  		}]
  	}],
(*
BrowserCategory["2.  The Mathematica Language", None, {
  	Item["Abstract", "02Language.nb", IndexTag->"IPM3.2.0"],
 	Item[Delimiter],
  	BrowserCategory["2.1 Expressions", None, { 
  		Item["Introduction", "02Language.nb", IndexTag->"IPM3.2.1.1"],
  		Item["Internal Forms of Expressions", "02Language.nb", IndexTag->"IPM3.2.1.2"],
  		Item["Atoms", "02Language.nb", IndexTag->"IPM3.2.1.3"],
  		Item["The Structure of Expressions", "02Language.nb", IndexTag->"IPM3.2.1.4"],
  		Item[Delimiter],
  		Item["Exercises", "02Language.nb", IndexTag->"IPM3.2.1.5"]
  		}],
  	BrowserCategory["2.2 Definitions", None, { 
  		Item["Defining Variables and Functions", "02Language.nb", IndexTag->"IPM3.2.2.1"],
  		Item["Immediate vs. Delayed Assignments", "02Language.nb", IndexTag->"IPM3.2.2.2"],
  		Item["The Global Rule Base", "02Language.nb", IndexTag->"IPM3.2.2.3"],
  		Item["Piecewise-Defined Functions", "02Language.nb", IndexTag->"IPM3.2.2.4"],
  		Item["Functions with Multiple Definitions", "02Language.nb", IndexTag->"IPM3.2.2.5"],
  		Item[Delimiter],
  		Item["Exercises", "02Language.nb", IndexTag->"IPM3.2.2.6"]
  		}],
  	BrowserCategory["2.3 Predicates and Boolean Operations", None, { 
  		Item["Predicates", "02Language.nb", IndexTag->"IPM3.2.3.1"],
  		Item["Relational and Logical Operators", "02Language.nb", IndexTag->"IPM3.2.3.2"],
  		Item[Delimiter],
  		Item["Exercises", "02Language.nb", IndexTag->"IPM3.2.3.3"]
  		}],
  	Item["2.4 Attributes", "02Language.nb", IndexTag->"IPM3.2.4"]
  	}], 
Item[Delimiter],
BrowserCategory["3.  Lists", None, {
  	Item["Abstract", "03Lists.nb", IndexTag->"IPM3.3.0"],
 	Item[Delimiter],
  	Item["3.1 Introduction", "03Lists.nb", IndexTag->"IPM3.3.1"],
  	BrowserCategory["3.2 Creating and Measuring Lists", None, { 
  		Item["List Construction", "03Lists.nb", IndexTag->"IPM3.3.2.1"],
  		Item["Measuring Lists", "03Lists.nb", IndexTag->"IPM3.3.2.2"],
  		Item[Delimiter],
  		Item["Exercises", "03Lists.nb", IndexTag->"IPM3.3.2.3"]
  		}],
  	BrowserCategory["3.3 Manipulating Lists", None, { 
  		Item["Testing a List", "03Lists.nb", IndexTag->"IPM3.3.3.1"],
  		Item["Extracting Elements", "03Lists.nb", IndexTag->"IPM3.3.3.2"],
  		Item["Rearranging Lists", "03Lists.nb", IndexTag->"IPM3.3.3.3"],
  		Item["List Component Assignment", "03Lists.nb", IndexTag->"IPM3.3.3.4"],
   		Item[Delimiter],
  		Item["Exercises", "03Lists.nb", IndexTag->"IPM3.3.3.5"]
  		}],
  	BrowserCategory["3.4 Working with Several Lists", None, { 
  		Item["Working with Several Lists", "03Lists.nb", IndexTag->"IPM3.3.4.1"],
  		Item[Delimiter],
  		Item["Exercises", "03Lists.nb", IndexTag->"IPM3.3.4.2"]
  		}],
  	BrowserCategory["3.5 Strings and Characters", None, { 
  		Item["Strings and Characters", "03Lists.nb", IndexTag->"IPM3.3.5.1"],
  		Item[Delimiter],
  		Item["Exercises", "03Lists.nb", IndexTag->"IPM3.3.5.2"]
  		}]
  	}],
*)
BrowserCategory["4.  Functional Programming", None, {
  	Item["Abstract", "04Functions.nb", IndexTag->"IPM3.4.0"],
 	Item[Delimiter],
  	Item["4.1 Introduction", "04Functions.nb", IndexTag->"IPM3.4.1"],
  	BrowserCategory["4.2 Functions for Manipulating Expressions", None, { 
  		Item["Introduction", "04Functions.nb", IndexTag->"IPM3.4.2.0"],
  		Item["Map", "04Functions.nb", IndexTag->"IPM3.4.2.1"],
  		Item["Thread and MapThread", "04Functions.nb", IndexTag->"IPM3.4.2.2"],
  		Item["The Listable Attribute", "04Functions.nb", IndexTag->"IPM3.4.2.3"],
  		Item["Apply", "04Functions.nb", IndexTag->"IPM3.4.2.4"],
  		Item["Inner and Outer", "04Functions.nb", IndexTag->"IPM3.4.2.5"],
  		Item[Delimiter],
  		Item["Exercises", "04Functions.nb", IndexTag->"IPM3.4.2.6"]
  		}],
  	BrowserCategory["4.3 Iterating Functions", None, { 
  		Item["Iterating Functions", "04Functions.nb", IndexTag->"IPM3.4.3.1"],
   		Item[Delimiter],
  		Item["Exercises", "04Functions.nb", IndexTag->"IPM3.4.3.2"]
  		}],
  	BrowserCategory["4.4 Programs as Functions", None, { 
  		Item["Introduction", "04Functions.nb", IndexTag->"IPM3.4.4.0"],
  		Item["User-Defined Functions", "04Functions.nb", IndexTag->"IPM3.4.4.1"],
  		Item["Building up Programs", "04Functions.nb", IndexTag->"IPM3.4.4.2"],
  		Item[Delimiter],
  		Item["Exercises", "04Functions.nb", IndexTag->"IPM3.4.4.3"]
  		}],
  	BrowserCategory["4.5 Auxiliary Functions", None, { 
  		Item["Introduction", "04Functions.nb", IndexTag->"IPM3.4.5.0"],
  		Item["Compound Functions", "04Functions.nb", IndexTag->"IPM3.4.5.1"],
  		Item["Localizing Names: Module", "04Functions.nb", IndexTag->"IPM3.4.5.2"],
  		Item["Localizing Values: Block", "04Functions.nb", IndexTag->"IPM3.4.5.3"],
  		Item["Localizing Constants: With", "04Functions.nb", IndexTag->"IPM3.4.5.4"],
  		Item[Delimiter],
  		Item["Exercises", "04Functions.nb", IndexTag->"IPM3.4.5.5"]
  		}],
  	BrowserCategory["4.6 Pure Functions", None, { 
  		Item["Pure Functions", "04Functions.nb", IndexTag->"IPM3.4.6.1"],
  		Item[Delimiter],
  		Item["Exercises", "04Functions.nb", IndexTag->"IPM3.4.6.2"]
  		}],
  	BrowserCategory["4.7 One-Liners", None, { 
  		Item["Introduction", "04Functions.nb", IndexTag->"IPM3.4.7.0"],
  		Item["Hamming Distance", "04Functions.nb", IndexTag->"IPM3.4.7.1"],
  		Item["The Josephus Problem", "04Functions.nb", IndexTag->"IPM3.4.7.2"],
  		Item["Pocket Change", "04Functions.nb", IndexTag->"IPM3.4.7.3"],
  		Item[Delimiter],
  		Item["Exercises", "04Functions.nb", IndexTag->"IPM3.4.7.4"]
  		}]
  	}],
(*
BrowserCategory["5.  Procedural Programming", None, {
  	Item["Abstract", "05Procedural.nb", IndexTag->"IPM3.5.0"],
 	Item[Delimiter],
  	Item["5.1 Introduction", "05Procedural.nb", IndexTag->"IPM3.5.1"],
  	BrowserCategory["5.2 Loops and Iteration", None, { 
  		Item["Newton\[CloseCurlyQuote]s Method", "05Procedural.nb", IndexTag->"IPM3.5.2.1"],
  		Item["Do Loops", "05Procedural.nb", IndexTag->"IPM3.5.2.2"],
  		Item["Example: Random Permutations", "05Procedural.nb", IndexTag->"IPM3.5.2.3"],
  		Item["While Loops", "05Procedural.nb", IndexTag->"IPM3.5.2.4"],
  		Item["NestWhile and NestWhileList", "05Procedural.nb", IndexTag->"IPM3.5.2.5"],
  		Item[Delimiter],
  		Item["Exercises", "05Procedural.nb", IndexTag->"IPM3.5.2.6"]
  		}],
  	BrowserCategory["5.3 Flow Control", None, { 
  		Item["Conditional Functions", "05Procedural.nb", IndexTag->"IPM3.5.3.1"],
  		Item["Multiclause Definitions", "05Procedural.nb", IndexTag->"IPM3.5.3.2"],
  		Item["Which and Switch", "05Procedural.nb", IndexTag->"IPM3.5.3.3"],
  		Item["Argument Checking", "05Procedural.nb", IndexTag->"IPM3.5.3.4"],
  		Item["Summary", "05Procedural.nb", IndexTag->"IPM3.5.3.5"],
  		Item[Delimiter],
  		Item["Exercises", "05Procedural.nb", IndexTag->"IPM3.5.3.6"]
  		}],
  	BrowserCategory["5.4 Examples", None, { 
  		Item["Sieve of Eratosthenes", "05Procedural.nb", IndexTag->"IPM3.5.4.1"],
  		Item["Classifying Points", "05Procedural.nb", IndexTag->"IPM3.5.4.2"],
  		Item[Delimiter],
  		Item["Exercises", "05Procedural.nb", IndexTag->"IPM3.5.4.3"]
  		}]
  	}], 
BrowserCategory["6.  Rule-Based Programming", None, {
  	Item["Abstract", "06RuleBased.nb", IndexTag->"IPM3.6.0"],
 	Item[Delimiter],
  	Item["6.1 Introduction", "06RuleBased.nb", IndexTag->"IPM3.6.1"],
  	BrowserCategory["6.2 Patterns", None, { 
  		Item["Blanks", "06RuleBased.nb", IndexTag->"IPM3.6.2.1"],
  		Item["Sequence Pattern Matching", "06RuleBased.nb", IndexTag->"IPM3.6.2.2"],
  		Item["Example: Finding Subsequences", "06RuleBased.nb", IndexTag->"IPM3.6.2.3"],
  		Item["Conditional Pattern Matching", "06RuleBased.nb", IndexTag->"IPM3.6.2.4"],
  		Item["Alternatives", "06RuleBased.nb", IndexTag->"IPM3.6.2.5"],
  		Item[Delimiter],
  		Item["Exercises", "06RuleBased.nb", IndexTag->"IPM3.6.2.6"]
  		}],
  	BrowserCategory["6.3 Transformation Rules", None, { 
  		Item["Introduction", "06RuleBased.nb", IndexTag->"IPM3.6.3.1"],
  		Item["Example: Counting Coins", "06RuleBased.nb", IndexTag->"IPM3.6.3.2"],
  		Item["Example: Finding Maxima", "06RuleBased.nb", IndexTag->"IPM3.6.3.3"],
  		Item[Delimiter],
  		Item["Exercises", "06RuleBased.nb", IndexTag->"IPM3.6.3.4"]
  		}],
  	BrowserCategory["6.4 Examples", None, { 
  		Item["Encoding Text", "06RuleBased.nb", IndexTag->"IPM3.6.4.1"],
  		Item["Sorting a List", "06RuleBased.nb", IndexTag->"IPM3.6.4.2"],
  		Item[Delimiter],
  		Item["Exercises", "06RuleBased.nb", IndexTag->"IPM3.6.4.3"]
  		}]
  	}], 
BrowserCategory["7.  Recursion", None, {
  	Item["Abstract", "07Recursion.nb", IndexTag->"IPM3.7.0"],
 	Item[Delimiter],
  	BrowserCategory["7.1 Fibonacci Numbers", None, { 
  		Item["Fibonacci Numbers", "07Recursion.nb", IndexTag->"IPM3.7.1.1"],
 		Item[Delimiter],
  		Item["Exercises", "07Recursion.nb", IndexTag->"IPM3.7.1.2"]
  		}],
  	BrowserCategory["7.2 List Functions", None, { 
  		Item["List Functions", "07Recursion.nb", IndexTag->"IPM3.7.2.1"],
 		Item[Delimiter],
  		Item["Exercises", "07Recursion.nb", IndexTag->"IPM3.7.2.2"]
  		}],
  	BrowserCategory["7.3 Thinking Recursively: Examples", None, { 
  		Item["Introduction", "07Recursion.nb", IndexTag->"IPM3.7.3.0"],
  		Item["doubleUpToZero", "07Recursion.nb", IndexTag->"IPM3.7.3.1"],
  		Item["Run-Length Encoding", "07Recursion.nb", IndexTag->"IPM3.7.3.2"],
  		Item["Finding Maxima", "07Recursion.nb", IndexTag->"IPM3.7.3.3"],
 		Item[Delimiter],
  		Item["Exercises", "07Recursion.nb", IndexTag->"IPM3.7.3.5"]
  		}],
  	BrowserCategory["7.4 Recursion and Symbolic Computations", None, { 
  		Item["Recursion and Symbolic Computations", "07Recursion.nb", IndexTag->"IPM3.7.4.1"],
 		Item[Delimiter],
  		Item["Exercises", "07Recursion.nb", IndexTag->"IPM3.7.4.2"]
  		}],
  	BrowserCategory["7.5 Classical Examples", None, { 
  		Item["Merge Sort", "07Recursion.nb", IndexTag->"IPM3.7.5.1"],
  		Item["Gaussian Elimination", "07Recursion.nb", IndexTag->"IPM3.7.5.2"],
  		Item["Trees", "07Recursion.nb", IndexTag->"IPM3.7.5.3"],
  		Item["Huffman Encoding", "07Recursion.nb", IndexTag->"IPM3.7.5.4"],
 		Item[Delimiter],
  		Item["Exercises", "07Recursion.nb", IndexTag->"IPM3.7.5.5"]
  		}],
  	BrowserCategory["7.6 Dynamic Programming", None, { 
  		Item["Dynamic Programming", "07Recursion.nb", IndexTag->"IPM3.7.6.1"],
 		Item[Delimiter],
  		Item["Exercises", "07Recursion.nb", IndexTag->"IPM3.7.6.2"]
  		}],
  	BrowserCategory["7.7 Higher-Order Functions and Recursion", None, { 
  		Item["Higher-Order Functions and Recursion", "07Recursion.nb", IndexTag->"IPM3.7.7.1"],
 		Item[Delimiter],
  		Item["Exercises", "07Recursion.nb", IndexTag->"IPM3.7.7.2"]
  		}]
   	}],
Item[Delimiter],
BrowserCategory["8.  Numerics", None, {
  	Item["Abstract", "08Numerics.nb", IndexTag->"IPM3.8.0"],
 	Item[Delimiter],
  	Item["8.1 Introduction", "08Numerics.nb", IndexTag->"IPM3.8.1"],
  	BrowserCategory["8.2 Numbers", None, { 
  		Item["Types of Numbers", "08Numerics.nb", IndexTag->"IPM3.8.2.1"],
  		Item["Digits and Number Bases", "08Numerics.nb", IndexTag->"IPM3.8.2.2"],
  		Item["Random Numbers", "08Numerics.nb", IndexTag->"IPM3.8.2.3"],
 		Item[Delimiter],
  		Item["Exercises", "08Numerics.nb", IndexTag->"IPM3.8.2.4"]
  		}],
  	BrowserCategory["8.3 Working with Numbers", None, { 
  		Item["Precision and Accuracy", "08Numerics.nb", IndexTag->"IPM3.8.3.1"],
  		Item["Representation of Approximate Numbers", "08Numerics.nb", IndexTag->"IPM3.8.3.2"],
  		Item["Exact vs. Approximate Numbers", "08Numerics.nb", IndexTag->"IPM3.8.3.3"],
  		Item["High Precision vs. Machine Precision", "08Numerics.nb", IndexTag->"IPM3.8.3.4"],  		
  		Item["Roundoff Errors", "08Numerics.nb", IndexTag->"IPM3.8.3.5"],  		Item["Computing with Different Number Types", "08Numerics.nb", IndexTag->"IPM3.8.3.6"], 		
  		Item[Delimiter],
  		Item["Exercises", "08Numerics.nb", IndexTag->"IPM3.8.3.7"]
  		}],
  	BrowserCategory["8.4 Working with Arrays of Numbers", None, { 
  		Item["Introduction", "08Numerics.nb", IndexTag->"IPM3.8.4.0"],
  		Item["Sparse Arrays", "08Numerics.nb", IndexTag->"IPM3.8.4.1"],
  		Item["Packed Arrays", "08Numerics.nb", IndexTag->"IPM3.8.4.2"],
 		Item[Delimiter],
  		Item["Exercises", "08Numerics.nb", IndexTag->"IPM3.8.4.3"]
  		}],
  	BrowserCategory["8.5 Numerical Computations", None, { 
  		Item["Introduction", "08Numerics.nb", IndexTag->"IPM3.8.5.0"],
  		Item["Working with Precision and Accuracy", "08Numerics.nb", IndexTag->"IPM3.8.5.1"],
  		Item["Newton\[CloseCurlyQuote]s Method Revisited", "08Numerics.nb", IndexTag->"IPM3.8.5.2"],
  		Item["Gaussian Elimination Revisited", "08Numerics.nb", IndexTag->"IPM3.8.5.3"],
 		Item[Delimiter],
  		Item["Exercises", "08Numerics.nb", IndexTag->"IPM3.8.5.4"]
  		}]
  	}],
BrowserCategory["9.  Graphics Programming", None, {
  	Item["Abstract", "09Graphics.nb", IndexTag->"IPM3.9.0"],
 	Item[Delimiter],
  	BrowserCategory["9.1 Structure of Graphics", None, { 
  		Item["Introduction", "09Graphics.nb", IndexTag->"IPM3.9.1.0"],
  		Item["Primitives, Directives, and Options", "09Graphics.nb", IndexTag->"IPM3.9.1.1"],
 		Item[Delimiter],
  		Item["Exercises", "09Graphics.nb", IndexTag->"IPM3.9.1.2"]
  		}],
  	BrowserCategory["9.2 Graphics Programming", None, { 
  		Item["Introduction", "09Graphics.nb", IndexTag->"IPM3.9.2.0"],
  		Item["Root Plotting", "09Graphics.nb", IndexTag->"IPM3.9.2.1"],
  		Item["Plotting Data", "09Graphics.nb", IndexTag->"IPM3.9.2.2"],
  		Item["Simple Closed Paths", "09Graphics.nb", IndexTag->"IPM3.9.2.3"],
  		Item["Drawing Trees", "09Graphics.nb", IndexTag->"IPM3.9.2.4"],
 		Item[Delimiter],
  		Item["Exercises", "09Graphics.nb", IndexTag->"IPM3.9.2.5"]
  		}],
  	BrowserCategory["9.3 Sound", None, { 
  		Item["The Sound of Mathematics", "09Graphics.nb", IndexTag->"IPM3.9.3.1"],
  		Item["White Noise, White Music", "09Graphics.nb", IndexTag->"IPM3.9.3.2"],
  		Item["Brownian Music", "09Graphics.nb", IndexTag->"IPM3.9.3.3"],
 		Item[Delimiter],
  		Item["Exercises", "09Graphics.nb", IndexTag->"IPM3.9.3.4"]
  		}]
  	}],
*)
BrowserCategory["10. Front End Programming", None, {
  	Item["Abstract", "10FEProgramming.nb", IndexTag->"IPM3.10.0"],
 	Item[Delimiter],
  	Item["10.1 Introduction", "10FEProgramming.nb", IndexTag->"IPM3.10.1"],
  	BrowserCategory["10.2 The Structure of Cells and Notebooks", None, { 
  		Item["Introduction", "10FEProgramming.nb", IndexTag->"IPM3.10.2.0"],
  		Item["Notebook Expressions", "10FEProgramming.nb", IndexTag->"IPM3.10.2.1"],
  		Item["Manipulating Notebooks", "10FEProgramming.nb", IndexTag->"IPM3.10.2.2"],
 		Item[Delimiter],
  		Item["Exercises", "10FEProgramming.nb", IndexTag->"IPM3.10.2.3"]
  		}],
  	BrowserCategory["10.3 Cell Data Types", None, { 
  		Item["Introduction", "10FEProgramming.nb", IndexTag->"IPM3.10.3.0"],
  		Item["TextData", "10FEProgramming.nb", IndexTag->"IPM3.10.3.1"],
  		Item["BoxData", "10FEProgramming.nb", IndexTag->"IPM3.10.3.2"],
  		Item["GraphicsData", "10FEProgramming.nb", IndexTag->"IPM3.10.3.3"],
 		Item[Delimiter],
  		Item["Exercises", "10FEProgramming.nb", IndexTag->"IPM3.10.3.4"]
  		}],
  	BrowserCategory["10.4 GridBoxes", None, { 
  		Item["ShowTable", "10FEProgramming.nb", IndexTag->"IPM3.10.4.1"],
  		Item["TriangleForm", "10FEProgramming.nb", IndexTag->"IPM3.10.4.2"],
 		Item[Delimiter],
  		Item["Exercises", "10FEProgramming.nb", IndexTag->"IPM3.10.4.3"]
  		}],
  	BrowserCategory["10.5 Buttons", None, { 
  		Item["Introduction", "10FEProgramming.nb", IndexTag->"IPM3.10.5.0"],
  		Item["Making Buttons the Easy Way", "10FEProgramming.nb", IndexTag->"IPM3.10.5.1"],
  		Item["The Structure of Buttons", "10FEProgramming.nb", IndexTag->"IPM3.10.5.2"],
  		Item["ButtonStyle", "10FEProgramming.nb", IndexTag->"IPM3.10.5.3"],
  		Item["ButtonFunction", "10FEProgramming.nb", IndexTag->"IPM3.10.5.4"],
  		Item["Example: An Evaluate Button", "10FEProgramming.nb", IndexTag->"IPM3.10.5.5"],
 		Item[Delimiter],
  		Item["Exercises", "10FEProgramming.nb", IndexTag->"IPM3.10.5.6"]
  		}]
  	}],
Item[Delimiter],
(*
BrowserCategory["11. Examples and Applications", None, {
  	Item["Abstract", "11Applications.nb", IndexTag->"IPM3.11.0"],
 	Item[Delimiter],
  	BrowserCategory["11.1 Manipulating Data", None, { 
  		Item["Introduction", "11Applications.nb", IndexTag->"IPM3.11.1.1"],
  		Item["Getting Data into Mathematica", "11Applications.nb", IndexTag->"IPM3.11.1.2"],
  		Item["Examining the Data File", "11Applications.nb", IndexTag->"IPM3.11.1.3"],
  		Item["Extracting and Converting Data", "11Applications.nb", IndexTag->"IPM3.11.1.4"],
  		Item["Visualizing the Data", "11Applications.nb", IndexTag->"IPM3.11.1.5"],
 		Item[Delimiter],
  		Item["Exercises", "11Applications.nb", IndexTag->"IPM3.11.1.6"]
  		}],
  	BrowserCategory["11.2 Random Walks", None, { 
  		Item["Introduction", "11Applications.nb", IndexTag->"IPM3.11.2.1"],
  		Item["The One-Dimensional Random Walk", "11Applications.nb", IndexTag->"IPM3.11.2.2"],
  		Item["The Two-Dimensional Random Walk", "11Applications.nb", IndexTag->"IPM3.11.2.3"],
  		Item["Visualizing the Random Walk", "11Applications.nb", IndexTag->"IPM3.11.2.4"],
  		Item["The Three-Dimensional Random Walk", "11Applications.nb", IndexTag->"IPM3.11.2.5"],
  		Item["Adding Options and Defaults", "11Applications.nb", IndexTag->"IPM3.11.2.6"],
  		Item["Error-Trapping and Messaging", "11Applications.nb", IndexTag->"IPM3.11.2.7"],
  		Item["Creating Help Browser Documentation", "11Applications.nb", IndexTag->"IPM3.11.2.8"],
 		Item[Delimiter],
  		Item["Exercises", "11Applications.nb", IndexTag->"IPM3.11.2.9"]
  		}],
  	BrowserCategory["11.3 The Game of Life", None, { 
  		Item["The Game of Life", "11Applications.nb", IndexTag->"IPM3.11.3.1"],
 		Item[Delimiter],
  		Item["Exercises", "11Applications.nb", IndexTag->"IPM3.11.3.2"]
  		}],
  	BrowserCategory["11.4 Implementing Languages", None, { 
  		Item["Introduction to PDL", "11Applications.nb", IndexTag->"IPM3.11.4.1"],
  		Item["Syntax", "11Applications.nb", IndexTag->"IPM3.11.4.2"],
  		Item["Parsing", "11Applications.nb", IndexTag->"IPM3.11.4.3"],
  		Item["Lexical Analysis", "11Applications.nb", IndexTag->"IPM3.11.4.4"],
  		Item["Computing Shapes", "11Applications.nb", IndexTag->"IPM3.11.4.5"]
  		}]
   	}],
BrowserCategory["12. Writing Packages", None, {
  	Item["Abstract", "12Packages.nb", IndexTag->"IPM3.12.0"],
 	Item[Delimiter],
  	Item["12.1 Introduction", "12Packages.nb", IndexTag->"IPM3.12.1"],
  	BrowserCategory["12.2 Using Packages", None, { 
  		Item["Introduction", "12Packages.nb", IndexTag->"IPM3.12.2.0"],
  		Item["Loading Packages", "12Packages.nb", IndexTag->"IPM3.12.2.1"],
  		Item["Finding Out What\[CloseCurlyQuote]s in a Package", "12Packages.nb", IndexTag->"IPM3.12.2.2"],
  		Item["Avoiding Name Collisions", "12Packages.nb", IndexTag->"IPM3.12.2.3"]
  		}],
  	Item["12.3 Contexts", "12Packages.nb", IndexTag->"IPM3.12.3"],
  	Item["12.4 The Elements of Packages", "12Packages.nb", IndexTag->"IPM3.12.4"],
  	BrowserCategory["12.5 Writing Your Own Packages", None, { 
  		Item["The RandomWalks Package", "12Packages.nb", IndexTag->"IPM3.12.5.1"],
 		Item[Delimiter],
  		Item["Exercises", "12Packages.nb", IndexTag->"IPM3.12.5.2"]
  		}]
  	}],
Item[Delimiter],
BrowserCategory["Appendix B: Debugging", None, { 
  		Item["Introduction", "AppendixB.nb", IndexTag->"IPM3.B.1"],
  		Item["Tracing Evaluation", "AppendixB.nb", IndexTag->"IPM3.B.2"],
  		Item["Printing Variables", "AppendixB.nb", IndexTag->"IPM3.B.3"],
  		Item["Reap and Sow", "AppendixB.nb", IndexTag->"IPM3.B.4"],
  		Item["Common Errors", "AppendixB.nb", IndexTag->"IPM3.B.5"]
  		}],
*)
BrowserCategory["Solutions to Exercises", None, {
   	BrowserCategory["2.  The Mathematica Language", None, {
   		Item["2.1 Expressions", "Solutions.nb", CopyTag->"IPM3.Sol.2.1"],
   		Item["2.2 Definitions", "Solutions.nb", CopyTag->"IPM3.Sol.2.2"],
   		Item["2.3 Predicates and Boolean Expressions", "Solutions.nb", CopyTag->"IPM3.Sol.2.3"]
   		}],
   	BrowserCategory["3.  Lists", None, {
   		Item["3.2 Creating and Measuring Lists", "Solutions.nb", CopyTag->"IPM3.Sol.3.2"],
   		Item["3.3 Manipulating Lists", "Solutions.nb", CopyTag->"IPM3.Sol.3.3"],
   		Item["3.4 Working with Several Lists", "Solutions.nb", CopyTag->"IPM3.Sol.3.4"],
   		Item["3.5 Strings and Characters", "Solutions.nb", CopyTag->"IPM3.Sol.3.5"]
   		}],
   	BrowserCategory["4.  Functional Programming", None, {
   		Item["4.2 Functions for Manipulating Expressions", "Solutions.nb", CopyTag->"IPM3.Sol.4.2"],
   		Item["4.3 Iterating Functions", "Solutions.nb", CopyTag->"IPM3.Sol.4.3"],
   		Item["4.4 Programs as Functions", "Solutions.nb", CopyTag->"IPM3.Sol.4.4"],
   		Item["4.5 Auxiliary Functions", "Solutions.nb", CopyTag->"IPM3.Sol.4.5"],
   		Item["4.6 Pure Functions", "Solutions.nb", CopyTag->"IPM3.Sol.4.6"],
   		Item["4.7 One-Liners", "Solutions.nb", CopyTag->"IPM3.Sol.4.7"]
   		}],
   	BrowserCategory["5.  Procedural Programming", None, {
   		Item["5.2 Loops and Iteration", "Solutions.nb", CopyTag->"IPM3.Sol.5.2"],
   		Item["5.3 Flow Control", "Solutions.nb", CopyTag->"IPM3.Sol.5.3"],
   		Item["5.4 Examples", "Solutions.nb", CopyTag->"IPM3.Sol.5.4"]
   		}],
   	BrowserCategory["6.  Rule-Based Programming", None, {
   		Item["6.2 Patterns", "Solutions.nb", CopyTag->"IPM3.Sol.6.2"],
   		Item["6.3 Transformation Rules", "Solutions.nb", CopyTag->"IPM3.Sol.6.3"],
   		Item["6.4 Examples", "Solutions.nb", CopyTag->"IPM3.Sol.6.4"]
   		}],
   	BrowserCategory["7.  Recursion", None, {
   		Item["7.1 Fibonacci Numbers", "Solutions.nb", CopyTag->"IPM3.Sol.7.1"],
   		Item["7.2 List Functions", "Solutions.nb", CopyTag->"IPM3.Sol.7.2"],
   		Item["7.3 Thinking Recursively: Examples", "Solutions.nb", CopyTag->"IPM3.Sol.7.3"],
   		Item["7.4 Recursion and Symbolic Computations", "Solutions.nb", CopyTag->"IPM3.Sol.7.4"],
   		Item["7.5 Classical Examples", "Solutions.nb", CopyTag->"IPM3.Sol.7.5"],
   		Item["7.6 Dynamic Programming", "Solutions.nb", CopyTag->"IPM3.Sol.7.6"],
   		Item["7.7 Higher-Order Functions and Recursion", "Solutions.nb", CopyTag->"IPM3.Sol.7.7"]
   		}],
   	BrowserCategory["8.  Numerics", None, {
   		Item["8.2 Numbers", "Solutions.nb", CopyTag->"IPM3.Sol.8.2"],
   		Item["8.3 Working with Numbers", "Solutions.nb", CopyTag->"IPM3.Sol.8.3"],
   		Item["8.4 Working with Arrays of Numbers", "Solutions.nb", CopyTag->"IPM3.Sol.8.4"],
   		Item["8.5 Numerical Computations", "Solutions.nb", CopyTag->"IPM3.Sol.8.5"]
   		}],
   	BrowserCategory["9.  Graphics Programming", None, {
   		Item["9.1 Structure of Graphics", "Solutions.nb", CopyTag->"IPM3.Sol.9.1"],
   		Item["9.2 Graphics Programming", "Solutions.nb", CopyTag->"IPM3.Sol.9.2"],
   		Item["9.3 Sound", "Solutions.nb", CopyTag->"IPM3.Sol.9.3"]
   		}],
   	BrowserCategory["10. Front End Programming", None, {
   		Item["10.2 The Structure of Cells and Notebooks", "Solutions.nb", CopyTag->"IPM3.Sol.10.2"],
   		Item["10.3 Cell Data Types", "Solutions.nb", CopyTag->"IPM3.Sol.10.3"],
   		Item["10.4 GridBoxes", "Solutions.nb", CopyTag->"IPM3.Sol.10.4"],
   		Item["10.5 Buttons", "Solutions.nb", CopyTag->"IPM3.Sol.10.5"]
   	}], 
   	BrowserCategory["11. Examples and Applications", None, {
   		Item["11.1 Manipulating Data Files", "Solutions.nb", CopyTag->"IPM3.Sol.11.1"],
   		Item["11.2 Random Walks", "Solutions.nb", CopyTag->"IPM3.Sol.11.2"],
   		Item["11.3 The Game of Life", "Solutions.nb", CopyTag->"IPM3.Sol.11.3"]
   	}],
   	BrowserCategory["12. Writing Packages", None, {
   		Item["12.5 Writing Your Own Packages", "Solutions.nb", CopyTag->"IPM3.Sol.12.5"]
   	}]
   }],
   Item["References", "References.nb", CopyTag->None]
}]
 