(*******************************************************************
This file was generated automatically by the Mathematica front end.
It contains Initialization cells from a Notebook file, which
typically will have the same name as this file except ending in
".nb" instead of ".m".

This file is intended to be loaded into the Mathematica kernel using
the package loading commands Get or Needs.  Doing so is equivalent
to using the Evaluate Initialization Cells menu command in the front
end.

DO NOT EDIT THIS FILE.  This entire file is regenerated
automatically each time the parent Notebook file is saved in the
Mathematica front end.  Any changes you make to this file will be
overwritten.
***********************************************************************)











BeginPackage["IPM3`RandomWalks`"]







Needs["Graphics`ArgColors`"]

Needs["Graphics`Polyhedra`"]







RandomWalk::"usage"="RandomWalk[n] generates an n-step walk in two dimensions. The default behavior gives a lattice walk with steps in one of the four compass directions. Setting the option LatticeWalk\[Rule]False will generate an off-lattice walk. Setting the option Dimensions\[Rule]3 will generate a 3-dimensional walk; Dimensions\[Rule]1 gives a 1-dimensional walk.";

LatticeWalk::"usage"="LatticeWalk\[Rule]val is an option to RandomWalk that determines whether the random walk will be a lattice walk or an off-lattice walk. Possible values are True and False.";

ShowWalk::"usage"="ShowWalk[walk] displays a two-dimensional random walk connecting each site with a line. Any Graphics options can be passed to ShowWalk. E.g., ShowWalk[walk,  Background\[Rule]GrayLevel[0]] to produce a black background.";

AnimateWalk::"usage"="AnimateWalk[walk, opts] creates an animation of a two-dimensional random walk. A red ball will be seen to move to the current position in the walk to aid in visualizing the animation.";



RandomWalk::rwn="Argument `1` is not a positive integer.";



Options[RandomWalk]={LatticeWalk\[Rule]True,Dimension\[Rule]2}







Begin["`Private`"]





walk1D[n_] := NestList[#1 + (-1)^Random[Integer] & , 0, n]

walk1DOffLattice[n_]:=
  FoldList[Plus,0,Table[Random[Real,{-1,1}],{n}]]

walk2D[n_]:=
  Module[{NSEW={{0,1},{1,0},{0,-1},{-1,0}}},
    FoldList[Plus,{0,0},
      NSEW\[LeftDoubleBracket]
        Table[Random[Integer,{1,4}],{n}]\[RightDoubleBracket]]]

walk2DOffLattice[n_]:=
  FoldList[Plus,{0,0},
    Map[{Cos[#],Sin[#]}&,Table[Random[Real,{0,2 \[Pi]}],{n}]]]

walk3D[n_] := Module[{NSEW3 = Sqrt[2]*Vertices[Cube]}, 
   FoldList[Plus, {0, 0, 0}, 
    NSEW3[[Table[Random[Integer, {1, 8}], {n}]]]]]

walk3DOffLattice[n_] := Module[{x, y, z}, 
   x[\[Phi]_, \[Theta]_] := Sqrt[1 - Cos[\[Phi]]^2]*Cos[\[Theta]]; 
    y[\[Phi]_, \[Theta]_] := Sqrt[1 - Cos[\[Phi]]^2]*Sin[\[Theta]]; 
    z[\[Phi]_] := Cos[\[Phi]]; FoldList[Plus, {0, 0, 0}, 
     Apply[{x[#1, #2], y[#1, #2], z[#1]} & , 
      Table[Random[Real, {0, 2*Pi}], {n}, {2}], {1}]]]

RandomWalk[n_,opts___?OptionQ]:=Module[{dim,latticeQ},
    If[Not[IntegerQ[n]&&n>0],
      Message[RandomWalk::rwn,
        n],{latticeQ,
          dim}={LatticeWalk,Dimension}/.Flatten[{opts,Options[RandomWalk]}];
      Which[
        dim==1,If[latticeQ,walk1D[n],walk1DOffLattice[n]],
        dim==2,If[latticeQ,walk2D[n],walk2DOffLattice[n]],
        dim==3,If[latticeQ,walk3D[n],walk3DOffLattice[n]]
        ]]]

ShowWalk[coords_,opts___]:=Which[
    Length[Dimensions[coords]]\[Equal]1,
    ListPlot[coords,opts,PlotJoined\[Rule]True],
    Dimensions[coords][[2]]\[Equal]2,
    Show[Graphics[Line[coords],opts,AspectRatio\[Rule]Automatic]],
    Dimensions[coords][[2]]\[Equal]3,
    Show[Graphics3D[Line[coords],opts,AspectRatio\[Rule]Automatic]]]


AnimateWalk[coords_,opts___]:=
  Scan[Show[
        Graphics[{{RGBColor[1,0,0],PointSize[0.025],
              Point[coords\[LeftDoubleBracket]#1\[RightDoubleBracket]]},
            Line[Take[coords,#1]]}],opts,AspectRatio\[Rule]Automatic,
        PlotRange\[Rule]({Min[#1]-0.2,Max[#1]+0.2}&)/@Transpose[coords]]&,
    Range[2,Length[coords]]]





End[]







EndPackage[]















































