(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[   7678708,     160986]*)
(*NotebookOutlinePosition[   7984453,     168667]*)
(*  CellTagsIndexPosition[   7981910,     168591]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[TextData[{
  "Introduction to Programming with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"]
}], "TitleBar",
  CellTags->{
  "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
    "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
    "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
    "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
    "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
    "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
    "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
    "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
    "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
    "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
    "IPM3.Sol.12.5"}],

Cell[CellGroupData[{

Cell["Solutions to exercises", "Chapter",
  CellMargins->{{Inherited, Inherited}, {28, Inherited}},
  CellTags->{
  "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
    "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
    "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
    "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
    "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
    "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
    "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
    "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
    "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
    "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
    "IPM3.Sol.12.5", "c:1"}],

Cell[CellGroupData[{

Cell[TextData[{
  "  2 The ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " language"
}], "SolutionsSection",
  CellTags->"c:2"],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["2.1",
    ButtonData:>"IPM3.2.1.5",
    ButtonStyle->"SolutionsLink"],
  " Expressions"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.2.1"],

Cell[TextData[{
  "The expression ",
  StyleBox["a(b+c)", "MR"],
  " is given in full form as ",
  StyleBox["Times[a,Plus[b,c]]", "MR"],
  "."
}], "SolutionItem",
  CellTags->"IPM3.Sol.2.1"],

Cell[CellGroupData[{

Cell[TextData[{
  "This is simply ",
  Cell[BoxData[
      \(TraditionalForm\`a\/\(b + c\)\)]],
  " as can be seen by evaluating the full form expression."
}], "SolutionItem",
  CellTags->"IPM3.Sol.2.1"],

Cell[CellGroupData[{

Cell[BoxData[
    TagBox[
      StyleBox[\(Times[a, Power[Plus[b, c], \(-1\)]]\),
        ShowSpecialCharacters->False,
        ShowStringCharacters->True,
        NumberMarks->True],
      FullForm]], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.2.1"],

Cell[BoxData[
    \(a\/\(b + c\)\)], "Output",
  CellLabel->"Out[1]=",
  CellTags->"IPM3.Sol.2.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Looking at the internal representation of this expression with ",
  StyleBox["FullForm", "MR"],
  " helps to unwind the part specification."
}], "SolutionItem",
  CellTags->"IPM3.Sol.2.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(FullForm[\((\((x^2\  + \ y)\)\ z/w)\)]\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.2.1"],

Cell[BoxData[
    TagBox[
      StyleBox[\(Times[Power[w, \(-1\)], Plus[Power[x, 2], y], z]\),
        ShowSpecialCharacters->False,
        ShowStringCharacters->True,
        NumberMarks->True],
      FullForm]], "Output",
  CellLabel->"Out[2]//FullForm=",
  CellTags->"IPM3.Sol.2.1"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\((\((x^2\  + \ y)\)\ z/w)\)\ [\([2, \ 1, \ 2]\)]\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.2.1"],

Cell[BoxData[
    \(2\)], "Output",
  CellLabel->"Out[3]=",
  CellTags->"IPM3.Sol.2.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "There are three terms in the expression, with the term  ",
  StyleBox["b x", "MR"],
  " being the second. "
}], "SolutionItem",
  CellTags->"IPM3.Sol.2.1"],

Cell[BoxData[
    \(\(expr = a\ x\^2 + b\ x + c;\)\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.2.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(FullForm[expr]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.2.1"],

Cell[BoxData[
    TagBox[
      StyleBox[\(Plus[c, Times[b, x], Times[a, Power[x, 2]]]\),
        ShowSpecialCharacters->False,
        ShowStringCharacters->True,
        NumberMarks->True],
      FullForm]], "Output",
  CellLabel->"Out[5]//FullForm=",
  CellTags->"IPM3.Sol.2.1"]
}, Closed]],

Cell[TextData[{
  "The ",
  StyleBox["b", "MR"],
  " is the first element of ",
  StyleBox["Times[b,x]", "MR"],
  ", so the part specification is ",
  StyleBox["2,1", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.2.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(expr[\([2]\)]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.2.1"],

Cell[BoxData[
    \(b\ x\)], "Output",
  CellLabel->"Out[6]=",
  CellTags->"IPM3.Sol.2.1"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(expr[\([2, 1]\)]\)], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.2.1"],

Cell[BoxData[
    \(b\)], "Output",
  CellLabel->"Out[7]=",
  CellTags->"IPM3.Sol.2.1"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["2.2",
    ButtonData:>"IPM3.2.2.6",
    ButtonStyle->"SolutionsLink"],
  " Definitions"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.2.2"],

Cell["\<\
This exercise focuses on the difference between immediate and delayed \
assignments.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.2.2"],

Cell[CellGroupData[{

Cell[TextData[{
  "This will generate a list of ",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  " random numbers."
}], "SolutionSubItem",
  CellTags->"IPM3.Sol.2.2"],

Cell[BoxData[
    \(randLis1[n_] := Table[Random[], {n}]\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.2.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?randLis1\)\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.2.2"],

Cell["Global`randLis1", "Print",
  CellTags->{"Info3302765056-3338141", "IPM3.Sol.2.2"}],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {GridBox[{
                {\(randLis1[n_] := Table[Random[], {n}]\)}
                },
              GridBaseline->{Baseline, {1, 1}},
              ColumnWidths->0.999,
              ColumnAlignments->{Left}]}
          },
        GridBaseline->{Baseline, {1, 1}},
        ColumnAlignments->{Left}],
      Definition[ "randLis1"],
      Editable->False]], "Print",
  CellTags->{"Info3302765056-3338141", "IPM3.Sol.2.2"}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(randLis1[3]\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.2.2"],

Cell[BoxData[
    \({0.040543146830416966`, 0.04355403703421691`, 
      0.6993584739919961`}\)], "Output",
  CellLabel->"Out[3]=",
  CellTags->"IPM3.Sol.2.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Since the definition for ",
  StyleBox["x", "MR"],
  " is an immediate assignment, its value does not change in the body of ",
  StyleBox["randLis2", "MR"],
  ". But each time ",
  StyleBox["randLis2", "MR"],
  " is called, a new value is assigned to ",
  StyleBox["x", "MR"],
  "."
}], "SolutionSubItem",
  CellTags->"IPM3.Sol.2.2"],

Cell[BoxData[
    \(randLis2[n_] := \((x = Random[]; Table[x, {n}])\)\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.2.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?randLis2\)\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.2.2"],

Cell["Global`randLis2", "Print",
  CellTags->{"Info3302765056-1842942", "IPM3.Sol.2.2"}],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {GridBox[{
                {\(randLis2[n_] := \((x = Random[]; Table[x, {n}])\)\)}
                },
              GridBaseline->{Baseline, {1, 1}},
              ColumnWidths->0.999,
              ColumnAlignments->{Left}]}
          },
        GridBaseline->{Baseline, {1, 1}},
        ColumnAlignments->{Left}],
      Definition[ "randLis2"],
      Editable->False]], "Print",
  CellTags->{"Info3302765056-1842942", "IPM3.Sol.2.2"}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(randLis2[3]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.2.2"],

Cell[BoxData[
    \({0.6510257470820051`, 0.6510257470820051`, 
      0.6510257470820051`}\)], "Output",
  CellLabel->"Out[6]=",
  CellTags->"IPM3.Sol.2.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Because the definition for ",
  StyleBox["x", "MR"],
  " is a delayed assignment, the definition for ",
  StyleBox["randLis3", "MR"],
  " is functionally equivalent to ",
  StyleBox["randLis1.", "MR"]
}], "SolutionSubItem",
  CellTags->"IPM3.Sol.2.2"],

Cell[BoxData[
    \(randLis3[n_] := \((x := Random[]; Table[x, {n}])\)\)], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.2.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?randLis3\)\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.2.2"],

Cell["Global`randLis3", "Print",
  CellTags->{"Info3302765057-4949338", "IPM3.Sol.2.2"}],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {GridBox[{
                {\(randLis3[n_] := \((x := Random[]; Table[x, {n}])\)\)}
                },
              GridBaseline->{Baseline, {1, 1}},
              ColumnWidths->0.999,
              ColumnAlignments->{Left}]}
          },
        GridBaseline->{Baseline, {1, 1}},
        ColumnAlignments->{Left}],
      Definition[ "randLis3"],
      Editable->False]], "Print",
  CellTags->{"Info3302765057-4949338", "IPM3.Sol.2.2"}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(randLis3[3]\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.2.2"],

Cell[BoxData[
    \({0.30457360038182685`, 0.18416280083654826`, 
      0.74435071154042`}\)], "Output",
  CellLabel->"Out[9]=",
  CellTags->"IPM3.Sol.2.2"]
}, Closed]]
}, Closed]],

Cell[TextData[{
  "Recall that in an immediate assignment, the right-hand side of the \
definition is evaluated first. But in this case, ",
  StyleBox["n", "MR"],
  " does not have a value, so ",
  StyleBox["Table", "MR"],
  " is not able to evaluate properly."
}], "SolutionSubItem",
  CellTags->"IPM3.Sol.2.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(randLis4[n_] = Table[Random[], {n}]\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.2.2"],

Cell[BoxData[
    RowBox[{\(Table::"iterb"\), \(\(:\)\(\ \)\), "\<\"Iterator \\!\\({n}\\) \
does not have appropriate bounds. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::iterb\\\"]\\)\"\>"}]], "Message",
  CellLabel->"From In[10]:=",
  CellTags->"IPM3.Sol.2.2"],

Cell[BoxData[
    \(Table[Random[], {n}]\)], "Output",
  CellLabel->"Out[10]=",
  CellTags->"IPM3.Sol.2.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?randLis4\)\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.2.2"],

Cell["Global`randLis4", "Print",
  CellTags->{"Info3302765057-6746167", "IPM3.Sol.2.2"}],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {GridBox[{
                {\(randLis4[n_] = Table[Random[], {n}]\)}
                },
              GridBaseline->{Baseline, {1, 1}},
              ColumnWidths->0.999,
              ColumnAlignments->{Left}]}
          },
        GridBaseline->{Baseline, {1, 1}},
        ColumnAlignments->{Left}],
      Definition[ "randLis4"],
      Editable->False]], "Print",
  CellTags->{"Info3302765057-6746167", "IPM3.Sol.2.2"}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["2.3",
    ButtonData:>"IPM3.2.3.3",
    ButtonStyle->"SolutionsLink"],
  "  Predicates and Boolean operations"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.2.3"],

Cell["\<\
There are several ways to define this function, using either the relational \
operator for less than, or with the absolute value function.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.2.3"],

Cell[BoxData[
    \(f[x_] := \(-1\) < x < 1\)], "Input",
  CellLabel->"In[1]:="],

Cell[BoxData[
    \(f[x_] := Abs[x] < 1\)], "Input",
  CellLabel->"In[2]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(f[4]\)], "Input",
  CellLabel->"In[3]:="],

Cell[BoxData[
    \(False\)], "Output",
  CellLabel->"Out[3]="]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(f[\(-0.35\)]\)], "Input",
  CellLabel->"In[4]:="],

Cell[BoxData[
    \(True\)], "Output",
  CellLabel->"Out[4]="]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "A number ",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  " can be considered a natural number if it is an integer and greater than \
or equal to zero."
}], "SolutionItem",
  CellTags->"IPM3.Sol.2.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Positive[0]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.2.3"],

Cell[BoxData[
    \(False\)], "Output",
  CellLabel->"Out[5]=",
  CellTags->"IPM3.Sol.2.3"]
}, Closed]],

Cell[BoxData[
    \(NaturalQ[n_] := IntegerQ[n] && n \[GreaterEqual] 0\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.2.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(NaturalQ[0]\)], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.2.3"],

Cell[BoxData[
    \(True\)], "Output",
  CellLabel->"Out[7]=",
  CellTags->"IPM3.Sol.2.3"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(NaturalQ[\(-4\)]\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.2.3"],

Cell[BoxData[
    \(False\)], "Output",
  CellLabel->"Out[8]=",
  CellTags->"IPM3.Sol.2.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
The empty set is a subset of every set. So first we need a definition to \
cover this case.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.2.3"],

Cell[BoxData[
    \(SubsetQ[{}, lis2_] := True\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.2.3"],

Cell[TextData[{
  "The intersection of ",
  StyleBox["lis1", "MR"],
  " and ",
  StyleBox["lis2", "MR"],
  " will be identical to ",
  StyleBox["lis1", "MR"],
  " whenever ",
  StyleBox["lis1", "MR"],
  " is a subset of ",
  StyleBox["lis2", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.2.3"],

Cell[BoxData[
    \(SubsetQ[lis1_, lis2_] := Intersection[lis1, lis2] == lis1\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.2.3"],

Cell[BoxData[{
    \(\(A = {a, b, c};\)\), "\[IndentingNewLine]", 
    \(\(B = {a, b, c, d, e};\)\)}], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.2.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(SubsetQ[A, B]\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.2.3"],

Cell[BoxData[
    \(True\)], "Output",
  CellLabel->"Out[13]=",
  CellTags->"IPM3.Sol.2.3"]
}, Closed]],

Cell[TextData[{
  "We can also give a definition in terms of the subset character \[Subset] \
which can be entered by typing \[EscapeKey]-",
  StyleBox["sub", "MR"],
  "-\[EscapeKey] or by using one of the palettes."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.2.3"],

Cell[BoxData[
    \(lis1_ \[Subset] lis2_ := Intersection[lis1, lis2] == lis1\)], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.2.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(A \[Subset] B\)], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.2.3"],

Cell[BoxData[
    \(True\)], "Output",
  CellLabel->"Out[15]=",
  CellTags->"IPM3.Sol.2.3"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["  3 Lists", "SolutionsSection",
  CellTags->"c:3"],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["3.2",
    ButtonData:>"IPM3.3.2.3",
    ButtonStyle->"SolutionsLink"],
  "  Creating and measuring lists"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.3.2"],

Cell[CellGroupData[{

Cell[TextData[{
  "You can take every other element in the iterator list, or encode that in \
the function ",
  StyleBox["2j", "MR"],
  "."
}], "SolutionItem",
  CellTags->"IPM3.Sol.3.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Table[j, {i, 0, 8, 2}, {j, 0, i, 2}]\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.3.2"],

Cell[BoxData[
    \({{0}, {0, 2}, {0, 2, 4}, {0, 2, 4, 6}, {0, 2, 4, 6, 8}}\)], "Output",
  CellLabel->"Out[1]=",
  CellTags->"IPM3.Sol.3.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Table[2\ j, {i, 0, 4}, {j, 0, i}]\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.3.2"],

Cell[BoxData[
    \({{0}, {0, 2}, {0, 2, 4}, {0, 2, 4, 6}, {0, 2, 4, 6, 8}}\)], "Output",
  CellLabel->"Out[2]=",
  CellTags->"IPM3.Sol.3.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "This is probably the simplest way to generate random ",
  Cell[BoxData[
      \(TraditionalForm\`\(-1\)\)]],
  "s, 0s, and 1s."
}], "SolutionItem",
  CellTags->"IPM3.Sol.3.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Table[Random[Integer, {\(-1\), 1}], {10}]\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.3.2"],

Cell[BoxData[
    \({1, \(-1\), 1, 1, 1, \(-1\), 1, \(-1\), \(-1\), \(-1\)}\)], "Output",
  CellLabel->"Out[3]=",
  CellTags->"IPM3.Sol.3.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Here are three ways to generate the list.", "SolutionItem",
  CellTags->"IPM3.Sol.3.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Table[2\ Random[Integer] - 1, {10}]\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.3.2"],

Cell[BoxData[
    \({1, \(-1\), \(-1\), 
      1, \(-1\), \(-1\), \(-1\), \(-1\), \(-1\), \(-1\)}\)], "Output",
  CellLabel->"Out[4]=",
  CellTags->"IPM3.Sol.3.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Table[\((\(-1\))\)\^Random[Integer], {10}]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.3.2"],

Cell[BoxData[
    \({1, \(-1\), 1, 1, 1, 1, \(-1\), 1, 1, 1}\)], "Output",
  CellLabel->"Out[5]=",
  CellTags->"IPM3.Sol.3.2"]
}, Closed]],

Cell[TextData[{
  "The following solution will become clearer in the next section after we \
have discussed the ",
  StyleBox["Part", "MR"],
  " function in some detail."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \({1, \(-1\)}\[LeftDoubleBracket]
      Table[Random[Integer, {1, 2}], {10}]\[RightDoubleBracket]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.3.2"],

Cell[BoxData[
    \({1, \(-1\), 1, 1, 1, \(-1\), \(-1\), \(-1\), 1, \(-1\)}\)], "Output",
  CellLabel->"Out[6]=",
  CellTags->"IPM3.Sol.3.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "These lists can be generated with ",
  StyleBox["Table", "MR"],
  ", using two iterators in the second example."
}], "SolutionItem",
  CellTags->"IPM3.Sol.3.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Table[f[i], {i, 5}]\)], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.3.2"],

Cell[BoxData[
    \({f[1], f[2], f[3], f[4], f[5]}\)], "Output",
  CellLabel->"Out[7]=",
  CellTags->"IPM3.Sol.3.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Table[f[i, j], {i, 3}, {j, 4}]\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.3.2"],

Cell[BoxData[
    \({{f[1, 1], f[1, 2], f[1, 3], f[1, 4]}, {f[2, 1], f[2, 2], f[2, 3], 
        f[2, 4]}, {f[3, 1], f[3, 2], f[3, 3], f[3, 4]}}\)], "Output",
  CellLabel->"Out[8]=",
  CellTags->"IPM3.Sol.3.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
From the top level, there are two lists, each consisting of two sublists, \
each sublist consisting of two elements.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.3.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dimensions[{{{1, a}, {4, d}}, {{2, b}, {3, c}}}]\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.3.2"],

Cell[BoxData[
    \({2, 2, 2}\)], "Output",
  CellLabel->"Out[9]=",
  CellTags->"IPM3.Sol.3.2"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["3.3",
    ButtonData:>"IPM3.3.3.5",
    ButtonStyle->"SolutionsLink"],
  "  Manipulating lists"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.3.3"],

Cell[CellGroupData[{

Cell[TextData[{
  "The ",
  StyleBox["Position", "MR"],
  " function tells us that the 9s are located in the second sublist, first \
position, and in the fourth sublist, third position."
}], "SolutionItem",
  CellTags->"IPM3.Sol.3.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Position[{{2, 1, 10}, {9, 5, 7}, {2, 10, 4}, {10, 1, 9}, {6, 1, 6}}, 
      9]\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.3.3"],

Cell[BoxData[
    \({{2, 1}, {4, 3}}\)], "Output",
  CellLabel->"Out[1]=",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "This is a straightforward use of the ",
  StyleBox["Transpose", "MR"],
  " function."
}], "SolutionItem",
  CellTags->"IPM3.Sol.3.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Transpose[{{x1, y1}, {x2, y2}, {x3, y3}, {x4, y4}, {x5, 
          y5}}]\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.3.3"],

Cell[BoxData[
    \({{x1, x2, x3, x4, x5}, {y1, y2, y3, y4, y5}}\)], "Output",
  CellLabel->"Out[2]=",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Here is one way to do it. First create a list representing the directions.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.3.3"],

Cell[BoxData[
    \(\(NSEW = {{0, 1}, {0, \(-1\)}, {1, 0}, {\(-1\), 0}};\)\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.3.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Table[
      NSEW\[LeftDoubleBracket]Random[
          Integer, {1, 4}]\[RightDoubleBracket], {10}]\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.3.3"],

Cell[BoxData[
    \({{1, 0}, {0, \(-1\)}, {0, \(-1\)}, {0, 1}, {1, 0}, {1, 
        0}, {0, \(-1\)}, {\(-1\), 0}, {0, 1}, {1, 0}}\)], "Output",
  CellLabel->"Out[4]=",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
We first drop the first element in the list, then create a nested list of \
every other element in the remaining list, and finally unnest the resulting \
list.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.3.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Rest[{a, b, c, d, e, f, g}]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.3.3"],

Cell[BoxData[
    \({b, c, d, e, f, g}\)], "Output",
  CellLabel->"Out[5]=",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Partition[%, 1, 2]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.3.3"],

Cell[BoxData[
    \({{b}, {d}, {f}}\)], "Output",
  CellLabel->"Out[6]=",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Flatten[%]\)], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.3.3"],

Cell[BoxData[
    \({b, d, f}\)], "Output",
  CellLabel->"Out[7]=",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.3.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \({a, b, c, d}\[LeftDoubleBracket]{3, 2, 4, 
        1}\[RightDoubleBracket]\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.3.3"],

Cell[BoxData[
    \({c, b, d, a}\)], "Output",
  CellLabel->"Out[8]=",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.3.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Transpose[{{3, 2, 4, 1}, {a, b, c, d}}]\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.3.3"],

Cell[BoxData[
    \({{3, a}, {2, b}, {4, c}, {1, d}}\)], "Output",
  CellLabel->"Out[9]=",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Sort[%]\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.3.3"],

Cell[BoxData[
    \({{1, d}, {2, b}, {3, a}, {4, c}}\)], "Output",
  CellLabel->"Out[10]=",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Transpose[%]\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.3.3"],

Cell[BoxData[
    \({{1, 2, 3, 4}, {d, b, a, c}}\)], "Output",
  CellLabel->"Out[11]=",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(%\[LeftDoubleBracket]2\[RightDoubleBracket]\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.3.3"],

Cell[BoxData[
    \({d, b, a, c}\)], "Output",
  CellLabel->"Out[12]=",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["3.4",
    ButtonData:>"IPM3.3.4.2",
    ButtonStyle->"SolutionsLink"],
  "  Working with several lists"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.3.4"],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Join", "MR"],
  " expects lists as arguments."
}], "SolutionItem",
  CellTags->"IPM3.Sol.3.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Join[{z}, {x, y}]\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.3.4"],

Cell[BoxData[
    \({z, x, y}\)], "Output",
  CellLabel->"Out[1]=",
  CellTags->"IPM3.Sol.3.4"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
The trick here is partitioning the joined list so that you get every other \
element.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.3.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(expr = Join[{1, 2, 3, 4}, {a, b, c, d}]\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.3.4"],

Cell[BoxData[
    \({1, 2, 3, 4, a, b, c, d}\)], "Output",
  CellLabel->"Out[2]=",
  CellTags->"IPM3.Sol.3.4"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Rest[expr]\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.3.4"],

Cell[BoxData[
    \({2, 3, 4, a, b, c, d}\)], "Output",
  CellLabel->"Out[3]=",
  CellTags->"IPM3.Sol.3.4"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Partition[%, 1, 2]\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.3.4"],

Cell[BoxData[
    \({{2}, {4}, {b}, {d}}\)], "Output",
  CellLabel->"Out[4]=",
  CellTags->"IPM3.Sol.3.4"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Flatten[%]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.3.4"],

Cell[BoxData[
    \({2, 4, b, d}\)], "Output",
  CellLabel->"Out[5]=",
  CellTags->"IPM3.Sol.3.4"]
}, Closed]],

Cell[TextData[{
  "This can also be done using the ",
  StyleBox["Take", "MR"],
  " function."
}], "SolutionNoLabel"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Take[expr, {2, Length[expr], 2}]\)], "Input",
  CellLabel->"In[6]:="],

Cell[BoxData[
    \({2, 4, b, d}\)], "Output",
  CellLabel->"Out[6]="]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
This is another way of asking for all those elements that are in the union \
but not the intersection of the two sets.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.3.4"],

Cell[BoxData[{
    \(\(A = {a, b, c, d};\)\), "\[IndentingNewLine]", 
    \(\(B = {a, b, e, f};\)\)}], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.3.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Complement[A \[Union] B, A \[Intersection] B]\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.3.4"],

Cell[BoxData[
    \({c, d, e, f}\)], "Output",
  CellLabel->"Out[9]=",
  CellTags->"IPM3.Sol.3.4"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Complement[Union[A, B], Intersection[A, B]]\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.3.4"],

Cell[BoxData[
    \({c, d, e, f}\)], "Output",
  CellLabel->"Out[10]=",
  CellTags->"IPM3.Sol.3.4"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["3.5",
    ButtonData:>"IPM3.3.5.2",
    ButtonStyle->"SolutionsLink"],
  "  Strings and characters"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{

Cell["Here is a test string we will use for this exercise.", "SolutionItem",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(str = "\<this is a test string\>"\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \("this is a test string"\)], "Output",
  CellLabel->"Out[1]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[TextData[{
  "This extracts the first character from ",
  StyleBox["str", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(StringTake[str, 1]\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \("t"\)], "Output",
  CellLabel->"Out[2]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell["Here is its character code.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ToCharacterCode[%]\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \({116}\)], "Output",
  CellLabel->"Out[3]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell["\<\
For each lowercase letter of the English alphabet, subtracting 32 gives the \
corresponding uppercase character.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(% - 32\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \({84}\)], "Output",
  CellLabel->"Out[4]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell["Convert back to a character.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(FromCharacterCode[%]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \("T"\)], "Output",
  CellLabel->"Out[5]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell["Take the original string minus its first character.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(StringDrop[str, 1]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \("his is a test string"\)], "Output",
  CellLabel->"Out[6]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell["Finally, join the previous string with the capital T.", \
"SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(StringJoin[%%, %]\)], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \("This is a test string"\)], "Output",
  CellLabel->"Out[7]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
We first need to extract the character codes from this string.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(numstr = "\<73\>"\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \("73"\)], "Output",
  CellLabel->"Out[8]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ToCharacterCode[
        numstr]\)\[LeftDoubleBracket]1\[RightDoubleBracket]\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \(55\)], "Output",
  CellLabel->"Out[9]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(10\ \((% - 48)\)\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \(70\)], "Output",
  CellLabel->"Out[10]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ToCharacterCode[
        numstr]\)\[LeftDoubleBracket]2\[RightDoubleBracket]\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \(51\)], "Output",
  CellLabel->"Out[11]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(% - 48\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \(3\)], "Output",
  CellLabel->"Out[12]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(% + %%%\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \(73\)], "Output",
  CellLabel->"Out[13]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell["Here it is all put together in one line.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(10 \((\(ToCharacterCode[
                numstr]\)\[LeftDoubleBracket]1\[RightDoubleBracket] - 
            48)\) + \((\(ToCharacterCode[
              numstr]\)\[LeftDoubleBracket]2\[RightDoubleBracket] - 
          48)\)\)], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \(73\)], "Output",
  CellLabel->"Out[14]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[TextData[{
  "There is a built-in function for this task, ",
  StyleBox["ToExpression", "MR"],
  ". See the next exercise for details."
}], "SolutionNoLabel"]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(numb = ToCharacterCode["\<73\>"]\)], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \({55, 51}\)], "Output",
  CellLabel->"Out[15]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(numb - 48\)], "Input",
  CellLabel->"In[16]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \({7, 3}\)], "Output",
  CellLabel->"Out[16]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(8\ Part[%, 1] + Part[%, 2]\)], "Input",
  CellLabel->"In[17]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \(59\)], "Output",
  CellLabel->"Out[17]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell["\<\
Here is another approach that converts the single characters into regular \
expressions and then operates on those directly.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ToExpression[Characters["\<73\>"]]\)], "Input",
  CellLabel->"In[18]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \({7, 3}\)], "Output",
  CellLabel->"Out[18]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(8  First[%] + Last[%]\)], "Input",
  CellLabel->"In[19]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \(59\)], "Output",
  CellLabel->"Out[19]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["One approach converts the string to character codes.", "SolutionItem",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ToCharacterCode["\<10495\>"]\)], "Input",
  CellLabel->"In[20]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \({49, 48, 52, 57, 53}\)], "Output",
  CellLabel->"Out[20]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(% - 48\)], "Input",
  CellLabel->"In[21]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \({1, 0, 4, 9, 5}\)], "Output",
  CellLabel->"Out[21]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Reverse[Table[10\^j, {j, 0, 4}]]\)], "Input",
  CellLabel->"In[22]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \({10000, 1000, 100, 10, 1}\)], "Output",
  CellLabel->"Out[22]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(% . %%\)], "Input",
  CellLabel->"In[23]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \(10495\)], "Output",
  CellLabel->"Out[23]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[TextData[{
  "A direct approach uses ",
  StyleBox["ToExpression", "MR"],
  "."
}], "SolutionNoLabel"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ToExpression["\<10495\>"]\)], "Input",
  CellLabel->"In[24]:="],

Cell[BoxData[
    \(10495\)], "Output",
  CellLabel->"Out[24]="]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["First, consider the character code of a string.", "SolutionItem",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ToCharacterCode["\<best\>"]\)], "Input",
  CellLabel->"In[25]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \({98, 101, 115, 116}\)], "Output",
  CellLabel->"Out[25]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell["Then we need only know if this list of codes is in order.", \
"SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(OrderedQ[%]\)], "Input",
  CellLabel->"In[26]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \(True\)], "Output",
  CellLabel->"Out[26]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[TextData[{
  "So here is our Boolean function ",
  StyleBox["OrderedWordQ", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \(OrderedWordQ[w_String] := OrderedQ[ToCharacterCode[w]]\)], "Input",
  CellLabel->"In[27]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[TextData[{
  "Now we will find all the palindromic words in the dictionary file that \
comes with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  ". First we generate a platform-independent path to the dictionary file."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(wordfile = 
      ToFileName[{$InstallationDirectory, "\<Documentation\>", "\<English\>", \
"\<Demos\>", "\<DataFiles\>"}, "\<dictionary.dat\>"]\)], "Input",
  CellLabel->"In[28]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \("C:\\Program Files\\Wolfram \
Research\\Mathematica\\5.1\\Documentation\\English\\Demos\\DataFiles\\\
dictionary.dat"\)], "Output",
  CellLabel->"Out[28]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[TextData[{
  "Then we read the file using ",
  StyleBox["ReadList", "MR"],
  ", specifying the type of data we are reading in as a ",
  StyleBox["Word", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \(\(words = ReadList[wordfile, Word];\)\)], "Input",
  CellLabel->"In[29]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[TextData[{
  "Finally, we select those elements from the list ",
  StyleBox["words", "MR"],
  " that pass the ",
  StyleBox["OrderedWordQ", "MR"],
  " test."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Select[words, OrderedWordQ] // Shallow\)], "Input",
  CellLabel->"In[30]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \({"a", "AAA", "AAAS", "abbe", "abbey", "abbot", "Abbott", "abc", "Abe", 
      "Abel", \[LeftSkeleton]565\[RightSkeleton]}\)], "Output",
  CellLabel->"Out[30]//Shallow=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Here is the function that checks if a string is a palindrome.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \(PalindromeQ[str_String] := StringReverse[str] == str\)], "Input",
  CellLabel->"In[31]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(PalindromeQ["\<mood\>"]\)], "Input",
  CellLabel->"In[32]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \(False\)], "Output",
  CellLabel->"Out[32]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(PalindromeQ["\<PoP\>"]\)], "Input",
  CellLabel->"In[33]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \(True\)], "Output",
  CellLabel->"Out[33]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[BoxData[
    \(PalindromeQ[num_Integer] := PalindromeQ[ToString[num]]\)], "Input",
  CellLabel->"In[34]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(PalindromeQ[12522521]\)], "Input",
  CellLabel->"In[35]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \(True\)], "Output",
  CellLabel->"Out[35]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[TextData[{
  "Create a path to the file ",
  StyleBox["dictionary.dat", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(dictfile = 
      ToFileName[{$BaseDirectory, "\<Applications\>", "\<IPM3\>", \
"\<DataFiles\>"}, "\<dictionary.dat\>"]\)], "Input",
  CellLabel->"In[36]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \("C:\\Documents and Settings\\All Users\\Application \
Data\\Mathematica\\Applications\\IPM3\\DataFiles\\dictionary.dat"\)], "Output",\

  CellLabel->"Out[36]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell["Import the file.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \(\(words = Import[dictfile, "\<Words\>"];\)\)], "Input",
  CellLabel->"In[37]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Select[words, PalindromeQ]\)], "Input",
  CellLabel->"In[38]:=",
  CellTags->"IPM3.Sol.3.5"],

Cell[BoxData[
    \({"a", "AAA", "ABA", "ala", "AMA", "ana", "b", "bib", "bob", "bub", "c", 
      "CDC", "civic", "d", "dad", "deed", "did", "DOD", "dud", "e", "eke", 
      "ere", "eve", "ewe", "eye", "f", "g", "gag", "gig", "gog", "h", "huh", 
      "i", "ii", "iii", "j", "k", "l", "level", "m", "madam", "minim", "mum", 
      "n", "non", "noon", "nun", "o", "p", "pap", "PDP", "peep", "pep", 
      "pip", "poop", "pop", "pup", "q", "r", "radar", "refer", "rever", 
      "rotor", "s", "sis", "s's", "t", "tat", "teet", "tenet", "tit", "TNT", 
      "toot", "tot", "u", "v", "w", "wow", "x", "y", "z"}\)], "Output",
  CellLabel->"Out[38]=",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["  4 Functional programming", "SolutionsSection",
  CellTags->"c:4"],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["4.2",
    ButtonData:>"IPM3.4.2.6",
    ButtonStyle->"SolutionsLink"],
  "  Functions for manipulating expressions"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{

Cell["Here is a sample set of pairs of numbers.", "SolutionItem",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \(\(data = {{1, 2}, {2, 3}, {3, 4}, {4, 5}, {5, 6}};\)\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[TextData[{
  "The ",
  StyleBox["pairSum", "MR"],
  " function can be written simply as:"
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \(addPair[{x_, y_}] := x + y\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[TextData[{
  "Finally we map ",
  StyleBox["pairSum", "MR"],
  " across data."
}], "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[addPair, data]\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \({3, 5, 7, 9, 11}\)], "Output",
  CellLabel->"Out[3]=",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Here is a sample set of pairs of numbers.", "SolutionItem",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \(\(data = {{1, 2}, {2, 3}, {3, 4}, {4, 5}, {5, 6}};\)\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[TextData[{
  "Since ",
  StyleBox["Apply", "MR"],
  " normally works at level 0, we need to give it a third argument to get it \
to apply ",
  StyleBox["Plus", "MR"],
  " at level 1."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Apply[Plus, data, {1}]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \({3, 5, 7, 9, 11}\)], "Output",
  CellLabel->"Out[5]=",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
First you need to transpose the matrix and then reverse the pairs.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(lis = {{1, 2, 3}, {4, 5, 6}}\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \({{1, 2, 3}, {4, 5, 6}}\)], "Output",
  CellLabel->"Out[6]=",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Transpose[lis]\)], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \({{1, 4}, {2, 5}, {3, 6}}\)], "Output",
  CellLabel->"Out[7]=",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[Reverse, %]\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \({{4, 1}, {5, 2}, {6, 3}}\)], "Output",
  CellLabel->"Out[8]=",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[TextData[{
  "This can also be accomplished using ",
  StyleBox["Thread", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[Reverse, Thread[lis]]\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \({{4, 1}, {5, 2}, {6, 3}}\)], "Output",
  CellLabel->"Out[9]=",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "This can be done either in two steps, or by using the ",
  StyleBox["Inner", "MR"],
  " function."
}], "SolutionItem",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Transpose[{{1, 2}, {3, 4}}]\ {x, y}\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \({{x, 3\ x}, {2\ y, 4\ y}}\)], "Output",
  CellLabel->"Out[10]=",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Apply[Plus, %]\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \({x + 2\ y, 3\ x + 4\ y}\)], "Output",
  CellLabel->"Out[11]=",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Inner[Times, {{1, 2}, {3, 4}}, {x, y}, Plus]\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \({x + 2\ y, 3\ x + 4\ y}\)], "Output",
  CellLabel->"Out[12]=",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "To get down to the second level of nested lists, you have to use a second \
argument to ",
  StyleBox["Apply", "MR"],
  "."
}], "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(facs = FactorInteger[3628800]\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \({{2, 8}, {3, 4}, {5, 2}, {7, 1}}\)], "Output",
  CellLabel->"Out[13]=",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Apply[Power, facs, 2]\)], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \({256, 81, 25, 7}\)], "Output",
  CellLabel->"Out[14]=",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[TextData[{
  "One more use of ",
  StyleBox["Apply", "MR"],
  " is needed to multiply these terms."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Apply[Times, %]\)], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \(3628800\)], "Output",
  CellLabel->"Out[15]=",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell["Here is a function that puts this all together.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \(ExpandFactors[lis_] := Apply[Times, Apply[Power, lis, 2]]\)], "Input",
  CellLabel->"In[16]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(FactorInteger[295232799039604140847618609643520000000]\)], "Input",
  CellLabel->"In[17]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \({{2, 32}, {3, 15}, {5, 7}, {7, 4}, {11, 3}, {13, 2}, {17, 2}, {19, 
        1}, {23, 1}, {29, 1}, {31, 1}}\)], "Output",
  CellLabel->"Out[17]=",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ExpandFactors[%]\)], "Input",
  CellLabel->"In[18]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \(295232799039604140847618609643520000000\)], "Output",
  CellLabel->"Out[18]=",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[TextData[{
  "Another approach would be to use ",
  StyleBox["Transpose", "MR"],
  " to separate the bases from their exponents, then use ",
  StyleBox["MapThread", "MR"],
  " to raise each base to the corresponding exponent."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Transpose[facs]\)], "Input",
  CellLabel->"In[19]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \({{2, 3, 5, 7}, {8, 4, 2, 1}}\)], "Output",
  CellLabel->"Out[19]=",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MapThread[Power, %]\)], "Input",
  CellLabel->"In[20]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \({256, 81, 25, 7}\)], "Output",
  CellLabel->"Out[20]=",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[TextData[{
  "Finally, apply ",
  StyleBox["Times", "MR"],
  " to the list."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Apply[Times, %]\)], "Input",
  CellLabel->"In[21]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \(3628800\)], "Output",
  CellLabel->"Out[21]=",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[BoxData[
    \(ExpandFactors2[lis_] := 
      Apply[Times, MapThread[Power, Transpose[lis]]]\)], "Input",
  CellLabel->"In[22]:=",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Here is a factorization we can use to work through this problem.\
\>", "SolutionItem"],

Cell[CellGroupData[{

Cell[BoxData[
    \(facs = FactorInteger[\(10!\)]\)], "Input",
  CellLabel->"In[23]:="],

Cell[BoxData[
    \({{2, 8}, {3, 4}, {5, 2}, {7, 1}}\)], "Output",
  CellLabel->"Out[23]="]
}, Closed]],

Cell["First we extract the prime bases and their exponents.", \
"SolutionNoLabel"],

Cell[CellGroupData[{

Cell[BoxData[
    \(bases = \(Transpose[facs]\)[\([1]\)]\)], "Input",
  CellLabel->"In[24]:="],

Cell[BoxData[
    \({2, 3, 5, 7}\)], "Output",
  CellLabel->"Out[24]="]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(exponents = \(Transpose[facs]\)[\([2]\)]\)], "Input",
  CellLabel->"In[25]:="],

Cell[BoxData[
    \({8, 4, 2, 1}\)], "Output",
  CellLabel->"Out[25]="]
}, Closed]],

Cell[TextData[{
  "Here then is the inner product, threading ",
  StyleBox["Power", "MR"],
  " over the lists and then multiplying the resulting terms with ",
  StyleBox["Times", "MR"],
  "."
}], "SolutionNoLabel"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Inner[Power, bases, exponents, Times]\)], "Input",
  CellLabel->"In[26]:="],

Cell[BoxData[
    \(3628800\)], "Output",
  CellLabel->"Out[26]="]
}, Closed]],

Cell["Here is a function that combines these steps.", "SolutionNoLabel"],

Cell[BoxData[
    \(ExpandFactors3[lis_] := 
      Module[{facs = Transpose[lis]}, \[IndentingNewLine]Inner[Power, 
          facs[\([1]\)], facs[\([2]\)], Times]]\)], "Input",
  CellLabel->"In[27]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(ExpandFactors3[facs]\)], "Input",
  CellLabel->"In[28]:="],

Cell[BoxData[
    \(3628800\)], "Output",
  CellLabel->"Out[28]="]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "If we first look at a symbolic result, we should be able to see how to \
construct our function. For three vectors and three variables, here is the \
divergence (think of ",
  StyleBox["d", "MR"],
  " as the derivative operator)."
}], "SolutionItem",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{"Inner", "[", 
      RowBox[{
        StyleBox["d",
          "Color2"], ",", \({e1, e2, e3}\), ",", \({v1, v2, v3}\), ",", 
        "Plus"}], "]"}]], "Input",
  CellLabel->"In[29]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \(d[e1, v1] + d[e2, v2] + d[e3, v3]\)], "Output",
  CellLabel->"Out[29]=",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell["So for arbitrary-length vectors and variables, we have:", \
"SolutionNoLabel",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \(div[vecs_, vars_] := Inner[D, vecs, vars, Plus]\)], "Input",
  CellLabel->"In[30]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell["\<\
As a check, we can compute the divergence of the standard gravitational or \
electric force field, which should be 0.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(div[{x, y, z}/\((x\^2 + y\^2 + z\^2)\)\^\(3/2\), {x, y, z}]\)], "Input",\

  CellLabel->"In[31]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \(\(-\(\(3\ x\^2\)\/\((x\^2 + y\^2 + z\^2)\)\^\(5/2\)\)\) - \(3\ y\^2\)\/\
\((x\^2 + y\^2 + z\^2)\)\^\(5/2\) - \(3\ z\^2\)\/\((x\^2 + y\^2 + \
z\^2)\)\^\(5/2\) + 3\/\((x\^2 + y\^2 + z\^2)\)\^\(3/2\)\)], "Output",
  CellLabel->"Out[31]=",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[%]\)], "Input",
  CellLabel->"In[32]:=",
  CellTags->"IPM3.Sol.4.2"],

Cell[BoxData[
    \(0\)], "Output",
  CellLabel->"Out[32]=",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell["\<\
Finally, we should note that this definition of divergence is a bit delicate \
as we are doing no argument checking at this point. For example, it would be \
sensible to insure that the length of the vector list is the same as the \
length of the variable list before starting the computation. The reader \
should refer to Chapter 6 for a discussion of how to use pattern matching to \
deal with this issue.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["4.3",
    ButtonData:>"IPM3.4.3.2",
    ButtonStyle->"SolutionsLink"],
  "  Iterating functions"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.4.3"],

Cell[CellGroupData[{

Cell["First we generate the step directions.", "SolutionItem",
  CellTags->"IPM3.Sol.4.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Table[\((\(-1\))\)\^Random[Integer], {10}]\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.4.3"],

Cell[BoxData[
    \({1, 1, 1, \(-1\), \(-1\), \(-1\), 1, \(-1\), 1, 1}\)], "Output",
  CellLabel->"Out[1]=",
  CellTags->"IPM3.Sol.4.3"]
}, Closed]],

Cell["\<\
Then, starting at 0, the fold operation generates the locations.\
\>", "SolutionNoLabel"],

Cell[CellGroupData[{

Cell[BoxData[
    \(FoldList[Plus, 0, %]\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.4.3"],

Cell[BoxData[
    \({0, 1, 2, 3, 2, 1, 0, 1, 0, 1, 2}\)], "Output",
  CellLabel->"Out[2]=",
  CellTags->"IPM3.Sol.4.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
We can use the method of generating a list of step locations that was shown \
in an earlier exercise.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.4.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \({{1, 0}, {\(-1\), 0}, {0, 1}, {0, \(-1\)}}\[LeftDoubleBracket]
      Table[Random[Integer, {1, 4}], {10}]\[RightDoubleBracket]\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.4.3"],

Cell[BoxData[
    \({{0, \(-1\)}, {1, 0}, {0, 1}, {0, \(-1\)}, {0, 1}, {0, 1}, {0, 
        1}, {0, \(-1\)}, {\(-1\), 0}, {\(-1\), 0}}\)], "Output",
  CellLabel->"Out[3]=",
  CellTags->"IPM3.Sol.4.3"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(FoldList[Plus, {0, 0}, %]\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.4.3"],

Cell[BoxData[
    \({{0, 0}, {0, \(-1\)}, {1, \(-1\)}, {1, 0}, {1, \(-1\)}, {1, 0}, {1, 
        1}, {1, 2}, {1, 1}, {0, 1}, {\(-1\), 1}}\)], "Output",
  CellLabel->"Out[4]=",
  CellTags->"IPM3.Sol.4.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Starting with 1, we want to fold the ",
  StyleBox["Times", "MR"],
  " functions across the first ",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  " integers."
}], "SolutionItem",
  CellTags->"IPM3.Sol.4.3"],

Cell[BoxData[
    \(fac[n_] := Fold[Times, 1, Range[n]]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.4.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(fac[10]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.4.3"],

Cell[BoxData[
    \(3628800\)], "Output",
  CellLabel->"Out[6]=",
  CellTags->"IPM3.Sol.4.3"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["4.4",
    ButtonData:>"IPM3.4.4.3",
    ButtonStyle->"SolutionsLink"],
  "  Programs as functions"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.4.4"],

Cell[CellGroupData[{

Cell[TextData[{
  "The obvious way to do this is to take the list and simply pick out \
elements at random locations. ",
  StyleBox["Note",
    FontSlant->"Italic"],
  ": the right-most location in the list is given by ",
  StyleBox["Length[", "MR"],
  Cell[BoxData[
      FormBox[
        StyleBox["lis",
          FontSlant->"Italic"], TraditionalForm]]],
  StyleBox["]", "MR"],
  ", using the built-in ",
  StyleBox["Part", "MR"],
  " and ",
  StyleBox["Random", "MR"],
  " functions."
}], "SolutionItem",
  CellTags->"IPM3.Sol.4.4"],

Cell[BoxData[
    \(chooseWithReplacement[lis_, n_] := 
      lis\[LeftDoubleBracket]Table[
          Random[Integer, {1, 
              Length[lis]}], {n}]\[RightDoubleBracket]\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.4.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(chooseWithReplacement[{a, b, c, d, e, f, g, h}, 3]\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.4.4"],

Cell[BoxData[
    \({f, e, c}\)], "Output",
  CellLabel->"Out[2]=",
  CellTags->"IPM3.Sol.4.4"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Here is our user-defined ",
  StyleBox["stringInsert", "MR"],
  "."
}], "SolutionItem",
  CellTags->"IPM3.Sol.4.4"],

Cell[BoxData[
    \(stringInsert[str1_, str2_, pos_] := 
      FromCharacterCode[
        Join[Take[ToCharacterCode[str1], pos - 1], ToCharacterCode[str2], 
          Drop[ToCharacterCode[str1], pos - 1]]]\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.4.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(stringInsert["\<Joy world\>", "\<to the \>", 5]\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.4.4"],

Cell[BoxData[
    \("Joy to the world"\)], "Output",
  CellLabel->"Out[4]=",
  CellTags->"IPM3.Sol.4.4"]
}, Closed]],

Cell[BoxData[
    \(stringDrop[str_, pos_] := 
      FromCharacterCode[Drop[ToCharacterCode[str], pos]]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.4.4"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "There are many ways of defining this function. Here we take advantage of \
the fact that if ",
  StyleBox["p", "MR"],
  " and ",
  StyleBox["q", "MR"],
  " are each lists of two numbers, then ",
  StyleBox["p-q", "MR"],
  " will subtract element-wise."
}], "SolutionItem",
  CellTags->"IPM3.Sol.4.4"],

Cell[BoxData[
    \(distance[pt1_, 
        pt2_] := \[Sqrt]Apply[Plus, \((pt1 - pt2)\)\^2]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.4.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(distance[{2, 5}, {6, 8}]\)], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.4.4"],

Cell[BoxData[
    \(5\)], "Output",
  CellLabel->"Out[7]=",
  CellTags->"IPM3.Sol.4.4"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "We assume that ",
  StyleBox["lis1", "MR"],
  " is longer than ",
  StyleBox["lis2", "MR"],
  " and pair off the corresponding elements in the lists and then tack on the \
leftover elements from ",
  StyleBox["lis1.", "MR"]
}], "SolutionItem",
  CellTags->"IPM3.Sol.4.4"],

Cell[BoxData[
    \(interLeave2[lis1_, lis2_] := 
      Flatten[Join[Transpose[{lis2, Take[lis1, Length[lis2]]}], 
          Take[lis1, Length[lis2] - Length[lis1]]]]\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.4.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(interLeave2[{a, b, c, d}, {1, 2, 3}]\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.4.4"],

Cell[BoxData[
    \({1, a, 2, b, 3, c, d}\)], "Output",
  CellLabel->"Out[9]=",
  CellTags->"IPM3.Sol.4.4"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
After creating the card deck, we cut it in half and interleave the two \
halves.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.4.4"],

Cell[BoxData[
    \(\(cardDeck = 
        Flatten[Outer[
            List, {\[ClubSuit], \[DiamondSuit], \[HeartSuit], \[SpadeSuit]}, 
            Join[Range[2, 10], {J, Q, K, A}]], 1];\)\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.4.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Flatten[Transpose[Partition[cardDeck, 26]], 1]\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.4.4"],

Cell[BoxData[
    \({{\[ClubSuit], 2}, {\[HeartSuit], 2}, {\[ClubSuit], 3}, {\[HeartSuit], 
        3}, {\[ClubSuit], 4}, {\[HeartSuit], 4}, {\[ClubSuit], 
        5}, {\[HeartSuit], 5}, {\[ClubSuit], 6}, {\[HeartSuit], 
        6}, {\[ClubSuit], 7}, {\[HeartSuit], 7}, {\[ClubSuit], 
        8}, {\[HeartSuit], 8}, {\[ClubSuit], 9}, {\[HeartSuit], 
        9}, {\[ClubSuit], 10}, {\[HeartSuit], 10}, {\[ClubSuit], 
        J}, {\[HeartSuit], J}, {\[ClubSuit], Q}, {\[HeartSuit], 
        Q}, {\[ClubSuit], K}, {\[HeartSuit], K}, {\[ClubSuit], 
        A}, {\[HeartSuit], A}, {\[DiamondSuit], 2}, {\[SpadeSuit], 
        2}, {\[DiamondSuit], 3}, {\[SpadeSuit], 3}, {\[DiamondSuit], 
        4}, {\[SpadeSuit], 4}, {\[DiamondSuit], 5}, {\[SpadeSuit], 
        5}, {\[DiamondSuit], 6}, {\[SpadeSuit], 6}, {\[DiamondSuit], 
        7}, {\[SpadeSuit], 7}, {\[DiamondSuit], 8}, {\[SpadeSuit], 
        8}, {\[DiamondSuit], 9}, {\[SpadeSuit], 9}, {\[DiamondSuit], 
        10}, {\[SpadeSuit], 10}, {\[DiamondSuit], J}, {\[SpadeSuit], 
        J}, {\[DiamondSuit], Q}, {\[SpadeSuit], Q}, {\[DiamondSuit], 
        K}, {\[SpadeSuit], K}, {\[DiamondSuit], A}, {\[SpadeSuit], 
        A}}\)], "Output",
  CellLabel->"Out[11]=",
  CellTags->"IPM3.Sol.4.4"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "First, here is how we might write our own ",
  StyleBox["StringJoin", "MR"],
  "."
}], "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.4.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(FromCharacterCode[
      Join[ToCharacterCode["\<To be, \>"], 
        ToCharacterCode["\<or not to be\>"]]]\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.4.4"],

Cell[BoxData[
    \("To be, or not to be"\)], "Output",
  CellLabel->"Out[12]=",
  CellTags->"IPM3.Sol.4.4"]
}, Closed]],

Cell[TextData[{
  "And here is a how we might implement a ",
  StyleBox["StringReverse", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(FromCharacterCode[Reverse[ToCharacterCode[%]]]\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.4.4"],

Cell[BoxData[
    \("eb ot ton ro ,eb oT"\)], "Output",
  CellLabel->"Out[13]=",
  CellTags->"IPM3.Sol.4.4"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["4.5",
    ButtonData:>"IPM3.4.5.5",
    ButtonStyle->"SolutionsLink"],
  "  Auxiliary functions"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{

Cell[TextData[{
  "In the first definition, we only use one auxiliary function inside the ",
  StyleBox["Module", "MR"],
  "."
}], "SolutionItem",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \(latticeWalk1[n_] := 
      Module[{steps}, \[IndentingNewLine]steps[
            m_] := {{1, 0}, {\(-1\), 0}, {0, 
                1}, {0, \(-1\)}}\[LeftDoubleBracket]
            Table[Random[Integer, {1, 4}], {m}]\[RightDoubleBracket]; 
        FoldList[Plus, {0, 0}, steps[n]]]\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(latticeWalk1[10]\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \({{0, 0}, {0, 1}, {0, 0}, {\(-1\), 0}, {\(-1\), 1}, {0, 1}, {1, 1}, {2, 
        1}, {1, 1}, {0, 1}, {0, 0}}\)], "Output",
  CellLabel->"Out[2]=",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],

Cell["\<\
Here we use two auxiliary functions, making the code a bit easier to read.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \(latticeWalk2[n_] := 
      Module[{choices, steps}, 
        choices = {{1, 0}, {\(-1\), 0}, {0, 1}, {0, \(-1\)}}; 
        steps[m_] := 
          choices\[LeftDoubleBracket]Table[
              Random[Integer, {1, 4}], {m}]\[RightDoubleBracket]; 
        FoldList[Plus, {0, 0}, steps[n]]]\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(latticeWalk2[10]\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \({{0, 0}, {0, 1}, {1, 1}, {2, 1}, {3, 1}, {4, 1}, {5, 1}, {4, 1}, {5, 
        1}, {5, 2}, {4, 2}}\)], "Output",
  CellLabel->"Out[4]=",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "The following function creates a local function ",
  StyleBox["perfectQ", "MR"],
  " using the ",
  StyleBox["Module", "MR"],
  " construct. It then checks every other number between ",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  " and ",
  Cell[BoxData[
      \(TraditionalForm\`m\)]],
  " by using a third argument to the ",
  StyleBox["Range", "MR"],
  " function. "
}], "SolutionItem",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \(PerfectSearch[n_, m_] := 
      Module[{perfectQ}, \[IndentingNewLine]perfectQ[j_] := 
          Apply[Plus, Divisors[j]] == 2\ j; 
        Select[Range[n, m, 2], perfectQ]]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(PerfectSearch[2, 1000]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \({6, 28, 496}\)], "Output",
  CellLabel->"Out[6]=",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],

Cell[TextData[{
  "This function does not guard against the user supplying \
\[OpenCurlyDoubleQuote]bad\[CloseCurlyDoubleQuote] inputs. For example, if \
the user starts with an odd number, then this version of ",
  StyleBox["PerfectSearch", "MR"],
  " will check every other odd number, and, since it is known that there are \
no odd numbers below at least ",
  Cell[BoxData[
      \(TraditionalForm\`10\^300\)]],
  ", none is reported."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{

Cell["PerfectSearch[1, 1000]", "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \({}\)], "Output",
  CellLabel->"Out[7]=",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],

Cell[TextData[{
  "You can fix this situation by using the (as yet unproved) assumption that \
there are ",
  StyleBox["no",
    FontSlant->"Italic"],
  " odd perfect numbers. This next version first checks that the first \
argument is an even number."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \(Clear[PerfectSearch]\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \(PerfectSearch[n_?EvenQ, m_] := 
      Module[{perfectQ}, \[IndentingNewLine]perfectQ[j_] := 
          Apply[Plus, Divisors[j]] == 2\ j; 
        Select[Range[n, m, 2], perfectQ]]\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell["Now, the function only works if the first argument is even.", \
"SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(PerfectSearch[2, 1000]\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \({6, 28, 496}\)], "Output",
  CellLabel->"Out[10]=",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(PerfectSearch[1, 1000]\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \(PerfectSearch[1, 1000]\)], "Output",
  CellLabel->"Out[11]=",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "This only requires a slight change to the code from the ",
  StyleBox["PerfectSearch", "MR"],
  " function from the previous exercise."
}], "SolutionItem",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \(PerfectSearch[n_, m_, 3] := 
      Module[{perfectQ}, \[IndentingNewLine]perfectQ[j_] := 
          Apply[Plus, Divisors[j]] == 3\ j; 
        Select[Range[n, m], perfectQ]]\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[TextData[{
  "It appears as if there are only three 3-perfect numbers below ",
  Cell[BoxData[
      \(TraditionalForm\`10\^6\)]],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(PerfectSearch[1, 10\^6, 3]\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \({120, 672, 523776}\)], "Output",
  CellLabel->"Out[13]=",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Again, this function only requires a slight modification from that for the \
",
  StyleBox["PerfectSearch", "MR"],
  " function above."
}], "SolutionItem",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \(PerfectSearch[n_, m_, 4] := 
      Module[{perfectQ}, \[IndentingNewLine]perfectQ[j_] := 
          Apply[Plus, Divisors[j]] == 4\ j; 
        Select[Range[n, m], perfectQ]]\)], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell["\<\
The following computation can be quite time consuming and requires a fair \
amount of memory to run to completion. If your computer\[CloseCurlyQuote]s \
resources are limited, you should split up the search intervals into smaller \
units.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(PerfectSearch[1, 2200000, 4] // Timing\)], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \({54.76900000000002`\ Second, {30240, 32760, 2178540}}\)], "Output",
  CellLabel->"Out[15]=",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["This function requires a third argument.", "SolutionItem",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[{
    \(\(Clear[PerfectSearch];\)\), "\[IndentingNewLine]", 
    \(PerfectSearch[n_, m_, k_] := 
      Module[{perfectQ}, \[IndentingNewLine]perfectQ[j_] := 
          Apply[Plus, Divisors[j]] == k\ j; 
        Select[Range[n, m], perfectQ]]\)}], "Input",
  CellLabel->"In[16]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(PerfectSearch[1, 100, 2]\)], "Input",
  CellLabel->"In[18]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \({6, 28}\)], "Output",
  CellLabel->"Out[18]=",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
This function will require two auxiliary functions, the function \[Sigma] and \
a predicate to determine whether a number is super-perfect.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \(SuperPerfectSearch[a_, b_] := 
      Module[{sigma, superQ}, \[IndentingNewLine]sigma[n_] := 
          Apply[Plus, Divisors[n]]; 
        superQ[n_] := Nest[sigma, n, 2] == 2\ n; \[IndentingNewLine]Select[
          Range[a, b], superQ]]\)], "Input",
  CellLabel->"In[19]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell["Here, then, are all super-perfect numbers less than 100,000.", \
"SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(SuperPerfectSearch[1, 100000]\)], "Input",
  CellLabel->"In[20]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \({2, 4, 16, 64, 4096, 65536}\)], "Output",
  CellLabel->"Out[20]=",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Many implementations are possible for ",
  StyleBox["convertToDate", "MR"],
  ". We show here a version that uses string manipulation. First we extract \
the digits from the 8-digit number."
}], "SolutionItem",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(d = IntegerDigits[20030515]\)], "Input",
  CellLabel->"In[21]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \({2, 0, 0, 3, 0, 5, 1, 5}\)], "Output",
  CellLabel->"Out[21]=",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],

Cell["The first four digits give us the year.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(d[\([Range[4]]\)]\)], "Input",
  CellLabel->"In[22]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \({2, 0, 0, 3}\)], "Output",
  CellLabel->"Out[22]=",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],

Cell["\<\
Here is a function that takes a list of digits, converts them to strings, \
concatenates them into one string, and then converts that into a number.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \(convert[str_] := 
      ToExpression[StringJoin[Map[ToString, str]]]\)], "Input",
  CellLabel->"In[23]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(convert[d[\([Range[4]]\)]]\)], "Input",
  CellLabel->"In[24]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \(2003\)], "Output",
  CellLabel->"Out[24]=",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Head[%]\)], "Input",
  CellLabel->"In[25]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \(Integer\)], "Output",
  CellLabel->"Out[25]=",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],

Cell[TextData[{
  "Using ",
  StyleBox["convert", "MR"],
  ", here are the auxiliary functions to extract the year, month, and day as \
numbers."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \(year[str_] := convert[str[\([Range[4]]\)]]\)], "Input",
  CellLabel->"In[26]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(year[d]\)], "Input",
  CellLabel->"In[27]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \(2003\)], "Output",
  CellLabel->"Out[27]=",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],

Cell[BoxData[
    \(month[str_] := convert[str[\([{5, 6}]\)]]\)], "Input",
  CellLabel->"In[28]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(month[d]\)], "Input",
  CellLabel->"In[29]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \(5\)], "Output",
  CellLabel->"Out[29]=",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],

Cell[BoxData[
    \(day[str_] := convert[str[\([{7, 8}]\)]]\)], "Input",
  CellLabel->"In[30]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(day[d]\)], "Input",
  CellLabel->"In[31]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \(15\)], "Output",
  CellLabel->"Out[31]=",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],

Cell[TextData[{
  "And here are all the pieces put together in the function ",
  StyleBox["convertToDate", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \(convertToDate[n_] := 
      Module[{d, convert, year, month, day}, \[IndentingNewLine]d = 
          IntegerDigits[n]; \[IndentingNewLine]convert[st_] := 
          ToExpression[
            StringJoin[Map[ToString, st]]]; \[IndentingNewLine]year[st_] := 
          convert[st[\([Range[4]]\)]]; \[IndentingNewLine]month[st_] := 
          convert[st[\([{5, 6}]\)]]; \[IndentingNewLine]day[st_] := 
          convert[st[\([{7, 8}]\)]]; \[IndentingNewLine]{year[d], month[d], 
          day[d]}]\)], "Input",
  CellLabel->"In[32]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(convertToDate[20030515]\)], "Input",
  CellLabel->"In[33]:=",
  CellTags->"IPM3.Sol.4.5"],

Cell[BoxData[
    \({2003, 5, 15}\)], "Output",
  CellLabel->"Out[33]=",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["4.6",
    ButtonData:>"IPM3.4.6.2",
    ButtonStyle->"SolutionsLink"],
  "  Pure functions"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[TextData[{
  "This function adds the squares of the elements in ",
  StyleBox["lis", "MR"],
  "."
}], "SolutionItem",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(elementsSquared[lis_] := Apply[Plus, lis\^2]\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(elementsSquared[{3, 29, 2, 17}]\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(1143\)], "Output",
  CellLabel->"Out[2]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],

Cell["Using a pure function, this becomes:", "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Function[lis, Apply[Plus, lis\^2]]\)[{3, 29, 2, 17}]\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(1143\)], "Output",
  CellLabel->"Out[3]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],

Cell["or simply,", "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Apply[Plus, #\^2] &\)[{3, 29, 2, 17}]\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(1143\)], "Output",
  CellLabel->"Out[4]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Here is the function that sums the digits of any integer.", \
"SolutionItem",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(sumdigits[x_Integer] := Apply[Plus, IntegerDigits[x]]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(sumdigits[629]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(17\)], "Output",
  CellLabel->"Out[6]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],

Cell["Using a pure function, this becomes:", "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Function[x, Apply[Plus, IntegerDigits[x]]]\)[629]\)], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(17\)], "Output",
  CellLabel->"Out[7]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Apply[Plus, IntegerDigits[#]] &\)[629]\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(17\)], "Output",
  CellLabel->"Out[8]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["First, here is the distance function.", "SolutionItem",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(distance[pt1_, pt2_] := \@Apply[Plus, \((pt1 - pt2)\)\^2]\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell["Here are some sample points.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(points = Table[Random[], {5}, {2}]\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \({{0.40812276270676623`, 0.11052899251593558`}, {0.6407049670352951`, 
        0.22708462782415234`}, {0.6058184603449979`, 
        0.0746149985509996`}, {0.8680531335696445`, 
        0.3028037153320046`}, {0.38126731355756516`, 
        0.6660497456748149`}}\)], "Output",
  CellLabel->"Out[10]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],

Cell["\<\
Just as a check, this computes the distance between the first and second \
points in our list.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(distance[points[\([1]\)], points[\([2]\)]]\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(0.26015322003084945`\)], "Output",
  CellLabel->"Out[11]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],

Cell["\<\
Now we need the distance between every pair of points. So we first create the \
set of pairs.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(\(pairs = Distribute[{points, points}, List];\)\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[TextData[{
  "Then we apply the ",
  StyleBox["distance", "MR"],
  " function and take the ",
  StyleBox["Max", "MR"],
  "."
}], "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Max[Apply[distance, pairs, {1}]]\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(0.6326280721158068`\)], "Output",
  CellLabel->"Out[13]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],

Cell[TextData[{
  "This puts it all together using a pure function in place of the distance \
function. Since the ",
  StyleBox["diameter", "MR"],
  " function operates on lists of pairs of numbers, we need to specify them \
in our pure function by means of ",
  StyleBox["#1", "MR"],
  " and ",
  StyleBox["#2", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(diameter[lis_] := \[IndentingNewLine]Max[
        Apply[Sqrt[
              Apply[Plus, \((#1 - #2)\)^2]] &, \
\[IndentingNewLine]Distribute[{lis, lis}, List], {1}]]\)], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(diameter[points]\)], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(0.6326280721158068`\)], "Output",
  CellLabel->"Out[15]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],

Cell[TextData[{
  "As a final note, this function is not as efficient as it could be since it \
computes the distance from every point to itself, as well as computing both \
the distance from point ",
  Cell[BoxData[
      \(TraditionalForm\`a\)]],
  " to point ",
  Cell[BoxData[
      \(TraditionalForm\`b\)]],
  " and from point ",
  Cell[BoxData[
      \(TraditionalForm\`b\)]],
  " to point ",
  Cell[BoxData[
      \(TraditionalForm\`a\)]],
  ", for every pair of points ",
  Cell[BoxData[
      \(TraditionalForm\`a\)]],
  " and ",
  Cell[BoxData[
      \(TraditionalForm\`b\)]],
  ". In other words, for ",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  " points, we are computing ",
  Cell[BoxData[
      \(TraditionalForm\`n\^2\)]],
  " distances when we only need to compute ",
  Cell[BoxData[
      FormBox[
        TagBox[
          RowBox[{"(", GridBox[{
                {
                  TagBox["n",
                    Identity,
                    Editable->True]},
                {
                  TagBox["2",
                    Identity,
                    Editable->True]}
                }], ")"}],
          InterpretTemplate[ Binomial[ #, #2]&],
          Editable->False], TraditionalForm]]],
  " distances, highly sub-optimal. We leave the optimization of this function \
as an exercise to the reader."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Using pure functions, ",
  StyleBox["removeRand", "MR"],
  " becomes:"
}], "SolutionItem",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Function[lis, Delete[lis, Random[Integer, {1, Length[lis]}]]]\)[{a, 
        b, c, d, e}]\)], "Input",
  CellLabel->"In[16]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \({a, b, c, e}\)], "Output",
  CellLabel->"Out[16]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Delete[#1, Random[Integer, {1, Length[#]}]] &\)[{a, b, c, d, 
        e}]\)], "Input",
  CellLabel->"In[17]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \({a, c, d, e}\)], "Output",
  CellLabel->"Out[17]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Here is the ",
  StyleBox["deal", "MR"],
  " function written using a pure function in place of ",
  StyleBox["removeRand", "MR"],
  "."
}], "SolutionItem",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(deal[n_] := 
      Module[{cardDeck}, 
        cardDeck = 
          Flatten[Outer[
              List, {\[ClubSuit], \[DiamondSuit], \[HeartSuit], \
\[SpadeSuit]}, Join[Range[2, 10], {J, Q, K, A}]], 1]; 
        Complement[cardDeck, 
          Nest[Delete[#1, Random[Integer, {1, Length[#1]}]] &, cardDeck, 
            n]]]\)], "Input",
  CellLabel->"In[18]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(deal[5]\)], "Input",
  CellLabel->"In[19]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \({{\[ClubSuit], A}, {\[HeartSuit], 2}, {\[HeartSuit], 9}, {\[SpadeSuit], 
        2}, {\[SpadeSuit], 5}}\)], "Output",
  CellLabel->"Out[19]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["This function is ideally written as an iteration.", "SolutionItem",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(RepUnit[n_] := Nest[\((10\ # + 1)\) &, 1, n - 1]\)], "Input",
  CellLabel->"In[20]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(RepUnit[7]\)], "Input",
  CellLabel->"In[21]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(1111111\)], "Output",
  CellLabel->"Out[21]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[RepUnit[#] &, Range[12]]\)], "Input",
  CellLabel->"In[22]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \({1, 11, 111, 1111, 11111, 111111, 1111111, 11111111, 111111111, 
      1111111111, 11111111111, 111111111111}\)], "Output",
  CellLabel->"Out[22]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Notice that it is not necessary to use the ",
  StyleBox["Module", "MR"],
  " function here because the only expressions on the right-hand side of the \
function definition are pure functions, built-in functions, and the names of \
the arguments of the function."
}], "SolutionItem",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(chooseWithoutReplacement[lis_, n_] := 
      Complement[lis, 
        Nest[Delete[#1, Random[Integer, {1, Length[#1]}]] &, lis, 
          n]]\)], "Input",
  CellLabel->"In[23]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(chooseWithoutReplacement[{a, b, c, d, e}, 4]\)], "Input",
  CellLabel->"In[24]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \({a, c, d, e}\)], "Output",
  CellLabel->"Out[24]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Using the list of the step increments in the north, south, east, and west \
directions, this ten-step walk starts at the origin. \
\>", "SolutionItem",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(NestList[#1 + {{1, 0}, {\(-1\), 0}, {0, 
                1}, {0, \(-1\)}}\[LeftDoubleBracket]
            Random[Integer, {1, 4}]\[RightDoubleBracket] &, {0, 0}, 
      10]\)], "Input",
  CellLabel->"In[25]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \({{0, 0}, {1, 0}, {1, 1}, {1, 0}, {0, 0}, {\(-1\), 0}, {\(-2\), 
        0}, {\(-3\), 0}, {\(-4\), 0}, {\(-4\), 1}, {\(-4\), 2}}\)], "Output",
  CellLabel->"Out[25]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Here is the path to the dictionary file.", "SolutionItem",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(dictfile = 
      ToFileName[{$InstallationDirectory, "\<Documentation\>", "\<English\>", \
"\<Demos\>", "\<DataFiles\>"}, "\<dictionary.dat\>"]\)], "Input",
  CellLabel->"In[26]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \("C:\\Program Files\\Wolfram \
Research\\Mathematica\\5.1\\Documentation\\English\\Demos\\DataFiles\\\
dictionary.dat"\)], "Output",
  CellLabel->"Out[26]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],

Cell[TextData[{
  "This reads in the file using ",
  StyleBox["ReadList", "MR"],
  " specifying the type of data we are reading in as a ",
  StyleBox["Word", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(\(words = ReadList[dictfile, Word];\)\)], "Input",
  CellLabel->"In[27]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell["Here are three words from the dictionary.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(words[\([{5, 55, 555}]\)]\)], "Input",
  CellLabel->"In[28]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \({"Aaron", "abolish", "alder"}\)], "Output",
  CellLabel->"Out[28]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],

Cell[TextData[{
  "First we need to create a function that takes a string as an argument and \
returns ",
  StyleBox["True", "MR"],
  " if its first character is ",
  StyleBox["char", "MR"],
  ". As a first step, here is a pure function that checks if the first \
character of the argument being passed to it (",
  StyleBox["\"abolish\"", "MR"],
  ") starts with the letter ",
  StyleBox["\"a\"", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\((StringTake[#, 1] === "\<a\>")\) &\)["\<abolish\>"]\)], "Input",
  CellLabel->"In[29]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(True\)], "Output",
  CellLabel->"Out[29]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],

Cell[TextData[{
  "Now we can use this pure function as the test to select all those words in \
",
  StyleBox["lis", "MR"],
  " that pass this particular test."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(WordsStartingWith[lis_, char_] := \[IndentingNewLine]Select[lis, 
        StringTake[#, 1] === char &]\)], "Input",
  CellLabel->"In[30]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[TextData[{
  "Finally we can check all the words in the dictionary file that start with \
the letter ",
  StyleBox["\"z\"", "MR"],
  " say."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(WordsStartingWith[words, "\<z\>"]\)], "Input",
  CellLabel->"In[31]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \({"z", "zag", "zagging", "zap", "zazen", "zeal", "zealot", "zealous", 
      "zebra", "zenith", "zero", "zeroes", "zeroth", "zest", "zesty", "zeta", 
      "zig", "zigging", "zigzag", "zigzagging", "zilch", "zinc", "zing", 
      "zip", "zircon", "zirconium", "zloty", "zodiac", "zodiacal", "zombie", 
      "zone", "zoo", "zoology", "zoom", "zounds", "z's", "zucchini", 
      "zygote"}\)], "Output",
  CellLabel->"Out[31]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]]
}, Closed]],

Cell[TextData[{
  "This can also be accomplished using the new (in Version 5.1) ",
  StyleBox["StringMatchQ", "MR"],
  " together with a wildcard character."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Select[words, StringMatchQ[#, "\<z*\>"] &]\)], "Input",
  CellLabel->"In[32]:="],

Cell[BoxData[
    \({"z", "zag", "zagging", "zap", "zazen", "zeal", "zealot", "zealous", 
      "zebra", "zenith", "zero", "zeroes", "zeroth", "zest", "zesty", "zeta", 
      "zig", "zigging", "zigzag", "zigzagging", "zilch", "zinc", "zing", 
      "zip", "zircon", "zirconium", "zloty", "zodiac", "zodiacal", "zombie", 
      "zone", "zoo", "zoology", "zoom", "zounds", "z's", "zucchini", 
      "zygote"}\)], "Output",
  CellLabel->"Out[32]="]
}, Closed]],

Cell[TextData[{
  "Or you can get all those words that start with either \
\[OpenCurlyDoubleQuote]z\[CloseCurlyDoubleQuote] or \[OpenCurlyDoubleQuote]Z\
\[CloseCurlyDoubleQuote] by using the ",
  StyleBox["IgnoreCase", "MR"],
  " option to ",
  StyleBox["StringMatchQ", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->{"IPM3.Sol.4.6", "i:2"}],

Cell[CellGroupData[{

Cell[BoxData[
    \(Select[words, 
      StringMatchQ[#, "\<z*\>", IgnoreCase \[Rule] True] &]\)], "Input",
  CellLabel->"In[33]:="],

Cell[BoxData[
    \({"z", "Zachary", "zag", "zagging", "Zagreb", "Zaire", "Zambia", "Zan", 
      "Zanzibar", "zap", "zazen", "zeal", "Zealand", "zealot", "zealous", 
      "zebra", "Zeiss", "Zellerbach", "Zen", "zenith", "zero", "zeroes", 
      "zeroth", "zest", "zesty", "zeta", "Zeus", "Ziegler", "zig", "zigging", 
      "zigzag", "zigzagging", "zilch", "Zimmerman", "zinc", "zing", "Zion", 
      "zip", "zircon", "zirconium", "zloty", "zodiac", "zodiacal", "Zoe", 
      "Zomba", "zombie", "zone", "zoo", "zoology", "zoom", "Zorn", 
      "Zoroaster", "Zoroastrian", "zounds", "z's", "zucchini", "Zurich", 
      "zygote"}\)], "Output",
  CellLabel->"Out[33]="]
}, Closed]],

Cell[TextData[{
  "Or, using the new (in Version 5.1) ",
  StyleBox["Pick", "MR"],
  " function:"
}], "SolutionNoLabel",
  CellTags->{"IPM3.Sol.4.6", "i:1"}],

Cell[CellGroupData[{

Cell[BoxData[
    \(Pick[words, StringMatchQ[words, "\<z\>" ~~ __]]\)], "Input",
  CellLabel->"In[34]:="],

Cell[BoxData[
    \({"zag", "zagging", "zap", "zazen", "zeal", "zealot", "zealous", 
      "zebra", "zenith", "zero", "zeroes", "zeroth", "zest", "zesty", "zeta", 
      "zig", "zigging", "zigzag", "zigzagging", "zilch", "zinc", "zing", 
      "zip", "zircon", "zirconium", "zloty", "zodiac", "zodiacal", "zombie", 
      "zone", "zoo", "zoology", "zoom", "zounds", "z's", "zucchini", 
      "zygote"}\)], "Output",
  CellLabel->"Out[34]="]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Several modifications to the solution to Exercise 9 are needed. First, we \
must choose only those words with string length greater than or equal to the \
string length of the second argument to ",
  StyleBox["WordsStartingWith", "MR"],
  ". Secondly, from this modified list, we choose those words whose first \
several characters match the string we are working with."
}], "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(Clear[WordsStartingWith]\)], "Input",
  CellLabel->"In[35]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(WordsStartingWith[lis_, str_] := 
      Module[{lis2}, \[IndentingNewLine]lis2 = 
          Select[lis, 
            StringLength[#] \[GreaterEqual] 
                StringLength[str] &]; \[IndentingNewLine]Select[lis2, 
          StringTake[#, StringLength[str]] === str &]]\)], "Input",
  CellLabel->"In[36]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(WordsStartingWith[words, "\<zoo\>"]\)], "Input",
  CellLabel->"In[37]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \({"zoo", "zoology", "zoom"}\)], "Output",
  CellLabel->"Out[37]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]]
}, Closed]],

Cell[TextData[{
  "Or, using ",
  StyleBox["StringMatchQ", "MR"],
  " from Version 5.1, you have to join the string with the wildcard character \
using ",
  StyleBox["~~", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(Clear[WordsStartingWith]\)], "Input",
  CellLabel->"In[38]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(WordsStartingWith[lis_List, str_String] := 
      Select[lis, StringMatchQ[#, str ~~ "\<*\>"] &]\)], "Input",
  CellLabel->"In[39]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(WordsStartingWith[words, "\<zoo\>"]\)], "Input",
  CellLabel->"In[40]:="],

Cell[BoxData[
    \({"zoo", "zoology", "zoom"}\)], "Output",
  CellLabel->"Out[40]="]
}, Closed]],

Cell[TextData[{
  "Or, using the new (in Version 5.1) ",
  StyleBox["Pick", "MR"],
  " function (note the need for the triple-blank here):"
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Pick[words, StringMatchQ[words, "\<zoo\>" ~~ ___]]\)], "Input",
  CellLabel->"In[41]:="],

Cell[BoxData[
    \({"zoo", "zoology", "zoom"}\)], "Output",
  CellLabel->"Out[41]="]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Using ",
  StyleBox["Fold", "MR"],
  ", this pure function requires two arguments. The key is to start with \
initial value 0."
}], "SolutionItem",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(\(Horner[list_List, base_] := 
        Fold[base\ #1 + #2 &, 0, list];\)\)], "Input",
  CellLabel->"In[42]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Horner[{a, b, c, d, e}, x]\)], "Input",
  CellLabel->"In[43]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(e + x\ \((d + x\ \((c + x\ \((b + a\ x)\))\))\)\)], "Output",
  CellLabel->"Out[43]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Expand[%]\)], "Input",
  CellLabel->"In[44]:=",
  CellTags->"IPM3.Sol.4.6"],

Cell[BoxData[
    \(e + d\ x + c\ x\^2 + b\ x\^3 + a\ x\^4\)], "Output",
  CellLabel->"Out[44]=",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["4.7",
    ButtonData:>"IPM3.4.7.4",
    ButtonStyle->"SolutionsLink"],
  "  One-liners"
}], "SolutionsSubsection",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{

Cell[TextData[{
  "If we map the ",
  StyleBox["Mod", "MR"],
  " function with base 2 over a list, it will return 1 for every odd element \
and 0 for every even element."
}], "SolutionItem",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[\((Mod[#, 2] &)\), {1, 1, 0, 2, 1}]\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \({1, 1, 0, 0, 1}\)], "Output",
  CellLabel->"Out[1]=",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],

Cell["\<\
Taking two lists, if we add them element-wise, we then need to select those \
that pass the mod test above.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[{
    \(\(l1 = {1, 0, 0, 1, 1};\)\), "\[IndentingNewLine]", 
    \(\(l2 = {0, 1, 0, 1, 0};\)\)}], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{

Cell[BoxData[
    \(lis = l1 + l2\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \({1, 1, 0, 2, 1}\)], "Output",
  CellLabel->"Out[4]=",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Select[lis, \((Mod[#, 2] \[Equal] 1 &)\)]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \({1, 1, 1}\)], "Output",
  CellLabel->"Out[5]=",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],

Cell["\<\
And finally, we need to know how many elements are in this last list.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Length[%]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \(3\)], "Output",
  CellLabel->"Out[6]=",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],

Cell[BoxData[
    \(HammingDistance3[lis1_, lis2_] := 
      Length[Select[lis1 + lis2, \((Mod[#, 2] \[Equal] 1 &)\)]]\)], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[TextData[{
  "Actually this could have been done more cleanly by using the predicate ",
  StyleBox["OddQ", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \(HammingDistance4[lis1_, lis2_] := \[IndentingNewLine]Length[
        Select[lis1 + lis2, OddQ]]\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],

Cell[TextData[{
  "Using ",
  StyleBox["Total", "MR"],
  ", which simply gives the sum of the elements in a list, Hamming distance \
can be computed as follows:"
}], "SolutionItem",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \(HammingDistance5[lis1_, lis2_] := Total[Mod[lis1 + lis2, 2]]\)], "Input",\

  CellLabel->"In[9]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(HammingDistance5[l1, l2]\)], "Input",
  CellLabel->"In[10]:="],

Cell[BoxData[
    \(3\)], "Output",
  CellLabel->"Out[10]="]
}, Closed]],

Cell[TextData[{
  "Some timing tests show that the implementation with ",
  StyleBox["Total", "MR"],
  " is quite a bit more efficient than the previous versions."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \(\(data1 = Table[Random[Integer], {10\^6}];\)\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->{"b:17.0", "IPM3.4.7.1"}],

Cell[BoxData[
    \(\(data2 = Table[Random[Integer], {10\^6}];\)\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->{"b:17.0", "IPM3.4.7.1"}],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[HammingDistance5[data1, data2]]\)], "Input",
  CellLabel->"In[13]:="],

Cell[BoxData[
    \({0.060000000000002274`\ Second, 499016}\)], "Output",
  CellLabel->"Out[13]="]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[HammingDistance4[data1, data2]]\)], "Input",
  CellLabel->"In[14]:="],

Cell[BoxData[
    \({0.6910000000000025`\ Second, 499016}\)], "Output",
  CellLabel->"Out[14]="]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[HammingDistance3[data1, data2]]\)], "Input",
  CellLabel->"In[15]:="],

Cell[BoxData[
    \({2.51400000000001`\ Second, 499016}\)], "Output",
  CellLabel->"Out[15]="]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["a.",
  FontSlant->"Italic"]], "SolutionItem",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \(frequencies[lis_] := 
      Module[{pair}, \[IndentingNewLine]pair[x_] := {x, 
            Count[lis, x]}; \[IndentingNewLine]Map[pair, 
          Union[lis]]]\)], "Input",
  CellLabel->"In[16]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{

Cell[BoxData[
    \(frequencies[{a, a, b, b, b, a, c, c}]\)], "Input",
  CellLabel->"In[17]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \({{a, 3}, {b, 3}, {c, 2}}\)], "Output",
  CellLabel->"Out[17]=",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["",
  FontSlant->"Italic"]], "SolutionSubItem",
  CounterAssignments->{{"SolutionSubItem", 1}},
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \(split1[lis_, parts_] := 
      Module[{lis1, lis2}, \[IndentingNewLine]lis1[y_, z_] := 
          Take[lis, {y, z}]; 
        lis2[x_] := Inner[lis1, Drop[x, \(-1\)] + 1, Rest[x], List]; 
        lis2[FoldList[Plus, 0, parts]]]\)], "Input",
  CellLabel->"In[18]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{

Cell[BoxData[
    \(split1[Range[10], {2, 5, 0, 3}]\)], "Input",
  CellLabel->"In[19]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \({{1, 2}, {3, 4, 5, 6, 7}, {}, {8, 9, 10}}\)], "Output",
  CellLabel->"Out[19]=",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],

Cell[BoxData[
    \(split2[lis_, parts_] := 
      Module[{lis1}, \[IndentingNewLine]lis1[x_] := Take[lis, x + {1, 0}]; 
        Map[lis1, Partition[FoldList[Plus, 0, parts], 2, 1]]]\)], "Input",
  CellLabel->"In[20]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{

Cell[BoxData[
    \(split2[Range[10], {2, 5, 0, 3}]\)], "Input",
  CellLabel->"In[21]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \({{1, 2}, {3, 4, 5, 6, 7}, {}, {8, 9, 10}}\)], "Output",
  CellLabel->"Out[21]=",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["",
  FontSlant->"Italic"]], "SolutionSubItem",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \(lotto1[lis_, n_] := 
      Module[{lis1, lis2, lis3}, 
        lis1[x_] := 
          Flatten[Rest[MapThread[Complement, {RotateRight[x], x}, 1]]]; 
        lis2[y_] := Delete[y, Random[Integer, {1, Length[y]}]]; 
        lis3[z_] := NestList[lis2, z, n]; \[IndentingNewLine]lis1[
          lis3[lis]]]\)], "Input",
  CellLabel->"In[22]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{

Cell[BoxData[
    \(lotto1[Range[10], 5]\)], "Input",
  CellLabel->"In[23]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \({2, 5, 4, 6, 8}\)], "Output",
  CellLabel->"Out[23]=",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],

Cell[BoxData[
    \(lotto2[lis_, n_] := 
      Take[\(Transpose[
            Sort[Transpose[{Table[Random[], {Length[lis]}], 
                  lis}]]]\)\[LeftDoubleBracket]2\[RightDoubleBracket], 
        n]\)], "Input",
  CellLabel->"In[24]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{

Cell[BoxData[
    \(lotto2[Range[10], 5]\)], "Input",
  CellLabel->"In[25]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \({2, 5, 1, 8, 7}\)], "Output",
  CellLabel->"Out[25]=",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{

Cell[BoxData[
    \({Timing[\(lotto1[Range[50000], 3];\)], 
      Timing[\(lotto2[Range[50000], 3];\)]}\)], "Input",
  CellLabel->"In[26]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \({{0.09000000000000341`\ Second, Null}, {0.42099999999999227`\ Second, 
        Null}}\)], "Output",
  CellLabel->"Out[26]=",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \({Timing[\(lotto1[Range[50000], 60];\)], 
      Timing[\(lotto2[Range[50000], 60];\)]}\)], "Input",
  CellLabel->"In[27]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \({{1.3619999999999948`\ Second, Null}, {0.4200000000000159`\ Second, 
        Null}}\)], "Output",
  CellLabel->"Out[27]=",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Here are the list of coins.", "SolutionItem",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{

Cell[BoxData[
    \(coins = {p, p, q, n, d, d, p, q, q, p}\)], "Input",
  CellLabel->"In[28]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \({p, p, q, n, d, d, p, q, q, p}\)], "Output",
  CellLabel->"Out[28]=",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],

Cell[BoxData[
    \(pocketChange2[x_] := \[IndentingNewLine]Dot[
        Map[\((Count[x, #] &)\), {p, n, d, q}], {1, 5, 10, 25}]\)], "Input",
  CellLabel->"In[29]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{

Cell[BoxData[
    \(pocketChange2[coins]\)], "Input",
  CellLabel->"In[30]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \(104\)], "Output",
  CellLabel->"Out[30]=",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],

Cell[BoxData[
    \(pocketChange3[x_] := \[IndentingNewLine]Inner[Times, 
        Map[\((Count[x, #] &)\), {p, n, d, q}], {1, 5, 10, 25}, 
        Plus]\)], "Input",
  CellLabel->"In[31]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{

Cell[BoxData[
    \(pocketChange3[coins]\)], "Input",
  CellLabel->"In[32]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \(104\)], "Output",
  CellLabel->"Out[32]=",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \(makeChange[x_] := 
      Module[{coins = {25, 10, 5, 1}}, 
        Quotient[FoldList[Mod, x, Drop[coins, \(-1\)]], coins]]\)], "Input",
  CellLabel->"In[33]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{

Cell[BoxData[
    \(makeChange[119]\)], "Input",
  CellLabel->"In[34]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \({4, 1, 1, 4}\)], "Output",
  CellLabel->"Out[34]=",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \(offLattice[n_] := 
      Map[\(({Sin[#], Cos[#]} &)\), 
        Table[Random[Real, {0, 2\ \[Pi]}], {n}]]\)], "Input",
  CellLabel->"In[35]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \(offLattice[n_] := 
      Module[{step}, \[IndentingNewLine]step[x_] := {Sin[x], Cos[x]}; 
        Map[step, Table[Random[Real, {0, 2\ \[Pi]}], {n}]]]\)], "Input",
  CellLabel->"In[36]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{

Cell[BoxData[
    \(offLattice[3]\)], "Input",
  CellLabel->"In[37]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \({{0.194181419352246`, 
        0.9809656346571715`}, {0.9565562157243453`, \
\(-0.2915479483020239`\)}, {\(-0.43137365273664807`\), \(-0.9021733601279976`\
\)}}\)], "Output",
  CellLabel->"Out[37]=",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "First, notice what ",
  StyleBox["FromDigits", "MR"],
  " does."
}], "SolutionItem",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?FromDigits\)\)], "Input",
  CellLabel->"In[38]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    RowBox[{"\<\"FromDigits[list] constructs an integer from the list of its \
decimal digits. FromDigits[list, b] takes the digits to be given in base b.\"\
\>", " ", 
      ButtonBox[
        StyleBox["More\[Ellipsis]",
          "SR"],
        ButtonData:>"FromDigits",
        Active->True,
        ButtonStyle->"RefGuideLink"]}]], "Print",
  CellTags->{"Info3302767663-6804076", "IPM3.Sol.4.7"}]
}, Closed]],

Cell[TextData[{
  "We use ",
  StyleBox["With", "MR"],
  " to create a local constant ",
  StyleBox["d", "MR"],
  ", as this expression never changes throughout the body of the function."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \(convertToDate2[num_] := 
      With[{d = IntegerDigits[num]}, \[IndentingNewLine]{FromDigits[
            Take[d, 4]], \[IndentingNewLine]FromDigits[
            Take[d, {5, 6}]], \[IndentingNewLine]FromDigits[
            Take[d, {7, 8}]]}]\)], "Input",
  CellLabel->"In[39]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{

Cell[BoxData[
    \(convertToDate2[20030515]\)], "Input",
  CellLabel->"In[40]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell[BoxData[
    \({2003, 5, 15}\)], "Output",
  CellLabel->"Out[40]=",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["  5 Procedural programming", "SolutionsSection",
  CellTags->"c:5"],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["5.2",
    ButtonData:>"IPM3.5.2.6",
    ButtonStyle->"SolutionsLink"],
  "  Loops and iteration"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[TextData[{
  "Using a compound expression inside the ",
  StyleBox["Do", "MR"],
  " function, this computes the next approximations of both square roots each \
time through the loop."
}], "SolutionItem",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    RowBox[{\(next[fun_, x_]\), ":=", 
      RowBox[{"N", "[", 
        RowBox[{"x", "-", 
          FractionBox[\(fun[x]\), 
            RowBox[{
              SuperscriptBox["fun", "\[Prime]",
                MultilineFunction->None], "[", "x", "]"}]]}], 
        "]"}]}]], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[{
    \(\(a = 50;\)\), "\n", 
    \(\(b = 60;\)\), "\n", 
    \(Do[\[IndentingNewLine]a = next[#\^2 - 50 &, a]; \[IndentingNewLine]b = 
        next[#\^2 - 60 &, b], \[IndentingNewLine]{10}]\)}], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \({a, b}\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \({7.0710678118654755`, 7.745966692414833`}\)], "Output",
  CellLabel->"Out[5]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Notice that to compute the square root of a number ",
  Cell[BoxData[
      \(TraditionalForm\`r\)]],
  ", we need to iterate the following expression."
}], "SolutionItem",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(fun[x_] := x\^2 - r;\)\), "\[IndentingNewLine]", 
    \(Simplify[x - fun[x]\/\(fun'\)[x]]\)}], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(\(r + x\^2\)\/\(2\ x\)\)], "Output",
  CellLabel->"Out[7]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]],

Cell["\<\
This can be written as a pure function, with a second argument giving the \
initial guess. Here we iterate ten times.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(nestSqrt[r_, init_] := 
      Nest[\(r + #\^2\)\/\(2  #\) &, N[init], 10]\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(nestSqrt[50, 10]\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(7.0710678118654755`\)], "Output",
  CellLabel->"Out[9]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "We need to place the two expressions that were in the body of the ",
  StyleBox["Do", "MR"],
  " into a list. Try copying the body of the ",
  StyleBox["Do", "MR"],
  " exactly as above and see what happens."
}], "SolutionItem",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    RowBox[{\(next[fun_, x_]\), ":=", 
      RowBox[{"N", "[", 
        RowBox[{"x", "-", 
          FractionBox[\(fun[x]\), 
            RowBox[{
              SuperscriptBox["fun", "\[Prime]",
                MultilineFunction->None], "[", "x", "]"}]]}], 
        "]"}]}]], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(a = 50;\)\), "\n", 
    \(\(b = 60;\)\), "\n", 
    \(Table[{\[IndentingNewLine]a = 
          next[\((#\^2 - 50)\) &, a], \[IndentingNewLine]b = 
          next[\((#\^2 - 60)\) &, b]}, \[IndentingNewLine]{10}]\)}], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \({{25.5`, 30.5`}, {13.730392156862745`, 
        16.233606557377048`}, {8.685974371897991`, 
        9.964821455916496`}, {7.22119047433116`, 
        7.993001548146788`}, {7.072628275743688`, 
        7.749784170716252`}, {7.071067984011346`, 
        7.745967632643636`}, {7.071067811865477`, 
        7.745966692414891`}, {7.0710678118654755`, 
        7.745966692414833`}, {7.071067811865475`, 
        7.745966692414834`}, {7.0710678118654755`, 
        7.745966692414833`}}\)], "Output",
  CellLabel->"Out[13]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]],

Cell["\<\
To mimic the solution to this problem obtained with the Do loop, we need to \
extract the last set of values obtained.\
\>", "SolutionNoLabel",
  PageBreakAbove->True],

Cell[CellGroupData[{

Cell[BoxData[
    \(Last[%]\)], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \({7.0710678118654755`, 7.745966692414833`}\)], "Output",
  CellLabel->"Out[14]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Note that this version of the Fibonacci function is much more efficient than \
the simple recursive version, and is closer to the version that uses dynamic \
programming.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(fib[n_] := 
      Module[{prev = 0, this = 1, next}, \[IndentingNewLine]Do[
          next = prev + this; \[IndentingNewLine]prev = 
            this; \[IndentingNewLine]this = 
            next, \[IndentingNewLine]{n}]; \[IndentingNewLine]prev]\)], \
"Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Table[fib[i], {i, 1, 10}]\)], "Input",
  CellLabel->"In[16]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \({1, 1, 2, 3, 5, 8, 13, 21, 34, 55}\)], "Output",
  CellLabel->"Out[16]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]],

Cell["\<\
Actually, this code can be simplified a bit by using parallel assignments.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(fib2[n_] := 
      Module[{f1 = 0, 
          f2 = 1}, \[IndentingNewLine]Do[{f1, f2} = {f2, 
              f1 + f2}, \[IndentingNewLine]{n - 
              1}]; \[IndentingNewLine]f2]\)], "Input",
  CellLabel->"In[17]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Table[fib2[i], {i, 1, 10}]\)], "Input",
  CellLabel->"In[18]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \({1, 1, 2, 3, 5, 8, 13, 21, 34, 55}\)], "Output",
  CellLabel->"Out[18]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]],

Cell["\<\
Both of these implementations are quite fast and avoid the deep recursion of \
the classical definition. \
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \({Timing[\(fib[100000];\)], Timing[\(fib2[100000];\)]}\)], "Input",
  CellLabel->"In[19]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \({{0.7810000000000059`\ Second, Null}, {0.6310000000000002`\ Second, 
        Null}}\)], "Output",
  CellLabel->"Out[19]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "We compute the derivative ",
  StyleBox["df", "MR"],
  " inside the ",
  StyleBox["Module", "MR"],
  " and then use that throughout the body of the function."
}], "SolutionItem",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(Clear[findRoot]\)], "Input",
  CellLabel->"In[20]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(findRoot[fun_, init_, \[Epsilon]_] := 
      Module[{xi = init, funxi = fun[init], df = fun'}, 
        While[Abs[funxi] > \[Epsilon], \[IndentingNewLine]xi = 
            N[xi - funxi\/df[xi]]; \[IndentingNewLine]funxi = 
            fun[xi]]; \[IndentingNewLine]xi]\)], "Input",
  CellLabel->"In[21]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(findRoot[f, 50, 0.0001]\)], "Input",
  CellLabel->"In[22]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(50\)], "Output",
  CellLabel->"Out[22]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "The variable ",
  StyleBox["b", "MR"],
  " is the current approximation, and the variable ",
  StyleBox["a", "MR"],
  " is the previous approximation."
}], "SolutionItem",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    RowBox[{\(findRoot[fun_, init_, \[Epsilon]_]\), ":=", 
      RowBox[{"Module", "[", 
        RowBox[{\({a = init, b = fun[init]}\), ",", "\[IndentingNewLine]", 
          RowBox[{
            RowBox[{"While", "[", 
              
              RowBox[{\(Abs[b - a] > \[Epsilon]\), ",", "\[IndentingNewLine]",
                 
                RowBox[{\(a = b\), ";", "\[IndentingNewLine]", 
                  RowBox[{"b", "=", 
                    RowBox[{"N", "[", 
                      RowBox[{"b", "-", 
                        FractionBox[\(fun[b]\), 
                          RowBox[{
                            SuperscriptBox["fun", "\[Prime]",
                              MultilineFunction->None], "[", "b", "]"}]]}], 
                      "]"}]}]}]}], "]"}], ";", "\[IndentingNewLine]", "b"}]}],
         "]"}]}]], "Input",
  CellLabel->"In[23]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(f[x_] := x\^2 - 50\)], "Input",
  CellLabel->"In[24]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(findRoot[f, 10,  .001]\)], "Input",
  CellLabel->"In[25]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(7.071067811865477`\)], "Output",
  CellLabel->"Out[25]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["This solution is based on the solution to Exercise 5 above.", \
"SolutionItem",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    RowBox[{\(findRootList[fun_, init_, \[Epsilon]_]\), ":=", 
      RowBox[{"Module", "[", 
        RowBox[{\({a = init, b, solns = {init}}\), ",", "\[IndentingNewLine]",
           
          RowBox[{
            RowBox[{"b", "=", 
              RowBox[{"N", "[", 
                RowBox[{"a", "-", 
                  FractionBox[\(fun[a]\), 
                    RowBox[{
                      SuperscriptBox["fun", "\[Prime]",
                        MultilineFunction->None], "[", "a", "]"}]]}], "]"}]}],
             ";", "\[IndentingNewLine]", 
            RowBox[{"While", "[", 
              
              RowBox[{\(Abs[b - a] > \[Epsilon]\), ",", "\[IndentingNewLine]",
                 
                RowBox[{\(a = b\), ";", "\[IndentingNewLine]", 
                  RowBox[{"b", "=", 
                    RowBox[{"N", "[", 
                      RowBox[{"b", "-", 
                        FractionBox[\(fun[b]\), 
                          RowBox[{
                            SuperscriptBox["fun", "\[Prime]",
                              MultilineFunction->None], "[", "b", "]"}]]}], 
                      "]"}]}], ";", 
                  "\[IndentingNewLine]", \(solns = Join[solns, {a}]\)}]}], 
              "]"}], ";", "\[IndentingNewLine]", \(Join[solns, {b}]\)}]}], 
        "]"}]}]], "Input",
  CellLabel->"In[26]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(f[x_] := x\^2 - 50\)], "Input",
  CellLabel->"In[27]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(findRootList[f, 50, 10\^\(-6\)]\)], "Input",
  CellLabel->"In[28]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \({50, 25.5`, 13.730392156862745`, 8.685974371897991`, 7.22119047433116`, 
      7.072628275743688`, 7.071067984011346`, 7.071067811865477`}\)], "Output",\

  CellLabel->"Out[28]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "We go back to a previous version of ",
  StyleBox["findRoot", "MR"],
  " and add multiple initial values."
}], "SolutionItem",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    RowBox[{\(findRootList[fun_, inits_, \[Epsilon]_]\), ":=", 
      RowBox[{"Module", "[", 
        RowBox[{\({a = inits}\), ",", "\[IndentingNewLine]", 
          RowBox[{
            RowBox[{"While", "[", 
              
              RowBox[{\(Min[Abs[Map[fun, a]]] > \[Epsilon]\), ",", 
                "\[IndentingNewLine]", 
                RowBox[{"a", "=", 
                  RowBox[{"Map", "[", 
                    RowBox[{
                      RowBox[{
                        RowBox[{"N", "[", 
                          RowBox[{"#", "-", 
                            FractionBox[\(fun[#]\), 
                              RowBox[{
                                SuperscriptBox["fun", "\[Prime]",
                                  MultilineFunction->None], "[", "#", 
                                "]"}]]}], "]"}], "&"}], ",", "a"}], "]"}]}]}],
               "]"}], ";", \(Select[a, 
              Min[Abs[Map[fun, a]]] == Abs[fun[#]] &]\)}]}], "]"}]}]], "Input",\

  CellLabel->"In[29]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(findRootList[\((#\^2 - 50)\) &, {25, 50, 75, 100},  .001]\)], "Input",
  CellLabel->"In[30]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \({7.0710679289844185`}\)], "Output",
  CellLabel->"Out[30]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(bisect[f_, {a_, b_, \[Epsilon]_}] := 
      Module[{low = Min[a, b], high = Max[a, b], mid = N[\(a + b\)\/2], 
          fofMid = N[f[\(a + b\)\/2]]}, \[IndentingNewLine]While[
          Abs[fofMid] > \[Epsilon], \[IndentingNewLine]If[fofMid < 0, 
            low = mid, high = mid]; \[IndentingNewLine]mid = 
            N[\(low + high\)\/2]; \[IndentingNewLine]fofMid = 
            N[f[mid]]]; \[IndentingNewLine]mid]\)], "Input",
  CellLabel->"In[31]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(f[x_] := x\^2 - 2\), "\[IndentingNewLine]", 
    \(bisect[f, {0, 2,  .001}]\)}], "Input",
  CellLabel->"In[32]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(1.4140625`\)], "Output",
  CellLabel->"Out[33]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Here is a direct implementation of the Euclidean algorithm.", \
"SolutionItem",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(gcd[m_, n_] := 
      Module[{a = m, b = n, tmpa}, \[IndentingNewLine]While[
          b > 0, \[IndentingNewLine]tmpa = a; \[IndentingNewLine]a = 
            b; \[IndentingNewLine]b = 
            Mod[tmpa, b]]; \[IndentingNewLine]a]\)], "Input",
  CellLabel->"In[34]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(m = 12782;\)\), "\[IndentingNewLine]", 
    \(\(n = 5531207;\)\), "\[IndentingNewLine]", 
    \(gcd[m, n]\)}], "Input",
  CellLabel->"In[35]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(11\)], "Output",
  CellLabel->"Out[37]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]],

Cell[TextData[{
  "We can avoid the need for the temporary variable ",
  StyleBox["tmpa", "MR"],
  " by performing a parallel assignment as in the following function. This \
results in a much cleaner implementation."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(gcd[m_, n_] := 
      Module[{a = m, b = n}, \[IndentingNewLine]While[
          b > 0, {a, b} = {b, Mod[a, b]}]; \[IndentingNewLine]a]\)], "Input",
  CellLabel->"In[38]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(m = 12782;\)\), "\[IndentingNewLine]", 
    \(\(n = 5531207;\)\), "\[IndentingNewLine]", 
    \(gcd[m, n]\)}], "Input",
  CellLabel->"In[39]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(11\)], "Output",
  CellLabel->"Out[41]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["",
  FontSlant->"Italic"]], "SolutionItem",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[TextData[{
  "Create a list ",
  StyleBox["rvec", "MR"],
  " of 0s, then use a ",
  StyleBox["Do", "MR"],
  " loop to set ",
  StyleBox["rvec[[", "MR"],
  Cell[BoxData[
      \(TraditionalForm\`i\)]],
  StyleBox["]]", "MR"],
  " to ",
  StyleBox["vec[[", "MR"],
  Cell[BoxData[
      \(TraditionalForm\`n - i\)]],
  StyleBox["]]", "MR"],
  ", where ",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  " is the length of ",
  StyleBox["vec", "MR"],
  "."
}], "SolutionSubItem",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(Clear[reverse, a, b, c, d, e]\)], "Input",
  CellLabel->"In[42]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(reverse[vec_] := 
      Module[{vecA = Table[0, {Length[vec]}]}, 
        Do[vecA\[LeftDoubleBracket]i\[RightDoubleBracket] = 
            vec\[LeftDoubleBracket]Length[vec] - i + 
                1\[RightDoubleBracket], \[IndentingNewLine]{i, 1, 
            Length[vec]}]; \[IndentingNewLine]vecA]\)], "Input",
  CellLabel->"In[43]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(reverse[{a, b, c, d, e}]\)], "Input",
  CellLabel->"In[44]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \({e, d, c, b, a}\)], "Output",
  CellLabel->"Out[44]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]],

Cell[BoxData[
    \(reverseStruc[vec_] := 
      Module[{vecA = Table[0, {len = Length[vec]}]}, \[IndentingNewLine]Table[
          vecA[\([i]\)] = vec[\([len - i + 1]\)], {i, 
            len}]\[IndentingNewLine]]\)], "Input",
  CellLabel->"In[45]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(reverseStruc[{a, b, c, d, e}]\)], "Input",
  CellLabel->"In[46]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \({e, d, c, b, a}\)], "Output",
  CellLabel->"Out[46]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],

Cell[TextData[{
  "The key to this problem is to use the ",
  StyleBox["Mod", "MR"],
  " operator to compute the target address for any item from ",
  StyleBox["vec", "MR"],
  ". That is, the element ",
  StyleBox["vec[", "MR"],
  Cell[BoxData[
      \(TraditionalForm\`i\)]],
  StyleBox["]", "MR"],
  " must move to, roughly speaking, position ",
  Cell[BoxData[
      \(TraditionalForm\`n + i\)]],
  " mod ",
  StyleBox["Length[", "MR"],
  StyleBox["vec", "IT"],
  StyleBox["]", "MR"],
  ". The \[OpenCurlyDoubleQuote]roughly speaking\[CloseCurlyDoubleQuote] is \
due to the fact that the ",
  StyleBox["Mod", "MR"],
  " operator returns values in the range ",
  Cell[BoxData[
      FormBox[
        RowBox[{"0", ",", "\[Ellipsis]", ",", 
          RowBox[{
            RowBox[{
              StyleBox["Length",
                "MR"], 
              StyleBox["[",
                "MR"], 
              StyleBox[Cell[TextData[Cell[BoxData[
                    \(TraditionalForm\`vec\)]]]],
                "IT"], 
              StyleBox["]",
                "MR"]}], "-", "1"}]}], TraditionalForm]]],
  ", whereas vectors are indexed by values ",
  Cell[BoxData[
      FormBox[
        RowBox[{"1", ",", "\[Ellipsis]", ",", 
          RowBox[{
            StyleBox["Length",
              "MR"], 
            StyleBox["[",
              "MR"], 
            StyleBox["vec",
              "IT"], 
            StyleBox["]",
              "MR"]}]}], TraditionalForm]]],
  ". This causes a little trickiness in this problem."
}], "SolutionSubItem",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(rotateRight[vec_, n_] := 
      Module[{vecA = Table[0, {Length[vec]}]}, 
        Do[vecA\[LeftDoubleBracket]1 + 
                Mod[n + i - 1, Length[vec]]\[RightDoubleBracket] = 
            vec\[LeftDoubleBracket]i\[RightDoubleBracket], {i, 1, 
            Length[vec]}]; \[IndentingNewLine]vecA]\)], "Input",
  CellLabel->"In[47]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(rotateRight[{a, b, c, d, e}, 2]\)], "Input",
  CellLabel->"In[48]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \({d, e, a, b, c}\)], "Output",
  CellLabel->"Out[48]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]],

Cell[BoxData[
    \(rotateRightStruc[vec_, n_] := 
      Module[{vecA = Table[0, {len = Length[vec]}]}, 
        Table[vecA\[LeftDoubleBracket]1 + 
                Mod[n + i - 1, len]\[RightDoubleBracket] = 
            vec\[LeftDoubleBracket]i\[RightDoubleBracket], {i, 
            len}]; \[IndentingNewLine]vecA\[IndentingNewLine]]\)], "Input",
  CellLabel->"In[49]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(rotateRightStruc[{a, b, c, d, e}, 3]\)], "Input",
  CellLabel->"In[50]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \({c, d, e, a, b}\)], "Output",
  CellLabel->"Out[50]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]],

Cell[TextData[{
  "Iterate over the rows of ",
  StyleBox["mat", "MR"],
  ", setting row ",
  Cell[BoxData[
      \(TraditionalForm\`i\)]],
  " to the result of calling ",
  StyleBox["rotateRight", "MR"],
  "."
}], "SolutionSubItem",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(rotateRows[mat_] := 
      Module[{matA = Table[0, {len = Length[mat]}]}, 
        Do[matA\[LeftDoubleBracket]i\[RightDoubleBracket] = 
            rotateRight[mat\[LeftDoubleBracket]i\[RightDoubleBracket], 
              i], \[IndentingNewLine]{i, 1, 
            len}]; \[IndentingNewLine]matA]\)], "Input",
  CellLabel->"In[51]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(rotateRows[{{a, b, c}, {d, e, f}, {g, h, k}}]\)], "Input",
  CellLabel->"In[52]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \({{c, a, b}, {e, f, d}, {g, h, k}}\)], "Output",
  CellLabel->"Out[52]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]],

Cell[TextData[StyleBox["",
  FontSlant->"Italic"]], "SolutionSubItem",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(rotateRowsByS[mat_, S_] := 
      Module[{matA = Table[0, {Length[mat]}]}, 
        Do[matA\[LeftDoubleBracket]i\[RightDoubleBracket] = 
            rotateRight[mat\[LeftDoubleBracket]i\[RightDoubleBracket], 
              S\[LeftDoubleBracket]
                i\[RightDoubleBracket]], \[IndentingNewLine]{i, 1, 
            Length[mat]}]; \[IndentingNewLine]matA]\)], "Input",
  CellLabel->"In[53]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(rotateRowsByS[{{a, b, c}, {d, e, f}, {g, h, k}}, {1, 2, 3}]\)], "Input",\

  CellLabel->"In[54]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \({{c, a, b}, {e, f, d}, {g, h, k}}\)], "Output",
  CellLabel->"Out[54]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]],

Cell[TextData[{
  "Create a list ",
  StyleBox["lisC", "MR"],
  " of correct length, then iterate over ",
  StyleBox["lisA", "MR"],
  " and ",
  StyleBox["lisB", "MR"],
  ", moving ",
  StyleBox["lisA[[", "MR"],
  Cell[BoxData[
      \(TraditionalForm\`i\)]],
  StyleBox["]]", "MR"],
  " to ",
  StyleBox["lisC", "MR"],
  " whenever ",
  StyleBox["lisB[[", "MR"],
  Cell[BoxData[
      \(TraditionalForm\`i\)]],
  StyleBox["]]", "MR"],
  " is ",
  StyleBox["True", "MR"],
  ". The position in ",
  StyleBox["lisC", "MR"],
  " that receives this value is not necessarily ",
  Cell[BoxData[
      \(TraditionalForm\`i\)]],
  "; we use the variable ",
  StyleBox["last", "MR"],
  " to keep track of the next position in ",
  StyleBox["lisC", "MR"],
  " that will receive a value from ",
  StyleBox["lisA", "MR"],
  "."
}], "SolutionSubItem",
  CounterAssignments->{{"SolutionItem", 1}},
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \(compress[lisA_, lisB_] := 
      Module[{lisC = Table[0, {Count[lisB, True]}], last = 1}, 
        Do[If[lisB\[LeftDoubleBracket]i\[RightDoubleBracket], 
            lisC\[LeftDoubleBracket]last\[RightDoubleBracket] = 
              lisA\[LeftDoubleBracket]
                i\[RightDoubleBracket]; \[IndentingNewLine]last = 
              last + 1, \[IndentingNewLine]Null], \[IndentingNewLine]{i, 1, 
            Length[lisB]}]; \[IndentingNewLine]lisC]\)], "Input",
  CellLabel->"In[55]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(compress[{a, b, c, d, e}, {True, True, False, False, True}]\)], "Input",\

  CellLabel->"In[56]:=",
  CellTags->"IPM3.Sol.5.2"],

Cell[BoxData[
    \({a, b, e}\)], "Output",
  CellLabel->"Out[56]=",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["5.3",
    ButtonData:>"IPM3.5.3.6",
    ButtonStyle->"SolutionsLink"],
  "  Flow control"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.5.3"],

Cell[CellGroupData[{

Cell["Here are the conditional definitions.", "SolutionItem",
  CellTags->"IPM3.Sol.5.3"],

Cell[BoxData[{
    \(signum1[x_ /; x < 0] := \(-1\)\), "\n", 
    \(signum1[x_ /; x > 0] := 1\), "\n", 
    \(signum1[0] := 0\)}], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.5.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[signum1, {\(-2\), 0, 1}]\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.5.3"],

Cell[BoxData[
    \({\(-1\), 0, 1}\)], "Output",
  CellLabel->"Out[4]=",
  CellTags->"IPM3.Sol.5.3"]
}, Closed]],

Cell[TextData[{
  "Here is the signum function defined using ",
  StyleBox["If", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.5.3"],

Cell[BoxData[
    \(signum2[x_] := If[x < 0, \(-1\), If[x == 0, 0, 1]]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.5.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[signum2, {\(-2\), 0, 1}]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.5.3"],

Cell[BoxData[
    \({\(-1\), 0, 1}\)], "Output",
  CellLabel->"Out[6]=",
  CellTags->"IPM3.Sol.5.3"]
}, Closed]],

Cell[TextData[{
  "Here is the signum function defined using ",
  StyleBox["Which", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.5.3"],

Cell[BoxData[
    \(signum3[x_] := Which[x < 0, \(-1\), x == 0, 0, True, 1]\)], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.5.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[signum3, {\(-2\), 0, 1}]\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.5.3"],

Cell[BoxData[
    \({\(-1\), 0, 1}\)], "Output",
  CellLabel->"Out[8]=",
  CellTags->"IPM3.Sol.5.3"]
}, Closed]]
}, Closed]],

Cell[TextData[{
  "Finally, here is the signum function defined using ",
  StyleBox["Piecewise", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.5.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Piecewise[{{\(-1\), x < 0}, {1, x > 0}, {0, x == 0}}]\)], "Input",
  CellLabel->"In[9]:="],

Cell[BoxData[
    RowBox[{"\[Piecewise]", GridBox[{
          {\(-1\), \(x < 0\)},
          {"1", \(x > 0\)}
          },
        ColumnAlignments->{Left}]}]], "Output",
  CellLabel->"Out[9]="]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.5.3"],

Cell[BoxData[{
    \(signum1[x_ /; x < 0] := \(-1\)\), "\n", 
    \(signum1[x_ /; x > 0] := 1\), "\n", 
    \(signum1[0] := 0\), "\n", 
    \(signum1[0.0] := 0\)}], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.5.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[signum1, {\(-2\), 0, 2}]\)], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.5.3"],

Cell[BoxData[
    \({\(-1\), 0, 1}\)], "Output",
  CellLabel->"Out[14]=",
  CellTags->"IPM3.Sol.5.3"]
}, Closed]],

Cell[BoxData[
    \(signum2[x_] := If[x < 0, \(-1\), If[x > 0, 1, 0]]\)], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.5.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[signum2, {\(-2\), 0, 2}]\)], "Input",
  CellLabel->"In[16]:=",
  CellTags->"IPM3.Sol.5.3"],

Cell[BoxData[
    \({\(-1\), 0, 1}\)], "Output",
  CellLabel->"Out[16]=",
  CellTags->"IPM3.Sol.5.3"]
}, Closed]],

Cell[BoxData[
    \(signum3[x_] := Which[x < 0, \(-1\), x > 0, 1, True, 0]\)], "Input",
  CellLabel->"In[17]:=",
  CellTags->"IPM3.Sol.5.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[signum3, {\(-2\), 0, 2}]\)], "Input",
  CellLabel->"In[18]:=",
  CellTags->"IPM3.Sol.5.3"],

Cell[BoxData[
    \({\(-1\), 0, 1}\)], "Output",
  CellLabel->"Out[18]=",
  CellTags->"IPM3.Sol.5.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.5.3"],

Cell["\<\
applyChar[{\"+\", nums__}] := Apply[Plus, {nums}]
applyChar[{\"-\", nums__}] := Apply[Minus, {nums}]
applyChar[{\"*\", nums__}] := Apply[Times, {nums}]
applyChar[{\"/\", nums__}] := Apply[Divide, {nums}]
applyChar[_] := Print[\"Bad argument to applyChar\"];\
\>", "Input",
  CellLabel->"In[19]:=",
  CellTags->"IPM3.Sol.5.3"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["",
  FontSlant->"Italic"]], "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.5.3"],

Cell["", "SolutionSubItem"],

Cell[BoxData[
    \(doublePos[lis_] := Map[If[# > 0, 2\ #, #] &, lis]\)], "Input",
  CellLabel->"In[24]:=",
  CellTags->"IPM3.Sol.5.3"],

Cell[TextData[StyleBox["",
  FontSlant->"Italic"]], "SolutionSubItem",
  CellTags->"IPM3.Sol.5.3"],

Cell[BoxData[
    \(remove3Repetitions[lis_] := 
      Fold[If[Length[#1] > 
                2 && #2 == #1\[LeftDoubleBracket]\(-1\)\[RightDoubleBracket] == \
#1\[LeftDoubleBracket]\(-2\)\[RightDoubleBracket], #1, Join[#1, {#2}]] &, {}, 
        lis]\)], "Input",
  CellLabel->"In[25]:=",
  CellTags->"IPM3.Sol.5.3"],

Cell[TextData[StyleBox["",
  FontSlant->"Italic"]], "SolutionSubItem",
  CellTags->"IPM3.Sol.5.3"],

Cell[BoxData[
    \(positiveSum[L_] := Fold[If[#1 + #2 < 0, 0, #1 + #2] &, 0, L]\)], "Input",\

  CellLabel->"In[26]:=",
  CellTags->"IPM3.Sol.5.3"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
First we define the auxiliary function using conditional statements.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.5.3"],

Cell[BoxData[
    \(collatz[n_] := n\/2 /; EvenQ[n]\)], "Input",
  CellLabel->"In[27]:=",
  CellTags->"IPM3.Sol.5.3"],

Cell[BoxData[
    \(collatz[n_] := 3  n + 1 /; OddQ[n]\)], "Input",
  CellLabel->"In[28]:=",
  CellTags->"IPM3.Sol.5.3"],

Cell[TextData[{
  "Then iterate ",
  StyleBox["Collatz", "MR"],
  ", starting with ",
  StyleBox["n", "MR"],
  ", and continue while ",
  StyleBox["n", "MR"],
  " is not equal to 1."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.5.3"],

Cell[BoxData[
    \(CollatzSequence[n_] := 
      NestWhileList[collatz, n, \(! \((# == 1)\)\) &]\)], "Input",
  CellLabel->"In[29]:=",
  CellTags->"IPM3.Sol.5.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(CollatzSequence[13]\)], "Input",
  CellLabel->"In[30]:=",
  CellTags->"IPM3.Sol.5.3"],

Cell[BoxData[
    \({13, 40, 20, 10, 5, 16, 8, 4, 2, 1}\)], "Output",
  CellLabel->"Out[30]=",
  CellTags->"IPM3.Sol.5.3"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["5.4",
    ButtonData:>"IPM3.5.4.3",
    ButtonStyle->"SolutionsLink"],
  "  Examples"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.5.4"],

Cell[CellGroupData[{

Cell[TextData[{
  "Here is the ",
  StyleBox["gcd", "MR"],
  " function implemented using an ",
  StyleBox["If", "MR"],
  " structure."
}], "SolutionItem",
  CellTags->"IPM3.Sol.5.4"],

Cell[BoxData[
    \(Clear[gcd]\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.5.4"],

Cell[BoxData[
    \(gcd[m_Integer, n_Integer] := 
      If[m > 0, gcd[Mod[n, m], m], gcd[m, n] = n]\)], "Input",
  CellLabel->"In[2]:=",
  AspectRatioFixed->True,
  CellTags->"IPM3.Sol.5.4"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(m = 12782;\)\), "\n", 
    \(\(n = 5531207;\)\), "\n", 
    \(gcd[m, n]\)}], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.5.4"],

Cell[BoxData[
    \(11\)], "Output",
  CellLabel->"Out[5]=",
  CellTags->"IPM3.Sol.5.4"]
}, Closed]]
}, Closed]],

Cell[TextData[{
  "This is a direct implementation using ",
  StyleBox["Piecewise", "MR"],
  "."
}], "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.5.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Piecewise[{{0, x \[Equal] 0 && y \[Equal] 0}, {\(-1\), 
          y \[Equal] 0}, {\(-2\), x \[Equal] 0}, {1, x > 0 && y > 0}, {2, 
          x < 0 && y > 0}, {3, x < 0 && y < 0}}, 4]\)], "Input",
  CellLabel->"In[6]:="],

Cell[BoxData[
    RowBox[{"\[Piecewise]", GridBox[{
          {"0", \(x \[Equal] 0 && y \[Equal] 0\)},
          {\(-1\), \(y \[Equal] 0\)},
          {\(-2\), \(x \[Equal] 0\)},
          {"1", \(x > 0 && y > 0\)},
          {"2", \(x < 0 && y > 0\)},
          {"3", \(x < 0 && y < 0\)},
          {"4", 
            TagBox["True",
              "PiecewiseDefault",
              AutoDelete->False,
              DeletionWarning->True]}
          },
        ColumnAlignments->{Left}]}]], "Output",
  CellLabel->"Out[6]="]
}, Closed]],

Cell[BoxData[
    \(pointLocPW[{x_, y_}] := 
      Piecewise[{{0, x \[Equal] 0 && y \[Equal] 0}, {\(-1\), 
            y \[Equal] 0}, {\(-2\), x \[Equal] 0}, {1, x > 0 && y > 0}, {2, 
            x < 0 && y > 0}, {3, x < 0 && y < 0}}, 4]\)], "Input",
  CellLabel->"In[7]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[
      pointLocPW, {{0, 0}, {4, 0}, {0, 1.3}, {2, 4}, {\(-2\), 
          4}, {\(-2\), \(-4\)}, {2, \(-4\)}, {2, 0}, {3, \(-4\)}}]\)], "Input",\

  CellLabel->"In[8]:="],

Cell[BoxData[
    \({0, \(-1\), \(-2\), 1, 2, 3, 4, \(-1\), 4}\)], "Output",
  CellLabel->"Out[8]="]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.5.4"],

Cell[BoxData[{
    \(pointLoc[{0, 0}] := 0\), "\n", 
    \(pointLoc[{x_, 0}] := \(-1\)\), "\n", 
    \(pointLoc[{0, y_}] := \(-2\)\), "\n", 
    \(pointLoc[{x_, y_}] := If[x < 0, 2, 1] /; y > 0\), "\n", 
    \(pointLoc[{x_, y_}] := If[x < 0, 3, 4]\), "\n", 
    \(pointLoc[{x_, y_, z_}] := 
      If[x < 0, 2, 1] /; y \[GreaterEqual] 0 && z \[GreaterEqual] 0\), "\n", 
    \(pointLoc[{x_, y_, z_}] := 
      If[x < 0, 3, 4] /; y < 0 && z \[GreaterEqual] 0\), "\n", 
    \(pointLoc[{x_, y_, z_}] := 
      If[x < 0, 6, 5] /; y \[GreaterEqual] 0 && z < 0\), "\n", 
    \(pointLoc[{x_, y_, z_}] := If[x < 0, 7, 8] /; y < 0 && z < 0\)}], "Input",\

  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.5.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[pointLoc, {{2, 0}, {3, \(-4\)}}]\)], "Input",
  CellLabel->"In[18]:="],

Cell[BoxData[
    \({\(-1\), 4}\)], "Output",
  CellLabel->"Out[18]="]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["  6 Rule-based programming", "SolutionsSection",
  CellTags->"c:6"],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["6.2",
    ButtonData:>"IPM3.6.2.6",
    ButtonStyle->"SolutionsLink"],
  "  Patterns"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{

Cell[TextData[{
  "Using the ",
  StyleBox["FullForm", "MR"],
  " of the expression, we can find many pattern matches."
}], "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(FullForm[x\^3 + y\ z]\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    TagBox[
      StyleBox[\(Plus[Power[x, 3], Times[y, z]]\),
        ShowSpecialCharacters->False,
        ShowStringCharacters->True,
        NumberMarks->True],
      FullForm]], "Output",
  CellLabel->"Out[1]//FullForm=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MatchQ[x\^3 + y\ z, _Plus]\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(True\)], "Output",
  CellLabel->"Out[2]=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MatchQ[x\^3 + y\ z, _Power + _Times]\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(True\)], "Output",
  CellLabel->"Out[3]=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell["\<\
There are many more possible matches, including the trivial one.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(MatchQ[x\^3 + y\ z, _]\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(True\)], "Output",
  CellLabel->"Out[4]=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "First look at the ",
  StyleBox["FullForm", "MR"],
  " of this expression."
}], "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(FullForm[{5, erina, "\<give me a break\>"}]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    TagBox[
      StyleBox[\(List[5, erina, "\<give me a break\>"]\),
        ShowSpecialCharacters->False,
        ShowStringCharacters->True,
        NumberMarks->True],
      FullForm]], "Output",
  CellLabel->"Out[5]//FullForm=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MatchQ[{5, erina, "\<give me a break\>"}, _List]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(True\)], "Output",
  CellLabel->"Out[6]=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MatchQ[{5, 
        erina, "\<give me a break\>"}, {_Integer, _Symbol, _String}]\)], \
"Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(True\)], "Output",
  CellLabel->"Out[7]=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Again, the ",
  StyleBox["FullForm", "MR"],
  " should help to guide you."
}], "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(FullForm[{4, {a, b}, "\<g\>"}]\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    TagBox[
      StyleBox[\(List[4, List[a, b], "\<g\>"]\),
        ShowSpecialCharacters->False,
        ShowStringCharacters->True,
        NumberMarks->True],
      FullForm]], "Output",
  CellLabel->"Out[8]//FullForm=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MatchQ[{4, {a, b}, "\<g\>"}, x_List /; Length[x] == 3]\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(True\)], "Output",
  CellLabel->"Out[9]=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MatchQ[{4, {a, b}, "\<g\>"}, _List?\((Length[#1] == 3 &)\)]\)], "Input",\

  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(True\)], "Output",
  CellLabel->"Out[10]=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MatchQ[{4, {a, b}, "\<g\>"}, {_, y_, _} /; 
        y\[LeftDoubleBracket]0\[RightDoubleBracket] == List]\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(True\)], "Output",
  CellLabel->"Out[11]=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MatchQ[{4, {a, b}, "\<g\>"}, {x_, y_, z_} /; AtomQ[z]]\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(True\)], "Output",
  CellLabel->"Out[12]=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MatchQ[{4, {a, b}, "\<g\>"}, {x_, _, _} /; EvenQ[x]]\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(True\)], "Output",
  CellLabel->"Out[13]=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Here is the original solution as from Chapter 5, but, in this case, we \
check that both ",
  StyleBox["m", "MR"],
  " and ",
  StyleBox["n", "MR"],
  " have head ",
  StyleBox["Integer", "MR"],
  "."
}], "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(gcd[m_Integer, n_Integer] := 
      Module[{a = m, b = n}, \[IndentingNewLine]While[
          b > 0, {a, b} = {b, Mod[a, b]}]; \[IndentingNewLine]a]\)], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(gcd[39874, 2868878]\)], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(2\)], "Output",
  CellLabel->"Out[15]=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Here is the function ",
  StyleBox["FindSubsequence", "MR"],
  " as given in the text. "
}], "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(FindSubsequence[lis_List, subseq_List] := 
      Module[{p}, \[IndentingNewLine]p = 
          Partition[lis, Length[subseq], 1]; \[IndentingNewLine]Position[p, 
          Flatten[{___, subseq, ___}]]\[IndentingNewLine]]\)], "Input",
  CellLabel->"In[16]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[TextData[{
  "This creates another rule associated with ",
  StyleBox["FindSubsequence", "MR"],
  " that simply takes each integer argument, converts them to lists of \
integer digits, and then passes that off to the rule above."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(FindSubsequence[n_Integer, subseq_Integer] := 
      Module[{nlist = IntegerDigits[n], 
          sublist = 
            IntegerDigits[subseq]}, \[IndentingNewLine]FindSubsequence[nlist, 
          sublist]\[IndentingNewLine]]\)], "Input",
  CellLabel->"In[17]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell["\<\
We create the list of the first 100,000 digits of \[Pi].\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(\(pi = 
        FromDigits[\(RealDigits[N[Pi, 10\^5] - 3]\)[\([1]\)]];\)\)], "Input",
  CellLabel->"In[18]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell["\<\
This show that the subsequence 1415 occurs seven times at the following \
locations in the digit expansion of \[Pi].\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(FindSubsequence[pi, 1415]\)], "Input",
  CellLabel->"In[19]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \({{1}, {6955}, {29136}, {45234}, {79687}, {85880}, {88009}}\)], "Output",\

  CellLabel->"Out[19]=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
The Collatz function has a direct implementation based on its definition.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(Collatz[n_?OddQ] := 3  n + 1\)], "Input",
  CellLabel->"In[20]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(Collatz[n_?EvenQ] := n\/2\)], "Input",
  CellLabel->"In[21]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Collatz[4.3]\)], "Input",
  CellLabel->"In[22]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(Collatz[4.3`]\)], "Output",
  CellLabel->"Out[22]=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell["\<\
Here we iterate the Collatz function 111 times starting with an initial value \
of 27.\
\>", "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(NestList[Collatz, 27, 111]\)], "Input",
  CellLabel->"In[23]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \({27, 82, 41, 124, 62, 31, 94, 47, 142, 71, 214, 107, 322, 161, 484, 
      242, 121, 364, 182, 91, 274, 137, 412, 206, 103, 310, 155, 466, 233, 
      700, 350, 175, 526, 263, 790, 395, 1186, 593, 1780, 890, 445, 1336, 
      668, 334, 167, 502, 251, 754, 377, 1132, 566, 283, 850, 425, 1276, 638, 
      319, 958, 479, 1438, 719, 2158, 1079, 3238, 1619, 4858, 2429, 7288, 
      3644, 1822, 911, 2734, 1367, 4102, 2051, 6154, 3077, 9232, 4616, 2308, 
      1154, 577, 1732, 866, 433, 1300, 650, 325, 976, 488, 244, 122, 61, 184, 
      92, 46, 23, 70, 35, 106, 53, 160, 80, 40, 20, 10, 5, 16, 8, 4, 2, 
      1}\)], "Output",
  CellLabel->"Out[23]=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Here again is the Collatz function, but this time using a condition on the \
right-hand side of the definition.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(Clear[Collatz]\)], "Input",
  CellLabel->"In[24]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(Collatz[n_] := 3  n + 1 /; OddQ[n] && Positive[n]\)], "Input",
  CellLabel->"In[25]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(Collatz[n_] := n\/2 /; EvenQ[n] && Positive[n]\)], "Input",
  CellLabel->"In[26]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Collatz[4.3]\)], "Input",
  CellLabel->"In[27]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(Collatz[4.3`]\)], "Output",
  CellLabel->"Out[27]=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Collatz[\(-3\)]\)], "Input",
  CellLabel->"In[28]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(Collatz[\(-3\)]\)], "Output",
  CellLabel->"Out[28]=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(NestList[Collatz, 27, 111]\)], "Input",
  CellLabel->"In[29]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \({27, 82, 41, 124, 62, 31, 94, 47, 142, 71, 214, 107, 322, 161, 484, 
      242, 121, 364, 182, 91, 274, 137, 412, 206, 103, 310, 155, 466, 233, 
      700, 350, 175, 526, 263, 790, 395, 1186, 593, 1780, 890, 445, 1336, 
      668, 334, 167, 502, 251, 754, 377, 1132, 566, 283, 850, 425, 1276, 638, 
      319, 958, 479, 1438, 719, 2158, 1079, 3238, 1619, 4858, 2429, 7288, 
      3644, 1822, 911, 2734, 1367, 4102, 2051, 6154, 3077, 9232, 4616, 2308, 
      1154, 577, 1732, 866, 433, 1300, 650, 325, 976, 488, 244, 122, 61, 184, 
      92, 46, 23, 70, 35, 106, 53, 160, 80, 40, 20, 10, 5, 16, 8, 4, 2, 
      1}\)], "Output",
  CellLabel->"Out[29]=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Using alternatives, this gives the definition for real, integer, or rational \
arguments.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(abs[x_Real | x_Integer | x_Rational] := 
      If[x \[GreaterEqual] 0, x, \(-x\)]\)], "Input",
  CellLabel->"In[30]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell["Here is the definition for complex arguments.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(abs[x_Complex] := \@\(Re[x]\^2 + Im[x]\^2\)\)], "Input",
  CellLabel->"In[31]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell["\<\
It is probably a good idea to also add a definition for symbolic arguments.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(abs[x_Symbol] := Abs[x]\)], "Input",
  CellLabel->"In[32]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[abs, {\(-3\), 3 + 4  I, \(-4\)\/5, a}]\)], "Input",
  CellLabel->"In[33]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \({3, 5, 4\/5, Abs[a]}\)], "Output",
  CellLabel->"Out[33]=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "We first have to consider the base cases. Given a list with no elements, \
",
  StyleBox["swapTwo", "MR"],
  " should return the empty list. And, given a list with one element, \
swapping should give that one element back."
}], "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[{
    \(swapTwo[{}] := {}\), "\n", 
    \(swapTwo[{x_}] := {x}\)}], "Input",
  CellLabel->"In[34]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[TextData[{
  "Now, we use the triple-blank to indicate that ",
  StyleBox["r", "MR"],
  " could be a sequence of 0 or more elements. "
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(swapTwo[{x_, y_, r___}] := {y, x, r}\)], "Input",
  CellLabel->"In[36]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[swapTwo, {{}, {a}, {a, b, c, d}}]\)], "Input",
  CellLabel->"In[37]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \({{}, {a}, {b, a, c, d}}\)], "Output",
  CellLabel->"Out[37]=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[TextData[{
  "Notice in this second definition for ",
  StyleBox["swapTwo", "MR"],
  " that the second clause covers both the situation where the argument is \
the empty list and when it contains only one element."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[{
    \(swapTwo2[{x_, y_, r___}] := {y, x, r}\), "\n", 
    \(swapTwo2[x_] := x\)}], "Input",
  CellLabel->"In[38]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[swapTwo2, {{}, {a}, {a, b, c, d}}]\)], "Input",
  CellLabel->"In[40]:=",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \({{}, {a}, {b, a, c, d}}\)], "Output",
  CellLabel->"Out[40]=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["This one requires the triple blank.", "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[{
    \(f[{x1_Integer, ___}, 1] := x1 + 1\), "\n", 
    \(f[x_Integer, y_] := x - y\)}], "Input",
  CellLabel->"In[41]:=",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{

Cell["Here are two sample lists.", "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[{
    \(\(l1 = {1, 0, 0, 1, 1};\)\), "\[IndentingNewLine]", 
    \(\(l2 = {0, 1, 0, 1, 0};\)\)}], "Input",
  CellLabel->"In[43]:=",
  CellTags->"IPM3.Sol.4.7"],

Cell["First we pair them up.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ll = Transpose[{l1, l2}]\)], "Input",
  CellLabel->"In[45]:="],

Cell[BoxData[
    \({{1, 0}, {0, 1}, {0, 0}, {1, 1}, {1, 0}}\)], "Output",
  CellLabel->"Out[45]="]
}, Closed]],

Cell[TextData[{
  "Here is the conditional pattern that matches any pair where the two \
elements are ",
  StyleBox["not",
    FontSlant->"Italic"],
  " identical."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Cases[ll, {p_, q_} /; p \[NotEqual] q]\)], "Input",
  CellLabel->"In[46]:="],

Cell[BoxData[
    \({{1, 0}, {0, 1}, {1, 0}}\)], "Output",
  CellLabel->"Out[46]="]
}, Closed]],

Cell["\<\
The Hamming distance is the number of such non-identical pairs.\
\>", "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Length[%]\)], "Input",
  CellLabel->"In[47]:="],

Cell[BoxData[
    \(3\)], "Output",
  CellLabel->"Out[47]="]
}, Closed]],

Cell["Finally, here is a function that puts this all together.", \
"SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(HammingDistance[lis1_List, lis2_List] := \[IndentingNewLine]Length[
        Cases[Transpose[{lis1, lis2}], {p_, q_} /; 
            p \[NotEqual] q]]\)], "Input",
  CellLabel->"In[48]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(HammingDistance[l1, l2]\)], "Input",
  CellLabel->"In[49]:="],

Cell[BoxData[
    \(3\)], "Output",
  CellLabel->"Out[49]="]
}, Closed]],

Cell[TextData[{
  "The running times of this version of ",
  StyleBox["HammingDistance", "MR"],
  " are comparable with those from Chapter 4, where we used bit operators."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],

Cell[BoxData[
    \(HammingDistance2[lis1_, lis2_] := 
      Apply[Plus, \[IndentingNewLine]Apply[BitXor, 
          Transpose[{lis1, lis2}], {1}]\[IndentingNewLine]]\)], "Input",
  CellLabel->"In[50]:=",
  CellTags->{"b:17.0", "IPM3.4.7.1"}],

Cell[BoxData[
    \(\(data1 = Table[Random[Integer], {10\^6}];\)\)], "Input",
  CellLabel->"In[51]:=",
  CellTags->{"b:17.0", "IPM3.4.7.1"}],

Cell[BoxData[
    \(\(data2 = Table[Random[Integer], {10\^6}];\)\)], "Input",
  CellLabel->"In[52]:=",
  CellTags->{"b:17.0", "IPM3.4.7.1"}],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[HammingDistance[data1, data2]]\)], "Input",
  CellLabel->"In[53]:=",
  CellTags->{"i:48", "b:17.0", "IPM3.4.7.1"}],

Cell[BoxData[
    \({2.905000000000001`\ Second, 500168}\)], "Output",
  CellLabel->"Out[53]=",
  CellTags->{"i:48", "b:17.0", "IPM3.4.7.1"}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[HammingDistance2[data1, data2]]\)], "Input",
  CellLabel->"In[54]:=",
  CellTags->{"i:48", "b:17.0", "IPM3.4.7.1"}],

Cell[BoxData[
    \({1.5919999999999845`\ Second, 500168}\)], "Output",
  CellLabel->"Out[54]=",
  CellTags->{"i:48", "b:17.0", "IPM3.4.7.1"}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["6.3",
    ButtonData:>"IPM3.6.3.4",
    ButtonStyle->"SolutionsLink"],
  "  Transformation rules"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.6.3"],

Cell[CellGroupData[{

Cell["\<\
The pattern matched function is slower because it repeatedly applies \
transformation rules.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.6.3"],

Cell[BoxData[
    \(maxima[x_] := 
      Union[Rest[FoldList[Max, \(-\[Infinity]\), x]]]\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell[BoxData[
    \(maximaR[x_List] := 
      x //. \[InvisibleSpace]{a___, b_, c___, d_, e___} /; 
            d \[LessEqual] b \[RuleDelayed] {a, b, c, e}\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Trace[maxima[{3, 5, 2, 6, 1, 8, 4, 9, 7}]]\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        TagBox[\(maxima[{3, 5, 2, 6, 1, 8, 4, 9, 7}]\),
          HoldForm], ",", 
        TagBox[\(Union[
            Rest[FoldList[
                Max, \(-\[Infinity]\), {3, 5, 2, 6, 1, 8, 4, 9, 7}]]]\),
          HoldForm], ",", 
        RowBox[{"{", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{
                RowBox[{"{", 
                  RowBox[{
                    RowBox[{"{", 
                      RowBox[{
                        TagBox["\[Infinity]",
                          HoldForm], ",", 
                        TagBox["\[Infinity]",
                          HoldForm]}], "}"}], ",", 
                    TagBox[\(-\[Infinity]\),
                      HoldForm], ",", 
                    TagBox[\(-\[Infinity]\),
                      HoldForm]}], "}"}], ",", 
                
                TagBox[\(FoldList[
                    Max, \(-\[Infinity]\), {3, 5, 2, 6, 1, 8, 4, 9, 7}]\),
                  HoldForm], ",", 
                RowBox[{"{", 
                  RowBox[{
                    TagBox[\(Max[\(-\[Infinity]\), 3]\),
                      HoldForm], ",", 
                    TagBox[\(Max[3, \(-\[Infinity]\)]\),
                      HoldForm], ",", 
                    TagBox["3",
                      HoldForm]}], "}"}], ",", 
                RowBox[{"{", 
                  RowBox[{
                    TagBox[\(Max[3, 5]\),
                      HoldForm], ",", 
                    TagBox["5",
                      HoldForm]}], "}"}], ",", 
                RowBox[{"{", 
                  RowBox[{
                    TagBox[\(Max[5, 2]\),
                      HoldForm], ",", 
                    TagBox[\(Max[2, 5]\),
                      HoldForm], ",", 
                    TagBox["5",
                      HoldForm]}], "}"}], ",", 
                RowBox[{"{", 
                  RowBox[{
                    TagBox[\(Max[5, 6]\),
                      HoldForm], ",", 
                    TagBox["6",
                      HoldForm]}], "}"}], ",", 
                RowBox[{"{", 
                  RowBox[{
                    TagBox[\(Max[6, 1]\),
                      HoldForm], ",", 
                    TagBox[\(Max[1, 6]\),
                      HoldForm], ",", 
                    TagBox["6",
                      HoldForm]}], "}"}], ",", 
                RowBox[{"{", 
                  RowBox[{
                    TagBox[\(Max[6, 8]\),
                      HoldForm], ",", 
                    TagBox["8",
                      HoldForm]}], "}"}], ",", 
                RowBox[{"{", 
                  RowBox[{
                    TagBox[\(Max[8, 4]\),
                      HoldForm], ",", 
                    TagBox[\(Max[4, 8]\),
                      HoldForm], ",", 
                    TagBox["8",
                      HoldForm]}], "}"}], ",", 
                RowBox[{"{", 
                  RowBox[{
                    TagBox[\(Max[8, 9]\),
                      HoldForm], ",", 
                    TagBox["9",
                      HoldForm]}], "}"}], ",", 
                RowBox[{"{", 
                  RowBox[{
                    TagBox[\(Max[9, 7]\),
                      HoldForm], ",", 
                    TagBox[\(Max[7, 9]\),
                      HoldForm], ",", 
                    TagBox["9",
                      HoldForm]}], "}"}], ",", 
                TagBox[\({\(-\[Infinity]\), 3, 5, 5, 6, 6, 8, 8, 9, 9}\),
                  HoldForm]}], "}"}], ",", 
            TagBox[\(Rest[{\(-\[Infinity]\), 3, 5, 5, 6, 6, 8, 8, 9, 9}]\),
              HoldForm], ",", 
            TagBox[\({3, 5, 5, 6, 6, 8, 8, 9, 9}\),
              HoldForm]}], "}"}], ",", 
        TagBox[\(Union[{3, 5, 5, 6, 6, 8, 8, 9, 9}]\),
          HoldForm], ",", 
        TagBox[\({3, 5, 6, 8, 9}\),
          HoldForm]}], "}"}]], "Output",
  CellLabel->"Out[3]=",
  CellTags->"IPM3.Sol.6.3"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Trace[maximaR[{3, 5, 2, 6, 1, 8, 4, 9, 7}]]\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        TagBox[\(maximaR[{3, 5, 2, 6, 1, 8, 4, 9, 7}]\),
          HoldForm], ",", 
        TagBox[\({3, 5, 2, 6, 1, 8, 4, 9, 
              7} //. \[InvisibleSpace]{a___, b_, c___, d_, e___} /; 
                d \[LessEqual] b \[RuleDelayed] {a, b, c, e}\),
          HoldForm], ",", 
        RowBox[{"{", 
          RowBox[{
            
            TagBox[\({a___, b_, c___, d_, e___} /; 
                  d \[LessEqual] b \[RuleDelayed] {a, b, c, e}\),
              HoldForm], ",", 
            
            TagBox[\({a___, b_, c___, d_, e___} /; 
                  d \[LessEqual] b \[RuleDelayed] {a, b, c, e}\),
              HoldForm]}], "}"}], ",", 
        TagBox[\({3, 5, 2, 6, 1, 8, 4, 9, 
              7} //. \[InvisibleSpace]{a___, b_, c___, d_, e___} /; 
                d \[LessEqual] b \[RuleDelayed] {a, b, c, e}\),
          HoldForm], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(5 \[LessEqual] 3\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(2 \[LessEqual] 3\),
              HoldForm], ",", 
            TagBox["True",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(5 \[LessEqual] 3\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(6 \[LessEqual] 3\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(6 \[LessEqual] 5\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(1 \[LessEqual] 3\),
              HoldForm], ",", 
            TagBox["True",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(5 \[LessEqual] 3\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(6 \[LessEqual] 3\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(6 \[LessEqual] 5\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(8 \[LessEqual] 3\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(8 \[LessEqual] 5\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(8 \[LessEqual] 6\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(4 \[LessEqual] 3\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(4 \[LessEqual] 5\),
              HoldForm], ",", 
            TagBox["True",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(5 \[LessEqual] 3\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(6 \[LessEqual] 3\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(6 \[LessEqual] 5\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(8 \[LessEqual] 3\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(8 \[LessEqual] 5\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(8 \[LessEqual] 6\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(9 \[LessEqual] 3\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(9 \[LessEqual] 5\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(9 \[LessEqual] 6\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(9 \[LessEqual] 8\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(7 \[LessEqual] 3\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(7 \[LessEqual] 5\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(7 \[LessEqual] 6\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(7 \[LessEqual] 8\),
              HoldForm], ",", 
            TagBox["True",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(5 \[LessEqual] 3\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(6 \[LessEqual] 3\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(6 \[LessEqual] 5\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(8 \[LessEqual] 3\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(8 \[LessEqual] 5\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(8 \[LessEqual] 6\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(9 \[LessEqual] 3\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(9 \[LessEqual] 5\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(9 \[LessEqual] 6\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(9 \[LessEqual] 8\),
              HoldForm], ",", 
            TagBox["False",
              HoldForm]}], "}"}], ",", 
        TagBox[\({3, 5, 6, 8, 9}\),
          HoldForm]}], "}"}]], "Output",
  CellLabel->"Out[4]=",
  CellTags->"IPM3.Sol.6.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "The evaluation sequence can be seen directly from the ",
  StyleBox["Trace", "MR"],
  " of this compound expression."
}], "SolutionItem",
  CellTags->"IPM3.Sol.6.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Trace[y = 11; a = 9; y + 3 /. \[InvisibleSpace]y \[Rule] a]\)], "Input",\

  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        TagBox[\(y = 11; a = 9; y + 3 /. \[InvisibleSpace]y \[Rule] a\),
          HoldForm], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(y = 11\),
              HoldForm], ",", 
            TagBox["11",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            TagBox[\(a = 9\),
              HoldForm], ",", 
            TagBox["9",
              HoldForm]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{
                RowBox[{"{", 
                  RowBox[{
                    TagBox["y",
                      HoldForm], ",", 
                    TagBox["11",
                      HoldForm]}], "}"}], ",", 
                TagBox[\(11 + 3\),
                  HoldForm], ",", 
                TagBox["14",
                  HoldForm]}], "}"}], ",", 
            RowBox[{"{", 
              RowBox[{
                RowBox[{"{", 
                  RowBox[{
                    TagBox["y",
                      HoldForm], ",", 
                    TagBox["11",
                      HoldForm]}], "}"}], ",", 
                RowBox[{"{", 
                  RowBox[{
                    TagBox["a",
                      HoldForm], ",", 
                    TagBox["9",
                      HoldForm]}], "}"}], ",", 
                TagBox[\(11 \[Rule] 9\),
                  HoldForm], ",", 
                TagBox[\(11 \[Rule] 9\),
                  HoldForm]}], "}"}], ",", 
            TagBox[\(14 /. \[InvisibleSpace]11 \[Rule] 9\),
              HoldForm], ",", 
            TagBox["14",
              HoldForm]}], "}"}], ",", 
        TagBox["14",
          HoldForm]}], "}"}]], "Output",
  CellLabel->"Out[5]=",
  CellTags->"IPM3.Sol.6.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "First make sure that ",
  StyleBox["a", "MR"],
  " and ",
  StyleBox["y", "MR"],
  " have no values associated with them."
}], "SolutionItem",
  CellTags->"IPM3.Sol.6.3"],

Cell[BoxData[
    \(Clear[a, y]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(Hold[y = 11];\)\), "\[IndentingNewLine]", 
    \(\(a = 9;\)\), "\[IndentingNewLine]", 
    \(y + 3 /. \[InvisibleSpace]y \[Rule] a\)}], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell[BoxData[
    \(12\)], "Output",
  CellLabel->"Out[9]=",
  CellTags->"IPM3.Sol.6.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
You need to maintain the left-hand side of the transformation rule \
unevaluated for purposes of pattern matching and the right-hand side of the \
rule unevaluated until the rule is used.\
\>", "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.6.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Trace[
      g[x_] = x /. \[InvisibleSpace]\(+z___\) \[Rule] Times[z]]\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{"{", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{
                RowBox[{"{", 
                  RowBox[{
                    TagBox[\(+z___\),
                      HoldForm], ",", 
                    TagBox["z___",
                      HoldForm]}], "}"}], ",", 
                RowBox[{"{", 
                  RowBox[{
                    TagBox[\(Times[z]\),
                      HoldForm], ",", 
                    TagBox["z",
                      HoldForm]}], "}"}], ",", 
                TagBox[\(z___ \[Rule] z\),
                  HoldForm], ",", 
                TagBox[\(z___ \[Rule] z\),
                  HoldForm]}], "}"}], ",", 
            TagBox[\(x /. \[InvisibleSpace]z___ \[Rule] z\),
              HoldForm], ",", 
            TagBox["x",
              HoldForm]}], "}"}], ",", 
        TagBox[\(g[x_] = x\),
          HoldForm], ",", 
        TagBox["x",
          HoldForm]}], "}"}]], "Output",
  CellLabel->"Out[10]=",
  CellTags->"IPM3.Sol.6.3"]
}, Closed]],

Cell[BoxData[
    \(Clear[a, g]\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell[BoxData[
    \(g[x_] := 
      x /. \[InvisibleSpace]Literal[\(+z___\)] \[RuleDelayed] 
          Times[z]\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(g[a + b + c]\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell[BoxData[
    \(a\ b\ c\)], "Output",
  CellLabel->"Out[13]=",
  CellTags->"IPM3.Sol.6.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["The transformation rule unnests lists within a list.", "SolutionItem",
  CellTags->"IPM3.Sol.6.3"],

Cell[BoxData[
    \(unNest[lis_] := 
      Map[\((# //. \[InvisibleSpace]{x__List} \[Rule] x &)\), lis]\)], "Input",\

  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(unNest[{{a, a, a}, {a}, {{b, b, b}, {b, b}}, {a, a}}]\)], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell[BoxData[
    \({{a, a, a}, {a}, {b, b, b}, {b, b}, {a, a}}\)], "Output",
  CellLabel->"Out[15]=",
  CellTags->"IPM3.Sol.6.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.6.3"],

Cell[BoxData[
    \(sumList[lis_] := 
      First[lis //. \[InvisibleSpace]{x_, y___} \[Rule] x + {y}]\)], "Input",
  CellLabel->"In[16]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(sumList[{1, 5, 8, 3, 9, 3}]\)], "Input",
  CellLabel->"In[17]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell[BoxData[
    \(29\)], "Output",
  CellLabel->"Out[17]=",
  CellTags->"IPM3.Sol.6.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "The triple blank is required both before and after the variables ",
  StyleBox["x", "MR"],
  " and ",
  StyleBox["y", "MR"],
  "."
}], "SolutionItem",
  CellTags->"IPM3.Sol.6.3"],

Cell[BoxData[
    \(cartesianProduct[lis1_, lis2_] := 
      ReplaceList[{lis1, 
          lis2}, {{___, x_, ___}, {___, y_, ___}} \[Rule] {x, y}]\)], "Input",\

  CellLabel->"In[18]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell["We should also have a rule for the base case.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.3"],

Cell[BoxData[
    \(cartesianProduct[{}] := {}\)], "Input",
  CellLabel->"In[19]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell[BoxData[
    \(Clear[x, y, z, a, b, c]\)], "Input",
  CellLabel->"In[20]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(cartesianProduct[{a, b, c}, {x, y, z}]\)], "Input",
  CellLabel->"In[21]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell[BoxData[
    \({{a, x}, {a, y}, {a, z}, {b, x}, {b, y}, {b, z}, {c, x}, {c, y}, {c, 
        z}}\)], "Output",
  CellLabel->"Out[21]=",
  CellTags->"IPM3.Sol.6.3"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(cartesianProduct[{}]\)], "Input",
  CellLabel->"In[22]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell[BoxData[
    \({}\)], "Output",
  CellLabel->"Out[22]=",
  CellTags->"IPM3.Sol.6.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Note that ",
  StyleBox["RasterArray", "MR"],
  " and ",
  StyleBox["Raster", "MR"],
  " both display an array of values from bottom to top, hence the need to \
reverse the argument ",
  StyleBox["lis", "MR"],
  ". "
}], "SolutionItem",
  CellTags->"IPM3.Sol.6.3"],

Cell[BoxData[
    \(CAGraphics[lis_List] := 
      Module[{colors}, \[IndentingNewLine]colors = {1 \[Rule] Hue[ .2], 
            0 \[Rule] Hue[ .8]}; 
        Graphics[
          RasterArray[Reverse[lis] /. colors]]\[IndentingNewLine]]\)], "Input",\

  CellLabel->"In[23]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell["Here is a larger example of rule 30.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.3"],

Cell[BoxData[
    \(\(ca30 = CellularAutomaton[30, {{1}, 0}, 400];\)\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Show[CAGraphics[ca30]];\)\)], "Input",
  CellLabel->"In[25]:=",
  CellTags->"IPM3.Sol.6.3"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.00118899 0.0147151 0.00146784 [
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% Start of colorimage (RGB)
p
.02381 .01472 translate
.95238 .5886 scale
2403 string
801 401 8 [801 0 0 401 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  false 3 Mcolorimage
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
pop
P
% End of image
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[25]:=",
  ImageSize->{244, 150.75},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003d0000UR000`400?l00000o`00003om03oool0
0?@0oooo003d0?ooo`00m03oool000H0oooo0P3<o`050<`0o`030<co003<0?l0c03o00@0c?l00`3<
0?l20<co00030<`0o`3<o`00c?l000<0c03o103<o`00103<0?l0c?l00<`0o`3<0?l40<co00<0c03o
00<0c?l00<`0o`3<0?l01@3<0?l30<co00060<`0o`3<o`00c?l00<co003<0?l0c?l00P3<0?l01P3<
o`00c03o0<co003<0?l0c?l00<`0o`80c?l00P3<0?l00`3<o`00c03o0<`0o`030<`0o`D0c?l00P3<
0?l01`3<o`00c03o0<`0o`3<0?l0c?l00<`0o`3<o`000`3<0?l40<co00030<`0o`3<o`00c03o00<0
c03o00@0c?l00<`0o`3<o`00c03o103<o`000`3<0?l0c?l00<`0o`020<`0o`030<co003<0?l0c03o
0080c?l00P3<0?l01@3<o`00c03o0<co003<o`00c03o00<0c?l000D0c03o0<co003<o`00c?l00<`0
o`020<co00050<`0o`3<o`00c03o0<co003<0?l00P3<o`030<`0o`030<co003<0?l0c?l000@0c03o
0`3<o`001@3<0?l0c?l00<co003<0?l0c?l000@0c03o00@0c?l00<`0o`3<0?l0c?l00P3<0?l00`3<
o`00c03o0<`0o`020<co00060<`0o`3<o`00c?l00<co003<0?l0c?l00P3<0?l00`3<o`00c03o0<`0
o`020<co00@0c03o0P3<o`001`3<0?l0c?l00<co003<o`00c03o0<co003<0?l00P3<o`030<`0o`D0
c?l00P3<0?l30<co00P0c03o00@0c?l00<`0o`3<o`00c?l0203oool000H0oooo00L0c03o0<co003<
o`00c?l00<`0o`3<o`00c03o0080c?l00P3<0?l00`3<o`00c03o0<co00020<co00030<`0o`3<o`00
c03o00@0c03o00<0c?l00<`0o`3<o`000`3<0?l30<co00<0c03o1P3<o`020<`0o`050<co003<0?l0
c03o0<`0o`3<o`000P3<0?l00`3<o`00c03o0<`0o`030<`0o`030<co003<0?l0c03o00<0c?l000@0
c03o0<co003<o`00c03o0P3<o`00103<0?l0c?l00<co003<o`020<`0o`80c?l000D0c03o0<co003<
0?l0c?l00<`0o`020<co00030<`0o`3<o`00c03o0080c?l01@3<0?l00`3<o`00c03o0<co00030<co
00030<`0o`3<o`00c03o0080c03o00<0c?l00<`0o`3<0?l00P3<0?l40<co0080c03o00@0c?l00<`0
o`3<0?l0c03o0P3<o`020<`0o`<0c?l00`3<0?l0103<o`00c03o0<`0o`3<o`020<`0o`D0c?l0103<
0?l00`3<o`00c03o0<`0o`020<co00<0c03o0P3<o`001@3<0?l0c?l00<co003<o`00c03o0080c?l0
0P3<0?l30<co0080c03o00<0c?l00<`0o`3<0?l00P3<0?l00`3<o`00c03o0<`0o`020<co00@0c03o
103<o`030<`0o`<0c?l00`3<0?l0103<o`00c03o0<`0o`3<0?l30<co00030<`0o`3<o`00c?l000<0
c?l000@0c03o0<co003<0?l0c03o0`3<o`000`3<0?l0c?l00<`0o`030<`0o`D0c?l000@0c03o0<co
003<0?l0c03o203oool000H0oooo0P3<0?l40<co00<0c03o0P3<o`050<`0o`030<co003<0?l0c?l0
00<0c?l000@0c03o0<co003<o`00c03o0P3<o`020<`0o`030<co003<0?l0c?l000<0c?l00`3<0?l2
0<co0080c03o00D0c?l00<`0o`3<0?l0c03o0<co00020<`0o`030<co003<0?l0c?l00080c03o00<0
c?l00<`0o`3<o`000P3<o`001@3<0?l0c?l00<co003<o`00c03o0080c?l0103<0?l40<co00@0c03o
00D0c?l00<`0o`3<0?l0c?l00<`0o`030<co00040<`0o`3<o`00c03o0<`0o`<0c?l00`3<0?l80<co
0080c03o00<0c?l00<`0o`3<0?l02@3<0?l00`3<o`00c03o0<co00020<co00070<`0o`3<o`00c?l0
0<co003<0?l0c?l00<`0o`040<co0080c03o00<0c?l00<`0o`3<o`000P3<0?l30<co0080c03o00<0
c?l00<`0o`3<0?l00`3<o`002@3<0?l0c?l00<`0o`3<0?l0c?l00<`0o`3<o`00c03o0<co00020<`0
o`@0c?l000<0c03o0<co003<0?l00`3<o`030<`0o`@0c?l000H0c03o0<co003<o`00c?l00<`0o`3<
o`020<`0o`040<co003<0?l0c03o0<co0080c03o00<0c?l00<`0o`3<0?l00`3<0?l00`3<o`00c03o
0<`0o`030<`0o`80c?l000<0c03o0<co003<0?l0103<o`00103<0?l0c?l00<co003<o`020<`0o`<0
c?l00P3<0?l00`3<o`00c03o0<`0o`080?ooo`001P3oool30<`0o`<0c?l000<0c03o0<co003<0?l0
0P3<o`020<`0o`0@0<co003<0?l0c03o0<`0o`3<o`00c03o0<co003<0?l0c?l00<`0o`3<o`00c03o
0<co003<0?l0c?l00<`0o`80c?l0203<0?l01@3<o`00c03o0<co003<0?l0c?l000<0c03o00@0c?l0
0<`0o`3<0?l0c03o0P3<o`00103<0?l0c?l00<co003<0?l20<co00050<`0o`3<o`00c03o0<co003<
0?l00`3<o`020<`0o`80c?l00`3<0?l00`3<o`00c03o0<co00020<co00040<`0o`3<o`00c?l00<`0
o`<0c?l00`3<0?l00`3<o`00c03o0<co00020<co00060<`0o`3<o`00c03o0<co003<0?l0c?l00P3<
0?l20<co0080c03o0P3<o`00103<0?l0c?l00<`0o`3<0?l20<co0080c03o00<0c?l00<`0o`3<0?l0
0P3<0?l20<co00030<`0o`3<o`00c?l00080c?l000<0c03o0<co003<o`000P3<0?l20<co00D0c03o
0`3<o`030<`0o`80c?l000<0c03o0<co003<o`000`3<0?l30<co00@0c03o00H0c?l00<`0o`3<0?l0
c03o0<co003<0?l30<co0080c03o00<0c?l00<`0o`3<o`000P3<0?l20<co0080c03o00<0c?l00<`0
o`3<0?l01@3<0?l00`3<o`00c03o0<`0o`020<co0080c03o00@0c?l00<`0o`3<o`00c?l00P3<0?l2
0<co00<0c03o00@0c?l00<`0o`3<o`00c03o0P3<o`000`3<0?l0c?l00<co00020<`0o`050<co003<
0?l0c03o0<co003<0?l00P3<o`000`3<0?l0c?l00<`0o`020<`0o`P0oooo00060?ooo`<0c03o00<0
c?l00<`0o`3<0?l00P3<o`000`3<0?l0c?l00<`0o`030<`0o`<0c?l000<0c03o0<co003<0?l00P3<
0?l0103<o`00c03o0<`0o`3<o`060<`0o`D0c?l00P3<0?l20<co0080c03o00<0c?l00<`0o`3<o`00
0`3<o`001P3<0?l0c?l00<co003<o`00c03o0<co0080c03o00H0c?l00<`0o`3<o`00c03o0<co003<
0?l20<co00040<`0o`3<o`00c03o0<co0080c03o0P3<o`000`3<0?l0c?l00<co00020<co00<0c03o
00<0c?l00<`0o`3<o`000P3<o`00103<0?l0c?l00<`0o`3<o`030<`0o`0:0<co003<0?l0c?l00<co
003<0?l0c?l00<`0o`3<o`00c03o0<co0080c03o0P3<o`001P3<0?l0c?l00<`0o`3<0?l0c?l00<`0
o`80c?l0103<0?l0103<o`00c03o0<`0o`3<o`020<`0o`040<co003<0?l0c?l00<co00@0c03o0`3<
o`020<`0o`<0c?l000<0c03o0<co003<o`002@3<0?l01P3<o`00c03o0<`0o`3<o`00c03o0<co00X0
c03o0P3<o`000`3<0?l0c?l00<`0o`060<`0o`050<co003<0?l0c03o0<co003<0?l00`3<o`020<`0
o`80c?l0203<0?l20<co00030<`0o`3<o`00c?l000@0c03o00<0c?l00<`0o`3<o`000`3<0?l20<co
0080c03o0`3<o`020<`0o`030<co003<0?l0c?l000<0c03o203oool000H0oooo103<0?l20<co0080
c03o0`3<o`040<`0o`80c?l000<0c03o0<co003<0?l01P3<0?l0103<o`00c03o0<`0o`3<0?l50<co
0080c03o0P3<o`001@3<0?l0c?l00<`0o`3<0?l0c?l00080c03o0P3<o`020<`0o`040<co003<0?l0
c?l00<`0o`X0c?l000D0c03o0<co003<o`00c03o0<co00030<`0o`80c?l000<0c03o0<co003<o`00
0P3<o`050<`0o`80c?l000<0c03o0<co003<0?l00P3<o`050<`0o`80c?l000<0c03o0<co003<o`00
1@3<o`000`3<0?l0c?l00<`0o`040<co0080c03o0`3<o`00103<0?l0c?l00<`0o`3<o`040<`0o`03
0<co003<0?l0c03o00@0c?l0103<0?l20<co0080c03o00@0c?l00<`0o`3<0?l0c03o103<o`030<`0
o`040<co003<0?l0c?l00<co00H0c03o103<o`001P3<0?l0c?l00<co003<o`00c03o0<co00<0c03o
00<0c?l00<`0o`3<o`000P3<0?l20<co00030<`0o`3<o`00c?l00080c03o00<0c?l00<`0o`3<0?l0
1`3<o`000`3<0?l0c?l00<co00020<`0o`040<co003<0?l0c?l00<`0o`80c?l000<0c03o0<co003<
0?l00P3<0?l00`3<o`00c03o0<`0o`040<co00D0c03o00<0c?l00<`0o`3<0?l00P3<0?l80?ooo`00
1P3oool50<`0o`80c?l000@0c03o0<co003<0?l0c?l00P3<0?l00`3<o`00c03o0<co00040<co0080
c03o00@0c?l00<`0o`3<o`00c?l00P3<0?l00`3<o`00c03o0<co00020<`0o`030<co003<0?l0c?l0
0080c03o1@3<o`030<`0o`<0c?l000@0c03o0<co003<o`00c?l00P3<0?l20<co0080c03o00<0c?l0
0<`0o`3<o`00103<o`030<`0o`<0c?l000D0c03o0<co003<o`00c?l00<`0o`020<co00030<`0o`3<
o`00c?l000<0c?l0103<0?l0103<o`00c03o0<`0o`3<o`020<`0o`050<co003<0?l0c?l00<`0o`3<
o`000P3<0?l40<co0080c03o0`3<o`030<`0o`80c?l000D0c03o0<co003<o`00c?l00<`0o`060<co
0080c03o0P3<o`020<`0o`040<co003<0?l0c?l00<`0o`80c?l000<0c03o0<co003<0?l00P3<o`08
0<`0o`80c?l00P3<0?l20<co00@0c03o00@0c?l00<`0o`3<0?l0c?l00`3<0?l00`3<o`00c03o0<co
00020<`0o`80c?l00`3<0?l0103<o`00c03o0<co003<o`040<`0o`80c?l00P3<0?l30<co0080c03o
103<o`000`3<0?l0c?l00<co00040<`0o`030<co003<0?l0c?l00080c?l000@0c03o0<co003<o`00
c?l0103<0?l00`3<o`00c03o0<`0o`070<`0o`P0oooo00060?ooo`H0c03o0P3<o`000`3<0?l0c?l0
0<co00040<co00@0c03o00<0c?l00<`0o`3<o`000P3<o`00103<0?l0c?l00<co003<0?l60<co00D0
c03o00<0c?l00<`0o`3<o`000P3<o`020<`0o`040<co003<0?l0c03o0<`0o`80c?l00P3<0?l20<co
00090<`0o`3<o`00c?l00<`0o`3<o`00c03o0<co003<0?l0c?l00080c03o00<0c?l00<`0o`3<o`00
0P3<o`020<`0o`<0c?l00`3<0?l20<co0080c03o00<0c?l00<`0o`3<0?l00P3<0?l20<co00040<`0
o`3<o`00c?l00<co00@0c03o00H0c?l00<`0o`3<0?l0c03o0<co003<0?l20<co00030<`0o`3<o`00
c03o0080c?l00P3<0?l30<co00050<`0o`3<o`00c?l00<`0o`3<o`00203<0?l01@3<o`00c03o0<co
003<0?l0c?l00080c03o00@0c?l00<`0o`3<o`00c03o0P3<o`000`3<0?l0c?l00<co00030<co0005
0<`0o`3<o`00c?l00<co003<0?l00P3<o`000`3<0?l0c?l00<co00020<co00030<`0o`3<o`00c?l0
00<0c?l00P3<0?l00`3<o`00c03o0<`0o`020<co00050<`0o`3<o`00c?l00<co003<0?l00`3<o`00
1@3<0?l0c?l00<co003<o`00c03o00<0c?l00P3<0?l30<co00030<`0o`3<o`00c03o00H0c03o0P3<
o`020<`0o`030<co003<0?l0c03o0080c?l01@3<0?l20<co00040<`0o`3<o`00c?l00<co00H0c03o
203oool000H0oooo1`3<0?l20<co00050<`0o`3<o`00c03o0<co003<0?l00P3<o`001P3<0?l0c?l0
0<co003<0?l0c?l00<`0o`80c?l000@0c03o0<co003<0?l0c?l00P3<0?l60<co00040<`0o`3<o`00
c03o0<co00<0c03o00D0c?l00<`0o`3<0?l0c03o0<co00080<`0o`<0c?l00P3<0?l0103<o`00c03o
0<`0o`3<0?l70<co00<0c03o00@0c?l00<`0o`3<0?l0c03o0P3<o`001@3<0?l0c?l00<co003<o`00
c03o0080c?l01P3<0?l60<co00<0c03o00@0c?l00<`0o`3<o`00c03o0P3<o`020<`0o`030<co003<
0?l0c03o0080c03o00<0c?l00<`0o`3<0?l00P3<0?l30<co00030<`0o`3<o`00c?l000@0c?l00`3<
0?l0103<o`00c03o0<`0o`3<0?l30<co0080c03o00H0c?l00<`0o`3<0?l0c?l00<`0o`3<o`040<`0
o`030<co003<0?l0c03o0080c03o00<0c?l00<`0o`3<o`000P3<0?l01@3<o`00c03o0<`0o`3<o`00
c03o00<0c?l000<0c03o0<co003<o`000P3<o`030<`0o`050<co003<0?l0c?l00<co003<0?l00`3<
o`020<`0o`080<co003<0?l0c03o0<`0o`3<o`00c03o0<co003<0?l20<co00<0c03o00<0c?l00<`0
o`3<o`000P3<0?l00`3<o`00c03o0<co00030<`0o`D0c?l000@0c03o0<co003<0?l0c?l0203<0?l8
0?ooo`001P3oool70<`0o`030<co003<0?l0c03o00<0c03o00D0c?l00<`0o`3<o`00c?l00<`0o`02
0<co00D0c03o00D0c?l00<`0o`3<o`00c?l00<`0o`020<co00030<`0o`3<o`00c?l00080c?l000<0
c03o0<co003<0?l00P3<o`000`3<0?l0c?l00<`0o`030<co00<0c03o00<0c?l00<`0o`3<o`000P3<
o`001P3<0?l0c?l00<co003<o`00c03o0<co0080c03o00<0c?l00<`0o`3<o`000`3<0?l40<co0004
0<`0o`3<o`00c?l00<co0080c03o00<0c?l00<`0o`3<o`000`3<0?l30<co00<0c03o00<0c?l00<`0
o`3<0?l00P3<o`020<`0o`040<co003<0?l0c?l00<co00<0c03o00<0c?l00<`0o`3<o`00103<o`03
0<`0o`080<co003<0?l0c?l00<co003<0?l0c?l00<`0o`3<o`020<`0o`80c?l000D0c03o0<co003<
0?l0c03o0<co00030<`0o`030<co003<0?l0c03o00<0c?l0103<0?l50<co0080c03o00D0c?l00<`0
o`3<o`00c?l00<`0o`0;0<co00<0c03o00@0c?l00<`0o`3<0?l0c03o0P3<o`050<`0o`030<co003<
0?l0c03o00<0c03o0`3<o`000`3<0?l0c?l00<co00020<`0o`H0c?l000@0c03o0<co003<0?l0c03o
0P3<o`002P3<0?l0c?l00<`0o`3<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l40<co00L0c03o203o
ool000H0oooo203<0?l20<co00D0c03o00H0c?l00<`0o`3<o`00c03o0<co003<0?l30<co00030<`0
o`3<o`00c03o0080c03o0P3<o`020<`0o`030<co003<0?l0c?l00080c03o0P3<o`020<`0o`040<co
003<0?l0c03o0<`0o`80c?l000@0c03o0<co003<o`00c?l00`3<0?l80<co0080c03o0P3<o`040<`0
o`80c?l000L0c03o0<co003<0?l0c?l00<`0o`3<o`00c03o00D0c?l000<0c03o0<co003<o`000P3<
o`001`3<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l0103<o`000`3<0?l0c?l00<co00030<co0004
0<`0o`3<o`00c03o0<co00<0c03o00<0c?l00<`0o`3<o`00103<0?l01@3<o`00c03o0<`0o`3<o`00
c03o00@0c?l00P3<0?l60<co00030<`0o`3<o`00c03o00H0c?l000<0c03o0<co003<o`000`3<o`02
0<`0o`80c?l00P3<0?l30<co0080c03o00<0c?l00<`0o`3<o`000P3<0?l00`3<o`00c03o0<co0002
0<co0080c03o0P3<o`00103<0?l0c?l00<co003<o`060<`0o`80c?l000<0c03o0<co003<o`000P3<
o`020<`0o`030<co003<0?l0c03o0080c03o00P0c?l00<`0o`3<0?l0c03o0<co003<0?l0c?l00<`0
o`@0c?l00`3<0?l30<co00030<`0o`3<o`00c03o00L0c03o203oool000H0oooo2@3<0?l30<co0003
0<`0o`3<o`00c03o0080c?l000@0c03o0<co003<0?l0c03o103<o`030<`0o`030<co003<0?l0c03o
0080c?l01@3<0?l00`3<o`00c03o0<co00040<co00050<`0o`3<o`00c?l00<co003<0?l01@3<o`02
0<`0o`80c?l00`3<0?l30<co00030<`0o`3<o`00c03o00@0c03o1@3<o`00103<0?l0c?l00<`0o`3<
o`020<`0o`040<co003<0?l0c?l00<co00H0c03o00H0c?l00<`0o`3<o`00c03o0<co003<0?l30<co
0080c03o103<o`00203<0?l0c?l00<`0o`3<0?l0c?l00<`0o`3<o`00c03o1P3<o`060<`0o`030<co
003<0?l0c03o00D0c03o00<0c?l00<`0o`3<0?l01P3<0?l01P3<o`00c03o0<co003<0?l0c?l00<`0
o`@0c?l00`3<0?l00`3<o`00c03o0<co00030<`0o`80c?l000@0c03o0<co003<o`00c03o0P3<o`00
103<0?l0c?l00<`0o`3<0?l40<co00<0c03o1@3<o`030<`0o`80c?l000D0c03o0<co003<o`00c?l0
0<`0o`070<co00090<`0o`3<o`00c?l00<co003<0?l0c?l00<`0o`3<o`00c03o0080c?l00P3<0?l0
0`3<o`00c03o0<`0o`090<`0o`P0oooo00060?ooo`X0c03o103<o`000`3<0?l0c?l00<`0o`020<`0
o`040<co003<0?l0c03o0<`0o`H0c?l00P3<0?l00`3<o`00c03o0<`0o`020<co00030<`0o`3<o`00
c?l00080c03o00<0c?l00<`0o`3<0?l00`3<0?l00`3<o`00c03o0<`0o`020<co0080c03o00D0c?l0
0<`0o`3<0?l0c03o0<co00050<`0o`80c?l000T0c03o0<co003<0?l0c?l00<`0o`3<o`00c03o0<co
003<0?l01`3<o`040<`0o`80c?l00P3<0?l30<co0080c03o00<0c?l00<`0o`3<o`000P3<0?l0103<
o`00c03o0<`0o`3<o`040<`0o`070<co003<0?l0c03o0<`0o`3<o`00c03o0<co00060<`0o`040<co
003<0?l0c?l00<co0080c03o2P3<o`000`3<0?l0c?l00<`0o`030<co0080c03o00<0c?l00<`0o`3<
0?l00`3<o`020<`0o`030<co003<0?l0c03o00<0c?l000<0c03o0<co003<o`00103<o`020<`0o`80
c?l00P3<0?l20<co00060<`0o`3<o`00c?l00<`0o`3<o`00c03o0P3<o`020<`0o`030<co003<0?l0
c03o00<0c?l00P3<0?l30<co00030<`0o`3<o`00c?l000T0c03o103<o`040<`0o`D0c?l02P3<0?l8
0?ooo`001P3oool;0<`0o`<0c?l000@0c03o0<co003<0?l0c03o1@3<o`000`3<0?l0c?l00<co000B
0<co00H0c03o0P3<o`020<`0o`080<co003<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l30<co0003
0<`0o`3<o`00c03o0080c03o0`3<o`000`3<0?l0c?l00<`0o`080<`0o`<0c?l000<0c03o0<co003<
o`000P3<0?l20<co00030<`0o`3<o`00c03o0080c03o0`3<o`000`3<0?l0c?l00<`0o`040<co00<0
c03o00<0c?l00<`0o`3<o`001@3<o`001P3<0?l0c?l00<co003<0?l0c?l00<`0o`@0c?l0103<0?l0
1@3<o`00c03o0<`0o`3<o`00c03o00<0c?l000<0c03o0<co003<o`000P3<0?l40<co0080c03o1@3<
o`00103<0?l0c?l00<co003<0?l40<co0080c03o2P3<o`020<`0o`030<co003<0?l0c?l00080c03o
0P3<o`020<`0o`<0c?l000D0c03o0<co003<0?l0c03o0<co00040<`0o`060<co003<0?l0c?l00<co
003<0?l0c?l00`3<0?l20<co00070<`0o`3<o`00c?l00<`0o`3<o`00c03o0<co000;0<`0o`P0oooo
00060?ooo`/0c03o00<0c?l00<`0o`3<0?l00P3<o`00103<0?l0c?l00<`0o`3<0?l20<co00030<`0
o`3<o`00c?l000D0c03o0`3<o`040<`0o`030<co003<0?l0c?l00080c03o00<0c?l00<`0o`3<0?l0
0`3<o`020<`0o`80c?l00P3<0?l20<co00030<`0o`3<o`00c03o00<0c?l000@0c03o0<co003<0?l0
c?l00`3<0?l00`3<o`00c03o0<co00040<`0o`@0c?l000<0c03o0<co003<o`001@3<o`080<`0o`05
0<co003<0?l0c03o0<`0o`3<o`000P3<0?l0103<o`00c03o0<`0o`3<0?l20<co00<0c03o1@3<o`00
0`3<0?l0c?l00<`0o`030<`0o`030<co003<0?l0c?l00080c?l000@0c03o0<co003<0?l0c03o0P3<
o`020<`0o`030<co003<0?l0c?l00080c?l000@0c03o0<co003<0?l0c?l00P3<0?l30<co00D0c03o
00D0c?l00<`0o`3<o`00c?l00<`0o`020<co0080c03o0`3<o`00103<0?l0c?l00<co003<o`020<`0
o`030<co003<0?l0c03o00<0c?l000@0c03o0<co003<0?l0c?l00`3<0?l30<co00050<`0o`3<o`00
c03o0<co003<0?l01`3<o`020<`0o`030<co003<0?l0c?l000L0c?l000H0c03o0<co003<o`00c?l0
0<`0o`3<o`0;0<`0o`P0oooo00060?ooo``0c03o0P3<o`020<`0o`030<co003<0?l0c?l00080c03o
0P3<o`030<`0o`@0c?l00P3<0?l20<co00<0c03o00D0c?l00<`0o`3<o`00c?l00<`0o`030<co0003
0<`0o`3<o`00c?l000<0c03o00<0c?l00<`0o`3<0?l00P3<o`050<`0o`@0c?l000<0c03o0<co003<
o`000P3<o`001@3<0?l0c?l00<co003<0?l0c?l00080c03o0P3<o`00103<0?l0c?l00<`0o`3<o`05
0<`0o`<0c?l00P3<0?l<0<co0080c03o00X0c?l00<`0o`3<o`00c?l00<`0o`3<o`00c03o0<co003<
0?l0c?l0103<0?l00`3<o`00c03o0<co00020<co00050<`0o`3<o`00c?l00<`0o`3<o`000`3<0?l0
1@3<o`00c03o0<`0o`3<0?l0c?l00080c03o00<0c?l00<`0o`3<0?l01@3<0?l00`3<o`00c03o0<co
00030<co00T0c03o00H0c?l00<`0o`3<o`00c?l00<`0o`3<o`030<`0o`80c?l000D0c03o0<co003<
0?l0c?l00<`0o`050<co0080c03o103<o`00203<0?l0c?l00<`0o`3<0?l0c?l00<`0o`3<o`00c03o
0`3<o`000`3<0?l0c?l00<`0o`030<co00040<`0o`3<o`00c?l00<`0o`H0c?l0303<0?l80?ooo`00
1P3oool=0<`0o`80c?l000<0c03o0<co003<0?l00P3<o`020<`0o`060<co003<0?l0c03o0<co003<
0?l0c?l02`3<0?l00`3<o`00c03o0<co00050<`0o`030<co003<0?l0c?l00080c?l00P3<0?l20<co
00<0c03o0`3<o`020<`0o`030<co003<0?l0c03o00H0c?l000<0c03o0<co003<0?l00P3<0?l01@3<
o`00c03o0<`0o`3<o`00c03o00<0c?l00`3<0?l0103<o`00c03o0<`0o`3<o`030<`0o`030<co003<
0?l0c?l000<0c03o00<0c?l00<`0o`3<o`000P3<o`040<`0o`@0c?l000H0c03o0<co003<o`00c03o
0<co003<0?l20<co00050<`0o`3<o`00c03o0<co003<0?l01P3<o`060<`0o`P0c?l000@0c03o0<co
003<o`00c?l00P3<0?l00`3<o`00c03o0<`0o`020<`0o`80c?l00P3<0?l0103<o`00c03o0<`0o`3<
0?l30<co00030<`0o`3<o`00c03o00L0c03o0P3<o`020<`0o`030<co003<0?l0c03o0080c?l00P3<
0?l00`3<o`00c03o0<co00020<co00030<`0o`3<o`00c03o00@0c03o00P0c?l00<`0o`3<o`00c?l0
0<`0o`3<o`00c03o0<co0080c03o00<0c?l00<`0o`3<o`003P3<0?l80?ooo`001P3oool>0<`0o`80
c?l00P3<0?l0103<o`00c03o0<co003<o`020<`0o`80c?l000@0c03o0<co003<o`00c03o0P3<o`03
0<`0o`80c?l000@0c03o0<co003<0?l0c?l00P3<0?l30<co00040<`0o`3<o`00c?l00<`0o`80c?l0
0P3<0?l20<co00040<`0o`3<o`00c?l00<co00H0c03o00<0c?l00<`0o`3<o`000P3<o`000`3<0?l0
c?l00<co00060<co00<0c03o00@0c?l00<`0o`3<0?l0c?l00`3<0?l30<co0080c03o00<0c?l00<`0
o`3<0?l00`3<0?l20<co00040<`0o`3<o`00c03o0<`0o`@0c?l00`3<0?l40<co00030<`0o`3<o`00
c03o00<0c03o00<0c?l00<`0o`3<o`000P3<o`020<`0o`030<co003<0?l0c?l00080c?l000D0c03o
0<co003<o`00c?l00<`0o`020<co00<0c03o0P3<o`000`3<0?l0c?l00<co00020<co00030<`0o`3<
o`00c?l000<0c?l000<0c03o0<co003<0?l00`3<0?l20<co00040<`0o`3<o`00c?l00<`0o`80c?l0
103<0?l20<co00D0c03o0`3<o`040<`0o`060<co003<0?l0c?l00<`0o`3<o`00c03o0P3<o`00103<
0?l0c?l00<co003<o`020<`0o`050<co003<0?l0c03o0<`0o`3<o`000`3<0?l30<co00h0c03o203o
ool000H0oooo403<0?l30<co00030<`0o`3<o`00c03o00D0c?l000<0c03o0<co003<o`000`3<0?l6
0<co0080c03o00@0c?l00<`0o`3<0?l0c03o0`3<o`020<`0o`040<co003<0?l0c03o0<`0o`80c?l0
0P3<0?l30<co00040<`0o`3<o`00c?l00<`0o`80c?l0103<0?l20<co00<0c03o0`3<o`020<`0o`04
0<co003<0?l0c03o0<`0o`<0c?l000L0c03o0<co003<0?l0c03o0<co003<0?l0c?l00080c03o00<0
c?l00<`0o`3<0?l00P3<0?l0103<o`00c03o0<co003<0?l20<co0080c03o0P3<o`00103<0?l0c?l0
0<`0o`3<o`020<`0o`<0c?l000@0c03o0<co003<o`00c?l00P3<0?l20<co00L0c03o00D0c?l00<`0
o`3<o`00c?l00<`0o`060<co00@0c03o0P3<o`000`3<0?l0c?l00<`0o`030<`0o`030<co003<0?l0
c03o0080c?l000@0c03o0<co003<0?l0c?l00P3<0?l01`3<o`00c03o0<`0o`3<0?l0c?l00<`0o`3<
o`001`3<0?l0103<o`00c03o0<co003<o`020<`0o`D0c?l00`3<0?l20<co00030<`0o`3<o`00c?l0
0080c?l00`3<0?l00`3<o`00c03o0<co00020<co00030<`0o`3<o`00c03o00h0c03o203oool000H0
oooo4`3<0?l01@3<o`00c03o0<`0o`3<0?l0c?l00080c03o0P3<o`001`3<0?l0c?l00<co003<o`00
c03o0<co003<0?l00P3<o`000`3<0?l0c?l00<co00020<`0o`80c?l000<0c03o0<co003<0?l0103<
o`030<`0o`050<co003<0?l0c?l00<`0o`3<o`000`3<0?l40<co00090<`0o`3<o`00c?l00<`0o`3<
o`00c03o0<co003<0?l0c?l000<0c03o0P3<o`040<`0o`070<co003<0?l0c03o0<co003<0?l0c?l0
0<`0o`020<co00030<`0o`3<o`00c?l000<0c?l000D0c03o0<co003<o`00c03o0<co00020<`0o`05
0<co003<0?l0c03o0<`0o`3<o`000P3<0?l01P3<o`00c03o0<co003<o`00c03o0<co0080c03o00@0
c?l00<`0o`3<0?l0c?l00`3<0?l40<co00030<`0o`3<o`00c?l000<0c?l000<0c03o0<co003<0?l0
0`3<o`000`3<0?l0c?l00<co00020<co00<0c03o00D0c?l00<`0o`3<o`00c03o0<co00020<`0o`<0
c?l00`3<0?l01@3<o`00c03o0<co003<o`00c03o00<0c?l00`3<0?l00`3<o`00c03o0<co00040<co
000;0<`0o`3<o`00c03o0<co003<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l01P3<o`040<`0o`04
0<co003<0?l0c?l00<co00@0c03o0P3<o`0@0<`0o`P0oooo00060?oooa00c03o0P3<o`001P3<0?l0
c?l00<`0o`3<o`00c03o0<co0080c03o103<o`030<`0o`80c?l000<0c03o0<co003<o`000`3<0?l4
0<co00@0c03o00<0c?l00<`0o`3<o`001P3<0?l00`3<o`00c03o0<`0o`030<`0o`<0c?l000H0c03o
0<co003<o`00c?l00<`0o`3<o`060<`0o`030<co003<0?l0c03o0080c?l00`3<0?l0103<o`00c03o
0<`0o`3<0?l30<co00050<`0o`3<o`00c?l00<`0o`3<o`000P3<0?l40<co00@0c03o00X0c?l00<`0
o`3<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l0c?l0103<0?l01@3<o`00c03o0<co003<o`00c03o
00<0c?l00P3<0?l01P3<o`00c03o0<co003<0?l0c?l00<`0o`80c?l01`3<0?l30<co00030<`0o`3<
o`00c?l000D0c?l00P3<0?l0103<o`00c03o0<`0o`3<o`050<`0o`030<co003<0?l0c03o0080c03o
00<0c?l00<`0o`3<o`00203<0?l30<co00040<`0o`3<o`00c03o0<co0080c03o00@0c?l00<`0o`3<
o`00c03o0P3<o`030<`0o`060<co003<0?l0c03o0<`0o`3<o`00c03o103<o`0@0<`0o`P0oooo0006
0?oooa40c03o0P3<o`020<`0o`040<co003<0?l0c?l00<co00@0c03o0`3<o`000`3<0?l0c?l00<`0
o`040<`0o`030<co003<0?l0c?l000<0c03o103<o`00103<0?l0c?l00<co003<0?l30<co0080c03o
0P3<o`030<`0o`040<co003<0?l0c03o0<co00D0c03o0P3<o`00103<0?l0c?l00<co003<o`020<`0
o`030<co003<0?l0c?l00080c03o0P3<o`030<`0o`80c?l000@0c03o0<co003<o`00c03o1@3<o`00
103<0?l0c?l00<`0o`3<o`020<`0o`<0c?l000@0c03o0<co003<0?l0c?l00P3<0?l20<co00<0c03o
0`3<o`020<`0o`040<co003<0?l0c?l00<`0o`80c?l000<0c03o0<co003<0?l00`3<0?l0103<o`00
c03o0<`0o`3<0?l20<co0080c03o0P3<o`020<`0o`80c?l000<0c03o0<co003<o`000`3<0?l0103<
o`00c03o0<co003<o`020<`0o`@0c?l000<0c03o0<co003<0?l01@3<o`000`3<0?l0c?l00<co0002
0<`0o`<0c?l000<0c03o0<co003<0?l01@3<o`020<`0o`040<co003<0?l0c03o0<co00H0c03o00<0
c?l00<`0o`3<0?l00P3<0?l0103<o`00c03o0<co003<o`0A0<`0o`P0oooo00060?oooa80c03o0`3<
o`020<`0o`040<co003<0?l0c03o0<co00D0c03o00<0c?l00<`0o`3<o`000`3<o`00103<0?l0c?l0
0<co003<0?l30<co00030<`0o`3<o`00c03o0080c?l000@0c03o0<co003<o`00c03o0P3<o`030<`0
o`050<co003<0?l0c03o0<`0o`3<o`000P3<0?l00`3<o`00c03o0<co00020<`0o`030<co003<0?l0
c?l00080c?l000@0c03o0<co003<o`00c?l00P3<0?l00`3<o`00c03o0<`0o`020<`0o`@0c?l01@3<
0?l20<co00030<`0o`3<o`00c03o0080c03o00D0c?l00<`0o`3<0?l0c03o0<co00020<`0o`80c?l0
0P3<0?l00`3<o`00c03o0<co00020<`0o`040<co003<0?l0c?l00<co0080c03o0P3<o`001@3<0?l0
c?l00<co003<0?l0c?l000<0c03o103<o`040<`0o`050<co003<0?l0c03o0<`0o`3<o`000P3<0?l0
0`3<o`00c03o0<`0o`020<co00<0c03o0P3<o`070<`0o`030<co003<0?l0c?l00080c?l000<0c03o
0<co003<0?l0103<0?l20<co00040<`0o`3<o`00c?l00<`0o`80c?l00P3<0?l00`3<o`00c03o0<co
00030<co00@0c03o103<o`000`3<0?l0c?l00<co00020<`0o`040<co003<0?l0c03o0<co0180c03o
203oool000H0oooo503<0?l20<co00040<`0o`3<o`00c03o0<`0o`80c?l000<0c03o0<co003<0?l0
0P3<0?l02P3<o`00c03o0<co003<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l40<co00040<`0o`3<
o`00c03o0<co00<0c03o1P3<o`030<`0o`040<co003<0?l0c03o0<`0o`80c?l000<0c03o0<co003<
o`000P3<0?l70<co00030<`0o`3<o`00c03o0080c03o00H0c?l00<`0o`3<0?l0c03o0<co003<0?l5
0<co0080c03o0`3<o`000`3<0?l0c?l00<`0o`070<co0080c03o1P3<o`020<`0o`80c?l000P0c03o
0<co003<0?l0c03o0<co003<0?l0c?l00<`0o`80c?l00P3<0?l00`3<o`00c03o0<`0o`020<`0o`@0
c?l00P3<0?l01@3<o`00c03o0<`0o`3<0?l0c?l000<0c03o00<0c?l00<`0o`3<o`000P3<0?l70<co
00@0c03o00@0c?l00<`0o`3<0?l0c03o2@3<o`001@3<0?l0c?l00<`0o`3<0?l0c?l000D0c03o00@0
c?l00<`0o`3<0?l0c03o0`3<o`030<`0o`030<co003<0?l0c?l000@0c?l04`3<0?l80?ooo`001P3o
oolF0<`0o`80c?l000<0c03o0<co003<0?l00P3<0?l40<co00030<`0o`3<o`00c03o0080c03o00@0
c?l00<`0o`3<0?l0c?l00P3<0?l0103<o`00c03o0<co003<0?l20<co00040<`0o`3<o`00c?l00<`0
o`80c?l00P3<0?l20<co00030<`0o`3<o`00c?l00080c?l000H0c03o0<co003<o`00c?l00<`0o`3<
o`040<`0o`040<co003<0?l0c?l00<`0o`@0c?l000<0c03o0<co003<0?l00P3<0?l00`3<o`00c03o
0<co00030<co00L0c03o103<o`050<`0o`030<co003<0?l0c?l000@0c03o00D0c?l00<`0o`3<o`00
c?l00<`0o`030<co0080c03o00<0c?l00<`0o`3<0?l00`3<0?l30<co00<0c03o0`3<o`001P3<0?l0
c?l00<co003<o`00c03o0<co0080c03o103<o`020<`0o`040<co003<0?l0c03o0<`0o`<0c?l000@0
c03o0<co003<o`00c?l00P3<0?l30<co00060<`0o`3<o`00c?l00<`0o`3<o`00c03o0`3<o`000`3<
0?l0c?l00<co00050<co00<0c03o0P3<o`020<`0o`<0c?l00`3<0?l01@3<o`00c03o0<`0o`3<o`00
c03o0080c?l05@3<0?l80?ooo`001P3ooolD0<`0o`80c?l00P3<0?l00`3<o`00c03o0<co00040<`0
o`80c?l000<0c03o0<co003<0?l01P3<0?l0103<o`00c03o0<co003<0?l40<co00<0c03o00<0c?l0
0<`0o`3<0?l00P3<0?l20<co0080c03o0P3<o`020<`0o`040<co003<0?l0c?l00<`0o`<0c?l000D0
c03o0<co003<o`00c?l00<`0o`020<co00030<`0o`3<o`00c?l000<0c?l00P3<0?l20<co00030<`0
o`3<o`00c?l00080c?l000D0c03o0<co003<o`00c03o0<co00020<`0o`030<co003<0?l0c?l00080
c03o103<o`060<`0o`040<co003<0?l0c03o0<co00<0c03o0P3<o`000`3<0?l0c?l00<co00050<`0
o`030<co003<0?l0c?l000H0c?l00P3<0?l30<co00050<`0o`3<o`00c03o0<co003<0?l00P3<o`00
1@3<0?l0c?l00<co003<0?l0c?l00080c03o00@0c?l00<`0o`3<0?l0c03o0P3<o`000`3<0?l0c?l0
0<co00020<co00030<`0o`3<o`00c03o0080c?l01P3<0?l00`3<o`00c03o0<co00020<`0o`040<co
003<0?l0c03o0<`0o`<0c?l00P3<0?l00`3<o`00c03o0<co00030<`0o`<0c?l00P3<0?l00`3<o`00
c03o0<`0o`0B0<`0o`P0oooo00060?oooaD0c03o0P3<o`000`3<0?l0c?l00<`0o`020<co00<0c03o
1@3<o`020<`0o`040<co003<0?l0c?l00<co0080c03o00@0c?l00<`0o`3<0?l0c03o1@3<o`001@3<
0?l0c?l00<co003<0?l0c?l000@0c03o0`3<o`00103<0?l0c?l00<co003<o`020<`0o`<0c?l000L0
c03o0<co003<0?l0c03o0<co003<0?l0c?l000@0c03o0`3<o`001@3<0?l0c?l00<co003<o`00c03o
0080c?l00P3<0?l0103<o`00c03o0<`0o`3<o`030<`0o`030<co003<0?l0c03o0080c?l000<0c03o
0<co003<o`000P3<0?l20<co00030<`0o`3<o`00c?l000H0c03o00<0c?l00<`0o`3<0?l00P3<0?l0
1@3<o`00c03o0<`0o`3<0?l0c?l00080c03o00<0c?l00<`0o`3<o`000P3<0?l20<co00060<`0o`3<
o`00c?l00<`0o`3<o`00c03o0P3<o`002`3<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l0c?l00<`0
o`3<o`00c03o00<0c?l000@0c03o0<co003<o`00c03o0P3<o`020<`0o`80c?l000<0c03o0<co003<
o`00103<0?l00`3<o`00c03o0<`0o`020<`0o`040<co003<0?l0c?l00<co00<0c03o00<0c?l00<`0
o`3<0?l00`3<o`020<`0o`030<co003<0?l0c?l00080c03o00<0c?l00<`0o`3<0?l04`3<0?l80?oo
o`001P3ooolF0<`0o`80c?l00P3<0?l00`3<o`00c03o0<co00020<co00@0c03o00<0c?l00<`0o`3<
o`000P3<o`00103<0?l0c?l00<co003<0?l20<co00040<`0o`3<o`00c03o0<co0080c03o00<0c?l0
0<`0o`3<0?l01@3<o`020<`0o`040<co003<0?l0c03o0<`0o`80c?l00P3<0?l20<co00030<`0o`3<
o`00c?l00080c?l000@0c03o0<co003<o`00c?l0103<0?l30<co0080c03o0`3<o`050<`0o`80c?l0
0`3<0?l01@3<o`00c03o0<`0o`3<0?l0c?l000D0c03o00<0c?l00<`0o`3<o`000`3<o`020<`0o`<0
c?l00`3<0?l20<co00070<`0o`3<o`00c?l00<co003<0?l0c?l00<`0o`030<co00030<`0o`3<o`00
c?l00080c?l000@0c03o0<co003<0?l0c03o0P3<o`030<`0o`040<co003<0?l0c?l00<co0080c03o
0P3<o`020<`0o`80c?l000<0c03o0<co003<o`000P3<o`030<`0o`050<co003<0?l0c03o0<co003<
0?l00P3<o`000`3<0?l0c?l00<`0o`060<co00030<`0o`3<o`00c03o0080c03o00D0c?l00<`0o`3<
o`00c?l00<`0o`020<co0080c03o00D0c?l00<`0o`3<0?l0c03o0<co000F0<`0o`P0oooo00060?oo
oaP0c03o0`3<o`000`3<0?l0c?l00<`0o`020<co00060<`0o`3<o`00c?l00<`0o`3<o`00c03o0P3<
o`000`3<0?l0c?l00<`0o`020<co00060<`0o`3<o`00c?l00<`0o`3<o`00c03o0`3<o`000`3<0?l0
c?l00<`0o`020<`0o`050<co003<0?l0c03o0<`0o`3<o`00203<0?l0103<o`00c03o0<co003<o`06
0<`0o`030<co003<0?l0c?l00080c?l0103<0?l01@3<o`00c03o0<`0o`3<0?l0c?l000<0c03o0P3<
o`020<`0o`80c?l000@0c03o0<co003<0?l0c03o1P3<o`020<`0o`040<co003<0?l0c?l00<co00D0
c03o00D0c?l00<`0o`3<0?l0c?l00<`0o`060<co00030<`0o`3<o`00c?l000<0c?l000<0c03o0<co
003<o`001P3<0?l0103<o`00c03o0<co003<0?l30<co00040<`0o`3<o`00c03o0<co0080c03o00@0
c?l00<`0o`3<0?l0c?l00P3<0?l00`3<o`00c03o0<co00020<co00@0c03o00D0c?l00<`0o`3<o`00
c?l00<`0o`030<co00T0c03o1P3<o`030<`0o`030<co003<0?l0c03o01D0c03o203oool000H0oooo
6`3<0?l0103<o`00c03o0<`0o`3<0?l20<co00030<`0o`3<o`00c?l000D0c03o00<0c?l00<`0o`3<
o`000P3<0?l60<co00D0c03o0`3<o`00103<0?l0c?l00<co003<o`030<`0o`030<co003<0?l0c?l0
0080c?l000<0c03o0<co003<o`001@3<0?l00`3<o`00c03o0<co00020<`0o`80c?l000@0c03o0<co
003<o`00c03o0`3<o`020<`0o`<0c?l01`3<0?l40<co0080c03o00<0c?l00<`0o`3<o`000P3<0?l2
0<co00030<`0o`3<o`00c03o0080c03o0P3<o`020<`0o`030<co003<0?l0c03o00P0c03o00H0c?l0
0<`0o`3<0?l0c?l00<`0o`3<o`030<`0o`D0c?l000D0c03o0<co003<0?l0c?l00<`0o`020<co0080
c03o0P3<o`000`3<0?l0c?l00<`0o`020<co00040<`0o`3<o`00c?l00<co00L0c03o00H0c?l00<`0
o`3<o`00c03o0<co003<0?l20<co0080c03o00@0c?l00<`0o`3<0?l0c?l00P3<0?l00`3<o`00c03o
0<`0o`020<`0o`030<co003<0?l0c03o0080c?l0603<0?l80?ooo`001P3ooolH0<`0o`80c?l000/0
c03o0<co003<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l0c?l00<`0o`030<co00040<`0o`3<o`00
c03o0<`0o`<0c?l000<0c03o0<co003<o`000`3<o`001P3<0?l0c?l00<co003<o`00c03o0<co00<0
c03o0P3<o`00103<0?l0c?l00<co003<o`030<`0o`80c?l000<0c03o0<co003<0?l00`3<o`030<`0
o`050<co003<0?l0c03o0<co003<0?l00P3<o`00203<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l0
c?l00P3<0?l30<co00080<`0o`3<o`00c?l00<`0o`3<o`00c03o0<co003<0?l20<co00040<`0o`3<
o`00c?l00<`0o`<0c?l000D0c03o0<co003<0?l0c?l00<`0o`020<co0080c03o103<o`030<`0o`05
0<co003<0?l0c?l00<`0o`3<o`000P3<0?l60<co00<0c03o1P3<o`001@3<0?l0c?l00<co003<o`00
c03o0080c?l000<0c03o0<co003<o`000`3<o`040<`0o`030<co003<0?l0c03o0080c?l000<0c03o
0<co003<0?l00P3<o`000`3<0?l0c?l00<`0o`030<co00040<`0o`3<o`00c03o0<`0o`<0c?l000<0
c03o0<co003<o`000P3<o`00103<0?l0c?l00<co003<o`0H0<`0o`P0oooo00060?oooaT0c03o0P3<
o`020<`0o`060<co003<0?l0c?l00<co003<0?l0c?l00P3<0?l40<co00<0c03o00@0c?l00<`0o`3<
o`00c?l0203<0?l50<co00050<`0o`3<o`00c?l00<co003<0?l01@3<o`020<`0o`<0c?l000<0c03o
0<co003<o`000P3<o`001@3<0?l0c?l00<co003<0?l0c?l00080c03o1@3<o`00103<0?l0c?l00<`0
o`3<o`020<`0o`030<co003<0?l0c?l00080c03o0`3<o`030<`0o`<0c?l00P3<0?l0103<o`00c03o
0<`0o`3<0?l30<co00T0c03o0P3<o`020<`0o`80c?l000<0c03o0<co003<0?l00`3<0?l0103<o`00
c03o0<`0o`3<o`030<`0o`030<co003<0?l0c03o00@0c03o00<0c?l00<`0o`3<0?l00P3<0?l0103<
o`00c03o0<`0o`3<o`020<`0o`030<co003<0?l0c03o0080c?l000<0c03o0<co003<o`000P3<0?l0
0`3<o`00c03o0<co00030<`0o`80c?l00`3<0?l00`3<o`00c03o0<`0o`030<co0080c03o0P3<o`05
0<`0o`030<co003<0?l0c03o01L0c03o203oool000H0oooo6P3<0?l30<co0080c03o00D0c?l00<`0
o`3<0?l0c03o0<co00030<`0o`D0c?l00P3<0?l20<co00<0c03o00D0c?l00<`0o`3<o`00c?l00<`0
o`030<co00@0c03o00<0c?l00<`0o`3<0?l00P3<o`020<`0o`040<co003<0?l0c03o0<`0o`80c?l0
00@0c03o0<co003<0?l0c03o0P3<o`00103<0?l0c?l00<`0o`3<o`030<`0o`030<co003<0?l0c?l0
00H0c?l000L0c03o0<co003<0?l0c03o0<co003<0?l0c?l000@0c03o00D0c?l00<`0o`3<0?l0c?l0
0<`0o`020<co00030<`0o`3<o`00c03o00<0c03o00<0c?l00<`0o`3<0?l00`3<o`030<`0o`060<co
003<0?l0c03o0<`0o`3<o`00c03o0P3<o`00103<0?l0c?l00<co003<0?l40<co0080c03o00@0c?l0
0<`0o`3<0?l0c03o1P3<o`030<`0o`030<co003<0?l0c?l000<0c?l0103<0?l20<co0080c03o00@0
c?l00<`0o`3<o`00c03o0`3<o`00103<0?l0c?l00<co003<o`020<`0o`80c?l000<0c03o0<co003<
0?l00P3<o`030<`0o`D0c?l06P3<0?l80?ooo`001P3ooolL0<`0o`80c?l000@0c03o0<co003<0?l0
c03o1@3<o`000`3<0?l0c?l00<co00060<co00030<`0o`3<o`00c03o00<0c?l000<0c03o0<co003<
0?l00`3<o`060<`0o`80c?l00P3<0?l00`3<o`00c03o0<co00020<co00030<`0o`3<o`00c?l000H0
c?l000<0c03o0<co003<o`000P3<o`000`3<0?l0c?l00<`0o`060<`0o`80c?l000<0c03o0<co003<
o`000P3<o`001`3<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l0103<o`000`3<0?l0c?l00<`0o`03
0<`0o`030<co003<0?l0c03o00d0c?l000<0c03o0<co003<0?l00P3<0?l01@3<o`00c03o0<`0o`3<
o`00c03o0080c?l000@0c03o0<co003<o`00c03o0`3<o`050<`0o`80c?l01@3<0?l0103<o`00c03o
0<`0o`3<o`020<`0o`030<co003<0?l0c03o0080c03o00D0c?l00<`0o`3<o`00c?l00<`0o`060<co
00<0c03o00D0c?l00<`0o`3<0?l0c?l00<`0o`040<co01/0c03o203oool000H0oooo7P3<0?l20<co
00040<`0o`3<o`00c03o0<`0o`80c?l000<0c03o0<co003<o`000`3<0?l0103<o`00c03o0<`0o`3<
o`020<`0o`050<co003<0?l0c?l00<co003<0?l00P3<o`040<`0o`<0c?l00P3<0?l20<co0080c03o
0P3<o`001@3<0?l0c?l00<`0o`3<0?l0c?l00080c03o00L0c?l00<`0o`3<o`00c03o0<co003<0?l0
c?l000H0c03o103<o`00103<0?l0c?l00<co003<o`020<`0o`<0c?l000@0c03o0<co003<0?l0c?l0
103<0?l00`3<o`00c03o0<co00050<co000:0<`0o`3<o`00c?l00<co003<0?l0c?l00<`0o`3<o`00
c03o0<co0080c03o00<0c?l00<`0o`3<o`000P3<o`000`3<0?l0c?l00<co00040<`0o`80c?l0103<
0?l20<co00030<`0o`3<o`00c?l000D0c?l01P3<0?l30<co0080c03o00<0c?l00<`0o`3<o`000P3<
0?l20<co0080c03o103<o`001@3<0?l0c?l00<`0o`3<0?l0c?l000<0c03o0`3<o`00103<0?l0c?l0
0<`0o`3<o`0N0<`0o`P0oooo00060?oooa`0c03o0P3<o`020<`0o`030<co003<0?l0c?l00080c03o
0P3<o`030<`0o`80c?l000@0c03o0<co003<0?l0c03o0`3<o`001@3<0?l0c?l00<co003<0?l0c?l0
00<0c03o0P3<o`000`3<0?l0c?l00<co00030<`0o`030<co003<0?l0c03o0080c?l000<0c03o0<co
003<0?l00P3<0?l40<co00030<`0o`3<o`00c03o0080c?l000D0c03o0<co003<o`00c03o0<co0002
0<`0o`80c?l000D0c03o0<co003<0?l0c03o0<co00030<`0o`070<co003<0?l0c03o0<co003<0?l0
c?l00<`0o`040<co00@0c03o00D0c?l00<`0o`3<o`00c03o0<co00020<`0o`P0c?l000L0c03o0<co
003<0?l0c03o0<co003<0?l0c?l00080c03o0`3<o`030<`0o`80c?l01@3<0?l00`3<o`00c03o0<co
00020<co00D0c03o103<o`030<`0o`@0c?l000H0c03o0<co003<o`00c?l00<`0o`3<o`020<`0o`03
0<co003<0?l0c?l00080c?l000@0c03o0<co003<0?l0c?l0103<0?l20<co0080c03o00<0c?l00<`0
o`3<0?l06P3<0?l80?ooo`001P3ooolM0<`0o`80c?l000<0c03o0<co003<0?l00P3<o`020<`0o`05
0<co003<0?l0c03o0<co003<0?l00P3<o`050<`0o`030<co003<0?l0c?l00080c03o0`3<o`050<`0
o`030<co003<0?l0c?l00080c?l00P3<0?l20<co00@0c03o0P3<o`00103<0?l0c?l00<co003<o`02
0<`0o`070<co003<0?l0c?l00<`0o`3<o`00c03o0<co00030<`0o`050<co003<0?l0c03o0<co003<
0?l01@3<o`020<`0o`80c?l00`3<0?l20<co00T0c03o103<o`001@3<0?l0c?l00<`0o`3<0?l0c?l0
0080c03o0P3<o`040<`0o`030<co003<0?l0c?l00080c03o0`3<o`060<`0o`060<co003<0?l0c?l0
0<`0o`3<o`00c03o0P3<o`030<`0o`80c?l00P3<0?l00`3<o`00c03o0<`0o`040<`0o`80c?l000<0
c03o0<co003<0?l01@3<0?l00`3<o`00c03o0<`0o`030<`0o`80c?l000<0c03o0<co003<0?l01@3<
o`0M0<`0o`P0oooo00060?oooah0c03o0P3<o`020<`0o`040<co003<0?l0c?l00<co0080c03o0P3<
o`000`3<0?l0c?l00<`0o`020<`0o`80c?l000<0c03o0<co003<o`00103<0?l00`3<o`00c03o0<co
00030<co00040<`0o`3<o`00c?l00<`0o`80c?l00P3<0?l20<co0080c03o00<0c?l00<`0o`3<0?l0
0P3<0?l00`3<o`00c03o0<`0o`030<co00030<`0o`3<o`00c03o00P0c?l01@3<0?l0103<o`00c03o
0<co003<0?l30<co0080c03o00@0c?l00<`0o`3<o`00c?l00`3<0?l00`3<o`00c03o0<co00020<`0
o`030<co003<0?l0c03o00D0c?l000@0c03o0<co003<0?l0c03o0`3<o`020<`0o`030<co003<0?l0
c03o0080c03o00@0c?l00<`0o`3<0?l0c?l00P3<0?l00`3<o`00c03o0<`0o`020<`0o`060<co003<
0?l0c?l00<`0o`3<o`00c03o0P3<o`020<`0o`80c?l000@0c03o0<co003<o`00c03o0`3<o`000`3<
0?l0c?l00<co00030<`0o`030<co003<0?l0c?l00080c?l00`3<0?l00`3<o`00c03o0<co00030<`0
o`80c?l000@0c03o0<co003<o`00c?l07P3<0?l80?ooo`001P3ooolP0<`0o`<0c?l000<0c03o0<co
003<0?l01@3<o`020<`0o`80c?l00P3<0?l00`3<o`00c03o0<co00030<co0080c03o00@0c?l00<`0
o`3<0?l0c03o0`3<o`020<`0o`040<co003<0?l0c03o0<`0o`80c?l00P3<0?l00`3<o`00c03o0<co
00030<co0080c03o00@0c?l00<`0o`3<0?l0c?l00P3<0?l0103<o`00c03o0<`0o`3<0?l30<co0080
c03o0`3<o`000`3<0?l0c?l00<co00020<`0o`030<co003<0?l0c03o0080c?l000<0c03o0<co003<
0?l0103<o`000`3<0?l0c?l00<co00030<`0o`030<co003<0?l0c?l000<0c?l000<0c03o0<co003<
0?l00P3<o`000`3<0?l0c?l00<`0o`040<`0o`80c?l000<0c03o0<co003<0?l00`3<o`060<`0o`03
0<co003<0?l0c03o0080c?l00P3<0?l0103<o`00c03o0<`0o`3<0?l20<co00030<`0o`3<o`00c?l0
00@0c03o00<0c?l00<`0o`3<0?l0103<0?l20<co00<0c03o0P3<o`020<`0o`040<co003<0?l0c03o
0<co0080c03o0P3<o`0O0<`0o`P0oooo00060?ooob<0c03o00D0c?l00<`0o`3<0?l0c03o0<co0002
0<`0o`@0c?l000<0c03o0<co003<o`00103<o`020<`0o`80c?l00P3<0?l0103<o`00c03o0<co003<
0?l40<co00<0c03o00<0c?l00<`0o`3<o`000`3<o`00103<0?l0c?l00<co003<0?l20<co0080c03o
00L0c?l00<`0o`3<o`00c03o0<co003<0?l0c?l000<0c03o0P3<o`000`3<0?l0c?l00<co00020<`0
o`L0c?l000<0c03o0<co003<o`000P3<o`000`3<0?l0c?l00<co00030<co0080c03o00@0c?l00<`0
o`3<o`00c?l00`3<0?l20<co00030<`0o`3<o`00c?l000<0c?l0103<0?l20<co00@0c03o00@0c?l0
0<`0o`3<0?l0c03o0P3<o`020<`0o`80c?l00`3<0?l30<co0080c03o00<0c?l00<`0o`3<o`000P3<
o`070<`0o`D0c?l00P3<0?l01@3<o`00c03o0<co003<0?l0c?l000<0c03o0P3<o`001@3<0?l0c?l0
0<`0o`3<0?l0c?l00200c03o203oool000H0oooo803<0?l20<co00060<`0o`3<o`00c03o0<co003<
0?l0c?l00P3<0?l20<co00030<`0o`3<o`00c03o0080c03o00D0c?l00<`0o`3<0?l0c03o0<co0003
0<`0o`040<co003<0?l0c?l00<co00@0c03o00<0c?l00<`0o`3<o`001@3<0?l20<co0080c03o00<0
c?l00<`0o`3<0?l00`3<o`000`3<0?l0c?l00<co00030<co00H0c03o00<0c?l00<`0o`3<o`000`3<
o`050<`0o`040<co003<0?l0c03o0<`0o`80c?l00P3<0?l01`3<o`00c03o0<`0o`3<0?l0c?l00<`0
o`3<o`000`3<0?l00`3<o`00c03o0<`0o`020<`0o`040<co003<0?l0c?l00<`0o`80c?l000<0c03o
0<co003<0?l00P3<0?l01`3<o`00c03o0<co003<o`00c03o0<co003<0?l0103<o`00103<0?l0c?l0
0<co003<0?l40<co00040<`0o`3<o`00c03o0<`0o`<0c?l00P3<0?l00`3<o`00c03o0<`0o`020<`0
o`050<co003<0?l0c?l00<`0o`3<o`000P3<0?l01@3<o`00c03o0<`0o`3<o`00c03o0080c?l00`3<
0?l00`3<o`00c03o0<co00050<co0200c03o203oool000H0oooo8@3<0?l20<co0080c03o00@0c?l0
0<`0o`3<o`00c?l00`3<0?l60<co0080c03o00H0c?l00<`0o`3<0?l0c?l00<`0o`3<o`030<`0o`@0
c?l000@0c03o0<co003<o`00c03o0`3<o`001P3<0?l0c?l00<co003<o`00c03o0<co00<0c03o0P3<
o`040<`0o`<0c?l000@0c03o0<co003<o`00c?l0103<0?l00`3<o`00c03o0<co00020<co00<0c03o
00@0c?l00<`0o`3<0?l0c03o103<o`000`3<0?l0c?l00<co00030<`0o`030<co003<0?l0c03o00<0
c03o0`3<o`040<`0o`80c?l00`3<0?l01P3<o`00c03o0<co003<o`00c03o0<co00<0c03o00<0c?l0
0<`0o`3<o`000P3<o`020<`0o`040<co003<0?l0c03o0<`0o`@0c?l00P3<0?l00`3<o`00c03o0<`0
o`020<`0o`80c?l000<0c03o0<co003<0?l00`3<0?l00`3<o`00c03o0<`0o`020<co00030<`0o`3<
o`00c03o00@0c?l0103<0?l0103<o`00c03o0<co003<o`0Q0<`0o`P0oooo00060?ooob80c03o0`3<
o`020<`0o`040<co003<0?l0c03o0<co00<0c03o00<0c?l00<`0o`3<o`000P3<0?l0103<o`00c03o
0<co003<0?l20<co0080c03o0P3<o`000`3<0?l0c?l00<`0o`020<co00040<`0o`3<o`00c?l00<`0
o`80c?l000<0c03o0<co003<0?l00P3<0?l00`3<o`00c03o0<`0o`020<`0o`070<co003<0?l0c?l0
0<co003<0?l0c?l00<`0o`030<co00030<`0o`3<o`00c?l000H0c03o00<0c?l00<`0o`3<o`000P3<
0?l30<co00030<`0o`3<o`00c?l000@0c?l000<0c03o0<co003<o`000`3<0?l20<co0080c03o0P3<
o`020<`0o`80c?l00P3<0?l20<co0080c03o0P3<o`000`3<0?l0c?l00<co00030<`0o`030<co003<
0?l0c?l00080c03o0P3<o`000`3<0?l0c?l00<`0o`040<`0o`@0c?l000<0c03o0<co003<0?l00P3<
0?l30<co00<0c03o103<o`080<`0o`040<co003<0?l0c03o0<co0080c03o00<0c?l00<`0o`3<o`00
8P3<0?l80?ooo`001P3ooolT0<`0o`80c?l000@0c03o0<co003<0?l0c03o103<o`020<`0o`80c?l0
00<0c03o0<co003<o`001@3<o`000`3<0?l0c?l00<co00020<co00040<`0o`3<o`00c03o0<co00<0
c03o0`3<o`001@3<0?l0c?l00<`0o`3<0?l0c?l000H0c03o00<0c?l00<`0o`3<o`000`3<0?l;0<co
00050<`0o`3<o`00c?l00<co003<0?l00`3<o`00103<0?l0c?l00<co003<0?l30<co0080c03o0P3<
o`000`3<0?l0c?l00<co00080<co00<0c03o00@0c?l00<`0o`3<o`00c03o103<o`000`3<0?l0c?l0
0<`0o`030<`0o`@0c?l00P3<0?l0103<o`00c03o0<`0o`3<0?l70<co00030<`0o`3<o`00c03o0080
c03o0`3<o`050<`0o`80c?l000<0c03o0<co003<0?l0103<o`001@3<0?l0c?l00<co003<0?l0c?l0
0080c03o00<0c?l00<`0o`3<0?l08@3<0?l80?ooo`001P3ooolV0<`0o`80c?l000@0c03o0<co003<
0?l0c03o103<o`040<`0o`040<co003<0?l0c?l00<`0o`80c?l00P3<0?l0103<o`00c03o0<co003<
0?l20<co00040<`0o`3<o`00c?l00<`0o`80c?l000<0c03o0<co003<o`000P3<0?l20<co00080<`0
o`3<o`00c?l00<co003<0?l0c?l00<`0o`3<o`040<`0o`050<co003<0?l0c?l00<`0o`3<o`003P3<
0?l0103<o`00c03o0<co003<o`040<`0o`<0c?l00`3<0?l20<co00040<`0o`3<o`00c03o0<co0080
c03o1@3<o`030<`0o`040<co003<0?l0c03o0<co00P0c03o1P3<o`020<`0o`@0c?l00P3<0?l30<co
00030<`0o`3<o`00c03o00@0c?l000P0c03o0<co003<o`00c?l00<`0o`3<o`00c03o0<co0080c03o
00<0c?l00<`0o`3<0?l00P3<o`0W0<`0o`P0oooo00060?ooob@0c03o0P3<o`020<`0o`050<co003<
0?l0c?l00<`0o`3<o`000P3<0?l20<co00040<`0o`3<o`00c03o0<co00L0c03o00<0c?l00<`0o`3<
o`000`3<o`030<`0o`040<co003<0?l0c03o0<`0o`80c?l00P3<0?l20<co00<0c03o00@0c?l00<`0
o`3<o`00c03o0`3<o`001@3<0?l0c?l00<co003<o`00c03o0080c?l000@0c03o0<co003<0?l0c?l0
0`3<0?l20<co00@0c03o00<0c?l00<`0o`3<0?l00`3<o`001@3<0?l0c?l00<co003<0?l0c?l000@0
c03o00<0c?l00<`0o`3<0?l00P3<o`001@3<0?l0c?l00<co003<0?l0c?l00080c03o00<0c?l00<`0
o`3<o`000P3<o`000`3<0?l0c?l00<co00040<`0o`@0c?l00`3<0?l01@3<o`00c03o0<co003<0?l0
c?l00080c03o0P3<o`040<`0o`040<co003<0?l0c?l00<co00D0c03o0P3<o`000`3<0?l0c?l00<`0
o`030<`0o`<0c?l000H0c03o0<co003<o`00c?l00<`0o`3<o`0T0<`0o`P0oooo00060?ooobD0c03o
0P3<o`000`3<0?l0c?l00<`0o`020<co0080c03o103<o`000`3<0?l0c?l00<`0o`040<`0o`80c?l0
00<0c03o0<co003<0?l00P3<0?l50<co00080<`0o`3<o`00c?l00<`0o`3<o`00c03o0<co003<0?l2
0<co00030<`0o`3<o`00c?l000@0c?l000H0c03o0<co003<o`00c?l00<`0o`3<o`020<`0o`030<co
003<0?l0c?l000@0c03o00@0c?l00<`0o`3<0?l0c?l00`3<0?l30<co00050<`0o`3<o`00c03o0<co
003<0?l0103<o`001@3<0?l0c?l00<`0o`3<o`00c03o0080c?l000D0c03o0<co003<o`00c?l00<`0
o`060<co0080c03o0P3<o`020<`0o`040<co003<0?l0c03o0<co0080c03o00<0c?l00<`0o`3<0?l0
0P3<0?l20<co00050<`0o`3<o`00c?l00<co003<0?l01@3<o`040<`0o`@0c?l01@3<0?l00`3<o`00
c03o0<`0o`020<co00@0c03o0P3<o`000`3<0?l0c?l00<`0o`0T0<`0o`P0oooo00060?ooobH0c03o
0P3<o`020<`0o`040<co003<0?l0c03o0<co00D0c03o0`3<o`00103<0?l0c?l00<`0o`3<o`020<`0
o`80c?l000@0c03o0<co003<0?l0c?l00P3<0?l00`3<o`00c03o0<`0o`020<co00040<`0o`3<o`00
c03o0<`0o`<0c?l000<0c03o0<co003<o`000P3<0?l30<co00030<`0o`3<o`00c?l00080c?l000<0
c03o0<co003<o`00103<o`030<`0o`030<co003<0?l0c03o0080c?l00P3<0?l20<co00050<`0o`3<
o`00c03o0<co003<0?l0203<o`020<`0o`030<co003<0?l0c?l00080c?l000<0c03o0<co003<0?l0
0P3<o`030<`0o`@0c?l00P3<0?l40<co00030<`0o`3<o`00c?l00080c03o0P3<o`00103<0?l0c?l0
0<`0o`3<o`020<`0o`80c?l000<0c03o0<co003<o`000`3<o`020<`0o`030<co003<0?l0c?l000@0
c?l000@0c03o0<co003<0?l0c03o0`3<o`040<`0o`030<co003<0?l0c03o02@0c03o203oool000H0
oooo9`3<0?l01P3<o`00c03o0<co003<0?l0c?l00<`0o`D0c?l000<0c03o0<co003<o`000`3<o`00
1@3<0?l0c?l00<co003<o`00c03o00<0c?l000@0c03o0<co003<0?l0c03o0`3<o`00103<0?l0c?l0
0<co003<o`020<`0o`80c?l00P3<0?l30<co00<0c03o00<0c?l00<`0o`3<0?l00`3<0?l01@3<o`00
c03o0<`0o`3<0?l0c?l000<0c03o0P3<o`00103<0?l0c?l00<`0o`3<o`030<`0o`80c?l000D0c03o
0<co003<0?l0c?l00<`0o`020<co0080c03o00@0c?l00<`0o`3<o`00c03o0P3<o`020<`0o`@0c?l0
0P3<0?l20<co0080c03o00<0c?l00<`0o`3<0?l00P3<0?l20<co0080c03o00<0c?l00<`0o`3<o`00
0P3<o`030<`0o`80c?l000@0c03o0<co003<o`00c03o0P3<o`020<`0o`80c?l00P3<0?l40<co0003
0<`0o`3<o`00c03o0080c03o00<0c?l00<`0o`3<0?l0103<0?l30<co02T0c03o203oool000H0oooo
:`3<0?l20<co00040<`0o`3<o`00c?l00<co0080c03o00<0c?l00<`0o`3<0?l00`3<0?l30<co0080
c03o1P3<o`060<`0o`030<co003<0?l0c03o0080c?l00P3<0?l0103<o`00c03o0<`0o`3<0?l30<co
00030<`0o`3<o`00c?l000D0c03o00<0c?l00<`0o`3<0?l00`3<o`040<`0o`030<co003<0?l0c03o
00<0c03o00<0c?l00<`0o`3<0?l00`3<0?l01`3<o`00c03o0<co003<o`00c03o0<co003<0?l00P3<
o`020<`0o`060<co003<0?l0c03o0<co003<0?l0c?l0103<0?l00`3<o`00c03o0<co00020<`0o`80
c?l000@0c03o0<co003<0?l0c03o0P3<o`030<`0o`030<co003<0?l0c?l00080c?l0103<0?l0103<
o`00c03o0<`0o`3<o`040<`0o`@0c?l000H0c03o0<co003<0?l0c?l00<`0o`3<o`070<`0o`030<co
003<0?l0c03o02H0c03o203oool000H0oooo:03<0?l20<co00050<`0o`3<o`00c03o0<co003<0?l0
303<o`001@3<0?l0c?l00<co003<o`00c03o00D0c?l000<0c03o0<co003<o`000`3<o`030<`0o`03
0<co003<0?l0c03o0080c?l01@3<0?l0103<o`00c03o0<co003<0?l30<co00H0c03o0`3<o`00103<
0?l0c?l00<co003<o`020<`0o`060<co003<0?l0c03o0<co003<0?l0c?l00`3<0?l50<co0080c03o
0P3<o`000`3<0?l0c?l00<`0o`020<`0o`030<co003<0?l0c?l000D0c?l000<0c03o0<co003<o`00
0`3<o`030<`0o`030<co003<0?l0c?l00080c03o00@0c?l00<`0o`3<0?l0c?l00`3<0?l0103<o`00
c03o0<`0o`3<0?l30<co0080c03o00@0c?l00<`0o`3<0?l0c?l00P3<0?l40<co00030<`0o`3<o`00
c03o00@0c03o0P3<o`0X0<`0o`P0oooo00060?ooobT0c03o0P3<o`001@3<0?l0c?l00<co003<0?l0
c?l00080c03o00<0c?l00<`0o`3<0?l00`3<o`040<`0o`040<co003<0?l0c?l00<co00P0c03o00<0
c?l00<`0o`3<o`00103<o`001@3<0?l0c?l00<co003<o`00c03o00@0c?l000D0c03o0<co003<o`00
c?l00<`0o`040<co00<0c03o00@0c?l00<`0o`3<o`00c?l00P3<0?l02@3<o`00c03o0<`0o`3<o`00
c03o0<co003<0?l0c?l00<`0o`050<co00@0c03o0`3<o`020<`0o`<0c?l000<0c03o0<co003<o`00
1@3<o`040<`0o`080<co003<0?l0c03o0<`0o`3<o`00c03o0<co003<0?l30<co00050<`0o`3<o`00
c03o0<`0o`3<o`000`3<0?l01`3<o`00c03o0<`0o`3<0?l0c?l00<`0o`3<o`000`3<0?l0103<o`00
c03o0<co003<0?l30<co00030<`0o`3<o`00c03o00D0c03o00<0c?l00<`0o`3<0?l09`3<0?l80?oo
o`001P3ooolZ0<`0o`80c?l00P3<0?l30<co0080c03o0P3<o`020<`0o`D0c?l00P3<0?l20<co00<0
c03o00D0c?l00<`0o`3<o`00c?l00<`0o`030<co0080c03o00@0c?l00<`0o`3<0?l0c03o0P3<o`02
0<`0o`80c?l00`3<0?l20<co00040<`0o`3<o`00c03o0<`0o`80c?l01@3<0?l=0<co00030<`0o`3<
o`00c03o0080c03o0P3<o`000`3<0?l0c?l00<`0o`030<co0080c03o00<0c?l00<`0o`3<o`000P3<
o`040<`0o`040<co003<0?l0c?l00<`0o`80c?l000@0c03o0<co003<o`00c03o0`3<o`00103<0?l0
c?l00<`0o`3<o`020<`0o`80c?l0103<0?l40<co0080c03o00@0c?l00<`0o`3<o`00c?l0103<0?l0
103<o`00c03o0<`0o`3<0?l50<co02X0c03o203oool000H0oooo:`3<0?l20<co00040<`0o`3<o`00
c03o0<co00<0c03o00<0c?l00<`0o`3<0?l01P3<0?l01@3<o`00c03o0<`0o`3<0?l0c?l000/0c03o
00@0c?l00<`0o`3<o`00c03o0P3<o`020<`0o`80c?l000D0c03o0<co003<o`00c03o0<co00040<`0
o`80c?l00P3<0?l0103<o`00c03o0<co003<0?l20<co0080c03o00<0c?l00<`0o`3<o`000P3<o`02
0<`0o`030<co003<0?l0c?l000@0c03o00<0c?l00<`0o`3<o`000`3<0?l00`3<o`00c03o0<`0o`03
0<co00@0c03o0P3<o`020<`0o`80c?l00P3<0?l20<co00030<`0o`3<o`00c03o0080c?l000@0c03o
0<co003<o`00c?l00P3<0?l00`3<o`00c03o0<co00020<co0080c03o0P3<o`020<`0o`<0c?l000<0
c03o0<co003<0?l01`3<o`020<`0o`030<co003<0?l0c03o02X0c03o203oool000H0oooo;P3<0?l5
0<co00040<`0o`3<o`00c?l00<`0o`80c?l000@0c03o0<co003<0?l0c?l00P3<0?l01@3<o`00c03o
0<`0o`3<o`00c03o0080c?l000H0c03o0<co003<o`00c?l00<`0o`3<o`020<`0o`030<co003<0?l0
c03o00<0c?l000H0c03o0<co003<o`00c?l00<`0o`3<o`020<`0o`060<co003<0?l0c03o0<co003<
0?l0c?l00P3<0?l00`3<o`00c03o0<`0o`020<`0o`<0c?l00`3<0?l00`3<o`00c03o0<co00030<`0
o`80c?l01@3<0?l00`3<o`00c03o0<co00050<co0080c03o103<o`020<`0o`<0c?l00P3<0?l50<co
00030<`0o`3<o`00c?l00080c?l00P3<0?l20<co00040<`0o`3<o`00c03o0<co0080c03o1P3<o`00
0`3<0?l0c?l00<`0o`020<`0o`<0c?l01@3<0?l00`3<o`00c03o0<`0o`0[0<`0o`P0oooo00060?oo
obd0c03o0P3<o`001@3<0?l0c?l00<`0o`3<o`00c03o00<0c?l000<0c03o0<co003<0?l00P3<o`00
103<0?l0c?l00<`0o`3<0?l30<co00050<`0o`3<o`00c?l00<`0o`3<o`000`3<0?l40<co00H0c03o
0P3<o`020<`0o`040<co003<0?l0c03o0<`0o`@0c?l000<0c03o0<co003<o`000P3<0?l00`3<o`00
c03o0<`0o`020<co0080c03o103<o`001@3<0?l0c?l00<co003<o`00c03o0080c?l0103<0?l0103<
o`00c03o0<co003<o`020<`0o`030<co003<0?l0c?l000@0c03o00@0c?l00<`0o`3<o`00c03o0P3<
o`040<`0o`070<co003<0?l0c03o0<`0o`3<o`00c03o0<co00020<`0o`030<co003<0?l0c?l000<0
c?l00P3<0?l01@3<o`00c03o0<`0o`3<0?l0c?l00080c03o00<0c?l00<`0o`3<0?l00P3<0?l00`3<
o`00c03o0<co00030<co00030<`0o`3<o`00c03o02d0c03o203oool000H0oooo;@3<0?l00`3<o`00
c03o0<`0o`030<`0o`030<co003<0?l0c03o0080c03o0P3<o`000`3<0?l0c?l00<co00050<`0o`03
0<co003<0?l0c?l00080c03o0`3<o`001P3<0?l0c?l00<`0o`3<o`00c03o0<co0080c03o00D0c?l0
0<`0o`3<0?l0c03o0<co00050<`0o`80c?l000@0c03o0<co003<o`00c?l0103<0?l60<co00<0c03o
00<0c?l00<`0o`3<0?l00`3<0?l0103<o`00c03o0<co003<o`020<`0o`030<co003<0?l0c03o00@0
c?l01@3<0?l00`3<o`00c03o0<co00030<co00030<`0o`3<o`00c03o0080c03o00@0c?l00<`0o`3<
o`00c?l00`3<0?l01P3<o`00c03o0<`0o`3<o`00c03o0<co00<0c03o00<0c?l00<`0o`3<o`000`3<
0?l00`3<o`00c03o0<co00020<co0080c03o00<0c?l00<`0o`3<0?l00`3<0?l40<co02d0c03o203o
ool000H0oooo;P3<0?l20<co00D0c03o00<0c?l00<`0o`3<0?l0103<o`030<`0o`80c?l000<0c03o
0<co003<o`00103<0?l30<co00040<`0o`3<o`00c03o0<`0o`@0c?l00`3<0?l01@3<o`00c03o0<`0
o`3<0?l0c?l000@0c03o00<0c?l00<`0o`3<0?l00P3<o`001@3<0?l0c?l00<`0o`3<0?l0c?l000H0
c03o1@3<o`060<`0o`80c?l00P3<0?l01@3<o`00c03o0<co003<0?l0c?l000@0c03o0`3<o`000`3<
0?l0c?l00<`0o`030<co0080c03o00<0c?l00<`0o`3<0?l0103<0?l50<co00040<`0o`3<o`00c?l0
0<co00D0c03o00<0c?l00<`0o`3<0?l00P3<o`060<`0o`<0c?l000<0c03o0<co003<o`00;P3<0?l8
0?ooo`001P3oool_0<`0o`<0c?l000<0c03o0<co003<0?l00P3<o`020<`0o`040<co003<0?l0c?l0
0<co00@0c03o00<0c?l00<`0o`3<0?l01`3<0?l30<co00<0c03o1P3<o`020<`0o`80c?l000P0c03o
0<co003<o`00c?l00<`0o`3<o`00c03o0<co0080c03o00@0c?l00<`0o`3<0?l0c?l00P3<0?l20<co
00040<`0o`3<o`00c03o0<`0o`L0c?l0103<0?l20<co00040<`0o`3<o`00c?l00<co0080c03o0`3<
o`030<`0o`030<co003<0?l0c03o00<0c03o00<0c?l00<`0o`3<o`000`3<o`000`3<0?l0c?l00<`0
o`020<`0o`80c?l000@0c03o0<co003<o`00c?l00P3<0?l0103<o`00c03o0<co003<0?l40<co0080
c03o103<o`040<`0o`030<co003<0?l0c03o02h0c03o203oool000H0oooo<P3<0?l30<co00050<`0
o`3<o`00c?l00<co003<0?l0103<o`000`3<0?l0c?l00<co00040<co0080c03o0`3<o`000`3<0?l0
c?l00<`0o`020<`0o`80c?l000@0c03o0<co003<0?l0c03o1`3<o`00103<0?l0c?l00<co003<0?l2
0<co0080c03o103<o`002@3<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l0c?l00<`0o`050<co0080
c03o0`3<o`00103<0?l0c?l00<`0o`3<0?l20<co00030<`0o`3<o`00c?l000D0c03o0`3<o`020<`0
o`040<co003<0?l0c03o0<`0o`<0c?l00`3<0?l01@3<o`00c03o0<`0o`3<0?l0c?l000@0c03o103<
o`050<`0o`060<co003<0?l0c03o0<`0o`3<o`00c03o0`3<o`000`3<0?l0c?l00<`0o`0`0<`0o`P0
oooo00060?oooc40c03o0`3<o`000`3<0?l0c?l00<`0o`020<co0080c03o00<0c?l00<`0o`3<o`00
0`3<0?l01@3<o`00c03o0<`0o`3<0?l0c?l000<0c03o00@0c?l00<`0o`3<o`00c?l0203<0?l0103<
o`00c03o0<co003<0?l20<co0080c03o00<0c?l00<`0o`3<0?l00`3<o`00103<0?l0c?l00<`0o`3<
0?l30<co00050<`0o`3<o`00c03o0<co003<0?l00P3<o`020<`0o`@0c?l000<0c03o0<co003<o`00
0P3<o`00103<0?l0c?l00<`0o`3<0?l20<co00050<`0o`3<o`00c?l00<`0o`3<o`00103<0?l30<co
0080c03o0`3<o`000`3<0?l0c?l00<`0o`030<`0o`L0c?l000<0c03o0<co003<o`00103<0?l00`3<
o`00c03o0<`0o`020<`0o`<0c?l000<0c03o0<co003<0?l00P3<0?l00`3<o`00c03o0<`0o`0_0<`0
o`P0oooo00060?oooc40c03o00<0c?l00<`0o`3<0?l00P3<o`000`3<0?l0c?l00<`0o`030<`0o`H0
c?l00P3<0?l0103<o`00c03o0<`0o`3<o`060<`0o`D0c?l00P3<0?l20<co0080c03o0`3<o`000`3<
0?l0c?l00<`0o`020<`0o`80c?l0203<0?l40<co00030<`0o`3<o`00c?l00080c?l00P3<0?l20<co
0080c03o00<0c?l00<`0o`3<o`000P3<o`050<`0o`H0c?l00P3<0?l00`3<o`00c03o0<`0o`030<`0
o`@0c?l00`3<0?l0103<o`00c03o0<`0o`3<0?l20<co00@0c03o0P3<o`020<`0o`80c?l00P3<0?l0
0`3<o`00c03o0<`0o`020<co0080c03o00<0c?l00<`0o`3<o`00<@3<0?l80?ooo`001P3ooolb0<`0
o`80c?l00P3<0?l30<co00D0c03o00<0c?l00<`0o`3<o`000P3<0?l0103<o`00c03o0<co003<0?l2
0<co00<0c03o1@3<o`020<`0o`80c?l000D0c03o0<co003<0?l0c03o0<co00030<`0o`030<co003<
0?l0c03o0080c03o00<0c?l00<`0o`3<o`00203<o`000`3<0?l0c?l00<co00030<`0o`80c?l00P3<
0?l00`3<o`00c03o0<co00030<co00030<`0o`3<o`00c?l00080c?l000@0c03o0<co003<0?l0c?l0
103<0?l20<co00H0c03o00<0c?l00<`0o`3<0?l00`3<o`020<`0o`<0c?l0103<0?l20<co00<0c03o
00<0c?l00<`0o`3<o`000P3<o`001@3<0?l0c?l00<`0o`3<0?l0c?l000<0c03o00<0c?l00<`0o`3<
0?l0<03<0?l80?ooo`001P3ooolc0<`0o`80c?l000@0c03o0<co003<0?l0c?l00P3<0?l00`3<o`00
c03o0<`0o`030<co0080c03o103<o`030<`0o`030<co003<0?l0c?l00080c03o00<0c?l00<`0o`3<
o`000P3<0?l50<co00040<`0o`3<o`00c03o0<`0o`80c?l000<0c03o0<co003<o`000`3<0?l70<co
00<0c03o00<0c?l00<`0o`3<o`000P3<0?l40<co00<0c03o00<0c?l00<`0o`3<0?l00P3<0?l0103<
o`00c03o0<`0o`3<o`020<`0o`80c?l00`3<0?l30<co0080c03o00P0c?l00<`0o`3<0?l0c?l00<`0
o`3<o`00c03o0<co00<0c03o1P3<o`001@3<0?l0c?l00<co003<o`00c03o0080c?l000D0c03o0<co
003<0?l0c?l00<`0o`030<co03H0c03o203oool000H0oooo=P3<0?l50<co00030<`0o`3<o`00c?l0
0080c?l0103<0?l0103<o`00c03o0<co003<0?l20<co00070<`0o`3<o`00c?l00<`0o`3<o`00c03o
0<co00030<`0o`@0c?l000<0c03o0<co003<o`000P3<0?l20<co00060<`0o`3<o`00c?l00<co003<
0?l0c?l00P3<0?l00`3<o`00c03o0<co00020<`0o`80c?l00P3<0?l:0<co00<0c03o00<0c?l00<`0
o`3<0?l00`3<o`001`3<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l00`3<o`040<`0o`80c?l000@0
c03o0<co003<0?l0c03o0`3<o`000`3<0?l0c?l00<co00050<`0o`060<co003<0?l0c03o0<`0o`3<
o`00c03o0P3<o`000`3<0?l0c?l00<`0o`020<`0o`80c?l0=@3<0?l80?ooo`001P3ooole0<`0o`80
c?l000H0c03o0<co003<0?l0c?l00<`0o`3<o`020<`0o`80c?l000@0c03o0<co003<0?l0c?l0103<
0?l00`3<o`00c03o0<`0o`060<co00040<`0o`3<o`00c03o0<co00<0c03o0P3<o`020<`0o`80c?l0
0`3<0?l01@3<o`00c03o0<co003<0?l0c?l00080c03o0`3<o`000`3<0?l0c?l00<co00030<`0o`0:
0<co003<0?l0c03o0<`0o`3<o`00c03o0<co003<0?l0c?l00<`0o`80c?l000<0c03o0<co003<0?l0
103<o`000`3<0?l0c?l00<co00020<`0o`040<co003<0?l0c?l00<co00@0c03o1P3<o`000`3<0?l0
c?l00<`0o`030<co00@0c03o00T0c?l00<`0o`3<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l00P3<
o`000`3<0?l0c?l00<co000f0<`0o`P0oooo00060?ooocD0c03o00<0c?l00<`0o`3<0?l00`3<0?l0
0`3<o`00c03o0<`0o`040<co00030<`0o`3<o`00c03o00@0c03o0P3<o`00103<0?l0c?l00<co003<
0?l40<co00030<`0o`3<o`00c03o0080c?l000D0c03o0<co003<0?l0c?l00<`0o`020<co00030<`0
o`3<o`00c?l000@0c?l00P3<0?l00`3<o`00c03o0<co00020<co00040<`0o`3<o`00c?l00<co0080
c03o0P3<o`000`3<0?l0c?l00<`0o`020<`0o`80c?l000D0c03o0<co003<0?l0c?l00<`0o`020<co
00050<`0o`3<o`00c?l00<`0o`3<o`000P3<0?l80<co00040<`0o`3<o`00c03o0<`0o`80c?l000<0
c03o0<co003<o`001P3<o`030<`0o`030<co003<0?l0c03o00<0c?l00P3<0?l00`3<o`00c03o0<co
00020<co03D0c03o203oool000H0oooo=P3<0?l20<co00D0c03o00<0c?l00<`0o`3<0?l00`3<0?l3
0<co00030<`0o`3<o`00c03o0080c03o0P3<o`020<`0o`030<co003<0?l0c?l00080c03o0P3<o`02
0<`0o`030<co003<0?l0c?l00080c03o0`3<o`000`3<0?l0c?l00<co00020<`0o`H0c?l000@0c03o
0<co003<0?l0c?l01@3<0?l01@3<o`00c03o0<co003<0?l0c?l00080c03o0P3<o`020<`0o`80c?l0
0P3<0?l00`3<o`00c03o0<`0o`030<co0080c03o00@0c?l00<`0o`3<o`00c?l0203<0?l0103<o`00
c03o0<`0o`3<0?l30<co0080c03o00H0c?l00<`0o`3<0?l0c?l00<`0o`3<o`020<`0o`040<co003<
0?l0c03o0<`0o`80c?l000<0c03o0<co003<0?l0=@3<0?l80?ooo`001P3ooolg0<`0o`<0c?l000<0
c03o0<co003<0?l01@3<o`000`3<0?l0c?l00<co00030<co0080c03o00<0c?l00<`0o`3<0?l00P3<
o`050<`0o`030<co003<0?l0c?l000@0c?l00P3<0?l20<co0080c03o0`3<o`030<`0o`030<co003<
0?l0c?l00080c03o00<0c?l00<`0o`3<o`000P3<0?l30<co00D0c03o1@3<o`020<`0o`80c?l000<0
c03o0<co003<0?l00`3<0?l30<co00<0c03o203<o`00103<0?l0c?l00<co003<o`040<`0o`80c?l0
0`3<0?l0103<o`00c03o0<co003<o`020<`0o`80c?l000<0c03o0<co003<0?l0>03<0?l80?ooo`00
1P3ooolj0<`0o`<0c?l000@0c03o0<co003<o`00c?l00P3<0?l00`3<o`00c03o0<`0o`040<`0o`04
0<co003<0?l0c03o0<`0o`<0c?l000<0c03o0<co003<0?l01P3<0?l00`3<o`00c03o0<`0o`020<co
0080c03o00@0c?l00<`0o`3<0?l0c03o0`3<o`000`3<0?l0c?l00<`0o`080<`0o`80c?l000<0c03o
0<co003<o`000`3<0?l0103<o`00c03o0<`0o`3<o`030<`0o`80c?l00P3<0?l20<co00030<`0o`3<
o`00c03o00D0c?l000<0c03o0<co003<0?l00P3<o`020<`0o`80c?l000<0c03o0<co003<0?l00P3<
0?l20<co0080c03o00L0c?l00<`0o`3<o`00c03o0<co003<0?l0c?l000<0c03o00<0c?l00<`0o`3<
0?l0=`3<0?l80?ooo`001P3oooli0<`0o`<0c?l000<0c03o0<co003<0?l0703<o`030<`0o`030<co
003<0?l0c03o0080c?l00`3<0?l20<co00040<`0o`3<o`00c03o0<`0o`@0c?l0103<0?l00`3<o`00
c03o0<`0o`040<co0080c03o00<0c?l00<`0o`3<o`000`3<o`000`3<0?l0c?l00<co00030<`0o`06
0<co003<0?l0c03o0<co003<0?l0c?l0103<0?l40<co00<0c03o00@0c?l00<`0o`3<0?l0c03o0`3<
o`040<`0o`040<co003<0?l0c?l00<`0o`80c?l000<0c03o0<co003<0?l0>03<0?l80?ooo`001P3o
ooli0<`0o`030<co003<0?l0c03o0080c?l000D0c03o0<co003<0?l0c03o0<co00020<`0o`<0c?l0
103<0?l30<co00@0c03o00<0c?l00<`0o`3<o`000P3<0?l00`3<o`00c03o0<co00040<co00050<`0
o`3<o`00c?l00<co003<0?l00P3<o`060<`0o`D0c?l01@3<0?l0103<o`00c03o0<`0o`3<0?l30<co
00030<`0o`3<o`00c03o0080c?l00`3<0?l20<co00080<`0o`3<o`00c03o0<co003<0?l0c?l00<`0
o`3<o`070<`0o`<0c?l00`3<0?l20<co0080c03o103<o`030<`0o`060<co003<0?l0c03o0<co003<
0?l0c?l0>@3<0?l80?ooo`001P3ooolj0<`0o`80c?l00P3<0?l30<co0080c03o0P3<o`020<`0o`D0
c?l00P3<0?l20<co00<0c03o00D0c?l00<`0o`3<o`00c?l00<`0o`030<co0080c03o00@0c?l00<`0
o`3<0?l0c03o0P3<o`020<`0o`030<co003<0?l0c?l000@0c03o00<0c?l00<`0o`3<0?l00P3<o`02
0<`0o`030<co003<0?l0c?l000<0c03o00<0c?l00<`0o`3<0?l00`3<o`002@3<0?l0c?l00<co003<
o`00c03o0<co003<0?l0c?l00<`0o`030<co00030<`0o`3<o`00c03o00<0c?l00`3<0?l20<co00X0
c03o1P3<o`030<`0o`<0c?l0>P3<0?l80?ooo`001P3ooolk0<`0o`80c?l000@0c03o0<co003<0?l0
c?l00`3<0?l00`3<o`00c03o0<`0o`020<`0o`030<co003<0?l0c03o00T0c03o00<0c?l00<`0o`3<
o`001@3<0?l0103<o`00c03o0<co003<0?l20<co0080c03o00@0c?l00<`0o`3<0?l0c03o0`3<o`00
1@3<0?l0c?l00<co003<o`00c03o00<0c?l00P3<0?l20<co00040<`0o`3<o`00c?l00<`0o`80c?l0
00D0c03o0<co003<0?l0c03o0<co00020<`0o`040<co003<0?l0c?l00<`0o`<0c?l000<0c03o0<co
003<o`000P3<o`000`3<0?l0c?l00<co00060<`0o`80c?l00`3<0?l0203<o`00c03o0<`0o`3<o`00
c03o0<co003<0?l0c?l00P3<0?l00`3<o`00c03o0<`0o`0j0<`0o`P0oooo00060?oooch0c03o1@3<
o`00103<0?l0c?l00<co003<0?l20<co00040<`0o`3<o`00c03o0<co0080c03o00H0c?l00<`0o`3<
0?l0c?l00<`0o`3<o`030<`0o`80c?l000D0c03o0<co003<0?l0c03o0<co00020<`0o`<0c?l000@0
c03o0<co003<0?l0c?l00`3<0?l20<co0080c03o0P3<o`001`3<0?l0c?l00<co003<0?l0c?l00<`0
o`3<o`00103<0?l30<co00D0c03o00<0c?l00<`0o`3<o`000`3<0?l60<co00050<`0o`3<o`00c03o
0<`0o`3<o`000P3<0?l00`3<o`00c03o0<`0o`040<`0o`080<co003<0?l0c?l00<co003<0?l0c?l0
0<`0o`3<o`100<`0o`P0oooo00060?ooocd0c03o0P3<o`001@3<0?l0c?l00<`0o`3<o`00c03o00<0
c?l000<0c03o0<co003<0?l00P3<o`030<`0o`H0c?l00P3<0?l0103<o`00c03o0<`0o`3<0?l40<co
00H0c03o00<0c?l00<`0o`3<0?l0103<0?l20<co00050<`0o`3<o`00c?l00<`0o`3<o`000P3<0?l3
0<co00@0c03o00<0c?l00<`0o`3<o`001@3<0?l50<co0080c03o103<o`020<`0o`D0c?l000<0c03o
0<co003<o`000P3<o`001@3<0?l0c?l00<co003<0?l0c?l000D0c03o0P3<o`0o0<`0o`P0oooo0006
0?ooocd0c03o00<0c?l00<`0o`3<0?l00`3<0?l00`3<o`00c03o0<`0o`020<`0o`80c?l000L0c03o
0<co003<o`00c?l00<`0o`3<o`00c03o0080c?l000<0c03o0<co003<o`000P3<0?l20<co00060<`0
o`3<o`00c03o0<co003<0?l0c?l00P3<0?l01P3<o`00c03o0<`0o`3<0?l0c?l00<`0o`80c?l000<0
c03o0<co003<o`000`3<0?l00`3<o`00c03o0<`0o`020<co00H0c03o0`3<o`000`3<0?l0c?l00<co
00030<co00040<`0o`3<o`00c03o0<`0o`<0c?l00`3<0?l40<co00H0c03o0P3<o`000`3<0?l0c?l0
0<`0o`050<`0o`80c?l000<0c03o0<co003<0?l00P3<o`0m0<`0o`P0oooo00060?oooch0c03o0P3<
o`050<`0o`030<co003<0?l0c03o00@0c?l00`3<0?l20<co00030<`0o`3<o`00c?l000<0c03o103<
o`00103<0?l0c?l00<`0o`3<0?l40<co00H0c03o0`3<o`030<`0o`<0c?l00P3<0?l00`3<o`00c03o
0<`0o`030<co00030<`0o`3<o`00c03o0080c?l00P3<0?l20<co0080c03o0P3<o`050<`0o`80c?l0
0`3<0?l00`3<o`00c03o0<co00040<co0080c03o00<0c?l00<`0o`3<o`000`3<0?l80<co03h0c03o
203oool000H0oooo?`3<0?l30<co00030<`0o`3<o`00c03o0080c?l0103<0?l30<co00030<`0o`3<
o`00c03o00@0c03o00<0c?l00<`0o`3<o`000`3<0?l30<co00<0c03o1@3<o`000`3<0?l0c?l00<`0
o`020<`0o`80c?l000@0c03o0<co003<0?l0c03o0P3<o`000`3<0?l0c?l00<co00020<`0o`80c?l0
00@0c03o0<co003<0?l0c03o0P3<o`000`3<0?l0c?l00<`0o`030<`0o`80c?l00P3<0?l20<co0003
0<`0o`3<o`00c?l000@0c?l00P3<0?l20<co00030<`0o`3<o`00c?l00080c03o0`3<o`030<`0o`04
0<co003<0?l0c?l00<co0400c03o203oool000H0oooo@P3<0?l30<co00050<`0o`3<o`00c?l00<co
003<0?l00`3<o`020<`0o`L0c?l000H0c03o0<co003<o`00c?l00<`0o`3<o`030<`0o`80c?l000D0
c03o0<co003<0?l0c03o0<co00030<`0o`030<co003<0?l0c?l000<0c03o0P3<o`030<`0o`H0c?l0
00<0c03o0<co003<o`000P3<0?l80<co00@0c03o0P3<o`020<`0o`80c?l02P3<0?l20<co00030<`0
o`3<o`00c?l00080c?l0A03<0?l80?ooo`001P3ooom10<`0o`<0c?l000<0c03o0<co003<0?l00`3<
o`000`3<0?l0c?l00<`0o`020<`0o`0<0<co003<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l0c?l0
0<`0o`3<o`00c03o0P3<o`080<`0o`80c?l000<0c03o0<co003<o`001@3<o`001@3<0?l0c?l00<co
003<0?l0c?l00080c03o00<0c?l00<`0o`3<o`001`3<0?l20<co00040<`0o`3<o`00c03o0<`0o`80
c?l000<0c03o0<co003<0?l00P3<o`030<`0o`@0c?l00P3<0?l30<co00070<`0o`3<o`00c03o0<co
003<0?l0c?l00<`0o`050<co0440c03o203oool000H0oooo@@3<0?l00`3<o`00c03o0<`0o`020<co
00030<`0o`3<o`00c03o0080c03o103<o`000`3<0?l0c?l00<`0o`020<`0o`040<co003<0?l0c03o
0<co00H0c03o1@3<o`020<`0o`030<co003<0?l0c03o0080c?l00`3<0?l00`3<o`00c03o0<co0002
0<co00@0c03o00@0c?l00<`0o`3<0?l0c?l00`3<0?l20<co00040<`0o`3<o`00c?l00<`0o`@0c?l0
00@0c03o0<co003<0?l0c03o0`3<o`030<`0o`030<co003<0?l0c?l00080c03o0`3<o`000`3<0?l0
c?l00<co00020<`0o`80c?l00P3<0?l00`3<o`00c03o0<co00110<`0o`P0oooo00060?oood80c03o
0P3<o`020<`0o`<0c?l0103<0?l20<co00030<`0o`3<o`00c03o00H0c03o00@0c?l00<`0o`3<0?l0
c03o1@3<o`020<`0o`80c?l0103<0?l40<co00@0c03o00D0c?l00<`0o`3<0?l0c?l00<`0o`030<co
0080c03o00@0c?l00<`0o`3<0?l0c?l00P3<0?l0103<o`00c03o0<co003<0?l20<co00040<`0o`3<
o`00c?l00<co00<0c03o00<0c?l00<`0o`3<0?l00P3<0?l0103<o`00c03o0<`0o`3<0?l40<co0003
0<`0o`3<o`00c03o00<0c?l00P3<0?l00`3<o`00c03o0<`0o`100<`0o`P0oooo00060?oood<0c03o
0P3<o`000`3<0?l0c?l00<`0o`020<co00<0c03o1@3<o`020<`0o`040<co003<0?l0c?l00<co0080
c03o00<0c?l00<`0o`3<o`000P3<0?l00`3<o`00c03o0<co00020<`0o`80c?l000H0c03o0<co003<
o`00c?l00<`0o`3<o`020<`0o`<0c?l00`3<0?l20<co00<0c03o0P3<o`030<`0o`030<co003<0?l0
c03o0080c03o0P3<o`00103<0?l0c?l00<`0o`3<0?l40<co00<0c03o0P3<o`002@3<0?l0c?l00<`0
o`3<o`00c03o0<co003<0?l0c?l00<`0o`030<co00030<`0o`3<o`00c?l004D0c03o203oool000H0
ooooAP3<0?l30<co00050<`0o`3<o`00c03o0<co003<0?l00P3<o`040<`0o`030<co003<0?l0c?l0
00<0c?l000L0c03o0<co003<o`00c03o0<co003<0?l0c?l000<0c03o0P3<o`000`3<0?l0c?l00<co
00020<`0o`040<co003<0?l0c?l00<co0080c03o0P3<o`020<`0o`040<co003<0?l0c03o0<co00L0
c03o00D0c?l00<`0o`3<0?l0c?l00<`0o`030<co00030<`0o`3<o`00c03o0080c?l000<0c03o0<co
003<o`000P3<0?l01@3<o`00c03o0<`0o`3<o`00c03o00D0c?l00P3<0?l20<co04H0c03o203oool0
00H0ooooA@3<0?l20<co00050<`0o`3<o`00c03o0<co003<0?l00P3<o`001P3<0?l0c?l00<co003<
0?l0c?l00<`0o`80c?l000@0c03o0<co003<0?l0c?l00P3<0?l60<co00030<`0o`3<o`00c03o0080
c?l000<0c03o0<co003<o`00103<o`020<`0o`080<co003<0?l0c03o0<`0o`3<o`00c03o0<co003<
0?l20<co0080c03o00@0c?l00<`0o`3<o`00c?l00P3<0?l01@3<o`00c03o0<`0o`3<o`00c03o0080
c?l000<0c03o0<co003<0?l00`3<0?l02@3<o`00c03o0<`0o`3<0?l0c?l00<`0o`3<o`00c03o0<co
00030<`0o`040<co003<0?l0c03o0<co04L0c03o203oool000H0ooooA@3<0?l01@3<o`00c03o0<`0
o`3<0?l0c?l000<0c03o0P3<o`000`3<0?l0c?l00<co00050<`0o`050<co003<0?l0c?l00<co003<
0?l00P3<o`000`3<0?l0c?l00<co00020<co00030<`0o`3<o`00c03o0080c03o00@0c?l00<`0o`3<
o`00c03o0`3<o`000`3<0?l0c?l00<`0o`040<`0o`040<co003<0?l0c03o0<co00<0c03o00<0c?l0
0<`0o`3<o`000P3<o`000`3<0?l0c?l00<co00040<co00<0c03o00@0c?l00<`0o`3<o`00c03o0P3<
o`001P3<0?l0c?l00<`0o`3<o`00c03o0<co0080c03o00D0c?l00<`0o`3<o`00c?l00<`0o`020<co
04D0c03o203oool000H0ooooAP3<0?l20<co000;0<`0o`3<o`00c03o0<co003<0?l0c?l00<`0o`3<
o`00c03o0<co003<0?l00`3<o`000`3<0?l0c?l00<`0o`020<`0o`80c?l00P3<0?l00`3<o`00c03o
0<co00020<`0o`@0c?l01P3<0?l00`3<o`00c03o0<co00050<co00<0c03o0P3<o`001`3<0?l0c?l0
0<co003<o`00c03o0<co003<0?l00`3<o`001`3<0?l0c?l00<co003<o`00c03o0<co003<0?l00P3<
o`00103<0?l0c?l00<`0o`3<0?l20<co00<0c03o0`3<o`001P3<0?l0c?l00<`0o`3<o`00c03o0<co
04H0c03o203oool000H0ooooA`3<0?l20<co0080c03o00H0c?l00<`0o`3<o`00c?l00<`0o`3<o`02
0<`0o`@0c?l00`3<0?l00`3<o`00c03o0<`0o`020<co00D0c03o00L0c?l00<`0o`3<o`00c?l00<`0
o`3<o`00c03o0080c?l00`3<0?l20<co00<0c03o1@3<o`001`3<0?l0c?l00<`0o`3<0?l0c?l00<`0
o`3<o`000P3<0?l00`3<o`00c03o0<`0o`020<`0o`X0c?l0103<0?l0103<o`00c03o0<`0o`3<0?l2
0<co04X0c03o203oool000H0ooooBP3<0?l70<co00@0c03o00<0c?l00<`0o`3<0?l00P3<0?l0103<
o`00c03o0<`0o`3<0?l30<co00030<`0o`3<o`00c03o0080c03o00<0c?l00<`0o`3<o`000P3<o`00
103<0?l0c?l00<`0o`3<o`020<`0o`030<co003<0?l0c03o0080c?l000<0c03o0<co003<0?l00P3<
0?l00`3<o`00c03o0<`0o`030<`0o`H0c?l000<0c03o0<co003<0?l00P3<0?l01@3<o`00c03o0<`0
o`3<o`00c03o0080c?l000@0c03o0<co003<o`00c03o0P3<o`000`3<0?l0c?l00<co001:0<`0o`P0
oooo00060?ooodX0c03o0P3<o`00103<0?l0c?l00<`0o`3<0?l50<co00030<`0o`3<o`00c?l000h0
c?l00P3<0?l00`3<o`00c03o0<co00030<`0o`050<co003<0?l0c?l00<`0o`3<o`000P3<0?l00`3<
o`00c03o0<co00030<co0080c03o0P3<o`000`3<0?l0c?l00<co00030<`0o`<0c?l000@0c03o0<co
003<0?l0c03o0`3<o`020<`0o`@0c?l000@0c03o0<co003<o`00c?l00P3<0?l20<co04T0c03o203o
ool000H0ooooC03<0?l20<co00040<`0o`3<o`00c03o0<`0o`80c?l000<0c03o0<co003<o`001@3<
0?l30<co00@0c03o00D0c?l00<`0o`3<o`00c?l00<`0o`020<co00050<`0o`3<o`00c03o0<`0o`3<
o`000`3<0?l30<co00<0c03o0P3<o`040<`0o`030<co003<0?l0c?l00080c03o00H0c?l00<`0o`3<
0?l0c03o0<co003<0?l20<co00030<`0o`3<o`00c?l000<0c?l00`3<0?l40<co04h0c03o203oool0
00H0ooooBP3<0?l20<co0080c03o00<0c?l00<`0o`3<o`000P3<0?l20<co00<0c03o103<o`020<`0
o`80c?l00`3<0?l00`3<o`00c03o0<co00030<`0o`@0c?l000<0c03o0<co003<0?l00P3<0?l00`3<
o`00c03o0<`0o`020<`0o`040<co003<0?l0c03o0<`0o`<0c?l000<0c03o0<co003<0?l00P3<0?l2
0<co00030<`0o`3<o`00c03o00H0c03o00@0c?l00<`0o`3<o`00c?l00P3<0?l00`3<o`00c03o0<`0
o`020<co0080c03o00<0c?l00<`0o`3<0?l0B03<0?l80?ooo`001P3ooom;0<`0o`80c?l000<0c03o
0<co003<0?l00P3<o`020<`0o`060<co003<0?l0c03o0<co003<0?l0c?l02`3<0?l30<co00030<`0
o`3<o`00c?l00080c03o103<o`000`3<0?l0c?l00<co00030<co0080c03o103<o`020<`0o`050<co
003<0?l0c03o0<`0o`3<o`00103<0?l20<co0080c03o00/0c?l00<`0o`3<0?l0c?l00<`0o`3<o`00
c03o0<co003<0?l0c?l00<`0o`040<co04/0c03o203oool000H0ooooCP3<0?l01P3<o`00c03o0<co
003<0?l0c?l00<`0o`80c?l00P3<0?l01@3<o`00c03o0<co003<0?l0c?l00080c03o00P0c?l00<`0
o`3<0?l0c?l00<`0o`3<o`00c03o0<co00@0c03o00<0c?l00<`0o`3<0?l00`3<o`040<`0o`@0c?l0
00@0c03o0<co003<o`00c?l0103<0?l40<co00<0c03o00D0c?l00<`0o`3<o`00c?l00<`0o`020<co
0080c03o00<0c?l00<`0o`3<0?l00P3<0?l00`3<o`00c03o0<`0o`1=0<`0o`P0oooo00060?ooodh0
c03o0`3<o`000`3<0?l0c?l00<`0o`050<co00030<`0o`3<o`00c?l000<0c03o1P3<o`020<`0o`04
0<co003<0?l0c?l00<`0o`80c?l000@0c03o0<co003<o`00c03o103<o`00103<0?l0c?l00<co003<
o`030<`0o`030<co003<0?l0c?l000<0c03o00<0c?l00<`0o`3<o`001P3<o`020<`0o`<0c?l00`3<
0?l20<co00040<`0o`3<o`00c?l00<co04d0c03o203oool000H0ooooD@3<0?l01@3<o`00c03o0<`0
o`3<0?l0c?l00080c03o0P3<o`001`3<0?l0c?l00<co003<o`00c03o0<co003<0?l00P3<o`00103<
0?l0c?l00<co003<o`040<`0o`060<co003<0?l0c03o0<`0o`3<o`00c03o0`3<o`000`3<0?l0c?l0
0<co00020<co0080c03o00<0c?l00<`0o`3<0?l00`3<o`000`3<0?l0c?l00<`0o`040<co00060<`0
o`3<o`00c?l00<`0o`3<o`00c03o1P3<o`030<`0o`030<co003<0?l0c03o04`0c03o203oool000H0
ooooCP3<0?l20<co00060<`0o`3<o`00c03o0<co003<0?l0c?l00P3<0?l40<co00<0c03o0P3<o`00
0`3<0?l0c?l00<co00030<`0o`030<co003<0?l0c03o0080c03o0`3<o`040<`0o`80c?l000@0c03o
0<co003<0?l0c?l00`3<0?l00`3<o`00c03o0<`0o`020<co00030<`0o`3<o`00c03o0080c03o00L0
c?l00<`0o`3<o`00c03o0<co003<0?l0c?l00080c03o00@0c?l00<`0o`3<o`00c03o1@3<o`1>0<`0
o`P0oooo00060?ooodl0c03o0P3<o`020<`0o`040<co003<0?l0c?l00<co00@0c03o0`3<o`000`3<
0?l0c?l00<`0o`040<`0o`030<co003<0?l0c?l00080c?l0103<0?l20<co00080<`0o`3<o`00c?l0
0<`0o`3<o`00c03o0<co003<0?l20<co0080c03o00<0c?l00<`0o`3<0?l00`3<0?l50<co00030<`0
o`3<o`00c03o00D0c?l000<0c03o0<co003<0?l00`3<0?l20<co04l0c03o203oool000H0ooooD03<
0?l30<co0080c03o00@0c?l00<`0o`3<0?l0c?l01@3<0?l00`3<o`00c03o0<co00030<co00030<`0
o`3<o`00c?l000H0c03o1@3<o`020<`0o`80c?l00P3<0?l60<co00<0c03o00@0c?l00<`0o`3<0?l0
c03o0P3<o`020<`0o`040<co003<0?l0c03o0<co0080c03o0P3<o`020<`0o`030<co003<0?l0c?l0
0500c03o203oool000H0ooooDP3<0?l20<co00040<`0o`3<o`00c03o0<`0o`80c?l000<0c03o0<co
003<0?l00P3<0?l01P3<o`00c03o0<co003<0?l0c?l00<`0o`<0c?l000@0c03o0<co003<0?l0c03o
0P3<o`000`3<0?l0c?l00<co00030<`0o`060<co003<0?l0c03o0<`0o`3<o`00c03o0`3<o`020<`0
o`D0c?l01P3<0?l0103<o`00c03o0<`0o`3<0?l20<co00050<`0o`3<o`00c?l00<`0o`3<o`00D@3<
0?l80?ooo`001P3ooomD0<`0o`80c?l000<0c03o0<co003<0?l00P3<0?l40<co00030<`0o`3<o`00
c03o0080c03o00H0c?l00<`0o`3<o`00c?l00<`0o`3<o`030<`0o`060<co003<0?l0c03o0<co003<
0?l0c?l00P3<0?l01P3<o`00c03o0<`0o`3<o`00c03o0<co0080c03o00<0c?l00<`0o`3<o`000P3<
o`000`3<0?l0c?l00<`0o`020<`0o`80c?l000@0c03o0<co003<o`00c03o0`3<o`000`3<0?l0c?l0
0<`0o`1C0<`0o`P0oooo00060?oooe80c03o0P3<o`020<`0o`030<co003<0?l0c?l000@0c03o0P3<
o`000`3<0?l0c?l00<`0o`080<`0o`040<co003<0?l0c03o0<co00T0c03o00@0c?l00<`0o`3<0?l0
c?l01P3<0?l01P3<o`00c03o0<`0o`3<0?l0c?l00<`0o`80c?l000@0c03o0<co003<o`00c?l00P3<
0?l01@3<o`00c03o0<co003<0?l0c?l00580c03o203oool000H0ooooD`3<0?l20<co00030<`0o`3<
o`00c03o0080c?l00`3<0?l50<co0080c03o00<0c?l00<`0o`3<0?l00P3<o`000`3<0?l0c?l00<`0
o`030<co00@0c03o103<o`020<`0o`80c?l000<0c03o0<co003<o`000P3<o`030<`0o`050<co003<
0?l0c?l00<`0o`3<o`000`3<0?l30<co0080c03o00<0c?l00<`0o`3<o`00D`3<0?l80?ooo`001P3o
oomD0<`0o`80c?l00P3<0?l00`3<o`00c03o0<co00020<co00@0c03o00<0c?l00<`0o`3<o`000P3<
o`000`3<0?l0c?l00<`0o`080<`0o`070<co003<0?l0c?l00<`0o`3<o`00c03o0<co00070<`0o`80
c?l00P3<0?l20<co0080c03o103<o`030<`0o`040<co003<0?l0c03o0<co05@0c03o203oool000H0
ooooEP3<0?l30<co00030<`0o`3<o`00c03o0080c?l000H0c03o0<co003<o`00c03o0<co003<0?l2
0<co00030<`0o`3<o`00c03o0080c?l00P3<0?l00`3<o`00c03o0<co00030<co00040<`0o`3<o`00
c03o0<`0o`D0c?l01@3<0?l00`3<o`00c03o0<`0o`020<`0o`80c?l0103<0?l00`3<o`00c03o0<`0
o`020<co05D0c03o203oool000H0ooooF@3<0?l0103<o`00c03o0<`0o`3<0?l20<co00030<`0o`3<
o`00c?l000D0c03o0`3<o`001@3<0?l0c?l00<co003<0?l0c?l00080c03o00@0c?l00<`0o`3<0?l0
c03o0`3<o`000`3<0?l0c?l00<`0o`020<`0o`80c?l000D0c03o0<co003<o`00c03o0<co00020<`0
o`030<co003<0?l0c?l00080c?l000D0c03o0<co003<o`00c03o0<co001F0<`0o`P0oooo00060?oo
oeH0c03o0P3<o`002`3<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l0c?l00<`0o`3<o`00c03o00H0
c?l000@0c03o0<co003<o`00c03o0P3<o`020<`0o`@0c?l00P3<0?l20<co00<0c03o0P3<o`020<`0
o`060<co003<0?l0c?l00<`0o`3<o`00c03o0P3<o`020<`0o`<0c?l000<0c03o0<co003<o`00EP3<
0?l80?ooo`001P3ooomG0<`0o`80c?l00P3<0?l01P3<o`00c03o0<co003<o`00c03o0<co0080c03o
0`3<o`040<`0o`@0c?l000<0c03o0<co003<o`000P3<0?l0103<o`00c03o0<`0o`3<0?l30<co00<0
c03o00D0c?l00<`0o`3<0?l0c?l00<`0o`040<co00060<`0o`3<o`00c?l00<co003<0?l0c?l00P3<
0?l00`3<o`00c03o0<`0o`1E0<`0o`P0oooo00060?oooeP0c03o0`3<o`020<`0o`050<co003<0?l0
c03o0<`0o`3<o`000`3<0?l50<co00030<`0o`3<o`00c03o00H0c03o0P3<o`040<`0o`@0c?l00`3<
0?l01P3<o`00c03o0<co003<0?l0c?l00<`0o`<0c?l00P3<0?l30<co05P0c03o203oool000H0oooo
FP3<0?l20<co00040<`0o`3<o`00c03o0<`0o`D0c?l00P3<0?l01@3<o`00c03o0<co003<o`00c03o
00D0c?l000@0c03o0<co003<0?l0c03o0P3<o`000`3<0?l0c?l00<co000:0<co00060<`0o`3<o`00
c?l00<co003<0?l0c?l00P3<0?l00`3<o`00c03o0<`0o`1G0<`0o`P0oooo00060?oooe`0c03o0P3<
o`00103<0?l0c?l00<`0o`3<0?l20<co00090<`0o`3<o`00c?l00<`0o`3<o`00c03o0<co003<0?l0
c?l000<0c03o0P3<o`000`3<0?l0c?l00<co00020<co00030<`0o`3<o`00c03o00<0c?l000L0c03o
0<co003<0?l0c?l00<`0o`3<o`00c03o00<0c?l000@0c03o0<co003<0?l0c?l0F`3<0?l80?ooo`00
1P3ooomJ0<`0o`80c?l00P3<0?l00`3<o`00c03o0<co00020<`0o`80c?l000<0c03o0<co003<0?l0
0P3<o`000`3<0?l0c?l00<`0o`060<co00D0c03o0P3<o`020<`0o`030<co003<0?l0c?l000@0c?l0
0P3<0?l40<co0080c03o00<0c?l00<`0o`3<0?l0F03<0?l80?ooo`001P3ooomK0<`0o`80c?l000<0
c03o0<co003<0?l00P3<o`020<`0o`050<co003<0?l0c?l00<co003<0?l00P3<o`030<`0o`80c?l0
0P3<0?l40<co00@0c03o0P3<o`040<`0o`040<co003<0?l0c03o0<co0080c03o00<0c?l00<`0o`3<
o`000P3<o`1K0<`0o`P0oooo00060?oooe`0c03o0P3<o`020<`0o`040<co003<0?l0c?l00<co0080
c03o103<o`020<`0o`040<co003<0?l0c03o0<co00D0c03o0P3<o`020<`0o`070<co003<0?l0c03o
0<`0o`3<o`00c03o0<co00020<`0o`060<co003<0?l0c03o0<`0o`3<o`00c03o0P3<o`1L0<`0o`P0
oooo00060?oooeh0c03o0`3<o`000`3<0?l0c?l00<`0o`020<co00030<`0o`3<o`00c03o0080c03o
00D0c?l00<`0o`3<0?l0c03o0<co00020<`0o`@0c?l000D0c03o0<co003<0?l0c?l00<`0o`020<co
00030<`0o`3<o`00c?l000<0c?l00P3<0?l20<co00030<`0o`3<o`00c03o05`0c03o203oool000H0
ooooH@3<0?l0103<o`00c03o0<`0o`3<0?l20<co00030<`0o`3<o`00c?l00080c?l000@0c03o0<co
003<0?l0c?l00`3<0?l50<co0080c03o00@0c?l00<`0o`3<o`00c?l00P3<0?l0103<o`00c03o0<co
003<o`020<`0o`80c?l0GP3<0?l80?ooo`001P3ooomN0<`0o`80c?l000D0c03o0<co003<0?l0c?l0
0<`0o`020<co0080c03o00<0c?l00<`0o`3<o`001@3<0?l00`3<o`00c03o0<co00030<`0o`80c?l0
0`3<0?l0103<o`00c03o0<co003<o`030<`0o`80c?l000<0c03o0<co003<o`00GP3<0?l80?ooo`00
1P3ooomO0<`0o`80c?l00P3<0?l00`3<o`00c03o0<co00040<`0o`D0c?l00`3<0?l20<co00050<`0
o`3<o`00c?l00<`0o`3<o`000P3<0?l01@3<o`00c03o0<co003<o`00c03o0080c?l00P3<0?l30<co
05l0c03o203oool000H0ooooH03<0?l30<co0080c03o0P3<o`050<`0o`030<co003<0?l0c?l000<0
c03o103<o`001@3<0?l0c?l00<co003<o`00c03o0080c?l0103<0?l01@3<o`00c03o0<`0o`3<0?l0
c?l00600c03o203oool000H0ooooHP3<0?l20<co00040<`0o`3<o`00c?l00<`0o`@0c?l00P3<0?l7
0<co00H0c03o00@0c?l00<`0o`3<0?l0c03o1P3<o`1Q0<`0o`P0oooo00060?ooof@0c03o1@3<o`00
0`3<0?l0c?l00<co00030<co00040<`0o`3<o`00c03o0<co0080c03o0P3<o`000`3<0?l0c?l00<co
00020<co00050<`0o`3<o`00c?l00<co003<0?l00P3<o`1S0<`0o`P0oooo00060?ooof80c03o0P3<
o`020<`0o`050<co003<0?l0c?l00<`0o`3<o`000P3<0?l20<co000E0<`0o`3<o`00c03o0<`0o`3<
o`00c03o0<co003<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l0c?l00<`0o`3<o`00c03o0<co003<
0?l0c?l00680c03o203oool000H0ooooH`3<0?l20<co00@0c03o00<0c?l00<`0o`3<0?l00`3<o`02
0<`0o`060<co003<0?l0c?l00<`0o`3<o`00c03o1@3<o`000`3<0?l0c?l00<`0o`020<co00030<`0
o`3<o`00c03o0680c03o203oool000H0ooooI03<0?l20<co00D0c03o00<0c?l00<`0o`3<0?l01@3<
0?l30<co0080c03o0P3<o`030<`0o`<0c?l000<0c03o0<co003<0?l0H`3<0?l80?ooo`001P3ooomV
0<`0o`<0c?l00`3<0?l20<co00040<`0o`3<o`00c?l00<`0o`<0c?l000D0c03o0<co003<o`00c?l0
0<`0o`030<co00040<`0o`3<o`00c03o0<co06D0c03o203oool000H0ooooJ03<0?l30<co00040<`0
o`3<o`00c?l00<co00D0c03o00<0c?l00<`0o`3<o`000P3<o`000`3<0?l0c?l00<`0o`030<co06L0
c03o203oool000H0ooooI`3<0?l30<co00030<`0o`3<o`00c03o00@0c?l000@0c03o0<co003<o`00
c?l00P3<0?l00`3<o`00c03o0<co00020<`0o`030<co003<0?l0c?l006L0c03o203oool000H0oooo
I`3<0?l00`3<o`00c03o0<`0o`020<co00080<`0o`3<o`00c03o0<`0o`3<o`00c03o0<co003<0?l5
0<co0080c03o0P3<o`000`3<0?l0c?l00<`0o`1V0<`0o`P0oooo00060?ooofP0c03o0P3<o`020<`0
o`<0c?l00P3<0?l20<co00050<`0o`3<o`00c?l00<co003<0?l00P3<o`00103<0?l0c?l00<co003<
o`1X0<`0o`P0oooo00060?ooofX0c03o1@3<o`00103<0?l0c?l00<co003<0?l50<co00030<`0o`3<
o`00c?l00080c?l0J@3<0?l80?ooo`001P3ooom/0<`0o`D0c?l00P3<0?l0103<o`00c03o0<`0o`3<
0?l30<co06`0c03o203oool000H0ooooJ`3<0?l20<co00040<`0o`3<o`00c03o0<co0080c03o00D0
c?l00<`0o`3<0?l0c03o0<co001^0<`0o`P0oooo00060?ooof/0c03o00<0c?l00<`0o`3<0?l00`3<
0?l20<co0080c03o00@0c?l00<`0o`3<0?l0c03o0P3<o`1[0<`0o`P0oooo00060?ooof`0c03o0P3<
o`060<`0o`030<co003<0?l0c03o00<0c?l0K03<0?l80?ooo`001P3ooom^0<`0o`<0c?l00P3<0?l0
103<o`00c03o0<`0o`3<0?l20<co06d0c03o203oool000H0ooooL03<0?l60<co0700c03o203oool0
00H0ooooK`3<0?l30<co00030<`0o`3<o`00c?l00080c?l0K`3<0?l80?ooo`001P3ooom_0<`0o`03
0<co003<0?l0c03o00<0c?l000<0c03o0<co003<0?l0KP3<0?l80?ooo`001P3ooom`0<`0o`80c?l0
0`3<0?l00`3<o`00c03o0<`0o`1^0<`0o`P0oooo00060?ooog80c03o0`3<o`1a0<`0o`P0oooo0006
0?ooonH0c03o203oool000H0ooooiP3<0?l80?ooo`00m03oool00?@0oooo003d0?ooo`00\
\>"],
  ImageRangeCache->{{{153.125, 303.375}, {346.688, 254.25}} -> {-883.007, \
1148.08, 3.48642, 2.82409}},
  CellTags->"IPM3.Sol.6.3"]
}, Closed]],

Cell[TextData[{
  "Note that this can also be accomplished much more cleanly using ",
  StyleBox["ArrayPlot", "MR"],
  " (new in Version 5.1)."
}], "SolutionNoLabel",
  CellTags->{"IPM3.Sol.6.3", "i:3"}],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ArrayPlot[ca30, 
        ColorRules \[Rule] {1 \[Rule] Hue[ .2], 
            0 \[Rule] Hue[ .8]}];\)\)], "Input",
  CellLabel->"In[26]:="],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .50062 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.00118899 0.0119196 0.00118899 [
[ 0 0 -0.125 0 ]
[ 0 0 -0.125 0 ]
[ 0 .50062 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 .50062 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 0 m
1 0 L
s
0 0 m
0 .50062 L
s
0 .50062 m
1 .50062 L
s
1 0 m
1 .50062 L
s
0 0 m
1 0 L
1 .50062 L
0 .50062 L
closepath
clip
newpath
% Start of colorimage (RGB)
p
.02381 .01192 translate
.95238 .47678 scale
2403 string
801 401 8 [801 0 0 401 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  false 3 Mcolorimage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CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FF
CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00
CC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CC00FF
CC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00
CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CCFF00
CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00
CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCCFF00CCFF00
CCFF00CCFF00CC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00
CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00CC00FF
CCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00CCFF00
CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCCFF00CC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCCFF00
CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCCFF00CCFF00CC00FFCCFF00CCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCCFF00CCFF00CC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCCFF00CCFF00CCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCCFF00CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
CC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FFCC00FF
pop
P
% End of image
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[2]:=",
  ImageSize->{288, 144.125},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000T2000`400?l00000o`00003oo`00000P
00000040oooo00000`000000oooo0?ooo`3o0?oooa`0oooo0@0000010?ooo`0000<000000?ooo`3o
ool0o`3ooolL0?ooo`4000000@3oool000030000003oool0oooo0?l0oooo703oool100000040oooo
00000`000000oooo0?ooo`3o0?oooa`0oooo0@0000010?ooo`0000<000000?ooo`3oool0103oool6
0<co0080c03o0P3<o`020<`0o`80c?l00P3<0?l20<co0080c03o00/0c?l00<`0o`3<o`00c?l00<`0
o`3<o`00c03o0<co003<0?l0c?l00<`0o`030<co00060<`0o`3<o`00c?l00<co003<0?l0c?l00P3<
0?l0103<o`00c03o0<co003<0?l20<co00030<`0o`3<o`00c03o0080c03o00<0c?l00<`0o`3<0?l0
0P3<0?l20<co00030<`0o`3<o`00c03o00D0c?l000<0c03o0<co003<o`000P3<0?l00`3<o`00c03o
0<`0o`050<co00030<`0o`3<o`00c03o0080c?l0103<0?l40<co00<0c03o00H0c?l00<`0o`3<0?l0
c?l00<`0o`3<o`030<`0o`D0c?l000<0c03o0<co003<o`000P3<o`020<`0o`@0c?l000H0c03o0<co
003<0?l0c03o0<co003<0?l20<co00<0c03o0P3<o`000`3<0?l0c?l00<`0o`030<`0o`050<co003<
0?l0c03o0<co003<0?l00`3<o`000`3<0?l0c?l00<`0o`030<`0o`80c?l000<0c03o0<co003<0?l0
0P3<o`030<`0o`80c?l000@0c03o0<co003<o`00c03o0P3<o`000`3<0?l0c?l00<co00020<co00@0
c03o00@0c?l00<`0o`3<o`00c?l00P3<0?l00`3<o`00c03o0<`0o`060<`0o`040<co003<0?l0c?l0
0<co00D0c03o0`3<o`000`3<0?l0c?l00<`0o`040<co00<0c03o00@0c?l00<`0o`3<0?l0c?l00P3<
0?l00`3<o`00c03o0<`0o`040<co00090<`0o`3<o`00c03o0<`0o`3<o`00c03o0<co003<0?l0c?l0
0080c03o00@0c?l00<`0o`3<0?l0c?l00P3<0?l30<co00040<`0o`3<o`00c?l00<`0o`80c?l00`3<
0?l20<co00<0c03o1P3<o`070?ooo`4000000@3oool000030000003oool0oooo00@0oooo00P0c03o
0<co003<0?l0c03o0<co003<0?l0c?l00<`0o`80c?l0103<0?l20<co00@0c03o00<0c?l00<`0o`3<
0?l00P3<o`020<`0o`030<co003<0?l0c?l000D0c03o00<0c?l00<`0o`3<0?l00P3<0?l00`3<o`00
c03o0<co00030<co00070<`0o`3<o`00c03o0<co003<0?l0c?l00<`0o`050<co00040<`0o`3<o`00
c03o0<co00<0c03o00<0c?l00<`0o`3<o`001`3<o`030<`0o`040<co003<0?l0c03o0<`0o`80c?l0
00<0c03o0<co003<o`000P3<o`020<`0o`070<co003<0?l0c?l00<`0o`3<o`00c03o0<co00020<`0
o`030<co003<0?l0c?l00080c?l00`3<0?l00`3<o`00c03o0<co00020<co0080c03o0P3<o`020<`0
o`040<co003<0?l0c03o0<`0o`<0c?l00P3<0?l50<co00040<`0o`3<o`00c?l00<co00@0c03o0P3<
o`000`3<0?l0c?l00<`0o`030<co00030<`0o`3<o`00c?l000@0c03o103<o`000`3<0?l0c?l00<co
00020<`0o`030<co003<0?l0c03o00H0c03o00@0c?l00<`0o`3<0?l0c03o1@3<o`000`3<0?l0c?l0
0<`0o`020<`0o`80c?l000<0c03o0<co003<o`000`3<o`00103<0?l0c?l00<`0o`3<o`020<`0o`@0
c?l00P3<0?l20<co00H0c03o00@0c?l00<`0o`3<0?l0c?l00P3<0?l20<co00040<`0o`3<o`00c?l0
0<co00P0c03o00@0c?l00<`0o`3<o`00c03o0`3<o`00103<0?l0c?l00<co003<o`020<`0o`050<co
003<0?l0c?l00<co003<0?l00P3<o`000`3<0?l0c?l00<co00020<`0o`030<co003<0?l0c?l00080
c?l00P3<0?l0103<o`00c03o0<co003<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0
oooo0P3<0?l50<co00040<`0o`3<o`00c?l00<`0o`80c?l00P3<0?l20<co0080c03o00<0c?l00<`0
o`3<0?l00P3<0?l00`3<o`00c03o0<`0o`030<`0o`X0c?l000<0c03o0<co003<0?l00P3<0?l00`3<
o`00c03o0<co00030<`0o`030<co003<0?l0c?l000<0c03o00@0c?l00<`0o`3<o`00c03o0P3<o`02
0<`0o`<0c?l00P3<0?l0103<o`00c03o0<co003<0?l50<co00D0c03o00@0c?l00<`0o`3<o`00c03o
0P3<o`040<`0o`040<co003<0?l0c03o0<co00@0c03o00<0c?l00<`0o`3<o`000P3<o`001@3<0?l0
c?l00<co003<o`00c03o0080c?l00P3<0?l30<co00030<`0o`3<o`00c?l00080c?l000<0c03o0<co
003<o`001@3<0?l20<co0080c03o0`3<o`000`3<0?l0c?l00<co00020<`0o`80c?l000T0c03o0<co
003<o`00c?l00<`0o`3<o`00c03o0<co003<0?l00P3<o`020<`0o`80c?l000<0c03o0<co003<0?l0
0P3<o`000`3<0?l0c?l00<co00020<co00<0c03o00<0c?l00<`0o`3<0?l00`3<0?l0103<o`00c03o
0<co003<0?l30<co00030<`0o`3<o`00c03o0080c03o00<0c?l00<`0o`3<o`000P3<o`001`3<0?l0
c?l00<co003<o`00c03o0<co003<0?l00P3<o`030<`0o`D0c?l00P3<0?l20<co0080c03o00T0c?l0
0<`0o`3<o`00c?l00<`0o`3<o`00c03o0<co003<0?l00`3<o`020<`0o`030<co003<0?l0c?l000@0
c03o00<0c?l00<`0o`3<0?l00P3<o`001@3<0?l0c?l00<co003<o`00c03o0080c?l000<0c03o0<co
003<o`000`3<0?l00`3<o`00c03o0<co00020<`0o`@0c?l000@0c03o0<co003<0?l0c03o1`3oool1
00000040oooo00000`000000oooo0?ooo`040?ooo`<0c03o00<0c?l00<`0o`3<0?l00P3<o`030<`0
o`<0c?l000H0c03o0<co003<o`00c?l00<`0o`3<o`040<`0o`80c?l000@0c03o0<co003<o`00c03o
0P3<o`000`3<0?l0c?l00<`0o`020<co0080c03o00<0c?l00<`0o`3<0?l01@3<o`001P3<0?l0c?l0
0<co003<0?l0c?l00<`0o`<0c?l000<0c03o0<co003<o`000`3<0?l20<co00<0c03o00D0c?l00<`0
o`3<0?l0c?l00<`0o`020<co0080c03o00<0c?l00<`0o`3<o`000`3<o`000`3<0?l0c?l00<co0002
0<co0080c03o00<0c?l00<`0o`3<0?l00P3<o`030<`0o`80c?l000<0c03o0<co003<o`000`3<o`00
1@3<0?l0c?l00<`0o`3<o`00c03o0080c?l000<0c03o0<co003<o`001@3<0?l00`3<o`00c03o0<`0
o`020<co0080c03o1@3<o`020<`0o`030<co003<0?l0c03o00@0c03o0P3<o`020<`0o`060<co003<
0?l0c?l00<`0o`3<o`00c03o0P3<o`020<`0o`80c?l00P3<0?l20<co00040<`0o`3<o`00c03o0<co
0080c03o00<0c?l00<`0o`3<o`000P3<o`020<`0o`030<co003<0?l0c03o0080c?l000<0c03o0<co
003<0?l00P3<0?l01@3<o`00c03o0<co003<o`00c03o00@0c?l00P3<0?l01P3<o`00c03o0<`0o`3<
0?l0c?l00<`0o`P0c?l01P3<0?l00`3<o`00c03o0<co00030<co00040<`0o`3<o`00c03o0<`0o`80
c?l00`3<0?l40<co0080c03o0`3<o`020<`0o`80c?l00P3<0?l20<co00030<`0o`3<o`00c03o0080
c03o0P3<o`000`3<0?l0c?l00<co00020<co00060<`0o`3<o`00c03o0<co003<0?l0c?l00P3<0?l2
0<co00<0c03o1`3oool100000040oooo00000`000000oooo0?ooo`040?ooo`@0c03o1@3<o`00103<
0?l0c?l00<`0o`3<0?l20<co0080c03o0P3<o`030<`0o`030<co003<0?l0c?l000<0c?l000D0c03o
0<co003<o`00c?l00<`0o`020<co00040<`0o`3<o`00c?l00<co00D0c03o00P0c?l00<`0o`3<o`00
c?l00<`0o`3<o`00c03o0<co00<0c03o00<0c?l00<`0o`3<0?l00P3<o`000`3<0?l0c?l00<co0006
0<co00050<`0o`3<o`00c?l00<`0o`3<o`000P3<0?l20<co00040<`0o`3<o`00c?l00<co00<0c03o
0`3<o`040<`0o`<0c?l000<0c03o0<co003<o`000`3<0?l40<co00060<`0o`3<o`00c?l00<co003<
0?l0c?l00`3<0?l01P3<o`00c03o0<`0o`3<0?l0c?l00<`0o`80c?l000<0c03o0<co003<0?l00`3<
0?l01P3<o`00c03o0<`0o`3<0?l0c?l00<`0o`<0c?l000D0c03o0<co003<o`00c?l00<`0o`030<co
00L0c03o103<o`040<`0o`040<co003<0?l0c03o0<co00<0c03o0P3<o`000`3<0?l0c?l00<co0005
0<co00030<`0o`3<o`00c?l000D0c?l00P3<0?l01@3<o`00c03o0<`0o`3<o`00c03o0080c?l000<0
c03o0<co003<o`00103<0?l30<co00030<`0o`3<o`00c03o00@0c03o00<0c?l00<`0o`3<0?l00P3<
o`030<`0o`030<co003<0?l0c03o00@0c03o103<o`030<`0o`@0c?l000D0c03o0<co003<o`00c?l0
0<`0o`050<co00040<`0o`3<o`00c?l00<co00H0c03o00<0c?l00<`0o`3<0?l01@3<0?l30<co00@0
c03o1`3oool100000040oooo00000`000000oooo0?ooo`040?ooo`D0c03o00L0c?l00<`0o`3<0?l0
c?l00<`0o`3<o`00c03o0080c?l000<0c03o0<co003<o`000P3<0?l20<co00030<`0o`3<o`00c?l0
00<0c03o0P3<o`001P3<0?l0c?l00<`0o`3<o`00c03o0<co00<0c03o1`3<o`001P3<0?l0c?l00<co
003<0?l0c?l00<`0o`<0c?l000H0c03o0<co003<o`00c?l00<`0o`3<o`020<`0o`80c?l000@0c03o
0<co003<0?l0c03o0P3<o`000`3<0?l0c?l00<`0o`030<`0o`040<co003<0?l0c03o0<co0080c03o
0`3<o`00103<0?l0c?l00<co003<0?l30<co00040<`0o`3<o`00c03o0<co00D0c03o0P3<o`00103<
0?l0c?l00<`0o`3<0?l20<co00050<`0o`3<o`00c03o0<co003<0?l01@3<o`00103<0?l0c?l00<`0
o`3<0?l30<co0080c03o0`3<o`030<`0o`80c?l000<0c03o0<co003<0?l00P3<0?l20<co00030<`0
o`3<o`00c?l00080c03o0P3<o`050<`0o`H0c?l00P3<0?l20<co00<0c03o00<0c?l00<`0o`3<o`00
0P3<0?l00`3<o`00c03o0<co00020<`0o`030<co003<0?l0c03o00<0c03o1P3<o`000`3<0?l0c?l0
0<`0o`020<co00030<`0o`3<o`00c?l000<0c?l00P3<0?l00`3<o`00c03o0<co00020<co00040<`0
o`3<o`00c?l00<co0080c03o0`3<o`020<`0o`030<co003<0?l0c?l00080c?l00P3<0?l0103<o`00
c03o0<`0o`3<o`030<`0o`030<co003<0?l0c03o00@0c?l0103<0?l00`3<o`00c03o0<co00020<`0
o`050<co003<0?l0c?l00<co003<0?l00P3<o`000`3<0?l0c?l00<co00020<co00D0c03o00<0c?l0
0<`0o`3<0?l00`3<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo1P3<0?l40<co
00070<`0o`3<o`00c03o0<co003<0?l0c?l00<`0o`020<co00040<`0o`3<o`00c03o0<`0o`@0c?l0
00<0c03o0<co003<0?l01`3<o`000`3<0?l0c?l00<`0o`030<`0o`<0c?l000<0c03o0<co003<0?l0
103<0?l01P3<o`00c03o0<co003<0?l0c?l00<`0o`<0c?l00P3<0?l00`3<o`00c03o0<`0o`030<`0
o`060<co003<0?l0c03o0<`0o`3<o`00c03o0P3<o`000`3<0?l0c?l00<co00020<`0o`040<co003<
0?l0c?l00<`0o`<0c?l000<0c03o0<co003<o`000`3<0?l40<co0080c03o00<0c?l00<`0o`3<o`00
0P3<o`000`3<0?l0c?l00<co00020<co0080c03o00D0c?l00<`0o`3<o`00c03o0<co00020<`0o`<0
c?l00P3<0?l00`3<o`00c03o0<`0o`050<co00<0c03o1`3<o`040<`0o`<0c?l00P3<0?l20<co0080
c03o00<0c?l00<`0o`3<0?l00`3<o`00103<0?l0c?l00<co003<0?l20<co00030<`0o`3<o`00c?l0
0080c?l000@0c03o0<co003<o`00c03o1P3<o`00103<0?l0c?l00<`0o`3<o`020<`0o`80c?l000D0
c03o0<co003<o`00c03o0<co00030<`0o`040<co003<0?l0c03o0<co00<0c03o00@0c?l00<`0o`3<
o`00c03o0`3<o`000`3<0?l0c?l00<co00020<co00@0c03o0P3<o`020<`0o`030<co003<0?l0c03o
00<0c03o0P3<o`030<`0o`030<co003<0?l0c?l000D0c03o0P3<o`000`3<0?l0c?l00<co00040<`0
o`80c?l000<0c03o0<co003<o`000`3<o`020<`0o`030<co003<0?l0c03o00@0c03o1`3oool10000
0040oooo00000`000000oooo0?ooo`040?ooo`L0c03o00D0c?l00<`0o`3<0?l0c03o0<co00030<`0
o`80c?l000<0c03o0<co003<0?l00`3<o`040<`0o`<0c?l00P3<0?l0103<o`00c03o0<`0o`3<o`02
0<`0o`<0c?l00P3<0?l01`3<o`00c03o0<co003<o`00c03o0<co003<0?l00P3<o`000`3<0?l0c?l0
0<co00020<`0o`060<co003<0?l0c03o0<`0o`3<o`00c03o103<o`050<`0o`030<co003<0?l0c03o
00<0c?l02P3<0?l01@3<o`00c03o0<co003<0?l0c?l000@0c03o0P3<o`00103<0?l0c?l00<`0o`3<
o`030<`0o`050<co003<0?l0c03o0<co003<0?l00P3<o`050<`0o`@0c?l0103<0?l00`3<o`00c03o
0<co00020<`0o`80c?l000<0c03o0<co003<o`00103<0?l01@3<o`00c03o0<co003<0?l0c?l00080
c03o00<0c?l00<`0o`3<0?l00P3<o`020<`0o`80c?l000@0c03o0<co003<0?l0c03o0P3<o`000`3<
0?l0c?l00<`0o`030<`0o`040<co003<0?l0c?l00<`0o`<0c?l000D0c03o0<co003<0?l0c03o0<co
00020<`0o`030<co003<0?l0c03o0080c?l000@0c03o0<co003<0?l0c03o0P3<o`000`3<0?l0c?l0
0<`0o`040<`0o`030<co003<0?l0c?l000<0c?l00`3<0?l30<co00030<`0o`3<o`00c?l00080c03o
00<0c?l00<`0o`3<o`000P3<o`020<`0o`<0c?l000L0c03o0<co003<o`00c?l00<`0o`3<o`00c03o
00D0c?l01@3<0?l0103<o`00c03o0<`0o`3<o`020<`0o`@0c?l00P3<0?l00`3<o`00c03o0<co0004
0<`0o`80c?l01`3<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo203<0?l00`3<
o`00c03o0<co00030<`0o`040<co003<0?l0c03o0<co0080c03o0P3<o`020<`0o`80c?l00P3<0?l2
0<co0080c03o0P3<o`001@3<0?l0c?l00<`0o`3<o`00c03o00<0c?l000<0c03o0<co003<o`001P3<
0?l00`3<o`00c03o0<`0o`020<co00030<`0o`3<o`00c03o0080c03o00@0c?l00<`0o`3<0?l0c03o
0`3<o`020<`0o`H0c?l000<0c03o0<co003<o`000P3<0?l30<co00@0c03o00@0c?l00<`0o`3<o`00
c03o0P3<o`040<`0o`D0c?l00`3<0?l40<co00030<`0o`3<o`00c?l000@0c?l00P3<0?l01@3<o`00
c03o0<`0o`3<0?l0c?l00080c03o0P3<o`00103<0?l0c?l00<co003<o`020<`0o`<0c?l01@3<0?l3
0<co0080c03o203<o`030<`0o`@0c?l00P3<0?l20<co00<0c03o00@0c?l00<`0o`3<0?l0c03o0P3<
o`050<`0o`80c?l00P3<0?l02@3<o`00c03o0<co003<0?l0c?l00<`0o`3<o`00c03o0<co00030<`0
o`030<co003<0?l0c03o0080c?l000@0c03o0<co003<o`00c03o103<o`001@3<0?l0c?l00<`0o`3<
0?l0c?l00080c03o00@0c?l00<`0o`3<o`00c03o103<o`030<`0o`030<co003<0?l0c?l00080c03o
00@0c?l00<`0o`3<0?l0c?l00`3<0?l60<co00D0c03o00<0c?l00<`0o`3<o`00103<o`000`3<0?l0
c?l00<co00040<co00P0c03o1`3oool100000040oooo00000`000000oooo0?ooo`040?ooo``0c03o
00@0c?l00<`0o`3<o`00c03o0P3<o`040<`0o`80c?l00`3<0?l01@3<o`00c03o0<co003<0?l0c?l0
00<0c03o00<0c?l00<`0o`3<o`001@3<0?l00`3<o`00c03o0<co00040<co000;0<`0o`3<o`00c?l0
0<co003<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l0103<o`000`3<0?l0c?l00<co00020<`0o`05
0<co003<0?l0c03o0<co003<0?l01`3<o`00203<0?l0c?l00<co003<0?l0c?l00<`0o`3<o`00c03o
0P3<o`000`3<0?l0c?l00<co00020<co0080c03o0P3<o`030<`0o`80c?l000P0c03o0<co003<0?l0
c?l00<`0o`3<o`00c03o0<co0080c03o00@0c?l00<`0o`3<o`00c03o1@3<o`00103<0?l0c?l00<`0
o`3<o`020<`0o`<0c?l00`3<0?l50<co0080c03o0P3<o`050<`0o`80c?l00P3<0?l40<co00H0c03o
0P3<o`020<`0o`<0c?l000H0c03o0<co003<0?l0c?l00<`0o`3<o`060<`0o`D0c?l000<0c03o0<co
003<0?l01P3<o`000`3<0?l0c?l00<`0o`020<`0o`040<co003<0?l0c03o0<co00<0c03o0P3<o`04
0<`0o`040<co003<0?l0c?l00<`0o`80c?l00P3<0?l20<co00040<`0o`3<o`00c03o0<co0080c03o
00@0c?l00<`0o`3<o`00c03o0P3<o`001@3<0?l0c?l00<`0o`3<o`00c03o0080c?l000@0c03o0<co
003<o`00c?l00P3<0?l20<co0080c03o0P3<o`020<`0o`030<co003<0?l0c03o00X0c03o1`3oool1
00000040oooo00000`000000oooo0?ooo`040?ooo`X0c03o00<0c?l00<`0o`3<0?l00P3<o`00103<
0?l0c?l00<co003<0?l20<co00<0c03o00<0c?l00<`0o`3<o`00103<0?l30<co00<0c03o103<o`02
0<`0o`040<co003<0?l0c03o0<co00<0c03o0P3<o`00103<0?l0c?l00<`0o`3<o`020<`0o`80c?l0
00D0c03o0<co003<0?l0c03o0<co00020<`0o`030<co003<0?l0c?l000<0c03o0`3<o`00103<0?l0
c?l00<`0o`3<o`070<`0o`030<co003<0?l0c03o00<0c03o0`3<o`00103<0?l0c?l00<co003<0?l2
0<co00D0c03o1@3<o`00103<0?l0c?l00<co003<0?l20<co00030<`0o`3<o`00c?l000D0c03o0P3<
o`020<`0o`D0c?l0103<0?l00`3<o`00c03o0<`0o`020<`0o`80c?l000<0c03o0<co003<0?l00`3<
0?l30<co00<0c03o103<o`000`3<0?l0c?l00<`0o`030<`0o`030<co003<0?l0c?l000L0c03o00<0
c?l00<`0o`3<o`000`3<o`000`3<0?l0c?l00<`0o`050<co00050<`0o`3<o`00c?l00<co003<0?l0
1@3<o`000`3<0?l0c?l00<co00030<`0o`030<co003<0?l0c03o0080c03o0`3<o`001@3<0?l0c?l0
0<co003<0?l0c?l000T0c03o0`3<o`001@3<0?l0c?l00<`0o`3<0?l0c?l00080c03o00<0c?l00<`0
o`3<o`000`3<o`000`3<0?l0c?l00<co00020<`0o`L0c?l00P3<0?l20<co00X0c03o1`3oool10000
0040oooo00000`000000oooo0?ooo`040?ooo`/0c03o1P3<o`020<`0o`X0c?l00P3<0?l01P3<o`00
c03o0<co003<o`00c03o0<co00<0c03o0`3<o`000`3<0?l0c?l00<`0o`030<co00070<`0o`3<o`00
c03o0<`0o`3<o`00c03o0<co00030<`0o`060<co003<0?l0c?l00<co003<0?l0c?l0103<0?l20<co
00080<`0o`3<o`00c03o0<`0o`3<o`00c03o0<co003<0?l20<co00<0c03o00<0c?l00<`0o`3<0?l0
1@3<o`060<`0o`80c?l000<0c03o0<co003<o`000P3<o`001P3<0?l0c?l00<`0o`3<0?l0c?l00<`0
o`@0c?l00P3<0?l00`3<o`00c03o0<`0o`050<co00030<`0o`3<o`00c?l000L0c?l000@0c03o0<co
003<0?l0c03o0P3<o`020<`0o`80c?l000<0c03o0<co003<0?l00`3<o`000`3<0?l0c?l00<`0o`04
0<co00030<`0o`3<o`00c?l000<0c03o0`3<o`000`3<0?l0c?l00<`0o`020<co00<0c03o00<0c?l0
0<`0o`3<0?l00P3<o`000`3<0?l0c?l00<`0o`020<`0o`<0c?l000@0c03o0<co003<o`00c?l00P3<
0?l01@3<o`00c03o0<co003<0?l0c?l000@0c03o00<0c?l00<`0o`3<0?l00P3<0?l50<co0080c03o
00<0c?l00<`0o`3<0?l00P3<0?l90<co00030<`0o`3<o`00c03o00D0c03o0`3<o`020<`0o`040<co
003<0?l0c03o0<co00<0c03o103<o`000`3<0?l0c?l00<co00020<`0o`<0c?l02`3<0?l70?ooo`40
00000@3oool000030000003oool0oooo00@0oooo303<0?l0203<o`00c03o0<`0o`3<o`00c03o0<co
003<0?l0c?l00P3<0?l01@3<o`00c03o0<co003<0?l0c?l000@0c03o00<0c?l00<`0o`3<0?l00P3<
o`020<`0o`040<co003<0?l0c03o0<co00@0c03o00<0c?l00<`0o`3<0?l00P3<0?l00`3<o`00c03o
0<co00040<co00040<`0o`3<o`00c03o0<co0080c03o1@3<o`00103<0?l0c?l00<`0o`3<o`040<`0
o`80c?l000<0c03o0<co003<0?l0103<o`030<`0o`030<co003<0?l0c03o0080c03o0P3<o`020<`0
o`80c?l00P3<0?l0103<o`00c03o0<co003<0?l30<co00060<`0o`3<o`00c?l00<co003<0?l0c?l0
1@3<0?l0103<o`00c03o0<`0o`3<0?l20<co00D0c03o0P3<o`000`3<0?l0c?l00<co00030<co0007
0<`0o`3<o`00c?l00<co003<0?l0c?l00<`0o`020<co00@0c03o0`3<o`030<`0o`030<co003<0?l0
c?l000D0c?l00P3<0?l01@3<o`00c03o0<`0o`3<o`00c03o00@0c?l000@0c03o0<co003<0?l0c03o
0`3<o`030<`0o`040<co003<0?l0c?l00<`0o`80c?l00`3<0?l30<co0080c03o00@0c?l00<`0o`3<
o`00c03o0P3<o`050<`0o`030<co003<0?l0c03o0080c03o0P3<o`020<`0o`050<co003<0?l0c03o
0<`0o`3<o`000P3<0?l00`3<o`00c03o0<co00060<co00030<`0o`3<o`00c?l00080c?l000@0c03o
0<co003<o`00c?l01@3<0?l0103<o`00c03o0<co003<0?l30<co00030<`0o`3<o`00c03o00/0c03o
1`3oool100000040oooo00000`000000oooo0?ooo`040?ooo`d0c03o1@3<o`00103<0?l0c?l00<co
003<0?l20<co00<0c03o00@0c?l00<`0o`3<0?l0c?l0103<0?l00`3<o`00c03o0<`0o`020<co0003
0<`0o`3<o`00c?l00080c03o1P3<o`000`3<0?l0c?l00<`0o`030<`0o`050<co003<0?l0c?l00<`0
o`3<o`000P3<0?l0203<o`00c03o0<`0o`3<0?l0c?l00<`0o`3<o`00c03o1@3<o`000`3<0?l0c?l0
0<co00030<`0o`030<co003<0?l0c?l000@0c?l0103<0?l70<co00@0c03o00<0c?l00<`0o`3<0?l0
0P3<o`020<`0o`040<co003<0?l0c03o0<`0o`<0c?l000@0c03o0<co003<o`00c?l00P3<0?l20<co
00D0c03o00<0c?l00<`0o`3<0?l00`3<o`001@3<0?l0c?l00<`0o`3<0?l0c?l000@0c03o00@0c?l0
0<`0o`3<0?l0c?l00`3<0?l20<co0080c03o00D0c?l00<`0o`3<o`00c03o0<co00030<`0o`D0c?l0
00<0c03o0<co003<0?l00P3<0?l01@3<o`00c03o0<co003<o`00c03o00<0c?l000<0c03o0<co003<
o`000`3<0?l00`3<o`00c03o0<co00020<co00030<`0o`3<o`00c03o00@0c?l000@0c03o0<co003<
o`00c03o0`3<o`030<`0o`<0c?l00P3<0?l30<co00030<`0o`3<o`00c?l00080c03o0`3<o`060<`0
o`050<co003<0?l0c03o0<`0o`3<o`001@3<0?l60<co00030<`0o`3<o`00c?l000<0c03o00<0c?l0
0<`0o`3<o`003@3<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo3P3<0?l00`3<
o`00c03o0<`0o`020<co00040<`0o`3<o`00c?l00<`0o`80c?l00P3<0?l20<co00030<`0o`3<o`00
c03o00<0c03o0P3<o`040<`0o`<0c?l00P3<0?l20<co0080c03o00<0c?l00<`0o`3<0?l00`3<o`02
0<`0o`040<co003<0?l0c03o0<co0080c03o0`3<o`000`3<0?l0c?l00<co00030<`0o`80c?l000@0
c03o0<co003<0?l0c?l00P3<0?l0103<o`00c03o0<co003<o`020<`0o`030<co003<0?l0c?l000<0
c?l000<0c03o0<co003<0?l00P3<o`000`3<0?l0c?l00<co00020<`0o`80c?l0103<0?l00`3<o`00
c03o0<`0o`020<co00<0c03o0P3<o`030<`0o`030<co003<0?l0c03o00@0c?l000<0c03o0<co003<
o`000`3<o`000`3<0?l0c?l00<co00020<`0o`<0c?l0103<0?l30<co00L0c03o00<0c?l00<`0o`3<
0?l0103<o`020<`0o`040<co003<0?l0c?l00<`0o`<0c?l00P3<0?l40<co00030<`0o`3<o`00c03o
00@0c?l000D0c03o0<co003<o`00c?l00<`0o`020<co00040<`0o`3<o`00c03o0<co0080c03o00H0
c?l00<`0o`3<o`00c?l00<`0o`3<o`030<`0o`030<co003<0?l0c?l000<0c03o0P3<o`000`3<0?l0
c?l00<co00020<co00060<`0o`3<o`00c?l00<co003<0?l0c?l00P3<0?l20<co00@0c03o0P3<o`00
0`3<0?l0c?l00<co00020<`0o`80c?l00`3<0?l20<co00<0c03o00@0c?l00<`0o`3<o`00c03o0P3<
o`0>0<`0o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103oool?0<`0o`H0c?l00P3<0?l4
0<co00030<`0o`3<o`00c?l000<0c03o00<0c?l00<`0o`3<o`00103<o`000`3<0?l0c?l00<`0o`03
0<co00040<`0o`3<o`00c?l00<co00D0c03o00<0c?l00<`0o`3<0?l00P3<o`000`3<0?l0c?l00<`0
o`030<`0o`030<co003<0?l0c03o0080c?l000D0c03o0<co003<o`00c?l00<`0o`020<co00070<`0
o`3<o`00c03o0<`0o`3<o`00c03o0<co00020<`0o`80c?l000<0c03o0<co003<o`000P3<o`030<`0
o`80c?l0103<0?l30<co00030<`0o`3<o`00c?l000@0c?l0103<0?l01P3<o`00c03o0<co003<o`00
c03o0<co0080c03o00D0c?l00<`0o`3<o`00c03o0<co00020<`0o`050<co003<0?l0c03o0<`0o`3<
o`00103<0?l20<co00<0c03o00D0c?l00<`0o`3<o`00c03o0<co00020<`0o`040<co003<0?l0c03o
0<`0o`80c?l00P3<0?l00`3<o`00c03o0<`0o`020<`0o`050<co003<0?l0c03o0<co003<0?l0103<
o`001@3<0?l0c?l00<`0o`3<o`00c03o0080c?l00P3<0?l50<co00050<`0o`3<o`00c?l00<co003<
0?l00P3<o`030<`0o`030<co003<0?l0c03o0080c03o0P3<o`000`3<0?l0c?l00<`0o`070<co0005
0<`0o`3<o`00c03o0<`0o`3<o`000P3<0?l20<co00H0c03o0P3<o`030<`0o`80c?l000D0c03o0<co
003<0?l0c03o0<co00020<`0o`@0c?l00`3<0?l50<co00l0c03o1`3oool100000040oooo00000`00
0000oooo0?ooo`040?oooa00c03o00P0c?l00<`0o`3<0?l0c?l00<`0o`3<o`00c03o0<co0080c03o
0P3<o`020<`0o`80c?l000<0c03o0<co003<o`00103<0?l20<co00050<`0o`3<o`00c03o0<`0o`3<
o`000`3<0?l90<co00030<`0o`3<o`00c03o00@0c?l000H0c03o0<co003<o`00c?l00<`0o`3<o`02
0<`0o`<0c?l000@0c03o0<co003<0?l0c03o0`3<o`040<`0o`040<co003<0?l0c03o0<co0080c03o
103<o`000`3<0?l0c?l00<`0o`030<co00040<`0o`3<o`00c03o0<co00<0c03o00@0c?l00<`0o`3<
0?l0c03o103<o`00103<0?l0c?l00<co003<0?l20<co00030<`0o`3<o`00c03o0080c03o0P3<o`02
0<`0o`80c?l000@0c03o0<co003<0?l0c?l00P3<0?l00`3<o`00c03o0<`0o`060<co00060<`0o`3<
o`00c03o0<`0o`3<o`00c03o2@3<o`00103<0?l0c?l00<co003<0?l30<co00@0c03o00<0c?l00<`0
o`3<o`000P3<0?l30<co00040<`0o`3<o`00c03o0<co00<0c03o0`3<o`00203<0?l0c?l00<co003<
o`00c03o0<co003<0?l0c?l00`3<0?l50<co00@0c03o00<0c?l00<`0o`3<o`000`3<0?l20<co0004
0<`0o`3<o`00c?l00<co0080c03o0`3<o`001P3<0?l0c?l00<co003<o`00c03o0<co0080c03o1@3<
o`00103<0?l0c?l00<`0o`3<0?l30<co00050<`0o`3<o`00c03o0<`0o`3<o`00403<0?l70?ooo`40
00000@3oool000030000003oool0oooo00@0oooo4@3<0?l50<co00060<`0o`3<o`00c?l00<`0o`3<
o`00c03o0P3<o`00103<0?l0c?l00<`0o`3<0?l40<co00050<`0o`3<o`00c03o0<`0o`3<o`000P3<
0?l30<co00030<`0o`3<o`00c03o00<0c03o0P3<o`001P3<0?l0c?l00<`0o`3<o`00c03o0<co0080
c03o00H0c?l00<`0o`3<o`00c03o0<co003<0?l30<co00030<`0o`3<o`00c?l000<0c?l00P3<0?l0
1P3<o`00c03o0<`0o`3<0?l0c?l00<`0o`80c?l000<0c03o0<co003<o`000P3<0?l20<co00@0c03o
00@0c?l00<`0o`3<o`00c?l00`3<0?l30<co0080c03o103<o`040<`0o`80c?l000@0c03o0<co003<
o`00c03o0`3<o`000`3<0?l0c?l00<co00040<`0o`030<co003<0?l0c?l00080c03o0`3<o`000`3<
0?l0c?l00<co00030<`0o`80c?l01@3<0?l02P3<o`00c03o0<co003<0?l0c?l00<`0o`3<o`00c03o
0<co003<0?l30<co00040<`0o`3<o`00c?l00<co00@0c03o0`3<o`001P3<0?l0c?l00<co003<0?l0
c?l00<`0o`80c?l00`3<0?l20<co00D0c03o00@0c?l00<`0o`3<o`00c?l00`3<0?l0103<o`00c03o
0<co003<0?l20<co00@0c03o0P3<o`020<`0o`80c?l000<0c03o0<co003<0?l00P3<0?l0103<o`00
c03o0<co003<o`060<`0o`040<co003<0?l0c?l00<co00H0c03o0P3<o`020<`0o`040<co003<0?l0
c03o0<co0140c03o1`3oool100000040oooo00000`000000oooo0?ooo`040?oooa80c03o00<0c?l0
0<`0o`3<0?l00P3<o`00203<0?l0c?l00<co003<0?l0c?l00<`0o`3<o`00c03o0`3<o`050<`0o`<0
c?l0103<0?l00`3<o`00c03o0<`0o`030<co0080c03o00@0c?l00<`0o`3<0?l0c03o0P3<o`00103<
0?l0c?l00<`0o`3<0?l20<co0080c03o00D0c?l00<`0o`3<0?l0c03o0<co00020<`0o`030<co003<
0?l0c?l000<0c03o00<0c?l00<`0o`3<o`000P3<0?l30<co00H0c03o00<0c?l00<`0o`3<0?l00`3<
0?l00`3<o`00c03o0<co00040<`0o`80c?l00P3<0?l00`3<o`00c03o0<`0o`020<co00D0c03o00<0
c?l00<`0o`3<0?l00`3<0?l00`3<o`00c03o0<co00030<co00T0c03o0P3<o`000`3<0?l0c?l00<co
00020<`0o`<0c?l000@0c03o0<co003<o`00c?l0103<0?l20<co00D0c03o0`3<o`020<`0o`D0c?l0
00@0c03o0<co003<o`00c03o0P3<o`000`3<0?l0c?l00<`0o`030<co00H0c03o00<0c?l00<`0o`3<
0?l00P3<0?l00`3<o`00c03o0<`0o`020<`0o`030<co003<0?l0c?l00080c03o1@3<o`001@3<0?l0
c?l00<co003<0?l0c?l00080c03o00<0c?l00<`0o`3<0?l0203<o`00103<0?l0c?l00<`0o`3<o`03
0<`0o`80c?l000D0c03o0<co003<o`00c?l00<`0o`020<co00040<`0o`3<o`00c?l00<co0180c03o
1`3oool100000040oooo00000`000000oooo0?ooo`040?oooa<0c03o1P3<o`030<`0o`030<co003<
0?l0c03o0080c?l00P3<0?l20<co0080c03o00/0c?l00<`0o`3<o`00c?l00<`0o`3<o`00c03o0<co
003<0?l0c?l00<`0o`030<co00060<`0o`3<o`00c?l00<co003<0?l0c?l00P3<0?l0103<o`00c03o
0<`0o`3<0?l20<co00030<`0o`3<o`00c03o0080c03o00<0c?l00<`0o`3<0?l00P3<0?l20<co0003
0<`0o`3<o`00c03o00D0c?l000<0c03o0<co003<o`000P3<0?l00`3<o`00c03o0<`0o`050<co0003
0<`0o`3<o`00c03o0080c?l0103<0?l20<co00D0c03o00<0c?l00<`0o`3<o`000`3<0?l80<co0003
0<`0o`3<o`00c03o0080c?l000<0c03o0<co003<0?l00P3<0?l01@3<o`00c03o0<`0o`3<0?l0c?l0
0080c03o0`3<o`020<`0o`<0c?l00P3<0?l40<co00030<`0o`3<o`00c03o00@0c?l00P3<0?l20<co
00@0c03o0`3<o`00103<0?l0c?l00<co003<0?l40<co00<0c03o0P3<o`020<`0o`030<co003<0?l0
c?l00080c?l00P3<0?l20<co00030<`0o`3<o`00c?l00080c?l00P3<0?l20<co00<0c03o00<0c?l0
0<`0o`3<o`000P3<0?l20<co00<0c03o00D0c?l00<`0o`3<0?l0c03o0<co00030<`0o`D0c?l0203<
0?l20<co00<0c03o0P3<o`0C0<`0o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooolD
0<`0o`070<co003<0?l0c03o0<co003<0?l0c?l00<`0o`020<co00@0c03o0P3<o`040<`0o`030<co
003<0?l0c03o0080c?l00P3<0?l00`3<o`00c03o0<co00050<`0o`030<co003<0?l0c03o0080c03o
00<0c?l00<`0o`3<o`000`3<o`001`3<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l01@3<o`00103<
0?l0c?l00<`0o`3<o`030<`0o`030<co003<0?l0c?l000L0c?l00`3<0?l0103<o`00c03o0<`0o`3<
0?l20<co00030<`0o`3<o`00c?l00080c?l00P3<0?l40<co00030<`0o`3<o`00c?l000D0c?l000D0
c03o0<co003<0?l0c03o0<co00020<`0o`030<co003<0?l0c?l00080c03o0`3<o`00103<0?l0c?l0
0<co003<o`030<`0o`80c?l00`3<0?l00`3<o`00c03o0<`0o`070<co00030<`0o`3<o`00c03o0080
c03o00@0c?l00<`0o`3<0?l0c03o0P3<o`000`3<0?l0c?l00<co00020<co00040<`0o`3<o`00c03o
0<co0080c03o0`3<o`000`3<0?l0c?l00<`0o`020<`0o`030<co003<0?l0c03o0080c03o0P3<o`04
0<`0o`030<co003<0?l0c?l00080c?l00P3<0?l00`3<o`00c03o0<co00050<`0o`<0c?l000<0c03o
0<co003<0?l00`3<o`001@3<0?l0c?l00<`0o`3<o`00c03o00<0c?l000D0c03o0<co003<0?l0c?l0
0<`0o`020<co0080c03o00@0c?l00<`0o`3<o`00c?l00P3<0?l20<co0080c03o00<0c?l00<`0o`3<
0?l04P3<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo5@3<0?l50<co0080c03o
00@0c?l00<`0o`3<o`00c?l00P3<0?l20<co0080c03o00<0c?l00<`0o`3<0?l00P3<0?l00`3<o`00
c03o0<`0o`030<`0o`X0c?l000<0c03o0<co003<0?l00P3<0?l00`3<o`00c03o0<co00030<`0o`03
0<co003<0?l0c?l000<0c03o00@0c?l00<`0o`3<o`00c03o0P3<o`020<`0o`<0c?l00P3<0?l0103<
o`00c03o0<co003<0?l50<co00D0c03o00@0c?l00<`0o`3<o`00c03o0P3<o`040<`0o`050<co003<
0?l0c?l00<`0o`3<o`000P3<0?l00`3<o`00c03o0<co00030<`0o`040<co003<0?l0c?l00<`0o`<0
c?l00P3<0?l30<co0080c03o0P3<o`000`3<0?l0c?l00<`0o`050<co00060<`0o`3<o`00c03o0<co
003<0?l0c?l00`3<0?l0103<o`00c03o0<co003<o`060<`0o`030<co003<0?l0c?l00080c03o00@0
c?l00<`0o`3<0?l0c03o0P3<o`000`3<0?l0c?l00<`0o`020<co0080c03o0P3<o`00103<0?l0c?l0
0<co003<o`020<`0o`<0c?l00P3<0?l20<co00030<`0o`3<o`00c03o0080c?l00P3<0?l20<co0003
0<`0o`3<o`00c?l000<0c03o00@0c?l00<`0o`3<o`00c?l0103<0?l20<co00@0c03o00H0c?l00<`0
o`3<0?l0c03o0<co003<0?l30<co00X0c03o00<0c?l00<`0o`3<0?l04`3<0?l70?ooo`4000000@3o
ool000030000003oool0oooo00@0oooo5P3<0?l00`3<o`00c03o0<`0o`020<co00<0c03o0`3<o`00
1P3<0?l0c?l00<co003<o`00c03o0<co00@0c03o1@3<o`001P3<0?l0c?l00<co003<0?l0c?l00<`0
o`80c?l00P3<0?l00`3<o`00c03o0<`0o`020<co00040<`0o`3<o`00c?l00<`0o`80c?l000<0c03o
0<co003<0?l00`3<o`000`3<0?l0c?l00<co00030<`0o`80c?l00`3<0?l01@3<o`00c03o0<`0o`3<
o`00c03o0080c?l00P3<0?l00`3<o`00c03o0<co00030<co00030<`0o`3<o`00c?l00080c?l00P3<
0?l01@3<o`00c03o0<`0o`3<o`00c03o0080c?l000<0c03o0<co003<0?l0103<0?l00`3<o`00c03o
0<`0o`030<`0o`80c?l00P3<0?l20<co00@0c03o0P3<o`000`3<0?l0c?l00<`0o`020<`0o`D0c?l0
00@0c03o0<co003<0?l0c?l0103<0?l00`3<o`00c03o0<`0o`050<co00050<`0o`3<o`00c03o0<co
003<0?l00P3<o`00103<0?l0c?l00<co003<o`020<`0o`030<co003<0?l0c?l000<0c03o00<0c?l0
0<`0o`3<0?l00P3<o`00103<0?l0c?l00<co003<0?l20<co00030<`0o`3<o`00c03o0080c03o00D0
c?l00<`0o`3<o`00c?l00<`0o`030<co00050<`0o`3<o`00c03o0<co003<0?l00P3<o`030<`0o`07
0<co003<0?l0c03o0<`0o`3<o`00c03o0<co00020<`0o`<0c?l00P3<0?l20<co00L0c03o0P3<o`03
0<`0o`<0c?l05P3<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo5`3<0?l40<co
0080c03o00<0c?l00<`0o`3<0?l00P3<o`020<`0o`80c?l00`3<0?l01`3<o`00c03o0<co003<o`00
c03o0<co003<0?l00`3<o`00103<0?l0c?l00<co003<0?l30<co00L0c03o0P3<o`00103<0?l0c?l0
0<`0o`3<o`030<`0o`030<co003<0?l0c03o0080c?l000<0c03o0<co003<o`001P3<o`001@3<0?l0
c?l00<co003<0?l0c?l00080c03o0P3<o`000`3<0?l0c?l00<co00040<`0o`<0c?l0103<0?l20<co
00050<`0o`3<o`00c03o0<co003<0?l00`3<o`040<`0o`<0c?l00`3<0?l0103<o`00c03o0<`0o`3<
0?l90<co0080c03o00<0c?l00<`0o`3<0?l00P3<0?l20<co00050<`0o`3<o`00c?l00<co003<0?l0
0P3<o`002@3<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l0c?l00<`0o`020<co00030<`0o`3<o`00
c?l00080c03o0`3<o`020<`0o`<0c?l000H0c03o0<co003<o`00c?l00<`0o`3<o`020<`0o`030<co
003<0?l0c?l00080c03o103<o`030<`0o`050<co003<0?l0c03o0<`0o`3<o`001@3<0?l01@3<o`00
c03o0<co003<o`00c03o0080c?l00P3<0?l00`3<o`00c03o0<`0o`030<`0o`070<co003<0?l0c03o
0<`0o`3<o`00c03o0<co00040<`0o`030<co003<0?l0c03o00@0c03o0P3<o`0G0<`0o`L0oooo0@00
00010?ooo`0000<000000?ooo`3oool0103ooolH0<`0o`070<co003<0?l0c03o0<co003<0?l0c?l0
0<`0o`020<co00030<`0o`3<o`00c?l00080c03o0P3<o`000`3<0?l0c?l00<co00030<`0o`80c?l0
00H0c03o0<co003<0?l0c?l00<`0o`3<o`030<`0o`H0c?l00P3<0?l20<co00030<`0o`3<o`00c03o
00<0c?l000H0c03o0<co003<o`00c?l00<`0o`3<o`020<`0o`80c?l000@0c03o0<co003<0?l0c03o
0P3<o`000`3<0?l0c?l00<`0o`030<`0o`050<co003<0?l0c03o0<co003<0?l0103<o`00103<0?l0
c?l00<co003<0?l30<co00030<`0o`3<o`00c03o00D0c03o103<o`030<`0o`050<co003<0?l0c?l0
0<co003<0?l00P3<o`020<`0o`030<co003<0?l0c?l00080c03o0P3<o`000`3<0?l0c?l00<`0o`02
0<`0o`<0c?l00P3<0?l20<co00030<`0o`3<o`00c?l000@0c?l000@0c03o0<co003<0?l0c03o0`3<
o`020<`0o`80c?l000D0c03o0<co003<o`00c?l00<`0o`030<co00080<`0o`3<o`00c03o0<co003<
0?l0c?l00<`0o`3<o`020<`0o`030<co003<0?l0c?l00080c?l00P3<0?l20<co00@0c03o00<0c?l0
0<`0o`3<o`000P3<o`001P3<0?l0c?l00<`0o`3<0?l0c?l00<`0o`80c?l000L0c03o0<co003<0?l0
c03o0<co003<0?l0c?l000<0c03o0P3<o`000`3<0?l0c?l00<co00020<co0080c03o00@0c?l00<`0
o`3<0?l0c?l00P3<0?l00`3<o`00c03o0<`0o`020<co00030<`0o`3<o`00c03o01L0c03o1`3oool1
00000040oooo00000`000000oooo0?ooo`040?oooaT0c03o103<o`001`3<0?l0c?l00<`0o`3<o`00
c03o0<co003<0?l00P3<o`00103<0?l0c?l00<`0o`3<0?l30<co0080c03o00<0c?l00<`0o`3<o`00
1P3<o`000`3<0?l0c?l00<`0o`030<`0o`<0c?l000<0c03o0<co003<0?l0103<0?l01P3<o`00c03o
0<co003<0?l0c?l00<`0o`<0c?l00P3<0?l00`3<o`00c03o0<`0o`030<`0o`060<co003<0?l0c03o
0<`0o`3<o`00c03o0P3<o`002@3<0?l0c?l00<co003<o`00c03o0<co003<0?l0c?l00<`0o`030<co
00030<`0o`3<o`00c?l00080c03o00D0c?l00<`0o`3<0?l0c?l00<`0o`020<co00040<`0o`3<o`00
c?l00<co00@0c03o0P3<o`000`3<0?l0c?l00<co00030<`0o`D0c?l000<0c03o0<co003<o`000`3<
o`000`3<0?l0c?l00<`0o`020<co0080c03o00<0c?l00<`0o`3<o`000P3<0?l20<co00060<`0o`3<
o`00c03o0<co003<0?l0c?l00P3<0?l00`3<o`00c03o0<`0o`020<`0o`060<co003<0?l0c?l00<`0
o`3<o`00c03o0P3<o`00103<0?l0c?l00<`0o`3<0?l20<co00050<`0o`3<o`00c?l00<`0o`3<o`00
0P3<0?l00`3<o`00c03o0<co00020<co00@0c03o00<0c?l00<`0o`3<o`00103<o`030<`0o`030<co
003<0?l0c?l000@0c?l000D0c03o0<co003<o`00c?l00<`0o`020<co00030<`0o`3<o`00c03o0080
c?l000<0c03o0<co003<0?l00P3<o`050<`0o`030<co003<0?l0c?l001T0c03o1`3oool100000040
oooo00000`000000oooo0?ooo`040?oooaX0c03o00D0c?l00<`0o`3<0?l0c03o0<co00030<`0o`80
c?l000<0c03o0<co003<0?l00`3<o`030<`0o`@0c?l00P3<0?l0103<o`00c03o0<`0o`3<o`020<`0
o`<0c?l00P3<0?l01`3<o`00c03o0<co003<o`00c03o0<co003<0?l00P3<o`000`3<0?l0c?l00<co
00020<`0o`060<co003<0?l0c03o0<`0o`3<o`00c03o103<o`050<`0o`030<co003<0?l0c03o00<0
c?l02P3<0?l01@3<o`00c03o0<co003<0?l0c?l000H0c03o00<0c?l00<`0o`3<0?l00`3<0?l40<co
00030<`0o`3<o`00c?l00080c03o0P3<o`030<`0o`040<co003<0?l0c03o0<co00<0c03o0`3<o`03
0<`0o`<0c?l000<0c03o0<co003<0?l00P3<o`040<`0o`030<co003<0?l0c?l000@0c03o00<0c?l0
0<`0o`3<o`000`3<o`001@3<0?l0c?l00<co003<o`00c03o0080c?l000@0c03o0<co003<0?l0c03o
1@3<o`000`3<0?l0c?l00<co00030<`0o`030<co003<0?l0c?l000<0c?l01`3<0?l60<co00040<`0
o`3<o`00c03o0<co0080c03o00@0c?l00<`0o`3<0?l0c03o0P3<o`001P3<0?l0c?l00<co003<0?l0
c?l00<`0o`D0c?l01@3<0?l00`3<o`00c03o0<`0o`0H0<`0o`L0oooo0@0000010?ooo`0000<00000
0?ooo`3oool0103ooolM0<`0o`050<co003<0?l0c03o0<`0o`3<o`000P3<0?l00`3<o`00c03o0<`0
o`020<co0080c03o0P3<o`020<`0o`80c?l00P3<0?l20<co00050<`0o`3<o`00c03o0<co003<0?l0
0`3<o`000`3<0?l0c?l00<co00060<`0o`030<co003<0?l0c03o0080c?l000<0c03o0<co003<0?l0
0P3<0?l0103<o`00c03o0<`0o`3<0?l30<co0080c03o1P3<o`000`3<0?l0c?l00<co00020<`0o`<0
c?l0103<0?l0103<o`00c03o0<co003<0?l20<co00D0c03o103<o`070<`0o`050<co003<0?l0c03o
0<`0o`3<o`000P3<0?l00`3<o`00c03o0<`0o`020<`0o`@0c?l000<0c03o0<co003<0?l00`3<o`03
0<`0o`040<co003<0?l0c03o0<`0o`<0c?l000<0c03o0<co003<0?l00P3<0?l20<co0080c03o00D0
c?l00<`0o`3<o`00c03o0<co00020<`0o`@0c?l000<0c03o0<co003<o`000P3<0?l01`3<o`00c03o
0<`0o`3<o`00c03o0<co003<0?l00P3<o`020<`0o`80c?l0103<0?l30<co00D0c03o00L0c?l00<`0
o`3<o`00c03o0<co003<0?l0c?l000D0c03o00<0c?l00<`0o`3<0?l0103<0?l20<co00030<`0o`3<
o`00c?l00080c03o00<0c?l00<`0o`3<o`00103<o`0L0<`0o`L0oooo0@0000010?ooo`0000<00000
0?ooo`3oool0103ooolO0<`0o`040<co003<0?l0c?l00<`0o`80c?l0103<0?l20<co0080c03o0P3<
o`00103<0?l0c?l00<`0o`3<o`030<`0o`030<co003<0?l0c?l000D0c03o1`3<o`002`3<0?l0c?l0
0<co003<o`00c03o0<co003<0?l0c?l00<`0o`3<o`00c03o00@0c?l000<0c03o0<co003<o`000P3<
0?l01@3<o`00c03o0<`0o`3<o`00c03o00L0c?l000P0c03o0<co003<o`00c03o0<co003<0?l0c?l0
0<`0o`80c?l000<0c03o0<co003<o`00103<o`000`3<0?l0c?l00<`0o`040<co0080c03o00<0c?l0
0<`0o`3<o`000P3<o`030<`0o`<0c?l000T0c03o0<co003<0?l0c03o0<co003<0?l0c?l00<`0o`3<
o`000P3<0?l00`3<o`00c03o0<`0o`0:0<`0o`H0c?l00P3<0?l00`3<o`00c03o0<`0o`020<`0o`05
0<co003<0?l0c03o0<co003<0?l00`3<o`030<`0o`80c?l01P3<0?l30<co00030<`0o`3<o`00c03o
0080c?l00P3<0?l30<co00040<`0o`3<o`00c03o0<`0o`80c?l01@3<0?l50<co0080c03o0P3<o`04
0<`0o`030<co003<0?l0c03o00@0c?l08P3<0?l70?ooo`4000000@3oool000030000003oool0oooo
00@0oooo7@3<0?l00`3<o`00c03o0<`0o`020<co00040<`0o`3<o`00c?l00<`0o`80c?l00`3<0?l0
0`3<o`00c03o0<`0o`040<`0o`<0c?l00`3<0?l40<co0080c03o00@0c?l00<`0o`3<0?l0c?l00`3<
0?l20<co00040<`0o`3<o`00c03o0<co0080c03o0P3<o`001@3<0?l0c?l00<`0o`3<0?l0c?l00080
c03o00<0c?l00<`0o`3<o`000`3<0?l30<co00040<`0o`3<o`00c03o0<co00L0c03o00<0c?l00<`0
o`3<0?l00`3<0?l60<co00050<`0o`3<o`00c03o0<co003<0?l00P3<o`020<`0o`80c?l00P3<0?l0
103<o`00c03o0<co003<0?l20<co00<0c03o0P3<o`00103<0?l0c?l00<`0o`3<0?l50<co00<0c03o
103<o`001@3<0?l0c?l00<`0o`3<o`00c03o0080c?l000D0c03o0<co003<0?l0c03o0<co00020<`0
o`040<co003<0?l0c?l00<co00@0c03o0P3<o`040<`0o`80c?l000@0c03o0<co003<0?l0c?l01@3<
0?l20<co00@0c03o0P3<o`000`3<0?l0c?l00<co00030<`0o`040<co003<0?l0c?l00<co00<0c03o
0`3<o`001@3<0?l0c?l00<co003<o`00c03o0080c?l00P3<0?l00`3<o`00c03o0<co00020<`0o`03
0<co003<0?l0c03o00D0c?l07@3<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo
7P3<0?l60<co0080c03o1`3<o`000`3<0?l0c?l00<co00020<`0o`060<co003<0?l0c?l00<co003<
0?l0c?l00`3<0?l30<co00030<`0o`3<o`00c03o00<0c?l000L0c03o0<co003<0?l0c03o0<co003<
0?l0c?l000<0c03o00H0c?l00<`0o`3<o`00c?l00<`0o`3<o`040<`0o`80c?l000P0c03o0<co003<
0?l0c03o0<co003<0?l0c?l00<`0o`<0c?l00P3<0?l00`3<o`00c03o0<`0o`050<co00H0c03o00<0
c?l00<`0o`3<0?l00P3<o`000`3<0?l0c?l00<`0o`020<`0o`80c?l000@0c03o0<co003<0?l0c03o
0`3<o`000`3<0?l0c?l00<`0o`020<`0o`80c?l000<0c03o0<co003<o`000`3<0?l30<co0080c03o
00<0c?l00<`0o`3<0?l00P3<0?l20<co00<0c03o0P3<o`030<`0o`80c?l0103<0?l40<co0080c03o
103<o`000`3<0?l0c?l00<`0o`030<`0o`040<co003<0?l0c?l00<co0080c03o00@0c?l00<`0o`3<
0?l0c?l00`3<0?l20<co00040<`0o`3<o`00c03o0<co00@0c03o00<0c?l00<`0o`3<o`000`3<0?l0
103<o`00c03o0<co003<o`020<`0o`P0c?l000H0c03o0<co003<0?l0c03o0<co003<0?l20<co01h0
c03o1`3oool100000040oooo00000`000000oooo0?ooo`040?oooal0c03o00P0c?l00<`0o`3<0?l0
c?l00<`0o`3<o`00c03o0<co0080c03o00D0c?l00<`0o`3<o`00c03o0<co00040<`0o`030<co003<
0?l0c03o0080c?l00P3<0?l0103<o`00c03o0<`0o`3<o`040<`0o`030<co003<0?l0c03o0080c03o
00<0c?l00<`0o`3<o`00103<o`00103<0?l0c?l00<`0o`3<o`020<`0o`D0c?l000@0c03o0<co003<
0?l0c?l0103<0?l20<co00030<`0o`3<o`00c?l000@0c?l00`3<0?l00`3<o`00c03o0<`0o`020<`0
o`<0c?l000<0c03o0<co003<0?l00P3<0?l20<co0080c03o0P3<o`030<`0o`80c?l000<0c03o0<co
003<0?l00P3<0?l0103<o`00c03o0<`0o`3<0?l80<co0080c03o0P3<o`020<`0o`80c?l000<0c03o
0<co003<0?l01@3<0?l30<co00@0c03o0P3<o`020<`0o`030<co003<0?l0c?l000<0c?l00P3<0?l0
103<o`00c03o0<co003<o`030<`0o`030<co003<0?l0c03o00@0c03o00<0c?l00<`0o`3<o`000P3<
o`020<`0o`D0c?l000@0c03o0<co003<o`00c?l00P3<0?l40<co00030<`0o`3<o`00c03o00<0c?l0
0P3<0?l00`3<o`00c03o0<`0o`020<`0o`@0c?l00`3<0?l00`3<o`00c03o0<`0o`0M0<`0o`L0oooo
0@0000010?ooo`0000<000000?ooo`3oool0103ooolP0<`0o`D0c?l000@0c03o0<co003<o`00c03o
0P3<o`020<`0o`80c?l00P3<0?l00`3<o`00c03o0<`0o`020<`0o`030<co003<0?l0c03o0080c?l0
00@0c03o0<co003<o`00c03o1`3<o`000`3<0?l0c?l00<`0o`030<`0o`050<co003<0?l0c?l00<`0
o`3<o`000P3<0?l0203<o`00c03o0<`0o`3<0?l0c?l00<`0o`3<o`00c03o1@3<o`00203<0?l0c?l0
0<co003<0?l0c?l00<`0o`3<o`00c03o1@3<o`040<`0o`<0c?l00P3<0?l30<co00030<`0o`3<o`00
c03o0080c03o103<o`00103<0?l0c?l00<`0o`3<o`020<`0o`030<co003<0?l0c?l00080c03o00D0
c?l00<`0o`3<o`00c03o0<co00020<`0o`030<co003<0?l0c?l00080c?l00P3<0?l30<co00030<`0
o`3<o`00c?l000@0c03o00<0c?l00<`0o`3<o`000`3<o`000`3<0?l0c?l00<`0o`030<`0o`80c?l0
0P3<0?l20<co00<0c03o00<0c?l00<`0o`3<0?l01`3<o`060<`0o`80c?l00`3<0?l00`3<o`00c03o
0<`0o`030<`0o`80c?l00P3<0?l0103<o`00c03o0<co003<0?l20<co0080c03o0P3<o`000`3<0?l0
c?l00<`0o`040<`0o`030<co003<0?l0c?l00080c03o00<0c?l00<`0o`3<0?l07P3<0?l70?ooo`40
00000@3oool000030000003oool0oooo00@0oooo8@3<0?l00`3<o`00c03o0<`0o`020<co00040<`0
o`3<o`00c?l00<`0o`80c?l000H0c03o0<co003<o`00c?l00<`0o`3<o`040<`0o`80c?l0103<0?l4
0<co00030<`0o`3<o`00c?l00080c03o00<0c?l00<`0o`3<0?l00`3<o`020<`0o`040<co003<0?l0
c03o0<co0080c03o0`3<o`000`3<0?l0c?l00<co00030<`0o`80c?l000@0c03o0<co003<0?l0c?l0
0P3<0?l0103<o`00c03o0<co003<o`020<`0o`030<co003<0?l0c?l000<0c?l000<0c03o0<co003<
0?l00`3<o`00103<0?l0c?l00<co003<0?l60<co00030<`0o`3<o`00c?l00080c03o00<0c?l00<`0
o`3<0?l0103<o`00103<0?l0c?l00<`0o`3<o`020<`0o`80c?l000@0c03o0<co003<0?l0c03o0P3<
o`000`3<0?l0c?l00<`0o`030<`0o`@0c?l000<0c03o0<co003<o`000P3<o`000`3<0?l0c?l00<`0
o`070<co0080c03o00T0c?l00<`0o`3<0?l0c03o0<co003<0?l0c?l00<`0o`3<o`000`3<0?l00`3<
o`00c03o0<co00030<co0080c03o00<0c?l00<`0o`3<o`000P3<o`020<`0o`80c?l00P3<0?l00`3<
o`00c03o0<co00020<`0o`030<co003<0?l0c?l00080c?l000D0c03o0<co003<0?l0c03o0<co0003
0<`0o`@0c?l000<0c03o0<co003<o`000P3<o`0Q0<`0o`L0oooo0@0000010?ooo`0000<000000?oo
o`3oool0103ooolR0<`0o`H0c?l00P3<0?l30<co0080c03o0P3<o`030<`0o`030<co003<0?l0c?l0
00@0c?l000<0c03o0<co003<0?l00`3<o`00103<0?l0c?l00<co003<o`050<`0o`030<co003<0?l0
c03o0080c?l000<0c03o0<co003<0?l00`3<0?l00`3<o`00c03o0<`0o`020<co00050<`0o`3<o`00
c?l00<co003<0?l00P3<o`000`3<0?l0c?l00<`0o`020<co00040<`0o`3<o`00c03o0<`0o`80c?l0
00<0c03o0<co003<o`000P3<o`050<`0o`030<co003<0?l0c03o00<0c03o00<0c?l00<`0o`3<o`00
0P3<0?l0103<o`00c03o0<co003<0?l40<co0080c03o0P3<o`020<`0o`030<co003<0?l0c03o00@0
c03o103<o`00103<0?l0c?l00<co003<o`020<`0o`80c?l000<0c03o0<co003<o`000P3<o`000`3<
0?l0c?l00<`0o`020<co00D0c03o0`3<o`000`3<0?l0c?l00<co00020<`0o`030<co003<0?l0c?l0
0080c03o103<o`040<`0o`030<co003<0?l0c?l000<0c?l000@0c03o0<co003<o`00c03o103<o`05
0<`0o`040<co003<0?l0c?l00<`0o`80c?l00P3<0?l50<co0080c03o00@0c?l00<`0o`3<o`00c03o
0P3<o`0R0<`0o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooolS0<`0o`080<co003<
0?l0c03o0<co003<0?l0c?l00<`0o`3<o`020<`0o`80c?l00P3<0?l20<co00030<`0o`3<o`00c?l0
00@0c03o0P3<o`001@3<0?l0c?l00<`0o`3<0?l0c?l000<0c03o2@3<o`000`3<0?l0c?l00<`0o`04
0<co00060<`0o`3<o`00c?l00<co003<0?l0c?l00P3<0?l30<co00070<`0o`3<o`00c03o0<`0o`3<
o`00c03o0<co00040<`0o`040<co003<0?l0c03o0<co0080c03o0`3<o`030<`0o`040<co003<0?l0
c03o0<co0080c03o00<0c?l00<`0o`3<o`000P3<0?l00`3<o`00c03o0<`0o`020<co00040<`0o`3<
o`00c?l00<co0080c03o0P3<o`020<`0o`@0c?l00`3<0?l00`3<o`00c03o0<`0o`020<`0o`<0c?l0
0P3<0?l00`3<o`00c03o0<co00020<`0o`040<co003<0?l0c?l00<co0080c03o0P3<o`030<`0o`03
0<co003<0?l0c03o0080c03o0P3<o`00103<0?l0c?l00<`0o`3<o`040<`0o`80c?l000<0c03o0<co
003<o`000P3<o`00103<0?l0c?l00<`0o`3<0?l60<co00030<`0o`3<o`00c03o00@0c?l000H0c03o
0<co003<o`00c03o0<co003<0?l30<co00050<`0o`3<o`00c?l00<`0o`3<o`000P3<0?l30<co0003
0<`0o`3<o`00c03o0280c03o1`3oool100000040oooo00000`000000oooo0?ooo`040?ooob@0c03o
1@3<o`001P3<0?l0c?l00<co003<0?l0c?l00<`0o`80c?l000@0c03o0<co003<0?l0c03o103<o`00
1P3<0?l0c?l00<`0o`3<0?l0c?l00<`0o`@0c?l000<0c03o0<co003<0?l00`3<0?l20<co00060<`0
o`3<o`00c03o0<co003<0?l0c?l00P3<0?l01P3<o`00c03o0<co003<0?l0c?l00<`0o`<0c?l000<0
c03o0<co003<o`000`3<o`020<`0o`060<co003<0?l0c03o0<`0o`3<o`00c03o0P3<o`000`3<0?l0
c?l00<co00020<`0o`T0c?l00`3<0?l50<co00<0c03o00T0c?l00<`0o`3<0?l0c03o0<co003<0?l0
c?l00<`0o`3<o`000P3<0?l70<co00060<`0o`3<o`00c03o0<co003<0?l0c?l00P3<0?l01@3<o`00
c03o0<`0o`3<0?l0c?l000@0c03o00<0c?l00<`0o`3<o`001P3<o`080<`0o`@0c?l000<0c03o0<co
003<o`001P3<0?l0103<o`00c03o0<co003<o`020<`0o`040<co003<0?l0c03o0<co0080c03o0P3<
o`020<`0o`<0c?l000D0c03o0<co003<0?l0c03o0<co00020<`0o`030<co003<0?l0c03o0080c03o
0`3<o`00103<0?l0c?l00<`0o`3<o`0T0<`0o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0
103ooolU0<`0o`030<co003<0?l0c03o0080c?l000<0c03o0<co003<o`000P3<o`000`3<0?l0c?l0
0<`0o`030<co00D0c03o0`3<o`040<`0o`030<co003<0?l0c03o00<0c?l00P3<0?l0103<o`00c03o
0<`0o`3<0?l20<co00040<`0o`3<o`00c03o0<`0o`80c?l00P3<0?l01@3<o`00c03o0<`0o`3<0?l0
c?l00080c03o00<0c?l00<`0o`3<o`001@3<0?l00`3<o`00c03o0<`0o`030<co00H0c03o00D0c?l0
0<`0o`3<o`00c03o0<co00020<`0o`@0c?l00P3<0?l40<co0080c03o00@0c?l00<`0o`3<0?l0c?l0
0P3<0?l00`3<o`00c03o0<`0o`030<`0o`030<co003<0?l0c03o0080c03o0P3<o`00103<0?l0c?l0
0<`0o`3<o`030<`0o`040<co003<0?l0c03o0<`0o`@0c?l01@3<0?l20<co0080c03o0P3<o`000`3<
0?l0c?l00<`0o`020<`0o`050<co003<0?l0c03o0<co003<0?l00P3<o`00103<0?l0c?l00<co003<
0?l40<co00L0c03o0P3<o`000`3<0?l0c?l00<co00020<`0o`80c?l000@0c03o0<co003<0?l0c03o
0P3<o`000`3<0?l0c?l00<co00030<co00030<`0o`3<o`00c03o0080c03o00@0c?l00<`0o`3<o`00
c?l09@3<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo9P3<0?l60<co00<0c03o
00<0c?l00<`0o`3<0?l00P3<o`020<`0o`80c?l00P3<0?l02`3<o`00c03o0<co003<o`00c03o0<co
003<0?l0c?l00<`0o`3<o`00c03o00<0c?l000H0c03o0<co003<o`00c?l00<`0o`3<o`020<`0o`04
0<co003<0?l0c03o0<`0o`80c?l000<0c03o0<co003<0?l00P3<0?l00`3<o`00c03o0<`0o`020<`0
o`80c?l000<0c03o0<co003<o`001@3<o`000`3<0?l0c?l00<co00020<`0o`030<co003<0?l0c03o
00D0c?l01@3<0?l01P3<o`00c03o0<`0o`3<0?l0c?l00<`0o`T0c?l00`3<0?l20<co00030<`0o`3<
o`00c?l000<0c03o00<0c?l00<`0o`3<0?l00P3<0?l30<co00040<`0o`3<o`00c?l00<co0080c03o
00<0c?l00<`0o`3<o`000`3<o`020<`0o`050<co003<0?l0c?l00<co003<0?l01@3<o`000`3<0?l0
c?l00<co00020<co0080c03o00<0c?l00<`0o`3<0?l00`3<o`020<`0o`<0c?l01P3<0?l20<co0080
c03o0P3<o`000`3<0?l0c?l00<`0o`020<co00060<`0o`3<o`00c?l00<co003<0?l0c?l00`3<0?l4
0<co00040<`0o`3<o`00c?l00<co02H0c03o1`3oool100000040oooo00000`000000oooo0?ooo`04
0?ooobL0c03o00L0c?l00<`0o`3<0?l0c?l00<`0o`3<o`00c03o0080c?l0103<0?l20<co00@0c03o
00<0c?l00<`0o`3<0?l00P3<o`020<`0o`030<co003<0?l0c?l000D0c03o00<0c?l00<`0o`3<0?l0
0P3<0?l00`3<o`00c03o0<co00030<co00070<`0o`3<o`00c03o0<co003<0?l0c?l00<`0o`050<co
00030<`0o`3<o`00c03o0080c?l00P3<0?l00`3<o`00c03o0<co00070<co00040<`0o`3<o`00c03o
0<co00P0c03o103<o`000`3<0?l0c?l00<co00020<`0o`<0c?l01@3<0?l20<co0080c03o00@0c?l0
0<`0o`3<0?l0c?l00P3<0?l20<co00<0c03o0P3<o`000`3<0?l0c?l00<`0o`070<`0o`@0c?l000D0
c03o0<co003<o`00c03o0<co00050<`0o`030<co003<0?l0c?l00080c03o0P3<o`020<`0o`030<co
003<0?l0c?l00080c03o00<0c?l00<`0o`3<o`001@3<o`001@3<0?l0c?l00<`0o`3<0?l0c?l000<0
c03o0`3<o`000`3<0?l0c?l00<`0o`030<co00040<`0o`3<o`00c?l00<`0o`D0c?l000<0c03o0<co
003<0?l09P3<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo:03<0?l60<co0003
0<`0o`3<o`00c03o0080c?l00P3<0?l20<co0080c03o00<0c?l00<`0o`3<0?l00P3<0?l20<co00@0
c03o2P3<o`000`3<0?l0c?l00<`0o`020<`0o`030<co003<0?l0c?l000<0c03o00<0c?l00<`0o`3<
o`000`3<0?l01@3<o`00c03o0<co003<0?l0c?l000<0c03o0`3<o`020<`0o`050<co003<0?l0c?l0
0<`0o`3<o`000P3<0?l0103<o`00c03o0<`0o`3<0?l40<co00<0c03o00@0c?l00<`0o`3<o`00c03o
103<o`000`3<0?l0c?l00<`0o`030<co00<0c03o0P3<o`00103<0?l0c?l00<`0o`3<0?l20<co00<0
c03o0`3<o`00103<0?l0c?l00<`0o`3<o`020<`0o`H0c?l00`3<0?l20<co00030<`0o`3<o`00c03o
00@0c?l000@0c03o0<co003<o`00c03o0P3<o`020<`0o`80c?l000<0c03o0<co003<o`000P3<0?l6
0<co0080c03o00<0c?l00<`0o`3<o`000P3<o`000`3<0?l0c?l00<co00030<`0o`@0c?l00P3<0?l2
0<co00D0c03o0P3<o`000`3<0?l0c?l00<`0o`0W0<`0o`L0oooo0@0000010?ooo`0000<000000?oo
o`3oool0103ooolY0<`0o`030<co003<0?l0c03o0080c?l00`3<0?l30<co00060<`0o`3<o`00c?l0
0<co003<0?l0c?l0103<0?l50<co00060<`0o`3<o`00c?l00<`0o`3<o`00c03o0P3<o`020<`0o`03
0<co003<0?l0c03o0080c?l000@0c03o0<co003<o`00c03o0P3<o`000`3<0?l0c?l00<`0o`030<co
00030<`0o`3<o`00c?l000<0c03o0P3<o`030<`0o`050<co003<0?l0c03o0<co003<0?l00P3<o`00
103<0?l0c?l00<`0o`3<o`050<`0o`<0c?l0103<0?l20<co00030<`0o`3<o`00c?l000@0c03o00@0
c?l00<`0o`3<o`00c03o0P3<o`030<`0o`<0c?l00P3<0?l00`3<o`00c03o0<`0o`020<`0o`@0c?l0
0`3<0?l00`3<o`00c03o0<`0o`020<`0o`<0c?l00P3<0?l20<co00<0c03o0P3<o`000`3<0?l0c?l0
0<`0o`030<co00<0c03o00@0c?l00<`0o`3<0?l0c?l00`3<0?l30<co0080c03o00<0c?l00<`0o`3<
o`000P3<o`000`3<0?l0c?l00<`0o`040<co0080c03o00@0c?l00<`0o`3<0?l0c03o0`3<o`030<`0
o`<0c?l000<0c03o0<co003<o`00:@3<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0
oooo:P3<0?l30<co00<0c03o00<0c?l00<`0o`3<0?l00P3<o`020<`0o`80c?l00`3<0?l01`3<o`00
c03o0<co003<o`00c03o0<co003<0?l00`3<o`00103<0?l0c?l00<co003<0?l30<co00L0c03o0P3<
o`00103<0?l0c?l00<`0o`3<o`030<`0o`030<co003<0?l0c03o0080c?l000<0c03o0<co003<0?l0
1P3<o`001@3<0?l0c?l00<co003<0?l0c?l000<0c03o0P3<o`000`3<0?l0c?l00<co00020<`0o`<0
c?l00P3<0?l01`3<o`00c03o0<`0o`3<0?l0c?l00<`0o`3<o`000P3<0?l40<co00040<`0o`3<o`00
c03o0<co00@0c03o00<0c?l00<`0o`3<0?l00`3<0?l00`3<o`00c03o0<co00020<`0o`<0c?l000<0
c03o0<co003<o`000`3<o`000`3<0?l0c?l00<co00020<`0o`80c?l000@0c03o0<co003<o`00c?l0
0P3<0?l01`3<o`00c03o0<`0o`3<0?l0c?l00<`0o`3<o`00103<0?l40<co0080c03o00<0c?l00<`0
o`3<0?l00`3<o`030<`0o`080<co003<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l50<co00030<`0
o`3<o`00c?l00080c03o00<0c?l00<`0o`3<o`000P3<o`0Z0<`0o`L0oooo0@0000010?ooo`0000<0
00000?ooo`3oool0103oool[0<`0o`070<co003<0?l0c03o0<co003<0?l0c?l00<`0o`020<co0003
0<`0o`3<o`00c?l00080c03o0P3<o`001P3<0?l0c?l00<co003<0?l0c?l00<`0o`80c?l000H0c03o
0<co003<0?l0c?l00<`0o`3<o`030<`0o`H0c?l00P3<0?l20<co00030<`0o`3<o`00c03o00<0c?l0
00H0c03o0<co003<o`00c?l00<`0o`3<o`020<`0o`80c?l000@0c03o0<co003<0?l0c03o0P3<o`00
0`3<0?l0c?l00<`0o`030<`0o`030<co003<0?l0c03o0080c03o0P3<o`00103<0?l0c?l00<`0o`3<
o`020<`0o`<0c?l00`3<0?l0103<o`00c03o0<`0o`3<o`030<`0o`030<co003<0?l0c03o00X0c?l0
0`3<0?l01P3<o`00c03o0<`0o`3<o`00c03o0<co00<0c03o00<0c?l00<`0o`3<o`00103<o`00103<
0?l0c?l00<`0o`3<o`020<`0o`80c?l000<0c03o0<co003<o`000P3<0?l60<co0080c03o0P3<o`00
0`3<0?l0c?l00<co00020<co00040<`0o`3<o`00c03o0<`0o`@0c?l00`3<0?l50<co00030<`0o`3<
o`00c03o0080c?l000D0c03o0<co003<o`00c03o0<co00020<`0o`030<co003<0?l0c03o02T0c03o
1`3oool100000040oooo00000`000000oooo0?ooo`040?ooob`0c03o00/0c?l00<`0o`3<o`00c?l0
0<`0o`3<o`00c03o0<co003<0?l0c?l00<`0o`020<co00040<`0o`3<o`00c03o0<`0o`80c?l00`3<
0?l00`3<o`00c03o0<co00060<co00030<`0o`3<o`00c03o00<0c03o0`3<o`000`3<0?l0c?l00<`0
o`040<`0o`060<co003<0?l0c?l00<`0o`3<o`00c03o0`3<o`020<`0o`030<co003<0?l0c03o00<0
c03o00D0c?l00<`0o`3<0?l0c03o0<co00020<`0o`80c?l00`3<0?l0103<o`00c03o0<co003<0?l2
0<co00<0c03o103<o`000`3<0?l0c?l00<`0o`020<co0080c03o0P3<o`040<`0o`040<co003<0?l0
c?l00<`0o`80c?l000<0c03o0<co003<o`000`3<o`00103<0?l0c?l00<`0o`3<0?l60<co00L0c03o
0`3<o`001`3<0?l0c?l00<`0o`3<0?l0c?l00<`0o`3<o`000P3<0?l00`3<o`00c03o0<co00020<co
00060<`0o`3<o`00c03o0<`0o`3<o`00c03o0P3<o`000`3<0?l0c?l00<`0o`050<`0o`050<co003<
0?l0c03o0<co003<0?l00`3<o`000`3<0?l0c?l00<`0o`040<co00030<`0o`3<o`00c?l00080c?l0
;03<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo<@3<0?l0103<o`00c03o0<`0
o`3<0?l20<co00030<`0o`3<o`00c03o00<0c?l00P3<0?l50<co0080c03o00@0c?l00<`0o`3<0?l0
c?l00P3<0?l30<co0080c03o00L0c?l00<`0o`3<o`00c?l00<`0o`3<o`00c03o0080c?l000<0c03o
0<co003<o`000P3<0?l0103<o`00c03o0<`0o`3<0?l60<co00D0c03o00<0c?l00<`0o`3<0?l00P3<
o`020<`0o`030<co003<0?l0c03o0080c?l00P3<0?l40<co0080c03o00<0c?l00<`0o`3<o`000P3<
0?l01@3<o`00c03o0<co003<o`00c03o00<0c?l000<0c03o0<co003<0?l0103<o`030<`0o`80c?l0
00D0c03o0<co003<0?l0c03o0<co00040<`0o`040<co003<0?l0c?l00<`0o`@0c?l000@0c03o0<co
003<o`00c03o1@3<o`030<`0o`80c?l00P3<0?l01@3<o`00c03o0<co003<0?l0c?l00080c03o0P3<
o`000`3<0?l0c?l00<`0o`020<`0o`<0c?l000@0c03o0<co003<o`00c03o0P3<o`000`3<0?l0c?l0
0<co00050<`0o`030<co003<0?l0c03o0080c?l0<03<0?l70?ooo`4000000@3oool000030000003o
ool0oooo00@0oooo<03<0?l01@3<o`00c03o0<`0o`3<0?l0c?l00080c03o00<0c?l00<`0o`3<0?l0
0P3<o`020<`0o`040<co003<0?l0c03o0<`0o`80c?l00P3<0?l20<co00050<`0o`3<o`00c03o0<co
003<0?l00`3<o`000`3<0?l0c?l00<co00060<`0o`030<co003<0?l0c03o0080c?l000<0c03o0<co
003<0?l00P3<0?l20<co0080c03o0`3<o`020<`0o`H0c?l01`3<0?l20<co00040<`0o`3<o`00c?l0
0<`0o`<0c?l000<0c03o0<co003<o`000`3<o`00103<0?l0c?l00<co003<o`040<`0o`030<co003<
0?l0c?l00080c03o0`3<o`00103<0?l0c?l00<co003<0?l80<co0080c03o00H0c?l00<`0o`3<o`00
c?l00<`0o`3<o`020<`0o`070<co003<0?l0c?l00<co003<0?l0c?l00<`0o`020<co0080c03o00<0
c?l00<`0o`3<0?l00`3<o`001@3<0?l0c?l00<co003<0?l0c?l000<0c03o00<0c?l00<`0o`3<0?l0
0P3<0?l20<co00060<`0o`3<o`00c?l00<co003<0?l0c?l00P3<0?l30<co00<0c03o1@3<o`0_0<`0
o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooolb0<`0o`040<co003<0?l0c?l00<`0
o`80c?l0103<0?l20<co00080<`0o`3<o`00c?l00<co003<0?l0c?l00<`0o`3<o`030<`0o`030<co
003<0?l0c?l000D0c03o1`3<o`002`3<0?l0c?l00<co003<o`00c03o0<co003<0?l0c?l00<`0o`3<
o`00c03o00@0c?l000<0c03o0<co003<o`000P3<0?l01@3<o`00c03o0<`0o`3<o`00c03o00<0c?l0
0P3<0?l00`3<o`00c03o0<`0o`040<`0o`040<co003<0?l0c03o0<co0080c03o0P3<o`020<`0o`04
0<co003<0?l0c?l00<`0o`80c?l000<0c03o0<co003<0?l00P3<o`040<`0o`040<co003<0?l0c?l0
0<`0o`80c?l00P3<0?l00`3<o`00c03o0<`0o`020<`0o`040<co003<0?l0c?l00<`0o`<0c?l01`3<
0?l01@3<o`00c03o0<co003<o`00c03o00D0c?l000<0c03o0<co003<0?l00`3<0?l0103<o`00c03o
0<co003<o`020<`0o`040<co003<0?l0c?l00<co0080c03o00@0c?l00<`0o`3<0?l0c?l00P3<0?l0
0`3<o`00c03o0<`0o`070<`0o`030<co003<0?l0c03o0300c03o1`3oool100000040oooo00000`00
0000oooo0?ooo`040?oooc80c03o0P3<o`001@3<0?l0c?l00<`0o`3<o`00c03o0080c?l00P3<0?l2
0<co0080c03o00D0c?l00<`0o`3<o`00c?l00<`0o`020<co00@0c03o1`3<o`001@3<0?l0c?l00<`0
o`3<0?l0c?l000<0c03o00<0c?l00<`0o`3<o`000`3<0?l00`3<o`00c03o0<co00020<`0o`060<co
003<0?l0c03o0<co003<0?l0c?l00`3<0?l30<co0080c03o0P3<o`020<`0o`040<co003<0?l0c03o
0<`0o`D0c?l00P3<0?l00`3<o`00c03o0<`0o`020<co00030<`0o`3<o`00c03o00<0c03o1`3<o`00
0`3<0?l0c?l00<co00020<co00L0c03o00@0c?l00<`0o`3<o`00c03o0`3<o`020<`0o`L0c?l00P3<
0?l30<co0080c03o1@3<o`00103<0?l0c?l00<co003<o`040<`0o`030<co003<0?l0c?l00080c?l0
0`3<0?l50<co00030<`0o`3<o`00c?l00080c?l01`3<0?l00`3<o`00c03o0<`0o`0_0<`0o`L0oooo
0@0000010?ooo`0000<000000?ooo`3oool0103ooola0<`0o`H0c?l00P3<0?l60<co0080c03o0P3<
o`020<`0o`060<co003<0?l0c?l00<co003<0?l0c?l00`3<0?l30<co00030<`0o`3<o`00c03o00<0
c?l000L0c03o0<co003<0?l0c03o0<co003<0?l0c?l000<0c03o00<0c?l00<`0o`3<o`000P3<0?l0
0`3<o`00c03o0<`0o`020<`0o`80c?l000T0c03o0<co003<0?l0c03o0<co003<0?l0c?l00<`0o`3<
o`000P3<0?l40<co0080c03o0`3<o`020<`0o`@0c?l00P3<0?l20<co00@0c03o0P3<o`020<`0o`H0
c?l00P3<0?l80<co0080c03o0P3<o`020<`0o`030<co003<0?l0c03o00@0c03o0P3<o`040<`0o`@0
c?l00`3<0?l20<co00@0c03o00D0c?l00<`0o`3<0?l0c03o0<co00020<`0o`80c?l0103<0?l00`3<
o`00c03o0<`0o`020<co0080c03o203<o`0a0<`0o`L0oooo0@0000010?ooo`0000<000000?ooo`3o
ool0103ooolb0<`0o`080<co003<0?l0c03o0<co003<0?l0c?l00<`0o`3<o`020<`0o`030<co003<
0?l0c?l00080c?l0103<0?l00`3<o`00c03o0<`0o`020<co0080c03o00@0c?l00<`0o`3<0?l0c?l0
103<0?l00`3<o`00c03o0<`0o`020<`0o`030<co003<0?l0c?l000@0c?l000<0c03o0<co003<0?l0
0P3<o`000`3<0?l0c?l00<co00030<co00040<`0o`3<o`00c03o0<co00@0c03o0`3<o`020<`0o`80
c?l000@0c03o0<co003<o`00c?l00P3<0?l0103<o`00c03o0<co003<o`020<`0o`030<co003<0?l0
c03o00<0c?l0103<0?l20<co00<0c03o00<0c?l00<`0o`3<0?l00P3<o`001@3<0?l0c?l00<`0o`3<
0?l0c?l000<0c03o103<o`030<`0o`030<co003<0?l0c03o00<0c?l000D0c03o0<co003<o`00c?l0
0<`0o`020<co00030<`0o`3<o`00c?l00080c?l00P3<0?l20<co00<0c03o00H0c?l00<`0o`3<0?l0
c?l00<`0o`3<o`030<`0o`@0c?l00P3<0?l0103<o`00c03o0<`0o`3<o`020<`0o`070<co003<0?l0
c?l00<`0o`3<o`00c03o0<co000b0<`0o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103o
oolc0<`0o`D0c?l000@0c03o0<co003<o`00c03o0P3<o`020<`0o`80c?l00P3<0?l00`3<o`00c03o
0<`0o`020<`0o`030<co003<0?l0c03o0080c?l000@0c03o0<co003<o`00c03o1`3<o`000`3<0?l0
c?l00<`0o`030<`0o`040<co003<0?l0c?l00<`0o`80c?l000<0c03o0<co003<0?l00P3<0?l0103<
o`00c03o0<co003<0?l50<co00040<`0o`3<o`00c03o0<co0080c03o00<0c?l00<`0o`3<o`000P3<
0?l01@3<o`00c03o0<co003<0?l0c?l00080c03o00@0c?l00<`0o`3<o`00c03o1`3<o`001P3<0?l0
c?l00<co003<o`00c03o0<co0080c03o00<0c?l00<`0o`3<o`000`3<0?l00`3<o`00c03o0<`0o`04
0<`0o`80c?l00P3<0?l30<co00050<`0o`3<o`00c?l00<co003<0?l00P3<o`000`3<0?l0c?l00<`0
o`020<`0o`030<co003<0?l0c?l000<0c03o0P3<o`020<`0o`<0c?l00P3<0?l30<co00@0c03o0`3<
o`050<`0o`070<co003<0?l0c?l00<`0o`3<o`00c03o0<co000c0<`0o`L0oooo0@0000010?ooo`00
00<000000?ooo`3oool0103ooold0<`0o`030<co003<0?l0c03o0080c?l000@0c03o0<co003<o`00
c03o0P3<o`001P3<0?l0c?l00<co003<o`00c03o0<co00@0c03o0P3<o`040<`0o`@0c?l000<0c03o
0<co003<o`000P3<0?l00`3<o`00c03o0<`0o`030<co0080c03o00<0c?l00<`0o`3<0?l00P3<o`00
1@3<0?l0c?l00<co003<o`00c03o0080c?l00`3<0?l20<co00030<`0o`3<o`00c03o00D0c?l000L0
c03o0<co003<0?l0c?l00<`0o`3<o`00c03o00<0c?l01@3<0?l0203<o`00c03o0<`0o`3<o`00c03o
0<co003<0?l0c?l00P3<0?l00`3<o`00c03o0<`0o`020<co00<0c03o0P3<o`020<`0o`L0c?l000D0
c03o0<co003<o`00c?l00<`0o`020<co0080c03o0P3<o`020<`0o`040<co003<0?l0c?l00<co00@0
c03o0`3<o`001@3<0?l0c?l00<`0o`3<o`00c03o0080c?l000L0c03o0<co003<0?l0c?l00<`0o`3<
o`00c03o00D0c?l000<0c03o0<co003<o`000`3<0?l20<co0080c03o0P3<o`0d0<`0o`L0oooo0@00
00010?ooo`0000<000000?ooo`3oool0103ooole0<`0o`H0c?l00P3<0?l30<co0080c03o0P3<o`03
0<`0o`030<co003<0?l0c?l000@0c?l000<0c03o0<co003<0?l00`3<o`00103<0?l0c?l00<co003<
o`050<`0o`030<co003<0?l0c03o0080c?l000<0c03o0<co003<o`000`3<0?l00`3<o`00c03o0<`0
o`020<co00050<`0o`3<o`00c?l00<co003<0?l00P3<o`040<`0o`030<co003<0?l0c03o00<0c?l0
0P3<0?l0103<o`00c03o0<co003<o`040<`0o`030<co003<0?l0c?l000@0c03o0P3<o`020<`0o`03
0<co003<0?l0c?l000H0c?l01`3<0?l20<co0080c03o0`3<o`020<`0o`80c?l0103<0?l20<co0003
0<`0o`3<o`00c03o00<0c03o00<0c?l00<`0o`3<o`000`3<o`030<`0o`@0c?l000@0c03o0<co003<
0?l0c?l00P3<0?l20<co00<0c03o103<o`000`3<0?l0c?l00<co00020<co03D0c03o1`3oool10000
0040oooo00000`000000oooo0?ooo`040?ooocH0c03o00P0c?l00<`0o`3<0?l0c?l00<`0o`3<o`00
c03o0<co0080c03o0P3<o`020<`0o`80c?l000<0c03o0<co003<o`00103<0?l20<co00050<`0o`3<
o`00c03o0<`0o`3<o`000`3<0?l90<co00030<`0o`3<o`00c03o00@0c?l000H0c03o0<co003<o`00
c?l00<`0o`3<o`020<`0o`<0c?l000@0c03o0<co003<0?l0c03o0P3<o`060<`0o`050<co003<0?l0
c?l00<`0o`3<o`001@3<0?l00`3<o`00c03o0<co00050<`0o`040<co003<0?l0c03o0<co00@0c03o
00<0c?l00<`0o`3<0?l01`3<0?l50<co0080c03o0P3<o`020<`0o`050<co003<0?l0c03o0<co003<
0?l00P3<o`000`3<0?l0c?l00<co00060<co00040<`0o`3<o`00c03o0<co0080c03o00<0c?l00<`0
o`3<o`000`3<o`001@3<0?l0c?l00<`0o`3<0?l0c?l00080c03o00<0c?l00<`0o`3<0?l00P3<0?l0
1@3<o`00c03o0<`0o`3<0?l0c?l003H0c03o1`3oool100000040oooo00000`000000oooo0?ooo`04
0?ooocL0c03o1@3<o`001P3<0?l0c?l00<co003<0?l0c?l00<`0o`80c?l000@0c03o0<co003<0?l0
c03o103<o`001P3<0?l0c?l00<`0o`3<0?l0c?l00<`0o`@0c?l000<0c03o0<co003<0?l00`3<0?l2
0<co00060<`0o`3<o`00c03o0<co003<0?l0c?l00P3<0?l01P3<o`00c03o0<co003<0?l0c?l00<`0
o`<0c?l000<0c03o0<co003<o`000`3<o`020<`0o`030<co003<0?l0c03o00<0c?l000<0c03o0<co
003<o`000P3<o`00103<0?l0c?l00<`0o`3<o`080<`0o`@0c?l00P3<0?l30<co00050<`0o`3<o`00
c03o0<`0o`3<o`00103<0?l20<co00D0c03o0P3<o`000`3<0?l0c?l00<co00040<`0o`80c?l00P3<
0?l02P3<o`00c03o0<co003<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l40<co00<0c03o00@0c?l0
0<`0o`3<0?l0c?l01P3<0?l60<co00<0c03o00<0c?l00<`0o`3<0?l0=@3<0?l70?ooo`4000000@3o
ool000030000003oool0oooo00@0oooo>03<0?l00`3<o`00c03o0<`0o`020<co00030<`0o`3<o`00
c03o0080c?l000<0c03o0<co003<0?l00`3<o`050<`0o`<0c?l0103<0?l00`3<o`00c03o0<`0o`03
0<co0080c03o00@0c?l00<`0o`3<0?l0c03o0P3<o`00103<0?l0c?l00<co003<0?l20<co0080c03o
00D0c?l00<`0o`3<0?l0c03o0<co00020<`0o`030<co003<0?l0c?l000<0c03o00T0c?l00<`0o`3<
0?l0c?l00<`0o`3<o`00c03o0<co003<0?l00P3<o`000`3<0?l0c?l00<co00020<`0o`H0c?l000@0
c03o0<co003<0?l0c?l01@3<0?l30<co00030<`0o`3<o`00c?l00080c?l00P3<0?l00`3<o`00c03o
0<co00020<co00<0c03o00@0c?l00<`0o`3<o`00c03o0`3<o`020<`0o`80c?l000<0c03o0<co003<
0?l00P3<o`030<`0o`060<co003<0?l0c03o0<`0o`3<o`00c03o0P3<o`030<`0o`80c?l000@0c03o
0<co003<o`00c?l00P3<0?l0103<o`00c03o0<co003<0?l20<co00040<`0o`3<o`00c?l00<co03P0
c03o1`3oool100000040oooo00000`000000oooo0?ooo`040?ooocT0c03o1`3<o`020<`0o`030<co
003<0?l0c03o0080c?l00P3<0?l20<co0080c03o00/0c?l00<`0o`3<o`00c?l00<`0o`3<o`00c03o
0<co003<0?l0c?l00<`0o`030<co00060<`0o`3<o`00c?l00<co003<0?l0c?l00P3<0?l20<co0080
c03o0P3<o`000`3<0?l0c?l00<`0o`020<`0o`030<co003<0?l0c03o0080c03o0P3<o`020<`0o`80
c?l000D0c03o0<co003<o`00c03o0<co00030<`0o`030<co003<0?l0c03o00<0c?l000<0c03o0<co
003<o`00103<0?l20<co00030<`0o`3<o`00c?l00080c?l000@0c03o0<co003<0?l0c?l00P3<0?l0
103<o`00c03o0<co003<o`0;0<`0o`80c?l000D0c03o0<co003<0?l0c?l00<`0o`030<co00030<`0
o`3<o`00c03o0080c?l00P3<0?l20<co0080c03o00<0c?l00<`0o`3<0?l0103<0?l00`3<o`00c03o
0<`0o`020<`0o`80c?l000H0c03o0<co003<0?l0c?l00<`0o`3<o`020<`0o`80c?l0>@3<0?l70?oo
o`4000000@3oool000030000003oool0oooo00@0oooo>P3<0?l01`3<o`00c03o0<`0o`3<o`00c03o
0<co003<0?l00P3<o`040<`0o`80c?l0103<0?l00`3<o`00c03o0<`0o`020<co0080c03o00<0c?l0
0<`0o`3<o`001@3<0?l00`3<o`00c03o0<`0o`020<`0o`030<co003<0?l0c?l000<0c?l000L0c03o
0<co003<0?l0c?l00<`0o`3<o`00c03o00D0c?l000@0c03o0<co003<0?l0c03o0`3<o`030<`0o`80
c?l00P3<0?l50<co00<0c03o0P3<o`020<`0o`050<co003<0?l0c?l00<co003<0?l01@3<o`000`3<
0?l0c?l00<co00020<`0o`030<co003<0?l0c?l000L0c?l01`3<0?l50<co00<0c03o0P3<o`001@3<
0?l0c?l00<`0o`3<0?l0c?l00080c03o00<0c?l00<`0o`3<0?l00`3<o`020<`0o`80c?l01`3<0?l0
103<o`00c03o0<`0o`3<o`020<`0o`030<co003<0?l0c03o03P0c03o1`3oool100000040oooo0000
0`000000oooo0?ooo`040?oooc/0c03o103<o`001@3<0?l0c?l00<`0o`3<o`00c03o0080c?l00P3<
0?l20<co0080c03o00<0c?l00<`0o`3<0?l00P3<0?l20<co00@0c03o2P3<o`000`3<0?l0c?l00<`0
o`020<`0o`030<co003<0?l0c?l000<0c03o00<0c?l00<`0o`3<o`000`3<0?l01@3<o`00c03o0<co
003<0?l0c?l00080c03o103<o`000`3<0?l0c?l00<co00020<`0o`030<co003<0?l0c03o0080c?l0
00<0c03o0<co003<0?l00P3<o`000`3<0?l0c?l00<`0o`020<co00050<`0o`3<o`00c03o0<`0o`3<
o`000P3<0?l20<co00030<`0o`3<o`00c?l00080c03o00L0c?l00<`0o`3<0?l0c03o0<co003<0?l0
c?l000@0c03o0P3<o`001P3<0?l0c?l00<`0o`3<0?l0c?l00<`0o`80c?l00P3<0?l20<co00<0c03o
00<0c?l00<`0o`3<0?l00`3<o`020<`0o`<0c?l00P3<0?l60<co00040<`0o`3<o`00c03o0<co0080
c03o00<0c?l00<`0o`3<0?l0>@3<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo
?03<0?l01@3<o`00c03o0<`0o`3<0?l0c?l000<0c03o0`3<o`001P3<0?l0c?l00<co003<o`00c03o
0<co00@0c03o1@3<o`001P3<0?l0c?l00<co003<0?l0c?l00<`0o`80c?l00P3<0?l0103<o`00c03o
0<`0o`3<o`020<`0o`80c?l000H0c03o0<co003<o`00c03o0<co003<0?l30<co00030<`0o`3<o`00
c?l000<0c03o0P3<o`001P3<0?l0c?l00<co003<0?l0c?l00<`0o`80c?l00`3<0?l30<co00030<`0
o`3<o`00c03o00<0c03o00D0c?l00<`0o`3<0?l0c?l00<`0o`020<co00L0c03o0`3<o`000`3<0?l0
c?l00<co00020<`0o`D0c?l00P3<0?l20<co0080c03o00<0c?l00<`0o`3<o`00203<0?l50<co0003
0<`0o`3<o`00c03o0080c?l000<0c03o0<co003<o`000`3<o`000`3<0?l0c?l00<co00030<`0o`03
0<co003<0?l0c?l00080c?l0?03<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo
?@3<0?l30<co00<0c03o00<0c?l00<`0o`3<0?l00P3<o`020<`0o`80c?l00`3<0?l01`3<o`00c03o
0<co003<o`00c03o0<co003<0?l00`3<o`00103<0?l0c?l00<co003<0?l30<co00@0c03o00<0c?l0
0<`0o`3<0?l00P3<o`00103<0?l0c?l00<`0o`3<o`030<`0o`030<co003<0?l0c03o0080c?l000<0
c03o0<co003<0?l0103<o`060<`0o`80c?l00P3<0?l20<co0080c03o0P3<o`00103<0?l0c?l00<`0
o`3<0?l20<co00030<`0o`3<o`00c?l00080c?l0103<0?l01@3<o`00c03o0<co003<o`00c03o0080
c?l000T0c03o0<co003<0?l0c03o0<co003<0?l0c?l00<`0o`3<o`000`3<0?l40<co00030<`0o`3<
o`00c?l00080c?l00P3<0?l00`3<o`00c03o0<co00020<`0o`040<co003<0?l0c03o0<`0o`80c?l0
00D0c03o0<co003<0?l0c03o0<co00020<`0o`P0c?l0?@3<0?l70?ooo`4000000@3oool000030000
003oool0oooo00@0oooo?P3<0?l01`3<o`00c03o0<`0o`3<o`00c03o0<co003<0?l00P3<o`000`3<
0?l0c?l00<co00020<`0o`80c?l000H0c03o0<co003<o`00c03o0<co003<0?l20<co00060<`0o`3<
o`00c03o0<co003<0?l0c?l00`3<0?l50<co00<0c03o0P3<o`000`3<0?l0c?l00<`0o`030<co0006
0<`0o`3<o`00c?l00<co003<0?l0c?l00P3<0?l20<co00<0c03o103<o`020<`0o`030<co003<0?l0
c?l000D0c?l00P3<0?l40<co00050<`0o`3<o`00c03o0<co003<0?l00`3<o`001@3<0?l0c?l00<`0
o`3<o`00c03o0080c?l000@0c03o0<co003<o`00c03o0P3<o`000`3<0?l0c?l00<co00030<`0o`04
0<co003<0?l0c03o0<co0080c03o0`3<o`000`3<0?l0c?l00<`0o`030<`0o`050<co003<0?l0c03o
0<co003<0?l00P3<o`040<`0o`040<co003<0?l0c03o0<co0080c03o0`3<o`030<`0o`030<co003<
0?l0c03o03`0c03o1`3oool100000040oooo00000`000000oooo0?ooo`040?oood40c03o0P3<o`00
1`3<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l00P3<o`00103<0?l0c?l00<`0o`3<0?l20<co00<0
c03o00<0c?l00<`0o`3<o`001P3<o`000`3<0?l0c?l00<`0o`030<`0o`<0c?l000<0c03o0<co003<
0?l0103<0?l01P3<o`00c03o0<co003<0?l0c?l00<`0o`80c?l00`3<0?l0103<o`00c03o0<`0o`3<
o`020<`0o`<0c?l00`3<0?l20<co0080c03o0P3<o`000`3<0?l0c?l00<`0o`020<co00L0c03o0P3<
o`060<`0o`@0c?l000@0c03o0<co003<0?l0c?l01@3<0?l00`3<o`00c03o0<co00030<`0o`030<co
003<0?l0c?l000<0c03o00<0c?l00<`0o`3<o`000P3<0?l0103<o`00c03o0<co003<0?l60<co0003
0<`0o`3<o`00c03o0080c?l000@0c03o0<co003<o`00c?l0@03<0?l70?ooo`4000000@3oool00003
0000003oool0oooo00@0ooooA03<0?l0103<o`00c03o0<`0o`3<0?l20<co00030<`0o`3<o`00c03o
00<0c?l00P3<0?l50<co0080c03o00@0c?l00<`0o`3<0?l0c?l00P3<0?l30<co00@0c03o0P3<o`00
0`3<0?l0c?l00<`0o`020<co00030<`0o`3<o`00c?l00080c03o00@0c?l00<`0o`3<0?l0c03o1@3<
o`040<`0o`030<co003<0?l0c03o00<0c?l000L0c03o0<co003<o`00c?l00<`0o`3<o`00c03o00P0
c?l000<0c03o0<co003<0?l00P3<0?l0103<o`00c03o0<`0o`3<o`030<`0o`040<co003<0?l0c?l0
0<co0080c03o1`3<o`000`3<0?l0c?l00<co00030<co0080c03o00<0c?l00<`0o`3<0?l01@3<o`00
1@3<0?l0c?l00<`0o`3<0?l0c?l00080c03o00<0c?l00<`0o`3<0?l00P3<o`00103<0?l0c?l00<`0
o`3<o`130<`0o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooom30<`0o`050<co003<
0?l0c03o0<`0o`3<o`000P3<0?l00`3<o`00c03o0<`0o`020<co0080c03o00@0c?l00<`0o`3<0?l0
c03o0P3<o`020<`0o`80c?l000D0c03o0<co003<0?l0c?l00<`0o`030<co00030<`0o`3<o`00c?l0
00H0c03o00<0c?l00<`0o`3<0?l00P3<o`000`3<0?l0c?l00<`0o`030<`0o`030<co003<0?l0c03o
00H0c?l00`3<0?l20<co0080c03o00D0c?l00<`0o`3<o`00c03o0<co00020<`0o`070<co003<0?l0
c03o0<co003<0?l0c?l00<`0o`020<co00@0c03o0P3<o`000`3<0?l0c?l00<co00040<`0o`050<co
003<0?l0c03o0<`0o`3<o`000P3<0?l00`3<o`00c03o0<`0o`020<`0o`<0c?l00P3<0?l0103<o`00
c03o0<co003<0?l20<co00060<`0o`3<o`00c?l00<`0o`3<o`00c03o0P3<o`030<`0o`060<co003<
0?l0c03o0<`0o`3<o`00c03o0P3<o`120<`0o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0
103ooom50<`0o`040<co003<0?l0c?l00<`0o`80c?l0103<0?l20<co00080<`0o`3<o`00c?l00<co
003<0?l0c?l00<`0o`3<o`030<`0o`030<co003<0?l0c?l000D0c03o1`3<o`002P3<0?l0c?l00<co
003<o`00c03o0<co003<0?l0c?l00<`0o`3<o`020<`0o`<0c?l00P3<0?l00`3<o`00c03o0<co0004
0<co00030<`0o`3<o`00c?l00080c?l00`3<0?l30<co00<0c03o00D0c?l00<`0o`3<o`00c?l00<`0
o`050<co00@0c03o1@3<o`020<`0o`030<co003<0?l0c?l00080c?l000D0c03o0<co003<o`00c?l0
0<`0o`060<co00030<`0o`3<o`00c?l00080c?l000@0c03o0<co003<o`00c03o0P3<o`001@3<0?l0
c?l00<`0o`3<o`00c03o00@0c?l0AP3<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0
ooooA@3<0?l20<co00050<`0o`3<o`00c03o0<co003<0?l00P3<o`020<`0o`80c?l00P3<0?l01@3<
o`00c03o0<co003<o`00c03o0080c?l0103<0?l50<co00040<`0o`3<o`00c03o0<co0080c03o00L0
c?l00<`0o`3<0?l0c03o0<co003<0?l0c?l000<0c03o00<0c?l00<`0o`3<0?l00P3<0?l30<co00<0
c03o00H0c?l00<`0o`3<o`00c?l00<`0o`3<o`020<`0o`<0c?l000<0c03o0<co003<o`000P3<0?l2
0<co00<0c03o00<0c?l00<`0o`3<0?l00P3<0?l00`3<o`00c03o0<co00030<co0080c03o00<0c?l0
0<`0o`3<o`000P3<o`030<`0o`030<co003<0?l0c03o00<0c?l000@0c03o0<co003<0?l0c?l0103<
0?l20<co00030<`0o`3<o`00c?l000D0c03o00<0c?l00<`0o`3<0?l00P3<o`000`3<0?l0c?l00<`0
o`020<`0o`030<co003<0?l0c03o0480c03o1`3oool100000040oooo00000`000000oooo0?ooo`04
0?oood@0c03o1P3<o`020<`0o`H0c?l00P3<0?l20<co0080c03o00H0c?l00<`0o`3<o`00c?l00<`0
o`3<o`030<`0o`D0c?l000H0c03o0<co003<o`00c?l00<`0o`3<o`020<`0o`030<co003<0?l0c?l0
00<0c03o00<0c?l00<`0o`3<0?l00P3<0?l30<co0080c03o00<0c?l00<`0o`3<0?l0103<0?l00`3<
o`00c03o0<`0o`020<co0080c03o00<0c?l00<`0o`3<o`001`3<0?l00`3<o`00c03o0<`0o`020<co
00040<`0o`3<o`00c03o0<`0o`80c?l000<0c03o0<co003<0?l0103<o`001@3<0?l0c?l00<co003<
o`00c03o00P0c?l000<0c03o0<co003<0?l00P3<0?l00`3<o`00c03o0<`0o`030<`0o`030<co003<
0?l0c03o00@0c?l000<0c03o0<co003<0?l00P3<o`140<`0o`L0oooo0@0000010?ooo`0000<00000
0?ooo`3oool0103ooom50<`0o`080<co003<0?l0c03o0<co003<0?l0c?l00<`0o`3<o`020<`0o`03
0<co003<0?l0c?l00080c?l0103<0?l00`3<o`00c03o0<`0o`020<co0080c03o00@0c?l00<`0o`3<
0?l0c?l0103<0?l00`3<o`00c03o0<`0o`020<`0o`030<co003<0?l0c?l000@0c?l000P0c03o0<co
003<0?l0c03o0<co003<0?l0c?l00<`0o`<0c?l0103<0?l0103<o`00c03o0<`0o`3<o`030<`0o`04
0<co003<0?l0c03o0<co0080c03o00<0c?l00<`0o`3<o`000P3<0?l02@3<o`00c03o0<co003<o`00
c03o0<co003<0?l0c?l00<`0o`020<co00030<`0o`3<o`00c?l000@0c03o0`3<o`020<`0o`80c?l0
0P3<0?l00`3<o`00c03o0<co00020<`0o`040<co003<0?l0c?l00<`0o`80c?l00P3<0?l00`3<o`00
c03o0<`0o`050<`0o`80c?l0103<0?l00`3<o`00c03o0<`0o`130<`0o`L0oooo0@0000010?ooo`00
00<000000?ooo`3oool0103ooom60<`0o`D0c?l000@0c03o0<co003<o`00c03o0P3<o`020<`0o`80
c?l00P3<0?l00`3<o`00c03o0<`0o`020<`0o`030<co003<0?l0c03o0080c?l000<0c03o0<co003<
o`00203<o`000`3<0?l0c?l00<`0o`030<`0o`030<co003<0?l0c?l00080c03o00<0c?l00<`0o`3<
o`000`3<0?l20<co00<0c03o0P3<o`000`3<0?l0c?l00<co00030<`0o`D0c?l00P3<0?l20<co0004
0<`0o`3<o`00c03o0<co00<0c03o0P3<o`060<`0o`@0c?l00P3<0?l20<co00H0c03o00<0c?l00<`0
o`3<o`001P3<0?l30<co0080c03o0`3<o`00103<0?l0c?l00<`0o`3<o`040<`0o`030<co003<0?l0
c03o04@0c03o1`3oool100000040oooo00000`000000oooo0?ooo`040?ooodL0c03o00<0c?l00<`0
o`3<0?l00P3<o`00103<0?l0c?l00<co003<0?l20<co00060<`0o`3<o`00c?l00<co003<0?l0c?l0
103<0?l20<co00@0c03o0P3<o`000`3<0?l0c?l00<`0o`020<co0080c03o00<0c?l00<`0o`3<0?l0
0`3<o`020<`0o`060<co003<0?l0c03o0<`0o`3<o`00c03o103<o`040<`0o`070<co003<0?l0c?l0
0<co003<0?l0c?l00<`0o`030<co00T0c03o0P3<o`040<`0o`D0c?l0103<0?l0103<o`00c03o0<`0
o`3<o`020<`0o`<0c?l000@0c03o0<co003<0?l0c?l00P3<0?l60<co00<0c03o103<o`001@3<0?l0
c?l00<`0o`3<o`00c03o00D0c?l0A`3<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0
ooooB03<0?l60<co0080c03o0`3<o`020<`0o`80c?l00`3<0?l00`3<o`00c03o0<co00040<co0004
0<`0o`3<o`00c03o0<`0o`80c?l000@0c03o0<co003<o`00c?l01@3<0?l00`3<o`00c03o0<`0o`02
0<co0080c03o00<0c?l00<`0o`3<0?l00P3<0?l20<co00<0c03o203<o`000`3<0?l0c?l00<co0005
0<co00@0c03o103<o`000`3<0?l0c?l00<`0o`020<`0o`@0c?l000@0c03o0<co003<0?l0c03o0`3<
o`001P3<0?l0c?l00<co003<0?l0c?l00<`0o`@0c?l01@3<0?l40<co00030<`0o`3<o`00c03o00D0
c03o00@0c?l00<`0o`3<o`00c?l0B03<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0
ooooB@3<0?l0203<o`00c03o0<`0o`3<o`00c03o0<co003<0?l0c?l00P3<0?l20<co0080c03o0P3<
o`000`3<0?l0c?l00<co00040<`0o`80c?l000D0c03o0<co003<o`00c03o0<co00030<`0o`T0c?l0
00@0c03o0<co003<0?l0c03o103<o`00203<0?l0c?l00<`0o`3<0?l0c?l00<`0o`3<o`00c03o0P3<
o`020<`0o`040<co003<0?l0c?l00<`0o`80c?l000<0c03o0<co003<0?l0103<o`040<`0o`T0c?l0
1P3<0?l00`3<o`00c03o0<`0o`050<`0o`030<co003<0?l0c?l000T0c03o00<0c?l00<`0o`3<o`00
0`3<0?l20<co00040<`0o`3<o`00c03o0<co04T0c03o1`3oool100000040oooo00000`000000oooo
0?ooo`040?ooodX0c03o1@3<o`001P3<0?l0c?l00<co003<0?l0c?l00<`0o`80c?l000@0c03o0<co
003<0?l0c03o103<o`00103<0?l0c?l00<`0o`3<0?l60<co00030<`0o`3<o`00c03o00<0c03o0P3<
o`00103<0?l0c?l00<`0o`3<o`040<`0o`040<co003<0?l0c03o0<co0080c03o1`3<o`020<`0o`04
0<co003<0?l0c03o0<co0080c03o0P3<o`000`3<0?l0c?l00<`0o`040<co00030<`0o`3<o`00c03o
0080c?l00P3<0?l0103<o`00c03o0<`0o`3<0?l50<co0080c03o0P3<o`020<`0o`050<co003<0?l0
c03o0<co003<0?l00`3<o`00103<0?l0c?l00<co003<o`020<`0o`80c?l000D0c03o0<co003<o`00
c?l00<`0o`020<co00030<`0o`3<o`00c03o04T0c03o1`3oool100000040oooo00000`000000oooo
0?ooo`040?oood/0c03o00<0c?l00<`0o`3<0?l00P3<o`000`3<0?l0c?l00<`0o`020<co00030<`0
o`3<o`00c03o00<0c?l01@3<0?l30<co00050<`0o`3<o`00c03o0<`0o`3<o`000P3<0?l30<co0080
c03o00@0c?l00<`0o`3<0?l0c03o0P3<o`001@3<0?l0c?l00<co003<0?l0c?l00080c03o0`3<o`00
1P3<0?l0c?l00<`0o`3<0?l0c?l00<`0o`80c?l000@0c03o0<co003<0?l0c?l00P3<0?l50<co0003
0<`0o`3<o`00c03o00<0c03o00<0c?l00<`0o`3<o`001@3<o`060<`0o`80c?l000<0c03o0<co003<
o`001@3<0?l20<co00030<`0o`3<o`00c03o0080c03o103<o`000`3<0?l0c?l00<co00020<`0o`03
0<co003<0?l0c03o0080c?l0B`3<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo
C03<0?l70<co0080c03o00<0c?l00<`0o`3<0?l00P3<o`020<`0o`80c?l00P3<0?l00`3<o`00c03o
0<co00030<co00050<`0o`3<o`00c03o0<co003<0?l00`3<o`001P3<0?l0c?l00<co003<o`00c03o
0<co00<0c03o00@0c?l00<`0o`3<0?l0c03o0P3<o`000`3<0?l0c?l00<co00040<co00@0c03o00<0
c?l00<`0o`3<o`000P3<o`000`3<0?l0c?l00<co00030<`0o`060<co003<0?l0c03o0<co003<0?l0
c?l00P3<0?l0103<o`00c03o0<co003<0?l20<co00030<`0o`3<o`00c03o00<0c?l00`3<0?l50<co
00040<`0o`3<o`00c?l00<`0o`80c?l0103<0?l01@3<o`00c03o0<`0o`3<0?l0c?l000<0c03o0`3<
o`1<0<`0o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooom=0<`0o`070<co003<0?l0
c03o0<co003<0?l0c?l00<`0o`020<co00@0c03o0P3<o`040<`0o`040<co003<0?l0c03o0<co00<0
c03o00<0c?l00<`0o`3<o`001@3<0?l00`3<o`00c03o0<`0o`020<`0o`030<co003<0?l0c03o00<0
c?l000T0c03o0<co003<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l0103<o`000`3<0?l0c?l00<`0
o`050<`0o`<0c?l000<0c03o0<co003<o`000`3<o`000`3<0?l0c?l00<`0o`020<co00<0c03o0P3<
o`000`3<0?l0c?l00<`0o`020<`0o`040<co003<0?l0c03o0<co00<0c03o00<0c?l00<`0o`3<o`00
0P3<o`000`3<0?l0c?l00<`0o`040<`0o`<0c?l000H0c03o0<co003<o`00c?l00<`0o`3<o`1=0<`0
o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooom>0<`0o`@0c?l000D0c03o0<co003<
0?l0c?l00<`0o`020<co0080c03o0P3<o`020<`0o`030<co003<0?l0c03o0080c03o0P3<o`040<`0
o`X0c?l000<0c03o0<co003<0?l00P3<0?l0103<o`00c03o0<`0o`3<0?l30<co00P0c03o203<o`00
0`3<0?l0c?l00<co00020<`0o`030<co003<0?l0c03o00<0c03o00<0c?l00<`0o`3<0?l00P3<0?l3
0<co00070<`0o`3<o`00c?l00<co003<0?l0c?l00<`0o`020<co0080c03o00H0c?l00<`0o`3<o`00
c03o0<co003<0?l20<co00040<`0o`3<o`00c03o0<co0080c03o0P3<o`00103<0?l0c?l00<`0o`3<
o`1>0<`0o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooom?0<`0o`050<co003<0?l0
c03o0<`0o`3<o`000`3<0?l30<co00060<`0o`3<o`00c?l00<co003<0?l0c?l01@3<0?l40<co0006
0<`0o`3<o`00c?l00<`0o`3<o`00c03o0P3<o`020<`0o`030<co003<0?l0c03o00<0c03o0`3<o`02
0<`0o`040<co003<0?l0c03o0<`0o`<0c?l02P3<0?l20<co00040<`0o`3<o`00c?l00<`0o`D0c?l0
00<0c03o0<co003<o`000`3<o`020<`0o`80c?l00P3<0?l0203<o`00c03o0<`0o`3<0?l0c?l00<`0
o`3<o`00c03o0P3<o`002P3<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l0c?l00<`0o`3<o`020<`0
o`80c?l000<0c03o0<co003<o`00C`3<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0
ooooD03<0?l30<co00<0c03o00<0c?l00<`0o`3<0?l00P3<o`020<`0o`80c?l00`3<0?l01`3<o`00
c03o0<co003<o`00c03o0<co003<0?l00`3<o`00103<0?l0c?l00<co003<0?l30<co00<0c03o103<
o`001@3<0?l0c?l00<co003<0?l0c?l000D0c03o1P3<o`000`3<0?l0c?l00<co00020<`0o`80c?l0
00<0c03o0<co003<o`000P3<0?l00`3<o`00c03o0<co00020<`0o`80c?l000<0c03o0<co003<0?l0
0`3<0?l20<co0080c03o0`3<o`00103<0?l0c?l00<co003<o`030<`0o`060<co003<0?l0c?l00<`0
o`3<o`00c03o0P3<o`00103<0?l0c?l00<`0o`3<0?l30<co0500c03o1`3oool100000040oooo0000
0`000000oooo0?ooo`040?oooe40c03o00L0c?l00<`0o`3<0?l0c?l00<`0o`3<o`00c03o0080c?l0
00<0c03o0<co003<o`000P3<0?l20<co00060<`0o`3<o`00c?l00<`0o`3<o`00c03o0P3<o`001P3<
0?l0c?l00<`0o`3<o`00c03o0<co00<0c03o1@3<o`020<`0o`030<co003<0?l0c?l00080c03o1P3<
o`001@3<0?l0c?l00<`0o`3<0?l0c?l000@0c03o0P3<o`00103<0?l0c?l00<`0o`3<0?l20<co0008
0<`0o`3<o`00c03o0<co003<0?l0c?l00<`0o`3<o`020<`0o`@0c?l000X0c03o0<co003<0?l0c03o
0<co003<0?l0c?l00<`0o`3<o`00c03o0`3<o`000`3<0?l0c?l00<co00020<`0o`80c?l00`3<0?l0
1@3<o`00c03o0<`0o`3<0?l0c?l00540c03o1`3oool100000040oooo00000`000000oooo0?ooo`04
0?oooe@0c03o0P3<o`001`3<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l00P3<o`00103<0?l0c?l0
0<`0o`3<0?l20<co00<0c03o00<0c?l00<`0o`3<o`001P3<o`000`3<0?l0c?l00<`0o`020<`0o`<0
c?l00P3<0?l20<co00<0c03o00<0c?l00<`0o`3<o`000P3<o`040<`0o`<0c?l00P3<0?l00`3<o`00
c03o0<`0o`050<co00040<`0o`3<o`00c03o0<`0o`80c?l000H0c03o0<co003<o`00c03o0<co003<
0?l40<co00050<`0o`3<o`00c03o0<`0o`3<o`000P3<0?l00`3<o`00c03o0<co00020<`0o`80c?l0
0P3<0?l30<co00040<`0o`3<o`00c?l00<co05<0c03o1`3oool100000040oooo00000`000000oooo
0?ooo`040?oooeL0c03o00@0c?l00<`0o`3<0?l0c03o0P3<o`000`3<0?l0c?l00<`0o`030<co0003
0<`0o`3<o`00c?l000@0c?l00P3<0?l0103<o`00c03o0<`0o`3<o`020<`0o`<0c?l01@3<0?l00`3<
o`00c03o0<co00050<co00030<`0o`3<o`00c03o00H0c03o0`3<o`020<`0o`050<co003<0?l0c03o
0<co003<0?l00P3<o`000`3<0?l0c?l00<`0o`060<`0o`040<co003<0?l0c03o0<co00<0c03o00@0
c?l00<`0o`3<0?l0c03o1@3<o`000`3<0?l0c?l00<`0o`050<`0o`030<co003<0?l0c03o05D0c03o
1`3oool100000040oooo00000`000000oooo0?ooo`040?oooeH0c03o00D0c?l00<`0o`3<0?l0c03o
0<co00020<`0o`030<co003<0?l0c03o0080c?l00P3<0?l0103<o`00c03o0<`0o`3<0?l20<co0080
c03o0P3<o`001@3<0?l0c?l00<`0o`3<o`00c03o00<0c?l000@0c03o0<co003<o`00c03o0P3<o`03
0<`0o`030<co003<0?l0c?l00080c?l000D0c03o0<co003<0?l0c?l00<`0o`020<co00050<`0o`3<
o`00c03o0<co003<0?l00`3<o`020<`0o`040<co003<0?l0c03o0<`0o`D0c?l00P3<0?l30<co0080
c03o103<o`060<`0o`030<co003<0?l0c?l00080c03o00@0c?l00<`0o`3<0?l0c03o0`3<o`1E0<`0
o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooomH0<`0o`040<co003<0?l0c?l00<`0
o`80c?l0103<0?l60<co00040<`0o`3<o`00c03o0<co00<0c03o00<0c?l00<`0o`3<o`001@3<0?l3
0<co00050<`0o`3<o`00c03o0<co003<0?l00P3<o`020<`0o`040<co003<0?l0c?l00<co0080c03o
00<0c?l00<`0o`3<o`000P3<0?l20<co0080c03o0P3<o`001@3<0?l0c?l00<co003<o`00c03o0080
c?l000@0c03o0<co003<o`00c?l00`3<0?l40<co0080c03o0`3<o`000`3<0?l0c?l00<`0o`060<`0
o`040<co003<0?l0c?l00<co05P0c03o1`3oool100000040oooo00000`000000oooo0?ooo`040?oo
oeP0c03o0P3<o`001@3<0?l0c?l00<`0o`3<o`00c03o0080c?l00P3<0?l01P3<o`00c03o0<`0o`3<
0?l0c?l00<`0o`80c?l000<0c03o0<co003<o`00103<0?l50<co00040<`0o`3<o`00c03o0<`0o`80
c?l00`3<0?l30<co00040<`0o`3<o`00c?l00<`0o`80c?l00P3<0?l20<co00030<`0o`3<o`00c?l0
0080c03o00@0c?l00<`0o`3<0?l0c03o0P3<o`020<`0o`030<co003<0?l0c?l000<0c?l00`3<0?l0
103<o`00c03o0<co003<o`030<`0o`030<co003<0?l0c?l000D0c?l000@0c03o0<co003<o`00c?l0
0P3<0?l00`3<o`00c03o0<`0o`1E0<`0o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103o
oomG0<`0o`H0c?l00P3<0?l60<co0080c03o0P3<o`020<`0o`060<co003<0?l0c?l00<co003<0?l0
c?l00`3<0?l50<co00050<`0o`3<o`00c03o0<`0o`3<o`00103<0?l30<co00030<`0o`3<o`00c?l0
00D0c03o0`3<o`00103<0?l0c?l00<`0o`3<o`020<`0o`030<co003<0?l0c?l000D0c?l000<0c03o
0<co003<0?l00P3<0?l20<co0080c03o0P3<o`070<`0o`030<co003<0?l0c03o00H0c?l0E`3<0?l7
0?ooo`4000000@3oool000030000003oool0oooo00@0ooooF03<0?l0203<o`00c03o0<`0o`3<o`00
c03o0<co003<0?l0c?l00P3<0?l00`3<o`00c03o0<`0o`020<co00@0c03o00<0c?l00<`0o`3<0?l0
0P3<o`020<`0o`040<co003<0?l0c03o0<co00@0c03o0`3<o`000`3<0?l0c?l00<co00020<co0080
c03o0P3<o`020<`0o`030<co003<0?l0c?l00080c?l00P3<0?l00`3<o`00c03o0<co00030<co0009
0<`0o`3<o`00c?l00<`0o`3<o`00c03o0<co003<0?l0c?l000<0c03o00@0c?l00<`0o`3<o`00c03o
0`3<o`020<`0o`80c?l000@0c03o0<co003<o`00c03o0`3<o`020<`0o`030<co003<0?l0c?l005P0
c03o1`3oool100000040oooo00000`000000oooo0?ooo`040?oooeT0c03o1@3<o`00103<0?l0c?l0
0<co003<0?l20<co0080c03o0P3<o`020<`0o`030<co003<0?l0c03o0080c03o00<0c?l00<`0o`3<
0?l00P3<o`000`3<0?l0c?l00<co00050<co0080c03o00<0c?l00<`0o`3<o`000P3<0?l00`3<o`00
c03o0<co00020<co00@0c03o0P3<o`030<`0o`030<co003<0?l0c?l000<0c03o0P3<o`00103<0?l0
c?l00<`0o`3<0?l40<co00D0c03o00H0c?l00<`0o`3<0?l0c03o0<co003<0?l40<co00030<`0o`3<
o`00c?l00080c?l000<0c03o0<co003<0?l0F03<0?l70?ooo`4000000@3oool000030000003oool0
oooo00@0ooooFP3<0?l00`3<o`00c03o0<`0o`020<co00040<`0o`3<o`00c?l00<`0o`80c?l000H0
c03o0<co003<o`00c?l00<`0o`3<o`040<`0o`80c?l0103<0?l20<co00030<`0o`3<o`00c03o0080
c?l00P3<0?l01P3<o`00c03o0<`0o`3<o`00c03o0<co0080c03o00@0c?l00<`0o`3<o`00c?l00P3<
0?l01@3<o`00c03o0<co003<o`00c03o0080c?l01`3<0?l20<co00040<`0o`3<o`00c03o0<`0o`H0
c?l00P3<0?l01@3<o`00c03o0<co003<0?l0c?l00080c03o00<0c?l00<`0o`3<o`000P3<0?l20<co
05X0c03o1`3oool100000040oooo00000`000000oooo0?ooo`040?oooe/0c03o1P3<o`020<`0o`<0
c?l00P3<0?l20<co00<0c03o00<0c?l00<`0o`3<o`00103<o`00103<0?l0c?l00<co003<0?l20<co
00030<`0o`3<o`00c?l000@0c?l000<0c03o0<co003<o`000P3<o`060<`0o`<0c?l00`3<0?l00`3<
o`00c03o0<co00050<co00@0c03o00<0c?l00<`0o`3<o`00103<0?l40<co00030<`0o`3<o`00c?l0
0080c?l0103<0?l30<co05/0c03o1`3oool100000040oooo00000`000000oooo0?ooo`040?oooe`0
c03o00L0c?l00<`0o`3<0?l0c?l00<`0o`3<o`00c03o0080c?l000<0c03o0<co003<o`000P3<0?l2
0<co00030<`0o`3<o`00c?l000@0c03o0P3<o`020<`0o`030<co003<0?l0c?l00080c03o00@0c?l0
0<`0o`3<0?l0c?l00P3<0?l20<co00040<`0o`3<o`00c?l00<`0o`@0c?l00P3<0?l30<co00040<`0
o`3<o`00c?l00<co00<0c03o0P3<o`020<`0o`80c?l00P3<0?l30<co0080c03o00<0c?l00<`0o`3<
o`000`3<0?l00`3<o`00c03o0<co00050<`0o`030<co003<0?l0c03o05X0c03o1`3oool100000040
oooo00000`000000oooo0?ooo`040?oooed0c03o1@3<o`001P3<0?l0c?l00<co003<0?l0c?l00<`0
o`80c?l000@0c03o0<co003<0?l0c03o103<o`00103<0?l0c?l00<`0o`3<0?l50<co00050<`0o`3<
o`00c?l00<`0o`3<o`000`3<0?l20<co00D0c03o0P3<o`020<`0o`050<co003<0?l0c?l00<`0o`3<
o`001@3<0?l40<co00040<`0o`3<o`00c?l00<co00D0c03o00<0c?l00<`0o`3<0?l00`3<0?l20<co
00D0c03o00<0c?l00<`0o`3<0?l0F`3<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0
ooooGP3<0?l00`3<o`00c03o0<`0o`020<co00<0c03o0P3<o`000`3<0?l0c?l00<`0o`030<co00D0
c03o0`3<o`00103<0?l0c?l00<`0o`3<0?l20<co00030<`0o`3<o`00c?l000<0c?l00P3<0?l50<co
00050<`0o`3<o`00c03o0<co003<0?l00P3<o`040<`0o`030<co003<0?l0c03o0080c03o0P3<o`00
103<0?l0c?l00<co003<o`040<`0o`030<co003<0?l0c?l000@0c?l000<0c03o0<co003<o`001@3<
o`1N0<`0o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooomO0<`0o`D0c?l000D0c03o
0<co003<0?l0c03o0<co00020<`0o`80c?l00P3<0?l20<co0080c03o00@0c?l00<`0o`3<o`00c03o
0P3<o`003P3<0?l0c?l00<`0o`3<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l0c?l00<`0o`3<o`00
c03o0P3<o`030<`0o`050<co003<0?l0c?l00<co003<0?l00`3<o`060<`0o`80c?l000<0c03o0<co
003<o`000P3<o`020<`0o`050<co003<0?l0c03o0<co003<0?l00P3<o`001@3<0?l0c?l00<`0o`3<
o`00c03o0080c?l0G`3<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooH03<0?l0
1`3<o`00c03o0<`0o`3<o`00c03o0<co003<0?l00P3<o`040<`0o`80c?l0103<0?l0103<o`00c03o
0<`0o`3<o`030<`0o`090<co003<0?l0c?l00<co003<0?l0c?l00<`0o`3<o`00c03o00<0c?l000<0
c03o0<co003<o`000P3<o`000`3<0?l0c?l00<`0o`030<co00040<`0o`3<o`00c03o0<co00<0c03o
00<0c?l00<`0o`3<0?l00P3<o`030<`0o`80c?l0103<0?l0103<o`00c03o0<co003<o`050<`0o`03
0<co003<0?l0c03o05h0c03o1`3oool100000040oooo00000`000000oooo0?ooo`040?ooof40c03o
103<o`001@3<0?l0c?l00<`0o`3<o`00c03o0080c?l00P3<0?l20<co0080c03o00<0c?l00<`0o`3<
0?l00P3<0?l20<co00@0c03o00<0c?l00<`0o`3<o`000P3<o`020<`0o`<0c?l000<0c03o0<co003<
0?l0103<o`000`3<0?l0c?l00<co00030<co0080c03o0`3<o`050<`0o`050<co003<0?l0c03o0<co
003<0?l00P3<o`00103<0?l0c?l00<co003<0?l20<co00<0c03o00<0c?l00<`0o`3<0?l0G`3<0?l7
0?ooo`4000000@3oool000030000003oool0oooo00@0ooooHP3<0?l01@3<o`00c03o0<`0o`3<0?l0
c?l000<0c03o0`3<o`001P3<0?l0c?l00<co003<o`00c03o0<co00D0c03o103<o`030<`0o`030<co
003<0?l0c?l00080c?l000@0c03o0<co003<0?l0c03o0`3<o`00103<0?l0c?l00<`0o`3<0?l20<co
0080c03o0`3<o`020<`0o`80c?l000@0c03o0<co003<0?l0c03o0P3<o`030<`0o`<0c?l0103<0?l0
103<o`00c03o0<co003<o`1R0<`0o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooomS
0<`0o`030<co003<0?l0c?l000<0c03o00<0c?l00<`0o`3<0?l00P3<o`020<`0o`80c?l00`3<0?l4
0<co00030<`0o`3<o`00c03o00<0c?l01P3<0?l00`3<o`00c03o0<`0o`020<`0o`040<co003<0?l0
c?l00<co00D0c03o00<0c?l00<`0o`3<0?l0103<o`001P3<0?l0c?l00<co003<0?l0c?l00<`0o`<0
c?l00P3<0?l20<co00030<`0o`3<o`00c03o00<0c?l0H`3<0?l70?ooo`4000000@3oool000030000
003oool0oooo00@0ooooI`3<0?l0103<o`00c03o0<co003<0?l20<co00030<`0o`3<o`00c?l00080
c03o0P3<o`001P3<0?l0c?l00<`0o`3<0?l0c?l00<`0o`80c?l000<0c03o0<co003<0?l01P3<0?l2
0<co00<0c03o0P3<o`000`3<0?l0c?l00<`0o`020<`0o`80c?l0103<0?l00`3<o`00c03o0<co0002
0<`0o`040<co003<0?l0c?l00<co00<0c03o0P3<o`030<`0o`030<co003<0?l0c03o06D0c03o1`3o
ool100000040oooo00000`000000oooo0?ooo`040?ooofL0c03o0P3<o`001`3<0?l0c?l00<`0o`3<
o`00c03o0<co003<0?l00P3<o`00103<0?l0c?l00<`0o`3<0?l20<co00<0c03o00<0c?l00<`0o`3<
o`000`3<o`020<`0o`030<co003<0?l0c03o0080c03o00D0c?l00<`0o`3<0?l0c?l00<`0o`040<co
00030<`0o`3<o`00c?l000<0c?l01@3<0?l20<co00H0c03o0P3<o`020<`0o`80c?l0IP3<0?l70?oo
o`4000000@3oool000030000003oool0oooo00@0ooooJP3<0?l0103<o`00c03o0<`0o`3<0?l20<co
00030<`0o`3<o`00c03o00<0c?l000<0c03o0<co003<o`00103<o`001P3<0?l0c?l00<`0o`3<0?l0
c?l00<`0o`<0c?l01@3<0?l0103<o`00c03o0<co003<0?l20<co00D0c03o1P3<o`001@3<0?l0c?l0
0<co003<o`00c03o0080c?l00P3<0?l00`3<o`00c03o0<`0o`1X0<`0o`L0oooo0@0000010?ooo`00
00<000000?ooo`3oool0103ooomY0<`0o`050<co003<0?l0c03o0<`0o`3<o`000P3<0?l00`3<o`00
c03o0<`0o`020<co0080c03o00@0c?l00<`0o`3<0?l0c03o0P3<o`001@3<0?l0c?l00<co003<0?l0
c?l000D0c03o00@0c?l00<`0o`3<0?l0c?l00P3<0?l20<co00030<`0o`3<o`00c?l000D0c?l000D0
c03o0<co003<o`00c03o0<co00020<`0o`<0c?l000@0c03o0<co003<o`00c03o0`3<o`1X0<`0o`L0
oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooom[0<`0o`040<co003<0?l0c?l00<`0o`80
c?l0103<0?l60<co00030<`0o`3<o`00c03o00<0c?l000@0c03o0<co003<o`00c?l02@3<0?l00`3<
o`00c03o0<co00030<`0o`80c?l0103<0?l20<co0080c03o00<0c?l00<`0o`3<0?l00P3<0?l00`3<
o`00c03o0<`0o`1Z0<`0o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooom[0<`0o`80
c?l000D0c03o0<co003<0?l0c?l00<`0o`020<co0080c03o00H0c?l00<`0o`3<0?l0c03o0<co003<
0?l20<co00030<`0o`3<o`00c03o00<0c03o1`3<o`040<`0o`030<co003<0?l0c?l000<0c03o00@0
c?l00<`0o`3<o`00c?l00P3<0?l20<co00040<`0o`3<o`00c?l00<co0080c03o00<0c?l00<`0o`3<
o`00JP3<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooKP3<0?l0103<o`00c03o
0<`0o`3<0?l30<co00@0c03o0`3<o`030<`0o`80c?l0103<0?l00`3<o`00c03o0<`0o`020<`0o`D0
c?l000@0c03o0<co003<o`00c?l01@3<0?l20<co0080c03o0`3<o`000`3<0?l0c?l00<co001^0<`0
o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooom[0<`0o`080<co003<0?l0c03o0<co
003<0?l0c?l00<`0o`3<o`020<`0o`030<co003<0?l0c03o0080c?l0103<0?l20<co00030<`0o`3<
o`00c?l00080c?l0103<0?l20<co0080c03o0P3<o`00103<0?l0c?l00<co003<o`050<`0o`050<co
003<0?l0c?l00<`0o`3<o`000`3<0?l20<co0080c03o00<0c?l00<`0o`3<0?l0J@3<0?l70?ooo`40
00000@3oool000030000003oool0oooo00@0ooooK03<0?l50<co00040<`0o`3<o`00c?l00<`0o`80
c?l00P3<0?l20<co0080c03o00L0c?l00<`0o`3<o`00c?l00<`0o`3<o`00c03o0080c?l000<0c03o
0<co003<0?l01@3<0?l20<co00@0c03o00<0c?l00<`0o`3<o`000`3<0?l00`3<o`00c03o0<`0o`06
0<`0o`030<co003<0?l0c03o06X0c03o1`3oool100000040oooo00000`000000oooo0?ooo`040?oo
ofd0c03o00<0c?l00<`0o`3<0?l00P3<o`00103<0?l0c?l00<co003<0?l20<co00060<`0o`3<o`00
c?l00<co003<0?l0c?l00P3<0?l00`3<o`00c03o0<co00020<co00<0c03o1@3<o`020<`0o`<0c?l0
0P3<0?l50<co00040<`0o`3<o`00c?l00<co00<0c03o0`3<o`1]0<`0o`L0oooo0@0000010?ooo`00
00<000000?ooo`3oool0103ooom^0<`0o`H0c?l00`3<0?l20<co0080c03o0P3<o`030<`0o`040<co
003<0?l0c03o0<`0o`@0c?l00P3<0?l0303<o`00c03o0<co003<0?l0c?l00<`0o`3<o`00c03o0<co
003<0?l0c?l00<`0o`@0c?l00P3<0?l20<co0080c03o0P3<o`1^0<`0o`L0oooo0@0000010?ooo`00
00<000000?ooo`3oool0103ooom_0<`0o`070<co003<0?l0c03o0<co003<0?l0c?l00<`0o`020<co
00030<`0o`3<o`00c?l00080c03o0P3<o`030<`0o`80c?l0103<0?l01P3<o`00c03o0<co003<0?l0
c?l00<`0o`D0c?l000@0c03o0<co003<0?l0c?l00`3<0?l01`3<o`00c03o0<co003<0?l0c?l00<`0
o`3<o`00K`3<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooL03<0?l50<co0080
c03o00@0c?l00<`0o`3<o`00c03o0P3<o`000`3<0?l0c?l00<`0o`020<`0o`040<co003<0?l0c03o
0<`0o`@0c?l01@3<0?l01`3<o`00c03o0<co003<o`00c03o0<co003<0?l00P3<o`020<`0o`060<co
003<0?l0c?l00<co003<0?l0c?l0L03<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0
ooooL@3<0?l00`3<o`00c03o0<`0o`020<co00<0c03o0P3<o`000`3<0?l0c?l00<`0o`030<co0006
0<`0o`3<o`00c?l00<co003<0?l0c?l00P3<0?l50<co00040<`0o`3<o`00c03o0<co00@0c03o0`3<
o`040<`0o`80c?l0L@3<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooLP3<0?l4
0<co0080c03o00@0c?l00<`0o`3<0?l0c?l00P3<0?l20<co0080c03o00<0c?l00<`0o`3<o`000P3<
o`020<`0o`80c?l000<0c03o0<co003<0?l0103<0?l01P3<o`00c03o0<`0o`3<0?l0c?l00<`0o`H0
c?l0LP3<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooL`3<0?l01`3<o`00c03o
0<`0o`3<o`00c03o0<co003<0?l00P3<o`040<`0o`<0c?l00P3<0?l0103<o`00c03o0<co003<0?l2
0<co00<0c03o0`3<o`030<`0o`<0c?l00`3<0?l00`3<o`00c03o0<co001c0<`0o`L0oooo0@000001
0?ooo`0000<000000?ooo`3oool0103ooomd0<`0o`@0c?l000D0c03o0<co003<0?l0c?l00<`0o`02
0<co0080c03o0`3<o`030<`0o`030<co003<0?l0c03o00@0c?l000@0c03o0<co003<o`00c?l00P3<
0?l01@3<o`00c03o0<co003<0?l0c?l00080c03o00<0c?l00<`0o`3<0?l0LP3<0?l70?ooo`400000
0@3oool000030000003oool0oooo00@0ooooM@3<0?l01@3<o`00c03o0<`0o`3<0?l0c?l000<0c03o
0`3<o`000`3<0?l0c?l00<co00030<co0080c03o00@0c?l00<`0o`3<0?l0c03o0`3<o`001P3<0?l0
c?l00<`0o`3<o`00c03o0<co00D0c03o00<0c?l00<`0o`3<0?l0L`3<0?l70?ooo`4000000@3oool0
00030000003oool0oooo00@0ooooN03<0?l01@3<o`00c03o0<`0o`3<0?l0c?l00080c03o0P3<o`02
0<`0o`030<co003<0?l0c?l000D0c?l00`3<0?l0103<o`00c03o0<`0o`3<0?l40<co00030<`0o`3<
o`00c?l007L0c03o1`3oool100000040oooo00000`000000oooo0?ooo`040?ooogX0c03o00@0c?l0
0<`0o`3<o`00c03o0P3<o`000`3<0?l0c?l00<co00040<`0o`030<co003<0?l0c03o00@0c03o0`3<
o`001@3<0?l0c?l00<`0o`3<0?l0c?l007X0c03o1`3oool100000040oooo00000`000000oooo0?oo
o`040?ooogX0c03o0P3<o`001`3<0?l0c?l00<`0o`3<o`00c03o0<co003<0?l01P3<o`000`3<0?l0
c?l00<`0o`040<co0080c03o1@3<o`1i0<`0o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0
103ooomm0<`0o`040<co003<0?l0c03o0<`0o`80c?l000D0c03o0<co003<0?l0c03o0<co00020<`0
o`<0c?l00P3<0?l00`3<o`00c03o0<co00020<co07`0c03o1`3oool100000040oooo00000`000000
oooo0?ooo`040?ooog`0c03o00D0c?l00<`0o`3<0?l0c03o0<co00020<`0o`030<co003<0?l0c03o
00<0c?l00P3<0?l20<co0080c03o0P3<o`00103<0?l0c?l00<co003<o`1k0<`0o`L0oooo0@000001
0?ooo`0000<000000?ooo`3oool0103ooomn0<`0o`040<co003<0?l0c?l00<`0o`80c?l00`3<0?l0
0`3<o`00c03o0<`0o`020<`0o`<0c?l000<0c03o0<co003<o`00OP3<0?l70?ooo`4000000@3oool0
00030000003oool0oooo00@0ooooOP3<0?l20<co00050<`0o`3<o`00c03o0<co003<0?l00P3<o`00
0`3<0?l0c?l00<`0o`020<co00030<`0o`3<o`00c?l000<0c03o00<0c?l00<`0o`3<0?l0N`3<0?l7
0?ooo`4000000@3oool000030000003oool0oooo00@0ooooP@3<0?l0103<o`00c03o0<`0o`3<0?l3
0<co0080c03o0`3<o`000`3<0?l0c?l00<`0o`200<`0o`L0oooo0@0000010?ooo`0000<000000?oo
o`3oool0103ooomn0<`0o`080<co003<0?l0c03o0<co003<0?l0c?l00<`0o`3<o`020<`0o`80c?l0
0P3<0?l40<co00030<`0o`3<o`00c03o07d0c03o1`3oool100000040oooo00000`000000oooo0?oo
o`040?ooogl0c03o1@3<o`001@3<0?l0c?l00<co003<o`00c03o0080c?l00P3<0?l20<co00030<`0
o`3<o`00c03o07h0c03o1`3oool100000040oooo00000`000000oooo0?ooo`040?oooh00c03o00<0
c?l00<`0o`3<0?l00P3<o`001@3<0?l0c?l00<`0o`3<o`00c03o00<0c?l000<0c03o0<co003<o`00
P03<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooP@3<0?l90<co0080c03o0`3<
o`210<`0o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooon20<`0o`060<co003<0?l0
c03o0<co003<0?l0c?l00P3<0?l0103<o`00c03o0<`0o`3<o`220<`0o`L0oooo0@0000010?ooo`00
00<000000?ooo`3oool0103ooon30<`0o`L0c?l00P3<0?l00`3<o`00c03o0<`0o`210<`0o`L0oooo
0@0000010?ooo`0000<000000?ooo`3oool0103ooon40<`0o`030<co003<0?l0c03o00D0c?l0Q03<
0?l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooQ@3<0?l30<co00030<`0o`3<o`00
c?l008D0c03o1`3oool100000040oooo00000`000000oooo0?ooo`040?ooohH0c03o00@0c?l00<`0
o`3<0?l0c?l0QP3<0?l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooQ`3<0?l20<co
08L0c03o1`3oool100000040oooo00000`000000oooo0?ooo`3o0?oooa`0oooo0@0000010?ooo`00
00<000000?ooo`3oool0o`3ooolL0?ooo`4000000@3oool00?l00000800000010?ooo`00\
\>"],
  ImageRangeCache->{{{153.125, 330.625}, {490.438, 402.125}} -> {-752.696, \
1907.2, 2.956, 2.956}}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["6.4",
    ButtonData:>"IPM3.6.4.3",
    ButtonStyle->"SolutionsLink"],
  "  Examples"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.6.4"],

Cell[CellGroupData[{

Cell["This is a simple modification of the code given in the text.", \
"SolutionItem",
  CellTags->"IPM3.Sol.6.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(alphabet\  = \ Map[FromCharacterCode\ , Range[97, 122]]\)], "Input",
  CellLabel->"In[1]:=",
  AspectRatioFixed->True,
  CellTags->"IPM3.Sol.6.4"],

Cell[BoxData[
    \({"a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", 
      "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z"}\)], "Output",\

  CellLabel->"Out[1]=",
  CellTags->"IPM3.Sol.6.4"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(coderules = 
      Thread[alphabet \[Rule] RotateRight[alphabet, 5]]\)], "Input",
  CellLabel->"In[2]:=",
  AspectRatioFixed->True,
  CellTags->"IPM3.Sol.6.4"],

Cell[BoxData[
    \({"a" \[Rule] "v", "b" \[Rule] "w", "c" \[Rule] "x", "d" \[Rule] "y", 
      "e" \[Rule] "z", "f" \[Rule] "a", "g" \[Rule] "b", "h" \[Rule] "c", 
      "i" \[Rule] "d", "j" \[Rule] "e", "k" \[Rule] "f", "l" \[Rule] "g", 
      "m" \[Rule] "h", "n" \[Rule] "i", "o" \[Rule] "j", "p" \[Rule] "k", 
      "q" \[Rule] "l", "r" \[Rule] "m", "s" \[Rule] "n", "t" \[Rule] "o", 
      "u" \[Rule] "p", "v" \[Rule] "q", "w" \[Rule] "r", "x" \[Rule] "s", 
      "y" \[Rule] "t", "z" \[Rule] "u"}\)], "Output",
  CellLabel->"Out[2]=",
  CellTags->"IPM3.Sol.6.4"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(decoderules = 
      Thread[alphabet \[Rule] RotateLeft[alphabet, 5]]\)], "Input",
  CellLabel->"In[3]:=",
  AspectRatioFixed->True,
  CellTags->"IPM3.Sol.6.4"],

Cell[BoxData[
    \({"a" \[Rule] "f", "b" \[Rule] "g", "c" \[Rule] "h", "d" \[Rule] "i", 
      "e" \[Rule] "j", "f" \[Rule] "k", "g" \[Rule] "l", "h" \[Rule] "m", 
      "i" \[Rule] "n", "j" \[Rule] "o", "k" \[Rule] "p", "l" \[Rule] "q", 
      "m" \[Rule] "r", "n" \[Rule] "s", "o" \[Rule] "t", "p" \[Rule] "u", 
      "q" \[Rule] "v", "r" \[Rule] "w", "s" \[Rule] "x", "t" \[Rule] "y", 
      "u" \[Rule] "z", "v" \[Rule] "a", "w" \[Rule] "b", "x" \[Rule] "c", 
      "y" \[Rule] "d", "z" \[Rule] "e"}\)], "Output",
  CellLabel->"Out[3]=",
  CellTags->"IPM3.Sol.6.4"]
}, Closed]],

Cell[BoxData[
    \(code[str_String] := 
      Apply[StringJoin, Characters[str] /. coderules]\)], "Input",
  CellLabel->"In[4]:=",
  AspectRatioFixed->True,
  CellTags->"IPM3.Sol.6.4"],

Cell[BoxData[
    \(decode[str_String] := 
      Apply[StringJoin, Characters[str] /. decoderules]\)], "Input",
  CellLabel->"In[5]:=",
  AspectRatioFixed->True,
  CellTags->"IPM3.Sol.6.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(code["\<squeamish ossifrage\>"]\)], "Input",
  CellLabel->"In[6]:=",
  AspectRatioFixed->True,
  CellTags->"IPM3.Sol.6.4"],

Cell[BoxData[
    \("nlpzvhdnc jnndamvbz"\)], "Output",
  CellLabel->"Out[6]=",
  CellTags->"IPM3.Sol.6.4"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(decode[%]\)], "Input",
  CellLabel->"In[7]:=",
  AspectRatioFixed->True,
  CellTags->"IPM3.Sol.6.4"],

Cell[BoxData[
    \("squeamish ossifrage"\)], "Output",
  CellLabel->"Out[7]=",
  CellTags->"IPM3.Sol.6.4"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "This version of ",
  StyleBox["matrixPlot", "MR"],
  " requires a list of rules as the second argument."
}], "SolutionItem",
  CounterAssignments->{{"SolutionItem", 2}},
  CellTags->"IPM3.Sol.6.4"],

Cell[BoxData[
    \(matrixPlot[mat_List, rules_] := \[IndentingNewLine]Show[
        Graphics[
          RasterArray[
            Reverse[mat] /. rules], \[IndentingNewLine]AspectRatio \[Rule] 
            Automatic]]\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.6.4"],

Cell[BoxData[
    \(\(dat = Table[Random[Integer], {50}, {50}];\)\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.6.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(matrixPlot[
      dat, {0 \[Rule] GrayLevel[ .2], 1 \[Rule] GrayLevel[ .6]}]\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.6.4"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.0190476 0.0238095 0.0190476 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of gray image
p
.02381 .02381 translate
.95238 .95238 scale
50 string
50 50 8 [50 0 0 50 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  Mimage
339999999933339933993399993333999933993399999999993399999999999999339999
9933999999333333999999999999
993333993333999933333399333333993333339999339933339933993399333399333333
3333333399999933333399339933
339933339999339933339999999999993399333399993333993333333333999999333399
9999339999339933999999333333
333399339999999933999933999933999999999933339933993399999999333399339999
9933333399339933339933999999
993399999999993333339999993399993399999999333333339933339999333399333333
9933993399993399339933333399
339999333333339933999933333399993399333333999933993399993333999933339933
3333993333333399333333333399
339999339933999933999999999933339999339933999999993333339933333333993333
9999993399993399999999999999
993399333333339933339999339933999999993333333399333399993399999933339933
9999993333999933339999339999
999933993399999933333333339999993399333399999999339933999933999933999999
9999333333993399333399333399
333399333333339999333399999999339933999999333333993333333399339933339999
3399993333339933339999993399
993399339999339999999933999933993399999933339933993399993333339933333399
3333339933993333339933999933
339999339999993333993399339933999933993333999933999999339933993399339999
3333993333333333999999339933
339933999999333399993399339999339933993399339999999933993399993333993333
9933333333993333339933339999
339933339999339999333333993399993399333333999999339999993399999999999933
3399993399999999993399999999
993399339999993333339999339999993333339933339999993399333399339933339933
9933993333333333999933993333
339933333399999999999999999999999933333333333399333399339933333399339999
9999993333999999999999339933
333333333333999999333333993333993333993333993333333399993399339999333333
9999333333999933993399999933
333333999933339999993333993399339999999999339999999999333399999933333399
3333333333333333333333333333
993399333399339933993399993333333333339933333333993333999933339999999999
9999999933333333333399999999
333399993399999933999999333399339933339999339933333399993333993333339999
9933993333333399999933333333
999999333399993399993399993399339933993399993333999999999933993333999933
3399993399999999333399339999
333399339999993399339999999999333399999999339999993399333399333399993333
9999339933339999993333999999
333399993399333399339933999933999933999999339999333333999933993399993333
3399339933999999333399333333
993399333399993333999933999999999999993399333333333399339933333333993399
9933999999999933993333999933
339933339933333333339999993399339933999999993333333399339933999933333333
9933999933339999993399993399
333333333333999933333399333333993333993333993333339933999933999999333399
9933993333339999339933993399
999999333333333333333399333333333399339999333333333399999933333399999933
3333993399999933333333999999
999933993399333333339999333333339999333399999933993399333333999933999933
9933999999993399993333333399
333333339933993399339933333333339999333399339999333399339999993399993333
9933339999333399333399993399
333399999999333333999933333399339933999933339933999999993333999933999933
3399999933333399339999999933
339999993333339999999933999999333333333399333399333333999999993399333333
3333339999333399333333999933
993333339933999933333333339933993399993399999933999933999999993399333399
9933333333339999333399993333
993399339999993333999999339933993399999933999999339933999999333399999933
3333999933339933339933333333
339999993333333333333333333399999999333333993399993333999999999933993399
9933999933339999339933333399
333399339933993399333333993333999933339933339999999999999999339999999933
3333333333333399333399333399
993333993399999999333399993333333333339999339999333399333333993399339933
9933333399333399993333339999
993333993333333333993333339933993399339999993399993399993399333399993333
3399993333999933999999999933
333333339933993333993333333333993333999999333333339933999933333333339933
3399999999339999993333339999
999933999933339999333399999933999933339999333333333333339999999933999999
9999339999333399339999339933
993399339999333333993399993399999999339999333399339933999999999933993399
3333993399993333993333993333
339999333333999933999999339933999933339933339933333399339999999933999999
3333339999999999333333333399
999999333399333333993333993333333333999933333399333333339999993399339933
9933333399999933339933339933
333399999999999933333333339933339933333399333333333333339933339933993333
3333333333333399333399339933
999933339999339933999933993333339999339999999933999999333333993333339933
9999339999339999339999993399
339933999933999999999999339933993399333399333399333333339933993333999999
9999333333339999333333339933
333333999999333333999999339999999999999933999999333333993333993399333333
9933999933339999339999993399
993399333333999933333333339999999933333333339933993399999933993399333399
9933333333999933339999333333
339933999999999999333399339999999999333399333333339999999999339999993399
3333339999333399339999999999
339999333399339933339999993333339999993399999999993399333333993399339999
9933993333339999999999993399
333399333333993333333333999999339933993399339933333333339933333333333399
9999999933993333993399999933
pop
P
% End of image
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[10]:=",
  ImageSize->{201, 201},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000390000bB000`400?l00000o`00003ob@3oool0
0<T0oooo00390?ooo`00b@3oool00<T0oooo00390?ooo`00103oool403<c<`l0VIVI200c<c<409VI
V@@0<c<c102IVIT303<c<`P0VIVI200c<c<709VIV@@0<c<c102IVIT403<c<a<0VIVI100c<c<K09VI
V@<0<c<c302IVIT403<c<`/0VIVI300c<c<G09VIV@D0oooo00040?ooo`@0<c<c3`2IVIT803<c<`@0
VIVI100c<c<409VIV@<0<c<c202IVIT803<c<`L0VIVI100c<c<409VIV@@0<c<c4`2IVIT403<c<a/0
VIVI0`0c<c<<09VIV@@0<c<c2`2IVIT<03<c<aL0VIVI1@3oool000@0oooo100c<c<?09VIV@P0<c<c
102IVIT403<c<`@0VIVI0`0c<c<809VIV@P0<c<c1`2IVIT403<c<`@0VIVI100c<c<C09VIV@@0<c<c
6`2IVIT303<c<``0VIVI100c<c<;09VIV@`0<c<c5`2IVIT50?ooo`00103oool403<c<`l0VIVI200c
<c<409VIV@@0<c<c102IVIT303<c<`P0VIVI200c<c<709VIV@@0<c<c102IVIT403<c<a<0VIVI100c
<c<K09VIV@<0<c<c302IVIT403<c<`/0VIVI300c<c<G09VIV@D0oooo00040?ooo`@0VIVI200c<c<4
09VIV@L0<c<c202IVIT;03<c<`@0VIVI300c<c<409VIV@/0<c<c202IVIT303<c<`@0VIVI200c<c<4
09VIV@@0<c<c0`2IVIT403<c<`@0VIVI200c<c<409VIVAX0<c<c302IVIT;03<c<`@0VIVI100c<c<4
09VIV@@0<c<c1@3oool000@0oooo102IVIT803<c<`@0VIVI1`0c<c<809VIV@/0<c<c102IVIT<03<c
<`@0VIVI2`0c<c<809VIV@<0<c<c102IVIT803<c<`@0VIVI100c<c<309VIV@@0<c<c102IVIT803<c
<`@0VIVI6P0c<c<<09VIV@/0<c<c102IVIT403<c<`@0VIVI100c<c<50?ooo`00103oool409VIV@P0
<c<c102IVIT703<c<`P0VIVI2`0c<c<409VIV@`0<c<c102IVIT;03<c<`P0VIVI0`0c<c<409VIV@P0
<c<c102IVIT403<c<`<0VIVI100c<c<409VIV@P0<c<c102IVITJ03<c<``0VIVI2`0c<c<409VIV@@0
<c<c102IVIT403<c<`D0oooo00040?ooo`@0VIVI200c<c<409VIV@L0<c<c202IVIT;03<c<`@0VIVI
300c<c<409VIV@/0<c<c202IVIT303<c<`@0VIVI200c<c<409VIV@@0<c<c0`2IVIT403<c<`@0VIVI
200c<c<409VIVAX0<c<c302IVIT;03<c<`@0VIVI100c<c<409VIV@@0<c<c1@3oool000@0oooo100c
<c<409VIV@P0<c<c1`2IVIT403<c<`@0VIVI200c<c<G09VIV@<0<c<c102IVIT803<c<`L0VIVI200c
<c<409VIVA<0<c<c302IVIT703<c<``0VIVI100c<c<709VIV@@0<c<c102IVIT403<c<`/0VIVI300c
<c<50?ooo`00103oool403<c<`@0VIVI200c<c<709VIV@@0<c<c102IVIT803<c<aL0VIVI0`0c<c<4
09VIV@P0<c<c1`2IVIT803<c<`@0VIVI4`0c<c<<09VIV@L0<c<c302IVIT403<c<`L0VIVI100c<c<4
09VIV@@0<c<c2`2IVIT<03<c<`D0oooo00040?ooo`@0<c<c102IVIT803<c<`L0VIVI100c<c<409VI
V@P0<c<c5`2IVIT303<c<`@0VIVI200c<c<709VIV@P0<c<c102IVITC03<c<``0VIVI1`0c<c<<09VI
V@@0<c<c1`2IVIT403<c<`@0VIVI100c<c<;09VIV@`0<c<c1@3oool000@0oooo100c<c<409VIV@P0
<c<c1`2IVIT403<c<`@0VIVI200c<c<G09VIV@<0<c<c102IVIT803<c<`L0VIVI200c<c<409VIVA<0
<c<c302IVIT703<c<``0VIVI100c<c<709VIV@@0<c<c102IVIT403<c<`/0VIVI300c<c<50?ooo`00
103oool803<c<`@0VIVI100c<c<?09VIV@@0<c<c1`2IVIT403<c<`P0VIVI100c<c<C09VIV@L0<c<c
102IVIT403<c<`@0VIVI100c<c<?09VIV@P0<c<c102IVIT303<c<``0VIVI2`0c<c<409VIV@@0<c<c
102IVIT803<c<`<0VIVI100c<c<<09VIV@D0oooo00040?ooo`P0<c<c102IVIT403<c<`l0VIVI100c
<c<709VIV@@0<c<c202IVIT403<c<a<0VIVI1`0c<c<409VIV@@0<c<c102IVIT403<c<`l0VIVI200c
<c<409VIV@<0<c<c302IVIT;03<c<`@0VIVI100c<c<409VIV@P0<c<c0`2IVIT403<c<``0VIVI1@3o
ool000@0oooo200c<c<409VIV@@0<c<c3`2IVIT403<c<`L0VIVI100c<c<809VIV@@0<c<c4`2IVIT7
03<c<`@0VIVI100c<c<409VIV@@0<c<c3`2IVIT803<c<`@0VIVI0`0c<c<<09VIV@/0<c<c102IVIT4
03<c<`@0VIVI200c<c<309VIV@@0<c<c302IVIT50?ooo`00103oool409VIV@@0<c<c4`2IVIT<03<c
<`/0VIVI100c<c<809VIV@<0<c<c402IVIT?03<c<`@0VIVI1`0c<c<809VIV@P0<c<c102IVIT;03<c
<`@0VIVI100c<c<409VIV@<0<c<c202IVIT403<c<`@0VIVI100c<c<309VIV@`0<c<c102IVIT50?oo
o`00103oool409VIV@@0<c<c4`2IVIT<03<c<`/0VIVI100c<c<809VIV@<0<c<c402IVIT?03<c<`@0
VIVI1`0c<c<809VIV@P0<c<c102IVIT;03<c<`@0VIVI100c<c<409VIV@<0<c<c202IVIT403<c<`@0
VIVI100c<c<309VIV@`0<c<c102IVIT50?ooo`00103oool409VIV@@0<c<c4`2IVIT<03<c<`/0VIVI
100c<c<809VIV@<0<c<c402IVIT?03<c<`@0VIVI1`0c<c<809VIV@P0<c<c102IVIT;03<c<`@0VIVI
100c<c<409VIV@<0<c<c202IVIT403<c<`@0VIVI100c<c<309VIV@`0<c<c102IVIT50?ooo`00103o
ool409VIV@@0<c<c4`2IVIT<03<c<`/0VIVI100c<c<809VIV@<0<c<c402IVIT?03<c<`@0VIVI1`0c
<c<809VIV@P0<c<c102IVIT;03<c<`@0VIVI100c<c<409VIV@<0<c<c202IVIT403<c<`@0VIVI100c
<c<309VIV@`0<c<c102IVIT50?ooo`00103oool403<c<`P0VIVI3`0c<c<409VIV@@0<c<c1`2IVIT<
03<c<`P0VIVI0`0c<c<409VIV@`0<c<c1`2IVIT403<c<`@0VIVI100c<c<709VIV@P0<c<c202IVIT7
03<c<`@0VIVI300c<c<409VIV@l0<c<c102IVITC03<c<`@0VIVI1@3oool000@0oooo100c<c<809VI
V@l0<c<c102IVIT403<c<`L0VIVI300c<c<809VIV@<0<c<c102IVIT<03<c<`L0VIVI100c<c<409VI
V@@0<c<c1`2IVIT803<c<`P0VIVI1`0c<c<409VIV@`0<c<c102IVIT?03<c<`@0VIVI4`0c<c<409VI
V@D0oooo00040?ooo`@0<c<c202IVIT?03<c<`@0VIVI100c<c<709VIV@`0<c<c202IVIT303<c<`@0
VIVI300c<c<709VIV@@0<c<c102IVIT403<c<`L0VIVI200c<c<809VIV@L0<c<c102IVIT<03<c<`@0
VIVI3`0c<c<409VIVA<0<c<c102IVIT50?ooo`00103oool403<c<`P0VIVI3`0c<c<409VIV@@0<c<c
1`2IVIT<03<c<`P0VIVI0`0c<c<409VIV@`0<c<c1`2IVIT403<c<`@0VIVI100c<c<709VIV@P0<c<c
202IVIT703<c<`@0VIVI300c<c<409VIV@l0<c<c102IVITC03<c<`@0VIVI1@3oool000@0oooo100c
<c<809VIV@@0<c<c0`2IVIT403<c<`P0VIVI100c<c<C09VIV@P0<c<c1`2IVIT403<c<`@0VIVI100c
<c<?09VIV@/0<c<c102IVIT@03<c<`<0VIVI200c<c<<09VIV@<0<c<c202IVIT403<c<a/0VIVI1@3o
ool000@0oooo100c<c<809VIV@@0<c<c0`2IVIT403<c<`P0VIVI100c<c<C09VIV@P0<c<c1`2IVIT4
03<c<`@0VIVI100c<c<?09VIV@/0<c<c102IVIT@03<c<`<0VIVI200c<c<<09VIV@<0<c<c202IVIT4
03<c<a/0VIVI1@3oool000@0oooo100c<c<809VIV@@0<c<c0`2IVIT403<c<`P0VIVI100c<c<C09VI
V@P0<c<c1`2IVIT403<c<`@0VIVI100c<c<?09VIV@/0<c<c102IVIT@03<c<`<0VIVI200c<c<<09VI
V@<0<c<c202IVIT403<c<a/0VIVI1@3oool000@0oooo100c<c<809VIV@@0<c<c0`2IVIT403<c<`P0
VIVI100c<c<C09VIV@P0<c<c1`2IVIT403<c<`@0VIVI100c<c<?09VIV@/0<c<c102IVIT@03<c<`<0
VIVI200c<c<<09VIV@<0<c<c202IVIT403<c<a/0VIVI1@3oool000@0oooo102IVIT403<c<`@0VIVI
3`0c<c<409VIV@P0<c<c1`2IVIT403<c<`@0VIVI100c<c<?09VIV@l0<c<c102IVIT803<c<`L0VIVI
100c<c<<09VIV@L0<c<c102IVIT403<c<``0VIVI1`0c<c<809VIV@P0<c<c1`2IVIT403<c<`P0VIVI
1@3oool000@0oooo102IVIT403<c<`@0VIVI3`0c<c<409VIV@P0<c<c1`2IVIT403<c<`@0VIVI100c
<c<?09VIV@l0<c<c102IVIT803<c<`L0VIVI100c<c<<09VIV@L0<c<c102IVIT403<c<``0VIVI1`0c
<c<809VIV@P0<c<c1`2IVIT403<c<`P0VIVI1@3oool000@0oooo102IVIT403<c<`@0VIVI3`0c<c<4
09VIV@P0<c<c1`2IVIT403<c<`@0VIVI100c<c<?09VIV@l0<c<c102IVIT803<c<`L0VIVI100c<c<<
09VIV@L0<c<c102IVIT403<c<``0VIVI1`0c<c<809VIV@P0<c<c1`2IVIT403<c<`P0VIVI1@3oool0
00@0oooo102IVIT403<c<`@0VIVI3`0c<c<409VIV@P0<c<c1`2IVIT403<c<`@0VIVI100c<c<?09VI
V@l0<c<c102IVIT803<c<`L0VIVI100c<c<<09VIV@L0<c<c102IVIT403<c<``0VIVI1`0c<c<809VI
V@P0<c<c1`2IVIT403<c<`P0VIVI1@3oool000@0oooo202IVIT403<c<`@0VIVI0`0c<c<<09VIVA<0
<c<c302IVIT303<c<`@0VIVI200c<c<?09VIV@@0<c<c102IVIT403<c<`L0VIVI100c<c<809VIV@@0
<c<c4`2IVIT;03<c<`@0VIVI100c<c<409VIV@L0<c<c102IVIT803<c<`@0VIVI1@3oool000@0oooo
202IVIT403<c<`@0VIVI0`0c<c<<09VIVA<0<c<c302IVIT303<c<`@0VIVI200c<c<?09VIV@@0<c<c
102IVIT403<c<`L0VIVI100c<c<809VIV@@0<c<c4`2IVIT;03<c<`@0VIVI100c<c<409VIV@L0<c<c
102IVIT803<c<`@0VIVI1@3oool000@0oooo202IVIT403<c<`@0VIVI0`0c<c<<09VIVA<0<c<c302I
VIT303<c<`@0VIVI200c<c<?09VIV@@0<c<c102IVIT403<c<`L0VIVI100c<c<809VIV@@0<c<c4`2I
VIT;03<c<`@0VIVI100c<c<409VIV@L0<c<c102IVIT803<c<`@0VIVI1@3oool000@0oooo200c<c<4
09VIV@l0<c<c202IVIT703<c<a00VIVI100c<c<309VIV@@0<c<c302IVIT;03<c<`@0VIVI3`0c<c<4
09VIV@@0<c<c102IVIT703<c<`P0VIVI100c<c<809VIV@/0<c<c102IVIT803<c<`/0VIVI100c<c<4
09VIV@D0oooo00040?ooo`P0<c<c102IVIT?03<c<`P0VIVI1`0c<c<@09VIV@@0<c<c0`2IVIT403<c
<``0VIVI2`0c<c<409VIV@l0<c<c102IVIT403<c<`@0VIVI1`0c<c<809VIV@@0<c<c202IVIT;03<c
<`@0VIVI200c<c<;09VIV@@0<c<c102IVIT50?ooo`00103oool803<c<`@0VIVI3`0c<c<809VIV@L0
<c<c402IVIT403<c<`<0VIVI100c<c<<09VIV@/0<c<c102IVIT?03<c<`@0VIVI100c<c<409VIV@L0
<c<c202IVIT403<c<`P0VIVI2`0c<c<409VIV@P0<c<c2`2IVIT403<c<`@0VIVI1@3oool000@0oooo
200c<c<409VIV@l0<c<c202IVIT703<c<a00VIVI100c<c<309VIV@@0<c<c302IVIT;03<c<`@0VIVI
3`0c<c<409VIV@@0<c<c102IVIT703<c<`P0VIVI100c<c<809VIV@/0<c<c102IVIT803<c<`/0VIVI
100c<c<409VIV@D0oooo00040?ooo`@0VIVI100c<c<409VIV@@0<c<c1`2IVIT403<c<`l0VIVI100c
<c<809VIV@@0<c<c102IVIT303<c<``0VIVI1`0c<c<409VIV@@0<c<c102IVIT403<c<`L0VIVI300c
<c<409VIV@/0<c<c102IVIT<03<c<`<0VIVI100c<c<409VIV@`0<c<c0`2IVIT403<c<`P0VIVI100c
<c<50?ooo`00103oool409VIV@@0<c<c102IVIT403<c<`L0VIVI100c<c<?09VIV@@0<c<c202IVIT4
03<c<`@0VIVI0`0c<c<<09VIV@L0<c<c102IVIT403<c<`@0VIVI100c<c<709VIV@`0<c<c102IVIT;
03<c<`@0VIVI300c<c<309VIV@@0<c<c102IVIT<03<c<`<0VIVI100c<c<809VIV@@0<c<c1@3oool0
00@0oooo102IVIT403<c<`@0VIVI100c<c<709VIV@@0<c<c3`2IVIT403<c<`P0VIVI100c<c<409VI
V@<0<c<c302IVIT703<c<`@0VIVI100c<c<409VIV@@0<c<c1`2IVIT<03<c<`@0VIVI2`0c<c<409VI
V@`0<c<c0`2IVIT403<c<`@0VIVI300c<c<309VIV@@0<c<c202IVIT403<c<`D0oooo00040?ooo`@0
VIVI100c<c<409VIV@@0<c<c1`2IVIT403<c<`l0VIVI100c<c<809VIV@@0<c<c102IVIT303<c<``0
VIVI1`0c<c<409VIV@@0<c<c102IVIT403<c<`L0VIVI300c<c<409VIV@/0<c<c102IVIT<03<c<`<0
VIVI100c<c<409VIV@`0<c<c0`2IVIT403<c<`P0VIVI100c<c<50?ooo`00103oool403<c<`P0VIVI
100c<c<;09VIV@P0<c<c102IVIT303<c<`@0VIVI100c<c<409VIV@@0<c<c1`2IVIT403<c<`@0VIVI
200c<c<709VIV@@0<c<c302IVIT303<c<`@0VIVI100c<c<409VIV@@0<c<c102IVIT303<c<`P0VIVI
200c<c<409VIVA<0<c<c2`2IVIT403<c<`@0VIVI100c<c<50?ooo`00103oool403<c<`P0VIVI100c
<c<;09VIV@P0<c<c102IVIT303<c<`@0VIVI100c<c<409VIV@@0<c<c1`2IVIT403<c<`@0VIVI200c
<c<709VIV@@0<c<c302IVIT303<c<`@0VIVI100c<c<409VIV@@0<c<c102IVIT303<c<`P0VIVI200c
<c<409VIVA<0<c<c2`2IVIT403<c<`@0VIVI100c<c<50?ooo`00103oool403<c<`P0VIVI100c<c<;
09VIV@P0<c<c102IVIT303<c<`@0VIVI100c<c<409VIV@@0<c<c1`2IVIT403<c<`@0VIVI200c<c<7
09VIV@@0<c<c302IVIT303<c<`@0VIVI100c<c<409VIV@@0<c<c102IVIT303<c<`P0VIVI200c<c<4
09VIVA<0<c<c2`2IVIT403<c<`@0VIVI100c<c<50?ooo`00103oool403<c<`P0VIVI100c<c<;09VI
V@P0<c<c102IVIT303<c<`@0VIVI100c<c<409VIV@@0<c<c1`2IVIT403<c<`@0VIVI200c<c<709VI
V@@0<c<c302IVIT303<c<`@0VIVI100c<c<409VIV@@0<c<c102IVIT303<c<`P0VIVI200c<c<409VI
VA<0<c<c2`2IVIT403<c<`@0VIVI100c<c<50?ooo`00103oool403<c<`@0VIVI100c<c<;09VIV@P0
<c<c202IVIT303<c<`@0VIVI100c<c<809VIV@@0<c<c0`2IVIT403<c<`@0VIVI100c<c<409VIV@<0
<c<c402IVIT403<c<`<0VIVI100c<c<809VIV@P0<c<c0`2IVIT803<c<`@0VIVI3`0c<c<409VIV@`0
<c<c0`2IVIT803<c<`P0VIVI1@3oool000@0oooo100c<c<409VIV@@0<c<c2`2IVIT803<c<`P0VIVI
0`0c<c<409VIV@@0<c<c202IVIT403<c<`<0VIVI100c<c<409VIV@@0<c<c102IVIT303<c<a00VIVI
100c<c<309VIV@@0<c<c202IVIT803<c<`<0VIVI200c<c<409VIV@l0<c<c102IVIT<03<c<`<0VIVI
200c<c<809VIV@D0oooo00040?ooo`@0<c<c102IVIT403<c<`/0VIVI200c<c<809VIV@<0<c<c102I
VIT403<c<`P0VIVI100c<c<309VIV@@0<c<c102IVIT403<c<`@0VIVI0`0c<c<@09VIV@@0<c<c0`2I
VIT403<c<`P0VIVI200c<c<309VIV@P0<c<c102IVIT?03<c<`@0VIVI300c<c<309VIV@P0<c<c202I
VIT50?ooo`00103oool403<c<`@0VIVI100c<c<;09VIV@P0<c<c202IVIT303<c<`@0VIVI100c<c<8
09VIV@@0<c<c0`2IVIT403<c<`@0VIVI100c<c<409VIV@<0<c<c402IVIT403<c<`<0VIVI100c<c<8
09VIV@P0<c<c0`2IVIT803<c<`@0VIVI3`0c<c<409VIV@`0<c<c0`2IVIT803<c<`P0VIVI1@3oool0
00@0oooo100c<c<409VIV@P0<c<c1`2IVIT403<c<`P0VIVI2`0c<c<409VIV@@0<c<c202IVIT303<c
<`@0VIVI300c<c<;09VIV@@0<c<c2`2IVIT403<c<aL0VIVI200c<c<809VIV@<0<c<c502IVIT303<c
<a00VIVI1@3oool000@0oooo100c<c<409VIV@P0<c<c1`2IVIT403<c<`P0VIVI2`0c<c<409VIV@@0
<c<c202IVIT303<c<`@0VIVI300c<c<;09VIV@@0<c<c2`2IVIT403<c<aL0VIVI200c<c<809VIV@<0
<c<c502IVIT303<c<a00VIVI1@3oool000@0oooo100c<c<409VIV@P0<c<c1`2IVIT403<c<`P0VIVI
2`0c<c<409VIV@@0<c<c202IVIT303<c<`@0VIVI300c<c<;09VIV@@0<c<c2`2IVIT403<c<aL0VIVI
200c<c<809VIV@<0<c<c502IVIT303<c<a00VIVI1@3oool000@0oooo102IVIT403<c<`@0VIVI100c
<c<;09VIV@`0<c<c1`2IVIT403<c<``0VIVI2`0c<c<409VIV@L0<c<c302IVIT403<c<`@0VIVI1`0c
<c<409VIV@@0<c<c102IVIT703<c<`@0VIVI100c<c<409VIV@@0<c<c102IVITC03<c<`L0VIVI100c
<c<409VIV@P0<c<c1@3oool000@0oooo102IVIT403<c<`@0VIVI100c<c<;09VIV@`0<c<c1`2IVIT4
03<c<``0VIVI2`0c<c<409VIV@L0<c<c302IVIT403<c<`@0VIVI1`0c<c<409VIV@@0<c<c102IVIT7
03<c<`@0VIVI100c<c<409VIV@@0<c<c102IVITC03<c<`L0VIVI100c<c<409VIV@P0<c<c1@3oool0
00@0oooo102IVIT403<c<`@0VIVI100c<c<;09VIV@`0<c<c1`2IVIT403<c<``0VIVI2`0c<c<409VI
V@L0<c<c302IVIT403<c<`@0VIVI1`0c<c<409VIV@@0<c<c102IVIT703<c<`@0VIVI100c<c<409VI
V@@0<c<c102IVITC03<c<`L0VIVI100c<c<409VIV@P0<c<c1@3oool000@0oooo102IVIT403<c<`@0
VIVI100c<c<;09VIV@`0<c<c1`2IVIT403<c<``0VIVI2`0c<c<409VIV@L0<c<c302IVIT403<c<`@0
VIVI1`0c<c<409VIV@@0<c<c102IVIT703<c<`@0VIVI100c<c<409VIV@@0<c<c102IVITC03<c<`L0
VIVI100c<c<409VIV@P0<c<c1@3oool000@0oooo100c<c<409VIV@/0<c<c;P2IVITG03<c<`@0VIVI
200c<c<409VIV@<0<c<c102IVIT<03<c<`@0VIVI0`0c<c<D09VIV@L0<c<c5`2IVIT403<c<`@0VIVI
100c<c<50?ooo`00103oool403<c<`@0VIVI2`0c<c<^09VIVAL0<c<c102IVIT803<c<`@0VIVI0`0c
<c<409VIV@`0<c<c102IVIT303<c<a@0VIVI1`0c<c<G09VIV@@0<c<c102IVIT403<c<`D0oooo0004
0?ooo`@0<c<c102IVIT;03<c<bh0VIVI5`0c<c<409VIV@P0<c<c102IVIT303<c<`@0VIVI300c<c<4
09VIV@<0<c<c502IVIT703<c<aL0VIVI100c<c<409VIV@@0<c<c1@3oool000@0oooo100c<c<409VI
V@/0<c<c;P2IVITG03<c<`@0VIVI200c<c<409VIV@<0<c<c102IVIT<03<c<`@0VIVI0`0c<c<D09VI
V@L0<c<c5`2IVIT403<c<`@0VIVI100c<c<50?ooo`00103ooolG03<c<``0VIVI2`0c<c<409VIV@P0
<c<c102IVIT703<c<`@0VIVI200c<c<309VIVA00<c<c1`2IVIT403<c<`@0VIVI100c<c<809VIV@/0
<c<c202IVIT;03<c<`P0VIVI100c<c<409VIV@<0<c<c302IVIT403<c<`D0oooo00040?oooaL0<c<c
302IVIT;03<c<`@0VIVI200c<c<409VIV@L0<c<c102IVIT803<c<`<0VIVI400c<c<709VIV@@0<c<c
102IVIT403<c<`P0VIVI2`0c<c<809VIV@/0<c<c202IVIT403<c<`@0VIVI0`0c<c<<09VIV@@0<c<c
1@3oool000@0oooo5`0c<c<<09VIV@/0<c<c102IVIT803<c<`@0VIVI1`0c<c<409VIV@P0<c<c0`2I
VIT@03<c<`L0VIVI100c<c<409VIV@@0<c<c202IVIT;03<c<`P0VIVI2`0c<c<809VIV@@0<c<c102I
VIT303<c<``0VIVI100c<c<50?ooo`00103ooolG03<c<``0VIVI2`0c<c<409VIV@P0<c<c102IVIT7
03<c<`@0VIVI200c<c<309VIVA00<c<c1`2IVIT403<c<`@0VIVI100c<c<809VIV@/0<c<c202IVIT;
03<c<`P0VIVI100c<c<409VIV@<0<c<c302IVIT403<c<`D0oooo00040?ooo``0<c<c1`2IVIT803<c
<``0VIVI1`0c<c<409VIV@@0<c<c102IVIT403<c<a<0VIVI0`0c<c<D09VIV@L0<c<c302IVIT;03<c
<`@0VIVI=P0c<c<50?ooo`00103oool<03<c<`L0VIVI200c<c<<09VIV@L0<c<c102IVIT403<c<`@0
VIVI100c<c<C09VIV@<0<c<c502IVIT703<c<``0VIVI2`0c<c<409VIVCH0<c<c1@3oool000@0oooo
300c<c<709VIV@P0<c<c302IVIT703<c<`@0VIVI100c<c<409VIV@@0<c<c4`2IVIT303<c<a@0VIVI
1`0c<c<<09VIV@/0<c<c102IVITf03<c<`D0oooo00040?ooo``0<c<c1`2IVIT803<c<``0VIVI1`0c
<c<409VIV@@0<c<c102IVIT403<c<a<0VIVI0`0c<c<D09VIV@L0<c<c302IVIT;03<c<`@0VIVI=P0c
<c<50?ooo`00103oool409VIV@@0<c<c102IVIT703<c<`@0VIVI100c<c<409VIV@@0<c<c102IVIT3
03<c<`P0VIVI5`0c<c<409VIV@l0<c<c102IVIT803<c<`L0VIVI200c<c<R09VIVAL0<c<c402IVIT5
0?ooo`00103oool409VIV@@0<c<c102IVIT703<c<`@0VIVI100c<c<409VIV@@0<c<c102IVIT303<c
<`P0VIVI5`0c<c<409VIV@l0<c<c102IVIT803<c<`L0VIVI200c<c<R09VIVAL0<c<c402IVIT50?oo
o`00103oool409VIV@@0<c<c102IVIT703<c<`@0VIVI100c<c<409VIV@@0<c<c102IVIT303<c<`P0
VIVI5`0c<c<409VIV@l0<c<c102IVIT803<c<`L0VIVI200c<c<R09VIVAL0<c<c402IVIT50?ooo`00
103oool803<c<`P0VIVI0`0c<c<<09VIV@@0<c<c2`2IVIT803<c<`@0VIVI100c<c<309VIV@P0<c<c
202IVIT303<c<`@0VIVI300c<c<709VIV@P0<c<c102IVIT;03<c<``0VIVI100c<c<409VIV@l0<c<c
2`2IVIT@03<c<`D0oooo00040?ooo`P0<c<c202IVIT303<c<``0VIVI100c<c<;09VIV@P0<c<c102I
VIT403<c<`<0VIVI200c<c<809VIV@<0<c<c102IVIT<03<c<`L0VIVI200c<c<409VIV@/0<c<c302I
VIT403<c<`@0VIVI3`0c<c<;09VIVA00<c<c1@3oool000@0oooo200c<c<809VIV@<0<c<c302IVIT4
03<c<`/0VIVI200c<c<409VIV@@0<c<c0`2IVIT803<c<`P0VIVI0`0c<c<409VIV@`0<c<c1`2IVIT8
03<c<`@0VIVI2`0c<c<<09VIV@@0<c<c102IVIT?03<c<`/0VIVI400c<c<50?ooo`00103oool803<c
<`P0VIVI0`0c<c<<09VIV@@0<c<c2`2IVIT803<c<`@0VIVI100c<c<309VIV@P0<c<c202IVIT303<c
<`@0VIVI300c<c<709VIV@P0<c<c102IVIT;03<c<``0VIVI100c<c<409VIV@l0<c<c2`2IVIT@03<c
<`D0oooo00040?ooo``0VIVI1`0c<c<809VIV@@0<c<c202IVIT303<c<`P0VIVI100c<c<409VIV@@0
<c<c0`2IVIT403<c<`@0VIVI100c<c<709VIV@P0<c<c4`2IVIT403<c<`@0VIVI200c<c<709VIV@P0
<c<c202IVIT303<c<a00VIVI1`0c<c<409VIV@@0<c<c202IVIT50?ooo`00103oool<09VIV@L0<c<c
202IVIT403<c<`P0VIVI0`0c<c<809VIV@@0<c<c102IVIT403<c<`<0VIVI100c<c<409VIV@@0<c<c
1`2IVIT803<c<a<0VIVI100c<c<409VIV@P0<c<c1`2IVIT803<c<`P0VIVI0`0c<c<@09VIV@L0<c<c
102IVIT403<c<`P0VIVI1@3oool000@0oooo302IVIT703<c<`P0VIVI100c<c<809VIV@<0<c<c202I
VIT403<c<`@0VIVI100c<c<309VIV@@0<c<c102IVIT403<c<`L0VIVI200c<c<C09VIV@@0<c<c102I
VIT803<c<`L0VIVI200c<c<809VIV@<0<c<c402IVIT703<c<`@0VIVI100c<c<809VIV@D0oooo0004
0?ooo``0VIVI1`0c<c<809VIV@@0<c<c202IVIT303<c<`P0VIVI100c<c<409VIV@@0<c<c0`2IVIT4
03<c<`@0VIVI100c<c<709VIV@P0<c<c4`2IVIT403<c<`@0VIVI200c<c<709VIV@P0<c<c202IVIT3
03<c<a00VIVI1`0c<c<409VIV@@0<c<c202IVIT50?ooo`00103oool803<c<`@0VIVI100c<c<;09VI
V@@0<c<c102IVIT403<c<a<0VIVI1`0c<c<@09VIV@<0<c<c302IVIT403<c<`@0VIVI1`0c<c<409VI
V@P0<c<c1`2IVIT803<c<`P0VIVI100c<c<309VIV@P0<c<c302IVIT703<c<``0VIVI1@3oool000@0
oooo200c<c<409VIV@@0<c<c2`2IVIT403<c<`@0VIVI100c<c<C09VIV@L0<c<c402IVIT303<c<``0
VIVI100c<c<409VIV@L0<c<c102IVIT803<c<`L0VIVI200c<c<809VIV@@0<c<c0`2IVIT803<c<``0
VIVI1`0c<c<<09VIV@D0oooo00040?ooo`P0<c<c102IVIT403<c<`/0VIVI100c<c<409VIV@@0<c<c
4`2IVIT703<c<a00VIVI0`0c<c<<09VIV@@0<c<c102IVIT703<c<`@0VIVI200c<c<709VIV@P0<c<c
202IVIT403<c<`<0VIVI200c<c<<09VIV@L0<c<c302IVIT50?ooo`00103oool803<c<`@0VIVI100c
<c<;09VIV@@0<c<c102IVIT403<c<a<0VIVI1`0c<c<@09VIV@<0<c<c302IVIT403<c<`@0VIVI1`0c
<c<409VIV@P0<c<c1`2IVIT803<c<`P0VIVI100c<c<309VIV@P0<c<c302IVIT703<c<``0VIVI1@3o
ool000@0oooo200c<c<809VIV@<0<c<c102IVIT803<c<`@0VIVI100c<c<309VIV@@0<c<c202IVIT4
03<c<`L0VIVI100c<c<<09VIV@<0<c<c202IVIT<03<c<`L0VIVI100c<c<409VIV@@0<c<c1`2IVIT<
03<c<`@0VIVI100c<c<309VIV@@0<c<c302IVIT703<c<`@0VIVI300c<c<50?ooo`00103oool803<c
<`P0VIVI0`0c<c<409VIV@P0<c<c102IVIT403<c<`<0VIVI100c<c<809VIV@@0<c<c1`2IVIT403<c
<``0VIVI0`0c<c<809VIV@`0<c<c1`2IVIT403<c<`@0VIVI100c<c<709VIV@`0<c<c102IVIT403<c
<`<0VIVI100c<c<<09VIV@L0<c<c102IVIT<03<c<`D0oooo00040?ooo`P0<c<c202IVIT303<c<`@0
VIVI200c<c<409VIV@@0<c<c0`2IVIT403<c<`P0VIVI100c<c<709VIV@@0<c<c302IVIT303<c<`P0
VIVI300c<c<709VIV@@0<c<c102IVIT403<c<`L0VIVI300c<c<409VIV@@0<c<c0`2IVIT403<c<``0
VIVI1`0c<c<409VIV@`0<c<c1@3oool000@0oooo102IVIT403<c<`@0VIVI1`0c<c<809VIV@P0<c<c
1`2IVIT403<c<a/0VIVI100c<c<409VIVA<0<c<c102IVIT303<c<`@0VIVI400c<c<309VIV@@0<c<c
202IVIT403<c<a<0VIVI100c<c<409VIV@L0<c<c202IVIT403<c<`D0oooo00040?ooo`@0VIVI100c
<c<409VIV@L0<c<c202IVIT803<c<`L0VIVI100c<c<K09VIV@@0<c<c102IVITC03<c<`@0VIVI0`0c
<c<409VIVA00<c<c0`2IVIT403<c<`P0VIVI100c<c<C09VIV@@0<c<c102IVIT703<c<`P0VIVI100c
<c<50?ooo`00103oool409VIV@@0<c<c102IVIT703<c<`P0VIVI200c<c<709VIV@@0<c<c6`2IVIT4
03<c<`@0VIVI4`0c<c<409VIV@<0<c<c102IVIT@03<c<`<0VIVI100c<c<809VIV@@0<c<c4`2IVIT4
03<c<`@0VIVI1`0c<c<809VIV@@0<c<c1@3oool000@0oooo102IVIT403<c<`@0VIVI1`0c<c<809VI
V@P0<c<c1`2IVIT403<c<a/0VIVI100c<c<409VIVA<0<c<c102IVIT303<c<`@0VIVI400c<c<309VI
V@@0<c<c202IVIT403<c<a<0VIVI100c<c<409VIV@L0<c<c202IVIT403<c<`D0oooo00040?ooo`@0
<c<c102IVIT803<c<`<0VIVI500c<c<;09VIV@@0<c<c102IVIT403<c<`<0VIVI100c<c<?09VIVA00
<c<c102IVIT303<c<`@0VIVI100c<c<809VIV@l0<c<c102IVIT403<c<`L0VIVI200c<c<<09VIV@<0
<c<c202IVIT403<c<`@0VIVI1@3oool000@0oooo100c<c<409VIV@P0<c<c0`2IVITD03<c<`/0VIVI
100c<c<409VIV@@0<c<c0`2IVIT403<c<`l0VIVI400c<c<409VIV@<0<c<c102IVIT403<c<`P0VIVI
3`0c<c<409VIV@@0<c<c1`2IVIT803<c<``0VIVI0`0c<c<809VIV@@0<c<c102IVIT50?ooo`00103o
ool403<c<`@0VIVI200c<c<309VIVA@0<c<c2`2IVIT403<c<`@0VIVI100c<c<309VIV@@0<c<c3`2I
VIT@03<c<`@0VIVI0`0c<c<409VIV@@0<c<c202IVIT?03<c<`@0VIVI100c<c<709VIV@P0<c<c302I
VIT303<c<`P0VIVI100c<c<409VIV@D0oooo00040?ooo`@0<c<c102IVIT803<c<`<0VIVI500c<c<;
09VIV@@0<c<c102IVIT403<c<`<0VIVI100c<c<?09VIVA00<c<c102IVIT303<c<`@0VIVI100c<c<8
09VIV@l0<c<c102IVIT403<c<`L0VIVI200c<c<<09VIV@<0<c<c202IVIT403<c<`@0VIVI1@3oool0
00@0oooo5`0c<c<809VIV@/0<c<c102IVIT<03<c<`@0VIVI1`0c<c<409VIV@P0<c<c0`2IVIT<03<c
<`@0VIVI100c<c<709VIV@@0<c<c302IVIT703<c<`P0VIVI100c<c<409VIV@/0<c<c202IVIT403<c
<`<0VIVI100c<c<409VIV@@0<c<c102IVIT50?ooo`00103ooolG03<c<`P0VIVI2`0c<c<409VIV@`0
<c<c102IVIT703<c<`@0VIVI200c<c<309VIV@`0<c<c102IVIT403<c<`L0VIVI100c<c<<09VIV@L0
<c<c202IVIT403<c<`@0VIVI2`0c<c<809VIV@@0<c<c0`2IVIT403<c<`@0VIVI100c<c<409VIV@D0
oooo00040?oooaL0<c<c202IVIT;03<c<`@0VIVI300c<c<409VIV@L0<c<c102IVIT803<c<`<0VIVI
300c<c<409VIV@@0<c<c1`2IVIT403<c<``0VIVI1`0c<c<809VIV@@0<c<c102IVIT;03<c<`P0VIVI
100c<c<309VIV@@0<c<c102IVIT403<c<`@0VIVI1@3oool000@0oooo5`0c<c<809VIV@/0<c<c102I
VIT<03<c<`@0VIVI1`0c<c<409VIV@P0<c<c0`2IVIT<03<c<`@0VIVI100c<c<709VIV@@0<c<c302I
VIT703<c<`P0VIVI100c<c<409VIV@/0<c<c202IVIT403<c<`<0VIVI100c<c<409VIV@@0<c<c102I
VIT50?ooo`00103oool<09VIVAh0<c<c102IVITC03<c<`@0VIVI100c<c<809VIVA<0<c<c2`2IVIT<
03<c<`/0VIVI300c<c<409VIV@<0<c<c302IVIT?03<c<``0VIVI1@3oool000@0oooo302IVITN03<c
<`@0VIVI4`0c<c<409VIV@@0<c<c202IVITC03<c<`/0VIVI300c<c<;09VIV@`0<c<c102IVIT303<c
<``0VIVI3`0c<c<<09VIV@D0oooo00040?ooo``0VIVI7P0c<c<409VIVA<0<c<c102IVIT403<c<`P0
VIVI4`0c<c<;09VIV@`0<c<c2`2IVIT<03<c<`@0VIVI0`0c<c<<09VIV@l0<c<c302IVIT50?ooo`00
103oool<09VIVAh0<c<c102IVITC03<c<`@0VIVI100c<c<809VIVA<0<c<c2`2IVIT<03<c<`/0VIVI
300c<c<409VIV@<0<c<c302IVIT?03<c<``0VIVI1@3oool000@0oooo202IVIT403<c<`@0VIVI0`0c
<c<409VIVA00<c<c1`2IVIT@03<c<`L0VIVI200c<c<;09VIV@@0<c<c102IVIT403<c<`@0VIVI2`0c
<c<809VIV@@0<c<c1`2IVIT403<c<`@0VIVI100c<c<?09VIV@@0<c<c202IVIT?03<c<`@0VIVI1@3o
ool000@0oooo202IVIT403<c<`@0VIVI0`0c<c<409VIVA00<c<c1`2IVIT@03<c<`L0VIVI200c<c<;
09VIV@@0<c<c102IVIT403<c<`@0VIVI2`0c<c<809VIV@@0<c<c1`2IVIT403<c<`@0VIVI100c<c<?
09VIV@@0<c<c202IVIT?03<c<`@0VIVI1@3oool000@0oooo202IVIT403<c<`@0VIVI0`0c<c<409VI
VA00<c<c1`2IVIT@03<c<`L0VIVI200c<c<;09VIV@@0<c<c102IVIT403<c<`@0VIVI2`0c<c<809VI
V@@0<c<c1`2IVIT403<c<`@0VIVI100c<c<?09VIV@@0<c<c202IVIT?03<c<`@0VIVI1@3oool000@0
oooo400c<c<309VIV@@0<c<c102IVIT403<c<`@0VIVI100c<c<309VIVA@0<c<c1`2IVIT803<c<`@0
VIVI0`0c<c<809VIV@P0<c<c102IVIT303<c<``0VIVI100c<c<709VIV@P0<c<c102IVIT803<c<`L0
VIVI200c<c<409VIV@L0<c<c202IVIT403<c<`@0VIVI1@3oool000@0oooo400c<c<309VIV@@0<c<c
102IVIT403<c<`@0VIVI100c<c<309VIVA@0<c<c1`2IVIT803<c<`@0VIVI0`0c<c<809VIV@P0<c<c
102IVIT303<c<``0VIVI100c<c<709VIV@P0<c<c102IVIT803<c<`L0VIVI200c<c<409VIV@L0<c<c
202IVIT403<c<`@0VIVI1@3oool000@0oooo400c<c<309VIV@@0<c<c102IVIT403<c<`@0VIVI100c
<c<309VIVA@0<c<c1`2IVIT803<c<`@0VIVI0`0c<c<809VIV@P0<c<c102IVIT303<c<``0VIVI100c
<c<709VIV@P0<c<c102IVIT803<c<`L0VIVI200c<c<409VIV@L0<c<c202IVIT403<c<`@0VIVI1@3o
ool000@0oooo400c<c<309VIV@@0<c<c102IVIT403<c<`@0VIVI100c<c<309VIVA@0<c<c1`2IVIT8
03<c<`@0VIVI0`0c<c<809VIV@P0<c<c102IVIT303<c<``0VIVI100c<c<709VIV@P0<c<c102IVIT8
03<c<`L0VIVI200c<c<409VIV@L0<c<c202IVIT403<c<`@0VIVI1@3oool000@0oooo200c<c<?09VI
V@`0<c<c1`2IVIT<03<c<`@0VIVI100c<c<309VIV@@0<c<c202IVIT703<c<`@0VIVI100c<c<?09VI
V@P0<c<c202IVIT403<c<`L0VIVI200c<c<;09VIV@`0<c<c102IVIT403<c<`l0VIVI100c<c<50?oo
o`00103oool803<c<`l0VIVI300c<c<709VIV@`0<c<c102IVIT403<c<`<0VIVI100c<c<809VIV@L0
<c<c102IVIT403<c<`l0VIVI200c<c<809VIV@@0<c<c1`2IVIT803<c<`/0VIVI300c<c<409VIV@@0
<c<c3`2IVIT403<c<`D0oooo00040?ooo`P0<c<c3`2IVIT<03<c<`L0VIVI300c<c<409VIV@@0<c<c
0`2IVIT403<c<`P0VIVI1`0c<c<409VIV@@0<c<c3`2IVIT803<c<`P0VIVI100c<c<709VIV@P0<c<c
2`2IVIT<03<c<`@0VIVI100c<c<?09VIV@@0<c<c1@3oool000@0oooo200c<c<?09VIV@`0<c<c1`2I
VIT<03<c<`@0VIVI100c<c<309VIV@@0<c<c202IVIT703<c<`@0VIVI100c<c<?09VIV@P0<c<c202I
VIT403<c<`L0VIVI200c<c<;09VIV@`0<c<c102IVIT403<c<`l0VIVI100c<c<50?ooo`00103oool4
03<c<``0VIVI2`0c<c<?09VIV@@0<c<c302IVITC03<c<`@0VIVI1`0c<c<409VIV@`0<c<c3`2IVIT4
03<c<`@0VIVI5`0c<c<709VIV@P0<c<c102IVIT;03<c<`P0VIVI100c<c<50?ooo`00103oool403<c
<``0VIVI2`0c<c<?09VIV@@0<c<c302IVITC03<c<`@0VIVI1`0c<c<409VIV@`0<c<c3`2IVIT403<c
<`@0VIVI5`0c<c<709VIV@P0<c<c102IVIT;03<c<`P0VIVI100c<c<50?ooo`00103oool403<c<``0
VIVI2`0c<c<?09VIV@@0<c<c302IVITC03<c<`@0VIVI1`0c<c<409VIV@`0<c<c3`2IVIT403<c<`@0
VIVI5`0c<c<709VIV@P0<c<c102IVIT;03<c<`P0VIVI100c<c<50?ooo`00103oool403<c<``0VIVI
2`0c<c<?09VIV@@0<c<c302IVITC03<c<`@0VIVI1`0c<c<409VIV@`0<c<c3`2IVIT403<c<`@0VIVI
5`0c<c<709VIV@P0<c<c102IVIT;03<c<`P0VIVI100c<c<50?ooo`00103oool409VIV@`0<c<c0`2I
VIT403<c<`P0VIVI4`0c<c<409VIV@@0<c<c102IVIT303<c<`P0VIVI100c<c<;09VIV@@0<c<c202I
VIT403<c<`l0VIVI100c<c<409VIV@L0<c<c202IVITC03<c<`P0VIVI1`0c<c<809VIV@P0<c<c1@3o
ool000@0oooo102IVIT<03<c<`<0VIVI100c<c<809VIVA<0<c<c102IVIT403<c<`@0VIVI0`0c<c<8
09VIV@@0<c<c2`2IVIT403<c<`P0VIVI100c<c<?09VIV@@0<c<c102IVIT703<c<`P0VIVI4`0c<c<8
09VIV@L0<c<c202IVIT803<c<`D0oooo00040?ooo`@0VIVI300c<c<309VIV@@0<c<c202IVITC03<c
<`@0VIVI100c<c<409VIV@<0<c<c202IVIT403<c<`/0VIVI100c<c<809VIV@@0<c<c3`2IVIT403<c
<`@0VIVI1`0c<c<809VIVA<0<c<c202IVIT703<c<`P0VIVI200c<c<50?ooo`00103oool409VIV@`0
<c<c0`2IVIT403<c<`P0VIVI4`0c<c<409VIV@@0<c<c102IVIT303<c<`P0VIVI100c<c<;09VIV@@0
<c<c202IVIT403<c<`l0VIVI100c<c<409VIV@L0<c<c202IVITC03<c<`P0VIVI1`0c<c<809VIV@P0
<c<c1@3oool000@0oooo102IVIT403<c<`@0VIVI100c<c<;09VIV@P0<c<c2`2IVIT403<c<`@0VIVI
100c<c<409VIV@<0<c<c302IVIT403<c<`/0VIVI100c<c<409VIV@@0<c<c2`2IVIT803<c<`/0VIVI
300c<c<709VIV@P0<c<c102IVIT803<c<`<0VIVI400c<c<50?ooo`00103oool409VIV@@0<c<c102I
VIT403<c<`/0VIVI200c<c<;09VIV@@0<c<c102IVIT403<c<`@0VIVI0`0c<c<<09VIV@@0<c<c2`2I
VIT403<c<`@0VIVI100c<c<;09VIV@P0<c<c2`2IVIT<03<c<`L0VIVI200c<c<409VIV@P0<c<c0`2I
VIT@03<c<`D0oooo00040?ooo`@0VIVI100c<c<409VIV@@0<c<c2`2IVIT803<c<`/0VIVI100c<c<4
09VIV@@0<c<c102IVIT303<c<``0VIVI100c<c<;09VIV@@0<c<c102IVIT403<c<`/0VIVI200c<c<;
09VIV@`0<c<c1`2IVIT803<c<`@0VIVI200c<c<309VIVA00<c<c1@3oool000@0oooo100c<c<<09VI
VBH0<c<c3`2IVIT<03<c<`<0VIVI100c<c<809VIV@P0<c<c4`2IVIT403<c<`<0VIVI100c<c<809VI
V@@0<c<c1`2IVIT803<c<`P0VIVI100c<c<309VIV@`0<c<c102IVIT50?ooo`00103oool403<c<``0
VIVI9P0c<c<?09VIV@`0<c<c0`2IVIT403<c<`P0VIVI200c<c<C09VIV@@0<c<c0`2IVIT403<c<`P0
VIVI100c<c<709VIV@P0<c<c202IVIT403<c<`<0VIVI300c<c<409VIV@D0oooo00040?ooo`@0<c<c
302IVITV03<c<`l0VIVI300c<c<309VIV@@0<c<c202IVIT803<c<a<0VIVI100c<c<309VIV@@0<c<c
202IVIT403<c<`L0VIVI200c<c<809VIV@@0<c<c0`2IVIT<03<c<`@0VIVI1@3oool000@0oooo100c
<c<<09VIVBH0<c<c3`2IVIT<03<c<`<0VIVI100c<c<809VIV@P0<c<c4`2IVIT403<c<`<0VIVI100c
<c<809VIV@@0<c<c1`2IVIT803<c<`P0VIVI100c<c<309VIV@`0<c<c102IVIT50?ooo`00103oool8
03<c<`@0VIVI100c<c<309VIV@@0<c<c102IVIT403<c<`@0VIVI2`0c<c<409VIV@P0<c<c1`2IVIT8
03<c<`@0VIVI1`0c<c<O09VIV@@0<c<c3`2IVITO03<c<`@0VIVI1`0c<c<409VIV@P0<c<c102IVIT5
0?ooo`00103oool803<c<`@0VIVI100c<c<309VIV@@0<c<c102IVIT403<c<`@0VIVI2`0c<c<409VI
V@P0<c<c1`2IVIT803<c<`@0VIVI1`0c<c<O09VIV@@0<c<c3`2IVITO03<c<`@0VIVI1`0c<c<409VI
V@P0<c<c102IVIT50?ooo`00103oool803<c<`@0VIVI100c<c<309VIV@@0<c<c102IVIT403<c<`@0
VIVI2`0c<c<409VIV@P0<c<c1`2IVIT803<c<`@0VIVI1`0c<c<O09VIV@@0<c<c3`2IVITO03<c<`@0
VIVI1`0c<c<409VIV@P0<c<c102IVIT50?ooo`00103oool803<c<`@0VIVI100c<c<309VIV@@0<c<c
102IVIT403<c<`@0VIVI2`0c<c<409VIV@P0<c<c1`2IVIT803<c<`@0VIVI1`0c<c<O09VIV@@0<c<c
3`2IVITO03<c<`@0VIVI1`0c<c<409VIV@P0<c<c102IVIT50?ooo`00103oool409VIV@P0<c<c102I
VIT303<c<a00VIVI1`0c<c<809VIVAL0<c<c202IVIT303<c<`P0VIVI200c<c<409VIV@/0<c<c102I
VIT403<c<`@0VIVI0`0c<c<409VIV@@0<c<c102IVIT;03<c<`@0VIVI200c<c<809VIV@/0<c<c202I
VIT50?ooo`00103oool409VIV@P0<c<c102IVIT303<c<a00VIVI1`0c<c<809VIVAL0<c<c202IVIT3
03<c<`P0VIVI200c<c<409VIV@/0<c<c102IVIT403<c<`@0VIVI0`0c<c<409VIV@@0<c<c102IVIT;
03<c<`@0VIVI200c<c<809VIV@/0<c<c202IVIT50?ooo`00103oool409VIV@P0<c<c102IVIT303<c
<a00VIVI1`0c<c<809VIVAL0<c<c202IVIT303<c<`P0VIVI200c<c<409VIV@/0<c<c102IVIT403<c
<`@0VIVI0`0c<c<409VIV@@0<c<c102IVIT;03<c<`@0VIVI200c<c<809VIV@/0<c<c202IVIT50?oo
o`00103oool409VIV@P0<c<c102IVIT303<c<a00VIVI1`0c<c<809VIVAL0<c<c202IVIT303<c<`P0
VIVI200c<c<409VIV@/0<c<c102IVIT403<c<`@0VIVI0`0c<c<409VIV@@0<c<c102IVIT;03<c<`@0
VIVI200c<c<809VIV@/0<c<c202IVIT50?ooo`00103oool409VIV@P0<c<c102IVITC03<c<`@0VIVI
2`0c<c<409VIV@@0<c<c102IVIT303<c<`@0VIVI100c<c<;09VIV@@0<c<c202IVIT403<c<`L0VIVI
100c<c<409VIV@P0<c<c1`2IVIT<03<c<`P0VIVI1`0c<c<809VIV@@0<c<c4`2IVIT403<c<`D0oooo
00040?ooo`@0VIVI200c<c<409VIVA<0<c<c102IVIT;03<c<`@0VIVI100c<c<409VIV@<0<c<c102I
VIT403<c<`/0VIVI100c<c<809VIV@@0<c<c1`2IVIT403<c<`@0VIVI200c<c<709VIV@`0<c<c202I
VIT703<c<`P0VIVI100c<c<C09VIV@@0<c<c1@3oool000@0oooo102IVIT803<c<`@0VIVI4`0c<c<4
09VIV@/0<c<c102IVIT403<c<`@0VIVI0`0c<c<409VIV@@0<c<c2`2IVIT403<c<`P0VIVI100c<c<7
09VIV@@0<c<c102IVIT803<c<`L0VIVI300c<c<809VIV@L0<c<c202IVIT403<c<a<0VIVI100c<c<5
0?ooo`00103oool@03<c<`<0VIVI100c<c<409VIV@P0<c<c102IVITC03<c<`@0VIVI1`0c<c<<09VI
V@l0<c<c102IVIT403<c<`L0VIVI4`0c<c<409VIV@P0<c<c3`2IVIT403<c<``0VIVI2`0c<c<809VI
V@D0oooo00040?oooa00<c<c0`2IVIT403<c<`@0VIVI200c<c<409VIVA<0<c<c102IVIT703<c<``0
VIVI3`0c<c<409VIV@@0<c<c1`2IVITC03<c<`@0VIVI200c<c<?09VIV@@0<c<c302IVIT;03<c<`P0
VIVI1@3oool000@0oooo400c<c<309VIV@@0<c<c102IVIT803<c<`@0VIVI4`0c<c<409VIV@L0<c<c
302IVIT?03<c<`@0VIVI100c<c<709VIVA<0<c<c102IVIT803<c<`l0VIVI100c<c<<09VIV@/0<c<c
202IVIT50?ooo`00103oool@03<c<`<0VIVI100c<c<409VIV@P0<c<c102IVITC03<c<`@0VIVI1`0c
<c<<09VIV@l0<c<c102IVIT403<c<`L0VIVI4`0c<c<409VIV@P0<c<c3`2IVIT403<c<``0VIVI2`0c
<c<809VIV@D0oooo00040?ooo`P0VIVI100c<c<709VIV@P0<c<c202IVIT703<c<``0VIVI100c<c<7
09VIV@P0<c<c202IVITJ03<c<a00VIVI100c<c<C09VIV@@0<c<c1`2IVIT803<c<`@0VIVI100c<c<7
09VIV@@0<c<c102IVIT403<c<`D0oooo00040?ooo`P0VIVI100c<c<709VIV@P0<c<c202IVIT703<c
<``0VIVI100c<c<709VIV@P0<c<c202IVITJ03<c<a00VIVI100c<c<C09VIV@@0<c<c1`2IVIT803<c
<`@0VIVI100c<c<709VIV@@0<c<c102IVIT403<c<`D0oooo00040?ooo`P0VIVI100c<c<709VIV@P0
<c<c202IVIT703<c<``0VIVI100c<c<709VIV@P0<c<c202IVITJ03<c<a00VIVI100c<c<C09VIV@@0
<c<c1`2IVIT803<c<`@0VIVI100c<c<709VIV@@0<c<c102IVIT403<c<`D0oooo00040?ooo`P0VIVI
100c<c<709VIV@P0<c<c202IVIT703<c<``0VIVI100c<c<709VIV@P0<c<c202IVITJ03<c<a00VIVI
100c<c<C09VIV@@0<c<c1`2IVIT803<c<`@0VIVI100c<c<709VIV@@0<c<c102IVIT403<c<`D0oooo
00040?ooo`@0VIVI100c<c<409VIV@@0<c<c1`2IVIT<03<c<`@0VIVI0`0c<c<809VIV@@0<c<c3`2I
VIT403<c<`P0VIVI1`0c<c<409VIV@@0<c<c102IVIT403<c<a<0VIVI100c<c<309VIV@@0<c<c102I
VIT803<c<`@0VIVI0`0c<c<809VIV@P0<c<c102IVIT703<c<`@0VIVI200c<c<50?ooo`00103oool4
09VIV@@0<c<c102IVIT403<c<`L0VIVI300c<c<409VIV@<0<c<c202IVIT403<c<`l0VIVI100c<c<8
09VIV@L0<c<c102IVIT403<c<`@0VIVI100c<c<C09VIV@@0<c<c0`2IVIT403<c<`@0VIVI200c<c<4
09VIV@<0<c<c202IVIT803<c<`@0VIVI1`0c<c<409VIV@P0<c<c1@3oool000@0oooo102IVIT403<c
<`@0VIVI100c<c<709VIV@`0<c<c102IVIT303<c<`P0VIVI100c<c<?09VIV@@0<c<c202IVIT703<c
<`@0VIVI100c<c<409VIV@@0<c<c4`2IVIT403<c<`<0VIVI100c<c<409VIV@P0<c<c102IVIT303<c
<`P0VIVI200c<c<409VIV@L0<c<c102IVIT803<c<`D0oooo00040?ooo`@0VIVI100c<c<409VIV@@0
<c<c1`2IVIT<03<c<`@0VIVI0`0c<c<809VIV@@0<c<c3`2IVIT403<c<`P0VIVI1`0c<c<409VIV@@0
<c<c102IVIT403<c<a<0VIVI100c<c<309VIV@@0<c<c102IVIT803<c<`@0VIVI0`0c<c<809VIV@P0
<c<c102IVIT703<c<`@0VIVI200c<c<50?ooo`00103oool403<c<`P0VIVI2`0c<c<809VIV@@0<c<c
2`2IVIT403<c<`@0VIVI100c<c<709VIV@P0<c<c102IVIT703<c<`@0VIVI300c<c<409VIV@<0<c<c
402IVIT403<c<`/0VIVI300c<c<C09VIVA<0<c<c102IVIT50?ooo`00103oool403<c<`P0VIVI2`0c
<c<809VIV@@0<c<c2`2IVIT403<c<`@0VIVI100c<c<709VIV@P0<c<c102IVIT703<c<`@0VIVI300c
<c<409VIV@<0<c<c402IVIT403<c<`/0VIVI300c<c<C09VIVA<0<c<c102IVIT50?ooo`00103oool4
03<c<`P0VIVI2`0c<c<809VIV@@0<c<c2`2IVIT403<c<`@0VIVI100c<c<709VIV@P0<c<c102IVIT7
03<c<`@0VIVI300c<c<409VIV@<0<c<c402IVIT403<c<`/0VIVI300c<c<C09VIVA<0<c<c102IVIT5
0?ooo`00103oool403<c<`P0VIVI2`0c<c<809VIV@@0<c<c2`2IVIT403<c<`@0VIVI100c<c<709VI
V@P0<c<c102IVIT703<c<`@0VIVI300c<c<409VIV@<0<c<c402IVIT403<c<`/0VIVI300c<c<C09VI
VA<0<c<c102IVIT50?ooo`00103oool<09VIV@L0<c<c102IVIT<03<c<`@0VIVI1`0c<c<409VIVA<0
<c<c202IVIT;03<c<`@0VIVI3`0c<c<<09VIV@@0<c<c102IVIT303<c<`@0VIVI100c<c<409VIV@/0
<c<c302IVIT803<c<`<0VIVI200c<c<409VIV@@0<c<c1@3oool000@0oooo302IVIT703<c<`@0VIVI
300c<c<409VIV@L0<c<c102IVITC03<c<`P0VIVI2`0c<c<409VIV@l0<c<c302IVIT403<c<`@0VIVI
0`0c<c<409VIV@@0<c<c102IVIT;03<c<``0VIVI200c<c<309VIV@P0<c<c102IVIT403<c<`D0oooo
00040?ooo``0VIVI1`0c<c<409VIV@`0<c<c102IVIT703<c<`@0VIVI4`0c<c<809VIV@/0<c<c102I
VIT?03<c<``0VIVI100c<c<409VIV@<0<c<c102IVIT403<c<`@0VIVI2`0c<c<<09VIV@P0<c<c0`2I
VIT803<c<`@0VIVI100c<c<50?ooo`00103oool803<c<aL0VIVI4`0c<c<409VIV@P0<c<c0`2IVIT<
03<c<`@0VIVI6P0c<c<409VIV@P0<c<c102IVIT403<c<`<0VIVI8`0c<c<409VIV@L0<c<c102IVIT4
03<c<`@0VIVI100c<c<50?ooo`00103oool803<c<aL0VIVI4`0c<c<409VIV@P0<c<c0`2IVIT<03<c
<`@0VIVI6P0c<c<409VIV@P0<c<c102IVIT403<c<`<0VIVI8`0c<c<409VIV@L0<c<c102IVIT403<c
<`@0VIVI100c<c<50?ooo`00103oool803<c<aL0VIVI4`0c<c<409VIV@P0<c<c0`2IVIT<03<c<`@0
VIVI6P0c<c<409VIV@P0<c<c102IVIT403<c<`<0VIVI8`0c<c<409VIV@L0<c<c102IVIT403<c<`@0
VIVI100c<c<50?ooo`00103oool803<c<aL0VIVI4`0c<c<409VIV@P0<c<c0`2IVIT<03<c<`@0VIVI
6P0c<c<409VIV@P0<c<c102IVIT403<c<`<0VIVI8`0c<c<409VIV@L0<c<c102IVIT403<c<`@0VIVI
100c<c<50?ooo`00103oool809VIV@P0<c<c1`2IVIT403<c<`@0VIVI100c<c<709VIV@@0<c<c102I
VIT<03<c<`L0VIVI100c<c<?09VIV@@0<c<c302IVIT;03<c<`@0VIVI2`0c<c<409VIV@@0<c<c202I
VIT403<c<`L0VIVI100c<c<809VIV@@0<c<c2`2IVIT403<c<`@0VIVI1@3oool000@0oooo202IVIT8
03<c<`L0VIVI100c<c<409VIV@@0<c<c1`2IVIT403<c<`@0VIVI300c<c<709VIV@@0<c<c3`2IVIT4
03<c<``0VIVI2`0c<c<409VIV@/0<c<c102IVIT403<c<`P0VIVI100c<c<709VIV@@0<c<c202IVIT4
03<c<`/0VIVI100c<c<409VIV@D0oooo00040?ooo`P0VIVI200c<c<709VIV@@0<c<c102IVIT403<c
<`L0VIVI100c<c<409VIV@`0<c<c1`2IVIT403<c<`l0VIVI100c<c<<09VIV@/0<c<c102IVIT;03<c
<`@0VIVI100c<c<809VIV@@0<c<c1`2IVIT403<c<`P0VIVI100c<c<;09VIV@@0<c<c102IVIT50?oo
o`00103oool809VIV@P0<c<c1`2IVIT403<c<`@0VIVI100c<c<709VIV@@0<c<c102IVIT<03<c<`L0
VIVI100c<c<?09VIV@@0<c<c302IVIT;03<c<`@0VIVI2`0c<c<409VIV@@0<c<c202IVIT403<c<`L0
VIVI100c<c<809VIV@@0<c<c2`2IVIT403<c<`@0VIVI1@3oool000@0oooo100c<c<409VIV@@0<c<c
1`2IVIT403<c<aL0VIVI100c<c<409VIV@@0<c<c102IVIT303<c<`@0VIVI200c<c<409VIV@L0<c<c
102IVIT?03<c<`@0VIVI100c<c<409VIV@P0<c<c4`2IVIT?03<c<`P0VIVI3`0c<c<409VIV@@0<c<c
1@3oool000@0oooo100c<c<409VIV@@0<c<c1`2IVIT403<c<aL0VIVI100c<c<409VIV@@0<c<c102I
VIT303<c<`@0VIVI200c<c<409VIV@L0<c<c102IVIT?03<c<`@0VIVI100c<c<409VIV@P0<c<c4`2I
VIT?03<c<`P0VIVI3`0c<c<409VIV@@0<c<c1@3oool000@0oooo100c<c<409VIV@@0<c<c1`2IVIT4
03<c<aL0VIVI100c<c<409VIV@@0<c<c102IVIT303<c<`@0VIVI200c<c<409VIV@L0<c<c102IVIT?
03<c<`@0VIVI100c<c<409VIV@P0<c<c4`2IVIT?03<c<`P0VIVI3`0c<c<409VIV@@0<c<c1@3oool0
00@0oooo100c<c<409VIV@@0<c<c1`2IVIT403<c<aL0VIVI100c<c<409VIV@@0<c<c102IVIT303<c
<`@0VIVI200c<c<409VIV@L0<c<c102IVIT?03<c<`@0VIVI100c<c<409VIV@P0<c<c4`2IVIT?03<c
<`P0VIVI3`0c<c<409VIV@@0<c<c1@3oool000@0oooo300c<c<;09VIV@`0<c<c2`2IVIT403<c<a/0
VIVI100c<c<;09VIV@`0<c<c0`2IVIT803<c<`@0VIVI100c<c<409VIV@/0<c<c102IVIT403<c<`L0
VIVI200c<c<809VIV@@0<c<c2`2IVIT403<c<`@0VIVI1@3oool000@0oooo300c<c<;09VIV@`0<c<c
2`2IVIT403<c<a/0VIVI100c<c<;09VIV@`0<c<c0`2IVIT803<c<`@0VIVI100c<c<409VIV@/0<c<c
102IVIT403<c<`L0VIVI200c<c<809VIV@@0<c<c2`2IVIT403<c<`@0VIVI1@3oool000@0oooo300c
<c<;09VIV@`0<c<c2`2IVIT403<c<a/0VIVI100c<c<;09VIV@`0<c<c0`2IVIT803<c<`@0VIVI100c
<c<409VIV@/0<c<c102IVIT403<c<`L0VIVI200c<c<809VIV@@0<c<c2`2IVIT403<c<`@0VIVI1@3o
ool000@0oooo300c<c<;09VIV@`0<c<c2`2IVIT403<c<a/0VIVI100c<c<;09VIV@`0<c<c0`2IVIT8
03<c<`@0VIVI100c<c<409VIV@/0<c<c102IVIT403<c<`L0VIVI200c<c<809VIV@@0<c<c2`2IVIT4
03<c<`@0VIVI1@3oool000@0oooo102IVIT403<c<`@0VIVI2`0c<c<809VIVA<0<c<c3`2IVITC03<c
<`@0VIVI100c<c<409VIV@@0<c<c2`2IVIT403<c<`@0VIVI100c<c<409VIV@L0<c<c202IVIT?03<c
<`P0VIVI200c<c<709VIV@`0<c<c1@3oool000@0oooo102IVIT403<c<`@0VIVI2`0c<c<809VIVA<0
<c<c3`2IVITC03<c<`@0VIVI100c<c<409VIV@@0<c<c2`2IVIT403<c<`@0VIVI100c<c<409VIV@L0
<c<c202IVIT?03<c<`P0VIVI200c<c<709VIV@`0<c<c1@3oool000@0oooo102IVIT403<c<`@0VIVI
2`0c<c<809VIVA<0<c<c3`2IVITC03<c<`@0VIVI100c<c<409VIV@@0<c<c2`2IVIT403<c<`@0VIVI
100c<c<409VIV@L0<c<c202IVIT?03<c<`P0VIVI200c<c<709VIV@`0<c<c1@3oool000@0oooo100c
<c<409VIV@@0<c<c5`2IVIT703<c<`@0VIVI100c<c<C09VIV@P0<c<c102IVIT?03<c<a<0VIVI100c
<c<;09VIV@@0<c<c102IVIT<03<c<`L0VIVI200c<c<409VIV@@0<c<c4`2IVIT50?ooo`00103oool4
03<c<`@0VIVI100c<c<G09VIV@L0<c<c102IVIT403<c<a<0VIVI200c<c<409VIV@l0<c<c4`2IVIT4
03<c<`/0VIVI100c<c<409VIV@`0<c<c1`2IVIT803<c<`@0VIVI100c<c<C09VIV@D0oooo00040?oo
o`@0<c<c102IVIT403<c<aL0VIVI1`0c<c<409VIV@@0<c<c4`2IVIT803<c<`@0VIVI3`0c<c<C09VI
V@@0<c<c2`2IVIT403<c<`@0VIVI300c<c<709VIV@P0<c<c102IVIT403<c<a<0VIVI1@3oool000@0
oooo100c<c<409VIV@@0<c<c5`2IVIT703<c<`@0VIVI100c<c<C09VIV@P0<c<c102IVIT?03<c<a<0
VIVI100c<c<;09VIV@@0<c<c102IVIT<03<c<`L0VIVI200c<c<409VIV@@0<c<c4`2IVIT50?ooo`00
103oool403<c<`P0VIVI1`0c<c<409VIV@@0<c<c102IVIT803<c<`/0VIVI300c<c<;09VIV@@0<c<c
4`2IVIT403<c<`@0VIVI2`0c<c<409VIV@@0<c<c102IVIT303<c<``0VIVI100c<c<409VIV@/0<c<c
5`2IVIT403<c<`@0VIVI1@3oool000@0oooo100c<c<809VIV@L0<c<c102IVIT403<c<`@0VIVI200c
<c<;09VIV@`0<c<c2`2IVIT403<c<a<0VIVI100c<c<409VIV@/0<c<c102IVIT403<c<`@0VIVI0`0c
<c<<09VIV@@0<c<c102IVIT;03<c<aL0VIVI100c<c<409VIV@D0oooo00040?ooo`@0<c<c202IVIT7
03<c<`@0VIVI100c<c<409VIV@P0<c<c2`2IVIT<03<c<`/0VIVI100c<c<C09VIV@@0<c<c102IVIT;
03<c<`@0VIVI100c<c<409VIV@<0<c<c302IVIT403<c<`@0VIVI2`0c<c<G09VIV@@0<c<c102IVIT5
0?ooo`00103oool403<c<`P0VIVI1`0c<c<409VIV@@0<c<c102IVIT803<c<`/0VIVI300c<c<;09VI
V@@0<c<c4`2IVIT403<c<`@0VIVI2`0c<c<409VIV@@0<c<c102IVIT303<c<``0VIVI100c<c<409VI
V@/0<c<c5`2IVIT403<c<`@0VIVI1@3oool000@0oooo200c<c<409VIV@/0<c<c102IVITC03<c<``0
VIVI100c<c<309VIV@@0<c<c102IVIT403<c<`@0VIVI0`0c<c<409VIVA<0<c<c102IVITG03<c<a<0
VIVI100c<c<409VIV@P0<c<c102IVIT303<c<``0VIVI100c<c<50?ooo`00103oool803<c<`@0VIVI
2`0c<c<409VIVA<0<c<c302IVIT403<c<`<0VIVI100c<c<409VIV@@0<c<c102IVIT303<c<`@0VIVI
4`0c<c<409VIVAL0<c<c4`2IVIT403<c<`@0VIVI200c<c<409VIV@<0<c<c302IVIT403<c<`D0oooo
00040?ooo`P0<c<c102IVIT;03<c<`@0VIVI4`0c<c<<09VIV@@0<c<c0`2IVIT403<c<`@0VIVI100c
<c<409VIV@<0<c<c102IVITC03<c<`@0VIVI5`0c<c<C09VIV@@0<c<c102IVIT803<c<`@0VIVI0`0c
<c<<09VIV@@0<c<c1@3oool000@0oooo200c<c<409VIV@/0<c<c102IVITC03<c<``0VIVI100c<c<3
09VIV@@0<c<c102IVIT403<c<`@0VIVI0`0c<c<409VIVA<0<c<c102IVITG03<c<a<0VIVI100c<c<4
09VIV@P0<c<c102IVIT303<c<``0VIVI100c<c<50?ooo`00b@3oool00<T0oooo00390?ooo`00b@3o
ool00<T0oooo0000\
\>"],
  ImageRangeCache->{{{153.125, 276.688}, {523.625, 400.063}} -> {-66.3117, \
168.733, 0.263432, 0.263432}},
  CellTags->"IPM3.Sol.6.4"],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[10]=",
  CellTags->"IPM3.Sol.6.4"]
}, Closed]],

Cell[TextData[{
  "You can plot any rectangular array of values with ",
  StyleBox["matrixPlot", "MR"],
  " so long as you specify the rules for coloring the various elements. For \
example, the following example generates 100 steps in the evolution of the \
rule 30 cellular automaton, starting with a single 1 cell and surrounded by \
0s."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.4"],

Cell[BoxData[
    \(\(ca30 = CellularAutomaton[30, {{1}, 0}, 100];\)\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.6.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(matrixPlot[
        ca30, {1 \[Rule] Hue[ .2], 0 \[Rule] Hue[ .6]}];\)\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.6.4"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .50249 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.00473821 0.011964 0.00473821 [
[ 0 0 0 0 ]
[ 1 .50249 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .50249 L
0 .50249 L
closepath
clip
newpath
% Start of colorimage (RGB)
p
.02381 .01196 translate
.95238 .47856 scale
603 string
201 101 8 [201 0 0 101 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  false 3 Mcolorimage
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FF
0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF
CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF00
0066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00
0066FF0066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF
CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF
CCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00
CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FF
CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF
CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FF
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF
0066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FFCCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF00
0066FF0066FF0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00
0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF
0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FF
CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00
0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF
CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
0066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF
0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
0066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
0066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00
0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00
0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF00
0066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00
0066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00
0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF
CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FF
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00
0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF
0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FFCCFF000066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
CCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF00
0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00
0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF
CCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF
CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF000066FF0066FF
CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF
CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00
0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF
CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF
0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FF0066FF
0066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF
CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF
0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF
0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00
CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
0066FF0066FF0066FF0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF
CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FF
0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF
0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF
CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
0066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF00
0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00
CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00
0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF00
0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00
CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
0066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF
0066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF
CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00
CCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF
0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00
0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF
0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
0066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00
0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
CCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FF
0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF00
CCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
CCFF000066FFCCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF
CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF000066FF
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF
CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF
CCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF
CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00
0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF
0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FFCCFF000066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF
0066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF
CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FFCCFF00
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00
0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF
0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00
0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF
0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FF
0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF
0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF
0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF
CCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF
0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FFCCFF00
0066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF
0066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF
CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00
0066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF
0066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00
0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
pop
P
% End of image
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[12]:=",
  ImageSize->{245, 123.063},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003e0000Nb000`400?l00000o`00003om@3oool0
0?D0oooo003e0?ooo`00m@3oool000H0oooo0P3<o`03001Vo`040<co0000I_l006Ko001Vo`@0c?l0
0P00I_l50<co00<006Ko1@3<o`000`00I_l0c?l0001Vo`03001Vo`80c?l00`00I_l00`3<o`0006Ko
0<co00030<co0003001Vo`3<o`00c?l000<0c?l000<006Ko0<co003<o`000P00I_l01@3<o`0006Ko
001Vo`00I_l0c?l000<006Ko0P3<o`000`00I_l0c?l0001Vo`05001Vo`<0c?l000<006Ko0<co0000
I_l00`00I_l00`3<o`0006Ko0<co0004001Vo`040<co0000I_l0c?l0001Vo`@0c?l00P00I_l00`3<
o`0006Ko0<co00050<co0003001Vo`3<o`0006Ko0080c?l00`00I_l00`3<o`0006Ko0<co00060<co
0006001Vo`3<o`00c?l0001Vo`3<o`0006Ko0P3<o`04001Vo`030<co0000I_l0c?l000D006Ko0P3<
o`001@00I_l0c?l0001Vo`00I_l0c?l000<006Ko00@0c?l0001Vo`3<o`00c?l00`00I_l20<co00<0
06Ko0P3<o`05001Vo`@0c?l000<006Ko0<co003<o`000`3<o`03001Vo`030<co0000I_l006Ko0080
c?l000<006Ko0<co003<o`000`3<o`001000I_l0c?l00<co0000I_l30<co0003001Vo`3<o`00c?l0
0080c?l00`00I_l01@3<o`0006Ko0<co0000I_l0c?l0008006Ko0`3<o`02001Vo`030<co0000I_l0
06Ko008006Ko00<0c?l00?ooo`3oool01P3oool000H0oooo00<006Ko0<co003<o`000P00I_l40<co
008006Ko0`3<o`001000I_l0c?l0001Vo`00I_l40<co0004001Vo`3<o`0006Ko001Vo`80c?l000<0
06Ko0<co003<o`000P3<o`000`00I_l0c?l00<co00020<co0003001Vo`3<o`00c?l000<006Ko0P3<
o`02001Vo`030<co0000I_l006Ko008006Ko0P3<o`001@00I_l0c?l00<co003<o`0006Ko00<0c?l0
00@006Ko0<co003<o`0006Ko1`3<o`02001Vo`030<co0000I_l0c?l000<0c?l000<006Ko0<co0000
I_l00`3<o`02001Vo`040<co0000I_l0c?l00<co00<006Ko0`3<o`03001Vo`80c?l00P00I_l0103<
o`0006Ko0<co0000I_l40<co0003001Vo`3<o`00c?l000<006Ko00D0c?l0001Vo`00I_l0c?l0001V
o`030<co00<006Ko103<o`000`00I_l0c?l00<co0007001Vo`030<co0000I_l0c?l0008006Ko0`3<
o`000`00I_l0c?l0001Vo`040<co0003001Vo`3<o`0006Ko00@006Ko103<o`02001Vo`060<co0000
I_l006Ko0<co0000I_l0c?l00`00I_l40<co00@006Ko00<0c?l0001Vo`3<o`000`00I_l00`3<o`00
06Ko0<co0003001Vo`80c?l000@006Ko0<co0000I_l006Ko0P3<o`02001Vo`040<co0000I_l0c?l0
001Vo`<0c?l00P00I_l20<co0003001Vo`3<o`00c?l000<0c?l000<006Ko0?ooo`3oool01P3oool0
00H0oooo0P00I_l30<co008006Ko00<0c?l0001Vo`00I_l00`00I_l00`3<o`0006Ko0<co00020<co
00<006Ko00D0c?l0001Vo`3<o`00c?l0001Vo`020<co0004001Vo`3<o`0006Ko001Vo`80c?l00`00
I_l00`3<o`0006Ko0<co0005001Vo`80c?l000<006Ko0<co003<o`000P3<o`000`00I_l0c?l0001V
o`02001Vo`<0c?l00P00I_l00`3<o`0006Ko0<co00020<co008006Ko00<0c?l0001Vo`00I_l00`3<
o`000`00I_l0c?l00<co0002001Vo`80c?l000<006Ko0<co003<o`000P00I_l30<co00<006Ko103<
o`02001Vo`<0c?l000D006Ko0<co003<o`00c?l0001Vo`020<co00@006Ko00@0c?l0001Vo`00I_l0
06Ko0`3<o`001P00I_l0c?l00<co0000I_l0c?l0001Vo`80c?l01@00I_l00`3<o`0006Ko001Vo`02
001Vo`L0c?l000<006Ko0<co0000I_l00`3<o`02001Vo`040<co0000I_l0c?l00<co00<006Ko00<0
c?l0001Vo`3<o`00103<o`001@00I_l0c?l0001Vo`00I_l0c?l0008006Ko0P3<o`000`00I_l0c?l0
001Vo`030<co0004001Vo`3<o`0006Ko001Vo`@0c?l000<006Ko0<co0000I_l00P3<o`02001Vo`03
0<co0000I_l0c?l00080c?l000@006Ko0<co003<o`00c?l01000I_l0203<o`0006Ko001Vo`3<o`00
06Ko0<co0000I_l0c?l01@00I_l20<co00<006Ko00<0c?l0001Vo`00I_l0203oool000H0oooo0`00
I_l30<co0003001Vo`3<o`00c?l00080c?l00P00I_l20<co008006Ko103<o`03001Vo`030<co0000
I_l0c?l00080c?l01000I_l30<co0003001Vo`3<o`00c?l000L006Ko0P3<o`03001Vo`80c?l01P00
I_l30<co00@006Ko0P3<o`001000I_l0c?l00<co0000I_l20<co00<006Ko0P3<o`001@00I_l0c?l0
0<co0000I_l0c?l000@006Ko1@3<o`02001Vo`@0c?l00P00I_l0103<o`0006Ko0<co003<o`03001V
o`<0c?l00P00I_l30<co0003001Vo`3<o`0006Ko00<006Ko00@0c?l0001Vo`3<o`0006Ko1P3<o`00
0`00I_l0c?l00<co00030<co008006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`03001Vo`@0c?l00`00
I_l30<co0004001Vo`3<o`0006Ko0<co008006Ko0P3<o`001000I_l0c?l00<co003<o`04001Vo`80
c?l00`00I_l20<co0004001Vo`3<o`00c?l00<co008006Ko0`3<o`03001Vo`<0c?l00`00I_l00`3<
o`0006Ko001Vo`02001Vo`@0c?l000H006Ko0<co0000I_l006Ko0<co0000I_l20<co00L006Ko103<
o`03001Vo`P0oooo00060?ooo`<006Ko0`3<o`000`00I_l0c?l00<co00020<co008006Ko0P3<o`02
001Vo`@0c?l00`00I_l00`3<o`0006Ko0<co00020<co00@006Ko0`3<o`000`00I_l0c?l00<co0007
001Vo`80c?l00`00I_l20<co00H006Ko0`3<o`04001Vo`80c?l000@006Ko0<co003<o`0006Ko0P3<
o`03001Vo`80c?l000D006Ko0<co003<o`0006Ko0<co0004001Vo`D0c?l00P00I_l40<co008006Ko
00@0c?l0001Vo`3<o`00c?l00`00I_l30<co008006Ko0`3<o`000`00I_l0c?l0001Vo`03001Vo`04
0<co0000I_l0c?l0001Vo`H0c?l000<006Ko0<co003<o`000`3<o`02001Vo`040<co0000I_l006Ko
001Vo`80c?l00`00I_l40<co00<006Ko0`3<o`001000I_l0c?l0001Vo`3<o`02001Vo`80c?l000@0
06Ko0<co003<o`00c?l01000I_l20<co00<006Ko0P3<o`001000I_l0c?l00<co003<o`02001Vo`<0
c?l00`00I_l30<co00<006Ko00<0c?l0001Vo`00I_l00P00I_l40<co0006001Vo`3<o`0006Ko001V
o`3<o`0006Ko0P3<o`07001Vo`@0c?l00`00I_l80?ooo`001P3oool5001Vo`80c?l00P00I_l00`3<
o`0006Ko001Vo`02001Vo`<0c?l00`00I_l40<co00@006Ko103<o`000`00I_l0c?l0001Vo`03001V
o`L0c?l000<006Ko0<co0000I_l01000I_l70<co008006Ko0`3<o`02001Vo`040<co0000I_l006Ko
001Vo`80c?l01P00I_l01@3<o`0006Ko0<co003<o`0006Ko00@0c?l000<006Ko0<co003<o`000P00
I_l30<co00<006Ko0P3<o`000`00I_l0c?l0001Vo`050<co008006Ko0`3<o`02001Vo`030<co0000
I_l0c?l000<0c?l000<006Ko0<co003<o`001000I_l01P3<o`0006Ko001Vo`3<o`0006Ko0<co00<0
06Ko0P3<o`001P00I_l0c?l00<co003<o`0006Ko0<co00H006Ko00<0c?l0001Vo`00I_l00`00I_l2
0<co0003001Vo`3<o`0006Ko00<0c?l01000I_l00`3<o`0006Ko001Vo`04001Vo`<0c?l000@006Ko
0<co003<o`00c?l00P00I_l20<co0003001Vo`3<o`00c?l000D006Ko103<o`001000I_l0c?l00<co
003<o`02001Vo`060<co0000I_l006Ko0<co0000I_l0c?l00P00I_l00`3<o`0006Ko0<co0009001V
o`030<co0000I_l006Ko00<006Ko203oool000H0oooo1P00I_l20<co0003001Vo`3<o`00c?l000<0
c?l00P00I_l20<co008006Ko00<0c?l0001Vo`00I_l00`3<o`02001Vo`050<co0000I_l006Ko0<co
0000I_l01@3<o`02001Vo`060<co0000I_l006Ko001Vo`3<o`0006Ko1P3<o`02001Vo`030<co0000
I_l006Ko00@0c?l00P00I_l30<co00D006Ko1P3<o`000`00I_l0c?l0001Vo`020<co0004001Vo`3<
o`0006Ko001Vo`80c?l01@00I_l00`3<o`0006Ko001Vo`03001Vo`040<co0000I_l0c?l00<co00<0
06Ko00<0c?l0001Vo`00I_l00P00I_l40<co00<006Ko0P3<o`03001Vo`<0c?l00P00I_l20<co0003
001Vo`3<o`0006Ko00<0c?l000<006Ko0<co0000I_l00P00I_l20<co0003001Vo`3<o`00c?l000<0
c?l00P00I_l50<co0004001Vo`3<o`00c?l0001Vo`80c?l00P00I_l40<co0003001Vo`3<o`00c?l0
00D0c?l00P00I_l0103<o`0006Ko0<co003<o`04001Vo`030<co0000I_l0c?l000H0c?l00`00I_l2
0<co008006Ko00<0c?l0001Vo`00I_l00P3<o`001000I_l0c?l0001Vo`3<o`02001Vo`030<co0000
I_l0c?l000T0c?l01P00I_l80?ooo`001P3oool7001Vo`80c?l00P00I_l20<co00@006Ko00<0c?l0
001Vo`00I_l00`3<o`02001Vo`030<co0000I_l006Ko0080c?l000@006Ko0<co0000I_l0c?l00`00
I_l20<co0003001Vo`3<o`00c?l00080c?l00`00I_l0103<o`0006Ko001Vo`00I_l20<co0004001V
o`3<o`00c?l00<co00<006Ko0P3<o`000`00I_l0c?l0001Vo`07001Vo`80c?l00P00I_l0103<o`00
06Ko0<co0000I_l30<co00@006Ko1@3<o`000`00I_l0c?l00<co00040<co00<006Ko0`3<o`000`00
I_l0c?l00<co00030<co00<006Ko103<o`06001Vo`030<co0000I_l006Ko008006Ko0P3<o`03001V
o`80c?l000D006Ko0<co003<o`00c?l0001Vo`020<co0005001Vo`3<o`0006Ko001Vo`3<o`001000
I_l00`3<o`0006Ko001Vo`020<co00@006Ko0`3<o`03001Vo`80c?l00P00I_l0103<o`0006Ko001V
o`00I_l20<co0003001Vo`3<o`0006Ko00H0c?l01000I_l0103<o`0006Ko001Vo`3<o`05001Vo`<0
c?l01000I_l0103<o`0006Ko0<co0000I_l30<co00<006Ko00D0c?l0001Vo`00I_l006Ko0<co0002
001Vo`030<co0000I_l006Ko00D006Ko203oool000H0oooo2000I_l20<co0003001Vo`3<o`00c?l0
00<0c?l000@006Ko0<co003<o`00c?l00P00I_l30<co00@006Ko00@0c?l0001Vo`3<o`00c?l01@00
I_l20<co00<006Ko0`3<o`000`00I_l0c?l00<co0002001Vo`050<co0000I_l006Ko001Vo`3<o`00
1@00I_l00`3<o`0006Ko0<co00070<co0005001Vo`3<o`00c?l00<co0000I_l00P3<o`04001Vo`D0
c?l00`00I_l01@3<o`0006Ko001Vo`00I_l0c?l000<006Ko0`3<o`000`00I_l0c?l0001Vo`03001V
o`030<co0000I_l006Ko00<0c?l000@006Ko0<co0000I_l006Ko1`3<o`06001Vo`<0c?l000@006Ko
0<co003<o`00c?l00P00I_l01@3<o`0006Ko0<co003<o`0006Ko0080c?l000<006Ko0<co003<o`00
0P3<o`001@00I_l0c?l00<co0000I_l0c?l000H006Ko00<0c?l0001Vo`00I_l00`00I_l30<co00D0
06Ko0P3<o`04001Vo`030<co0000I_l006Ko00<0c?l00P00I_l20<co0003001Vo`3<o`00c?l000@0
c?l00P00I_l40<co0003001Vo`3<o`00c?l000<006Ko103<o`000`00I_l0c?l00<co0002001Vo`<0
c?l02000I_l80?ooo`001P3oool9001Vo`80c?l00`00I_l0103<o`0006Ko001Vo`00I_l40<co0080
06Ko1@3<o`03001Vo`D0c?l000<006Ko0<co0000I_l01000I_l01@3<o`0006Ko001Vo`00I_l0c?l0
008006Ko0`3<o`000`00I_l0c?l00<co00030<co0003001Vo`3<o`00c?l000<006Ko00@0c?l0001V
o`00I_l0c?l01000I_l00`3<o`0006Ko0<co0006001Vo`030<co0000I_l006Ko0080c?l00P00I_l3
0<co0003001Vo`3<o`00c?l00080c?l00P00I_l00`3<o`0006Ko0<co00040<co00@006Ko0`3<o`04
001Vo`80c?l00P00I_l00`3<o`0006Ko001Vo`06001Vo`030<co0000I_l006Ko008006Ko0P3<o`00
0`00I_l0c?l0001Vo`020<co0003001Vo`3<o`0006Ko008006Ko00<0c?l0001Vo`00I_l00P00I_l0
0`3<o`0006Ko0<co00060<co00L006Ko00<0c?l0001Vo`00I_l01@00I_l50<co00@006Ko00<0c?l0
001Vo`00I_l00P00I_l00`3<o`0006Ko0<co0003001Vo`030<co0000I_l006Ko008006Ko00<0c?l0
001Vo`00I_l00P00I_l40<co00<006Ko00<0c?l0001Vo`3<o`001000I_l00`3<o`0006Ko001Vo`07
001Vo`P0oooo00060?ooo`X006Ko0`3<o`000`00I_l0c?l00<co00020<co00<006Ko0P3<o`000`00
I_l0c?l0001Vo`02001Vo`<0c?l000<006Ko0<co0000I_l00P00I_l00`3<o`0006Ko0<co00040<co
0005001Vo`3<o`00c?l00<co0000I_l00`3<o`02001Vo`80c?l00P00I_l20<co00<006Ko0P3<o`02
001Vo`80c?l000@006Ko0<co003<o`00c?l00P00I_l00`3<o`0006Ko0<co00060<co00@006Ko0`3<
o`02001Vo`80c?l00`00I_l20<co0003001Vo`3<o`00c?l000<006Ko00<0c?l0001Vo`00I_l01@00
I_l40<co0005001Vo`3<o`00c?l00<co0000I_l02@3<o`06001Vo`040<co0000I_l0c?l0001Vo`80
c?l000D006Ko0<co003<o`00c?l0001Vo`040<co0003001Vo`3<o`00c?l0008006Ko0P3<o`02001V
o`L0c?l000<006Ko0<co003<o`001@3<o`001000I_l0c?l0001Vo`00I_l50<co0003001Vo`3<o`00
c?l00080c?l000<006Ko0<co0000I_l00P3<o`02001Vo`@0c?l000<006Ko0<co003<o`000P3<o`00
1000I_l0c?l0001Vo`00I_l30<co0003001Vo`3<o`0006Ko00D0c?l02P00I_l80?ooo`001P3oool:
001Vo`<0c?l000<006Ko0<co003<o`000P3<o`03001Vo`80c?l000<006Ko0<co0000I_l00P00I_l3
0<co0003001Vo`3<o`0006Ko008006Ko00<0c?l0001Vo`3<o`00103<o`001@00I_l0c?l00<co003<
o`0006Ko00<0c?l00P00I_l20<co008006Ko0P3<o`03001Vo`80c?l00P00I_l20<co0004001Vo`3<
o`00c?l00<co008006Ko00<0c?l0001Vo`3<o`001P3<o`04001Vo`<0c?l00P00I_l20<co00<006Ko
0P3<o`000`00I_l0c?l00<co0003001Vo`030<co0000I_l006Ko00D006Ko103<o`001@00I_l0c?l0
0<co003<o`0006Ko00T0c?l01P00I_l0103<o`0006Ko0<co0000I_l20<co0005001Vo`3<o`00c?l0
0<co0000I_l0103<o`000`00I_l0c?l00<co0002001Vo`80c?l00P00I_l70<co0003001Vo`3<o`00
c?l000D0c?l000@006Ko0<co0000I_l006Ko1@3<o`000`00I_l0c?l00<co00020<co0003001Vo`3<
o`0006Ko0080c?l00P00I_l40<co0003001Vo`3<o`00c?l00080c?l000@006Ko0<co0000I_l006Ko
0`3<o`000`00I_l0c?l0001Vo`050<co00X006Ko203oool000H0oooo2`00I_l30<co008006Ko00<0
c?l0001Vo`00I_l00`00I_l00`3<o`0006Ko0<co00030<co008006Ko00@0c?l0001Vo`3<o`00c?l0
0P00I_l00`3<o`0006Ko0<co0002001Vo`<0c?l00P00I_l00`3<o`0006Ko0<co0005001Vo`80c?l0
00<006Ko0<co003<o`000P3<o`000`00I_l0c?l0001Vo`03001Vo`80c?l00P00I_l00`3<o`0006Ko
001Vo`020<co008006Ko00@0c?l0001Vo`00I_l006Ko103<o`000`00I_l0c?l0001Vo`04001Vo`80
c?l00P00I_l0103<o`0006Ko001Vo`00I_l20<co008006Ko1P3<o`02001Vo`050<co0000I_l006Ko
0<co0000I_l00P3<o`03001Vo`030<co0000I_l006Ko0080c?l00P00I_l60<co0003001Vo`3<o`00
06Ko0080c?l01000I_l0103<o`0006Ko001Vo`00I_l20<co00<006Ko0P3<o`000`00I_l0c?l00<co
00020<co008006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`02001Vo`060<co0000I_l006Ko001Vo`3<
o`0006Ko0P3<o`000`00I_l0c?l00<co0002001Vo`80c?l00P00I_l30<co00<006Ko00@0c?l0001V
o`00I_l0c?l00P00I_l20<co00<006Ko0P3<o`04001Vo`80c?l000<006Ko0<co003<o`000P00I_l2
0<co00/006Ko203oool000H0oooo3@00I_l20<co0003001Vo`3<o`00c?l000<0c?l000<006Ko0<co
003<o`000P00I_l40<co00<006Ko00<0c?l0001Vo`00I_l00P3<o`05001Vo`80c?l000<006Ko0<co
003<o`001`00I_l20<co00<006Ko0P3<o`06001Vo`<0c?l01000I_l20<co0003001Vo`3<o`00c?l0
008006Ko00<0c?l0001Vo`00I_l00P3<o`07001Vo`<0c?l01@00I_l30<co008006Ko00@0c?l0001V
o`00I_l0c?l00P00I_l20<co0003001Vo`3<o`0006Ko00@0c?l000@006Ko0<co003<o`00c?l01@00
I_l00`3<o`0006Ko001Vo`030<co00<006Ko103<o`000`00I_l0c?l00<co00020<co00H006Ko0P3<
o`03001Vo`<0c?l01@00I_l20<co0003001Vo`3<o`00c?l00080c?l00`00I_l00`3<o`0006Ko0<co
00020<co0003001Vo`3<o`0006Ko00@006Ko0`3<o`001000I_l0c?l0001Vo`00I_l20<co0003001V
o`3<o`0006Ko00@006Ko1@3<o`04001Vo`<0c?l03@00I_l80?ooo`001P3oool>001Vo`80c?l00P00
I_l20<co00<006Ko0`3<o`03001Vo`@0c?l01000I_l40<co008006Ko00@0c?l0001Vo`00I_l006Ko
1`3<o`000`00I_l0c?l0001Vo`04001Vo`L0c?l00P00I_l40<co0003001Vo`3<o`0006Ko008006Ko
0`3<o`04001Vo`L0c?l000<006Ko0<co0000I_l01`00I_l30<co0004001Vo`3<o`00c?l00<co00@0
06Ko00@0c?l0001Vo`3<o`00c?l00`00I_l20<co008006Ko1P3<o`05001Vo`@0c?l00`00I_l00`3<
o`0006Ko0<co0002001Vo`H0c?l000<006Ko0<co0000I_l01000I_l00`3<o`0006Ko001Vo`05001V
o`80c?l00`00I_l40<co00@006Ko00<0c?l0001Vo`3<o`001@3<o`02001Vo`80c?l01000I_l00`3<
o`0006Ko0<co00040<co0005001Vo`3<o`0006Ko001Vo`3<o`001P00I_l00`3<o`0006Ko001Vo`0<
001Vo`P0oooo00060?ooo`l006Ko0P3<o`000`00I_l0c?l00<co00030<co008006Ko0`3<o`001000
I_l0c?l0001Vo`00I_l40<co0005001Vo`3<o`0006Ko001Vo`3<o`000P00I_l40<co008006Ko0P3<
o`02001Vo`030<co0000I_l0c?l000D0c?l00P00I_l0103<o`0006Ko001Vo`00I_l30<co008006Ko
0`3<o`05001Vo`H0c?l00P00I_l20<co008006Ko0P3<o`0;001Vo`80c?l00P00I_l50<co00<006Ko
0`3<o`000`00I_l0c?l0001Vo`03001Vo`80c?l00P00I_l40<co008006Ko00<0c?l0001Vo`00I_l0
0P3<o`02001Vo`80c?l01000I_l20<co008006Ko00<0c?l0001Vo`3<o`001@3<o`09001Vo`80c?l0
0P00I_l00`3<o`0006Ko001Vo`030<co008006Ko00<0c?l0001Vo`3<o`000P00I_l00`3<o`0006Ko
001Vo`03001Vo`@0c?l000@006Ko0<co0000I_l0c?l00P00I_l20<co0004001Vo`3<o`00c?l0001V
o`L0c?l03`00I_l80?ooo`001P3oool@001Vo`80c?l00`00I_l00`3<o`0006Ko001Vo`02001Vo`80
c?l000@006Ko0<co003<o`00c?l00P00I_l20<co0005001Vo`3<o`00c?l0001Vo`3<o`000P00I_l0
0`3<o`0006Ko001Vo`020<co0003001Vo`3<o`00c?l00080c?l00`00I_l0103<o`0006Ko001Vo`00
I_l20<co0003001Vo`3<o`00c?l00080c?l00P00I_l20<co0003001Vo`3<o`00c?l000P006Ko00<0
c?l0001Vo`00I_l00P3<o`001P00I_l0c?l00<co003<o`0006Ko0<co00d006Ko0`3<o`02001Vo`80
c?l01@00I_l20<co0003001Vo`3<o`00c?l00080c?l000H006Ko0<co003<o`00c?l0001Vo`3<o`02
001Vo`030<co0000I_l006Ko0080c?l000<006Ko0<co0000I_l00`00I_l40<co0008001Vo`3<o`00
c?l00<co0000I_l0c?l0001Vo`3<o`03001Vo`030<co0000I_l006Ko00T006Ko00<0c?l0001Vo`00
I_l00`3<o`02001Vo`050<co0000I_l006Ko0<co0000I_l00P3<o`000`00I_l0c?l00<co00040<co
008006Ko0P3<o`000`00I_l0c?l0001Vo`020<co0005001Vo`3<o`00c?l0001Vo`3<o`000`00I_l0
1@3<o`0006Ko001Vo`00I_l0c?l0010006Ko203oool000H0oooo4@00I_l30<co0003001Vo`3<o`00
c?l00080c?l000@006Ko0<co003<o`00c?l00P00I_l30<co00@006Ko00<0c?l0001Vo`3<o`000P3<
o`04001Vo`80c?l00`00I_l30<co0006001Vo`3<o`00c?l00<co0000I_l0c?l00`00I_l20<co00@0
06Ko00<0c?l0001Vo`3<o`001`3<o`02001Vo`80c?l000<006Ko0<co0000I_l00`00I_l00`3<o`00
06Ko0<co000=0<co008006Ko0P3<o`000`00I_l0c?l00<co00040<co0004001Vo`3<o`00c?l00<co
008006Ko00<0c?l0001Vo`00I_l00P00I_l00`3<o`0006Ko0<co00020<co00@006Ko00<0c?l0001V
o`3<o`00103<o`02001Vo`030<co0000I_l006Ko008006Ko00@0c?l0001Vo`3<o`0006Ko0P3<o`02
001Vo`/0c?l000@006Ko0<co003<o`00c?l00P00I_l20<co0007001Vo`3<o`0006Ko001Vo`3<o`00
06Ko0<co0003001Vo`80c?l00P00I_l20<co0004001Vo`3<o`00c?l00<co00<006Ko00D0c?l0001V
o`3<o`00c?l0001Vo`030<co0003001Vo`3<o`00c?l00080c?l04@00I_l80?ooo`001P3ooolA001V
o`<0c?l000<006Ko0<co003<o`000P3<o`001000I_l0c?l00<co003<o`02001Vo`<0c?l01000I_l0
0`3<o`0006Ko0<co00020<co00@006Ko0P3<o`03001Vo`<0c?l000H006Ko0<co003<o`00c?l0001V
o`3<o`03001Vo`80c?l01000I_l00`3<o`0006Ko0<co00070<co008006Ko0P3<o`000`00I_l0c?l0
001Vo`03001Vo`030<co0000I_l0c?l000d0c?l00P00I_l20<co0003001Vo`3<o`00c?l000@0c?l0
00@006Ko0<co003<o`00c?l00P00I_l00`3<o`0006Ko001Vo`02001Vo`030<co0000I_l0c?l00080
c?l01000I_l00`3<o`0006Ko0<co00040<co008006Ko00<0c?l0001Vo`00I_l00P00I_l0103<o`00
06Ko0<co0000I_l20<co008006Ko2`3<o`001000I_l0c?l00<co003<o`02001Vo`80c?l000L006Ko
0<co0000I_l006Ko0<co0000I_l0c?l000<006Ko0P3<o`02001Vo`80c?l000@006Ko0<co003<o`00
c?l00`00I_l01@3<o`0006Ko0<co003<o`0006Ko00<0c?l000<006Ko0<co003<o`000P3<o`0A001V
o`P0oooo00060?oooa8006Ko0`3<o`02001Vo`030<co0000I_l006Ko008006Ko0`3<o`02001Vo`D0
c?l00`00I_l50<co0003001Vo`3<o`0006Ko00@006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`001@00
I_l0c?l00<co003<o`0006Ko00D0c?l000<006Ko0<co003<o`000`00I_l0103<o`0006Ko001Vo`3<
o`04001Vo`030<co0000I_l0c?l000@0c?l00`00I_l01@3<o`0006Ko001Vo`00I_l0c?l0008006Ko
00<0c?l0001Vo`00I_l00P3<o`04001Vo`040<co0000I_l0c?l00<co008006Ko00<0c?l0001Vo`00
I_l00P00I_l20<co0004001Vo`3<o`00c?l00<co008006Ko0P3<o`02001Vo`@0c?l000@006Ko0<co
0000I_l0c?l00`00I_l20<co0004001Vo`3<o`00c?l00<co008006Ko0P3<o`03001Vo`040<co0000
I_l006Ko0<co008006Ko00<0c?l0001Vo`00I_l00P3<o`02001Vo`030<co0000I_l0c?l000D006Ko
00<0c?l0001Vo`3<o`000P00I_l00`3<o`0006Ko0<co00020<co0006001Vo`3<o`00c?l00<co0000
I_l0c?l01000I_l30<co0003001Vo`3<o`00c?l000@006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`0B
001Vo`P0oooo00060?oooa@006Ko0P3<o`000`00I_l0c?l00<co00030<co008006Ko0P3<o`000`00
I_l0c?l0001Vo`02001Vo`<0c?l000<006Ko0<co003<o`000P00I_l00`3<o`0006Ko0<co00040<co
0005001Vo`3<o`00c?l00<co0000I_l00`3<o`02001Vo`80c?l00`00I_l0103<o`0006Ko001Vo`00
I_l30<co0004001Vo`3<o`00c?l0001Vo`@0c?l000@006Ko0<co0000I_l0c?l00P00I_l40<co0003
001Vo`3<o`00c?l0008006Ko0P3<o`001000I_l0c?l00<co0000I_l50<co0003001Vo`3<o`0006Ko
00<0c?l000@006Ko0<co003<o`00c?l00P00I_l01@3<o`0006Ko001Vo`00I_l0c?l000@006Ko0`3<
o`02001Vo`80c?l000<006Ko0<co0000I_l00P3<o`02001Vo`050<co0000I_l006Ko001Vo`3<o`00
1000I_l30<co0004001Vo`3<o`0006Ko001Vo`80c?l000@006Ko0<co003<o`0006Ko0`3<o`000`00
I_l0c?l0001Vo`050<co0003001Vo`3<o`0006Ko00<0c?l00`00I_l00`3<o`0006Ko001Vo`02001V
o`80c?l01P00I_l0103<o`0006Ko001Vo`00I_l40<co0003001Vo`3<o`00c?l00080c?l05000I_l8
0?ooo`001P3ooolE001Vo`80c?l00P00I_l00`3<o`0006Ko001Vo`03001Vo`030<co0000I_l0c?l0
00<0c?l00P00I_l00`3<o`0006Ko0<co00020<co0004001Vo`3<o`0006Ko0<co00<006Ko0P3<o`02
001Vo`040<co0000I_l0c?l00<co00@006Ko0`3<o`001P00I_l0c?l00<co003<o`0006Ko0<co00@0
06Ko0P3<o`02001Vo`80c?l000<006Ko0<co003<o`001@00I_l01@3<o`0006Ko001Vo`00I_l0c?l0
008006Ko00H0c?l0001Vo`00I_l006Ko0<co0000I_l20<co008006Ko0P3<o`04001Vo`80c?l00P00
I_l00`3<o`0006Ko001Vo`030<co0003001Vo`3<o`00c?l000<0c?l00P00I_l20<co0004001Vo`3<
o`00c?l00<co00<006Ko00<0c?l0001Vo`00I_l00`3<o`000`00I_l0c?l00<co00030<co008006Ko
0P3<o`04001Vo`030<co0000I_l0c?l000@006Ko00D0c?l0001Vo`3<o`0006Ko0<co0003001Vo`80
c?l00`00I_l50<co00H006Ko1P3<o`000`00I_l0c?l00<co00020<co00<006Ko0P3<o`02001Vo`03
0<co0000I_l006Ko01<006Ko203oool000H0oooo5P00I_l20<co0003001Vo`3<o`00c?l000<0c?l0
00<006Ko0<co003<o`000`00I_l30<co00@006Ko00@0c?l0001Vo`3<o`00c?l01@00I_l20<co0003
001Vo`3<o`00c?l000L006Ko0`3<o`02001Vo`80c?l01P00I_l30<co00@006Ko103<o`02001Vo`<0
c?l000@006Ko0<co0000I_l006Ko0`3<o`000`00I_l0c?l0001Vo`030<co0003001Vo`3<o`0006Ko
00D006Ko0P3<o`001000I_l0c?l00<co003<o`02001Vo`030<co0000I_l0c?l000<006Ko0P3<o`00
0`00I_l0c?l0001Vo`03001Vo`<0c?l000@006Ko0<co003<o`00c?l00P00I_l20<co008006Ko0P3<
o`04001Vo`@0c?l000<006Ko0<co0000I_l00`3<o`02001Vo`040<co0000I_l0c?l00<co00D006Ko
103<o`03001Vo`030<co0000I_l006Ko00H006Ko00<0c?l0001Vo`00I_l00`3<o`02001Vo`030<co
0000I_l006Ko00<006Ko0`3<o`0F001Vo`P0oooo00060?oooaL006Ko0P3<o`03001Vo`040<co0000
I_l006Ko001Vo`@0c?l00P00I_l50<co00<006Ko1@3<o`000`00I_l0c?l0001Vo`02001Vo`L0c?l0
00<006Ko0<co003<o`001000I_l70<co008006Ko103<o`001000I_l0c?l0001Vo`00I_l30<co0080
06Ko00<0c?l0001Vo`3<o`000P3<o`02001Vo`80c?l01000I_l00`3<o`0006Ko0<co00050<co0003
001Vo`3<o`0006Ko008006Ko0`3<o`000`00I_l0c?l00<co0005001Vo`030<co0000I_l0c?l000@0
c?l00P00I_l00`3<o`0006Ko0<co0005001Vo`80c?l000<006Ko0<co003<o`00103<o`02001Vo`80
c?l000<006Ko0<co003<o`000P00I_l30<co00<006Ko1@3<o`001000I_l0c?l0001Vo`00I_l30<co
0003001Vo`3<o`00c?l000L0c?l01@00I_l30<co00L006Ko00<0c?l0001Vo`00I_l05@00I_l80?oo
o`001P3ooolH001Vo`80c?l00P00I_l40<co008006Ko0`3<o`001000I_l0c?l0001Vo`00I_l40<co
0004001Vo`3<o`0006Ko001Vo`80c?l000<006Ko0<co003<o`000P3<o`03001Vo`050<co0000I_l0
06Ko0<co0000I_l01P3<o`02001Vo`80c?l00P00I_l30<co00<006Ko0P3<o`04001Vo`<0c?l000@0
06Ko0<co0000I_l0c?l01@00I_l50<co00<006Ko00<0c?l0001Vo`00I_l00P3<o`001@00I_l0c?l0
0<co003<o`0006Ko0080c?l00`00I_l50<co0004001Vo`3<o`0006Ko0<co008006Ko0`3<o`000`00
I_l0c?l0001Vo`050<co0003001Vo`3<o`0006Ko00<006Ko00<0c?l0001Vo`00I_l00P3<o`001@00
I_l0c?l00<co0000I_l0c?l000@006Ko103<o`000`00I_l0c?l0001Vo`02001Vo`060<co0000I_l0
c?l00<co0000I_l0c?l01000I_l0103<o`0006Ko001Vo`3<o`03001Vo`H0c?l00P00I_l80<co01P0
06Ko203oool000H0oooo6@00I_l30<co008006Ko00<0c?l0001Vo`00I_l00`00I_l00`3<o`0006Ko
0<co00020<co00<006Ko00D0c?l0001Vo`3<o`00c?l0001Vo`020<co0004001Vo`3<o`0006Ko001V
o`80c?l00P00I_l30<co00@006Ko00<0c?l0001Vo`00I_l00P3<o`000`00I_l0c?l00<co00020<co
008006Ko0P3<o`02001Vo`030<co0000I_l006Ko00D006Ko00@0c?l0001Vo`3<o`0006Ko1@3<o`00
1000I_l0c?l0001Vo`00I_l40<co0004001Vo`3<o`00c?l0001Vo`<0c?l00P00I_l00`3<o`0006Ko
0<co00030<co0004001Vo`3<o`0006Ko001Vo`80c?l000<006Ko0<co003<o`001@00I_l01@3<o`00
06Ko0<co0000I_l0c?l000<006Ko00<0c?l0001Vo`3<o`00103<o`04001Vo`050<co0000I_l0c?l0
0<co0000I_l01@3<o`03001Vo`030<co0000I_l0c?l000<0c?l00`00I_l00`3<o`0006Ko0<co0003
0<co0004001Vo`3<o`00c?l00<co00D006Ko00<0c?l0001Vo`00I_l0103<o`02001Vo`050<co0000
I_l006Ko001Vo`3<o`006@00I_l80?ooo`001P3ooolI001Vo`<0c?l00P00I_l00`3<o`0006Ko001V
o`03001Vo`030<co0000I_l0c?l00080c?l00`00I_l01@3<o`0006Ko0<co003<o`0006Ko0080c?l0
00@006Ko0<co0000I_l006Ko0P3<o`02001Vo`<0c?l01000I_l00`3<o`0006Ko001Vo`020<co0003
001Vo`3<o`00c?l00080c?l00P00I_l20<co008006Ko00<0c?l0001Vo`00I_l01@00I_l0103<o`00
06Ko0<co0000I_l50<co0004001Vo`3<o`0006Ko001Vo`@0c?l000@006Ko0<co003<o`0006Ko0`3<
o`02001Vo`030<co0000I_l0c?l000<0c?l000@006Ko0<co0000I_l006Ko0P3<o`000`00I_l0c?l0
0<co0005001Vo`050<co0000I_l0c?l0001Vo`3<o`000`00I_l00`3<o`0006Ko0<co00040<co00@0
06Ko00D0c?l0001Vo`3<o`00c?l0001Vo`050<co00<006Ko00<0c?l0001Vo`3<o`000`3<o`03001V
o`030<co0000I_l0c?l000<0c?l000@006Ko0<co003<o`00c?l01@00I_l00`3<o`0006Ko001Vo`04
0<co008006Ko00D0c?l0001Vo`00I_l006Ko0<co000I001Vo`P0oooo00060?oooaX006Ko0`3<o`00
0`00I_l0c?l00<co00020<co008006Ko0P3<o`02001Vo`@0c?l00`00I_l00`3<o`0006Ko0<co0002
0<co00@006Ko0`3<o`02001Vo`<0c?l00P00I_l20<co0003001Vo`3<o`0006Ko00<006Ko00<0c?l0
001Vo`00I_l00P00I_l00`3<o`0006Ko001Vo`060<co008006Ko00D0c?l0001Vo`3<o`0006Ko0<co
0003001Vo`030<co0000I_l0c?l00080c?l00`00I_l00`3<o`0006Ko0<co0004001Vo`80c?l000<0
06Ko0<co003<o`000`00I_l00`3<o`0006Ko0<co00020<co00@006Ko103<o`02001Vo`040<co0000
I_l0c?l0001Vo`<0c?l000@006Ko0<co0000I_l0c?l00P00I_l50<co0003001Vo`3<o`00c?l000@0
06Ko00<0c?l0001Vo`00I_l00`3<o`000`00I_l0c?l00<co0002001Vo`@0c?l000<006Ko0<co003<
o`000`00I_l20<co008006Ko1@3<o`001000I_l0c?l00<co003<o`03001Vo`80c?l000<006Ko0<co
003<o`000P3<o`0J001Vo`P0oooo00060?oooa`006Ko0P3<o`02001Vo`030<co0000I_l006Ko0080
06Ko0`3<o`03001Vo`@0c?l01000I_l40<co0003001Vo`3<o`0006Ko00@006Ko00<0c?l0001Vo`00
I_l00P00I_l00`3<o`0006Ko0<co00020<co008006Ko103<o`001000I_l0c?l00<co003<o`02001V
o`040<co0000I_l006Ko0<co008006Ko00@0c?l0001Vo`3<o`0006Ko0`3<o`000`00I_l0c?l00<co
0002001Vo`<0c?l000<006Ko0<co0000I_l00`3<o`02001Vo`040<co0000I_l006Ko001Vo`<0c?l0
00<006Ko0<co003<o`000P00I_l40<co0005001Vo`3<o`0006Ko001Vo`3<o`000P00I_l20<co00<0
06Ko0P3<o`000`00I_l0c?l0001Vo`030<co00<006Ko00@0c?l0001Vo`00I_l006Ko103<o`001@00
I_l0c?l00<co0000I_l0c?l000@006Ko0`3<o`03001Vo`030<co0000I_l0c?l000D006Ko0P3<o`00
0`00I_l0c?l0001Vo`02001Vo`80c?l00P00I_l30<co0003001Vo`3<o`0006Ko008006Ko00<0c?l0
001Vo`00I_l06P00I_l80?ooo`001P3ooolM001Vo`80c?l000<006Ko0<co003<o`000`3<o`02001V
o`80c?l00P00I_l00`3<o`0006Ko001Vo`030<co008006Ko00D0c?l0001Vo`00I_l0c?l0001Vo`05
0<co0003001Vo`3<o`00c?l00080c?l000<006Ko0<co003<o`000P00I_l30<co008006Ko00@0c?l0
001Vo`00I_l006Ko0`3<o`001@00I_l0c?l00<co0000I_l0c?l0008006Ko0P3<o`03001Vo`80c?l0
00<006Ko0<co0000I_l00`00I_l20<co0003001Vo`3<o`00c?l0008006Ko00<0c?l0001Vo`00I_l0
0`3<o`000`00I_l0c?l0001Vo`03001Vo`<0c?l00`00I_l00`3<o`0006Ko0<co00020<co00@006Ko
0`3<o`001000I_l0c?l00<co0000I_l20<co008006Ko103<o`05001Vo`80c?l00`00I_l00`3<o`00
06Ko0<co00040<co008006Ko0`3<o`000`00I_l0c?l00<co0007001Vo`040<co0000I_l0c?l00<co
008006Ko00<0c?l0001Vo`00I_l00P00I_l20<co0003001Vo`3<o`00c?l00080c?l07@00I_l80?oo
o`001P3ooolN001Vo`80c?l00P00I_l20<co00@006Ko00<0c?l0001Vo`00I_l00`3<o`02001Vo`03
0<co0000I_l006Ko0080c?l000@006Ko0<co0000I_l0c?l00`00I_l20<co008006Ko0P3<o`000`00
I_l0c?l0001Vo`03001Vo`<0c?l000D006Ko0<co003<o`00c?l0001Vo`020<co00<006Ko0P3<o`04
001Vo`<0c?l000@006Ko0<co003<o`0006Ko1@3<o`04001Vo`80c?l000@006Ko0<co003<o`00c?l0
0P00I_l00`3<o`0006Ko0<co00040<co008006Ko0P3<o`02001Vo`80c?l00P00I_l50<co008006Ko
0P3<o`04001Vo`<0c?l00`00I_l50<co0003001Vo`3<o`00c?l00080c?l000@006Ko0<co0000I_l0
c?l00`00I_l20<co0003001Vo`3<o`0006Ko00<006Ko203<o`03001Vo`030<co0000I_l006Ko00@0
c?l000@006Ko0<co003<o`00c?l00P00I_l00`3<o`0006Ko001Vo`0L001Vo`P0oooo00060?oooal0
06Ko0P3<o`000`00I_l0c?l00<co00030<co0004001Vo`3<o`00c?l00<co008006Ko0`3<o`04001V
o`040<co0000I_l0c?l00<co00D006Ko0P3<o`001000I_l0c?l00<co003<o`07001Vo`80c?l00P00
I_l20<co00H006Ko1@3<o`02001Vo`80c?l01000I_l00`3<o`0006Ko001Vo`040<co0003001Vo`3<
o`0006Ko008006Ko0`3<o`001000I_l0c?l0001Vo`3<o`03001Vo`80c?l000<006Ko0<co0000I_l0
0`00I_l20<co0003001Vo`3<o`0006Ko008006Ko0P3<o`000`00I_l0c?l0001Vo`05001Vo`030<co
0000I_l006Ko00<006Ko00<0c?l0001Vo`00I_l00P3<o`03001Vo`040<co0000I_l0c?l00<co00D0
06Ko00<0c?l0001Vo`3<o`000`3<o`001@00I_l0c?l0001Vo`00I_l0c?l000<006Ko0`3<o`001000
I_l0c?l00<co003<o`02001Vo`030<co0000I_l006Ko008006Ko0`3<o`0O001Vo`P0oooo00060?oo
ob0006Ko0P3<o`03001Vo`040<co0000I_l006Ko001Vo`@0c?l00P00I_l50<co00<006Ko1@3<o`00
0`00I_l0c?l0001Vo`03001Vo`H0c?l00P00I_l00`3<o`0006Ko001Vo`02001Vo`L0c?l00P00I_l2
0<co00@006Ko103<o`001000I_l0c?l00<co003<o`03001Vo`80c?l01P00I_l0103<o`0006Ko0<co
003<o`05001Vo`80c?l01P00I_l20<co00D006Ko00<0c?l0001Vo`3<o`001@3<o`000`00I_l0c?l0
0<co00040<co00@006Ko103<o`03001Vo`D0c?l000<006Ko0<co003<o`000`00I_l00`3<o`0006Ko
0<co00020<co00D006Ko00@0c?l0001Vo`00I_l006Ko103<o`06001Vo`030<co0000I_l006Ko01h0
06Ko203oool000H0oooo8000I_l20<co00<006Ko00@0c?l0001Vo`00I_l006Ko103<o`02001Vo`D0
c?l00`00I_l50<co0003001Vo`3<o`0006Ko00<006Ko1P3<o`02001Vo`030<co0000I_l006Ko0080
06Ko1`3<o`02001Vo`80c?l01000I_l40<co0004001Vo`3<o`00c?l00<co00<006Ko0P3<o`06001V
o`040<co0000I_l0c?l00<co00D006Ko0P3<o`06001Vo`80c?l01@00I_l00`3<o`0006Ko0<co0005
0<co0003001Vo`3<o`00c?l000@0c?l01000I_l40<co00<006Ko1@3<o`000`00I_l0c?l00<co0003
001Vo`030<co0000I_l0c?l00080c?l01@00I_l0103<o`0006Ko001Vo`00I_l40<co00H006Ko00<0
c?l0001Vo`00I_l07P00I_l80?ooo`001P3ooolQ001Vo`<0c?l000<006Ko0<co003<o`000P3<o`03
001Vo`80c?l000<006Ko0<co0000I_l00P00I_l30<co0003001Vo`3<o`0006Ko008006Ko00<0c?l0
001Vo`3<o`00103<o`02001Vo`040<co0000I_l006Ko0<co008006Ko1@3<o`03001Vo`030<co0000
I_l006Ko00<0c?l01`00I_l20<co00<006Ko00<0c?l0001Vo`00I_l00`00I_l70<co00<006Ko1@3<
o`000`00I_l0c?l0001Vo`07001Vo`D0c?l000@006Ko0<co0000I_l0c?l00`00I_l01@3<o`0006Ko
001Vo`00I_l0c?l000<006Ko1@3<o`03001Vo`@0c?l00P00I_l20<co00<006Ko0P3<o`02001Vo`80
c?l00P00I_l50<co0003001Vo`3<o`00c?l00080c?l00`00I_l70<co024006Ko203oool000H0oooo
8P00I_l30<co008006Ko00<0c?l0001Vo`00I_l00`00I_l00`3<o`0006Ko0<co00030<co008006Ko
00@0c?l0001Vo`3<o`00c?l00P00I_l00`3<o`0006Ko0<co0002001Vo`<0c?l000@006Ko0<co003<
o`00c?l01000I_l00`3<o`0006Ko001Vo`020<co008006Ko0`3<o`02001Vo`L0c?l000<006Ko0<co
003<o`000P3<o`000`00I_l0c?l00<co00040<co008006Ko00<0c?l0001Vo`00I_l0103<o`000`00
I_l0c?l0001Vo`02001Vo`030<co0000I_l0c?l000L0c?l000@006Ko0<co0000I_l006Ko0P3<o`00
0`00I_l0c?l0001Vo`020<co008006Ko103<o`05001Vo`030<co0000I_l006Ko0080c?l00P00I_l0
0`3<o`0006Ko001Vo`020<co0003001Vo`3<o`00c?l00080c?l000<006Ko0<co0000I_l00`00I_l2
0<co0003001Vo`3<o`0006Ko008006Ko0P3<o`02001Vo`030<co0000I_l006Ko00<006Ko00<0c?l0
001Vo`00I_l00P3<o`0R001Vo`P0oooo00060?ooob@006Ko0P3<o`000`00I_l0c?l00<co00030<co
0003001Vo`3<o`00c?l0008006Ko103<o`03001Vo`030<co0000I_l006Ko0080c?l01@00I_l20<co
008006Ko103<o`001@00I_l0c?l00<co0000I_l0c?l000@006Ko00<0c?l0001Vo`00I_l00P00I_l2
0<co008006Ko00<0c?l0001Vo`00I_l00P00I_l01@3<o`0006Ko001Vo`00I_l0c?l000<006Ko0P3<
o`001000I_l0c?l00<co003<o`03001Vo`040<co0000I_l0c?l00<co008006Ko00<0c?l0001Vo`3<
o`000P00I_l01P3<o`0006Ko001Vo`00I_l0c?l0001Vo`80c?l000@006Ko0<co003<o`00c?l00`00
I_l0103<o`0006Ko001Vo`3<o`02001Vo`H0c?l01000I_l30<co00@006Ko0P3<o`03001Vo`80c?l0
1P00I_l20<co00D006Ko0P3<o`000`00I_l0c?l00<co00030<co0004001Vo`3<o`00c?l00<co02@0
06Ko203oool000H0oooo9@00I_l20<co008006Ko0P3<o`03001Vo`<0c?l00`00I_l40<co00@006Ko
103<o`02001Vo`030<co0000I_l006Ko008006Ko00<0c?l0001Vo`00I_l00P00I_l00`3<o`0006Ko
0<co00030<co0003001Vo`3<o`00c?l00080c?l000D006Ko0<co003<o`00c?l0001Vo`030<co0080
06Ko103<o`05001Vo`80c?l00P00I_l40<co00<006Ko00D0c?l0001Vo`00I_l0c?l0001Vo`020<co
0008001Vo`3<o`00c?l00<co0000I_l0c?l0001Vo`3<o`04001Vo`<0c?l000@006Ko0<co0000I_l0
06Ko0P3<o`001000I_l0c?l0001Vo`00I_l20<co00H006Ko1@3<o`000`00I_l0c?l0001Vo`04001V
o`H0c?l000<006Ko0<co0000I_l01P00I_l20<co008006Ko0P3<o`03001Vo`030<co0000I_l006Ko
02<006Ko203oool000H0oooo9P00I_l20<co0003001Vo`3<o`00c?l000<0c?l00P00I_l30<co0004
001Vo`3<o`0006Ko001Vo`@0c?l000D006Ko0<co0000I_l006Ko0<co0002001Vo`@0c?l000<006Ko
0<co003<o`000P3<o`000`00I_l0c?l00<co0002001Vo`<0c?l00P00I_l00`3<o`0006Ko001Vo`02
001Vo`80c?l00P00I_l30<co008006Ko00<0c?l0001Vo`00I_l01@00I_l30<co00<006Ko0`3<o`00
1`00I_l0c?l0001Vo`00I_l0c?l0001Vo`3<o`000`00I_l20<co0003001Vo`3<o`0006Ko00D0c?l0
0P00I_l20<co00@006Ko00D0c?l0001Vo`3<o`00c?l0001Vo`070<co0003001Vo`3<o`00c?l00080
06Ko0P3<o`07001Vo`040<co0000I_l006Ko001Vo`80c?l02@00I_l20<co0003001Vo`3<o`00c?l0
00<0c?l09P00I_l80?ooo`001P3ooolW001Vo`80c?l00`00I_l00`3<o`0006Ko001Vo`02001Vo`80
c?l000@006Ko0<co003<o`00c?l00P00I_l20<co0005001Vo`3<o`00c?l0001Vo`3<o`000P00I_l0
0`3<o`0006Ko001Vo`020<co00<006Ko00<0c?l0001Vo`3<o`001@00I_l20<co0004001Vo`3<o`00
c?l00<co008006Ko00<0c?l0001Vo`00I_l00P00I_l30<co0003001Vo`3<o`00c?l000H0c?l00P00
I_l40<co008006Ko00<0c?l0001Vo`3<o`000P00I_l00`3<o`0006Ko0<co00020<co0004001Vo`3<
o`00c?l0001Vo`80c?l00P00I_l00`3<o`0006Ko001Vo`03001Vo`D0c?l00`00I_l20<co00<006Ko
00<0c?l0001Vo`00I_l00P3<o`05001Vo`L0c?l000<006Ko0<co003<o`000P00I_l00`3<o`0006Ko
001Vo`09001Vo`80c?l00`00I_l00`3<o`0006Ko001Vo`0U001Vo`P0oooo00060?ooobL006Ko0P3<
o`03001Vo`030<co0000I_l006Ko008006Ko0P3<o`001000I_l0c?l00<co003<o`02001Vo`80c?l0
00D006Ko0<co003<o`0006Ko0<co0002001Vo`030<co0000I_l006Ko0080c?l00`00I_l00`3<o`00
06Ko0<co0005001Vo`80c?l000@006Ko0<co003<o`00c?l00P00I_l00`3<o`0006Ko001Vo`02001V
o`<0c?l000<006Ko0<co003<o`001P3<o`02001Vo`@0c?l00P00I_l00`3<o`0006Ko0<co0002001V
o`030<co0000I_l0c?l00080c?l000@006Ko0<co003<o`0006Ko0P3<o`02001Vo`030<co0000I_l0
06Ko00<006Ko1@3<o`03001Vo`80c?l00`00I_l00`3<o`0006Ko001Vo`020<co00D006Ko1`3<o`00
0`00I_l0c?l00<co0002001Vo`030<co0000I_l006Ko00T006Ko0P3<o`03001Vo`030<co0000I_l0
06Ko02D006Ko203oool000H0oooo:000I_l30<co0003001Vo`3<o`00c?l00080c?l000@006Ko0<co
003<o`00c?l00P00I_l30<co00@006Ko00<0c?l0001Vo`3<o`000P3<o`04001Vo`80c?l00P00I_l2
0<co00L006Ko0P3<o`02001Vo`<0c?l01`00I_l00`3<o`0006Ko0<co0002001Vo`040<co0000I_l0
06Ko001Vo`<0c?l00P00I_l30<co0004001Vo`3<o`0006Ko0<co008006Ko0P3<o`02001Vo`80c?l0
1000I_l20<co0003001Vo`3<o`00c?l000@0c?l00P00I_l20<co00D006Ko0`3<o`001@00I_l0c?l0
0<co0000I_l0c?l000L006Ko00D0c?l0001Vo`00I_l006Ko0<co0003001Vo`<0c?l03@00I_l40<co
02P006Ko203oool000H0oooo:@00I_l30<co008006Ko00<0c?l0001Vo`00I_l00P00I_l30<co0080
06Ko1@3<o`03001Vo`D0c?l000<006Ko0<co0000I_l00`00I_l70<co0003001Vo`3<o`0006Ko00<0
06Ko1`3<o`02001Vo`030<co0000I_l0c?l00080c?l01@00I_l00`3<o`0006Ko001Vo`03001Vo`05
0<co0000I_l0c?l0001Vo`3<o`000P00I_l00`3<o`0006Ko001Vo`02001Vo`@0c?l000<006Ko0<co
0000I_l00P00I_l20<co008006Ko0P3<o`000`00I_l0c?l00<co00040<co0003001Vo`3<o`0006Ko
00<006Ko00<0c?l0001Vo`3<o`001P3<o`000`00I_l0c?l00<co0002001Vo`<0c?l000<006Ko0<co
0000I_l03`00I_l20<co02T006Ko203oool000H0oooo:`00I_l20<co0003001Vo`3<o`00c?l000<0
c?l00P00I_l20<co0003001Vo`3<o`0006Ko008006Ko0`3<o`000`00I_l0c?l00<co0002001Vo`03
0<co0000I_l0c?l000@0c?l00P00I_l00`3<o`0006Ko001Vo`020<co0003001Vo`3<o`00c?l000<0
c?l00`00I_l0103<o`0006Ko001Vo`3<o`02001Vo`80c?l00P00I_l50<co0003001Vo`3<o`00c?l0
0080c?l00P00I_l01@3<o`0006Ko0<co0000I_l0c?l0008006Ko1@3<o`03001Vo`030<co0000I_l0
c?l00080c?l000H006Ko0<co003<o`00c?l0001Vo`3<o`04001Vo`050<co0000I_l006Ko0<co0000
I_l01@3<o`03001Vo`050<co0000I_l006Ko001Vo`3<o`000`00I_l30<co008006Ko00<0c?l0001V
o`3<o`00403<o`0[001Vo`P0oooo00060?ooob`006Ko0P3<o`02001Vo`030<co0000I_l006Ko00<0
06Ko00<0c?l0001Vo`3<o`000`3<o`02001Vo`030<co0000I_l0c?l00080c?l000@006Ko0<co0000
I_l0c?l00`00I_l20<co0004001Vo`3<o`00c?l00<co00@006Ko00<0c?l0001Vo`00I_l00`3<o`00
1000I_l0c?l00<co003<o`04001Vo`80c?l000<006Ko0<co0000I_l00P00I_l00`3<o`0006Ko0<co
0002001Vo`050<co0000I_l006Ko0<co0000I_l00P3<o`04001Vo`030<co0000I_l006Ko00@0c?l0
0`00I_l00`3<o`0006Ko001Vo`02001Vo`030<co0000I_l0c?l00080c?l00P00I_l20<co0004001V
o`3<o`0006Ko0<co00<006Ko0`3<o`000`00I_l0c?l00<co00020<co00D006Ko103<o`03001Vo`80
c?l00P00I_l0103<o`0006Ko001Vo`3<o`03001Vo`040<co0000I_l006Ko0<co02`006Ko203oool0
00H0oooo;@00I_l20<co0003001Vo`3<o`00c?l000<0c?l000<006Ko0<co003<o`000`00I_l30<co
00@006Ko00@0c?l0001Vo`3<o`00c?l01@00I_l20<co008006Ko103<o`001@00I_l0c?l00<co0000
I_l0c?l000@006Ko00<0c?l0001Vo`00I_l01000I_l0103<o`0006Ko0<co003<o`02001Vo`050<co
0000I_l0c?l00<co0000I_l00`3<o`03001Vo`@0c?l000@006Ko0<co003<o`00c?l00P00I_l40<co
0003001Vo`3<o`00c?l000<0c?l00`00I_l00`3<o`0006Ko001Vo`02001Vo`040<co0000I_l0c?l0
001Vo`@0c?l00P00I_l20<co00<006Ko1P3<o`03001Vo`<0c?l000D006Ko0<co003<o`00c?l0001V
o`020<co0005001Vo`3<o`00c?l00<co0000I_l00`3<o`0]001Vo`P0oooo00060?ooobh006Ko0P3<
o`03001Vo`040<co0000I_l006Ko001Vo`@0c?l00P00I_l50<co00<006Ko1@3<o`000`00I_l0c?l0
001Vo`03001Vo`80c?l00`00I_l00`3<o`0006Ko0<co00030<co0003001Vo`3<o`00c?l000D0c?l0
0`00I_l01P3<o`0006Ko001Vo`3<o`0006Ko0<co00<006Ko1@3<o`02001Vo`<0c?l00P00I_l30<co
00<006Ko00<0c?l0001Vo`3<o`000P00I_l40<co0003001Vo`3<o`00c?l00080c?l000<006Ko0<co
003<o`000`00I_l20<co00@006Ko103<o`02001Vo`030<co0000I_l006Ko00@0c?l00P00I_l0103<
o`0006Ko0<co003<o`03001Vo`030<co0000I_l0c?l000@006Ko00<0c?l0001Vo`00I_l0;000I_l8
0?ooo`001P3oool_001Vo`80c?l00P00I_l40<co008006Ko0`3<o`001000I_l0c?l0001Vo`00I_l4
0<co0004001Vo`3<o`0006Ko001Vo`80c?l000<006Ko0<co003<o`000P3<o`000`00I_l0c?l00<co
00020<co0003001Vo`3<o`00c?l000<006Ko0P3<o`02001Vo`040<co0000I_l006Ko001Vo`<0c?l0
00H006Ko0<co0000I_l006Ko0<co0000I_l40<co00<006Ko00<0c?l0001Vo`00I_l00`00I_l30<co
008006Ko0`3<o`000`00I_l0c?l00<co0005001Vo`050<co0000I_l006Ko001Vo`3<o`001000I_l3
0<co0003001Vo`3<o`00c?l000@0c?l00P00I_l30<co0004001Vo`3<o`00c?l00<co00<006Ko0P3<
o`000`00I_l0c?l0001Vo`040<co0003001Vo`3<o`0006Ko00D0c?l0;`00I_l80?ooo`001P3oool_
001Vo`80c?l00P00I_l40<co008006Ko0`3<o`001000I_l0c?l0001Vo`00I_l40<co0004001Vo`3<
o`0006Ko001Vo`80c?l000<006Ko0<co003<o`000P3<o`000`00I_l0c?l00<co00020<co0003001V
o`3<o`00c?l000<006Ko0P3<o`02001Vo`040<co0000I_l006Ko001Vo`<0c?l000H006Ko0<co0000
I_l006Ko0<co0000I_l40<co00<006Ko00<0c?l0001Vo`00I_l00`00I_l30<co008006Ko0`3<o`00
0`00I_l0c?l00<co0005001Vo`050<co0000I_l006Ko001Vo`3<o`001000I_l30<co0003001Vo`3<
o`00c?l000@0c?l00P00I_l30<co0004001Vo`3<o`00c?l00<co00<006Ko0P3<o`000`00I_l0c?l0
001Vo`040<co0003001Vo`3<o`0006Ko00D0c?l0;`00I_l80?ooo`001P3oool`001Vo`<0c?l00P00
I_l00`3<o`0006Ko001Vo`03001Vo`030<co0000I_l0c?l00080c?l00`00I_l01@3<o`0006Ko0<co
003<o`0006Ko0080c?l000@006Ko0<co0000I_l006Ko0P3<o`03001Vo`030<co0000I_l0c?l000D0
06Ko0P3<o`000`00I_l0c?l00<co00020<co008006Ko00<0c?l0001Vo`3<o`000P00I_l00`3<o`00
06Ko0<co0002001Vo`<0c?l000<006Ko0<co003<o`00103<o`02001Vo`80c?l000<006Ko0<co0000
I_l00`00I_l40<co008006Ko103<o`06001Vo`030<co0000I_l006Ko008006Ko00<0c?l0001Vo`00
I_l00P3<o`000`00I_l0c?l00<co0003001Vo`030<co0000I_l006Ko00<006Ko00@0c?l0001Vo`3<
o`00c?l00`00I_l0103<o`0006Ko0<co003<o`03001Vo`030<co0000I_l006Ko02h006Ko203oool0
00H0oooo<@00I_l30<co0003001Vo`3<o`00c?l00080c?l00P00I_l20<co008006Ko103<o`03001V
o`030<co0000I_l0c?l00080c?l01000I_l30<co0003001Vo`3<o`00c?l000L006Ko0P3<o`03001V
o`80c?l000@006Ko0<co0000I_l0c?l00P00I_l20<co00@006Ko0P3<o`001@00I_l0c?l0001Vo`00
I_l0c?l000D006Ko00<0c?l0001Vo`3<o`000`3<o`001@00I_l0c?l0001Vo`00I_l0c?l0008006Ko
00<0c?l0001Vo`00I_l01P3<o`000`00I_l0c?l00<co00030<co00@006Ko00<0c?l0001Vo`3<o`00
0`3<o`000`00I_l0c?l00<co00040<co00<006Ko103<o`03001Vo`@0c?l0<@00I_l80?ooo`001P3o
oolc001Vo`80c?l00P00I_l00`3<o`0006Ko001Vo`02001Vo`<0c?l00`00I_l40<co00@006Ko103<
o`000`00I_l0c?l0001Vo`03001Vo`L0c?l000<006Ko0<co0000I_l01000I_l0103<o`0006Ko0<co
003<o`04001Vo`@0c?l000@006Ko0<co003<o`0006Ko0P3<o`000`00I_l0c?l00<co00030<co0003
001Vo`3<o`00c?l000<006Ko00D0c?l0001Vo`3<o`00c?l0001Vo`030<co00@006Ko00L0c?l0001V
o`00I_l006Ko0<co0000I_l0c?l0008006Ko1@3<o`000`00I_l0c?l00<co0003001Vo`030<co0000
I_l0c?l0008006Ko0P3<o`05001Vo`80c?l01@00I_l00`3<o`0006Ko001Vo`0a001Vo`P0oooo0006
0?oooc@006Ko0P3<o`000`00I_l0c?l00<co00030<co008006Ko0P3<o`02001Vo`030<co0000I_l0
06Ko00<0c?l00P00I_l01@3<o`0006Ko001Vo`3<o`0006Ko00D0c?l00P00I_l01P3<o`0006Ko001V
o`00I_l0c?l0001Vo`H0c?l00`00I_l40<co0004001Vo`3<o`0006Ko001Vo`80c?l01000I_l20<co
00<006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`02001Vo`030<co0000I_l0c?l000<006Ko1@3<o`00
1`00I_l0c?l00<co003<o`0006Ko0<co0000I_l00`3<o`03001Vo`040<co0000I_l006Ko001Vo`<0
c?l000<006Ko0<co0000I_l00P3<o`000`00I_l0c?l00<co00040<co0003001Vo`3<o`00c?l000D0
c?l0=000I_l80?ooo`001P3ooole001Vo`80c?l00P00I_l20<co00@006Ko00<0c?l0001Vo`00I_l0
0`3<o`02001Vo`030<co0000I_l006Ko0080c?l000@006Ko0<co0000I_l0c?l00`00I_l20<co0003
001Vo`3<o`00c?l00080c?l00`00I_l0103<o`0006Ko001Vo`00I_l40<co008006Ko0P3<o`001@00
I_l0c?l00<co0000I_l0c?l000H006Ko103<o`05001Vo`050<co0000I_l006Ko0<co0000I_l0103<
o`03001Vo`040<co0000I_l006Ko001Vo`80c?l000<006Ko0<co003<o`000P00I_l40<co00D006Ko
0`3<o`03001Vo`040<co0000I_l0c?l00<co008006Ko00<0c?l0001Vo`00I_l00P00I_l0103<o`00
06Ko001Vo`3<o`0e001Vo`P0oooo00060?ooocH006Ko0P3<o`000`00I_l0c?l00<co00030<co0004
001Vo`3<o`00c?l00<co008006Ko0`3<o`04001Vo`040<co0000I_l0c?l00<co00D006Ko0P3<o`02
001Vo`@0c?l000<006Ko0<co003<o`000P00I_l00`3<o`0006Ko001Vo`030<co00@006Ko00<0c?l0
001Vo`3<o`001P3<o`02001Vo`H0c?l000L006Ko0<co0000I_l006Ko0<co0000I_l0c?l0008006Ko
0`3<o`001@00I_l0c?l00<co003<o`0006Ko0080c?l000<006Ko0<co0000I_l00`00I_l20<co00P0
06Ko0`3<o`000`00I_l0c?l0001Vo`030<co0004001Vo`3<o`00c?l00<co008006Ko0`3<o`0f001V
o`P0oooo00060?ooocH006Ko0P3<o`000`00I_l0c?l00<co00030<co0004001Vo`3<o`00c?l00<co
008006Ko0`3<o`04001Vo`040<co0000I_l0c?l00<co00D006Ko0P3<o`02001Vo`@0c?l000<006Ko
0<co003<o`000P00I_l00`3<o`0006Ko001Vo`030<co00@006Ko00<0c?l0001Vo`3<o`001P3<o`02
001Vo`H0c?l000L006Ko0<co0000I_l006Ko0<co0000I_l0c?l0008006Ko0`3<o`001@00I_l0c?l0
0<co003<o`0006Ko0080c?l000<006Ko0<co0000I_l00`00I_l20<co00P006Ko0`3<o`000`00I_l0
c?l0001Vo`030<co0004001Vo`3<o`00c?l00<co008006Ko0`3<o`0f001Vo`P0oooo00060?ooocL0
06Ko0P3<o`03001Vo`040<co0000I_l006Ko001Vo`@0c?l00P00I_l50<co00<006Ko1@3<o`000`00
I_l0c?l0001Vo`04001Vo`050<co0000I_l006Ko001Vo`3<o`000P00I_l30<co008006Ko1@3<o`03
001Vo`050<co0000I_l006Ko001Vo`3<o`001@00I_l01P3<o`0006Ko001Vo`3<o`0006Ko0<co0080
06Ko0P3<o`04001Vo`<0c?l00P00I_l01@3<o`0006Ko0<co003<o`0006Ko00@0c?l000<006Ko0<co
003<o`00203<o`02001Vo`040<co0000I_l0c?l0001Vo`80c?l00`00I_l00`3<o`0006Ko001Vo`02
001Vo`030<co0000I_l006Ko03D006Ko203oool000H0oooo>000I_l30<co0003001Vo`3<o`00c?l0
0080c?l00`00I_l20<co0003001Vo`3<o`0006Ko008006Ko0`3<o`000`00I_l0c?l0001Vo`02001V
o`030<co0000I_l0c?l000<0c?l00P00I_l30<co0004001Vo`3<o`00c?l00<co008006Ko0P3<o`00
0`00I_l0c?l0001Vo`02001Vo`<0c?l000D006Ko0<co003<o`00c?l0001Vo`040<co008006Ko0P3<
o`001000I_l0c?l0001Vo`3<o`02001Vo`030<co0000I_l006Ko00D006Ko0P3<o`000`00I_l0c?l0
001Vo`030<co008006Ko00<0c?l0001Vo`00I_l00P00I_l0103<o`0006Ko001Vo`3<o`02001Vo`<0
c?l000D006Ko0<co0000I_l0c?l0001Vo`040<co0003001Vo`3<o`00c?l000<0c?l0>000I_l80?oo
o`001P3oooli001Vo`<0c?l00P00I_l00`3<o`0006Ko001Vo`03001Vo`030<co0000I_l0c?l000<0
c?l00P00I_l0103<o`0006Ko0<co003<o`02001Vo`030<co0000I_l0c?l0008006Ko0`3<o`02001V
o`030<co0000I_l0c?l000D006Ko0P3<o`05001Vo`040<co0000I_l006Ko001Vo`<0c?l00P00I_l0
0`3<o`0006Ko001Vo`02001Vo`040<co0000I_l0c?l0001Vo`<0c?l02@00I_l20<co00@006Ko0P3<
o`001000I_l0c?l00<co003<o`02001Vo`<0c?l01@00I_l0103<o`0006Ko0<co0000I_l20<co00<0
06Ko0P3<o`02001Vo`80c?l0>@00I_l80?ooo`001P3ooolk001Vo`80c?l000<006Ko0<co003<o`00
0`3<o`000`00I_l0c?l00<co0002001Vo`@0c?l00`00I_l00`3<o`0006Ko001Vo`020<co00@006Ko
0`3<o`000`00I_l0c?l00<co0007001Vo`H0c?l01P00I_l20<co0003001Vo`3<o`00c?l00080c?l0
00<006Ko0<co003<o`000`00I_l:0<co0003001Vo`3<o`0006Ko00D006Ko0P3<o`02001Vo`<0c?l0
0P00I_l40<co008006Ko00D0c?l0001Vo`3<o`0006Ko0<co0005001Vo`<0c?l0>`00I_l80?ooo`00
1P3oooll001Vo`80c?l00P00I_l20<co00<006Ko0`3<o`03001Vo`@0c?l01000I_l40<co0003001V
o`3<o`00c?l000<006Ko1`3<o`000`00I_l0c?l0001Vo`02001Vo`030<co0000I_l006Ko00H006Ko
0P3<o`02001Vo`80c?l000<006Ko0<co0000I_l01@00I_l0103<o`0006Ko001Vo`3<o`02001Vo`80
c?l000<006Ko0<co003<o`00103<o`000`00I_l0c?l0001Vo`03001Vo`<0c?l000D006Ko0<co0000
I_l006Ko0<co0002001Vo`040<co0000I_l0c?l00<co00L006Ko00<0c?l0001Vo`00I_l0>P00I_l8
0?ooo`001P3ooolm001Vo`80c?l000<006Ko0<co003<o`000`3<o`02001Vo`<0c?l000@006Ko0<co
0000I_l006Ko103<o`001P00I_l0c?l0001Vo`00I_l0c?l0001Vo`D0c?l00P00I_l20<co008006Ko
00<0c?l0001Vo`3<o`000`3<o`0:001Vo`80c?l000@006Ko0<co003<o`0006Ko1@3<o`02001Vo`80
c?l000@006Ko0<co003<o`00c?l01000I_l00`3<o`0006Ko001Vo`030<co00L006Ko00D0c?l0001V
o`3<o`00c?l0001Vo`030<co00<006Ko203<o`0m001Vo`P0oooo00060?ooocd006Ko0P3<o`000`00
I_l0c?l00<co00030<co008006Ko0`3<o`001000I_l0c?l0001Vo`00I_l40<co0006001Vo`3<o`00
06Ko001Vo`3<o`0006Ko1@3<o`02001Vo`80c?l00P00I_l00`3<o`0006Ko0<co00030<co00X006Ko
0P3<o`001000I_l0c?l00<co0000I_l50<co008006Ko0P3<o`001000I_l0c?l00<co003<o`04001V
o`030<co0000I_l006Ko00<0c?l01`00I_l01@3<o`0006Ko0<co003<o`0006Ko00<0c?l00`00I_l8
0<co03d006Ko203oool000H0oooo?P00I_l20<co00<006Ko00<0c?l0001Vo`00I_l00P00I_l20<co
0004001Vo`3<o`00c?l00<co008006Ko0P3<o`001P00I_l0c?l00<co0000I_l0c?l0001Vo`80c?l0
0P00I_l20<co0003001Vo`3<o`00c?l00080c?l00`00I_l00`3<o`0006Ko001Vo`0;001Vo`060<co
0000I_l0c?l00<co0000I_l0c?l00P00I_l00`3<o`0006Ko001Vo`02001Vo`80c?l00P00I_l50<co
00D006Ko1P3<o`02001Vo`030<co0000I_l0c?l000<006Ko1@3<o`02001Vo`050<co0000I_l006Ko
001Vo`3<o`00?P00I_l80?ooo`001P3ooolo001Vo`<0c?l000<006Ko0<co003<o`000P3<o`001000
I_l0c?l00<co003<o`02001Vo`<0c?l01000I_l0103<o`0006Ko0<co003<o`05001Vo`80c?l00`00
I_l30<co0003001Vo`3<o`00c?l000/0c?l000<006Ko0<co0000I_l00P3<o`001000I_l0c?l00<co
003<o`06001Vo`80c?l000<006Ko0<co0000I_l00P00I_l60<co008006Ko00@0c?l0001Vo`00I_l0
c?l00P00I_l00`3<o`0006Ko0<co00020<co0003001Vo`3<o`00c?l0008006Ko0P3<o`000`00I_l0
c?l00<co00020<co03l006Ko203oool000H0oooo@000I_l30<co008006Ko00<0c?l0001Vo`00I_l0
0P00I_l30<co008006Ko1@3<o`03001Vo`D0c?l000<006Ko0<co0000I_l01000I_l0103<o`0006Ko
001Vo`00I_l20<co008006Ko00@0c?l0001Vo`00I_l0c?l00`00I_l0103<o`0006Ko0<co003<o`04
001Vo`030<co0000I_l006Ko00H006Ko0P3<o`05001Vo`030<co0000I_l006Ko00<0c?l000D006Ko
0<co003<o`0006Ko0<co0002001Vo`80c?l00P00I_l00`3<o`0006Ko0<co00020<co0003001Vo`3<
o`0006Ko008006Ko0P3<o`10001Vo`P0oooo00060?oood8006Ko0P3<o`000`00I_l0c?l00<co0003
0<co008006Ko0P3<o`000`00I_l0c?l0001Vo`02001Vo`<0c?l000<006Ko0<co0000I_l00P00I_l0
0`3<o`0006Ko0<co00040<co0005001Vo`3<o`00c?l00<co0000I_l00`3<o`001000I_l0c?l00<co
0000I_l40<co00<006Ko1@3<o`0:001Vo`D0c?l000@006Ko0<co003<o`0006Ko0P3<o`03001Vo`80
c?l01000I_l30<co00@006Ko00<0c?l0001Vo`3<o`000`3<o`12001Vo`P0oooo00060?oood<006Ko
0P3<o`02001Vo`030<co0000I_l006Ko00<006Ko00<0c?l0001Vo`3<o`000`3<o`02001Vo`030<co
0000I_l0c?l00080c?l000@006Ko0<co0000I_l0c?l00`00I_l20<co008006Ko00@0c?l0001Vo`3<
o`00c?l00`00I_l20<co00<006Ko0`3<o`000`00I_l0c?l0001Vo`02001Vo`/0c?l00P00I_l20<co
00<006Ko0P3<o`06001Vo`D0c?l00P00I_l30<co008006Ko0P3<o`02001Vo`030<co0000I_l006Ko
044006Ko203oool000H0ooooA000I_l20<co0003001Vo`3<o`00c?l000<0c?l000<006Ko0<co003<
o`000`00I_l30<co00<006Ko0P3<o`000`00I_l0c?l00<co0005001Vo`80c?l000<006Ko0<co003<
o`001P00I_l40<co008006Ko00<0c?l0001Vo`3<o`000P3<o`001@00I_l0c?l0001Vo`00I_l0c?l0
00<006Ko00<0c?l0001Vo`00I_l00`3<o`06001Vo`L0c?l00P00I_l20<co00@006Ko00<0c?l0001V
o`00I_l00P00I_l30<co04@006Ko203oool000H0ooooA000I_l20<co0003001Vo`3<o`00c?l000<0
c?l000<006Ko0<co003<o`000`00I_l30<co00<006Ko0P3<o`000`00I_l0c?l00<co0005001Vo`80
c?l000<006Ko0<co003<o`001P00I_l40<co008006Ko00<0c?l0001Vo`3<o`000P3<o`001@00I_l0
c?l0001Vo`00I_l0c?l000<006Ko00<0c?l0001Vo`00I_l00`3<o`06001Vo`L0c?l00P00I_l20<co
00@006Ko00<0c?l0001Vo`00I_l00P00I_l30<co04@006Ko203oool000H0ooooA@00I_l20<co00<0
06Ko00@0c?l0001Vo`00I_l006Ko103<o`02001Vo`@0c?l01000I_l50<co0003001Vo`3<o`0006Ko
008006Ko1`3<o`02001Vo`@0c?l00`00I_l20<co0004001Vo`3<o`00c?l0001Vo`80c?l00P00I_l3
0<co008006Ko1`3<o`03001Vo`030<co0000I_l006Ko0080c?l000<006Ko0<co003<o`00103<o`06
001Vo`030<co0000I_l006Ko04<006Ko203oool000H0ooooAP00I_l20<co008006Ko103<o`02001V
o`<0c?l000@006Ko0<co0000I_l006Ko103<o`001000I_l0c?l0001Vo`00I_l20<co0003001Vo`3<
o`00c?l00080c?l00`00I_l00`3<o`0006Ko001Vo`030<co00<006Ko0`3<o`001@00I_l0c?l00<co
0000I_l0c?l000<006Ko0`3<o`02001Vo`<0c?l00`00I_l00`3<o`0006Ko001Vo`020<co008006Ko
0P3<o`000`00I_l0c?l0001Vo`03001Vo`030<co0000I_l006Ko00L0c?l0AP00I_l80?ooo`001P3o
oom7001Vo`<0c?l00P00I_l00`3<o`0006Ko001Vo`03001Vo`030<co0000I_l0c?l00080c?l00`00
I_l01@3<o`0006Ko0<co003<o`0006Ko0080c?l000@006Ko0<co0000I_l006Ko0P3<o`02001Vo`<0
c?l00P00I_l40<co008006Ko00<0c?l0001Vo`3<o`000P3<o`05001Vo`@0c?l00P00I_l20<co0080
06Ko0P3<o`000`00I_l0c?l0001Vo`03001Vo`030<co0000I_l0c?l000@0c?l01000I_l01@3<o`00
06Ko001Vo`00I_l0c?l004L006Ko203oool000H0ooooB000I_l30<co0003001Vo`3<o`00c?l00080
c?l00P00I_l20<co008006Ko103<o`03001Vo`030<co0000I_l0c?l00080c?l01000I_l30<co0080
06Ko0`3<o`03001Vo`<0c?l01000I_l60<co00<006Ko0P3<o`000`00I_l0c?l0001Vo`03001Vo`03
0<co0000I_l0c?l000<0c?l000@006Ko0<co0000I_l0c?l00P00I_l50<co0003001Vo`3<o`00c?l0
0080c?l0B000I_l80?ooo`001P3ooom:001Vo`80c?l00P00I_l00`3<o`0006Ko001Vo`02001Vo`<0
c?l00P00I_l50<co00@006Ko103<o`000`00I_l0c?l0001Vo`04001Vo`030<co0000I_l006Ko00<0
06Ko00<0c?l0001Vo`00I_l01000I_l0103<o`0006Ko001Vo`3<o`05001Vo`030<co0000I_l0c?l0
00<0c?l000<006Ko0<co003<o`000P00I_l20<co0003001Vo`3<o`0006Ko00<0c?l00`00I_l01@3<
o`0006Ko001Vo`00I_l0c?l004X006Ko203oool000H0ooooB`00I_l20<co0003001Vo`3<o`00c?l0
00<0c?l00P00I_l20<co0003001Vo`3<o`00c?l0008006Ko0`3<o`02001Vo`050<co0000I_l006Ko
0<co0000I_l01@3<o`000`00I_l0c?l00<co00030<co0003001Vo`3<o`00c?l000@0c?l000@006Ko
0<co003<o`0006Ko1P3<o`03001Vo`030<co0000I_l006Ko008006Ko0P3<o`001000I_l0c?l00<co
0000I_l20<co008006Ko0`3<o`000`00I_l0c?l00<co00020<co04/006Ko203oool000H0ooooC000
I_l20<co008006Ko0P3<o`04001Vo`030<co0000I_l0c?l000<0c?l00P00I_l00`3<o`0006Ko001V
o`020<co0004001Vo`3<o`0006Ko0<co00<006Ko0P3<o`02001Vo`030<co0000I_l006Ko008006Ko
00<0c?l0001Vo`00I_l00P3<o`000`00I_l0c?l0001Vo`02001Vo`040<co0000I_l006Ko001Vo`@0
c?l01P00I_l01P3<o`0006Ko0<co003<o`0006Ko0<co00@006Ko0`3<o`02001Vo`030<co0000I_l0
06Ko04X006Ko203oool000H0ooooC000I_l20<co008006Ko0P3<o`04001Vo`030<co0000I_l0c?l0
00<0c?l00P00I_l00`3<o`0006Ko001Vo`020<co0004001Vo`3<o`0006Ko0<co00<006Ko0P3<o`02
001Vo`030<co0000I_l006Ko008006Ko00<0c?l0001Vo`00I_l00P3<o`000`00I_l0c?l0001Vo`02
001Vo`040<co0000I_l006Ko001Vo`@0c?l01P00I_l01P3<o`0006Ko0<co003<o`0006Ko0<co00@0
06Ko0`3<o`02001Vo`030<co0000I_l006Ko04X006Ko203oool000H0ooooC@00I_l20<co0003001V
o`3<o`00c?l000<0c?l000<006Ko0<co003<o`000`00I_l30<co00@006Ko00@0c?l0001Vo`3<o`00
c?l01@00I_l20<co0003001Vo`3<o`00c?l00080c?l000@006Ko0<co003<o`0006Ko0P3<o`001@00
I_l0c?l00<co003<o`0006Ko00<0c?l000@006Ko0<co0000I_l006Ko1P3<o`000`00I_l0c?l0001V
o`030<co00L006Ko0`3<o`1=001Vo`P0oooo00060?ooodh006Ko0P3<o`03001Vo`040<co0000I_l0
06Ko001Vo`@0c?l00P00I_l50<co00<006Ko1@3<o`000`00I_l0c?l0001Vo`02001Vo`80c?l00`00
I_l20<co00@006Ko00@0c?l0001Vo`00I_l006Ko0`3<o`04001Vo`080<co0000I_l006Ko001Vo`3<
o`0006Ko0<co0000I_l20<co00T006Ko00<0c?l0001Vo`00I_l0C000I_l80?ooo`001P3ooom?001V
o`<0c?l000<006Ko0<co003<o`000P3<o`03001Vo`80c?l000<006Ko0<co0000I_l00P00I_l30<co
0003001Vo`3<o`0006Ko008006Ko00<0c?l0001Vo`3<o`000`3<o`06001Vo`D0c?l01P00I_l40<co
0009001Vo`3<o`00c?l00<co0000I_l0c?l0001Vo`3<o`0006Ko00/0c?l0C`00I_l80?ooo`001P3o
oom@001Vo`<0c?l00P00I_l00`3<o`0006Ko001Vo`03001Vo`030<co0000I_l0c?l000<0c?l00P00
I_l0103<o`0006Ko0<co003<o`02001Vo`030<co0000I_l0c?l0008006Ko1P3<o`000`00I_l0c?l0
001Vo`02001Vo`L0c?l00P00I_l0103<o`0006Ko001Vo`00I_l20<co0003001Vo`3<o`00c?l000@0
06Ko00@0c?l0001Vo`00I_l0c?l00P00I_l20<co050006Ko203oool000H0ooooDP00I_l20<co0003
001Vo`3<o`00c?l000<0c?l000<006Ko0<co003<o`000P00I_l40<co00<006Ko00<0c?l0001Vo`00
I_l00P3<o`04001Vo`80c?l00P00I_l00`3<o`0006Ko0<co00030<co008006Ko00<0c?l0001Vo`00
I_l00`3<o`000`00I_l0c?l00<co00020<co00@006Ko0`3<o`02001Vo`80c?l000@006Ko0<co003<
o`00c?l0DP00I_l80?ooo`001P3ooomC001Vo`80c?l00P00I_l00`3<o`0006Ko001Vo`02001Vo`<0
c?l00`00I_l40<co00@006Ko103<o`001@00I_l0c?l00<co003<o`0006Ko0080c?l00`00I_l30<co
00D006Ko00<0c?l0001Vo`3<o`000P00I_l50<co008006Ko00@0c?l0001Vo`00I_l0c?l00`00I_l0
0`3<o`0006Ko001Vo`1A001Vo`P0oooo00060?oooe<006Ko0P3<o`02001Vo`030<co0000I_l006Ko
008006Ko0`3<o`03001Vo`@0c?l01000I_l40<co0005001Vo`3<o`00c?l00<co0000I_l00P3<o`03
001Vo`<0c?l01@00I_l00`3<o`0006Ko0<co0002001Vo`D0c?l00P00I_l0103<o`0006Ko001Vo`3<
o`03001Vo`030<co0000I_l006Ko054006Ko203oool000H0ooooE000I_l20<co0003001Vo`3<o`00
c?l000<0c?l00P00I_l30<co0004001Vo`3<o`0006Ko001Vo`@0c?l000H006Ko0<co0000I_l006Ko
0<co0000I_l20<co00<006Ko103<o`02001Vo`@0c?l00P00I_l01P3<o`0006Ko0<co003<o`0006Ko
0<co00<006Ko0P3<o`001000I_l0c?l0001Vo`00I_l40<co05@006Ko203oool000H0ooooE@00I_l2
0<co00<006Ko00<0c?l0001Vo`00I_l00P00I_l20<co0004001Vo`3<o`00c?l00<co008006Ko0P3<
o`001P00I_l0c?l00<co0000I_l0c?l0001Vo`D0c?l00P00I_l30<co0004001Vo`3<o`0006Ko001V
o`<0c?l00`00I_l20<co00D006Ko00<0c?l0001Vo`3<o`000P3<o`02001Vo`030<co0000I_l006Ko
05<006Ko203oool000H0ooooEP00I_l20<co008006Ko103<o`001000I_l0c?l00<co003<o`02001V
o`<0c?l01000I_l0103<o`0006Ko0<co003<o`03001Vo`030<co0000I_l006Ko00<006Ko00H0c?l0
001Vo`3<o`00c?l0001Vo`3<o`06001Vo`H0c?l00`00I_l40<co05H006Ko203oool000H0ooooE`00
I_l30<co008006Ko00<0c?l0001Vo`00I_l00P00I_l30<co008006Ko1@3<o`03001Vo`<0c?l000<0
06Ko0<co003<o`00103<o`03001Vo`030<co0000I_l0c?l000D0c?l000<006Ko0<co0000I_l00P00
I_l00`3<o`0006Ko001Vo`04001Vo`030<co0000I_l006Ko05D006Ko203oool000H0ooooF000I_l3
0<co0003001Vo`3<o`00c?l000<0c?l00P00I_l20<co0003001Vo`3<o`0006Ko008006Ko0`3<o`00
0`00I_l0c?l0001Vo`03001Vo`030<co0000I_l006Ko00D0c?l00`00I_l20<co008006Ko00@0c?l0
001Vo`3<o`00c?l00P00I_l70<co05P006Ko203oool000H0ooooFP00I_l20<co008006Ko00<0c?l0
001Vo`00I_l00`00I_l00`3<o`0006Ko0<co00030<co008006Ko00<0c?l0001Vo`3<o`000`3<o`00
1000I_l0c?l00<co0000I_l20<co008006Ko0`3<o`002000I_l0c?l00<co003<o`0006Ko0<co0000
I_l0c?l01000I_l0103<o`0006Ko001Vo`3<o`1J001Vo`P0oooo00060?oooeX006Ko0P3<o`02001V
o`030<co0000I_l006Ko00<006Ko00<0c?l0001Vo`3<o`000`3<o`02001Vo`030<co0000I_l0c?l0
00<0c?l000@006Ko0<co003<o`0006Ko0P3<o`02001Vo`<0c?l000P006Ko0<co003<o`00c?l0001V
o`3<o`0006Ko0<co00@006Ko00@0c?l0001Vo`00I_l0c?l0FP00I_l80?ooo`001P3ooomK001Vo`80
c?l000<006Ko0<co003<o`000`3<o`000`00I_l0c?l00<co0003001Vo`<0c?l00`00I_l20<co00<0
06Ko0P3<o`05001Vo`030<co0000I_l006Ko008006Ko00@0c?l0001Vo`3<o`0006Ko103<o`001000
I_l0c?l00<co003<o`1K001Vo`P0oooo00060?oooe`006Ko0P3<o`03001Vo`040<co0000I_l006Ko
001Vo`@0c?l00P00I_l40<co00H006Ko1@3<o`001000I_l0c?l00<co003<o`02001Vo`80c?l00`00
I_l00`3<o`0006Ko001Vo`02001Vo`030<co0000I_l006Ko05X006Ko203oool000H0ooooG@00I_l2
0<co008006Ko103<o`02001Vo`<0c?l000@006Ko0<co0000I_l006Ko1`3<o`03001Vo`050<co0000
I_l006Ko001Vo`3<o`001000I_l30<co0003001Vo`3<o`00c?l000<0c?l0G@00I_l80?ooo`001P3o
oomN001Vo`<0c?l00P00I_l00`3<o`0006Ko001Vo`03001Vo`030<co0000I_l0c?l00080c?l00`00
I_l00`3<o`0006Ko001Vo`020<co008006Ko0`3<o`000`00I_l0c?l00<co00030<co008006Ko0P3<
o`03001Vo`030<co0000I_l006Ko05`006Ko203oool000H0ooooG`00I_l30<co0003001Vo`3<o`00
c?l00080c?l00P00I_l20<co008006Ko103<o`04001Vo`<0c?l00P00I_l20<co008006Ko0P3<o`04
001Vo`@0c?l0G`00I_l80?ooo`001P3ooomQ001Vo`80c?l00P00I_l00`3<o`0006Ko001Vo`02001V
o`<0c?l00P00I_l50<co0003001Vo`3<o`0006Ko00@006Ko0`3<o`07001Vo`030<co0000I_l006Ko
05l006Ko203oool000H0ooooHP00I_l20<co0003001Vo`3<o`00c?l000<0c?l00P00I_l20<co0003
001Vo`3<o`00c?l0008006Ko00<0c?l0001Vo`3<o`001@3<o`02001Vo`P0c?l0HP00I_l80?ooo`00
1P3ooomR001Vo`80c?l000<006Ko0<co003<o`000`3<o`02001Vo`80c?l000<006Ko0<co003<o`00
0P00I_l00`3<o`0006Ko0<co00050<co008006Ko203<o`1R001Vo`P0oooo00060?ooof<006Ko0P3<
o`02001Vo`80c?l01000I_l00`3<o`0006Ko0<co00030<co00<006Ko0P3<o`02001Vo`<0c?l00`00
I_l0103<o`0006Ko001Vo`3<o`1S001Vo`P0oooo00060?ooof@006Ko0P3<o`000`00I_l0c?l00<co
00030<co0003001Vo`3<o`00c?l000<006Ko0`3<o`000`00I_l0c?l00<co00020<co008006Ko0P3<
o`02001Vo`<0c?l0I000I_l80?ooo`001P3ooomU001Vo`80c?l00`00I_l0103<o`0006Ko001Vo`00
I_l40<co008006Ko0P3<o`03001Vo`80c?l000<006Ko0<co0000I_l00`00I_l00`3<o`0006Ko001V
o`1S001Vo`P0oooo00060?ooofH006Ko0`3<o`000`00I_l0c?l00<co00020<co00<006Ko0P3<o`00
0`00I_l0c?l0001Vo`04001Vo`030<co0000I_l0c?l000@0c?l0IP00I_l80?ooo`001P3ooomW001V
o`<0c?l00P00I_l00`3<o`0006Ko001Vo`03001Vo`030<co0000I_l0c?l000@0c?l000<006Ko0<co
003<o`000P00I_l20<co06L006Ko203oool000H0ooooJ@00I_l20<co0003001Vo`3<o`00c?l000<0
c?l000<006Ko0<co003<o`000P00I_l20<co00<006Ko0`3<o`1Y001Vo`P0oooo00060?ooofT006Ko
0P3<o`000`00I_l0c?l00<co00030<co0003001Vo`3<o`00c?l0008006Ko0P3<o`03001Vo`<0c?l0
J@00I_l80?ooo`001P3ooomZ001Vo`80c?l00P00I_l00`3<o`0006Ko001Vo`02001Vo`<0c?l01P00
I_l00`3<o`0006Ko001Vo`1X001Vo`P0oooo00060?ooof/006Ko0P3<o`000`00I_l0c?l00<co0003
0<co008006Ko1`3<o`1[001Vo`P0oooo00060?ooof`006Ko0P3<o`03001Vo`030<co0000I_l006Ko
008006Ko0P3<o`02001Vo`030<co0000I_l006Ko06X006Ko203oool000H0ooooK@00I_l20<co0080
06Ko103<o`000`00I_l0c?l00<co00020<co06d006Ko203oool000H0ooooKP00I_l30<co008006Ko
00<0c?l0001Vo`00I_l00P00I_l00`3<o`0006Ko001Vo`1/001Vo`P0oooo00060?ooofl006Ko0`3<
o`000`00I_l0c?l00<co00030<co06l006Ko203oool000H0ooooK`00I_l30<co0003001Vo`3<o`00
c?l000<0c?l0K`00I_l80?ooo`001P3oooma001Vo`80c?l00P00I_l00`3<o`0006Ko001Vo`1_001V
o`P0oooo00060?ooog8006Ko0`3<o`1b001Vo`P0oooo00060?ooog<006Ko00<0c?l0001Vo`00I_l0
L@00I_l80?ooo`00m@3oool00?D0oooo0000\
\>"],
  ImageRangeCache->{{{153.125, 304}, {204.5, 129.25}} -> {-221.619, 179.63, \
0.873781, 0.873781}},
  CellTags->"IPM3.Sol.6.4"]
}, Closed]]
}, Closed]],

Cell[TextData[{
  "To get ",
  StyleBox["matrixPlot", "MR"],
  " to produce similar output to the new ",
  StyleBox["ArrayPlot", "MR"],
  ", you need to make a few changes to the ",
  StyleBox["Frame", "MR"],
  " and ",
  StyleBox["FrameTicks", "MR"],
  " options."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.4"],

Cell[BoxData[
    \(matrixPlot[mat_List, rules_] := \[IndentingNewLine]Show[
        Graphics[
          RasterArray[
            Reverse[mat] /. rules], \[IndentingNewLine]AspectRatio \[Rule] 
            Automatic, Frame \[Rule] True, 
          FrameTicks \[Rule] False]]\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.6.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(matrixPlot[
        ca30, {1 \[Rule] Hue[ .2], 0 \[Rule] Hue[ .6]}];\)\)], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.6.4"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .50249 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.00473821 0.011964 0.00473821 [
[ 0 0 -0.125 0 ]
[ 0 0 -0.125 0 ]
[ 0 .50249 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 .50249 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 0 m
1 0 L
s
0 0 m
0 .50249 L
s
0 .50249 m
1 .50249 L
s
1 0 m
1 .50249 L
s
0 0 m
1 0 L
1 .50249 L
0 .50249 L
closepath
clip
newpath
% Start of colorimage (RGB)
p
.02381 .01196 translate
.95238 .47856 scale
603 string
201 101 8 [201 0 0 101 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  false 3 Mcolorimage
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FF
0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF
CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF00
0066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00
0066FF0066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF
CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF
CCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00
CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FF
CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF
CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FF
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF
0066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FFCCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF00
0066FF0066FF0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00
0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF
0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FF
CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00
0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF
CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
0066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF
0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
0066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
0066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00
0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00
0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF00
0066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00
0066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00
0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF
CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FF
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00
0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF
0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FFCCFF000066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
CCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF00
0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00
0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF
CCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF
CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF000066FF0066FF
CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF
CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00
0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF
CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF
0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FF0066FF
0066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF
CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF
0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF
0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00
CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
0066FF0066FF0066FF0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF
CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FF
0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF
0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF
CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
0066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF00
0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00
CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00
0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF00
0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00
CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
0066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF
0066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF
CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00
CCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF
0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00
0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF
0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
0066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00
0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
CCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FF
0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF00
CCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
CCFF000066FFCCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF
CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF000066FF
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF
CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF
CCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF
CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00
0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF
0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FFCCFF000066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF
0066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF
CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FFCCFF00
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00
0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF
0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00
0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF
0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FF
0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF
0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF
0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF
CCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF
0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FFCCFF00
0066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF
0066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF
CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00
0066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF
0066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00
0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
pop
P
% End of image
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[14]:=",
  ImageSize->{288, 144.688},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000T2000`400?l00000o`00003oo`00000P
00000040oooo00000`000000oooo0?ooo`3o0?oooa`0oooo0@0000010?ooo`0000<000000?ooo`3o
ool0o`3ooolL0?ooo`4000000@3oool000030000003oool0oooo0?l0oooo703oool100000040oooo
00000`000000oooo0?ooo`040?ooo`<0c?l00P00I_l20<co00@006Ko103<o`03001Vo`D0c?l01000
I_l50<co008006Ko00<0c?l0001Vo`00I_l01000I_l00`3<o`0006Ko001Vo`02001Vo`030<co0000
I_l006Ko00@0c?l000<006Ko0<co003<o`00103<o`001000I_l0c?l00<co003<o`02001Vo`80c?l0
0P00I_l20<co00@006Ko00@0c?l0001Vo`3<o`00c?l01`00I_l40<co0003001Vo`3<o`0006Ko00<0
06Ko0P3<o`000`00I_l0c?l0001Vo`04001Vo`050<co0000I_l0c?l00<co0000I_l0103<o`03001V
o`030<co0000I_l0c?l000H0c?l00P00I_l0103<o`0006Ko0<co003<o`04001Vo`030<co0000I_l0
c?l000P0c?l000H006Ko0<co0000I_l006Ko0<co0000I_l30<co00@006Ko00@0c?l0001Vo`00I_l0
c?l01P00I_l20<co008006Ko00@0c?l0001Vo`3<o`00c?l01000I_l0103<o`0006Ko0<co003<o`04
001Vo`<0c?l00P00I_l30<co00D006Ko1P3<o`000`00I_l0c?l00<co00040<co00@006Ko00<0c?l0
001Vo`3<o`000P3<o`000`00I_l0c?l00<co00040<co0005001Vo`3<o`00c?l00<co0000I_l00`3<
o`000`00I_l0c?l00<co00040<co008006Ko0P3<o`001P00I_l0c?l0001Vo`00I_l0c?l0001Vo`D0
c?l00P00I_l20<co00@006Ko00<0c?l00?ooo`3oool01@3oool100000040oooo00000`000000oooo
0?ooo`040?ooo`05001Vo`3<o`00c?l00<co0000I_l01P3<o`03001Vo`80c?l00P00I_l0103<o`00
06Ko001Vo`00I_l40<co0003001Vo`3<o`0006Ko008006Ko00<0c?l0001Vo`00I_l01@3<o`02001V
o`@0c?l000@006Ko0<co003<o`00c?l00P00I_l30<co00<006Ko00<0c?l0001Vo`00I_l00P00I_l3
0<co0005001Vo`3<o`00c?l00<co0000I_l0103<o`02001Vo`030<co0000I_l0c?l000P0c?l00P00
I_l20<co0003001Vo`3<o`00c?l00080c?l000@006Ko0<co003<o`0006Ko103<o`02001Vo`030<co
0000I_l0c?l00080c?l00`00I_l40<co00@006Ko00D0c?l0001Vo`00I_l006Ko0<co0002001Vo`03
0<co0000I_l0c?l000<0c?l00P00I_l20<co00<006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`001000
I_l0c?l00<co003<o`04001Vo`@0c?l000@006Ko0<co003<o`00c?l02000I_l01@3<o`0006Ko001V
o`3<o`0006Ko00@0c?l00P00I_l00`3<o`0006Ko0<co00030<co008006Ko00<0c?l0001Vo`00I_l0
1000I_l50<co0003001Vo`3<o`00c?l0008006Ko0P3<o`000`00I_l0c?l0001Vo`02001Vo`H0c?l0
1000I_l0103<o`0006Ko0<co003<o`02001Vo`80c?l000<006Ko0<co0000I_l01000I_l0103<o`00
06Ko0<co003<o`02001Vo`<0c?l000D006Ko0<co003<o`0006Ko0<co0002001Vo`80c?l00`00I_l3
0<co0003001Vo`3<o`00c?l000@0c?l000<006Ko0?ooo`3oool01@3oool100000040oooo00000`00
0000oooo0?ooo`040?ooo`05001Vo`3<o`00c?l00<co0000I_l01P3<o`03001Vo`80c?l00P00I_l0
103<o`0006Ko001Vo`00I_l40<co0003001Vo`3<o`0006Ko008006Ko00<0c?l0001Vo`00I_l01@3<
o`02001Vo`@0c?l000@006Ko0<co003<o`00c?l00P00I_l30<co00<006Ko00<0c?l0001Vo`00I_l0
0P00I_l30<co0005001Vo`3<o`00c?l00<co0000I_l0103<o`02001Vo`030<co0000I_l0c?l000P0
c?l00P00I_l20<co0003001Vo`3<o`00c?l00080c?l000@006Ko0<co003<o`0006Ko103<o`02001V
o`030<co0000I_l0c?l00080c?l00`00I_l40<co00@006Ko00D0c?l0001Vo`00I_l006Ko0<co0002
001Vo`030<co0000I_l0c?l000<0c?l00P00I_l20<co00<006Ko00@0c?l0001Vo`00I_l006Ko0P3<
o`001000I_l0c?l00<co003<o`04001Vo`@0c?l000@006Ko0<co003<o`00c?l02000I_l01@3<o`00
06Ko001Vo`3<o`0006Ko00@0c?l00P00I_l00`3<o`0006Ko0<co00030<co008006Ko00<0c?l0001V
o`00I_l01000I_l50<co0003001Vo`3<o`00c?l0008006Ko0P3<o`000`00I_l0c?l0001Vo`02001V
o`H0c?l01000I_l0103<o`0006Ko0<co003<o`02001Vo`80c?l000<006Ko0<co0000I_l01000I_l0
103<o`0006Ko0<co003<o`02001Vo`<0c?l000D006Ko0<co003<o`0006Ko0<co0002001Vo`80c?l0
0`00I_l30<co0003001Vo`3<o`00c?l000@0c?l000<006Ko0?ooo`3oool01@3oool100000040oooo
00000`000000oooo0?ooo`040?ooo`<006Ko0P3<o`03001Vo`030<co0000I_l006Ko00@006Ko00<0
c?l0001Vo`00I_l0103<o`02001Vo`80c?l000H006Ko0<co003<o`00c?l0001Vo`3<o`02001Vo`04
0<co0000I_l006Ko001Vo`<0c?l00P00I_l20<co0003001Vo`3<o`0006Ko00D006Ko0P3<o`02001V
o`@0c?l000<006Ko0<co003<o`001000I_l20<co00<006Ko00<0c?l0001Vo`00I_l00P3<o`03001V
o`80c?l00P00I_l30<co0004001Vo`3<o`00c?l00<co00<006Ko00<0c?l0001Vo`3<o`000P3<o`03
001Vo`<0c?l01000I_l40<co008006Ko103<o`02001Vo`80c?l00P00I_l30<co00@006Ko00<0c?l0
001Vo`00I_l00P00I_l30<co0005001Vo`3<o`00c?l00<co0000I_l00P3<o`000`00I_l0c?l0001V
o`06001Vo`030<co0000I_l006Ko008006Ko2@3<o`001000I_l0c?l0001Vo`00I_l20<co00<006Ko
00<0c?l0001Vo`00I_l00P3<o`03001Vo`030<co0000I_l006Ko00D0c?l00P00I_l01P3<o`0006Ko
001Vo`00I_l0c?l0001Vo`<0c?l000@006Ko0<co003<o`0006Ko0`3<o`000`00I_l0c?l00<co0002
001Vo`@0c?l00P00I_l00`3<o`0006Ko0<co00020<co0004001Vo`3<o`00c?l0001Vo`@0c?l00P00
I_l20<co00H006Ko00H0c?l0001Vo`3<o`00c?l0001Vo`3<o`02001Vo`030<co0000I_l006Ko00@0
06Ko0P3<o`03001Vo`040<co0000I_l006Ko001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3o
ool0103oool4001Vo`<0c?l000<006Ko0<co003<o`00103<o`001000I_l0c?l00<co003<o`02001V
o`@0c?l01000I_l20<co0004001Vo`3<o`00c?l00<co00D006Ko0`3<o`001000I_l0c?l00<co003<
o`08001Vo`<0c?l00`00I_l20<co00L006Ko103<o`04001Vo`<0c?l000D006Ko0<co003<o`00c?l0
001Vo`020<co00@006Ko0P3<o`02001Vo`040<co0000I_l0c?l00<co00D006Ko1P3<o`02001Vo`@0
c?l00`00I_l0103<o`0006Ko001Vo`3<o`04001Vo`@0c?l00P00I_l40<co0003001Vo`3<o`0006Ko
00<006Ko0P3<o`001000I_l0c?l00<co0000I_l70<co0003001Vo`3<o`00c?l000<0c?l00`00I_l0
103<o`0006Ko001Vo`00I_l30<co00@006Ko103<o`04001Vo`<0c?l000D006Ko0<co0000I_l006Ko
0<co0003001Vo`030<co0000I_l006Ko00@0c?l01000I_l20<co00@006Ko0P3<o`000`00I_l0c?l0
0<co00020<co00<006Ko0`3<o`04001Vo`80c?l01000I_l20<co00@006Ko1@3<o`02001Vo`050<co
0000I_l0c?l00<co0000I_l00`3<o`08001Vo`@0c?l01000I_l70?ooo`4000000@3oool000030000
003oool0oooo00@0oooo1@00I_l30<co00<006Ko00<0c?l0001Vo`00I_l00P00I_l40<co00<006Ko
1@3<o`04001Vo`H0c?l000<006Ko0<co003<o`001000I_l80<co0003001Vo`3<o`0006Ko00D006Ko
203<o`03001Vo`@0c?l000<006Ko0<co0000I_l01000I_l20<co00L006Ko00D0c?l0001Vo`00I_l0
c?l0001Vo`060<co0003001Vo`3<o`00c?l0008006Ko103<o`03001Vo`<0c?l000@006Ko0<co0000
I_l006Ko1@3<o`03001Vo`<0c?l00P00I_l20<co0003001Vo`3<o`00c?l00080c?l000@006Ko0<co
003<o`00c?l01000I_l20<co008006Ko0P3<o`000`00I_l0c?l0001Vo`02001Vo`<0c?l000D006Ko
0<co003<o`00c?l0001Vo`020<co00H006Ko0P3<o`06001Vo`80c?l000@006Ko0<co0000I_l006Ko
103<o`04001Vo`030<co0000I_l006Ko00D006Ko103<o`001000I_l0c?l00<co003<o`03001Vo`<0
c?l000<006Ko0<co0000I_l01P00I_l40<co0003001Vo`3<o`00c?l000<0c?l000<006Ko0<co0000
I_l00P00I_l01@3<o`0006Ko001Vo`3<o`0006Ko0080c?l000<006Ko0<co0000I_l02P00I_l20<co
00D006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?ooo`D006Ko0`3<o`03001Vo`03
0<co0000I_l006Ko008006Ko103<o`03001Vo`D0c?l01000I_l60<co0003001Vo`3<o`00c?l000@0
06Ko203<o`000`00I_l0c?l0001Vo`05001Vo`P0c?l00`00I_l40<co0003001Vo`3<o`0006Ko00@0
06Ko0P3<o`07001Vo`050<co0000I_l006Ko0<co0000I_l01P3<o`000`00I_l0c?l00<co0002001V
o`@0c?l00`00I_l30<co0004001Vo`3<o`0006Ko001Vo`D0c?l00`00I_l30<co008006Ko0P3<o`00
0`00I_l0c?l00<co00020<co0004001Vo`3<o`00c?l00<co00@006Ko0P3<o`02001Vo`80c?l000<0
06Ko0<co0000I_l00P00I_l30<co0005001Vo`3<o`00c?l00<co0000I_l00P3<o`06001Vo`80c?l0
1P00I_l20<co0004001Vo`3<o`0006Ko001Vo`@0c?l01000I_l00`3<o`0006Ko001Vo`05001Vo`@0
c?l000@006Ko0<co003<o`00c?l00`00I_l30<co0003001Vo`3<o`0006Ko00H006Ko103<o`000`00
I_l0c?l00<co00030<co0003001Vo`3<o`0006Ko008006Ko00D0c?l0001Vo`00I_l0c?l0001Vo`02
0<co0003001Vo`3<o`0006Ko00X006Ko0P3<o`05001Vo`L0oooo0@0000010?ooo`0000<000000?oo
o`3oool0103oool7001Vo`80c?l00P00I_l50<co00<006Ko0`3<o`000`00I_l0c?l0001Vo`02001V
o`@0c?l000<006Ko0<co003<o`000`00I_l00`3<o`0006Ko0<co00050<co008006Ko0P3<o`02001V
o`80c?l000<006Ko0<co003<o`001@3<o`03001Vo`040<co0000I_l006Ko001Vo`@0c?l00P00I_l3
0<co00L006Ko1`3<o`001P00I_l0c?l0001Vo`00I_l0c?l0001Vo`80c?l00P00I_l30<co00H006Ko
00<0c?l0001Vo`00I_l00`00I_l20<co0004001Vo`3<o`00c?l00<co008006Ko0P3<o`05001Vo`@0
c?l01000I_l20<co00@006Ko103<o`001@00I_l0c?l00<co003<o`0006Ko0080c?l000H006Ko0<co
003<o`00c?l0001Vo`3<o`04001Vo`80c?l000<006Ko0<co003<o`001@3<o`000`00I_l0c?l00<co
00050<co0004001Vo`3<o`00c?l0001Vo`<0c?l00`00I_l40<co0003001Vo`3<o`00c?l000H0c?l0
0`00I_l0103<o`0006Ko0<co003<o`05001Vo`80c?l000<006Ko0<co003<o`001P3<o`03001Vo`80
c?l00`00I_l20<co0006001Vo`3<o`00c?l00<co0000I_l0c?l00P00I_l01@3<o`0006Ko0<co003<
o`0006Ko00`0c?l01`00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo2000I_l3
0<co00<006Ko00<0c?l0001Vo`00I_l00`00I_l20<co0003001Vo`3<o`00c?l00080c?l00`00I_l0
0`3<o`0006Ko0<co00020<co008006Ko00@0c?l0001Vo`3<o`00c?l00P00I_l30<co0003001Vo`3<
o`00c?l00080c?l01000I_l20<co00<006Ko0P3<o`02001Vo`@0c?l00P00I_l30<co0003001Vo`3<
o`00c?l000T006Ko0P3<o`02001Vo`80c?l000@006Ko0<co0000I_l006Ko0P3<o`06001Vo`D0c?l0
0P00I_l60<co00@006Ko0`3<o`000`00I_l0c?l00<co00050<co00<006Ko1@3<o`07001Vo`80c?l0
1000I_l20<co00@006Ko0P3<o`000`00I_l0c?l00<co00020<co0004001Vo`3<o`00c?l0001Vo`80
c?l00P00I_l20<co00@006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`04001Vo`D0c?l00P00I_l30<co
00<006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`02001Vo`030<co0000I_l0c?l000H0c?l01000I_l2
0<co008006Ko0P3<o`05001Vo`@0c?l01000I_l20<co0004001Vo`3<o`0006Ko001Vo`80c?l01000
I_l20<co008006Ko0P3<o`03001Vo`030<co0000I_l006Ko00H006Ko1`3oool100000040oooo0000
0`000000oooo0?ooo`040?ooo`T006Ko0`3<o`02001Vo`D0c?l000@006Ko0<co003<o`00c?l00`00
I_l40<co00@006Ko00<0c?l0001Vo`00I_l00P3<o`06001Vo`80c?l00`00I_l40<co0004001Vo`3<
o`00c?l00<co008006Ko00<0c?l0001Vo`00I_l00P00I_l00`3<o`0006Ko001Vo`04001Vo`030<co
0000I_l0c?l000T0c?l000D006Ko0<co003<o`00c?l0001Vo`030<co00@006Ko1`3<o`03001Vo`03
0<co0000I_l006Ko008006Ko00@0c?l0001Vo`00I_l006Ko103<o`000`00I_l0c?l00<co0004001V
o`040<co0000I_l006Ko001Vo`<0c?l000<006Ko0<co0000I_l00P00I_l80<co00L006Ko103<o`00
1000I_l0c?l00<co003<o`03001Vo`050<co0000I_l0c?l00<co0000I_l00`3<o`000`00I_l0c?l0
0<co00020<co008006Ko0P3<o`02001Vo`030<co0000I_l006Ko00D006Ko00<0c?l0001Vo`00I_l0
1000I_l40<co00D006Ko0`3<o`04001Vo`040<co0000I_l006Ko001Vo`@0c?l000D006Ko0<co003<
o`00c?l0001Vo`070<co00<006Ko103<o`001000I_l0c?l00<co003<o`04001Vo`@0c?l000D006Ko
0<co003<o`00c?l0001Vo`050<co00T006Ko1`3oool100000040oooo00000`000000oooo0?ooo`04
0?ooo`T006Ko0`3<o`02001Vo`D0c?l000@006Ko0<co003<o`00c?l00`00I_l40<co00@006Ko00<0
c?l0001Vo`00I_l00P3<o`06001Vo`80c?l00`00I_l40<co0004001Vo`3<o`00c?l00<co008006Ko
00<0c?l0001Vo`00I_l00P00I_l00`3<o`0006Ko001Vo`04001Vo`030<co0000I_l0c?l000T0c?l0
00D006Ko0<co003<o`00c?l0001Vo`030<co00@006Ko1`3<o`03001Vo`030<co0000I_l006Ko0080
06Ko00@0c?l0001Vo`00I_l006Ko103<o`000`00I_l0c?l00<co0004001Vo`040<co0000I_l006Ko
001Vo`<0c?l000<006Ko0<co0000I_l00P00I_l80<co00L006Ko103<o`001000I_l0c?l00<co003<
o`03001Vo`050<co0000I_l0c?l00<co0000I_l00`3<o`000`00I_l0c?l00<co00020<co008006Ko
0P3<o`02001Vo`030<co0000I_l006Ko00D006Ko00<0c?l0001Vo`00I_l01000I_l40<co00D006Ko
0`3<o`04001Vo`040<co0000I_l006Ko001Vo`@0c?l000D006Ko0<co003<o`00c?l0001Vo`070<co
00<006Ko103<o`001000I_l0c?l00<co003<o`04001Vo`@0c?l000D006Ko0<co003<o`00c?l0001V
o`050<co00T006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?ooo`/006Ko0`3<o`02
001Vo`80c?l01000I_l40<co008006Ko1P3<o`04001Vo`D0c?l00P00I_l00`3<o`0006Ko001Vo`03
001Vo`80c?l01000I_l00`3<o`0006Ko001Vo`040<co0003001Vo`3<o`00c?l000<0c?l00P00I_l2
0<co00<006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`04001Vo`040<co0000I_l0c?l00<co00H006Ko
0P3<o`02001Vo`<0c?l00P00I_l40<co0003001Vo`3<o`00c?l00080c?l00`00I_l00`3<o`0006Ko
0<co00050<co00D006Ko0`3<o`05001Vo`80c?l00P00I_l20<co00T006Ko0P3<o`04001Vo`80c?l0
0P00I_l01@3<o`0006Ko0<co003<o`0006Ko0080c?l01000I_l00`3<o`0006Ko001Vo`02001Vo`03
0<co0000I_l006Ko00P0c?l02000I_l00`3<o`0006Ko001Vo`06001Vo`H0c?l01@00I_l20<co00@0
06Ko00@0c?l0001Vo`3<o`00c?l00P00I_l20<co00D006Ko0P3<o`04001Vo`D0c?l00`00I_l0103<
o`0006Ko0<co003<o`04001Vo`030<co0000I_l006Ko00T006Ko1`3oool100000040oooo00000`00
0000oooo0?ooo`040?ooo``006Ko0`3<o`000`00I_l0c?l00<co00040<co008006Ko0`3<o`000`00
I_l0c?l00<co0002001Vo`D0c?l000<006Ko0<co0000I_l00P00I_l00`3<o`0006Ko001Vo`050<co
0003001Vo`3<o`00c?l00080c?l00P00I_l30<co008006Ko0`3<o`03001Vo`030<co0000I_l006Ko
008006Ko0`3<o`001@00I_l0c?l00<co003<o`0006Ko00@0c?l00P00I_l00`3<o`0006Ko0<co0007
0<co00H006Ko0`3<o`02001Vo`<0c?l00`00I_l20<co008006Ko0P3<o`03001Vo`030<co0000I_l0
06Ko00L006Ko1@3<o`001@00I_l0c?l00<co003<o`0006Ko00/0c?l01`00I_l01@3<o`0006Ko001V
o`3<o`0006Ko0080c?l000<006Ko0<co003<o`000P3<o`02001Vo`@0c?l000@006Ko0<co003<o`00
c?l00P00I_l20<co008006Ko2@3<o`000`00I_l0c?l00<co00060<co0003001Vo`3<o`00c?l00080
06Ko1P3<o`000`00I_l0c?l00<co00020<co008006Ko00<0c?l0001Vo`3<o`000P3<o`000`00I_l0
c?l00<co00040<co0003001Vo`3<o`00c?l00080c?l00P00I_l0103<o`0006Ko001Vo`00I_l20<co
008006Ko00<0c?l0001Vo`3<o`001@3<o`0<001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3o
ool0103oool<001Vo`<0c?l000<006Ko0<co003<o`00103<o`02001Vo`<0c?l000<006Ko0<co003<
o`000P00I_l50<co0003001Vo`3<o`0006Ko008006Ko00<0c?l0001Vo`00I_l01@3<o`000`00I_l0
c?l00<co00020<co008006Ko0`3<o`02001Vo`<0c?l00`00I_l00`3<o`0006Ko001Vo`02001Vo`<0
c?l000D006Ko0<co003<o`00c?l0001Vo`040<co008006Ko00<0c?l0001Vo`3<o`001`3<o`06001V
o`<0c?l00P00I_l30<co00<006Ko0P3<o`02001Vo`80c?l00`00I_l00`3<o`0006Ko001Vo`07001V
o`D0c?l000D006Ko0<co003<o`00c?l0001Vo`0;0<co00L006Ko00D0c?l0001Vo`00I_l0c?l0001V
o`020<co0003001Vo`3<o`00c?l00080c?l00P00I_l40<co0004001Vo`3<o`00c?l00<co008006Ko
0P3<o`02001Vo`T0c?l000<006Ko0<co003<o`001P3<o`000`00I_l0c?l00<co0002001Vo`H0c?l0
00<006Ko0<co003<o`000P3<o`02001Vo`030<co0000I_l0c?l00080c?l000<006Ko0<co003<o`00
103<o`000`00I_l0c?l00<co00020<co008006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`02001Vo`03
0<co0000I_l0c?l000D0c?l03000I_l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo
3P00I_l20<co00<006Ko00<0c?l0001Vo`00I_l01000I_l00`3<o`0006Ko0<co00030<co00<006Ko
0P3<o`001P00I_l0c?l00<co003<o`0006Ko0<co008006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`03
001Vo`040<co0000I_l006Ko0<co00H006Ko0P3<o`02001Vo`@0c?l000<006Ko0<co0000I_l00`00
I_l30<co00<006Ko00<0c?l0001Vo`00I_l00P3<o`03001Vo`040<co0000I_l006Ko001Vo`D0c?l0
0P00I_l00`3<o`0006Ko001Vo`04001Vo`80c?l00P00I_l00`3<o`0006Ko001Vo`02001Vo`<0c?l0
00<006Ko0<co003<o`001P3<o`02001Vo`060<co0000I_l006Ko001Vo`3<o`0006Ko0P3<o`04001V
o`050<co0000I_l006Ko001Vo`3<o`000`00I_l70<co0004001Vo`3<o`0006Ko001Vo`80c?l01@00
I_l00`3<o`0006Ko001Vo`02001Vo`030<co0000I_l006Ko008006Ko0`3<o`000`00I_l0c?l00<co
00020<co00<006Ko0P3<o`02001Vo`<0c?l00`00I_l01P3<o`0006Ko001Vo`00I_l0c?l0001Vo`<0
c?l000<006Ko0<co003<o`000`00I_l20<co00<006Ko0`3<o`04001Vo`040<co0000I_l0c?l00<co
008006Ko0`3<o`03001Vo`<0c?l01@00I_l00`3<o`0006Ko001Vo`020<co00<006Ko00<0c?l0001V
o`00I_l03000I_l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo3`00I_l30<co0003
001Vo`3<o`00c?l000<0c?l00P00I_l20<co00<006Ko103<o`04001Vo`80c?l000@006Ko0<co003<
o`00c?l01@00I_l30<co0004001Vo`3<o`00c?l00<co00P006Ko0`3<o`02001Vo`<0c?l01`00I_l4
0<co00@006Ko0`3<o`001P00I_l0c?l00<co003<o`0006Ko0<co00<006Ko0`3<o`08001Vo`<0c?l0
1P00I_l30<co00<006Ko00D0c?l0001Vo`00I_l006Ko0<co0002001Vo`80c?l00P00I_l00`3<o`00
06Ko0<co00030<co008006Ko103<o`05001Vo`80c?l00P00I_l30<co00@006Ko103<o`02001Vo`D0
c?l01`00I_l20<co00<006Ko103<o`06001Vo`80c?l00P00I_l40<co00@006Ko00<0c?l0001Vo`3<
o`000P3<o`02001Vo`030<co0000I_l006Ko00<006Ko103<o`02001Vo`030<co0000I_l0c?l00080
c?l000<006Ko0<co003<o`001@00I_l70<co00@006Ko103<o`0?001Vo`L0oooo0@0000010?ooo`00
00<000000?ooo`3oool0103oool@001Vo`<0c?l00`00I_l00`3<o`0006Ko001Vo`02001Vo`@0c?l0
0`00I_l50<co00@006Ko1P3<o`000`00I_l0c?l0001Vo`03001Vo`T0c?l000<006Ko0<co0000I_l0
1@00I_l80<co00<006Ko103<o`000`00I_l0c?l0001Vo`03001Vo`<0c?l01@00I_l90<co0003001V
o`3<o`0006Ko00T006Ko0P3<o`02001Vo`@0c?l01000I_l00`3<o`0006Ko001Vo`020<co00<006Ko
0`3<o`03001Vo`H0c?l01P00I_l50<co00<006Ko00@0c?l0001Vo`00I_l0c?l00`00I_l60<co0080
06Ko00<0c?l0001Vo`00I_l00`00I_l20<co00P006Ko0`3<o`02001Vo`H0c?l01000I_l00`3<o`00
06Ko001Vo`060<co00<006Ko0`3<o`04001Vo`030<co0000I_l0c?l000D0c?l000<006Ko0<co003<
o`000P00I_l20<co00H006Ko0P3<o`0@001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0
103oool@001Vo`<0c?l00`00I_l00`3<o`0006Ko001Vo`02001Vo`@0c?l00`00I_l50<co00@006Ko
1P3<o`000`00I_l0c?l0001Vo`03001Vo`T0c?l000<006Ko0<co0000I_l01@00I_l80<co00<006Ko
103<o`000`00I_l0c?l0001Vo`03001Vo`<0c?l01@00I_l90<co0003001Vo`3<o`0006Ko00T006Ko
0P3<o`02001Vo`@0c?l01000I_l00`3<o`0006Ko001Vo`020<co00<006Ko0`3<o`03001Vo`H0c?l0
1P00I_l50<co00<006Ko00@0c?l0001Vo`00I_l0c?l00`00I_l60<co008006Ko00<0c?l0001Vo`00
I_l00`00I_l20<co00P006Ko0`3<o`02001Vo`H0c?l01000I_l00`3<o`0006Ko001Vo`060<co00<0
06Ko0`3<o`04001Vo`030<co0000I_l0c?l000D0c?l000<006Ko0<co003<o`000P00I_l20<co00H0
06Ko0P3<o`0@001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooolB001Vo`80c?l0
0P00I_l50<co00<006Ko0P3<o`02001Vo`040<co0000I_l006Ko001Vo`@0c?l000<006Ko0<co003<
o`000P00I_l20<co0003001Vo`3<o`00c?l000<0c?l00`00I_l20<co008006Ko0P3<o`000`00I_l0
c?l00<co00050<co008006Ko0P3<o`02001Vo`D0c?l00P00I_l30<co00L006Ko1P3<o`03001Vo`80
c?l00P00I_l30<co00`006Ko0`3<o`03001Vo`D0c?l01000I_l30<co0003001Vo`3<o`0006Ko00D0
06Ko00@0c?l0001Vo`00I_l006Ko1@3<o`02001Vo`040<co0000I_l006Ko001Vo`80c?l00P00I_l3
0<co00D006Ko00D0c?l0001Vo`00I_l006Ko0<co0002001Vo`H0c?l02`00I_l30<co0003001Vo`3<
o`00c?l0008006Ko103<o`02001Vo`040<co0000I_l006Ko0<co00<006Ko00<0c?l0001Vo`00I_l0
0`00I_l40<co008006Ko00@0c?l0001Vo`3<o`00c?l00`00I_l00`3<o`0006Ko0<co00020<co0003
001Vo`3<o`00c?l000H0c?l04P00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo
4`00I_l30<co008006Ko0P3<o`05001Vo`030<co0000I_l006Ko00@0c?l00`00I_l00`3<o`0006Ko
0<co00020<co0005001Vo`3<o`00c?l0001Vo`3<o`000`00I_l30<co0003001Vo`3<o`00c?l00080
c?l01000I_l20<co008006Ko0`3<o`000`00I_l0c?l00<co00020<co00<006Ko0`3<o`000`00I_l0
c?l00<co0009001Vo`040<co0000I_l006Ko001Vo`<0c?l000D006Ko0<co003<o`00c?l0001Vo`02
0<co00h006Ko1@3<o`02001Vo`80c?l01P00I_l20<co0003001Vo`3<o`00c?l000@0c?l000H006Ko
0<co003<o`00c?l0001Vo`3<o`03001Vo`030<co0000I_l006Ko0080c?l00P00I_l00`3<o`0006Ko
001Vo`02001Vo`H0c?l000H006Ko0<co003<o`00c?l0001Vo`3<o`02001Vo`050<co0000I_l006Ko
001Vo`3<o`003P00I_l00`3<o`0006Ko0<co00030<co00<006Ko00@0c?l0001Vo`00I_l0c?l00P00
I_l20<co008006Ko1P3<o`03001Vo`050<co0000I_l006Ko0<co0000I_l00`3<o`02001Vo`040<co
0000I_l0c?l00<co00@006Ko00D0c?l0001Vo`00I_l006Ko0<co000C001Vo`L0oooo0@0000010?oo
o`0000<000000?ooo`3oool0103ooolD001Vo`<0c?l000<006Ko0<co003<o`00103<o`001000I_l0
c?l00<co003<o`03001Vo`@0c?l01000I_l00`3<o`0006Ko0<co00020<co00D006Ko0`3<o`03001V
o`@0c?l000D006Ko0<co003<o`00c?l0001Vo`020<co00@006Ko00<0c?l0001Vo`00I_l01000I_l0
0`3<o`0006Ko0<co00090<co0006001Vo`3<o`00c?l00<co0000I_l0c?l01@00I_l00`3<o`0006Ko
0<co000?0<co00<006Ko0`3<o`000`00I_l0c?l00<co00050<co0004001Vo`3<o`00c?l00<co00<0
06Ko00<0c?l0001Vo`00I_l00P00I_l20<co0003001Vo`3<o`00c?l00080c?l01000I_l00`3<o`00
06Ko001Vo`050<co00<006Ko00<0c?l0001Vo`00I_l00P00I_l20<co0004001Vo`3<o`0006Ko001V
o`80c?l00P00I_l=0<co008006Ko0P3<o`03001Vo`<0c?l000D006Ko0<co0000I_l006Ko0<co0002
001Vo`030<co0000I_l006Ko008006Ko00@0c?l0001Vo`00I_l006Ko0`3<o`001000I_l0c?l00<co
003<o`04001Vo`050<co0000I_l006Ko0<co0000I_l0103<o`02001Vo`@0c?l05000I_l70?ooo`40
00000@3oool000030000003oool0oooo00@0oooo5000I_l30<co0003001Vo`3<o`00c?l000@0c?l0
00@006Ko0<co003<o`00c?l00`00I_l40<co00@006Ko00<0c?l0001Vo`3<o`000P3<o`05001Vo`<0
c?l00`00I_l40<co0005001Vo`3<o`00c?l00<co0000I_l00P3<o`04001Vo`030<co0000I_l006Ko
00@006Ko00<0c?l0001Vo`3<o`002@3<o`001P00I_l0c?l00<co003<o`0006Ko0<co00D006Ko00<0
c?l0001Vo`3<o`003`3<o`03001Vo`<0c?l000<006Ko0<co003<o`001@3<o`001000I_l0c?l00<co
003<o`03001Vo`030<co0000I_l006Ko008006Ko0P3<o`000`00I_l0c?l00<co00020<co00@006Ko
00<0c?l0001Vo`00I_l01@3<o`03001Vo`030<co0000I_l006Ko008006Ko0P3<o`001000I_l0c?l0
001Vo`00I_l20<co008006Ko3@3<o`02001Vo`80c?l00`00I_l30<co0005001Vo`3<o`0006Ko001V
o`3<o`000P00I_l00`3<o`0006Ko001Vo`02001Vo`040<co0000I_l006Ko001Vo`<0c?l000@006Ko
0<co003<o`00c?l01000I_l01@3<o`0006Ko001Vo`3<o`0006Ko00@0c?l00P00I_l40<co01@006Ko
1`3oool100000040oooo00000`000000oooo0?ooo`040?oooaH006Ko0P3<o`03001Vo`030<co0000
I_l006Ko008006Ko1@3<o`02001Vo`H0c?l01000I_l50<co0003001Vo`3<o`00c?l000D006Ko0P3<
o`04001Vo`030<co0000I_l0c?l000<0c?l00P00I_l50<co008006Ko0P3<o`03001Vo`050<co0000
I_l006Ko001Vo`3<o`001000I_l20<co0003001Vo`3<o`00c?l000@0c?l01000I_l01@3<o`0006Ko
001Vo`00I_l0c?l000<006Ko00D0c?l0001Vo`00I_l006Ko0<co0006001Vo`040<co0000I_l0c?l0
0<co008006Ko0P3<o`04001Vo`80c?l00P00I_l40<co0004001Vo`3<o`00c?l00<co00<006Ko103<
o`001@00I_l0c?l0001Vo`00I_l0c?l000<006Ko0`3<o`000`00I_l0c?l00<co00020<co0004001V
o`3<o`00c?l00<co00@006Ko00@0c?l0001Vo`00I_l0c?l00`00I_l01@3<o`0006Ko001Vo`00I_l0
c?l000<006Ko00@0c?l0001Vo`00I_l0c?l01@00I_l20<co0005001Vo`3<o`0006Ko001Vo`3<o`00
0P00I_l40<co0006001Vo`3<o`00c?l00<co0000I_l0c?l01000I_l40<co008006Ko0`3<o`04001V
o`030<co0000I_l006Ko008006Ko00<0c?l0001Vo`00I_l05000I_l70?ooo`4000000@3oool00003
0000003oool0oooo00@0oooo5`00I_l30<co0003001Vo`3<o`00c?l000<0c?l00`00I_l30<co0003
001Vo`3<o`00c?l0008006Ko103<o`02001Vo`060<co0000I_l006Ko001Vo`3<o`0006Ko1P3<o`00
0`00I_l0c?l00<co00020<co008006Ko0P3<o`03001Vo`<0c?l00P00I_l20<co00@006Ko0`3<o`00
1@00I_l0c?l00<co003<o`0006Ko00@0c?l000D006Ko0<co003<o`0006Ko0<co0003001Vo`@0c?l0
0P00I_l20<co008006Ko0P3<o`02001Vo`80c?l00P00I_l50<co008006Ko00<0c?l0001Vo`3<o`00
0P3<o`000`00I_l0c?l00<co00020<co008006Ko00<0c?l0001Vo`00I_l00P00I_l20<co00@006Ko
103<o`02001Vo`80c?l000@006Ko0<co0000I_l006Ko0P3<o`02001Vo`030<co0000I_l006Ko0080
06Ko0P3<o`04001Vo`@0c?l000@006Ko0<co0000I_l006Ko0P3<o`02001Vo`<0c?l000H006Ko0<co
003<o`00c?l0001Vo`3<o`02001Vo`D0c?l000@006Ko0<co003<o`0006Ko0`3<o`04001Vo`030<co
0000I_l006Ko008006Ko0`3<o`07001Vo`030<co0000I_l006Ko008006Ko103<o`02001Vo`D0c?l0
5`00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo6000I_l30<co00<006Ko00<0
c?l0001Vo`00I_l01000I_l00`3<o`0006Ko0<co00030<co00<006Ko00<0c?l0001Vo`00I_l00P3<
o`02001Vo`040<co0000I_l0c?l00<co00<006Ko0P3<o`03001Vo`040<co0000I_l006Ko0<co00D0
06Ko0`3<o`000`00I_l0c?l00<co00030<co0003001Vo`3<o`0006Ko00<006Ko0`3<o`03001Vo`03
0<co0000I_l0c?l00080c?l01P00I_l00`3<o`0006Ko001Vo`02001Vo`040<co0000I_l006Ko0<co
00@006Ko00@0c?l0001Vo`00I_l0c?l00`00I_l30<co00@006Ko0P3<o`03001Vo`030<co0000I_l0
06Ko00@0c?l000<006Ko0<co003<o`00103<o`02001Vo`<0c?l000@006Ko0<co003<o`00c?l01000
I_l00`3<o`0006Ko001Vo`040<co0003001Vo`3<o`00c?l000@0c?l00P00I_l30<co00@006Ko00@0
c?l0001Vo`00I_l0c?l01000I_l20<co0005001Vo`3<o`0006Ko001Vo`3<o`000`00I_l20<co00@0
06Ko1P3<o`07001Vo`H0c?l00P00I_l50<co00<006Ko0`3<o`02001Vo`80c?l06000I_l70?ooo`40
00000@3oool000030000003oool0oooo00@0oooo6000I_l30<co00<006Ko00<0c?l0001Vo`00I_l0
1000I_l00`3<o`0006Ko0<co00030<co00<006Ko00<0c?l0001Vo`00I_l00P3<o`02001Vo`040<co
0000I_l0c?l00<co00<006Ko0P3<o`03001Vo`040<co0000I_l006Ko0<co00D006Ko0`3<o`000`00
I_l0c?l00<co00030<co0003001Vo`3<o`0006Ko00<006Ko0`3<o`03001Vo`030<co0000I_l0c?l0
0080c?l01P00I_l00`3<o`0006Ko001Vo`02001Vo`040<co0000I_l006Ko0<co00@006Ko00@0c?l0
001Vo`00I_l0c?l00`00I_l30<co00@006Ko0P3<o`03001Vo`030<co0000I_l006Ko00@0c?l000<0
06Ko0<co003<o`00103<o`02001Vo`<0c?l000@006Ko0<co003<o`00c?l01000I_l00`3<o`0006Ko
001Vo`040<co0003001Vo`3<o`00c?l000@0c?l00P00I_l30<co00@006Ko00@0c?l0001Vo`00I_l0
c?l01000I_l20<co0005001Vo`3<o`0006Ko001Vo`3<o`000`00I_l20<co00@006Ko1P3<o`07001V
o`H0c?l00P00I_l50<co00<006Ko0`3<o`02001Vo`80c?l06000I_l70?ooo`4000000@3oool00003
0000003oool0oooo00@0oooo6P00I_l20<co008006Ko1@3<o`02001Vo`80c?l00`00I_l40<co00@0
06Ko00<0c?l0001Vo`00I_l00P3<o`06001Vo`<0c?l000@006Ko0<co003<o`00c?l02000I_l20<co
00<006Ko0`3<o`07001Vo`@0c?l01000I_l50<co008006Ko103<o`001000I_l0c?l0001Vo`00I_l4
0<co0004001Vo`3<o`0006Ko001Vo`80c?l00P00I_l00`3<o`0006Ko001Vo`05001Vo`<0c?l000@0
06Ko0<co003<o`00c?l00P00I_l20<co0003001Vo`3<o`00c?l0008006Ko0`3<o`000`00I_l0c?l0
0<co0004001Vo`@0c?l000@006Ko0<co003<o`00c?l00`00I_l20<co00<006Ko00<0c?l0001Vo`00
I_l01000I_l40<co0004001Vo`3<o`0006Ko001Vo`@0c?l000@006Ko0<co003<o`0006Ko0`3<o`05
001Vo`D0c?l00`00I_l20<co00T006Ko00@0c?l0001Vo`00I_l006Ko0`3<o`02001Vo`80c?l01@00
I_l40<co01X006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?oooa/006Ko0`3<o`02
001Vo`80c?l01000I_l40<co00<006Ko1@3<o`04001Vo`H0c?l000<006Ko0<co0000I_l00`00I_l8
0<co008006Ko00<0c?l0001Vo`00I_l01000I_l80<co008006Ko103<o`02001Vo`040<co0000I_l0
06Ko001Vo`<0c?l00P00I_l20<co0004001Vo`3<o`00c?l00<co008006Ko0`3<o`04001Vo`030<co
0000I_l006Ko00L0c?l000<006Ko0<co0000I_l00`00I_l30<co0004001Vo`3<o`00c?l00<co00H0
06Ko00<0c?l0001Vo`3<o`001@3<o`02001Vo`80c?l000<006Ko0<co0000I_l01@00I_l30<co0003
001Vo`3<o`00c?l000D0c?l00P00I_l20<co0004001Vo`3<o`00c?l00<co00<006Ko0P3<o`04001V
o`H0c?l000<006Ko0<co0000I_l00P00I_l30<co0003001Vo`3<o`00c?l000T0c?l01@00I_l40<co
00T006Ko00<0c?l0001Vo`00I_l06@00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0
oooo7000I_l30<co0003001Vo`3<o`00c?l000@0c?l00`00I_l20<co008006Ko00@0c?l0001Vo`00
I_l006Ko103<o`000`00I_l0c?l0001Vo`02001Vo`80c?l000<006Ko0<co003<o`000`3<o`03001V
o`050<co0000I_l006Ko001Vo`3<o`000P00I_l70<co008006Ko0P3<o`02001Vo`@0c?l00`00I_l3
0<co00D006Ko0`3<o`001@00I_l0c?l00<co0000I_l0c?l000H006Ko1@3<o`04001Vo`80c?l00P00
I_l20<co0003001Vo`3<o`00c?l00080c?l000<006Ko0<co003<o`001000I_l50<co008006Ko00@0
c?l0001Vo`3<o`00c?l00P00I_l30<co0004001Vo`3<o`00c?l0001Vo`H0c?l000<006Ko0<co0000
I_l00`00I_l20<co008006Ko0`3<o`001@00I_l0c?l00<co0000I_l0c?l000H006Ko103<o`000`00
I_l0c?l00<co0002001Vo`80c?l000H006Ko0<co003<o`00c?l0001Vo`3<o`05001Vo`050<co0000
I_l006Ko001Vo`3<o`000`00I_l60<co00<006Ko2P3<o`0L001Vo`L0oooo0@0000010?ooo`0000<0
00000?ooo`3oool0103ooolL001Vo`<0c?l000<006Ko0<co003<o`00103<o`03001Vo`80c?l00P00
I_l0103<o`0006Ko001Vo`00I_l40<co0003001Vo`3<o`0006Ko008006Ko0P3<o`000`00I_l0c?l0
0<co00030<co00<006Ko00D0c?l0001Vo`00I_l006Ko0<co0002001Vo`L0c?l00P00I_l20<co0080
06Ko103<o`03001Vo`<0c?l01@00I_l30<co0005001Vo`3<o`00c?l0001Vo`3<o`001P00I_l50<co
00@006Ko0P3<o`02001Vo`80c?l000<006Ko0<co003<o`000P3<o`000`00I_l0c?l00<co0004001V
o`D0c?l00P00I_l0103<o`0006Ko0<co003<o`02001Vo`<0c?l000@006Ko0<co003<o`0006Ko1P3<
o`000`00I_l0c?l0001Vo`03001Vo`80c?l00P00I_l30<co0005001Vo`3<o`00c?l0001Vo`3<o`00
1P00I_l40<co0003001Vo`3<o`00c?l0008006Ko0P3<o`001P00I_l0c?l00<co003<o`0006Ko0<co
00D006Ko00D0c?l0001Vo`00I_l006Ko0<co0003001Vo`H0c?l00`00I_l:0<co01`006Ko1`3oool1
00000040oooo00000`000000oooo0?ooo`040?oooah006Ko0P3<o`03001Vo`80c?l01@00I_l00`3<
o`0006Ko001Vo`040<co008006Ko0P3<o`001@00I_l0c?l00<co003<o`0006Ko0080c?l000<006Ko
0<co0000I_l00P00I_l30<co0003001Vo`3<o`00c?l00080c?l01000I_l0103<o`0006Ko001Vo`00
I_l30<co0003001Vo`3<o`00c?l00080c?l00`00I_l30<co0003001Vo`3<o`0006Ko00P006Ko00D0
c?l0001Vo`3<o`00c?l0001Vo`050<co008006Ko00@0c?l0001Vo`00I_l006Ko103<o`001@00I_l0
c?l00<co003<o`0006Ko00<0c?l00`00I_l00`3<o`0006Ko0<co00030<co008006Ko00D0c?l0001V
o`00I_l006Ko0<co0002001Vo`80c?l01P00I_l01P3<o`0006Ko0<co003<o`0006Ko0<co00<006Ko
0P3<o`000`00I_l0c?l00<co00030<co00H006Ko00D0c?l0001Vo`3<o`00c?l0001Vo`070<co00<0
06Ko00<0c?l0001Vo`3<o`000`3<o`04001Vo`80c?l000<006Ko0<co003<o`000P3<o`02001Vo`@0
c?l01@00I_l0103<o`0006Ko001Vo`00I_l40<co00<006Ko00D0c?l0001Vo`00I_l006Ko0<co000N
001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooolO001Vo`<0c?l000<006Ko0<co
003<o`00103<o`001000I_l0c?l00<co003<o`02001Vo`@0c?l01000I_l20<co0004001Vo`3<o`00
c?l00<co00D006Ko0`3<o`03001Vo`@0c?l000D006Ko0<co003<o`00c?l0001Vo`020<co00@006Ko
00<0c?l0001Vo`00I_l00`00I_l20<co0003001Vo`3<o`00c?l000H0c?l00P00I_l01P3<o`0006Ko
0<co003<o`0006Ko0<co00<006Ko00<0c?l0001Vo`00I_l0103<o`02001Vo`80c?l000<006Ko0<co
003<o`001000I_l20<co008006Ko0P3<o`03001Vo`030<co0000I_l006Ko00@0c?l01000I_l50<co
008006Ko00D0c?l0001Vo`3<o`00c?l0001Vo`030<co0005001Vo`3<o`00c?l0001Vo`3<o`000`00
I_l50<co008006Ko0P3<o`04001Vo`80c?l00`00I_l20<co008006Ko0P3<o`03001Vo`@0c?l000@0
06Ko0<co003<o`00c?l00`00I_l30<co008006Ko1P3<o`000`00I_l0c?l00<co00020<co00<006Ko
0P3<o`02001Vo`@0c?l07`00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo7`00
I_l30<co0003001Vo`3<o`00c?l000@0c?l000@006Ko0<co003<o`00c?l00P00I_l40<co00@006Ko
0P3<o`001000I_l0c?l00<co003<o`05001Vo`<0c?l00`00I_l40<co0005001Vo`3<o`00c?l00<co
0000I_l00P3<o`04001Vo`030<co0000I_l006Ko00<006Ko0P3<o`000`00I_l0c?l00<co00060<co
008006Ko00H0c?l0001Vo`3<o`00c?l0001Vo`3<o`03001Vo`030<co0000I_l006Ko00@0c?l00P00
I_l20<co0003001Vo`3<o`00c?l000@006Ko0P3<o`02001Vo`80c?l00`00I_l00`3<o`0006Ko001V
o`040<co00@006Ko1@3<o`02001Vo`050<co0000I_l0c?l00<co0000I_l00`3<o`001@00I_l0c?l0
0<co0000I_l0c?l000<006Ko1@3<o`02001Vo`80c?l01000I_l20<co00<006Ko0P3<o`02001Vo`80
c?l00`00I_l40<co0004001Vo`3<o`00c?l00<co00<006Ko0`3<o`02001Vo`H0c?l000<006Ko0<co
003<o`000P3<o`03001Vo`80c?l00P00I_l40<co01l006Ko1`3oool100000040oooo00000`000000
oooo0?ooo`040?ooob0006Ko0`3<o`03001Vo`030<co0000I_l006Ko008006Ko103<o`03001Vo`D0
c?l01@00I_l50<co0003001Vo`3<o`00c?l000D006Ko00<0c?l0001Vo`00I_l00P00I_l20<co0003
001Vo`3<o`00c?l00080c?l00P00I_l50<co0004001Vo`3<o`00c?l00<co00<006Ko00D0c?l0001V
o`00I_l006Ko0<co0002001Vo`050<co0000I_l0c?l00<co0000I_l00`3<o`001000I_l0c?l00<co
003<o`02001Vo`<0c?l000@006Ko0<co003<o`0006Ko103<o`02001Vo`030<co0000I_l006Ko0080
06Ko0`3<o`001000I_l0c?l00<co003<o`03001Vo`@0c?l000<006Ko0<co0000I_l00P00I_l00`3<
o`0006Ko001Vo`020<co00@006Ko0P3<o`001000I_l0c?l00<co0000I_l40<co00<006Ko00<0c?l0
001Vo`00I_l00P00I_l40<co0004001Vo`3<o`00c?l00<co008006Ko00<0c?l0001Vo`00I_l00P00
I_l40<co00<006Ko00@0c?l0001Vo`3<o`00c?l01@00I_l30<co0003001Vo`3<o`00c?l0008006Ko
0`3<o`03001Vo`80c?l00P00I_l00`3<o`0006Ko001Vo`02001Vo`80c?l08000I_l70?ooo`400000
0@3oool000030000003oool0oooo00@0oooo8P00I_l30<co0003001Vo`3<o`00c?l000<0c?l00`00
I_l30<co0003001Vo`3<o`0006Ko008006Ko103<o`02001Vo`060<co0000I_l006Ko001Vo`3<o`00
06Ko1P3<o`000`00I_l0c?l00<co00020<co0004001Vo`3<o`00c?l00<co00<006Ko0`3<o`02001V
o`80c?l01000I_l20<co008006Ko0P3<o`02001Vo`030<co0000I_l006Ko0080c?l01000I_l20<co
0003001Vo`3<o`0006Ko00D006Ko00<0c?l0001Vo`3<o`000P3<o`03001Vo`030<co0000I_l006Ko
00@0c?l000<006Ko0<co0000I_l00`00I_l50<co008006Ko0P3<o`000`00I_l0c?l00<co00020<co
00@006Ko103<o`001000I_l0c?l00<co0000I_l30<co00<006Ko103<o`06001Vo`80c?l01000I_l0
0`3<o`0006Ko001Vo`050<co00<006Ko0P3<o`02001Vo`80c?l02@00I_l00`3<o`0006Ko0<co0002
0<co0003001Vo`3<o`00c?l000D006Ko00<0c?l0001Vo`00I_l01@3<o`0R001Vo`L0oooo0@000001
0?ooo`0000<000000?ooo`3oool0103ooolS001Vo`<0c?l00`00I_l00`3<o`0006Ko001Vo`03001V
o`80c?l000<006Ko0<co003<o`000P3<o`03001Vo`030<co0000I_l006Ko0080c?l00P00I_l0103<
o`0006Ko0<co003<o`02001Vo`<0c?l00`00I_l0103<o`0006Ko0<co003<o`05001Vo`<0c?l000<0
06Ko0<co003<o`000P3<o`02001Vo`030<co0000I_l006Ko008006Ko0`3<o`04001Vo`@0c?l000@0
06Ko0<co003<o`0006Ko1`3<o`04001Vo`<0c?l000@006Ko0<co003<o`00c?l00P00I_l20<co0003
001Vo`3<o`00c?l000<0c?l00`00I_l30<co0004001Vo`3<o`00c?l00<co00<006Ko1@3<o`03001V
o`80c?l01@00I_l40<co008006Ko1`3<o`000`00I_l0c?l00<co00020<co008006Ko00@0c?l0001V
o`00I_l0c?l00`00I_l20<co008006Ko00<0c?l0001Vo`00I_l00P00I_l:0<co00@006Ko00<0c?l0
001Vo`3<o`001@3<o`001000I_l0c?l00<co003<o`02001Vo`80c?l08`00I_l70?ooo`4000000@3o
ool000030000003oool0oooo00@0oooo8`00I_l30<co00<006Ko00<0c?l0001Vo`00I_l00`00I_l2
0<co0003001Vo`3<o`00c?l00080c?l00`00I_l00`3<o`0006Ko001Vo`020<co008006Ko00@0c?l0
001Vo`3<o`00c?l00P00I_l30<co00<006Ko00@0c?l0001Vo`3<o`00c?l01@00I_l30<co0003001V
o`3<o`00c?l00080c?l00P00I_l00`3<o`0006Ko001Vo`02001Vo`<0c?l01000I_l40<co0004001V
o`3<o`00c?l0001Vo`L0c?l01000I_l30<co0004001Vo`3<o`00c?l00<co008006Ko0P3<o`000`00
I_l0c?l00<co00030<co00<006Ko0`3<o`001000I_l0c?l00<co003<o`03001Vo`D0c?l00`00I_l2
0<co00D006Ko103<o`02001Vo`L0c?l000<006Ko0<co003<o`000P3<o`02001Vo`040<co0000I_l0
06Ko0<co00<006Ko0P3<o`02001Vo`030<co0000I_l006Ko008006Ko2P3<o`04001Vo`030<co0000
I_l0c?l000D0c?l000@006Ko0<co003<o`00c?l00P00I_l20<co02<006Ko1`3oool100000040oooo
00000`000000oooo0?ooo`040?ooobD006Ko0P3<o`02001Vo`D0c?l000@006Ko0<co003<o`00c?l0
0`00I_l40<co00@006Ko00<0c?l0001Vo`00I_l00P3<o`06001Vo`80c?l00P00I_l20<co00T006Ko
0P3<o`03001Vo`<0c?l01P00I_l60<co00<006Ko0P3<o`04001Vo`80c?l00P00I_l40<co008006Ko
00<0c?l0001Vo`00I_l00P00I_l30<co0005001Vo`3<o`00c?l0001Vo`3<o`000`00I_l30<co0003
001Vo`3<o`00c?l000@006Ko0P3<o`02001Vo`040<co0000I_l006Ko001Vo`80c?l00P00I_l00`3<
o`0006Ko001Vo`05001Vo`030<co0000I_l006Ko00@006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`03
001Vo`030<co0000I_l006Ko00<0c?l01@00I_l00`3<o`0006Ko001Vo`040<co0003001Vo`3<o`00
06Ko008006Ko00@0c?l0001Vo`00I_l006Ko103<o`02001Vo`80c?l00`00I_l00`3<o`0006Ko001V
o`02001Vo`@0c?l09@00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo9P00I_l3
0<co008006Ko0P3<o`04001Vo`@0c?l00P00I_l60<co00@006Ko1@3<o`02001Vo`030<co0000I_l0
06Ko008006Ko203<o`02001Vo`030<co0000I_l006Ko00<006Ko203<o`03001Vo`80c?l01@00I_l4
0<co0003001Vo`3<o`00c?l00080c?l00`00I_l30<co00L006Ko00<0c?l0001Vo`3<o`000P3<o`05
001Vo`<0c?l01`00I_l30<co00D006Ko00<0c?l0001Vo`00I_l01`3<o`000`00I_l0c?l00<co0005
0<co00D006Ko103<o`04001Vo`H0c?l000@006Ko0<co003<o`00c?l00P00I_l20<co0003001Vo`3<
o`00c?l00080c?l01P00I_l00`3<o`0006Ko001Vo`02001Vo`@0c?l01`00I_l00`3<o`0006Ko001V
o`0T001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooolW001Vo`<0c?l000<006Ko
0<co003<o`00103<o`02001Vo`<0c?l000<006Ko0<co003<o`000`00I_l40<co0003001Vo`3<o`00
06Ko008006Ko00<0c?l0001Vo`00I_l01@3<o`03001Vo`050<co0000I_l006Ko001Vo`3<o`000P00
I_l60<co00<006Ko00@0c?l0001Vo`00I_l006Ko103<o`08001Vo`80c?l01000I_l00`3<o`0006Ko
001Vo`03001Vo`T0c?l01000I_l50<co0003001Vo`3<o`00c?l000T006Ko1P3<o`001@00I_l0c?l0
001Vo`00I_l0c?l000<006Ko00<0c?l0001Vo`00I_l00P00I_l20<co008006Ko1`3<o`03001Vo`D0
c?l00`00I_l00`3<o`0006Ko001Vo`02001Vo`<0c?l000@006Ko0<co003<o`00c?l00`00I_l50<co
008006Ko1@3<o`03001Vo`P0c?l09`00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0
oooo9`00I_l30<co0003001Vo`3<o`00c?l000@0c?l00P00I_l30<co0003001Vo`3<o`00c?l000<0
06Ko103<o`000`00I_l0c?l0001Vo`02001Vo`030<co0000I_l006Ko00D0c?l00`00I_l01@3<o`00
06Ko001Vo`00I_l0c?l0008006Ko1P3<o`03001Vo`040<co0000I_l006Ko001Vo`@0c?l02000I_l2
0<co00@006Ko00<0c?l0001Vo`00I_l00`00I_l90<co00@006Ko1@3<o`000`00I_l0c?l00<co0009
001Vo`H0c?l000D006Ko0<co0000I_l006Ko0<co0003001Vo`030<co0000I_l006Ko008006Ko0P3<
o`02001Vo`L0c?l00`00I_l50<co00<006Ko00<0c?l0001Vo`00I_l00P00I_l30<co0004001Vo`3<
o`00c?l00<co00<006Ko1@3<o`02001Vo`D0c?l00`00I_l80<co02L006Ko1`3oool100000040oooo
00000`000000oooo0?ooo`040?ooobT006Ko0P3<o`03001Vo`030<co0000I_l006Ko00@006Ko00<0
c?l0001Vo`3<o`00103<o`02001Vo`80c?l000H006Ko0<co003<o`00c?l0001Vo`3<o`02001Vo`04
0<co0000I_l006Ko001Vo`80c?l00P00I_l40<co00@006Ko00@0c?l0001Vo`00I_l006Ko0`3<o`00
0`00I_l0c?l00<co00020<co00<006Ko203<o`000`00I_l0c?l00<co00020<co008006Ko1P3<o`03
001Vo`80c?l00P00I_l40<co008006Ko00H0c?l0001Vo`00I_l006Ko0<co0000I_l:0<co0003001V
o`3<o`00c?l0008006Ko0P3<o`001000I_l0c?l0001Vo`00I_l20<co008006Ko1@3<o`06001Vo`04
0<co0000I_l006Ko001Vo`80c?l00P00I_l0103<o`0006Ko001Vo`00I_l30<co0003001Vo`3<o`00
c?l00080c?l000<006Ko0<co003<o`001000I_l20<co008006Ko00@0c?l0001Vo`00I_l006Ko0`3<
o`02001Vo`80c?l01@00I_l01@3<o`0006Ko001Vo`00I_l0c?l002T006Ko1`3oool100000040oooo
00000`000000oooo0?ooo`040?ooobX006Ko0`3<o`000`00I_l0c?l00<co00030<co008006Ko0P3<
o`03001Vo`@0c?l01000I_l20<co0004001Vo`3<o`00c?l00<co00D006Ko0`3<o`03001Vo`@0c?l0
00H006Ko0<co003<o`00c?l0001Vo`3<o`04001Vo`80c?l01@00I_l20<co008006Ko0P3<o`04001V
o`030<co0000I_l006Ko008006Ko00@0c?l0001Vo`00I_l006Ko0`3<o`000`00I_l0c?l00<co0002
0<co00<006Ko00<0c?l0001Vo`00I_l00P3<o`02001Vo`040<co0000I_l0c?l00<co00<006Ko00H0
c?l0001Vo`00I_l006Ko0<co0000I_l30<co0004001Vo`3<o`00c?l00<co00@006Ko00@0c?l0001V
o`00I_l0c?l00`00I_l70<co00D006Ko0`3<o`05001Vo`<0c?l00`00I_l20<co00L006Ko0`3<o`05
001Vo`<0c?l000<006Ko0<co003<o`00103<o`000`00I_l0c?l00<co00020<co02X006Ko1`3oool1
00000040oooo00000`000000oooo0?ooo`040?ooob/006Ko0`3<o`03001Vo`030<co0000I_l006Ko
008006Ko103<o`03001Vo`D0c?l01000I_l60<co0003001Vo`3<o`0006Ko00D006Ko00<0c?l0001V
o`00I_l00P00I_l20<co0003001Vo`3<o`00c?l00080c?l000<006Ko0<co003<o`00103<o`001@00
I_l0c?l00<co003<o`0006Ko00@0c?l00P00I_l50<co00D006Ko0`3<o`03001Vo`@0c?l01000I_l0
1@3<o`0006Ko001Vo`3<o`0006Ko00<0c?l00P00I_l20<co008006Ko00@0c?l0001Vo`3<o`00c?l0
1000I_l40<co0004001Vo`3<o`0006Ko001Vo`<0c?l000<006Ko0<co0000I_l00P00I_l00`3<o`00
06Ko001Vo`06001Vo`H0c?l000<006Ko0<co003<o`001@00I_l70<co0003001Vo`3<o`0006Ko00P0
06Ko0P3<o`03001Vo`030<co0000I_l006Ko008006Ko0P3<o`0[001Vo`L0oooo0@0000010?ooo`00
00<000000?ooo`3oool0103oool[001Vo`<0c?l00`00I_l00`3<o`0006Ko001Vo`02001Vo`@0c?l0
0`00I_l50<co00@006Ko1P3<o`000`00I_l0c?l0001Vo`05001Vo`030<co0000I_l006Ko008006Ko
0P3<o`000`00I_l0c?l00<co00020<co0003001Vo`3<o`00c?l000@0c?l000D006Ko0<co003<o`00
c?l0001Vo`040<co008006Ko1@3<o`05001Vo`<0c?l00`00I_l40<co00@006Ko00D0c?l0001Vo`00
I_l0c?l0001Vo`030<co008006Ko0P3<o`02001Vo`040<co0000I_l0c?l00<co00@006Ko103<o`00
1000I_l0c?l0001Vo`00I_l30<co0003001Vo`3<o`0006Ko008006Ko00<0c?l0001Vo`00I_l01P00
I_l60<co0003001Vo`3<o`00c?l000D006Ko1`3<o`000`00I_l0c?l0001Vo`08001Vo`80c?l00`00
I_l00`3<o`0006Ko001Vo`02001Vo`80c?l0:`00I_l70?ooo`4000000@3oool000030000003oool0
oooo00@0oooo;@00I_l20<co008006Ko1@3<o`03001Vo`<0c?l000<006Ko0<co0000I_l00P00I_l4
0<co0003001Vo`3<o`00c?l0008006Ko0P3<o`000`00I_l0c?l00<co00040<co0003001Vo`3<o`00
c?l00080c?l000@006Ko0<co003<o`00c?l00`00I_l20<co00<006Ko00<0c?l0001Vo`00I_l00`00
I_l20<co00<006Ko0`3<o`02001Vo`80c?l02000I_l40<co00<006Ko103<o`001P00I_l0c?l0001V
o`00I_l0c?l0001Vo`80c?l01000I_l01@3<o`0006Ko001Vo`3<o`0006Ko00H0c?l00P00I_l30<co
00@006Ko0P3<o`001@00I_l0c?l00<co003<o`0006Ko00P0c?l000<006Ko0<co003<o`000P00I_l3
0<co00P006Ko0P3<o`02001Vo`<0c?l02`00I_l30<co0003001Vo`3<o`00c?l000<0c?l0;@00I_l7
0?ooo`4000000@3oool000030000003oool0oooo00@0oooo;P00I_l30<co008006Ko0P3<o`05001V
o`80c?l000<006Ko0<co003<o`000P3<o`03001Vo`030<co0000I_l0c?l00080c?l000D006Ko0<co
003<o`0006Ko0<co0003001Vo`<0c?l00`00I_l0103<o`0006Ko0<co003<o`05001Vo`<0c?l000<0
06Ko0<co003<o`000P3<o`02001Vo`030<co0000I_l006Ko00<006Ko0`3<o`000`00I_l0c?l00<co
00080<co00<006Ko103<o`02001Vo`80c?l000H006Ko0<co0000I_l006Ko0<co0000I_l50<co0004
001Vo`3<o`0006Ko001Vo`80c?l00`00I_l00`3<o`0006Ko001Vo`04001Vo`D0c?l01000I_l30<co
00<006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`06001Vo`P0c?l000D006Ko0<co003<o`00c?l0001V
o`020<co00d006Ko0`3<o`03001Vo`030<co0000I_l006Ko02`006Ko1`3oool100000040oooo0000
0`000000oooo0?ooo`040?ooobl006Ko0`3<o`000`00I_l0c?l00<co00040<co0004001Vo`3<o`00
c?l00<co00<006Ko103<o`04001Vo`030<co0000I_l0c?l00080c?l01P00I_l20<co008006Ko0P3<
o`08001Vo`<0c?l00`00I_l30<co00P006Ko00@0c?l0001Vo`3<o`00c?l00P00I_l20<co008006Ko
1@3<o`02001Vo`<0c?l000D006Ko0<co003<o`0006Ko0<co0002001Vo`80c?l00`00I_l30<co00@0
06Ko0`3<o`000`00I_l0c?l00<co00050<co008006Ko0P3<o`07001Vo`80c?l00P00I_l20<co0080
06Ko00<0c?l0001Vo`00I_l01P00I_l20<co008006Ko0P3<o`04001Vo`80c?l04@00I_l40<co02l0
06Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?ooobl006Ko0`3<o`000`00I_l0c?l0
0<co00040<co0004001Vo`3<o`00c?l00<co00<006Ko103<o`04001Vo`030<co0000I_l0c?l00080
c?l01P00I_l20<co008006Ko0P3<o`08001Vo`<0c?l00`00I_l30<co00P006Ko00@0c?l0001Vo`3<
o`00c?l00P00I_l20<co008006Ko1@3<o`02001Vo`<0c?l000D006Ko0<co003<o`0006Ko0<co0002
001Vo`80c?l00`00I_l30<co00@006Ko0`3<o`000`00I_l0c?l00<co00050<co008006Ko0P3<o`07
001Vo`80c?l00P00I_l20<co008006Ko00<0c?l0001Vo`00I_l01P00I_l20<co008006Ko0P3<o`04
001Vo`80c?l04@00I_l40<co02l006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?oo
oc4006Ko0P3<o`03001Vo`030<co0000I_l006Ko00<006Ko103<o`02001Vo`H0c?l01000I_l50<co
008006Ko00<0c?l0001Vo`00I_l00P00I_l80<co0003001Vo`3<o`00c?l000D006Ko203<o`02001V
o`030<co0000I_l0c?l000<0c?l01P00I_l00`3<o`0006Ko001Vo`04001Vo`060<co0000I_l0c?l0
0<co0000I_l0c?l00P00I_l00`3<o`0006Ko001Vo`04001Vo`@0c?l000<006Ko0<co0000I_l00`00
I_l20<co008006Ko0`3<o`000`00I_l0c?l00<co00050<co008006Ko00<0c?l0001Vo`00I_l00P00
I_l00`3<o`0006Ko001Vo`080<co0005001Vo`3<o`00c?l00<co0000I_l0103<o`02001Vo`030<co
0000I_l006Ko014006Ko00<0c?l0001Vo`00I_l0;`00I_l70?ooo`4000000@3oool000030000003o
ool0oooo00@0oooo<P00I_l30<co0003001Vo`3<o`00c?l000@0c?l00P00I_l30<co0003001Vo`3<
o`00c?l0008006Ko103<o`02001Vo`050<co0000I_l006Ko001Vo`3<o`000P00I_l50<co00<006Ko
00H0c?l0001Vo`00I_l006Ko0<co0000I_l70<co00<006Ko00D0c?l0001Vo`00I_l006Ko0<co0002
001Vo`80c?l00`00I_l50<co008006Ko1@3<o`02001Vo`060<co0000I_l0c?l00<co0000I_l0c?l0
0P00I_l70<co008006Ko0P3<o`000`00I_l0c?l00<co00020<co0005001Vo`3<o`00c?l00<co0000
I_l00P3<o`04001Vo`050<co0000I_l006Ko001Vo`3<o`000P00I_l50<co00@006Ko00D0c?l0001V
o`00I_l006Ko0<co0005001Vo`80c?l00`00I_l00`3<o`0006Ko001Vo`0D0<co038006Ko1`3oool1
00000040oooo00000`000000oooo0?ooo`040?oooc8006Ko0`3<o`000`00I_l0c?l00<co00040<co
008006Ko0`3<o`000`00I_l0c?l00<co0002001Vo`@0c?l00P00I_l01@3<o`0006Ko001Vo`00I_l0
c?l0008006Ko1@3<o`03001Vo`060<co0000I_l006Ko001Vo`3<o`0006Ko1`3<o`03001Vo`050<co
0000I_l006Ko001Vo`3<o`000P00I_l20<co00<006Ko1@3<o`02001Vo`D0c?l00P00I_l01P3<o`00
06Ko0<co003<o`0006Ko0<co008006Ko1`3<o`02001Vo`80c?l000<006Ko0<co003<o`000P3<o`00
1@00I_l0c?l00<co003<o`0006Ko0080c?l01000I_l01@3<o`0006Ko001Vo`00I_l0c?l0008006Ko
1@3<o`04001Vo`050<co0000I_l006Ko001Vo`3<o`001@00I_l20<co00<006Ko00<0c?l0001Vo`00
I_l0503<o`0b001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooolc001Vo`<0c?l0
0`00I_l00`3<o`0006Ko001Vo`04001Vo`030<co0000I_l0c?l000<0c?l00`00I_l00`3<o`0006Ko
001Vo`020<co008006Ko00@0c?l0001Vo`00I_l0c?l00`00I_l20<co008006Ko103<o`04001Vo`04
0<co0000I_l006Ko001Vo`<0c?l000<006Ko0<co003<o`000P3<o`04001Vo`<0c?l000<006Ko0<co
0000I_l00P00I_l0103<o`0006Ko001Vo`3<o`03001Vo`050<co0000I_l006Ko0<co0000I_l00`3<
o`04001Vo`040<co0000I_l006Ko001Vo`@0c?l01000I_l20<co00@006Ko00<0c?l0001Vo`3<o`00
0`3<o`02001Vo`<0c?l000D006Ko0<co0000I_l006Ko0<co0003001Vo`@0c?l000<006Ko0<co003<
o`000P3<o`07001Vo`@0c?l01000I_l01@3<o`0006Ko001Vo`00I_l0c?l000<006Ko00@0c?l0001V
o`00I_l006Ko0P3<o`02001Vo`80c?l0<`00I_l70?ooo`4000000@3oool000030000003oool0oooo
00@0oooo=@00I_l20<co008006Ko1@3<o`02001Vo`80c?l00`00I_l40<co00@006Ko00<0c?l0001V
o`00I_l00`3<o`05001Vo`<0c?l00P00I_l40<co008006Ko0P3<o`02001Vo`030<co0000I_l006Ko
008006Ko0P3<o`06001Vo`80c?l000H006Ko0<co003<o`00c?l0001Vo`3<o`02001Vo`<0c?l000@0
06Ko0<co003<o`00c?l01000I_l40<co0003001Vo`3<o`00c?l00080c?l00`00I_l40<co0003001V
o`3<o`00c?l000@0c?l01000I_l00`3<o`0006Ko001Vo`02001Vo`80c?l000@006Ko0<co0000I_l0
06Ko103<o`02001Vo`<0c?l00`00I_l80<co00<006Ko103<o`001@00I_l0c?l00<co003<o`0006Ko
00<0c?l000D006Ko0<co003<o`00c?l0001Vo`040<co03D006Ko1`3oool100000040oooo00000`00
0000oooo0?ooo`040?ooocH006Ko0`3<o`03001Vo`030<co0000I_l006Ko008006Ko103<o`03001V
o`D0c?l01000I_l60<co0003001Vo`3<o`0006Ko00D006Ko00<0c?l0001Vo`00I_l00P00I_l00`3<
o`0006Ko001Vo`040<co0003001Vo`3<o`00c?l000H0c?l01000I_l20<co0005001Vo`3<o`0006Ko
001Vo`3<o`001000I_l60<co008006Ko0`3<o`03001Vo`@0c?l00`00I_l0103<o`0006Ko0<co003<
o`02001Vo`@0c?l00P00I_l40<co0004001Vo`3<o`00c?l00<co00@006Ko00<0c?l0001Vo`00I_l0
1000I_l40<co008006Ko0P3<o`03001Vo`@0c?l00P00I_l20<co0003001Vo`3<o`0006Ko00<006Ko
0P3<o`000`00I_l0c?l0001Vo`04001Vo`030<co0000I_l006Ko03@006Ko1`3oool100000040oooo
00000`000000oooo0?ooo`040?ooocH006Ko0`3<o`03001Vo`030<co0000I_l006Ko008006Ko103<
o`03001Vo`D0c?l01000I_l60<co0003001Vo`3<o`0006Ko00D006Ko00<0c?l0001Vo`00I_l00P00
I_l00`3<o`0006Ko001Vo`040<co0003001Vo`3<o`00c?l000H0c?l01000I_l20<co0005001Vo`3<
o`0006Ko001Vo`3<o`001000I_l60<co008006Ko0`3<o`03001Vo`@0c?l00`00I_l0103<o`0006Ko
0<co003<o`02001Vo`@0c?l00P00I_l40<co0004001Vo`3<o`00c?l00<co00@006Ko00<0c?l0001V
o`00I_l01000I_l40<co008006Ko0P3<o`03001Vo`@0c?l00P00I_l20<co0003001Vo`3<o`0006Ko
00<006Ko0P3<o`000`00I_l0c?l0001Vo`04001Vo`030<co0000I_l006Ko03@006Ko1`3oool10000
0040oooo00000`000000oooo0?ooo`040?ooocL006Ko0`3<o`02001Vo`D0c?l00`00I_l20<co0080
06Ko00@0c?l0001Vo`00I_l006Ko103<o`000`00I_l0c?l00<co0002001Vo`80c?l000<006Ko0<co
003<o`000`3<o`02001Vo`@0c?l000@006Ko0<co003<o`00c?l00`00I_l20<co00<006Ko00@0c?l0
001Vo`00I_l006Ko103<o`001@00I_l0c?l00<co0000I_l0c?l0008006Ko1@3<o`03001Vo`030<co
0000I_l006Ko00@006Ko103<o`03001Vo`80c?l00P00I_l20<co00H006Ko00<0c?l0001Vo`00I_l0
0P00I_l00`3<o`0006Ko001Vo`03001Vo`@0c?l000<006Ko0<co003<o`001@3<o`02001Vo`<0c?l0
00<006Ko0<co003<o`000`3<o`02001Vo`<0c?l000@006Ko0<co003<o`0006Ko103<o`001000I_l0
c?l00<co0000I_l60<co03L006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?ooocT0
06Ko0`3<o`02001Vo`80c?l01@00I_l00`3<o`0006Ko001Vo`040<co008006Ko0P3<o`001@00I_l0
c?l00<co003<o`0006Ko0080c?l000<006Ko0<co0000I_l00P00I_l30<co008006Ko0P3<o`000`00
I_l0c?l0001Vo`05001Vo`<0c?l000<006Ko0<co003<o`000P3<o`03001Vo`060<co0000I_l0c?l0
0<co0000I_l0c?l00P00I_l0103<o`0006Ko001Vo`00I_l30<co0003001Vo`3<o`00c?l000D0c?l0
0P00I_l30<co008006Ko00<0c?l0001Vo`00I_l00P00I_l50<co008006Ko1@3<o`07001Vo`030<co
0000I_l006Ko008006Ko0P3<o`02001Vo`<0c?l000<006Ko0<co003<o`001000I_l00`3<o`0006Ko
001Vo`04001Vo`030<co0000I_l0c?l00080c?l00`00I_l00`3<o`0006Ko0<co00020<co00<006Ko
00<0c?l0001Vo`00I_l0=`00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo>P00
I_l30<co0003001Vo`3<o`00c?l000@0c?l000@006Ko0<co003<o`00c?l00P00I_l40<co00D006Ko
00<0c?l0001Vo`3<o`000P3<o`05001Vo`<0c?l000@006Ko0<co003<o`00c?l02000I_l30<co00<0
06Ko0P3<o`02001Vo`050<co0000I_l0c?l00<co0000I_l00`3<o`05001Vo`80c?l000<006Ko0<co
0000I_l00P00I_l00`3<o`0006Ko001Vo`04001Vo`030<co0000I_l006Ko00@0c?l000<006Ko0<co
0000I_l00P00I_l0103<o`0006Ko001Vo`3<o`03001Vo`L0c?l000<006Ko0<co003<o`000`3<o`06
001Vo`030<co0000I_l0c?l000<0c?l00P00I_l70<co00@006Ko103<o`04001Vo`@0c?l0>P00I_l7
0?ooo`4000000@3oool000030000003oool0oooo00@0oooo>P00I_l30<co0003001Vo`3<o`00c?l0
00@0c?l000@006Ko0<co003<o`00c?l00P00I_l40<co00D006Ko00<0c?l0001Vo`3<o`000P3<o`05
001Vo`<0c?l000@006Ko0<co003<o`00c?l02000I_l30<co00<006Ko0P3<o`02001Vo`050<co0000
I_l0c?l00<co0000I_l00`3<o`05001Vo`80c?l000<006Ko0<co0000I_l00P00I_l00`3<o`0006Ko
001Vo`04001Vo`030<co0000I_l006Ko00@0c?l000<006Ko0<co0000I_l00P00I_l0103<o`0006Ko
001Vo`3<o`03001Vo`L0c?l000<006Ko0<co003<o`000`3<o`06001Vo`030<co0000I_l0c?l000<0
c?l00P00I_l70<co00@006Ko103<o`04001Vo`@0c?l0>P00I_l70?ooo`4000000@3oool000030000
003oool0oooo00@0oooo?000I_l20<co00<006Ko00<0c?l0001Vo`00I_l00P00I_l40<co00<006Ko
1P3<o`04001Vo`D0c?l000<006Ko0<co003<o`001000I_l80<co0003001Vo`3<o`00c?l000D006Ko
00<0c?l0001Vo`00I_l00P3<o`04001Vo`H0c?l000@006Ko0<co003<o`0006Ko0`3<o`000`00I_l0
c?l00<co00030<co008006Ko0`3<o`02001Vo`80c?l000D006Ko0<co003<o`00c?l0001Vo`030<co
00D006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`000`00I_l0c?l0001Vo`02001Vo`D0c?l00P00I_l2
0<co00<006Ko00@0c?l0001Vo`00I_l0c?l00`00I_l00`3<o`0006Ko001Vo`05001Vo`030<co0000
I_l006Ko00D006Ko00<0c?l0001Vo`00I_l0>P00I_l70?ooo`4000000@3oool000030000003oool0
oooo00@0oooo?@00I_l30<co0003001Vo`3<o`00c?l000<0c?l00`00I_l30<co0003001Vo`3<o`00
06Ko008006Ko103<o`02001Vo`060<co0000I_l006Ko001Vo`3<o`0006Ko1P3<o`02001Vo`80c?l0
0`00I_l00`3<o`0006Ko0<co00060<co00@006Ko103<o`000`00I_l0c?l00<co0003001Vo`80c?l0
1000I_l30<co00<006Ko00<0c?l0001Vo`00I_l00P00I_l30<co0005001Vo`3<o`00c?l0001Vo`3<
o`001000I_l60<co0005001Vo`3<o`00c?l00<co0000I_l00P3<o`000`00I_l0c?l00<co00020<co
00<006Ko00<0c?l0001Vo`00I_l00P00I_l30<co0004001Vo`3<o`0006Ko001Vo`<0c?l000<006Ko
0<co003<o`001@3<o`000`00I_l0c?l00<co00060<co03d006Ko1`3oool100000040oooo00000`00
0000oooo0?ooo`040?oooch006Ko0`3<o`03001Vo`030<co0000I_l006Ko00<006Ko0P3<o`000`00
I_l0c?l00<co00020<co00<006Ko00<0c?l0001Vo`00I_l00P3<o`02001Vo`040<co0000I_l0c?l0
0<co008006Ko0`3<o`000`00I_l0c?l00<co00030<co00@006Ko00@0c?l0001Vo`00I_l006Ko1@3<
o`03001Vo`030<co0000I_l0c?l00080c?l00P00I_l00`3<o`0006Ko001Vo`05001Vo`@0c?l01`00
I_l01@3<o`0006Ko0<co003<o`0006Ko00D0c?l00`00I_l00`3<o`0006Ko001Vo`02001Vo`80c?l0
00@006Ko0<co003<o`00c?l00`00I_l40<co00H006Ko0`3<o`04001Vo`80c?l000<006Ko0<co0000
I_l00P00I_l00`3<o`0006Ko001Vo`02001Vo`80c?l00P00I_l20<co03h006Ko1`3oool100000040
oooo00000`000000oooo0?ooo`040?oooch006Ko0`3<o`03001Vo`030<co0000I_l006Ko00<006Ko
0P3<o`000`00I_l0c?l00<co00020<co00<006Ko00<0c?l0001Vo`00I_l00P3<o`02001Vo`040<co
0000I_l0c?l00<co008006Ko0`3<o`000`00I_l0c?l00<co00030<co00@006Ko00@0c?l0001Vo`00
I_l006Ko1@3<o`03001Vo`030<co0000I_l0c?l00080c?l00P00I_l00`3<o`0006Ko001Vo`05001V
o`@0c?l01`00I_l01@3<o`0006Ko0<co003<o`0006Ko00D0c?l00`00I_l00`3<o`0006Ko001Vo`02
001Vo`80c?l000@006Ko0<co003<o`00c?l00`00I_l40<co00H006Ko0`3<o`04001Vo`80c?l000<0
06Ko0<co0000I_l00P00I_l00`3<o`0006Ko001Vo`02001Vo`80c?l00P00I_l20<co03h006Ko1`3o
ool100000040oooo00000`000000oooo0?ooo`040?oood0006Ko0P3<o`02001Vo`D0c?l000@006Ko
0<co003<o`00c?l00`00I_l40<co00@006Ko00<0c?l0001Vo`00I_l00P3<o`06001Vo`80c?l00`00
I_l40<co008006Ko0P3<o`02001Vo`040<co0000I_l006Ko001Vo`@0c?l01000I_l00`3<o`0006Ko
001Vo`080<co008006Ko1`3<o`02001Vo`060<co0000I_l0c?l00<co0000I_l0c?l00`00I_l30<co
0003001Vo`3<o`00c?l00080c?l000@006Ko0<co003<o`0006Ko0P3<o`05001Vo`030<co0000I_l0
06Ko00P006Ko103<o`001000I_l0c?l00<co0000I_l30<co0003001Vo`3<o`00c?l00080c?l000<0
06Ko0<co003<o`000P3<o`10001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooom1
001Vo`<0c?l00P00I_l20<co00@006Ko103<o`03001Vo`D0c?l01000I_l50<co008006Ko00<0c?l0
001Vo`00I_l01000I_l00`3<o`0006Ko001Vo`02001Vo`030<co0000I_l006Ko00@0c?l00P00I_l6
0<co00@006Ko00D0c?l0001Vo`00I_l006Ko0<co0006001Vo`050<co0000I_l006Ko001Vo`3<o`00
0P00I_l00`3<o`0006Ko0<co00020<co00D006Ko0`3<o`03001Vo`050<co0000I_l0c?l00<co0000
I_l01P3<o`000`00I_l0c?l00<co00090<co008006Ko0P3<o`001@00I_l0c?l00<co0000I_l0c?l0
00@006Ko0P3<o`04001Vo`030<co0000I_l006Ko03l006Ko1`3oool100000040oooo00000`000000
oooo0?ooo`040?oood8006Ko0`3<o`000`00I_l0c?l00<co00040<co008006Ko0`3<o`02001Vo`04
0<co0000I_l006Ko001Vo`@0c?l000<006Ko0<co0000I_l00P00I_l00`3<o`0006Ko001Vo`050<co
008006Ko103<o`001000I_l0c?l00<co003<o`02001Vo`<0c?l000<006Ko0<co003<o`000P00I_l5
0<co0005001Vo`3<o`00c?l00<co0000I_l01@3<o`02001Vo`80c?l00P00I_l01@3<o`0006Ko001V
o`3<o`0006Ko0080c?l02000I_l20<co008006Ko00<0c?l0001Vo`3<o`000P3<o`03001Vo`030<co
0000I_l006Ko008006Ko0P3<o`02001Vo`80c?l00P00I_l30<co0004001Vo`3<o`00c?l0001Vo`80
c?l000<006Ko0<co003<o`000P3<o`000`00I_l0c?l00<co00040<co048006Ko1`3oool100000040
oooo00000`000000oooo0?ooo`040?oood8006Ko0`3<o`000`00I_l0c?l00<co00040<co008006Ko
0`3<o`02001Vo`040<co0000I_l006Ko001Vo`@0c?l000<006Ko0<co0000I_l00P00I_l00`3<o`00
06Ko001Vo`050<co008006Ko103<o`001000I_l0c?l00<co003<o`02001Vo`<0c?l000<006Ko0<co
003<o`000P00I_l50<co0005001Vo`3<o`00c?l00<co0000I_l01@3<o`02001Vo`80c?l00P00I_l0
1@3<o`0006Ko001Vo`3<o`0006Ko0080c?l02000I_l20<co008006Ko00<0c?l0001Vo`3<o`000P3<
o`03001Vo`030<co0000I_l006Ko008006Ko0P3<o`02001Vo`80c?l00P00I_l30<co0004001Vo`3<
o`00c?l0001Vo`80c?l000<006Ko0<co003<o`000P3<o`000`00I_l0c?l00<co00040<co048006Ko
1`3oool100000040oooo00000`000000oooo0?ooo`040?oood@006Ko0P3<o`03001Vo`030<co0000
I_l006Ko00@006Ko00<0c?l0001Vo`00I_l0103<o`02001Vo`80c?l000H006Ko0<co003<o`00c?l0
001Vo`3<o`02001Vo`040<co0000I_l006Ko001Vo`<0c?l00P00I_l20<co0003001Vo`3<o`0006Ko
00D006Ko0P3<o`06001Vo`030<co0000I_l006Ko008006Ko0`3<o`03001Vo`030<co0000I_l006Ko
008006Ko00@0c?l0001Vo`00I_l0c?l00P00I_l20<co00/006Ko0`3<o`04001Vo`<0c?l000<006Ko
0<co003<o`000P3<o`000`00I_l0c?l00<co00020<co00H006Ko00D0c?l0001Vo`3<o`00c?l0001V
o`030<co00<006Ko0P3<o`03001Vo`030<co0000I_l006Ko048006Ko1`3oool100000040oooo0000
0`000000oooo0?ooo`040?ooodD006Ko0`3<o`000`00I_l0c?l00<co00030<co008006Ko0`3<o`02
001Vo`@0c?l01000I_l20<co0004001Vo`3<o`00c?l00<co00D006Ko0`3<o`001000I_l0c?l00<co
003<o`08001Vo`L0c?l01`00I_l20<co008006Ko103<o`001000I_l0c?l00<co003<o`04001Vo`/0
c?l000<006Ko0<co0000I_l01P00I_l30<co00<006Ko0P3<o`03001Vo`D0c?l00P00I_l01@3<o`00
06Ko0<co003<o`0006Ko0080c?l01@00I_l40<co04D006Ko1`3oool100000040oooo00000`000000
oooo0?ooo`040?ooodD006Ko0`3<o`000`00I_l0c?l00<co00030<co008006Ko0`3<o`02001Vo`@0
c?l01000I_l20<co0004001Vo`3<o`00c?l00<co00D006Ko0`3<o`001000I_l0c?l00<co003<o`08
001Vo`L0c?l01`00I_l20<co008006Ko103<o`001000I_l0c?l00<co003<o`04001Vo`/0c?l000<0
06Ko0<co0000I_l01P00I_l30<co00<006Ko0P3<o`03001Vo`D0c?l00P00I_l01@3<o`0006Ko0<co
003<o`0006Ko0080c?l01@00I_l40<co04D006Ko1`3oool100000040oooo00000`000000oooo0?oo
o`040?ooodH006Ko0`3<o`03001Vo`030<co0000I_l006Ko008006Ko103<o`03001Vo`D0c?l01000
I_l60<co0003001Vo`3<o`00c?l000@006Ko203<o`000`00I_l0c?l0001Vo`02001Vo`030<co0000
I_l006Ko00P006Ko0`3<o`02001Vo`80c?l000<006Ko0<co0000I_l01P00I_l20<co008006Ko0P3<
o`02001Vo`80c?l000<006Ko0<co003<o`001@3<o`000`00I_l0c?l00<co0005001Vo`<0c?l000<0
06Ko0<co0000I_l00P00I_l01@3<o`0006Ko001Vo`3<o`0006Ko00<0c?l02000I_l20<co04H006Ko
1`3oool100000040oooo00000`000000oooo0?ooo`040?ooodP006Ko0P3<o`02001Vo`D0c?l00`00
I_l30<co0003001Vo`3<o`0006Ko008006Ko103<o`000`00I_l0c?l00<co0002001Vo`80c?l000<0
06Ko0<co003<o`00103<o`02001Vo`80c?l00P00I_l20<co0003001Vo`3<o`00c?l00080c?l03000
I_l30<co0004001Vo`3<o`00c?l0001Vo`L0c?l000D006Ko0<co003<o`00c?l0001Vo`040<co00@0
06Ko0P3<o`02001Vo`<0c?l02000I_l20<co0005001Vo`3<o`00c?l00<co0000I_l00`3<o`04001V
o`T0c?l0B000I_l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooB@00I_l30<co0080
06Ko0P3<o`05001Vo`80c?l000<006Ko0<co003<o`000P3<o`03001Vo`030<co0000I_l0c?l00080
c?l000@006Ko0<co003<o`0006Ko0P3<o`02001Vo`<0c?l000<006Ko0<co003<o`000P3<o`04001V
o`80c?l03`00I_l01P3<o`0006Ko0<co003<o`0006Ko0<co00<006Ko0P3<o`04001Vo`80c?l00`00
I_l50<co00H006Ko203<o`001@00I_l0c?l00<co0000I_l0c?l000@006Ko1P3<o`03001Vo`050<co
0000I_l006Ko001Vo`3<o`00B@00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo
B@00I_l30<co008006Ko0P3<o`05001Vo`80c?l000<006Ko0<co003<o`000P3<o`03001Vo`030<co
0000I_l0c?l00080c?l000@006Ko0<co003<o`0006Ko0P3<o`02001Vo`<0c?l000<006Ko0<co003<
o`000P3<o`04001Vo`80c?l03`00I_l01P3<o`0006Ko0<co003<o`0006Ko0<co00<006Ko0P3<o`04
001Vo`80c?l00`00I_l50<co00H006Ko203<o`001@00I_l0c?l00<co0000I_l0c?l000@006Ko1P3<
o`03001Vo`050<co0000I_l006Ko001Vo`3<o`00B@00I_l70?ooo`4000000@3oool000030000003o
ool0oooo00@0ooooBP00I_l30<co0003001Vo`3<o`00c?l000@0c?l000@006Ko0<co003<o`00c?l0
0`00I_l40<co00@006Ko00<0c?l0001Vo`3<o`000P3<o`06001Vo`80c?l00`00I_l40<co0003001V
o`3<o`00c?l000d0c?l00P00I_l01@3<o`0006Ko0<co003<o`0006Ko00@0c?l01`00I_l30<co0003
001Vo`3<o`0006Ko008006Ko1`3<o`03001Vo`060<co0000I_l006Ko001Vo`3<o`0006Ko0P3<o`00
0`00I_l0c?l00<co00020<co0003001Vo`3<o`00c?l0008006Ko0`3<o`02001Vo`@0c?l0BP00I_l7
0?ooo`4000000@3oool000030000003oool0oooo00@0ooooC000I_l20<co00<006Ko0P3<o`04001V
o`@0c?l00P00I_l60<co00@006Ko1@3<o`02001Vo`030<co0000I_l006Ko00<006Ko0P3<o`04001V
o`050<co0000I_l006Ko001Vo`3<o`000`00I_l01@3<o`0006Ko001Vo`00I_l0c?l0008006Ko0P3<
o`04001Vo`80c?l02@00I_l30<co00D006Ko0P3<o`02001Vo`<0c?l00P00I_l20<co008006Ko00<0
c?l0001Vo`3<o`000P3<o`03001Vo`030<co0000I_l0c?l00080c?l000<006Ko0<co003<o`001000
I_l00`3<o`0006Ko001Vo`1:001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooom=
001Vo`<0c?l000<006Ko0<co003<o`00103<o`02001Vo`<0c?l000<006Ko0<co003<o`000P00I_l4
0<co008006Ko00D0c?l0001Vo`00I_l006Ko0<co0002001Vo`D0c?l000<006Ko0<co003<o`000P3<
o`02001Vo`80c?l00P00I_l30<co0003001Vo`3<o`00c?l00080c?l01000I_l50<co00d006Ko1@3<
o`001@00I_l0c?l00<co003<o`0006Ko0080c?l01000I_l30<co00@006Ko103<o`04001Vo`030<co
0000I_l0c?l000D0c?l0C@00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooC@00
I_l30<co0003001Vo`3<o`00c?l000@0c?l00P00I_l30<co0003001Vo`3<o`00c?l0008006Ko103<
o`02001Vo`050<co0000I_l006Ko001Vo`3<o`000P00I_l50<co0003001Vo`3<o`00c?l00080c?l0
0P00I_l20<co008006Ko0`3<o`000`00I_l0c?l00<co00020<co00@006Ko1@3<o`0=001Vo`D0c?l0
00D006Ko0<co003<o`00c?l0001Vo`020<co00@006Ko0`3<o`04001Vo`@0c?l01000I_l00`3<o`00
06Ko0<co00050<co04d006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?ooodh006Ko
0`3<o`03001Vo`030<co0000I_l006Ko00@006Ko00<0c?l0001Vo`3<o`000`3<o`03001Vo`030<co
0000I_l006Ko00<0c?l000D006Ko0<co0000I_l006Ko0<co0003001Vo`80c?l00`00I_l0103<o`00
06Ko001Vo`3<o`04001Vo`<0c?l00`00I_l40<co0003001Vo`3<o`0006Ko008006Ko3P3<o`02001V
o`80c?l01000I_l20<co00L006Ko1P3<o`02001Vo`@0c?l00P00I_l20<co00<006Ko0P3<o`1>001V
o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooom@001Vo`<0c?l000<006Ko0<co003<
o`000`3<o`02001Vo`80c?l00`00I_l40<co00@006Ko0P3<o`001000I_l0c?l00<co003<o`05001V
o`<0c?l000@006Ko0<co003<o`00c?l01`00I_l40<co008006Ko0P3<o`001P00I_l0c?l00<co003<
o`0006Ko0<co00<006Ko0P3<o`02001Vo`80c?l00P00I_l40<co00L006Ko203<o`03001Vo`030<co
0000I_l006Ko00@006Ko00<0c?l0001Vo`00I_l00P00I_l40<co050006Ko1`3oool100000040oooo
00000`000000oooo0?ooo`040?oooe4006Ko0`3<o`03001Vo`030<co0000I_l006Ko008006Ko103<
o`03001Vo`D0c?l01000I_l60<co0003001Vo`3<o`0006Ko00<006Ko2@3<o`02001Vo`@0c?l01000
I_l20<co0005001Vo`3<o`00c?l00<co0000I_l00`3<o`000`00I_l0c?l00<co00020<co00<006Ko
203<o`03001Vo`040<co0000I_l006Ko001Vo`<0c?l000<006Ko0<co003<o`001@3<o`06001Vo`80
c?l0D@00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooD@00I_l30<co00<006Ko
00<0c?l0001Vo`00I_l00P00I_l40<co00<006Ko1@3<o`04001Vo`H0c?l000<006Ko0<co0000I_l0
0`00I_l90<co008006Ko103<o`04001Vo`80c?l000D006Ko0<co003<o`00c?l0001Vo`030<co0003
001Vo`3<o`00c?l00080c?l00`00I_l80<co00<006Ko00@0c?l0001Vo`00I_l006Ko0`3<o`000`00
I_l0c?l00<co00050<co00H006Ko0P3<o`1A001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3o
ool0103ooomC001Vo`80c?l00P00I_l50<co00<006Ko0P3<o`02001Vo`040<co0000I_l006Ko001V
o`@0c?l000<006Ko0<co003<o`000P00I_l20<co0003001Vo`3<o`00c?l000<0c?l00`00I_l0103<
o`0006Ko001Vo`00I_l40<co00<006Ko103<o`001@00I_l0c?l00<co0000I_l0c?l000D006Ko0P3<
o`03001Vo`@0c?l00`00I_l0103<o`0006Ko001Vo`00I_l20<co008006Ko0`3<o`000`00I_l0c?l0
001Vo`03001Vo`80c?l00P00I_l80<co05<006Ko1`3oool100000040oooo00000`000000oooo0?oo
o`040?oooe@006Ko0`3<o`02001Vo`80c?l01@00I_l00`3<o`0006Ko001Vo`040<co00<006Ko00<0
c?l0001Vo`3<o`000P3<o`001@00I_l0c?l00<co0000I_l0c?l000<006Ko0`3<o`000`00I_l0c?l0
0<co00020<co00<006Ko103<o`03001Vo`030<co0000I_l0c?l00080c?l01`00I_l40<co00<006Ko
0P3<o`02001Vo`80c?l00P00I_l00`3<o`0006Ko001Vo`02001Vo`80c?l000<006Ko0<co003<o`00
0`3<o`06001Vo`050<co0000I_l006Ko001Vo`3<o`00E000I_l70?ooo`4000000@3oool000030000
003oool0oooo00@0ooooE@00I_l30<co0003001Vo`3<o`00c?l000@0c?l000@006Ko0<co003<o`00
c?l00P00I_l50<co00@006Ko00<0c?l0001Vo`3<o`000P3<o`05001Vo`<0c?l00`00I_l40<co00<0
06Ko103<o`04001Vo`P0c?l00`00I_l20<co008006Ko00<0c?l0001Vo`00I_l00P00I_l00`3<o`00
06Ko001Vo`040<co0005001Vo`3<o`00c?l0001Vo`3<o`000`00I_l50<co008006Ko103<o`1E001V
o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooomE001Vo`<0c?l000<006Ko0<co003<
o`00103<o`001000I_l0c?l00<co003<o`02001Vo`D0c?l01000I_l00`3<o`0006Ko0<co00020<co
00D006Ko0`3<o`03001Vo`@0c?l00`00I_l40<co00@006Ko203<o`03001Vo`80c?l00P00I_l00`3<
o`0006Ko001Vo`02001Vo`030<co0000I_l006Ko00@0c?l000D006Ko0<co003<o`0006Ko0<co0003
001Vo`D0c?l00P00I_l40<co05D006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?oo
oeL006Ko0P3<o`03001Vo`030<co0000I_l006Ko008006Ko103<o`03001Vo`H0c?l01000I_l50<co
0003001Vo`3<o`00c?l000D006Ko0P3<o`05001Vo`030<co0000I_l006Ko00D006Ko00@0c?l0001V
o`00I_l006Ko0P3<o`05001Vo`030<co0000I_l006Ko00@0c?l000@006Ko0<co003<o`00c?l00P00
I_l20<co0004001Vo`3<o`00c?l0001Vo`@0c?l00`00I_l00`3<o`0006Ko001Vo`02001Vo`030<co
0000I_l006Ko05D006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?oooeP006Ko0`3<
o`000`00I_l0c?l00<co00030<co00<006Ko0`3<o`000`00I_l0c?l00<co0002001Vo`@0c?l00P00
I_l01P3<o`0006Ko001Vo`00I_l0c?l0001Vo`H0c?l000<006Ko0<co003<o`00103<o`000`00I_l0
c?l00<co00050<co0005001Vo`3<o`00c?l00<co0000I_l01`3<o`04001Vo`030<co0000I_l006Ko
008006Ko0`3<o`001000I_l0c?l00<co0000I_l30<co00<006Ko0P3<o`02001Vo`D0c?l0F000I_l7
0?ooo`4000000@3oool000030000003oool0oooo00@0ooooF000I_l30<co0003001Vo`3<o`00c?l0
00<0c?l00`00I_l30<co0003001Vo`3<o`00c?l0008006Ko103<o`02001Vo`060<co0000I_l006Ko
001Vo`3<o`0006Ko1P3<o`000`00I_l0c?l00<co00040<co0003001Vo`3<o`00c?l000D0c?l000D0
06Ko0<co003<o`00c?l0001Vo`070<co00@006Ko00<0c?l0001Vo`00I_l00P00I_l30<co0004001V
o`3<o`00c?l0001Vo`<0c?l00`00I_l20<co008006Ko1@3<o`1H001Vo`L0oooo0@0000010?ooo`00
00<000000?ooo`3oool0103ooomI001Vo`<0c?l00`00I_l00`3<o`0006Ko001Vo`03001Vo`80c?l0
00<006Ko0<co003<o`000P3<o`03001Vo`030<co0000I_l006Ko0080c?l00P00I_l0103<o`0006Ko
0<co003<o`02001Vo`<0c?l00`00I_l00`3<o`0006Ko001Vo`02001Vo`80c?l00P00I_l20<co0003
001Vo`3<o`0006Ko00@006Ko00@0c?l0001Vo`00I_l006Ko1@3<o`07001Vo`050<co0000I_l0c?l0
0<co0000I_l00P3<o`05001Vo`<0c?l00P00I_l20<co05T006Ko1`3oool100000040oooo00000`00
0000oooo0?ooo`040?oooe/006Ko0P3<o`02001Vo`D0c?l000@006Ko0<co003<o`00c?l00`00I_l4
0<co00@006Ko00<0c?l0001Vo`00I_l00P3<o`06001Vo`<0c?l000<006Ko0<co003<o`000P3<o`00
1@00I_l0c?l00<co003<o`0006Ko0080c?l000<006Ko0<co003<o`000P3<o`02001Vo`80c?l00P00
I_l0103<o`0006Ko001Vo`00I_l60<co008006Ko00<0c?l0001Vo`3<o`000P3<o`08001Vo`@0c?l0
F`00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooG000I_l30<co008006Ko0P3<
o`04001Vo`@0c?l00`00I_l50<co00@006Ko1@3<o`02001Vo`030<co0000I_l006Ko008006Ko0P3<
o`04001Vo`80c?l01000I_l20<co00@006Ko0`3<o`05001Vo`050<co0000I_l006Ko001Vo`3<o`00
0P00I_l0103<o`0006Ko0<co003<o`0;001Vo`030<co0000I_l006Ko05X006Ko1`3oool100000040
oooo00000`000000oooo0?ooo`040?oooe`006Ko0`3<o`02001Vo`80c?l01000I_l40<co00<006Ko
1@3<o`04001Vo`D0c?l00P00I_l00`3<o`0006Ko001Vo`02001Vo`80c?l01000I_l20<co00@006Ko
0P3<o`04001Vo`<0c?l01@00I_l01@3<o`0006Ko001Vo`00I_l0c?l0008006Ko00@0c?l0001Vo`3<
o`00c?l02`00I_l00`3<o`0006Ko001Vo`1J001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3o
ool0103ooomM001Vo`<0c?l000<006Ko0<co003<o`00103<o`03001Vo`80c?l00P00I_l0103<o`00
06Ko001Vo`00I_l40<co0003001Vo`3<o`0006Ko008006Ko00<0c?l0001Vo`00I_l01@3<o`07001V
o`D0c?l01`00I_l60<co0006001Vo`3<o`00c?l00<co0000I_l0c?l00P00I_l00`3<o`0006Ko0<co
000<0<co05d006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?oooel006Ko0P3<o`03
001Vo`030<co0000I_l006Ko00@006Ko00<0c?l0001Vo`00I_l0103<o`02001Vo`80c?l000H006Ko
0<co003<o`00c?l0001Vo`3<o`02001Vo`040<co0000I_l006Ko001Vo`L0c?l000<006Ko0<co0000
I_l00P00I_l80<co00<006Ko00<0c?l0001Vo`00I_l00P00I_l20<co0004001Vo`3<o`00c?l00<co
00@006Ko00D0c?l0001Vo`00I_l006Ko0<co0003001Vo`030<co0000I_l006Ko05d006Ko1`3oool1
00000040oooo00000`000000oooo0?ooo`040?ooof0006Ko0`3<o`000`00I_l0c?l00<co00040<co
0004001Vo`3<o`00c?l00<co008006Ko103<o`04001Vo`80c?l000@006Ko0<co003<o`00c?l01@00
I_l20<co008006Ko0P3<o`000`00I_l0c?l00<co00020<co00<006Ko00@0c?l0001Vo`00I_l006Ko
0`3<o`000`00I_l0c?l00<co00030<co00@006Ko103<o`02001Vo`<0c?l000<006Ko0<co003<o`00
0P3<o`1P001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooomP001Vo`<0c?l000<0
06Ko0<co003<o`00103<o`001000I_l0c?l00<co003<o`02001Vo`@0c?l01000I_l20<co0004001V
o`3<o`00c?l00<co00D006Ko0P3<o`02001Vo`80c?l000<006Ko0<co003<o`000P3<o`03001Vo`04
0<co0000I_l006Ko001Vo`<0c?l000<006Ko0<co003<o`000`3<o`04001Vo`@0c?l00P00I_l30<co
0003001Vo`3<o`00c?l00080c?l0H000I_l70?ooo`4000000@3oool000030000003oool0oooo00@0
ooooH@00I_l30<co00<006Ko00<0c?l0001Vo`00I_l00P00I_l40<co00<006Ko1@3<o`04001Vo`H0
c?l000D006Ko0<co003<o`00c?l0001Vo`030<co00<006Ko103<o`05001Vo`80c?l000<006Ko0<co
0000I_l00P00I_l50<co00<006Ko00@0c?l0001Vo`00I_l0c?l01000I_l20<co064006Ko1`3oool1
00000040oooo00000`000000oooo0?ooo`040?ooof<006Ko0P3<o`02001Vo`D0c?l00`00I_l30<co
0003001Vo`3<o`0006Ko008006Ko103<o`000`00I_l0c?l00<co0003001Vo`040<co0000I_l0c?l0
0<co00@006Ko103<o`02001Vo`H0c?l000@006Ko0<co003<o`0006Ko0`3<o`000`00I_l0c?l0001V
o`02001Vo`<0c?l000@006Ko0<co0000I_l006Ko1@3<o`1S001Vo`L0oooo0@0000010?ooo`0000<0
00000?ooo`3oool0103ooomT001Vo`<0c?l00`00I_l00`3<o`0006Ko001Vo`03001Vo`80c?l000<0
06Ko0<co003<o`000P3<o`03001Vo`030<co0000I_l0c?l00080c?l00P00I_l00`3<o`0006Ko0<co
00050<co008006Ko0`3<o`000`00I_l0c?l00<co0003001Vo`80c?l01000I_l30<co00D006Ko0P3<
o`001000I_l0c?l00<co003<o`03001Vo`030<co0000I_l006Ko068006Ko1`3oool100000040oooo
00000`000000oooo0?ooo`040?ooof@006Ko0`3<o`03001Vo`030<co0000I_l006Ko00<006Ko0P3<
o`000`00I_l0c?l00<co00020<co00<006Ko00<0c?l0001Vo`3<o`000P3<o`02001Vo`030<co0000
I_l0c?l000D0c?l00P00I_l30<co0003001Vo`3<o`00c?l000<006Ko0P3<o`04001Vo`<0c?l01@00
I_l20<co0004001Vo`3<o`00c?l00<co00<006Ko00<0c?l0001Vo`00I_l0HP00I_l70?ooo`400000
0@3oool000030000003oool0oooo00@0ooooI@00I_l30<co008006Ko1@3<o`001000I_l0c?l00<co
003<o`03001Vo`@0c?l01000I_l00`3<o`0006Ko001Vo`020<co00<006Ko00<0c?l0001Vo`00I_l0
1000I_l00`3<o`0006Ko0<co00020<co008006Ko00<0c?l0001Vo`00I_l01@00I_l60<co00@006Ko
1@3<o`1U001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooomW001Vo`<0c?l00P00
I_l20<co00@006Ko103<o`02001Vo`H0c?l01000I_l30<co0003001Vo`3<o`00c?l000D0c?l01000
I_l00`3<o`0006Ko001Vo`060<co008006Ko00D0c?l0001Vo`00I_l006Ko0<co0007001Vo`030<co
0000I_l006Ko06D006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?ooofP006Ko0`3<
o`000`00I_l0c?l00<co00040<co008006Ko0`3<o`000`00I_l0c?l00<co0002001Vo`D0c?l000<0
06Ko0<co0000I_l00`00I_l20<co008006Ko1P3<o`04001Vo`050<co0000I_l006Ko001Vo`3<o`00
0P00I_l20<co008006Ko203<o`1X001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103o
oomX001Vo`<0c?l000<006Ko0<co003<o`00103<o`02001Vo`<0c?l000<006Ko0<co003<o`000P00
I_l50<co0003001Vo`3<o`0006Ko00<006Ko0P3<o`02001Vo`H0c?l01000I_l01@3<o`0006Ko001V
o`00I_l0c?l0008006Ko0P3<o`02001Vo`P0c?l0J000I_l70?ooo`4000000@3oool000030000003o
ool0oooo00@0ooooJP00I_l20<co00<006Ko00<0c?l0001Vo`00I_l01000I_l00`3<o`0006Ko0<co
00030<co00<006Ko0P3<o`000`00I_l0c?l00<co00020<co0005001Vo`3<o`00c?l00<co0000I_l0
0P3<o`02001Vo`D0c?l000H006Ko0<co003<o`00c?l0001Vo`3<o`02001Vo`030<co0000I_l006Ko
008006Ko00D0c?l0001Vo`00I_l006Ko0<co001Z001Vo`L0oooo0@0000010?ooo`0000<000000?oo
o`3oool0103ooom[001Vo`<0c?l000<006Ko0<co003<o`000`3<o`02001Vo`80c?l00`00I_l40<co
00@006Ko0P3<o`04001Vo`80c?l01P00I_l00`3<o`0006Ko001Vo`02001Vo`80c?l000@006Ko0<co
0000I_l006Ko103<o`000`00I_l0c?l00<co00020<co06/006Ko1`3oool100000040oooo00000`00
0000oooo0?ooo`040?ooof/006Ko0`3<o`000`00I_l0c?l00<co00030<co008006Ko0P3<o`03001V
o`@0c?l01000I_l20<co00@006Ko0P3<o`06001Vo`030<co0000I_l006Ko008006Ko0P3<o`001000
I_l0c?l0001Vo`00I_l40<co0003001Vo`3<o`00c?l00080c?l0J`00I_l70?ooo`4000000@3oool0
00030000003oool0oooo00@0ooooK000I_l30<co00<006Ko00<0c?l0001Vo`00I_l00P00I_l40<co
00<006Ko1@3<o`07001Vo`D0c?l00P00I_l40<co0004001Vo`3<o`00c?l00<co00@006Ko00<0c?l0
001Vo`00I_l00P00I_l20<co06`006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?oo
ofh006Ko0P3<o`02001Vo`D0c?l00`00I_l20<co008006Ko00@0c?l0001Vo`00I_l006Ko203<o`03
001Vo`030<co0000I_l006Ko008006Ko0P3<o`04001Vo`@0c?l000<006Ko0<co003<o`000`3<o`1^
001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooom_001Vo`<0c?l00P00I_l20<co
00D006Ko00<0c?l0001Vo`00I_l0103<o`03001Vo`040<co0000I_l006Ko001Vo`80c?l00P00I_l4
0<co0003001Vo`3<o`00c?l000@0c?l00P00I_l30<co00<006Ko00<0c?l0001Vo`00I_l0K@00I_l7
0?ooo`4000000@3oool000030000003oool0oooo00@0ooooK`00I_l30<co008006Ko0P3<o`05001V
o`030<co0000I_l006Ko00@0c?l00`00I_l0103<o`0006Ko001Vo`00I_l20<co008006Ko103<o`00
0`00I_l0c?l00<co00040<co008006Ko0`3<o`03001Vo`030<co0000I_l006Ko06d006Ko1`3oool1
00000040oooo00000`000000oooo0?ooo`040?ooog0006Ko0`3<o`000`00I_l0c?l00<co00040<co
0004001Vo`3<o`00c?l00<co00<006Ko103<o`05001Vo`<0c?l00P00I_l30<co00<006Ko00<0c?l0
001Vo`00I_l01000I_l40<co070006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?oo
og8006Ko0P3<o`03001Vo`030<co0000I_l006Ko008006Ko1@3<o`02001Vo`H0c?l000<006Ko0<co
0000I_l01@00I_l40<co00P006Ko00<0c?l0001Vo`00I_l0L000I_l70?ooo`4000000@3oool00003
0000003oool0oooo00@0ooooL`00I_l30<co0003001Vo`3<o`00c?l000<0c?l00`00I_l30<co0003
001Vo`3<o`00c?l0008006Ko0P3<o`000`00I_l0c?l00<co00050<co00<006Ko2@3<o`1c001Vo`L0
oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooomc001Vo`<0c?l000<006Ko0<co003<o`00
0`3<o`03001Vo`<0c?l000<006Ko0<co003<o`000P00I_l20<co0003001Vo`3<o`00c?l000D0c?l0
0`00I_l90<co07<006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?ooog@006Ko0`3<
o`03001Vo`030<co0000I_l006Ko00@006Ko00<0c?l0001Vo`3<o`000`3<o`04001Vo`80c?l00P00
I_l50<co008006Ko0P3<o`02001Vo`80c?l0M000I_l70?ooo`4000000@3oool000030000003oool0
oooo00@0ooooMP00I_l20<co008006Ko1@3<o`02001Vo`80c?l00`00I_l40<co0003001Vo`3<o`00
c?l00080c?l00`00I_l30<co0003001Vo`3<o`00c?l00080c?l0MP00I_l70?ooo`4000000@3oool0
00030000003oool0oooo00@0ooooM`00I_l30<co008006Ko0P3<o`04001Vo`@0c?l00`00I_l20<co
00<006Ko0`3<o`000`00I_l0c?l00<co0004001Vo`030<co0000I_l006Ko07D006Ko1`3oool10000
0040oooo00000`000000oooo0?ooo`040?ooogL006Ko0`3<o`02001Vo`80c?l01000I_l40<co00<0
06Ko0P3<o`03001Vo`<0c?l000<006Ko0<co003<o`001000I_l00`3<o`0006Ko001Vo`1e001Vo`L0
oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooomh001Vo`<0c?l000<006Ko0<co003<o`00
103<o`03001Vo`80c?l00P00I_l00`3<o`0006Ko001Vo`03001Vo`80c?l000<006Ko0<co003<o`00
103<o`1h001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooomj001Vo`80c?l00`00
I_l20<co00D006Ko00<0c?l0001Vo`00I_l01@3<o`001000I_l0c?l00<co003<o`03001Vo`030<co
0000I_l006Ko07P006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?ooog/006Ko0`3<
o`000`00I_l0c?l00<co00040<co0004001Vo`3<o`00c?l00<co008006Ko0P3<o`04001Vo`@0c?l0
N`00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooN`00I_l30<co0003001Vo`3<
o`00c?l000@0c?l000@006Ko0<co003<o`00c?l00P00I_l20<co00@006Ko103<o`1k001Vo`L0oooo
0@0000010?ooo`0000<000000?ooo`3oool0103oooml001Vo`<0c?l00`00I_l00`3<o`0006Ko001V
o`02001Vo`@0c?l01`00I_l20<co07`006Ko1`3oool100000040oooo00000`000000oooo0?ooo`04
0?ooogh006Ko0`3<o`000`00I_l0c?l00<co00030<co00<006Ko203<o`1n001Vo`L0oooo0@000001
0?ooo`0000<000000?ooo`3oool0103ooomn001Vo`<0c?l000<006Ko0<co003<o`000`3<o`03001V
o`P0c?l0OP00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooO`00I_l30<co00<0
06Ko00<0c?l0001Vo`00I_l00`00I_l20<co008006Ko0P3<o`1o001Vo`L0oooo0@0000010?ooo`00
00<000000?ooo`3oool0103ooon1001Vo`80c?l00P00I_l50<co0003001Vo`3<o`00c?l00080c?l0
P@00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooPP00I_l30<co008006Ko0P3<
o`04001Vo`030<co0000I_l006Ko080006Ko1`3oool100000040oooo00000`000000oooo0?ooo`04
0?oooh8006Ko0`3<o`02001Vo`80c?l01000I_l00`3<o`0006Ko001Vo`20001Vo`L0oooo0@000001
0?ooo`0000<000000?ooo`3oool0103ooon3001Vo`<0c?l000<006Ko0<co003<o`00103<o`23001V
o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooon5001Vo`80c?l00`00I_l00`3<o`00
06Ko001Vo`23001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooon6001Vo`@0c?l0
QP00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooQP00I_l40<co08H006Ko1`3o
ool100000040oooo00000`000000oooo0?ooo`040?ooohL006Ko0P3<o`27001Vo`L0oooo0@000001
0?ooo`0000<000000?ooo`3oool0o`3ooolL0?ooo`4000000@3oool000030000003oool0oooo0?l0
oooo703oool100000040oooo003o0000020000000@3oool00001\
\>"],
  ImageRangeCache->{{{153.125, 330.625}, {391.438, 302.75}} -> {-188.732, \
359.5, 0.74139, 0.74139}},
  CellTags->"IPM3.Sol.6.4"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ArrayPlot[ca30, 
        ColorRules \[Rule] {1 \[Rule] Hue[ .2], 
            0 \[Rule] Hue[ .6]}];\)\)], "Input",
  CellLabel->"In[15]:="],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .50249 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.00473821 0.011964 0.00473821 [
[ 0 0 -0.125 0 ]
[ 0 0 -0.125 0 ]
[ 0 .50249 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 .50249 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 0 m
1 0 L
s
0 0 m
0 .50249 L
s
0 .50249 m
1 .50249 L
s
1 0 m
1 .50249 L
s
0 0 m
1 0 L
1 .50249 L
0 .50249 L
closepath
clip
newpath
% Start of colorimage (RGB)
p
.02381 .01196 translate
.95238 .47856 scale
603 string
201 101 8 [201 0 0 101 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  false 3 Mcolorimage
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FF
0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF
CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF00
0066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00
0066FF0066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF
CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF
CCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00
CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FF
CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF
CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FF
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF
0066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FFCCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF00
0066FF0066FF0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00
0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF
0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FF
CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00
0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF
CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
0066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF
0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
0066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
0066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00
0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00
0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00
CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF00
0066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00
0066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00
0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF
CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FF
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00
0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF
0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FFCCFF000066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
CCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF00
0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00
0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF
CCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF
CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF000066FF0066FF
CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF
CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00
0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF
CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF
0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FF0066FF
0066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF
CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF
0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF
0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00
CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
0066FF0066FF0066FF0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF
CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FF
0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF
0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF
CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
0066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF00
0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00
CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00
0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF00
0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00
CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
0066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF
0066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF
CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00
CCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF
0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00
0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF
0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
0066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00
0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
CCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FF
0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF00
CCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
CCFF000066FFCCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF
CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF000066FF
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF
CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF
CCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF
CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00
0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF
0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FFCCFF000066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF
0066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF
CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FFCCFF00
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00
0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FF
0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00
0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF000066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF
0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF
CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF00
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FF
0066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF00
CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF
0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF
0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF
CCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF000066FF0066FF
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FFCCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00
0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF
0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FFCCFF00
0066FFCCFF000066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00CCFF000066FF0066FF0066FF
0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FFCCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00
CCFF000066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF
0066FFCCFF00CCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FF
CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FFCCFF00
CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00
0066FFCCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00CCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF000066FF
0066FF0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF000066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF000066FFCCFF00CCFF000066FFCCFF000066FFCCFF000066FF0066FF0066FFCCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FFCCFF000066FF0066FF0066FFCCFF00CCFF000066FF0066FF0066FF0066FFCCFF00
0066FF0066FF0066FFCCFF000066FFCCFF000066FFCCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00
CCFF000066FF0066FF0066FF0066FF0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF
CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00
0066FF0066FFCCFF000066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00
0066FFCCFF000066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF00CCFF000066FF
0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF00
0066FFCCFF00CCFF00CCFF000066FF0066FF0066FFCCFF000066FF0066FFCCFF00CCFF00
CCFF000066FF0066FFCCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00
CCFF000066FF0066FFCCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF
CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF000066FF0066FFCCFF00CCFF000066FF
CCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF00
0066FF0066FFCCFF00CCFF000066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FFCCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FFCCFF00CCFF00
CCFF00CCFF000066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF00
CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF0066FF
CCFF000066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF
CCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF000066FF
CCFF00CCFF00CCFF00CCFF000066FF0066FFCCFF00CCFF00CCFF00CCFF00CCFF00CCFF00
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00CCFF00
0066FF0066FFCCFF000066FF0066FF0066FF0066FFCCFF000066FF0066FFCCFF000066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FFCCFF00
CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FFCCFF00CCFF00CCFF000066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
CCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FFCCFF000066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FFCCFF00CCFF000066FFCCFF00CCFF00CCFF00CCFF000066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FFCCFF00CCFF000066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FFCCFF00CCFF00CCFF000066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FFCCFF000066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF0066FF
pop
P
% End of image
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[15]:=",
  ImageSize->{288, 144.688},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000T2000`400?l00000o`00003oo`00000P
00000040oooo00000`000000oooo0?ooo`3o0?oooa`0oooo0@0000010?ooo`0000<000000?ooo`3o
ool0o`3ooolL0?ooo`4000000@3oool000030000003oool0oooo0?l0oooo703oool100000040oooo
00000`000000oooo0?ooo`040?ooo`<0c?l00P00I_l20<co00@006Ko103<o`03001Vo`D0c?l01000
I_l50<co008006Ko00<0c?l0001Vo`00I_l01000I_l00`3<o`0006Ko001Vo`02001Vo`030<co0000
I_l006Ko00@0c?l000<006Ko0<co003<o`00103<o`001000I_l0c?l00<co003<o`02001Vo`80c?l0
0P00I_l20<co00@006Ko00@0c?l0001Vo`3<o`00c?l01`00I_l40<co0003001Vo`3<o`0006Ko00<0
06Ko0P3<o`000`00I_l0c?l0001Vo`04001Vo`050<co0000I_l0c?l00<co0000I_l0103<o`03001V
o`030<co0000I_l0c?l000H0c?l00P00I_l0103<o`0006Ko0<co003<o`04001Vo`030<co0000I_l0
c?l000P0c?l000H006Ko0<co0000I_l006Ko0<co0000I_l30<co00@006Ko00@0c?l0001Vo`00I_l0
c?l01P00I_l20<co008006Ko00@0c?l0001Vo`3<o`00c?l01000I_l0103<o`0006Ko0<co003<o`04
001Vo`<0c?l00P00I_l30<co00D006Ko1P3<o`000`00I_l0c?l00<co00040<co00@006Ko00<0c?l0
001Vo`3<o`000P3<o`000`00I_l0c?l00<co00040<co0005001Vo`3<o`00c?l00<co0000I_l00`3<
o`000`00I_l0c?l00<co00040<co008006Ko0P3<o`001P00I_l0c?l0001Vo`00I_l0c?l0001Vo`D0
c?l00P00I_l20<co00@006Ko00<0c?l00?ooo`3oool01@3oool100000040oooo00000`000000oooo
0?ooo`040?ooo`05001Vo`3<o`00c?l00<co0000I_l01P3<o`03001Vo`80c?l00P00I_l0103<o`00
06Ko001Vo`00I_l40<co0003001Vo`3<o`0006Ko008006Ko00<0c?l0001Vo`00I_l01@3<o`02001V
o`@0c?l000@006Ko0<co003<o`00c?l00P00I_l30<co00<006Ko00<0c?l0001Vo`00I_l00P00I_l3
0<co0005001Vo`3<o`00c?l00<co0000I_l0103<o`02001Vo`030<co0000I_l0c?l000P0c?l00P00
I_l20<co0003001Vo`3<o`00c?l00080c?l000@006Ko0<co003<o`0006Ko103<o`02001Vo`030<co
0000I_l0c?l00080c?l00`00I_l40<co00@006Ko00D0c?l0001Vo`00I_l006Ko0<co0002001Vo`03
0<co0000I_l0c?l000<0c?l00P00I_l20<co00<006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`001000
I_l0c?l00<co003<o`04001Vo`@0c?l000@006Ko0<co003<o`00c?l02000I_l01@3<o`0006Ko001V
o`3<o`0006Ko00@0c?l00P00I_l00`3<o`0006Ko0<co00030<co008006Ko00<0c?l0001Vo`00I_l0
1000I_l50<co0003001Vo`3<o`00c?l0008006Ko0P3<o`000`00I_l0c?l0001Vo`02001Vo`H0c?l0
1000I_l0103<o`0006Ko0<co003<o`02001Vo`80c?l000<006Ko0<co0000I_l01000I_l0103<o`00
06Ko0<co003<o`02001Vo`<0c?l000D006Ko0<co003<o`0006Ko0<co0002001Vo`80c?l00`00I_l3
0<co0003001Vo`3<o`00c?l000@0c?l000<006Ko0?ooo`3oool01@3oool100000040oooo00000`00
0000oooo0?ooo`040?ooo`05001Vo`3<o`00c?l00<co0000I_l01P3<o`03001Vo`80c?l00P00I_l0
103<o`0006Ko001Vo`00I_l40<co0003001Vo`3<o`0006Ko008006Ko00<0c?l0001Vo`00I_l01@3<
o`02001Vo`@0c?l000@006Ko0<co003<o`00c?l00P00I_l30<co00<006Ko00<0c?l0001Vo`00I_l0
0P00I_l30<co0005001Vo`3<o`00c?l00<co0000I_l0103<o`02001Vo`030<co0000I_l0c?l000P0
c?l00P00I_l20<co0003001Vo`3<o`00c?l00080c?l000@006Ko0<co003<o`0006Ko103<o`02001V
o`030<co0000I_l0c?l00080c?l00`00I_l40<co00@006Ko00D0c?l0001Vo`00I_l006Ko0<co0002
001Vo`030<co0000I_l0c?l000<0c?l00P00I_l20<co00<006Ko00@0c?l0001Vo`00I_l006Ko0P3<
o`001000I_l0c?l00<co003<o`04001Vo`@0c?l000@006Ko0<co003<o`00c?l02000I_l01@3<o`00
06Ko001Vo`3<o`0006Ko00@0c?l00P00I_l00`3<o`0006Ko0<co00030<co008006Ko00<0c?l0001V
o`00I_l01000I_l50<co0003001Vo`3<o`00c?l0008006Ko0P3<o`000`00I_l0c?l0001Vo`02001V
o`H0c?l01000I_l0103<o`0006Ko0<co003<o`02001Vo`80c?l000<006Ko0<co0000I_l01000I_l0
103<o`0006Ko0<co003<o`02001Vo`<0c?l000D006Ko0<co003<o`0006Ko0<co0002001Vo`80c?l0
0`00I_l30<co0003001Vo`3<o`00c?l000@0c?l000<006Ko0?ooo`3oool01@3oool100000040oooo
00000`000000oooo0?ooo`040?ooo`<006Ko0P3<o`03001Vo`030<co0000I_l006Ko00@006Ko00<0
c?l0001Vo`00I_l0103<o`02001Vo`80c?l000H006Ko0<co003<o`00c?l0001Vo`3<o`02001Vo`04
0<co0000I_l006Ko001Vo`<0c?l00P00I_l20<co0003001Vo`3<o`0006Ko00D006Ko0P3<o`02001V
o`@0c?l000<006Ko0<co003<o`001000I_l20<co00<006Ko00<0c?l0001Vo`00I_l00P3<o`03001V
o`80c?l00P00I_l30<co0004001Vo`3<o`00c?l00<co00<006Ko00<0c?l0001Vo`3<o`000P3<o`03
001Vo`<0c?l01000I_l40<co008006Ko103<o`02001Vo`80c?l00P00I_l30<co00@006Ko00<0c?l0
001Vo`00I_l00P00I_l30<co0005001Vo`3<o`00c?l00<co0000I_l00P3<o`000`00I_l0c?l0001V
o`06001Vo`030<co0000I_l006Ko008006Ko2@3<o`001000I_l0c?l0001Vo`00I_l20<co00<006Ko
00<0c?l0001Vo`00I_l00P3<o`03001Vo`030<co0000I_l006Ko00D0c?l00P00I_l01P3<o`0006Ko
001Vo`00I_l0c?l0001Vo`<0c?l000@006Ko0<co003<o`0006Ko0`3<o`000`00I_l0c?l00<co0002
001Vo`@0c?l00P00I_l00`3<o`0006Ko0<co00020<co0004001Vo`3<o`00c?l0001Vo`@0c?l00P00
I_l20<co00H006Ko00H0c?l0001Vo`3<o`00c?l0001Vo`3<o`02001Vo`030<co0000I_l006Ko00@0
06Ko0P3<o`03001Vo`040<co0000I_l006Ko001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3o
ool0103oool4001Vo`<0c?l000<006Ko0<co003<o`00103<o`001000I_l0c?l00<co003<o`02001V
o`@0c?l01000I_l20<co0004001Vo`3<o`00c?l00<co00D006Ko0`3<o`001000I_l0c?l00<co003<
o`08001Vo`<0c?l00`00I_l20<co00L006Ko103<o`04001Vo`<0c?l000D006Ko0<co003<o`00c?l0
001Vo`020<co00@006Ko0P3<o`02001Vo`040<co0000I_l0c?l00<co00D006Ko1P3<o`02001Vo`@0
c?l00`00I_l0103<o`0006Ko001Vo`3<o`04001Vo`@0c?l00P00I_l40<co0003001Vo`3<o`0006Ko
00<006Ko0P3<o`001000I_l0c?l00<co0000I_l70<co0003001Vo`3<o`00c?l000<0c?l00`00I_l0
103<o`0006Ko001Vo`00I_l30<co00@006Ko103<o`04001Vo`<0c?l000D006Ko0<co0000I_l006Ko
0<co0003001Vo`030<co0000I_l006Ko00@0c?l01000I_l20<co00@006Ko0P3<o`000`00I_l0c?l0
0<co00020<co00<006Ko0`3<o`04001Vo`80c?l01000I_l20<co00@006Ko1@3<o`02001Vo`050<co
0000I_l0c?l00<co0000I_l00`3<o`08001Vo`@0c?l01000I_l70?ooo`4000000@3oool000030000
003oool0oooo00@0oooo1@00I_l30<co00<006Ko00<0c?l0001Vo`00I_l00P00I_l40<co00<006Ko
1@3<o`04001Vo`H0c?l000<006Ko0<co003<o`001000I_l80<co0003001Vo`3<o`0006Ko00D006Ko
203<o`03001Vo`@0c?l000<006Ko0<co0000I_l01000I_l20<co00L006Ko00D0c?l0001Vo`00I_l0
c?l0001Vo`060<co0003001Vo`3<o`00c?l0008006Ko103<o`03001Vo`<0c?l000@006Ko0<co0000
I_l006Ko1@3<o`03001Vo`<0c?l00P00I_l20<co0003001Vo`3<o`00c?l00080c?l000@006Ko0<co
003<o`00c?l01000I_l20<co008006Ko0P3<o`000`00I_l0c?l0001Vo`02001Vo`<0c?l000D006Ko
0<co003<o`00c?l0001Vo`020<co00H006Ko0P3<o`06001Vo`80c?l000@006Ko0<co0000I_l006Ko
103<o`04001Vo`030<co0000I_l006Ko00D006Ko103<o`001000I_l0c?l00<co003<o`03001Vo`<0
c?l000<006Ko0<co0000I_l01P00I_l40<co0003001Vo`3<o`00c?l000<0c?l000<006Ko0<co0000
I_l00P00I_l01@3<o`0006Ko001Vo`3<o`0006Ko0080c?l000<006Ko0<co0000I_l02P00I_l20<co
00D006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?ooo`D006Ko0`3<o`03001Vo`03
0<co0000I_l006Ko008006Ko103<o`03001Vo`D0c?l01000I_l60<co0003001Vo`3<o`00c?l000@0
06Ko203<o`000`00I_l0c?l0001Vo`05001Vo`P0c?l00`00I_l40<co0003001Vo`3<o`0006Ko00@0
06Ko0P3<o`07001Vo`050<co0000I_l006Ko0<co0000I_l01P3<o`000`00I_l0c?l00<co0002001V
o`@0c?l00`00I_l30<co0004001Vo`3<o`0006Ko001Vo`D0c?l00`00I_l30<co008006Ko0P3<o`00
0`00I_l0c?l00<co00020<co0004001Vo`3<o`00c?l00<co00@006Ko0P3<o`02001Vo`80c?l000<0
06Ko0<co0000I_l00P00I_l30<co0005001Vo`3<o`00c?l00<co0000I_l00P3<o`06001Vo`80c?l0
1P00I_l20<co0004001Vo`3<o`0006Ko001Vo`@0c?l01000I_l00`3<o`0006Ko001Vo`05001Vo`@0
c?l000@006Ko0<co003<o`00c?l00`00I_l30<co0003001Vo`3<o`0006Ko00H006Ko103<o`000`00
I_l0c?l00<co00030<co0003001Vo`3<o`0006Ko008006Ko00D0c?l0001Vo`00I_l0c?l0001Vo`02
0<co0003001Vo`3<o`0006Ko00X006Ko0P3<o`05001Vo`L0oooo0@0000010?ooo`0000<000000?oo
o`3oool0103oool7001Vo`80c?l00P00I_l50<co00<006Ko0`3<o`000`00I_l0c?l0001Vo`02001V
o`@0c?l000<006Ko0<co003<o`000`00I_l00`3<o`0006Ko0<co00050<co008006Ko0P3<o`02001V
o`80c?l000<006Ko0<co003<o`001@3<o`03001Vo`040<co0000I_l006Ko001Vo`@0c?l00P00I_l3
0<co00L006Ko1`3<o`001P00I_l0c?l0001Vo`00I_l0c?l0001Vo`80c?l00P00I_l30<co00H006Ko
00<0c?l0001Vo`00I_l00`00I_l20<co0004001Vo`3<o`00c?l00<co008006Ko0P3<o`05001Vo`@0
c?l01000I_l20<co00@006Ko103<o`001@00I_l0c?l00<co003<o`0006Ko0080c?l000H006Ko0<co
003<o`00c?l0001Vo`3<o`04001Vo`80c?l000<006Ko0<co003<o`001@3<o`000`00I_l0c?l00<co
00050<co0004001Vo`3<o`00c?l0001Vo`<0c?l00`00I_l40<co0003001Vo`3<o`00c?l000H0c?l0
0`00I_l0103<o`0006Ko0<co003<o`05001Vo`80c?l000<006Ko0<co003<o`001P3<o`03001Vo`80
c?l00`00I_l20<co0006001Vo`3<o`00c?l00<co0000I_l0c?l00P00I_l01@3<o`0006Ko0<co003<
o`0006Ko00`0c?l01`00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo2000I_l3
0<co00<006Ko00<0c?l0001Vo`00I_l00`00I_l20<co0003001Vo`3<o`00c?l00080c?l00`00I_l0
0`3<o`0006Ko0<co00020<co008006Ko00@0c?l0001Vo`3<o`00c?l00P00I_l30<co0003001Vo`3<
o`00c?l00080c?l01000I_l20<co00<006Ko0P3<o`02001Vo`@0c?l00P00I_l30<co0003001Vo`3<
o`00c?l000T006Ko0P3<o`02001Vo`80c?l000@006Ko0<co0000I_l006Ko0P3<o`06001Vo`D0c?l0
0P00I_l60<co00@006Ko0`3<o`000`00I_l0c?l00<co00050<co00<006Ko1@3<o`07001Vo`80c?l0
1000I_l20<co00@006Ko0P3<o`000`00I_l0c?l00<co00020<co0004001Vo`3<o`00c?l0001Vo`80
c?l00P00I_l20<co00@006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`04001Vo`D0c?l00P00I_l30<co
00<006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`02001Vo`030<co0000I_l0c?l000H0c?l01000I_l2
0<co008006Ko0P3<o`05001Vo`@0c?l01000I_l20<co0004001Vo`3<o`0006Ko001Vo`80c?l01000
I_l20<co008006Ko0P3<o`03001Vo`030<co0000I_l006Ko00H006Ko1`3oool100000040oooo0000
0`000000oooo0?ooo`040?ooo`T006Ko0`3<o`02001Vo`D0c?l000@006Ko0<co003<o`00c?l00`00
I_l40<co00@006Ko00<0c?l0001Vo`00I_l00P3<o`06001Vo`80c?l00`00I_l40<co0004001Vo`3<
o`00c?l00<co008006Ko00<0c?l0001Vo`00I_l00P00I_l00`3<o`0006Ko001Vo`04001Vo`030<co
0000I_l0c?l000T0c?l000D006Ko0<co003<o`00c?l0001Vo`030<co00@006Ko1`3<o`03001Vo`03
0<co0000I_l006Ko008006Ko00@0c?l0001Vo`00I_l006Ko103<o`000`00I_l0c?l00<co0004001V
o`040<co0000I_l006Ko001Vo`<0c?l000<006Ko0<co0000I_l00P00I_l80<co00L006Ko103<o`00
1000I_l0c?l00<co003<o`03001Vo`050<co0000I_l0c?l00<co0000I_l00`3<o`000`00I_l0c?l0
0<co00020<co008006Ko0P3<o`02001Vo`030<co0000I_l006Ko00D006Ko00<0c?l0001Vo`00I_l0
1000I_l40<co00D006Ko0`3<o`04001Vo`040<co0000I_l006Ko001Vo`@0c?l000D006Ko0<co003<
o`00c?l0001Vo`070<co00<006Ko103<o`001000I_l0c?l00<co003<o`04001Vo`@0c?l000D006Ko
0<co003<o`00c?l0001Vo`050<co00T006Ko1`3oool100000040oooo00000`000000oooo0?ooo`04
0?ooo`T006Ko0`3<o`02001Vo`D0c?l000@006Ko0<co003<o`00c?l00`00I_l40<co00@006Ko00<0
c?l0001Vo`00I_l00P3<o`06001Vo`80c?l00`00I_l40<co0004001Vo`3<o`00c?l00<co008006Ko
00<0c?l0001Vo`00I_l00P00I_l00`3<o`0006Ko001Vo`04001Vo`030<co0000I_l0c?l000T0c?l0
00D006Ko0<co003<o`00c?l0001Vo`030<co00@006Ko1`3<o`03001Vo`030<co0000I_l006Ko0080
06Ko00@0c?l0001Vo`00I_l006Ko103<o`000`00I_l0c?l00<co0004001Vo`040<co0000I_l006Ko
001Vo`<0c?l000<006Ko0<co0000I_l00P00I_l80<co00L006Ko103<o`001000I_l0c?l00<co003<
o`03001Vo`050<co0000I_l0c?l00<co0000I_l00`3<o`000`00I_l0c?l00<co00020<co008006Ko
0P3<o`02001Vo`030<co0000I_l006Ko00D006Ko00<0c?l0001Vo`00I_l01000I_l40<co00D006Ko
0`3<o`04001Vo`040<co0000I_l006Ko001Vo`@0c?l000D006Ko0<co003<o`00c?l0001Vo`070<co
00<006Ko103<o`001000I_l0c?l00<co003<o`04001Vo`@0c?l000D006Ko0<co003<o`00c?l0001V
o`050<co00T006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?ooo`/006Ko0`3<o`02
001Vo`80c?l01000I_l40<co008006Ko1P3<o`04001Vo`D0c?l00P00I_l00`3<o`0006Ko001Vo`03
001Vo`80c?l01000I_l00`3<o`0006Ko001Vo`040<co0003001Vo`3<o`00c?l000<0c?l00P00I_l2
0<co00<006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`04001Vo`040<co0000I_l0c?l00<co00H006Ko
0P3<o`02001Vo`<0c?l00P00I_l40<co0003001Vo`3<o`00c?l00080c?l00`00I_l00`3<o`0006Ko
0<co00050<co00D006Ko0`3<o`05001Vo`80c?l00P00I_l20<co00T006Ko0P3<o`04001Vo`80c?l0
0P00I_l01@3<o`0006Ko0<co003<o`0006Ko0080c?l01000I_l00`3<o`0006Ko001Vo`02001Vo`03
0<co0000I_l006Ko00P0c?l02000I_l00`3<o`0006Ko001Vo`06001Vo`H0c?l01@00I_l20<co00@0
06Ko00@0c?l0001Vo`3<o`00c?l00P00I_l20<co00D006Ko0P3<o`04001Vo`D0c?l00`00I_l0103<
o`0006Ko0<co003<o`04001Vo`030<co0000I_l006Ko00T006Ko1`3oool100000040oooo00000`00
0000oooo0?ooo`040?ooo``006Ko0`3<o`000`00I_l0c?l00<co00040<co008006Ko0`3<o`000`00
I_l0c?l00<co0002001Vo`D0c?l000<006Ko0<co0000I_l00P00I_l00`3<o`0006Ko001Vo`050<co
0003001Vo`3<o`00c?l00080c?l00P00I_l30<co008006Ko0`3<o`03001Vo`030<co0000I_l006Ko
008006Ko0`3<o`001@00I_l0c?l00<co003<o`0006Ko00@0c?l00P00I_l00`3<o`0006Ko0<co0007
0<co00H006Ko0`3<o`02001Vo`<0c?l00`00I_l20<co008006Ko0P3<o`03001Vo`030<co0000I_l0
06Ko00L006Ko1@3<o`001@00I_l0c?l00<co003<o`0006Ko00/0c?l01`00I_l01@3<o`0006Ko001V
o`3<o`0006Ko0080c?l000<006Ko0<co003<o`000P3<o`02001Vo`@0c?l000@006Ko0<co003<o`00
c?l00P00I_l20<co008006Ko2@3<o`000`00I_l0c?l00<co00060<co0003001Vo`3<o`00c?l00080
06Ko1P3<o`000`00I_l0c?l00<co00020<co008006Ko00<0c?l0001Vo`3<o`000P3<o`000`00I_l0
c?l00<co00040<co0003001Vo`3<o`00c?l00080c?l00P00I_l0103<o`0006Ko001Vo`00I_l20<co
008006Ko00<0c?l0001Vo`3<o`001@3<o`0<001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3o
ool0103oool<001Vo`<0c?l000<006Ko0<co003<o`00103<o`02001Vo`<0c?l000<006Ko0<co003<
o`000P00I_l50<co0003001Vo`3<o`0006Ko008006Ko00<0c?l0001Vo`00I_l01@3<o`000`00I_l0
c?l00<co00020<co008006Ko0`3<o`02001Vo`<0c?l00`00I_l00`3<o`0006Ko001Vo`02001Vo`<0
c?l000D006Ko0<co003<o`00c?l0001Vo`040<co008006Ko00<0c?l0001Vo`3<o`001`3<o`06001V
o`<0c?l00P00I_l30<co00<006Ko0P3<o`02001Vo`80c?l00`00I_l00`3<o`0006Ko001Vo`07001V
o`D0c?l000D006Ko0<co003<o`00c?l0001Vo`0;0<co00L006Ko00D0c?l0001Vo`00I_l0c?l0001V
o`020<co0003001Vo`3<o`00c?l00080c?l00P00I_l40<co0004001Vo`3<o`00c?l00<co008006Ko
0P3<o`02001Vo`T0c?l000<006Ko0<co003<o`001P3<o`000`00I_l0c?l00<co0002001Vo`H0c?l0
00<006Ko0<co003<o`000P3<o`02001Vo`030<co0000I_l0c?l00080c?l000<006Ko0<co003<o`00
103<o`000`00I_l0c?l00<co00020<co008006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`02001Vo`03
0<co0000I_l0c?l000D0c?l03000I_l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo
3P00I_l20<co00<006Ko00<0c?l0001Vo`00I_l01000I_l00`3<o`0006Ko0<co00030<co00<006Ko
0P3<o`001P00I_l0c?l00<co003<o`0006Ko0<co008006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`03
001Vo`040<co0000I_l006Ko0<co00H006Ko0P3<o`02001Vo`@0c?l000<006Ko0<co0000I_l00`00
I_l30<co00<006Ko00<0c?l0001Vo`00I_l00P3<o`03001Vo`040<co0000I_l006Ko001Vo`D0c?l0
0P00I_l00`3<o`0006Ko001Vo`04001Vo`80c?l00P00I_l00`3<o`0006Ko001Vo`02001Vo`<0c?l0
00<006Ko0<co003<o`001P3<o`02001Vo`060<co0000I_l006Ko001Vo`3<o`0006Ko0P3<o`04001V
o`050<co0000I_l006Ko001Vo`3<o`000`00I_l70<co0004001Vo`3<o`0006Ko001Vo`80c?l01@00
I_l00`3<o`0006Ko001Vo`02001Vo`030<co0000I_l006Ko008006Ko0`3<o`000`00I_l0c?l00<co
00020<co00<006Ko0P3<o`02001Vo`<0c?l00`00I_l01P3<o`0006Ko001Vo`00I_l0c?l0001Vo`<0
c?l000<006Ko0<co003<o`000`00I_l20<co00<006Ko0`3<o`04001Vo`040<co0000I_l0c?l00<co
008006Ko0`3<o`03001Vo`<0c?l01@00I_l00`3<o`0006Ko001Vo`020<co00<006Ko00<0c?l0001V
o`00I_l03000I_l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo3`00I_l30<co0003
001Vo`3<o`00c?l000<0c?l00P00I_l20<co00<006Ko103<o`04001Vo`80c?l000@006Ko0<co003<
o`00c?l01@00I_l30<co0004001Vo`3<o`00c?l00<co00P006Ko0`3<o`02001Vo`<0c?l01`00I_l4
0<co00@006Ko0`3<o`001P00I_l0c?l00<co003<o`0006Ko0<co00<006Ko0`3<o`08001Vo`<0c?l0
1P00I_l30<co00<006Ko00D0c?l0001Vo`00I_l006Ko0<co0002001Vo`80c?l00P00I_l00`3<o`00
06Ko0<co00030<co008006Ko103<o`05001Vo`80c?l00P00I_l30<co00@006Ko103<o`02001Vo`D0
c?l01`00I_l20<co00<006Ko103<o`06001Vo`80c?l00P00I_l40<co00@006Ko00<0c?l0001Vo`3<
o`000P3<o`02001Vo`030<co0000I_l006Ko00<006Ko103<o`02001Vo`030<co0000I_l0c?l00080
c?l000<006Ko0<co003<o`001@00I_l70<co00@006Ko103<o`0?001Vo`L0oooo0@0000010?ooo`00
00<000000?ooo`3oool0103oool@001Vo`<0c?l00`00I_l00`3<o`0006Ko001Vo`02001Vo`@0c?l0
0`00I_l50<co00@006Ko1P3<o`000`00I_l0c?l0001Vo`03001Vo`T0c?l000<006Ko0<co0000I_l0
1@00I_l80<co00<006Ko103<o`000`00I_l0c?l0001Vo`03001Vo`<0c?l01@00I_l90<co0003001V
o`3<o`0006Ko00T006Ko0P3<o`02001Vo`@0c?l01000I_l00`3<o`0006Ko001Vo`020<co00<006Ko
0`3<o`03001Vo`H0c?l01P00I_l50<co00<006Ko00@0c?l0001Vo`00I_l0c?l00`00I_l60<co0080
06Ko00<0c?l0001Vo`00I_l00`00I_l20<co00P006Ko0`3<o`02001Vo`H0c?l01000I_l00`3<o`00
06Ko001Vo`060<co00<006Ko0`3<o`04001Vo`030<co0000I_l0c?l000D0c?l000<006Ko0<co003<
o`000P00I_l20<co00H006Ko0P3<o`0@001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0
103oool@001Vo`<0c?l00`00I_l00`3<o`0006Ko001Vo`02001Vo`@0c?l00`00I_l50<co00@006Ko
1P3<o`000`00I_l0c?l0001Vo`03001Vo`T0c?l000<006Ko0<co0000I_l01@00I_l80<co00<006Ko
103<o`000`00I_l0c?l0001Vo`03001Vo`<0c?l01@00I_l90<co0003001Vo`3<o`0006Ko00T006Ko
0P3<o`02001Vo`@0c?l01000I_l00`3<o`0006Ko001Vo`020<co00<006Ko0`3<o`03001Vo`H0c?l0
1P00I_l50<co00<006Ko00@0c?l0001Vo`00I_l0c?l00`00I_l60<co008006Ko00<0c?l0001Vo`00
I_l00`00I_l20<co00P006Ko0`3<o`02001Vo`H0c?l01000I_l00`3<o`0006Ko001Vo`060<co00<0
06Ko0`3<o`04001Vo`030<co0000I_l0c?l000D0c?l000<006Ko0<co003<o`000P00I_l20<co00H0
06Ko0P3<o`0@001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooolB001Vo`80c?l0
0P00I_l50<co00<006Ko0P3<o`02001Vo`040<co0000I_l006Ko001Vo`@0c?l000<006Ko0<co003<
o`000P00I_l20<co0003001Vo`3<o`00c?l000<0c?l00`00I_l20<co008006Ko0P3<o`000`00I_l0
c?l00<co00050<co008006Ko0P3<o`02001Vo`D0c?l00P00I_l30<co00L006Ko1P3<o`03001Vo`80
c?l00P00I_l30<co00`006Ko0`3<o`03001Vo`D0c?l01000I_l30<co0003001Vo`3<o`0006Ko00D0
06Ko00@0c?l0001Vo`00I_l006Ko1@3<o`02001Vo`040<co0000I_l006Ko001Vo`80c?l00P00I_l3
0<co00D006Ko00D0c?l0001Vo`00I_l006Ko0<co0002001Vo`H0c?l02`00I_l30<co0003001Vo`3<
o`00c?l0008006Ko103<o`02001Vo`040<co0000I_l006Ko0<co00<006Ko00<0c?l0001Vo`00I_l0
0`00I_l40<co008006Ko00@0c?l0001Vo`3<o`00c?l00`00I_l00`3<o`0006Ko0<co00020<co0003
001Vo`3<o`00c?l000H0c?l04P00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo
4`00I_l30<co008006Ko0P3<o`05001Vo`030<co0000I_l006Ko00@0c?l00`00I_l00`3<o`0006Ko
0<co00020<co0005001Vo`3<o`00c?l0001Vo`3<o`000`00I_l30<co0003001Vo`3<o`00c?l00080
c?l01000I_l20<co008006Ko0`3<o`000`00I_l0c?l00<co00020<co00<006Ko0`3<o`000`00I_l0
c?l00<co0009001Vo`040<co0000I_l006Ko001Vo`<0c?l000D006Ko0<co003<o`00c?l0001Vo`02
0<co00h006Ko1@3<o`02001Vo`80c?l01P00I_l20<co0003001Vo`3<o`00c?l000@0c?l000H006Ko
0<co003<o`00c?l0001Vo`3<o`03001Vo`030<co0000I_l006Ko0080c?l00P00I_l00`3<o`0006Ko
001Vo`02001Vo`H0c?l000H006Ko0<co003<o`00c?l0001Vo`3<o`02001Vo`050<co0000I_l006Ko
001Vo`3<o`003P00I_l00`3<o`0006Ko0<co00030<co00<006Ko00@0c?l0001Vo`00I_l0c?l00P00
I_l20<co008006Ko1P3<o`03001Vo`050<co0000I_l006Ko0<co0000I_l00`3<o`02001Vo`040<co
0000I_l0c?l00<co00@006Ko00D0c?l0001Vo`00I_l006Ko0<co000C001Vo`L0oooo0@0000010?oo
o`0000<000000?ooo`3oool0103ooolD001Vo`<0c?l000<006Ko0<co003<o`00103<o`001000I_l0
c?l00<co003<o`03001Vo`@0c?l01000I_l00`3<o`0006Ko0<co00020<co00D006Ko0`3<o`03001V
o`@0c?l000D006Ko0<co003<o`00c?l0001Vo`020<co00@006Ko00<0c?l0001Vo`00I_l01000I_l0
0`3<o`0006Ko0<co00090<co0006001Vo`3<o`00c?l00<co0000I_l0c?l01@00I_l00`3<o`0006Ko
0<co000?0<co00<006Ko0`3<o`000`00I_l0c?l00<co00050<co0004001Vo`3<o`00c?l00<co00<0
06Ko00<0c?l0001Vo`00I_l00P00I_l20<co0003001Vo`3<o`00c?l00080c?l01000I_l00`3<o`00
06Ko001Vo`050<co00<006Ko00<0c?l0001Vo`00I_l00P00I_l20<co0004001Vo`3<o`0006Ko001V
o`80c?l00P00I_l=0<co008006Ko0P3<o`03001Vo`<0c?l000D006Ko0<co0000I_l006Ko0<co0002
001Vo`030<co0000I_l006Ko008006Ko00@0c?l0001Vo`00I_l006Ko0`3<o`001000I_l0c?l00<co
003<o`04001Vo`050<co0000I_l006Ko0<co0000I_l0103<o`02001Vo`@0c?l05000I_l70?ooo`40
00000@3oool000030000003oool0oooo00@0oooo5000I_l30<co0003001Vo`3<o`00c?l000@0c?l0
00@006Ko0<co003<o`00c?l00`00I_l40<co00@006Ko00<0c?l0001Vo`3<o`000P3<o`05001Vo`<0
c?l00`00I_l40<co0005001Vo`3<o`00c?l00<co0000I_l00P3<o`04001Vo`030<co0000I_l006Ko
00@006Ko00<0c?l0001Vo`3<o`002@3<o`001P00I_l0c?l00<co003<o`0006Ko0<co00D006Ko00<0
c?l0001Vo`3<o`003`3<o`03001Vo`<0c?l000<006Ko0<co003<o`001@3<o`001000I_l0c?l00<co
003<o`03001Vo`030<co0000I_l006Ko008006Ko0P3<o`000`00I_l0c?l00<co00020<co00@006Ko
00<0c?l0001Vo`00I_l01@3<o`03001Vo`030<co0000I_l006Ko008006Ko0P3<o`001000I_l0c?l0
001Vo`00I_l20<co008006Ko3@3<o`02001Vo`80c?l00`00I_l30<co0005001Vo`3<o`0006Ko001V
o`3<o`000P00I_l00`3<o`0006Ko001Vo`02001Vo`040<co0000I_l006Ko001Vo`<0c?l000@006Ko
0<co003<o`00c?l01000I_l01@3<o`0006Ko001Vo`3<o`0006Ko00@0c?l00P00I_l40<co01@006Ko
1`3oool100000040oooo00000`000000oooo0?ooo`040?oooaH006Ko0P3<o`03001Vo`030<co0000
I_l006Ko008006Ko1@3<o`02001Vo`H0c?l01000I_l50<co0003001Vo`3<o`00c?l000D006Ko0P3<
o`04001Vo`030<co0000I_l0c?l000<0c?l00P00I_l50<co008006Ko0P3<o`03001Vo`050<co0000
I_l006Ko001Vo`3<o`001000I_l20<co0003001Vo`3<o`00c?l000@0c?l01000I_l01@3<o`0006Ko
001Vo`00I_l0c?l000<006Ko00D0c?l0001Vo`00I_l006Ko0<co0006001Vo`040<co0000I_l0c?l0
0<co008006Ko0P3<o`04001Vo`80c?l00P00I_l40<co0004001Vo`3<o`00c?l00<co00<006Ko103<
o`001@00I_l0c?l0001Vo`00I_l0c?l000<006Ko0`3<o`000`00I_l0c?l00<co00020<co0004001V
o`3<o`00c?l00<co00@006Ko00@0c?l0001Vo`00I_l0c?l00`00I_l01@3<o`0006Ko001Vo`00I_l0
c?l000<006Ko00@0c?l0001Vo`00I_l0c?l01@00I_l20<co0005001Vo`3<o`0006Ko001Vo`3<o`00
0P00I_l40<co0006001Vo`3<o`00c?l00<co0000I_l0c?l01000I_l40<co008006Ko0`3<o`04001V
o`030<co0000I_l006Ko008006Ko00<0c?l0001Vo`00I_l05000I_l70?ooo`4000000@3oool00003
0000003oool0oooo00@0oooo5`00I_l30<co0003001Vo`3<o`00c?l000<0c?l00`00I_l30<co0003
001Vo`3<o`00c?l0008006Ko103<o`02001Vo`060<co0000I_l006Ko001Vo`3<o`0006Ko1P3<o`00
0`00I_l0c?l00<co00020<co008006Ko0P3<o`03001Vo`<0c?l00P00I_l20<co00@006Ko0`3<o`00
1@00I_l0c?l00<co003<o`0006Ko00@0c?l000D006Ko0<co003<o`0006Ko0<co0003001Vo`@0c?l0
0P00I_l20<co008006Ko0P3<o`02001Vo`80c?l00P00I_l50<co008006Ko00<0c?l0001Vo`3<o`00
0P3<o`000`00I_l0c?l00<co00020<co008006Ko00<0c?l0001Vo`00I_l00P00I_l20<co00@006Ko
103<o`02001Vo`80c?l000@006Ko0<co0000I_l006Ko0P3<o`02001Vo`030<co0000I_l006Ko0080
06Ko0P3<o`04001Vo`@0c?l000@006Ko0<co0000I_l006Ko0P3<o`02001Vo`<0c?l000H006Ko0<co
003<o`00c?l0001Vo`3<o`02001Vo`D0c?l000@006Ko0<co003<o`0006Ko0`3<o`04001Vo`030<co
0000I_l006Ko008006Ko0`3<o`07001Vo`030<co0000I_l006Ko008006Ko103<o`02001Vo`D0c?l0
5`00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo6000I_l30<co00<006Ko00<0
c?l0001Vo`00I_l01000I_l00`3<o`0006Ko0<co00030<co00<006Ko00<0c?l0001Vo`00I_l00P3<
o`02001Vo`040<co0000I_l0c?l00<co00<006Ko0P3<o`03001Vo`040<co0000I_l006Ko0<co00D0
06Ko0`3<o`000`00I_l0c?l00<co00030<co0003001Vo`3<o`0006Ko00<006Ko0`3<o`03001Vo`03
0<co0000I_l0c?l00080c?l01P00I_l00`3<o`0006Ko001Vo`02001Vo`040<co0000I_l006Ko0<co
00@006Ko00@0c?l0001Vo`00I_l0c?l00`00I_l30<co00@006Ko0P3<o`03001Vo`030<co0000I_l0
06Ko00@0c?l000<006Ko0<co003<o`00103<o`02001Vo`<0c?l000@006Ko0<co003<o`00c?l01000
I_l00`3<o`0006Ko001Vo`040<co0003001Vo`3<o`00c?l000@0c?l00P00I_l30<co00@006Ko00@0
c?l0001Vo`00I_l0c?l01000I_l20<co0005001Vo`3<o`0006Ko001Vo`3<o`000`00I_l20<co00@0
06Ko1P3<o`07001Vo`H0c?l00P00I_l50<co00<006Ko0`3<o`02001Vo`80c?l06000I_l70?ooo`40
00000@3oool000030000003oool0oooo00@0oooo6000I_l30<co00<006Ko00<0c?l0001Vo`00I_l0
1000I_l00`3<o`0006Ko0<co00030<co00<006Ko00<0c?l0001Vo`00I_l00P3<o`02001Vo`040<co
0000I_l0c?l00<co00<006Ko0P3<o`03001Vo`040<co0000I_l006Ko0<co00D006Ko0`3<o`000`00
I_l0c?l00<co00030<co0003001Vo`3<o`0006Ko00<006Ko0`3<o`03001Vo`030<co0000I_l0c?l0
0080c?l01P00I_l00`3<o`0006Ko001Vo`02001Vo`040<co0000I_l006Ko0<co00@006Ko00@0c?l0
001Vo`00I_l0c?l00`00I_l30<co00@006Ko0P3<o`03001Vo`030<co0000I_l006Ko00@0c?l000<0
06Ko0<co003<o`00103<o`02001Vo`<0c?l000@006Ko0<co003<o`00c?l01000I_l00`3<o`0006Ko
001Vo`040<co0003001Vo`3<o`00c?l000@0c?l00P00I_l30<co00@006Ko00@0c?l0001Vo`00I_l0
c?l01000I_l20<co0005001Vo`3<o`0006Ko001Vo`3<o`000`00I_l20<co00@006Ko1P3<o`07001V
o`H0c?l00P00I_l50<co00<006Ko0`3<o`02001Vo`80c?l06000I_l70?ooo`4000000@3oool00003
0000003oool0oooo00@0oooo6P00I_l20<co008006Ko1@3<o`02001Vo`80c?l00`00I_l40<co00@0
06Ko00<0c?l0001Vo`00I_l00P3<o`06001Vo`<0c?l000@006Ko0<co003<o`00c?l02000I_l20<co
00<006Ko0`3<o`07001Vo`@0c?l01000I_l50<co008006Ko103<o`001000I_l0c?l0001Vo`00I_l4
0<co0004001Vo`3<o`0006Ko001Vo`80c?l00P00I_l00`3<o`0006Ko001Vo`05001Vo`<0c?l000@0
06Ko0<co003<o`00c?l00P00I_l20<co0003001Vo`3<o`00c?l0008006Ko0`3<o`000`00I_l0c?l0
0<co0004001Vo`@0c?l000@006Ko0<co003<o`00c?l00`00I_l20<co00<006Ko00<0c?l0001Vo`00
I_l01000I_l40<co0004001Vo`3<o`0006Ko001Vo`@0c?l000@006Ko0<co003<o`0006Ko0`3<o`05
001Vo`D0c?l00`00I_l20<co00T006Ko00@0c?l0001Vo`00I_l006Ko0`3<o`02001Vo`80c?l01@00
I_l40<co01X006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?oooa/006Ko0`3<o`02
001Vo`80c?l01000I_l40<co00<006Ko1@3<o`04001Vo`H0c?l000<006Ko0<co0000I_l00`00I_l8
0<co008006Ko00<0c?l0001Vo`00I_l01000I_l80<co008006Ko103<o`02001Vo`040<co0000I_l0
06Ko001Vo`<0c?l00P00I_l20<co0004001Vo`3<o`00c?l00<co008006Ko0`3<o`04001Vo`030<co
0000I_l006Ko00L0c?l000<006Ko0<co0000I_l00`00I_l30<co0004001Vo`3<o`00c?l00<co00H0
06Ko00<0c?l0001Vo`3<o`001@3<o`02001Vo`80c?l000<006Ko0<co0000I_l01@00I_l30<co0003
001Vo`3<o`00c?l000D0c?l00P00I_l20<co0004001Vo`3<o`00c?l00<co00<006Ko0P3<o`04001V
o`H0c?l000<006Ko0<co0000I_l00P00I_l30<co0003001Vo`3<o`00c?l000T0c?l01@00I_l40<co
00T006Ko00<0c?l0001Vo`00I_l06@00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0
oooo7000I_l30<co0003001Vo`3<o`00c?l000@0c?l00`00I_l20<co008006Ko00@0c?l0001Vo`00
I_l006Ko103<o`000`00I_l0c?l0001Vo`02001Vo`80c?l000<006Ko0<co003<o`000`3<o`03001V
o`050<co0000I_l006Ko001Vo`3<o`000P00I_l70<co008006Ko0P3<o`02001Vo`@0c?l00`00I_l3
0<co00D006Ko0`3<o`001@00I_l0c?l00<co0000I_l0c?l000H006Ko1@3<o`04001Vo`80c?l00P00
I_l20<co0003001Vo`3<o`00c?l00080c?l000<006Ko0<co003<o`001000I_l50<co008006Ko00@0
c?l0001Vo`3<o`00c?l00P00I_l30<co0004001Vo`3<o`00c?l0001Vo`H0c?l000<006Ko0<co0000
I_l00`00I_l20<co008006Ko0`3<o`001@00I_l0c?l00<co0000I_l0c?l000H006Ko103<o`000`00
I_l0c?l00<co0002001Vo`80c?l000H006Ko0<co003<o`00c?l0001Vo`3<o`05001Vo`050<co0000
I_l006Ko001Vo`3<o`000`00I_l60<co00<006Ko2P3<o`0L001Vo`L0oooo0@0000010?ooo`0000<0
00000?ooo`3oool0103ooolL001Vo`<0c?l000<006Ko0<co003<o`00103<o`03001Vo`80c?l00P00
I_l0103<o`0006Ko001Vo`00I_l40<co0003001Vo`3<o`0006Ko008006Ko0P3<o`000`00I_l0c?l0
0<co00030<co00<006Ko00D0c?l0001Vo`00I_l006Ko0<co0002001Vo`L0c?l00P00I_l20<co0080
06Ko103<o`03001Vo`<0c?l01@00I_l30<co0005001Vo`3<o`00c?l0001Vo`3<o`001P00I_l50<co
00@006Ko0P3<o`02001Vo`80c?l000<006Ko0<co003<o`000P3<o`000`00I_l0c?l00<co0004001V
o`D0c?l00P00I_l0103<o`0006Ko0<co003<o`02001Vo`<0c?l000@006Ko0<co003<o`0006Ko1P3<
o`000`00I_l0c?l0001Vo`03001Vo`80c?l00P00I_l30<co0005001Vo`3<o`00c?l0001Vo`3<o`00
1P00I_l40<co0003001Vo`3<o`00c?l0008006Ko0P3<o`001P00I_l0c?l00<co003<o`0006Ko0<co
00D006Ko00D0c?l0001Vo`00I_l006Ko0<co0003001Vo`H0c?l00`00I_l:0<co01`006Ko1`3oool1
00000040oooo00000`000000oooo0?ooo`040?oooah006Ko0P3<o`03001Vo`80c?l01@00I_l00`3<
o`0006Ko001Vo`040<co008006Ko0P3<o`001@00I_l0c?l00<co003<o`0006Ko0080c?l000<006Ko
0<co0000I_l00P00I_l30<co0003001Vo`3<o`00c?l00080c?l01000I_l0103<o`0006Ko001Vo`00
I_l30<co0003001Vo`3<o`00c?l00080c?l00`00I_l30<co0003001Vo`3<o`0006Ko00P006Ko00D0
c?l0001Vo`3<o`00c?l0001Vo`050<co008006Ko00@0c?l0001Vo`00I_l006Ko103<o`001@00I_l0
c?l00<co003<o`0006Ko00<0c?l00`00I_l00`3<o`0006Ko0<co00030<co008006Ko00D0c?l0001V
o`00I_l006Ko0<co0002001Vo`80c?l01P00I_l01P3<o`0006Ko0<co003<o`0006Ko0<co00<006Ko
0P3<o`000`00I_l0c?l00<co00030<co00H006Ko00D0c?l0001Vo`3<o`00c?l0001Vo`070<co00<0
06Ko00<0c?l0001Vo`3<o`000`3<o`04001Vo`80c?l000<006Ko0<co003<o`000P3<o`02001Vo`@0
c?l01@00I_l0103<o`0006Ko001Vo`00I_l40<co00<006Ko00D0c?l0001Vo`00I_l006Ko0<co000N
001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooolO001Vo`<0c?l000<006Ko0<co
003<o`00103<o`001000I_l0c?l00<co003<o`02001Vo`@0c?l01000I_l20<co0004001Vo`3<o`00
c?l00<co00D006Ko0`3<o`03001Vo`@0c?l000D006Ko0<co003<o`00c?l0001Vo`020<co00@006Ko
00<0c?l0001Vo`00I_l00`00I_l20<co0003001Vo`3<o`00c?l000H0c?l00P00I_l01P3<o`0006Ko
0<co003<o`0006Ko0<co00<006Ko00<0c?l0001Vo`00I_l0103<o`02001Vo`80c?l000<006Ko0<co
003<o`001000I_l20<co008006Ko0P3<o`03001Vo`030<co0000I_l006Ko00@0c?l01000I_l50<co
008006Ko00D0c?l0001Vo`3<o`00c?l0001Vo`030<co0005001Vo`3<o`00c?l0001Vo`3<o`000`00
I_l50<co008006Ko0P3<o`04001Vo`80c?l00`00I_l20<co008006Ko0P3<o`03001Vo`@0c?l000@0
06Ko0<co003<o`00c?l00`00I_l30<co008006Ko1P3<o`000`00I_l0c?l00<co00020<co00<006Ko
0P3<o`02001Vo`@0c?l07`00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo7`00
I_l30<co0003001Vo`3<o`00c?l000@0c?l000@006Ko0<co003<o`00c?l00P00I_l40<co00@006Ko
0P3<o`001000I_l0c?l00<co003<o`05001Vo`<0c?l00`00I_l40<co0005001Vo`3<o`00c?l00<co
0000I_l00P3<o`04001Vo`030<co0000I_l006Ko00<006Ko0P3<o`000`00I_l0c?l00<co00060<co
008006Ko00H0c?l0001Vo`3<o`00c?l0001Vo`3<o`03001Vo`030<co0000I_l006Ko00@0c?l00P00
I_l20<co0003001Vo`3<o`00c?l000@006Ko0P3<o`02001Vo`80c?l00`00I_l00`3<o`0006Ko001V
o`040<co00@006Ko1@3<o`02001Vo`050<co0000I_l0c?l00<co0000I_l00`3<o`001@00I_l0c?l0
0<co0000I_l0c?l000<006Ko1@3<o`02001Vo`80c?l01000I_l20<co00<006Ko0P3<o`02001Vo`80
c?l00`00I_l40<co0004001Vo`3<o`00c?l00<co00<006Ko0`3<o`02001Vo`H0c?l000<006Ko0<co
003<o`000P3<o`03001Vo`80c?l00P00I_l40<co01l006Ko1`3oool100000040oooo00000`000000
oooo0?ooo`040?ooob0006Ko0`3<o`03001Vo`030<co0000I_l006Ko008006Ko103<o`03001Vo`D0
c?l01@00I_l50<co0003001Vo`3<o`00c?l000D006Ko00<0c?l0001Vo`00I_l00P00I_l20<co0003
001Vo`3<o`00c?l00080c?l00P00I_l50<co0004001Vo`3<o`00c?l00<co00<006Ko00D0c?l0001V
o`00I_l006Ko0<co0002001Vo`050<co0000I_l0c?l00<co0000I_l00`3<o`001000I_l0c?l00<co
003<o`02001Vo`<0c?l000@006Ko0<co003<o`0006Ko103<o`02001Vo`030<co0000I_l006Ko0080
06Ko0`3<o`001000I_l0c?l00<co003<o`03001Vo`@0c?l000<006Ko0<co0000I_l00P00I_l00`3<
o`0006Ko001Vo`020<co00@006Ko0P3<o`001000I_l0c?l00<co0000I_l40<co00<006Ko00<0c?l0
001Vo`00I_l00P00I_l40<co0004001Vo`3<o`00c?l00<co008006Ko00<0c?l0001Vo`00I_l00P00
I_l40<co00<006Ko00@0c?l0001Vo`3<o`00c?l01@00I_l30<co0003001Vo`3<o`00c?l0008006Ko
0`3<o`03001Vo`80c?l00P00I_l00`3<o`0006Ko001Vo`02001Vo`80c?l08000I_l70?ooo`400000
0@3oool000030000003oool0oooo00@0oooo8P00I_l30<co0003001Vo`3<o`00c?l000<0c?l00`00
I_l30<co0003001Vo`3<o`0006Ko008006Ko103<o`02001Vo`060<co0000I_l006Ko001Vo`3<o`00
06Ko1P3<o`000`00I_l0c?l00<co00020<co0004001Vo`3<o`00c?l00<co00<006Ko0`3<o`02001V
o`80c?l01000I_l20<co008006Ko0P3<o`02001Vo`030<co0000I_l006Ko0080c?l01000I_l20<co
0003001Vo`3<o`0006Ko00D006Ko00<0c?l0001Vo`3<o`000P3<o`03001Vo`030<co0000I_l006Ko
00@0c?l000<006Ko0<co0000I_l00`00I_l50<co008006Ko0P3<o`000`00I_l0c?l00<co00020<co
00@006Ko103<o`001000I_l0c?l00<co0000I_l30<co00<006Ko103<o`06001Vo`80c?l01000I_l0
0`3<o`0006Ko001Vo`050<co00<006Ko0P3<o`02001Vo`80c?l02@00I_l00`3<o`0006Ko0<co0002
0<co0003001Vo`3<o`00c?l000D006Ko00<0c?l0001Vo`00I_l01@3<o`0R001Vo`L0oooo0@000001
0?ooo`0000<000000?ooo`3oool0103ooolS001Vo`<0c?l00`00I_l00`3<o`0006Ko001Vo`03001V
o`80c?l000<006Ko0<co003<o`000P3<o`03001Vo`030<co0000I_l006Ko0080c?l00P00I_l0103<
o`0006Ko0<co003<o`02001Vo`<0c?l00`00I_l0103<o`0006Ko0<co003<o`05001Vo`<0c?l000<0
06Ko0<co003<o`000P3<o`02001Vo`030<co0000I_l006Ko008006Ko0`3<o`04001Vo`@0c?l000@0
06Ko0<co003<o`0006Ko1`3<o`04001Vo`<0c?l000@006Ko0<co003<o`00c?l00P00I_l20<co0003
001Vo`3<o`00c?l000<0c?l00`00I_l30<co0004001Vo`3<o`00c?l00<co00<006Ko1@3<o`03001V
o`80c?l01@00I_l40<co008006Ko1`3<o`000`00I_l0c?l00<co00020<co008006Ko00@0c?l0001V
o`00I_l0c?l00`00I_l20<co008006Ko00<0c?l0001Vo`00I_l00P00I_l:0<co00@006Ko00<0c?l0
001Vo`3<o`001@3<o`001000I_l0c?l00<co003<o`02001Vo`80c?l08`00I_l70?ooo`4000000@3o
ool000030000003oool0oooo00@0oooo8`00I_l30<co00<006Ko00<0c?l0001Vo`00I_l00`00I_l2
0<co0003001Vo`3<o`00c?l00080c?l00`00I_l00`3<o`0006Ko001Vo`020<co008006Ko00@0c?l0
001Vo`3<o`00c?l00P00I_l30<co00<006Ko00@0c?l0001Vo`3<o`00c?l01@00I_l30<co0003001V
o`3<o`00c?l00080c?l00P00I_l00`3<o`0006Ko001Vo`02001Vo`<0c?l01000I_l40<co0004001V
o`3<o`00c?l0001Vo`L0c?l01000I_l30<co0004001Vo`3<o`00c?l00<co008006Ko0P3<o`000`00
I_l0c?l00<co00030<co00<006Ko0`3<o`001000I_l0c?l00<co003<o`03001Vo`D0c?l00`00I_l2
0<co00D006Ko103<o`02001Vo`L0c?l000<006Ko0<co003<o`000P3<o`02001Vo`040<co0000I_l0
06Ko0<co00<006Ko0P3<o`02001Vo`030<co0000I_l006Ko008006Ko2P3<o`04001Vo`030<co0000
I_l0c?l000D0c?l000@006Ko0<co003<o`00c?l00P00I_l20<co02<006Ko1`3oool100000040oooo
00000`000000oooo0?ooo`040?ooobD006Ko0P3<o`02001Vo`D0c?l000@006Ko0<co003<o`00c?l0
0`00I_l40<co00@006Ko00<0c?l0001Vo`00I_l00P3<o`06001Vo`80c?l00P00I_l20<co00T006Ko
0P3<o`03001Vo`<0c?l01P00I_l60<co00<006Ko0P3<o`04001Vo`80c?l00P00I_l40<co008006Ko
00<0c?l0001Vo`00I_l00P00I_l30<co0005001Vo`3<o`00c?l0001Vo`3<o`000`00I_l30<co0003
001Vo`3<o`00c?l000@006Ko0P3<o`02001Vo`040<co0000I_l006Ko001Vo`80c?l00P00I_l00`3<
o`0006Ko001Vo`05001Vo`030<co0000I_l006Ko00@006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`03
001Vo`030<co0000I_l006Ko00<0c?l01@00I_l00`3<o`0006Ko001Vo`040<co0003001Vo`3<o`00
06Ko008006Ko00@0c?l0001Vo`00I_l006Ko103<o`02001Vo`80c?l00`00I_l00`3<o`0006Ko001V
o`02001Vo`@0c?l09@00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo9P00I_l3
0<co008006Ko0P3<o`04001Vo`@0c?l00P00I_l60<co00@006Ko1@3<o`02001Vo`030<co0000I_l0
06Ko008006Ko203<o`02001Vo`030<co0000I_l006Ko00<006Ko203<o`03001Vo`80c?l01@00I_l4
0<co0003001Vo`3<o`00c?l00080c?l00`00I_l30<co00L006Ko00<0c?l0001Vo`3<o`000P3<o`05
001Vo`<0c?l01`00I_l30<co00D006Ko00<0c?l0001Vo`00I_l01`3<o`000`00I_l0c?l00<co0005
0<co00D006Ko103<o`04001Vo`H0c?l000@006Ko0<co003<o`00c?l00P00I_l20<co0003001Vo`3<
o`00c?l00080c?l01P00I_l00`3<o`0006Ko001Vo`02001Vo`@0c?l01`00I_l00`3<o`0006Ko001V
o`0T001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooolW001Vo`<0c?l000<006Ko
0<co003<o`00103<o`02001Vo`<0c?l000<006Ko0<co003<o`000`00I_l40<co0003001Vo`3<o`00
06Ko008006Ko00<0c?l0001Vo`00I_l01@3<o`03001Vo`050<co0000I_l006Ko001Vo`3<o`000P00
I_l60<co00<006Ko00@0c?l0001Vo`00I_l006Ko103<o`08001Vo`80c?l01000I_l00`3<o`0006Ko
001Vo`03001Vo`T0c?l01000I_l50<co0003001Vo`3<o`00c?l000T006Ko1P3<o`001@00I_l0c?l0
001Vo`00I_l0c?l000<006Ko00<0c?l0001Vo`00I_l00P00I_l20<co008006Ko1`3<o`03001Vo`D0
c?l00`00I_l00`3<o`0006Ko001Vo`02001Vo`<0c?l000@006Ko0<co003<o`00c?l00`00I_l50<co
008006Ko1@3<o`03001Vo`P0c?l09`00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0
oooo9`00I_l30<co0003001Vo`3<o`00c?l000@0c?l00P00I_l30<co0003001Vo`3<o`00c?l000<0
06Ko103<o`000`00I_l0c?l0001Vo`02001Vo`030<co0000I_l006Ko00D0c?l00`00I_l01@3<o`00
06Ko001Vo`00I_l0c?l0008006Ko1P3<o`03001Vo`040<co0000I_l006Ko001Vo`@0c?l02000I_l2
0<co00@006Ko00<0c?l0001Vo`00I_l00`00I_l90<co00@006Ko1@3<o`000`00I_l0c?l00<co0009
001Vo`H0c?l000D006Ko0<co0000I_l006Ko0<co0003001Vo`030<co0000I_l006Ko008006Ko0P3<
o`02001Vo`L0c?l00`00I_l50<co00<006Ko00<0c?l0001Vo`00I_l00P00I_l30<co0004001Vo`3<
o`00c?l00<co00<006Ko1@3<o`02001Vo`D0c?l00`00I_l80<co02L006Ko1`3oool100000040oooo
00000`000000oooo0?ooo`040?ooobT006Ko0P3<o`03001Vo`030<co0000I_l006Ko00@006Ko00<0
c?l0001Vo`3<o`00103<o`02001Vo`80c?l000H006Ko0<co003<o`00c?l0001Vo`3<o`02001Vo`04
0<co0000I_l006Ko001Vo`80c?l00P00I_l40<co00@006Ko00@0c?l0001Vo`00I_l006Ko0`3<o`00
0`00I_l0c?l00<co00020<co00<006Ko203<o`000`00I_l0c?l00<co00020<co008006Ko1P3<o`03
001Vo`80c?l00P00I_l40<co008006Ko00H0c?l0001Vo`00I_l006Ko0<co0000I_l:0<co0003001V
o`3<o`00c?l0008006Ko0P3<o`001000I_l0c?l0001Vo`00I_l20<co008006Ko1@3<o`06001Vo`04
0<co0000I_l006Ko001Vo`80c?l00P00I_l0103<o`0006Ko001Vo`00I_l30<co0003001Vo`3<o`00
c?l00080c?l000<006Ko0<co003<o`001000I_l20<co008006Ko00@0c?l0001Vo`00I_l006Ko0`3<
o`02001Vo`80c?l01@00I_l01@3<o`0006Ko001Vo`00I_l0c?l002T006Ko1`3oool100000040oooo
00000`000000oooo0?ooo`040?ooobX006Ko0`3<o`000`00I_l0c?l00<co00030<co008006Ko0P3<
o`03001Vo`@0c?l01000I_l20<co0004001Vo`3<o`00c?l00<co00D006Ko0`3<o`03001Vo`@0c?l0
00H006Ko0<co003<o`00c?l0001Vo`3<o`04001Vo`80c?l01@00I_l20<co008006Ko0P3<o`04001V
o`030<co0000I_l006Ko008006Ko00@0c?l0001Vo`00I_l006Ko0`3<o`000`00I_l0c?l00<co0002
0<co00<006Ko00<0c?l0001Vo`00I_l00P3<o`02001Vo`040<co0000I_l0c?l00<co00<006Ko00H0
c?l0001Vo`00I_l006Ko0<co0000I_l30<co0004001Vo`3<o`00c?l00<co00@006Ko00@0c?l0001V
o`00I_l0c?l00`00I_l70<co00D006Ko0`3<o`05001Vo`<0c?l00`00I_l20<co00L006Ko0`3<o`05
001Vo`<0c?l000<006Ko0<co003<o`00103<o`000`00I_l0c?l00<co00020<co02X006Ko1`3oool1
00000040oooo00000`000000oooo0?ooo`040?ooob/006Ko0`3<o`03001Vo`030<co0000I_l006Ko
008006Ko103<o`03001Vo`D0c?l01000I_l60<co0003001Vo`3<o`0006Ko00D006Ko00<0c?l0001V
o`00I_l00P00I_l20<co0003001Vo`3<o`00c?l00080c?l000<006Ko0<co003<o`00103<o`001@00
I_l0c?l00<co003<o`0006Ko00@0c?l00P00I_l50<co00D006Ko0`3<o`03001Vo`@0c?l01000I_l0
1@3<o`0006Ko001Vo`3<o`0006Ko00<0c?l00P00I_l20<co008006Ko00@0c?l0001Vo`3<o`00c?l0
1000I_l40<co0004001Vo`3<o`0006Ko001Vo`<0c?l000<006Ko0<co0000I_l00P00I_l00`3<o`00
06Ko001Vo`06001Vo`H0c?l000<006Ko0<co003<o`001@00I_l70<co0003001Vo`3<o`0006Ko00P0
06Ko0P3<o`03001Vo`030<co0000I_l006Ko008006Ko0P3<o`0[001Vo`L0oooo0@0000010?ooo`00
00<000000?ooo`3oool0103oool[001Vo`<0c?l00`00I_l00`3<o`0006Ko001Vo`02001Vo`@0c?l0
0`00I_l50<co00@006Ko1P3<o`000`00I_l0c?l0001Vo`05001Vo`030<co0000I_l006Ko008006Ko
0P3<o`000`00I_l0c?l00<co00020<co0003001Vo`3<o`00c?l000@0c?l000D006Ko0<co003<o`00
c?l0001Vo`040<co008006Ko1@3<o`05001Vo`<0c?l00`00I_l40<co00@006Ko00D0c?l0001Vo`00
I_l0c?l0001Vo`030<co008006Ko0P3<o`02001Vo`040<co0000I_l0c?l00<co00@006Ko103<o`00
1000I_l0c?l0001Vo`00I_l30<co0003001Vo`3<o`0006Ko008006Ko00<0c?l0001Vo`00I_l01P00
I_l60<co0003001Vo`3<o`00c?l000D006Ko1`3<o`000`00I_l0c?l0001Vo`08001Vo`80c?l00`00
I_l00`3<o`0006Ko001Vo`02001Vo`80c?l0:`00I_l70?ooo`4000000@3oool000030000003oool0
oooo00@0oooo;@00I_l20<co008006Ko1@3<o`03001Vo`<0c?l000<006Ko0<co0000I_l00P00I_l4
0<co0003001Vo`3<o`00c?l0008006Ko0P3<o`000`00I_l0c?l00<co00040<co0003001Vo`3<o`00
c?l00080c?l000@006Ko0<co003<o`00c?l00`00I_l20<co00<006Ko00<0c?l0001Vo`00I_l00`00
I_l20<co00<006Ko0`3<o`02001Vo`80c?l02000I_l40<co00<006Ko103<o`001P00I_l0c?l0001V
o`00I_l0c?l0001Vo`80c?l01000I_l01@3<o`0006Ko001Vo`3<o`0006Ko00H0c?l00P00I_l30<co
00@006Ko0P3<o`001@00I_l0c?l00<co003<o`0006Ko00P0c?l000<006Ko0<co003<o`000P00I_l3
0<co00P006Ko0P3<o`02001Vo`<0c?l02`00I_l30<co0003001Vo`3<o`00c?l000<0c?l0;@00I_l7
0?ooo`4000000@3oool000030000003oool0oooo00@0oooo;P00I_l30<co008006Ko0P3<o`05001V
o`80c?l000<006Ko0<co003<o`000P3<o`03001Vo`030<co0000I_l0c?l00080c?l000D006Ko0<co
003<o`0006Ko0<co0003001Vo`<0c?l00`00I_l0103<o`0006Ko0<co003<o`05001Vo`<0c?l000<0
06Ko0<co003<o`000P3<o`02001Vo`030<co0000I_l006Ko00<006Ko0`3<o`000`00I_l0c?l00<co
00080<co00<006Ko103<o`02001Vo`80c?l000H006Ko0<co0000I_l006Ko0<co0000I_l50<co0004
001Vo`3<o`0006Ko001Vo`80c?l00`00I_l00`3<o`0006Ko001Vo`04001Vo`D0c?l01000I_l30<co
00<006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`06001Vo`P0c?l000D006Ko0<co003<o`00c?l0001V
o`020<co00d006Ko0`3<o`03001Vo`030<co0000I_l006Ko02`006Ko1`3oool100000040oooo0000
0`000000oooo0?ooo`040?ooobl006Ko0`3<o`000`00I_l0c?l00<co00040<co0004001Vo`3<o`00
c?l00<co00<006Ko103<o`04001Vo`030<co0000I_l0c?l00080c?l01P00I_l20<co008006Ko0P3<
o`08001Vo`<0c?l00`00I_l30<co00P006Ko00@0c?l0001Vo`3<o`00c?l00P00I_l20<co008006Ko
1@3<o`02001Vo`<0c?l000D006Ko0<co003<o`0006Ko0<co0002001Vo`80c?l00`00I_l30<co00@0
06Ko0`3<o`000`00I_l0c?l00<co00050<co008006Ko0P3<o`07001Vo`80c?l00P00I_l20<co0080
06Ko00<0c?l0001Vo`00I_l01P00I_l20<co008006Ko0P3<o`04001Vo`80c?l04@00I_l40<co02l0
06Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?ooobl006Ko0`3<o`000`00I_l0c?l0
0<co00040<co0004001Vo`3<o`00c?l00<co00<006Ko103<o`04001Vo`030<co0000I_l0c?l00080
c?l01P00I_l20<co008006Ko0P3<o`08001Vo`<0c?l00`00I_l30<co00P006Ko00@0c?l0001Vo`3<
o`00c?l00P00I_l20<co008006Ko1@3<o`02001Vo`<0c?l000D006Ko0<co003<o`0006Ko0<co0002
001Vo`80c?l00`00I_l30<co00@006Ko0`3<o`000`00I_l0c?l00<co00050<co008006Ko0P3<o`07
001Vo`80c?l00P00I_l20<co008006Ko00<0c?l0001Vo`00I_l01P00I_l20<co008006Ko0P3<o`04
001Vo`80c?l04@00I_l40<co02l006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?oo
oc4006Ko0P3<o`03001Vo`030<co0000I_l006Ko00<006Ko103<o`02001Vo`H0c?l01000I_l50<co
008006Ko00<0c?l0001Vo`00I_l00P00I_l80<co0003001Vo`3<o`00c?l000D006Ko203<o`02001V
o`030<co0000I_l0c?l000<0c?l01P00I_l00`3<o`0006Ko001Vo`04001Vo`060<co0000I_l0c?l0
0<co0000I_l0c?l00P00I_l00`3<o`0006Ko001Vo`04001Vo`@0c?l000<006Ko0<co0000I_l00`00
I_l20<co008006Ko0`3<o`000`00I_l0c?l00<co00050<co008006Ko00<0c?l0001Vo`00I_l00P00
I_l00`3<o`0006Ko001Vo`080<co0005001Vo`3<o`00c?l00<co0000I_l0103<o`02001Vo`030<co
0000I_l006Ko014006Ko00<0c?l0001Vo`00I_l0;`00I_l70?ooo`4000000@3oool000030000003o
ool0oooo00@0oooo<P00I_l30<co0003001Vo`3<o`00c?l000@0c?l00P00I_l30<co0003001Vo`3<
o`00c?l0008006Ko103<o`02001Vo`050<co0000I_l006Ko001Vo`3<o`000P00I_l50<co00<006Ko
00H0c?l0001Vo`00I_l006Ko0<co0000I_l70<co00<006Ko00D0c?l0001Vo`00I_l006Ko0<co0002
001Vo`80c?l00`00I_l50<co008006Ko1@3<o`02001Vo`060<co0000I_l0c?l00<co0000I_l0c?l0
0P00I_l70<co008006Ko0P3<o`000`00I_l0c?l00<co00020<co0005001Vo`3<o`00c?l00<co0000
I_l00P3<o`04001Vo`050<co0000I_l006Ko001Vo`3<o`000P00I_l50<co00@006Ko00D0c?l0001V
o`00I_l006Ko0<co0005001Vo`80c?l00`00I_l00`3<o`0006Ko001Vo`0D0<co038006Ko1`3oool1
00000040oooo00000`000000oooo0?ooo`040?oooc8006Ko0`3<o`000`00I_l0c?l00<co00040<co
008006Ko0`3<o`000`00I_l0c?l00<co0002001Vo`@0c?l00P00I_l01@3<o`0006Ko001Vo`00I_l0
c?l0008006Ko1@3<o`03001Vo`060<co0000I_l006Ko001Vo`3<o`0006Ko1`3<o`03001Vo`050<co
0000I_l006Ko001Vo`3<o`000P00I_l20<co00<006Ko1@3<o`02001Vo`D0c?l00P00I_l01P3<o`00
06Ko0<co003<o`0006Ko0<co008006Ko1`3<o`02001Vo`80c?l000<006Ko0<co003<o`000P3<o`00
1@00I_l0c?l00<co003<o`0006Ko0080c?l01000I_l01@3<o`0006Ko001Vo`00I_l0c?l0008006Ko
1@3<o`04001Vo`050<co0000I_l006Ko001Vo`3<o`001@00I_l20<co00<006Ko00<0c?l0001Vo`00
I_l0503<o`0b001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooolc001Vo`<0c?l0
0`00I_l00`3<o`0006Ko001Vo`04001Vo`030<co0000I_l0c?l000<0c?l00`00I_l00`3<o`0006Ko
001Vo`020<co008006Ko00@0c?l0001Vo`00I_l0c?l00`00I_l20<co008006Ko103<o`04001Vo`04
0<co0000I_l006Ko001Vo`<0c?l000<006Ko0<co003<o`000P3<o`04001Vo`<0c?l000<006Ko0<co
0000I_l00P00I_l0103<o`0006Ko001Vo`3<o`03001Vo`050<co0000I_l006Ko0<co0000I_l00`3<
o`04001Vo`040<co0000I_l006Ko001Vo`@0c?l01000I_l20<co00@006Ko00<0c?l0001Vo`3<o`00
0`3<o`02001Vo`<0c?l000D006Ko0<co0000I_l006Ko0<co0003001Vo`@0c?l000<006Ko0<co003<
o`000P3<o`07001Vo`@0c?l01000I_l01@3<o`0006Ko001Vo`00I_l0c?l000<006Ko00@0c?l0001V
o`00I_l006Ko0P3<o`02001Vo`80c?l0<`00I_l70?ooo`4000000@3oool000030000003oool0oooo
00@0oooo=@00I_l20<co008006Ko1@3<o`02001Vo`80c?l00`00I_l40<co00@006Ko00<0c?l0001V
o`00I_l00`3<o`05001Vo`<0c?l00P00I_l40<co008006Ko0P3<o`02001Vo`030<co0000I_l006Ko
008006Ko0P3<o`06001Vo`80c?l000H006Ko0<co003<o`00c?l0001Vo`3<o`02001Vo`<0c?l000@0
06Ko0<co003<o`00c?l01000I_l40<co0003001Vo`3<o`00c?l00080c?l00`00I_l40<co0003001V
o`3<o`00c?l000@0c?l01000I_l00`3<o`0006Ko001Vo`02001Vo`80c?l000@006Ko0<co0000I_l0
06Ko103<o`02001Vo`<0c?l00`00I_l80<co00<006Ko103<o`001@00I_l0c?l00<co003<o`0006Ko
00<0c?l000D006Ko0<co003<o`00c?l0001Vo`040<co03D006Ko1`3oool100000040oooo00000`00
0000oooo0?ooo`040?ooocH006Ko0`3<o`03001Vo`030<co0000I_l006Ko008006Ko103<o`03001V
o`D0c?l01000I_l60<co0003001Vo`3<o`0006Ko00D006Ko00<0c?l0001Vo`00I_l00P00I_l00`3<
o`0006Ko001Vo`040<co0003001Vo`3<o`00c?l000H0c?l01000I_l20<co0005001Vo`3<o`0006Ko
001Vo`3<o`001000I_l60<co008006Ko0`3<o`03001Vo`@0c?l00`00I_l0103<o`0006Ko0<co003<
o`02001Vo`@0c?l00P00I_l40<co0004001Vo`3<o`00c?l00<co00@006Ko00<0c?l0001Vo`00I_l0
1000I_l40<co008006Ko0P3<o`03001Vo`@0c?l00P00I_l20<co0003001Vo`3<o`0006Ko00<006Ko
0P3<o`000`00I_l0c?l0001Vo`04001Vo`030<co0000I_l006Ko03@006Ko1`3oool100000040oooo
00000`000000oooo0?ooo`040?ooocH006Ko0`3<o`03001Vo`030<co0000I_l006Ko008006Ko103<
o`03001Vo`D0c?l01000I_l60<co0003001Vo`3<o`0006Ko00D006Ko00<0c?l0001Vo`00I_l00P00
I_l00`3<o`0006Ko001Vo`040<co0003001Vo`3<o`00c?l000H0c?l01000I_l20<co0005001Vo`3<
o`0006Ko001Vo`3<o`001000I_l60<co008006Ko0`3<o`03001Vo`@0c?l00`00I_l0103<o`0006Ko
0<co003<o`02001Vo`@0c?l00P00I_l40<co0004001Vo`3<o`00c?l00<co00@006Ko00<0c?l0001V
o`00I_l01000I_l40<co008006Ko0P3<o`03001Vo`@0c?l00P00I_l20<co0003001Vo`3<o`0006Ko
00<006Ko0P3<o`000`00I_l0c?l0001Vo`04001Vo`030<co0000I_l006Ko03@006Ko1`3oool10000
0040oooo00000`000000oooo0?ooo`040?ooocL006Ko0`3<o`02001Vo`D0c?l00`00I_l20<co0080
06Ko00@0c?l0001Vo`00I_l006Ko103<o`000`00I_l0c?l00<co0002001Vo`80c?l000<006Ko0<co
003<o`000`3<o`02001Vo`@0c?l000@006Ko0<co003<o`00c?l00`00I_l20<co00<006Ko00@0c?l0
001Vo`00I_l006Ko103<o`001@00I_l0c?l00<co0000I_l0c?l0008006Ko1@3<o`03001Vo`030<co
0000I_l006Ko00@006Ko103<o`03001Vo`80c?l00P00I_l20<co00H006Ko00<0c?l0001Vo`00I_l0
0P00I_l00`3<o`0006Ko001Vo`03001Vo`@0c?l000<006Ko0<co003<o`001@3<o`02001Vo`<0c?l0
00<006Ko0<co003<o`000`3<o`02001Vo`<0c?l000@006Ko0<co003<o`0006Ko103<o`001000I_l0
c?l00<co0000I_l60<co03L006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?ooocT0
06Ko0`3<o`02001Vo`80c?l01@00I_l00`3<o`0006Ko001Vo`040<co008006Ko0P3<o`001@00I_l0
c?l00<co003<o`0006Ko0080c?l000<006Ko0<co0000I_l00P00I_l30<co008006Ko0P3<o`000`00
I_l0c?l0001Vo`05001Vo`<0c?l000<006Ko0<co003<o`000P3<o`03001Vo`060<co0000I_l0c?l0
0<co0000I_l0c?l00P00I_l0103<o`0006Ko001Vo`00I_l30<co0003001Vo`3<o`00c?l000D0c?l0
0P00I_l30<co008006Ko00<0c?l0001Vo`00I_l00P00I_l50<co008006Ko1@3<o`07001Vo`030<co
0000I_l006Ko008006Ko0P3<o`02001Vo`<0c?l000<006Ko0<co003<o`001000I_l00`3<o`0006Ko
001Vo`04001Vo`030<co0000I_l0c?l00080c?l00`00I_l00`3<o`0006Ko0<co00020<co00<006Ko
00<0c?l0001Vo`00I_l0=`00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo>P00
I_l30<co0003001Vo`3<o`00c?l000@0c?l000@006Ko0<co003<o`00c?l00P00I_l40<co00D006Ko
00<0c?l0001Vo`3<o`000P3<o`05001Vo`<0c?l000@006Ko0<co003<o`00c?l02000I_l30<co00<0
06Ko0P3<o`02001Vo`050<co0000I_l0c?l00<co0000I_l00`3<o`05001Vo`80c?l000<006Ko0<co
0000I_l00P00I_l00`3<o`0006Ko001Vo`04001Vo`030<co0000I_l006Ko00@0c?l000<006Ko0<co
0000I_l00P00I_l0103<o`0006Ko001Vo`3<o`03001Vo`L0c?l000<006Ko0<co003<o`000`3<o`06
001Vo`030<co0000I_l0c?l000<0c?l00P00I_l70<co00@006Ko103<o`04001Vo`@0c?l0>P00I_l7
0?ooo`4000000@3oool000030000003oool0oooo00@0oooo>P00I_l30<co0003001Vo`3<o`00c?l0
00@0c?l000@006Ko0<co003<o`00c?l00P00I_l40<co00D006Ko00<0c?l0001Vo`3<o`000P3<o`05
001Vo`<0c?l000@006Ko0<co003<o`00c?l02000I_l30<co00<006Ko0P3<o`02001Vo`050<co0000
I_l0c?l00<co0000I_l00`3<o`05001Vo`80c?l000<006Ko0<co0000I_l00P00I_l00`3<o`0006Ko
001Vo`04001Vo`030<co0000I_l006Ko00@0c?l000<006Ko0<co0000I_l00P00I_l0103<o`0006Ko
001Vo`3<o`03001Vo`L0c?l000<006Ko0<co003<o`000`3<o`06001Vo`030<co0000I_l0c?l000<0
c?l00P00I_l70<co00@006Ko103<o`04001Vo`@0c?l0>P00I_l70?ooo`4000000@3oool000030000
003oool0oooo00@0oooo?000I_l20<co00<006Ko00<0c?l0001Vo`00I_l00P00I_l40<co00<006Ko
1P3<o`04001Vo`D0c?l000<006Ko0<co003<o`001000I_l80<co0003001Vo`3<o`00c?l000D006Ko
00<0c?l0001Vo`00I_l00P3<o`04001Vo`H0c?l000@006Ko0<co003<o`0006Ko0`3<o`000`00I_l0
c?l00<co00030<co008006Ko0`3<o`02001Vo`80c?l000D006Ko0<co003<o`00c?l0001Vo`030<co
00D006Ko00@0c?l0001Vo`00I_l006Ko0P3<o`000`00I_l0c?l0001Vo`02001Vo`D0c?l00P00I_l2
0<co00<006Ko00@0c?l0001Vo`00I_l0c?l00`00I_l00`3<o`0006Ko001Vo`05001Vo`030<co0000
I_l006Ko00D006Ko00<0c?l0001Vo`00I_l0>P00I_l70?ooo`4000000@3oool000030000003oool0
oooo00@0oooo?@00I_l30<co0003001Vo`3<o`00c?l000<0c?l00`00I_l30<co0003001Vo`3<o`00
06Ko008006Ko103<o`02001Vo`060<co0000I_l006Ko001Vo`3<o`0006Ko1P3<o`02001Vo`80c?l0
0`00I_l00`3<o`0006Ko0<co00060<co00@006Ko103<o`000`00I_l0c?l00<co0003001Vo`80c?l0
1000I_l30<co00<006Ko00<0c?l0001Vo`00I_l00P00I_l30<co0005001Vo`3<o`00c?l0001Vo`3<
o`001000I_l60<co0005001Vo`3<o`00c?l00<co0000I_l00P3<o`000`00I_l0c?l00<co00020<co
00<006Ko00<0c?l0001Vo`00I_l00P00I_l30<co0004001Vo`3<o`0006Ko001Vo`<0c?l000<006Ko
0<co003<o`001@3<o`000`00I_l0c?l00<co00060<co03d006Ko1`3oool100000040oooo00000`00
0000oooo0?ooo`040?oooch006Ko0`3<o`03001Vo`030<co0000I_l006Ko00<006Ko0P3<o`000`00
I_l0c?l00<co00020<co00<006Ko00<0c?l0001Vo`00I_l00P3<o`02001Vo`040<co0000I_l0c?l0
0<co008006Ko0`3<o`000`00I_l0c?l00<co00030<co00@006Ko00@0c?l0001Vo`00I_l006Ko1@3<
o`03001Vo`030<co0000I_l0c?l00080c?l00P00I_l00`3<o`0006Ko001Vo`05001Vo`@0c?l01`00
I_l01@3<o`0006Ko0<co003<o`0006Ko00D0c?l00`00I_l00`3<o`0006Ko001Vo`02001Vo`80c?l0
00@006Ko0<co003<o`00c?l00`00I_l40<co00H006Ko0`3<o`04001Vo`80c?l000<006Ko0<co0000
I_l00P00I_l00`3<o`0006Ko001Vo`02001Vo`80c?l00P00I_l20<co03h006Ko1`3oool100000040
oooo00000`000000oooo0?ooo`040?oooch006Ko0`3<o`03001Vo`030<co0000I_l006Ko00<006Ko
0P3<o`000`00I_l0c?l00<co00020<co00<006Ko00<0c?l0001Vo`00I_l00P3<o`02001Vo`040<co
0000I_l0c?l00<co008006Ko0`3<o`000`00I_l0c?l00<co00030<co00@006Ko00@0c?l0001Vo`00
I_l006Ko1@3<o`03001Vo`030<co0000I_l0c?l00080c?l00P00I_l00`3<o`0006Ko001Vo`05001V
o`@0c?l01`00I_l01@3<o`0006Ko0<co003<o`0006Ko00D0c?l00`00I_l00`3<o`0006Ko001Vo`02
001Vo`80c?l000@006Ko0<co003<o`00c?l00`00I_l40<co00H006Ko0`3<o`04001Vo`80c?l000<0
06Ko0<co0000I_l00P00I_l00`3<o`0006Ko001Vo`02001Vo`80c?l00P00I_l20<co03h006Ko1`3o
ool100000040oooo00000`000000oooo0?ooo`040?oood0006Ko0P3<o`02001Vo`D0c?l000@006Ko
0<co003<o`00c?l00`00I_l40<co00@006Ko00<0c?l0001Vo`00I_l00P3<o`06001Vo`80c?l00`00
I_l40<co008006Ko0P3<o`02001Vo`040<co0000I_l006Ko001Vo`@0c?l01000I_l00`3<o`0006Ko
001Vo`080<co008006Ko1`3<o`02001Vo`060<co0000I_l0c?l00<co0000I_l0c?l00`00I_l30<co
0003001Vo`3<o`00c?l00080c?l000@006Ko0<co003<o`0006Ko0P3<o`05001Vo`030<co0000I_l0
06Ko00P006Ko103<o`001000I_l0c?l00<co0000I_l30<co0003001Vo`3<o`00c?l00080c?l000<0
06Ko0<co003<o`000P3<o`10001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooom1
001Vo`<0c?l00P00I_l20<co00@006Ko103<o`03001Vo`D0c?l01000I_l50<co008006Ko00<0c?l0
001Vo`00I_l01000I_l00`3<o`0006Ko001Vo`02001Vo`030<co0000I_l006Ko00@0c?l00P00I_l6
0<co00@006Ko00D0c?l0001Vo`00I_l006Ko0<co0006001Vo`050<co0000I_l006Ko001Vo`3<o`00
0P00I_l00`3<o`0006Ko0<co00020<co00D006Ko0`3<o`03001Vo`050<co0000I_l0c?l00<co0000
I_l01P3<o`000`00I_l0c?l00<co00090<co008006Ko0P3<o`001@00I_l0c?l00<co0000I_l0c?l0
00@006Ko0P3<o`04001Vo`030<co0000I_l006Ko03l006Ko1`3oool100000040oooo00000`000000
oooo0?ooo`040?oood8006Ko0`3<o`000`00I_l0c?l00<co00040<co008006Ko0`3<o`02001Vo`04
0<co0000I_l006Ko001Vo`@0c?l000<006Ko0<co0000I_l00P00I_l00`3<o`0006Ko001Vo`050<co
008006Ko103<o`001000I_l0c?l00<co003<o`02001Vo`<0c?l000<006Ko0<co003<o`000P00I_l5
0<co0005001Vo`3<o`00c?l00<co0000I_l01@3<o`02001Vo`80c?l00P00I_l01@3<o`0006Ko001V
o`3<o`0006Ko0080c?l02000I_l20<co008006Ko00<0c?l0001Vo`3<o`000P3<o`03001Vo`030<co
0000I_l006Ko008006Ko0P3<o`02001Vo`80c?l00P00I_l30<co0004001Vo`3<o`00c?l0001Vo`80
c?l000<006Ko0<co003<o`000P3<o`000`00I_l0c?l00<co00040<co048006Ko1`3oool100000040
oooo00000`000000oooo0?ooo`040?oood8006Ko0`3<o`000`00I_l0c?l00<co00040<co008006Ko
0`3<o`02001Vo`040<co0000I_l006Ko001Vo`@0c?l000<006Ko0<co0000I_l00P00I_l00`3<o`00
06Ko001Vo`050<co008006Ko103<o`001000I_l0c?l00<co003<o`02001Vo`<0c?l000<006Ko0<co
003<o`000P00I_l50<co0005001Vo`3<o`00c?l00<co0000I_l01@3<o`02001Vo`80c?l00P00I_l0
1@3<o`0006Ko001Vo`3<o`0006Ko0080c?l02000I_l20<co008006Ko00<0c?l0001Vo`3<o`000P3<
o`03001Vo`030<co0000I_l006Ko008006Ko0P3<o`02001Vo`80c?l00P00I_l30<co0004001Vo`3<
o`00c?l0001Vo`80c?l000<006Ko0<co003<o`000P3<o`000`00I_l0c?l00<co00040<co048006Ko
1`3oool100000040oooo00000`000000oooo0?ooo`040?oood@006Ko0P3<o`03001Vo`030<co0000
I_l006Ko00@006Ko00<0c?l0001Vo`00I_l0103<o`02001Vo`80c?l000H006Ko0<co003<o`00c?l0
001Vo`3<o`02001Vo`040<co0000I_l006Ko001Vo`<0c?l00P00I_l20<co0003001Vo`3<o`0006Ko
00D006Ko0P3<o`06001Vo`030<co0000I_l006Ko008006Ko0`3<o`03001Vo`030<co0000I_l006Ko
008006Ko00@0c?l0001Vo`00I_l0c?l00P00I_l20<co00/006Ko0`3<o`04001Vo`<0c?l000<006Ko
0<co003<o`000P3<o`000`00I_l0c?l00<co00020<co00H006Ko00D0c?l0001Vo`3<o`00c?l0001V
o`030<co00<006Ko0P3<o`03001Vo`030<co0000I_l006Ko048006Ko1`3oool100000040oooo0000
0`000000oooo0?ooo`040?ooodD006Ko0`3<o`000`00I_l0c?l00<co00030<co008006Ko0`3<o`02
001Vo`@0c?l01000I_l20<co0004001Vo`3<o`00c?l00<co00D006Ko0`3<o`001000I_l0c?l00<co
003<o`08001Vo`L0c?l01`00I_l20<co008006Ko103<o`001000I_l0c?l00<co003<o`04001Vo`/0
c?l000<006Ko0<co0000I_l01P00I_l30<co00<006Ko0P3<o`03001Vo`D0c?l00P00I_l01@3<o`00
06Ko0<co003<o`0006Ko0080c?l01@00I_l40<co04D006Ko1`3oool100000040oooo00000`000000
oooo0?ooo`040?ooodD006Ko0`3<o`000`00I_l0c?l00<co00030<co008006Ko0`3<o`02001Vo`@0
c?l01000I_l20<co0004001Vo`3<o`00c?l00<co00D006Ko0`3<o`001000I_l0c?l00<co003<o`08
001Vo`L0c?l01`00I_l20<co008006Ko103<o`001000I_l0c?l00<co003<o`04001Vo`/0c?l000<0
06Ko0<co0000I_l01P00I_l30<co00<006Ko0P3<o`03001Vo`D0c?l00P00I_l01@3<o`0006Ko0<co
003<o`0006Ko0080c?l01@00I_l40<co04D006Ko1`3oool100000040oooo00000`000000oooo0?oo
o`040?ooodH006Ko0`3<o`03001Vo`030<co0000I_l006Ko008006Ko103<o`03001Vo`D0c?l01000
I_l60<co0003001Vo`3<o`00c?l000@006Ko203<o`000`00I_l0c?l0001Vo`02001Vo`030<co0000
I_l006Ko00P006Ko0`3<o`02001Vo`80c?l000<006Ko0<co0000I_l01P00I_l20<co008006Ko0P3<
o`02001Vo`80c?l000<006Ko0<co003<o`001@3<o`000`00I_l0c?l00<co0005001Vo`<0c?l000<0
06Ko0<co0000I_l00P00I_l01@3<o`0006Ko001Vo`3<o`0006Ko00<0c?l02000I_l20<co04H006Ko
1`3oool100000040oooo00000`000000oooo0?ooo`040?ooodP006Ko0P3<o`02001Vo`D0c?l00`00
I_l30<co0003001Vo`3<o`0006Ko008006Ko103<o`000`00I_l0c?l00<co0002001Vo`80c?l000<0
06Ko0<co003<o`00103<o`02001Vo`80c?l00P00I_l20<co0003001Vo`3<o`00c?l00080c?l03000
I_l30<co0004001Vo`3<o`00c?l0001Vo`L0c?l000D006Ko0<co003<o`00c?l0001Vo`040<co00@0
06Ko0P3<o`02001Vo`<0c?l02000I_l20<co0005001Vo`3<o`00c?l00<co0000I_l00`3<o`04001V
o`T0c?l0B000I_l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooB@00I_l30<co0080
06Ko0P3<o`05001Vo`80c?l000<006Ko0<co003<o`000P3<o`03001Vo`030<co0000I_l0c?l00080
c?l000@006Ko0<co003<o`0006Ko0P3<o`02001Vo`<0c?l000<006Ko0<co003<o`000P3<o`04001V
o`80c?l03`00I_l01P3<o`0006Ko0<co003<o`0006Ko0<co00<006Ko0P3<o`04001Vo`80c?l00`00
I_l50<co00H006Ko203<o`001@00I_l0c?l00<co0000I_l0c?l000@006Ko1P3<o`03001Vo`050<co
0000I_l006Ko001Vo`3<o`00B@00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0oooo
B@00I_l30<co008006Ko0P3<o`05001Vo`80c?l000<006Ko0<co003<o`000P3<o`03001Vo`030<co
0000I_l0c?l00080c?l000@006Ko0<co003<o`0006Ko0P3<o`02001Vo`<0c?l000<006Ko0<co003<
o`000P3<o`04001Vo`80c?l03`00I_l01P3<o`0006Ko0<co003<o`0006Ko0<co00<006Ko0P3<o`04
001Vo`80c?l00`00I_l50<co00H006Ko203<o`001@00I_l0c?l00<co0000I_l0c?l000@006Ko1P3<
o`03001Vo`050<co0000I_l006Ko001Vo`3<o`00B@00I_l70?ooo`4000000@3oool000030000003o
ool0oooo00@0ooooBP00I_l30<co0003001Vo`3<o`00c?l000@0c?l000@006Ko0<co003<o`00c?l0
0`00I_l40<co00@006Ko00<0c?l0001Vo`3<o`000P3<o`06001Vo`80c?l00`00I_l40<co0003001V
o`3<o`00c?l000d0c?l00P00I_l01@3<o`0006Ko0<co003<o`0006Ko00@0c?l01`00I_l30<co0003
001Vo`3<o`0006Ko008006Ko1`3<o`03001Vo`060<co0000I_l006Ko001Vo`3<o`0006Ko0P3<o`00
0`00I_l0c?l00<co00020<co0003001Vo`3<o`00c?l0008006Ko0`3<o`02001Vo`@0c?l0BP00I_l7
0?ooo`4000000@3oool000030000003oool0oooo00@0ooooC000I_l20<co00<006Ko0P3<o`04001V
o`@0c?l00P00I_l60<co00@006Ko1@3<o`02001Vo`030<co0000I_l006Ko00<006Ko0P3<o`04001V
o`050<co0000I_l006Ko001Vo`3<o`000`00I_l01@3<o`0006Ko001Vo`00I_l0c?l0008006Ko0P3<
o`04001Vo`80c?l02@00I_l30<co00D006Ko0P3<o`02001Vo`<0c?l00P00I_l20<co008006Ko00<0
c?l0001Vo`3<o`000P3<o`03001Vo`030<co0000I_l0c?l00080c?l000<006Ko0<co003<o`001000
I_l00`3<o`0006Ko001Vo`1:001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooom=
001Vo`<0c?l000<006Ko0<co003<o`00103<o`02001Vo`<0c?l000<006Ko0<co003<o`000P00I_l4
0<co008006Ko00D0c?l0001Vo`00I_l006Ko0<co0002001Vo`D0c?l000<006Ko0<co003<o`000P3<
o`02001Vo`80c?l00P00I_l30<co0003001Vo`3<o`00c?l00080c?l01000I_l50<co00d006Ko1@3<
o`001@00I_l0c?l00<co003<o`0006Ko0080c?l01000I_l30<co00@006Ko103<o`04001Vo`030<co
0000I_l0c?l000D0c?l0C@00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooC@00
I_l30<co0003001Vo`3<o`00c?l000@0c?l00P00I_l30<co0003001Vo`3<o`00c?l0008006Ko103<
o`02001Vo`050<co0000I_l006Ko001Vo`3<o`000P00I_l50<co0003001Vo`3<o`00c?l00080c?l0
0P00I_l20<co008006Ko0`3<o`000`00I_l0c?l00<co00020<co00@006Ko1@3<o`0=001Vo`D0c?l0
00D006Ko0<co003<o`00c?l0001Vo`020<co00@006Ko0`3<o`04001Vo`@0c?l01000I_l00`3<o`00
06Ko0<co00050<co04d006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?ooodh006Ko
0`3<o`03001Vo`030<co0000I_l006Ko00@006Ko00<0c?l0001Vo`3<o`000`3<o`03001Vo`030<co
0000I_l006Ko00<0c?l000D006Ko0<co0000I_l006Ko0<co0003001Vo`80c?l00`00I_l0103<o`00
06Ko001Vo`3<o`04001Vo`<0c?l00`00I_l40<co0003001Vo`3<o`0006Ko008006Ko3P3<o`02001V
o`80c?l01000I_l20<co00L006Ko1P3<o`02001Vo`@0c?l00P00I_l20<co00<006Ko0P3<o`1>001V
o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooom@001Vo`<0c?l000<006Ko0<co003<
o`000`3<o`02001Vo`80c?l00`00I_l40<co00@006Ko0P3<o`001000I_l0c?l00<co003<o`05001V
o`<0c?l000@006Ko0<co003<o`00c?l01`00I_l40<co008006Ko0P3<o`001P00I_l0c?l00<co003<
o`0006Ko0<co00<006Ko0P3<o`02001Vo`80c?l00P00I_l40<co00L006Ko203<o`03001Vo`030<co
0000I_l006Ko00@006Ko00<0c?l0001Vo`00I_l00P00I_l40<co050006Ko1`3oool100000040oooo
00000`000000oooo0?ooo`040?oooe4006Ko0`3<o`03001Vo`030<co0000I_l006Ko008006Ko103<
o`03001Vo`D0c?l01000I_l60<co0003001Vo`3<o`0006Ko00<006Ko2@3<o`02001Vo`@0c?l01000
I_l20<co0005001Vo`3<o`00c?l00<co0000I_l00`3<o`000`00I_l0c?l00<co00020<co00<006Ko
203<o`03001Vo`040<co0000I_l006Ko001Vo`<0c?l000<006Ko0<co003<o`001@3<o`06001Vo`80
c?l0D@00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooD@00I_l30<co00<006Ko
00<0c?l0001Vo`00I_l00P00I_l40<co00<006Ko1@3<o`04001Vo`H0c?l000<006Ko0<co0000I_l0
0`00I_l90<co008006Ko103<o`04001Vo`80c?l000D006Ko0<co003<o`00c?l0001Vo`030<co0003
001Vo`3<o`00c?l00080c?l00`00I_l80<co00<006Ko00@0c?l0001Vo`00I_l006Ko0`3<o`000`00
I_l0c?l00<co00050<co00H006Ko0P3<o`1A001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3o
ool0103ooomC001Vo`80c?l00P00I_l50<co00<006Ko0P3<o`02001Vo`040<co0000I_l006Ko001V
o`@0c?l000<006Ko0<co003<o`000P00I_l20<co0003001Vo`3<o`00c?l000<0c?l00`00I_l0103<
o`0006Ko001Vo`00I_l40<co00<006Ko103<o`001@00I_l0c?l00<co0000I_l0c?l000D006Ko0P3<
o`03001Vo`@0c?l00`00I_l0103<o`0006Ko001Vo`00I_l20<co008006Ko0`3<o`000`00I_l0c?l0
001Vo`03001Vo`80c?l00P00I_l80<co05<006Ko1`3oool100000040oooo00000`000000oooo0?oo
o`040?oooe@006Ko0`3<o`02001Vo`80c?l01@00I_l00`3<o`0006Ko001Vo`040<co00<006Ko00<0
c?l0001Vo`3<o`000P3<o`001@00I_l0c?l00<co0000I_l0c?l000<006Ko0`3<o`000`00I_l0c?l0
0<co00020<co00<006Ko103<o`03001Vo`030<co0000I_l0c?l00080c?l01`00I_l40<co00<006Ko
0P3<o`02001Vo`80c?l00P00I_l00`3<o`0006Ko001Vo`02001Vo`80c?l000<006Ko0<co003<o`00
0`3<o`06001Vo`050<co0000I_l006Ko001Vo`3<o`00E000I_l70?ooo`4000000@3oool000030000
003oool0oooo00@0ooooE@00I_l30<co0003001Vo`3<o`00c?l000@0c?l000@006Ko0<co003<o`00
c?l00P00I_l50<co00@006Ko00<0c?l0001Vo`3<o`000P3<o`05001Vo`<0c?l00`00I_l40<co00<0
06Ko103<o`04001Vo`P0c?l00`00I_l20<co008006Ko00<0c?l0001Vo`00I_l00P00I_l00`3<o`00
06Ko001Vo`040<co0005001Vo`3<o`00c?l0001Vo`3<o`000`00I_l50<co008006Ko103<o`1E001V
o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooomE001Vo`<0c?l000<006Ko0<co003<
o`00103<o`001000I_l0c?l00<co003<o`02001Vo`D0c?l01000I_l00`3<o`0006Ko0<co00020<co
00D006Ko0`3<o`03001Vo`@0c?l00`00I_l40<co00@006Ko203<o`03001Vo`80c?l00P00I_l00`3<
o`0006Ko001Vo`02001Vo`030<co0000I_l006Ko00@0c?l000D006Ko0<co003<o`0006Ko0<co0003
001Vo`D0c?l00P00I_l40<co05D006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?oo
oeL006Ko0P3<o`03001Vo`030<co0000I_l006Ko008006Ko103<o`03001Vo`H0c?l01000I_l50<co
0003001Vo`3<o`00c?l000D006Ko0P3<o`05001Vo`030<co0000I_l006Ko00D006Ko00@0c?l0001V
o`00I_l006Ko0P3<o`05001Vo`030<co0000I_l006Ko00@0c?l000@006Ko0<co003<o`00c?l00P00
I_l20<co0004001Vo`3<o`00c?l0001Vo`@0c?l00`00I_l00`3<o`0006Ko001Vo`02001Vo`030<co
0000I_l006Ko05D006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?oooeP006Ko0`3<
o`000`00I_l0c?l00<co00030<co00<006Ko0`3<o`000`00I_l0c?l00<co0002001Vo`@0c?l00P00
I_l01P3<o`0006Ko001Vo`00I_l0c?l0001Vo`H0c?l000<006Ko0<co003<o`00103<o`000`00I_l0
c?l00<co00050<co0005001Vo`3<o`00c?l00<co0000I_l01`3<o`04001Vo`030<co0000I_l006Ko
008006Ko0`3<o`001000I_l0c?l00<co0000I_l30<co00<006Ko0P3<o`02001Vo`D0c?l0F000I_l7
0?ooo`4000000@3oool000030000003oool0oooo00@0ooooF000I_l30<co0003001Vo`3<o`00c?l0
00<0c?l00`00I_l30<co0003001Vo`3<o`00c?l0008006Ko103<o`02001Vo`060<co0000I_l006Ko
001Vo`3<o`0006Ko1P3<o`000`00I_l0c?l00<co00040<co0003001Vo`3<o`00c?l000D0c?l000D0
06Ko0<co003<o`00c?l0001Vo`070<co00@006Ko00<0c?l0001Vo`00I_l00P00I_l30<co0004001V
o`3<o`00c?l0001Vo`<0c?l00`00I_l20<co008006Ko1@3<o`1H001Vo`L0oooo0@0000010?ooo`00
00<000000?ooo`3oool0103ooomI001Vo`<0c?l00`00I_l00`3<o`0006Ko001Vo`03001Vo`80c?l0
00<006Ko0<co003<o`000P3<o`03001Vo`030<co0000I_l006Ko0080c?l00P00I_l0103<o`0006Ko
0<co003<o`02001Vo`<0c?l00`00I_l00`3<o`0006Ko001Vo`02001Vo`80c?l00P00I_l20<co0003
001Vo`3<o`0006Ko00@006Ko00@0c?l0001Vo`00I_l006Ko1@3<o`07001Vo`050<co0000I_l0c?l0
0<co0000I_l00P3<o`05001Vo`<0c?l00P00I_l20<co05T006Ko1`3oool100000040oooo00000`00
0000oooo0?ooo`040?oooe/006Ko0P3<o`02001Vo`D0c?l000@006Ko0<co003<o`00c?l00`00I_l4
0<co00@006Ko00<0c?l0001Vo`00I_l00P3<o`06001Vo`<0c?l000<006Ko0<co003<o`000P3<o`00
1@00I_l0c?l00<co003<o`0006Ko0080c?l000<006Ko0<co003<o`000P3<o`02001Vo`80c?l00P00
I_l0103<o`0006Ko001Vo`00I_l60<co008006Ko00<0c?l0001Vo`3<o`000P3<o`08001Vo`@0c?l0
F`00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooG000I_l30<co008006Ko0P3<
o`04001Vo`@0c?l00`00I_l50<co00@006Ko1@3<o`02001Vo`030<co0000I_l006Ko008006Ko0P3<
o`04001Vo`80c?l01000I_l20<co00@006Ko0`3<o`05001Vo`050<co0000I_l006Ko001Vo`3<o`00
0P00I_l0103<o`0006Ko0<co003<o`0;001Vo`030<co0000I_l006Ko05X006Ko1`3oool100000040
oooo00000`000000oooo0?ooo`040?oooe`006Ko0`3<o`02001Vo`80c?l01000I_l40<co00<006Ko
1@3<o`04001Vo`D0c?l00P00I_l00`3<o`0006Ko001Vo`02001Vo`80c?l01000I_l20<co00@006Ko
0P3<o`04001Vo`<0c?l01@00I_l01@3<o`0006Ko001Vo`00I_l0c?l0008006Ko00@0c?l0001Vo`3<
o`00c?l02`00I_l00`3<o`0006Ko001Vo`1J001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3o
ool0103ooomM001Vo`<0c?l000<006Ko0<co003<o`00103<o`03001Vo`80c?l00P00I_l0103<o`00
06Ko001Vo`00I_l40<co0003001Vo`3<o`0006Ko008006Ko00<0c?l0001Vo`00I_l01@3<o`07001V
o`D0c?l01`00I_l60<co0006001Vo`3<o`00c?l00<co0000I_l0c?l00P00I_l00`3<o`0006Ko0<co
000<0<co05d006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?oooel006Ko0P3<o`03
001Vo`030<co0000I_l006Ko00@006Ko00<0c?l0001Vo`00I_l0103<o`02001Vo`80c?l000H006Ko
0<co003<o`00c?l0001Vo`3<o`02001Vo`040<co0000I_l006Ko001Vo`L0c?l000<006Ko0<co0000
I_l00P00I_l80<co00<006Ko00<0c?l0001Vo`00I_l00P00I_l20<co0004001Vo`3<o`00c?l00<co
00@006Ko00D0c?l0001Vo`00I_l006Ko0<co0003001Vo`030<co0000I_l006Ko05d006Ko1`3oool1
00000040oooo00000`000000oooo0?ooo`040?ooof0006Ko0`3<o`000`00I_l0c?l00<co00040<co
0004001Vo`3<o`00c?l00<co008006Ko103<o`04001Vo`80c?l000@006Ko0<co003<o`00c?l01@00
I_l20<co008006Ko0P3<o`000`00I_l0c?l00<co00020<co00<006Ko00@0c?l0001Vo`00I_l006Ko
0`3<o`000`00I_l0c?l00<co00030<co00@006Ko103<o`02001Vo`<0c?l000<006Ko0<co003<o`00
0P3<o`1P001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooomP001Vo`<0c?l000<0
06Ko0<co003<o`00103<o`001000I_l0c?l00<co003<o`02001Vo`@0c?l01000I_l20<co0004001V
o`3<o`00c?l00<co00D006Ko0P3<o`02001Vo`80c?l000<006Ko0<co003<o`000P3<o`03001Vo`04
0<co0000I_l006Ko001Vo`<0c?l000<006Ko0<co003<o`000`3<o`04001Vo`@0c?l00P00I_l30<co
0003001Vo`3<o`00c?l00080c?l0H000I_l70?ooo`4000000@3oool000030000003oool0oooo00@0
ooooH@00I_l30<co00<006Ko00<0c?l0001Vo`00I_l00P00I_l40<co00<006Ko1@3<o`04001Vo`H0
c?l000D006Ko0<co003<o`00c?l0001Vo`030<co00<006Ko103<o`05001Vo`80c?l000<006Ko0<co
0000I_l00P00I_l50<co00<006Ko00@0c?l0001Vo`00I_l0c?l01000I_l20<co064006Ko1`3oool1
00000040oooo00000`000000oooo0?ooo`040?ooof<006Ko0P3<o`02001Vo`D0c?l00`00I_l30<co
0003001Vo`3<o`0006Ko008006Ko103<o`000`00I_l0c?l00<co0003001Vo`040<co0000I_l0c?l0
0<co00@006Ko103<o`02001Vo`H0c?l000@006Ko0<co003<o`0006Ko0`3<o`000`00I_l0c?l0001V
o`02001Vo`<0c?l000@006Ko0<co0000I_l006Ko1@3<o`1S001Vo`L0oooo0@0000010?ooo`0000<0
00000?ooo`3oool0103ooomT001Vo`<0c?l00`00I_l00`3<o`0006Ko001Vo`03001Vo`80c?l000<0
06Ko0<co003<o`000P3<o`03001Vo`030<co0000I_l0c?l00080c?l00P00I_l00`3<o`0006Ko0<co
00050<co008006Ko0`3<o`000`00I_l0c?l00<co0003001Vo`80c?l01000I_l30<co00D006Ko0P3<
o`001000I_l0c?l00<co003<o`03001Vo`030<co0000I_l006Ko068006Ko1`3oool100000040oooo
00000`000000oooo0?ooo`040?ooof@006Ko0`3<o`03001Vo`030<co0000I_l006Ko00<006Ko0P3<
o`000`00I_l0c?l00<co00020<co00<006Ko00<0c?l0001Vo`3<o`000P3<o`02001Vo`030<co0000
I_l0c?l000D0c?l00P00I_l30<co0003001Vo`3<o`00c?l000<006Ko0P3<o`04001Vo`<0c?l01@00
I_l20<co0004001Vo`3<o`00c?l00<co00<006Ko00<0c?l0001Vo`00I_l0HP00I_l70?ooo`400000
0@3oool000030000003oool0oooo00@0ooooI@00I_l30<co008006Ko1@3<o`001000I_l0c?l00<co
003<o`03001Vo`@0c?l01000I_l00`3<o`0006Ko001Vo`020<co00<006Ko00<0c?l0001Vo`00I_l0
1000I_l00`3<o`0006Ko0<co00020<co008006Ko00<0c?l0001Vo`00I_l01@00I_l60<co00@006Ko
1@3<o`1U001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooomW001Vo`<0c?l00P00
I_l20<co00@006Ko103<o`02001Vo`H0c?l01000I_l30<co0003001Vo`3<o`00c?l000D0c?l01000
I_l00`3<o`0006Ko001Vo`060<co008006Ko00D0c?l0001Vo`00I_l006Ko0<co0007001Vo`030<co
0000I_l006Ko06D006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?ooofP006Ko0`3<
o`000`00I_l0c?l00<co00040<co008006Ko0`3<o`000`00I_l0c?l00<co0002001Vo`D0c?l000<0
06Ko0<co0000I_l00`00I_l20<co008006Ko1P3<o`04001Vo`050<co0000I_l006Ko001Vo`3<o`00
0P00I_l20<co008006Ko203<o`1X001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103o
oomX001Vo`<0c?l000<006Ko0<co003<o`00103<o`02001Vo`<0c?l000<006Ko0<co003<o`000P00
I_l50<co0003001Vo`3<o`0006Ko00<006Ko0P3<o`02001Vo`H0c?l01000I_l01@3<o`0006Ko001V
o`00I_l0c?l0008006Ko0P3<o`02001Vo`P0c?l0J000I_l70?ooo`4000000@3oool000030000003o
ool0oooo00@0ooooJP00I_l20<co00<006Ko00<0c?l0001Vo`00I_l01000I_l00`3<o`0006Ko0<co
00030<co00<006Ko0P3<o`000`00I_l0c?l00<co00020<co0005001Vo`3<o`00c?l00<co0000I_l0
0P3<o`02001Vo`D0c?l000H006Ko0<co003<o`00c?l0001Vo`3<o`02001Vo`030<co0000I_l006Ko
008006Ko00D0c?l0001Vo`00I_l006Ko0<co001Z001Vo`L0oooo0@0000010?ooo`0000<000000?oo
o`3oool0103ooom[001Vo`<0c?l000<006Ko0<co003<o`000`3<o`02001Vo`80c?l00`00I_l40<co
00@006Ko0P3<o`04001Vo`80c?l01P00I_l00`3<o`0006Ko001Vo`02001Vo`80c?l000@006Ko0<co
0000I_l006Ko103<o`000`00I_l0c?l00<co00020<co06/006Ko1`3oool100000040oooo00000`00
0000oooo0?ooo`040?ooof/006Ko0`3<o`000`00I_l0c?l00<co00030<co008006Ko0P3<o`03001V
o`@0c?l01000I_l20<co00@006Ko0P3<o`06001Vo`030<co0000I_l006Ko008006Ko0P3<o`001000
I_l0c?l0001Vo`00I_l40<co0003001Vo`3<o`00c?l00080c?l0J`00I_l70?ooo`4000000@3oool0
00030000003oool0oooo00@0ooooK000I_l30<co00<006Ko00<0c?l0001Vo`00I_l00P00I_l40<co
00<006Ko1@3<o`07001Vo`D0c?l00P00I_l40<co0004001Vo`3<o`00c?l00<co00@006Ko00<0c?l0
001Vo`00I_l00P00I_l20<co06`006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?oo
ofh006Ko0P3<o`02001Vo`D0c?l00`00I_l20<co008006Ko00@0c?l0001Vo`00I_l006Ko203<o`03
001Vo`030<co0000I_l006Ko008006Ko0P3<o`04001Vo`@0c?l000<006Ko0<co003<o`000`3<o`1^
001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooom_001Vo`<0c?l00P00I_l20<co
00D006Ko00<0c?l0001Vo`00I_l0103<o`03001Vo`040<co0000I_l006Ko001Vo`80c?l00P00I_l4
0<co0003001Vo`3<o`00c?l000@0c?l00P00I_l30<co00<006Ko00<0c?l0001Vo`00I_l0K@00I_l7
0?ooo`4000000@3oool000030000003oool0oooo00@0ooooK`00I_l30<co008006Ko0P3<o`05001V
o`030<co0000I_l006Ko00@0c?l00`00I_l0103<o`0006Ko001Vo`00I_l20<co008006Ko103<o`00
0`00I_l0c?l00<co00040<co008006Ko0`3<o`03001Vo`030<co0000I_l006Ko06d006Ko1`3oool1
00000040oooo00000`000000oooo0?ooo`040?ooog0006Ko0`3<o`000`00I_l0c?l00<co00040<co
0004001Vo`3<o`00c?l00<co00<006Ko103<o`05001Vo`<0c?l00P00I_l30<co00<006Ko00<0c?l0
001Vo`00I_l01000I_l40<co070006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?oo
og8006Ko0P3<o`03001Vo`030<co0000I_l006Ko008006Ko1@3<o`02001Vo`H0c?l000<006Ko0<co
0000I_l01@00I_l40<co00P006Ko00<0c?l0001Vo`00I_l0L000I_l70?ooo`4000000@3oool00003
0000003oool0oooo00@0ooooL`00I_l30<co0003001Vo`3<o`00c?l000<0c?l00`00I_l30<co0003
001Vo`3<o`00c?l0008006Ko0P3<o`000`00I_l0c?l00<co00050<co00<006Ko2@3<o`1c001Vo`L0
oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooomc001Vo`<0c?l000<006Ko0<co003<o`00
0`3<o`03001Vo`<0c?l000<006Ko0<co003<o`000P00I_l20<co0003001Vo`3<o`00c?l000D0c?l0
0`00I_l90<co07<006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?ooog@006Ko0`3<
o`03001Vo`030<co0000I_l006Ko00@006Ko00<0c?l0001Vo`3<o`000`3<o`04001Vo`80c?l00P00
I_l50<co008006Ko0P3<o`02001Vo`80c?l0M000I_l70?ooo`4000000@3oool000030000003oool0
oooo00@0ooooMP00I_l20<co008006Ko1@3<o`02001Vo`80c?l00`00I_l40<co0003001Vo`3<o`00
c?l00080c?l00`00I_l30<co0003001Vo`3<o`00c?l00080c?l0MP00I_l70?ooo`4000000@3oool0
00030000003oool0oooo00@0ooooM`00I_l30<co008006Ko0P3<o`04001Vo`@0c?l00`00I_l20<co
00<006Ko0`3<o`000`00I_l0c?l00<co0004001Vo`030<co0000I_l006Ko07D006Ko1`3oool10000
0040oooo00000`000000oooo0?ooo`040?ooogL006Ko0`3<o`02001Vo`80c?l01000I_l40<co00<0
06Ko0P3<o`03001Vo`<0c?l000<006Ko0<co003<o`001000I_l00`3<o`0006Ko001Vo`1e001Vo`L0
oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooomh001Vo`<0c?l000<006Ko0<co003<o`00
103<o`03001Vo`80c?l00P00I_l00`3<o`0006Ko001Vo`03001Vo`80c?l000<006Ko0<co003<o`00
103<o`1h001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooomj001Vo`80c?l00`00
I_l20<co00D006Ko00<0c?l0001Vo`00I_l01@3<o`001000I_l0c?l00<co003<o`03001Vo`030<co
0000I_l006Ko07P006Ko1`3oool100000040oooo00000`000000oooo0?ooo`040?ooog/006Ko0`3<
o`000`00I_l0c?l00<co00040<co0004001Vo`3<o`00c?l00<co008006Ko0P3<o`04001Vo`@0c?l0
N`00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooN`00I_l30<co0003001Vo`3<
o`00c?l000@0c?l000@006Ko0<co003<o`00c?l00P00I_l20<co00@006Ko103<o`1k001Vo`L0oooo
0@0000010?ooo`0000<000000?ooo`3oool0103oooml001Vo`<0c?l00`00I_l00`3<o`0006Ko001V
o`02001Vo`@0c?l01`00I_l20<co07`006Ko1`3oool100000040oooo00000`000000oooo0?ooo`04
0?ooogh006Ko0`3<o`000`00I_l0c?l00<co00030<co00<006Ko203<o`1n001Vo`L0oooo0@000001
0?ooo`0000<000000?ooo`3oool0103ooomn001Vo`<0c?l000<006Ko0<co003<o`000`3<o`03001V
o`P0c?l0OP00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooO`00I_l30<co00<0
06Ko00<0c?l0001Vo`00I_l00`00I_l20<co008006Ko0P3<o`1o001Vo`L0oooo0@0000010?ooo`00
00<000000?ooo`3oool0103ooon1001Vo`80c?l00P00I_l50<co0003001Vo`3<o`00c?l00080c?l0
P@00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooPP00I_l30<co008006Ko0P3<
o`04001Vo`030<co0000I_l006Ko080006Ko1`3oool100000040oooo00000`000000oooo0?ooo`04
0?oooh8006Ko0`3<o`02001Vo`80c?l01000I_l00`3<o`0006Ko001Vo`20001Vo`L0oooo0@000001
0?ooo`0000<000000?ooo`3oool0103ooon3001Vo`<0c?l000<006Ko0<co003<o`00103<o`23001V
o`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooon5001Vo`80c?l00`00I_l00`3<o`00
06Ko001Vo`23001Vo`L0oooo0@0000010?ooo`0000<000000?ooo`3oool0103ooon6001Vo`@0c?l0
QP00I_l70?ooo`4000000@3oool000030000003oool0oooo00@0ooooQP00I_l40<co08H006Ko1`3o
ool100000040oooo00000`000000oooo0?ooo`040?ooohL006Ko0P3<o`27001Vo`L0oooo0@000001
0?ooo`0000<000000?ooo`3oool0o`3ooolL0?ooo`4000000@3oool000030000003oool0oooo0?l0
oooo703oool100000040oooo003o0000020000000@3oool00001\
\>"],
  ImageRangeCache->{{{153.125, 330.625}, {503.938, 415.25}} -> {-188.732, \
494.026, 0.74139, 0.74139}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Here is the plot of the sine function.", "SolutionItem",
  CellTags->"IPM3.Sol.6.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(splot = Plot[Sin[x], {x, \(-2\)\ \[Pi], 2\ \[Pi]}];\)\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.6.4"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.5 0.0757881 0.309012 0.294307 [
[.04527 .29651 -7.59375 -11.875 ]
[.04527 .29651 7.59375 0 ]
[.19685 .29651 -7.59375 -11.875 ]
[.19685 .29651 7.59375 0 ]
[.34842 .29651 -7.59375 -11.875 ]
[.34842 .29651 7.59375 0 ]
[.65158 .29651 -4.5 -11.875 ]
[.65158 .29651 4.5 0 ]
[.80315 .29651 -4.5 -11.875 ]
[.80315 .29651 4.5 0 ]
[.95473 .29651 -4.5 -11.875 ]
[.95473 .29651 4.5 0 ]
[.4875 .01471 -15.1875 -5.9375 ]
[.4875 .01471 0 5.9375 ]
[.4875 .16186 -22.6875 -5.9375 ]
[.4875 .16186 0 5.9375 ]
[.4875 .45617 -16.5 -5.9375 ]
[.4875 .45617 0 5.9375 ]
[.4875 .60332 -9 -5.9375 ]
[.4875 .60332 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.04527 .30901 m
.04527 .31526 L
s
gsave
.04527 .29651 -68.5938 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
.19685 .30901 m
.19685 .31526 L
s
gsave
.19685 .29651 -68.5938 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4) show
1.000 setlinewidth
grestore
.34842 .30901 m
.34842 .31526 L
s
gsave
.34842 .29651 -68.5938 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.65158 .30901 m
.65158 .31526 L
s
gsave
.65158 .29651 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.80315 .30901 m
.80315 .31526 L
s
gsave
.80315 .29651 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4) show
1.000 setlinewidth
grestore
.95473 .30901 m
.95473 .31526 L
s
gsave
.95473 .29651 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
.125 Mabswid
.08317 .30901 m
.08317 .31276 L
s
.12106 .30901 m
.12106 .31276 L
s
.15895 .30901 m
.15895 .31276 L
s
.23474 .30901 m
.23474 .31276 L
s
.27264 .30901 m
.27264 .31276 L
s
.31053 .30901 m
.31053 .31276 L
s
.38632 .30901 m
.38632 .31276 L
s
.42421 .30901 m
.42421 .31276 L
s
.46211 .30901 m
.46211 .31276 L
s
.53789 .30901 m
.53789 .31276 L
s
.57579 .30901 m
.57579 .31276 L
s
.61368 .30901 m
.61368 .31276 L
s
.68947 .30901 m
.68947 .31276 L
s
.72736 .30901 m
.72736 .31276 L
s
.76526 .30901 m
.76526 .31276 L
s
.84105 .30901 m
.84105 .31276 L
s
.87894 .30901 m
.87894 .31276 L
s
.91683 .30901 m
.91683 .31276 L
s
.00738 .30901 m
.00738 .31276 L
s
.99262 .30901 m
.99262 .31276 L
s
.25 Mabswid
0 .30901 m
1 .30901 L
s
.5 .01471 m
.50625 .01471 L
s
gsave
.4875 .01471 -76.1875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.5 .16186 m
.50625 .16186 L
s
gsave
.4875 .16186 -83.6875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.5 .45617 m
.50625 .45617 L
s
gsave
.4875 .45617 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.5 .60332 m
.50625 .60332 L
s
gsave
.4875 .60332 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.125 Mabswid
.5 .04414 m
.50375 .04414 L
s
.5 .07357 m
.50375 .07357 L
s
.5 .103 m
.50375 .103 L
s
.5 .13243 m
.50375 .13243 L
s
.5 .19129 m
.50375 .19129 L
s
.5 .22072 m
.50375 .22072 L
s
.5 .25015 m
.50375 .25015 L
s
.5 .27958 m
.50375 .27958 L
s
.5 .33844 m
.50375 .33844 L
s
.5 .36787 m
.50375 .36787 L
s
.5 .3973 m
.50375 .3973 L
s
.5 .42674 m
.50375 .42674 L
s
.5 .4856 m
.50375 .4856 L
s
.5 .51503 m
.50375 .51503 L
s
.5 .54446 m
.50375 .54446 L
s
.5 .57389 m
.50375 .57389 L
s
.25 Mabswid
.5 0 m
.5 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .30901 m
.06244 .45263 L
.08255 .51497 L
.0932 .54236 L
.10458 .56657 L
.11009 .57624 L
.11531 .58409 L
.12038 .59047 L
.12507 .59525 L
.12951 .59877 L
.13178 .60018 L
.13422 .60141 L
.13549 .60193 L
.13666 .60234 L
.13784 .60268 L
.13895 .60293 L
.14022 .60314 L
.1409 .60322 L
.14161 .60328 L
.1423 .60331 L
.14295 .60332 L
.14415 .60328 L
.14531 .60316 L
.14656 .60297 L
.14773 .60271 L
.14881 .60241 L
.15143 .60144 L
.15392 .60019 L
.15886 .59679 L
.16423 .59169 L
.17382 .57909 L
.1827 .56357 L
.20137 .51988 L
.22197 .45702 L
.26217 .30797 L
.30086 .16431 L
.32051 .10345 L
.3309 .07659 L
.342 .05273 L
.35275 .03484 L
.35784 .02829 L
.36253 .02336 L
.36724 .01951 L
.36972 .01793 L
.37235 .0166 L
.37463 .01573 L
.37573 .01541 L
.37677 .01515 L
.37799 .01493 L
.37911 .01479 L
Mistroke
.38031 .01472 L
.38162 .01472 L
.38227 .01475 L
.38296 .01481 L
.38419 .01497 L
.38551 .01524 L
.38695 .01563 L
.38955 .0166 L
.39197 .01781 L
.39649 .02087 L
.40134 .02529 L
.40698 .03189 L
.41232 .03955 L
.42232 .05747 L
.44227 .10589 L
.4607 .16316 L
.50002 .3091 L
.53782 .44987 L
.55884 .51523 L
.56803 .53913 L
.57808 .56136 L
.58722 .57774 L
.59696 .59091 L
.60236 .59621 L
.60726 .59976 L
.60962 .60104 L
.61086 .6016 L
.61218 .60211 L
.61333 .60248 L
.61459 .60281 L
.61574 .60304 L
.61682 .60319 L
.61808 .60329 L
.61871 .60332 L
.61941 .60332 L
.62065 .60325 L
.62181 .60312 L
.62248 .60302 L
.62318 .60288 L
.62443 .60258 L
.62578 .60216 L
.62725 .6016 L
.62973 .6004 L
.63238 .59878 L
.63715 .59497 L
.64214 .58976 L
.64686 .58372 L
.6557 .56958 L
.67568 .52489 L
.69413 .47033 L
Mistroke
.7335 .32685 L
.77136 .18396 L
.79241 .11569 L
.81166 .06613 L
.82118 .04723 L
.8262 .03889 L
.83155 .03132 L
.8367 .02535 L
.84136 .02107 L
.84361 .01939 L
.84604 .01786 L
.84835 .01668 L
.85045 .01585 L
.85159 .01549 L
.85283 .01518 L
.85414 .01494 L
.85538 .01479 L
.85653 .01472 L
.85776 .01472 L
.85881 .01478 L
.85997 .01491 L
.86063 .01502 L
.86132 .01515 L
.86256 .01546 L
.86535 .01643 L
.86777 .01759 L
.87041 .0192 L
.87569 .02347 L
.88133 .02956 L
.89148 .04439 L
.90173 .06419 L
.91284 .09067 L
.933 .15021 L
.97393 .30025 L
.97619 .30901 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[13]:=",
  ImageSize->{244, 150.75},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003d0000UR000`400?l00000o`00003om03oool0
0?@0oooo001i0?ooo`030000003oool0oooo07P0oooo001i0?ooo`030000003oool0oooo07P0oooo
001a0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0N03oool00740oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`1h0?ooo`00FP3oool7000000T0oooo100000030?oo
o`030000003oool0oooo00D0oooo0P00001?0?ooo`H00000903oool005X0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0C@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0240oooo001I0?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo04`0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0P0?ooo`00F03o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00/0oooo0P0000070?ooo`030000003o
ool0oooo04/0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0O0?ooo`00E`3oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`1;0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool07P3oool0
05H0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo
04T0oooo0P00000<0?ooo`030000003oool0oooo01h0oooo001F0?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`180?ooo`030000003oool0oooo00d0
oooo00<000000?ooo`3oool07@3oool005D0oooo00<000000?ooo`3oool03@3oool00`000000oooo
0?ooo`0A0?ooo`800000B@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo01`0oooo
001E0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?oo
o`180?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0703oool005@0oooo00<00000
0?ooo`3oool03`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04L0oooo00<00000
0?ooo`3oool0403oool00`000000oooo0?ooo`0K0?ooo`00D`3oool00`000000oooo0?ooo`0A0?oo
o`030000003oool0oooo00l0oooo00<000000?ooo`3oool0A`3oool00`000000oooo0?ooo`0@0?oo
o`030000003oool0oooo01/0oooo001C0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3o
ool03`3oool00`000000oooo0?ooo`160?ooo`030000003oool0oooo0180oooo00<000000?ooo`3o
ool06P3oool00580oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0>0?ooo`030000
003oool0oooo04H0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0J0?ooo`00DP3o
ool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00h0oooo0P0000170?ooo`030000003o
ool0oooo01<0oooo00<000000?ooo`3oool06@3oool00540oooo00<000000?ooo`3oool0503oool0
0`000000oooo0?ooo`0>0?ooo`030000003oool0oooo04D0oooo00<000000?ooo`3oool0503oool0
0`000000oooo0?ooo`0I0?ooo`00D@3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo
00d0oooo00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo
01P0oooo001@0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool03@3oool00`000000
oooo0?ooo`140?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0603oool00500oooo
00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo04@0oooo
00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0G0?ooo`00D03oool00`000000oooo0?oo
o`0G0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0@`3oool00`000000oooo0?oo
o`0H0?ooo`030000003oool0oooo01L0oooo001?0?ooo`030000003oool0oooo01P0oooo00<00000
0?ooo`3oool0303oool00`000000oooo0?ooo`130?ooo`030000003oool0oooo01T0oooo00<00000
0?ooo`3oool05P3oool004l0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0;0?oo
o`800000@`3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo01H0oooo001?0?ooo`03
0000003oool0oooo01T0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`120?ooo`03
0000003oool0oooo01X0oooo00<000000?ooo`3oool05P3oool004h0oooo00<000000?ooo`3oool0
6P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0440oooo00<000000?ooo`3oool0
6`3oool00`000000oooo0?ooo`0F0?ooo`00CP3oool00`000000oooo0?ooo`0K0?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool0@@3oool00`000000oooo0?ooo`0L0?ooo`030000003o
ool0oooo01D0oooo001>0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool02P3oool0
0`000000oooo0?ooo`110?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool05@3oool0
04d0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
0400oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0E0?ooo`00C@3oool00`000000
oooo0?ooo`0M0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0@03oool00`000000
oooo0?ooo`0N0?ooo`030000003oool0oooo01@0oooo001=0?ooo`030000003oool0oooo01d0oooo
00<000000?ooo`3oool02@3oool200000440oooo00<000000?ooo`3oool07P3oool00`000000oooo
0?ooo`0D0?ooo`00C03oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool0@03oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo01@0oooo001<
0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0o
0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0503oool004`0oooo00<000000?oo
o`3oool07`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo03l0oooo00<000000?oo
o`3oool0803oool00`000000oooo0?ooo`0C0?ooo`00B`3oool00`000000oooo0?ooo`0Q0?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool0?`3oool00`000000oooo0?ooo`0P0?ooo`03
0000003oool0oooo01<0oooo001;0?ooo`030000003oool0oooo01X0oooo0`0000030?ooo`800000
00<0oooo0000000000001P3oool00`000000oooo0?ooo`0o0?ooo`030000003oool0oooo0200oooo
00<000000?ooo`3oool04`3oool004/0oooo00<000000?ooo`3oool06P3oool010000000oooo0?oo
o`0000040?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool0?P3oool00`000000
oooo0?ooo`0R0?ooo`030000003oool0oooo0180oooo001:0?ooo`030000003oool0oooo01D0oooo
100000020?ooo`040000003oool0oooo000000@0oooo00@000000?ooo`3oool000001@3oool20000
03l0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0B0?ooo`00BP3oool00`000000
oooo0?ooo`0K0?ooo`040000003oool0oooo000000@0oooo00@000000?ooo`3oool000001@3oool0
0`000000oooo0?ooo`0n0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool04P3oool0
04X0oooo00<000000?ooo`3oool06`3oool010000000oooo0?ooo`0000040?ooo`<000001P3oool0
0`000000oooo0?ooo`0n0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool04P3oool0
04T0oooo00<000000?ooo`3oool0703oool010000000oooo0?ooo`0000050?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0
oooo0140oooo00190?ooo`030000003oool0oooo01d0oooo0P0000060?ooo`<000001@3oool00`00
0000oooo0?ooo`0m0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool04@3oool004T0
oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo03d0
oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0A0?ooo`00B@3oool00`000000oooo
0?ooo`0V0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0?@3oool00`000000oooo
0?ooo`0T0?ooo`030000003oool0oooo0140oooo00180?ooo`030000003oool0oooo02L0oooo00<0
00000?ooo`3oool0103oool2000003d0oooo00<000000?ooo`3oool09P3oool00`000000oooo0?oo
o`0@0?ooo`00B03oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0?03oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo0100oooo00180?oo
o`030000003oool0oooo02L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0l0?oo
o`030000003oool0oooo02H0oooo00<000000?ooo`3oool0403oool004P0oooo00<000000?ooo`3o
ool0:03oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo03`0oooo00<000000?ooo`3o
ool09`3oool00`000000oooo0?ooo`0?0?ooo`00A`3oool00`000000oooo0?ooo`0Y0?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`0X0?ooo`030000
003oool0oooo00l0oooo00170?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`0k0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool03`3o
ool004L0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo03/0oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`0?0?ooo`00AP3oool00`00
0000oooo0?ooo`0[0?ooo`030000003oool0oooo0080oooo0P00000l0?ooo`030000003oool0oooo
02T0oooo00<000000?ooo`3oool03P3oool004H0oooo00<000000?ooo`3oool0:`3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo03X0oooo00<000000?ooo`3oool0:P3oool00`000000
oooo0?ooo`0>0?ooo`00AP3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool0>P3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo00h0oooo
00160?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`0j0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool03@3oool004D0oooo00<00000
0?ooo`3oool0;@3oool01@000000oooo0?ooo`3oool0000003`0oooo00<000000?ooo`3oool0:`3o
ool00`000000oooo0?ooo`0=0?ooo`00A@3oool00`000000oooo0?ooo`0]0?ooo`050000003oool0
oooo0?ooo`000000>`3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo00d0oooo0015
0?ooo`030000003oool0oooo02d0oooo00D000000?ooo`3oool0oooo0000000k0?ooo`030000003o
ool0oooo02`0oooo00<000000?ooo`3oool03@3oool004D0oooo00<000000?ooo`3oool0;@3oool0
10000000oooo0?ooo`3oool2000003X0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?oo
o`0<0?ooo`00A03oool00`000000oooo0?ooo`0_0?ooo`040000003oool0oooo000003X0oooo00<0
00000?ooo`3oool0;P3oool00`000000oooo0?ooo`0<0?ooo`00A03oool00`000000oooo0?ooo`0_
0?ooo`040000003oool0oooo000003X0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?oo
o`0<0?ooo`00403oool2000002@0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0?
0?ooo`@00000703oool010000000oooo0?ooo`00000P0?ooo`@000005P3oool00`000000oooo0?oo
o`0:0?ooo`030000003oool0oooo01h0oooo0P0000000`3oool000000?ooo`0=0?ooo`003`3oool0
10000000oooo0?ooo`00000S0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool04@3o
ool00`000000oooo0?ooo`0L0?ooo`040000003oool0oooo00000240oooo00<000000?ooo`3oool0
5P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo01d0oooo00H000000?ooo`3oool0
00000?ooo`00000=0?ooo`002P3oool4000000050?ooo`000000oooo0?ooo`0000006P3oool40000
0080oooo1@00000;0?ooo`030000003oool0oooo00/0oooo100000030?ooo`030000003oool0oooo
01`0oooo00<000000?ooo`0000008P3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo
00P0oooo1@00000N0?ooo`060000003oool0oooo0000003oool000003@3oool000l0oooo00@00000
0?ooo`3oool00000803oool010000000oooo0?ooo`00000<0?ooo`030000003oool0oooo0180oooo
00<000000?ooo`3oool0703oool00`000000oooo0000000R0?ooo`030000003oool0oooo01@0oooo
00<000000?ooo`3oool0203oool010000000oooo0?ooo`00000O0?ooo`060000003oool0oooo0000
003oool000003@3oool000l0oooo0`00000R0?ooo`030000003oool0000000`0oooo00<000000?oo
o`3oool04`3oool00`000000oooo0?ooo`0K0?ooo`040000003oool0000000000280oooo00<00000
0?ooo`3oool04`3oool00`000000oooo0?ooo`090?ooo`030000003oool0000001l0oooo0`000003
0?ooo`030000003oool0oooo00X0oooo000?0?ooo`040000003oool0oooo00000280oooo0P00000;
0?ooo`030000003oool0oooo0140oooo00@000000?ooo`3oool000007@3oool00`000000oooo0000
000P0?ooo`040000003oool0oooo000001D0oooo00<000000?ooo`3oool02P3oool2000001l0oooo
00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0:0?ooo`00403oool2000002@0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0B0?ooo`8000007`3oool200000240oooo
0P00000E0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool07P3oool2000000<0oooo
00<000000?ooo`3oool02P3oool00480oooo00<000000?ooo`3oool0<`3oool2000003P0oooo00<0
00000?ooo`3oool0<P3oool00`000000oooo0?ooo`0:0?ooo`00@P3oool00`000000oooo0?ooo`0c
0?ooo`800000>03oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo00T0oooo00110?oo
o`030000003oool0oooo03@0oooo0P00000h0?ooo`030000003oool0oooo03<0oooo00<000000?oo
o`3oool02@3oool00440oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`0e0?ooo`03
0000003oool0oooo03@0oooo00<000000?ooo`3oool02@3oool000@0ooooj`0000050?ooo`001P3o
ool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`000000203oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00@000000?ooo`3oool000001@3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`050?ooo`002P3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo03H0
oooo0P00000f0?ooo`030000003oool0oooo0400oooo000:0?ooo`030000003oool0oooo03<0oooo
00<000000?ooo`3oool0=P3oool2000003D0oooo00<000000?ooo`3oool0@@3oool000X0oooo00<0
00000?ooo`3oool0<`3oool00`000000oooo0?ooo`0f0?ooo`800000=@3oool00`000000oooo0?oo
o`110?ooo`002`3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo03L0oooo0P00000e
0?ooo`030000003oool0oooo0440oooo000;0?ooo`030000003oool0oooo0340oooo00<000000?oo
o`3oool0=`3oool00`000000oooo0000000c0?ooo`030000003oool0oooo0480oooo000;0?ooo`03
0000003oool0oooo0340oooo00<000000?ooo`3oool0=`3oool3000003<0oooo00<000000?ooo`3o
ool0@P3oool000/0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`0g0?ooo`030000
003oool0000003<0oooo00<000000?ooo`3oool0@P3oool000`0oooo00<000000?ooo`3oool0;`3o
ool00`000000oooo0?ooo`0h0?ooo`030000003oool000000380oooo00<000000?ooo`3oool0@`3o
ool000`0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0h0?ooo`040000003oool0
oooo00000340oooo00<000000?ooo`3oool0@`3oool000`0oooo00<000000?ooo`3oool0;`3oool0
0`000000oooo0?ooo`0h0?ooo`040000003oool0oooo00000340oooo00<000000?ooo`3oool0@`3o
ool000d0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`0h0?ooo`040000003oool0
oooo00000340oooo00<000000?ooo`3oool0@`3oool000d0oooo00<000000?ooo`3oool0;@3oool0
0`000000oooo0?ooo`0i0?ooo`8000000P3oool00`000000oooo0?ooo`0]0?ooo`030000003oool0
oooo04@0oooo000=0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool0>@3oool01@00
0000oooo0?ooo`3oool0000002l0oooo00<000000?ooo`3oool0A03oool000h0oooo00<000000?oo
o`3oool0;03oool00`000000oooo0?ooo`0i0?ooo`050000003oool0oooo0?ooo`000000;`3oool0
0`000000oooo0?ooo`140?ooo`003P3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo
03T0oooo00D000000?ooo`3oool0oooo0000000^0?ooo`030000003oool0oooo04D0oooo000>0?oo
o`030000003oool0oooo02/0oooo00<000000?ooo`3oool0>P3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo02/0oooo00<000000?ooo`3oool0A@3oool000h0oooo00<000000?ooo`3o
ool0:`3oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool0:`3oool00`000000oooo0?ooo`150?ooo`003`3oool00`000000oooo0?ooo`0Z0?ooo`030000
003oool0oooo03X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0Z0?ooo`030000
003oool0oooo04H0oooo000?0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool0>P3o
ool2000000<0oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`160?ooo`003`3oool0
0`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo04H0oooo000@0?ooo`030000003oool0oooo
02P0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
02T0oooo00<000000?ooo`3oool0AP3oool00100oooo00<000000?ooo`3oool0:03oool00`000000
oooo0?ooo`0k0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0:03oool00`000000
oooo0?ooo`170?ooo`00403oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo03/0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo04L0oooo
000A0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0?03oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool0A`3oool00140oooo00<00000
0?ooo`3oool09P3oool00`000000oooo0?ooo`0l0?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool09P3oool00`000000oooo0?ooo`180?ooo`004@3oool00`000000oooo0?ooo`0V0?oo
o`030000003oool0oooo03`0oooo0P0000050?ooo`030000003oool0oooo02H0oooo00<000000?oo
o`3oool0B03oool00140oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`0l0?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`180?ooo`00
4P3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo03d0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo04T0oooo000B0?ooo`030000003o
ool0oooo02@0oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo02@0oooo00<000000?ooo`3oool0B@3oool00180oooo00<000000?ooo`3oool0903oool0
0`000000oooo0?ooo`0m0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0903oool0
0`000000oooo0?ooo`190?ooo`004`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo
02`0oooo0`0000030?ooo`030000003oool0oooo008000001P3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo02<0oooo00<000000?ooo`3oool0B@3oool001<0oooo00<000000?ooo`3o
ool08P3oool00`000000oooo0?ooo`0]0?ooo`040000003oool0oooo000000@0oooo00@000000?oo
o`3oool000001@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0280oooo00<00000
0?ooo`3oool0BP3oool001<0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0]0?oo
o`040000003oool0oooo000000L0oooo00<000000?ooo`3oool00`3oool2000000L0oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`1:0?ooo`00503oool00`000000oooo0?ooo`0Q0?oo
o`030000003oool0oooo02d0oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`00
00050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?oo
o`1:0?ooo`00503oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo02h0oooo00@00000
0?ooo`3oool00000103oool3000000H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`0P0?ooo`030000003oool0oooo04/0oooo000D0?ooo`030000003oool0oooo0200oooo00<00000
0?ooo`3oool0;P3oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo04/0oooo000D
0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0;`3oool2000000H0oooo0`000005
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`1;
0?ooo`005@3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo0400oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo04`0oooo000E0?ooo`03
0000003oool0oooo01h0oooo00<000000?ooo`3oool0@03oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo01h0oooo00<000000?ooo`3oool0C03oool001D0oooo00<000000?ooo`3oool0
7P3oool00`000000oooo0?ooo`100?ooo`8000002P3oool00`000000oooo0?ooo`0M0?ooo`030000
003oool0oooo04`0oooo000E0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0@@3o
ool00`000000oooo0?ooo`090?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0C@3o
ool001H0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`110?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`1=0?ooo`005P3oool00`00
0000oooo0?ooo`0L0?ooo`030000003oool0oooo0440oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`0K0?ooo`030000003oool0oooo04d0oooo000F0?ooo`030000003oool0oooo01/0
oooo00<000000?ooo`3oool0@P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo01/0
oooo00<000000?ooo`3oool0C@3oool001H0oooo00<000000?ooo`3oool06`3oool00`000000oooo
0?ooo`120?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool06P3oool00`000000oooo
0?ooo`1>0?ooo`005`3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0480oooo00<0
00000?ooo`3oool02`3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo04h0oooo000G
0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0@`3oool2000000`0oooo00<00000
0?ooo`3oool06@3oool00`000000oooo0?ooo`1>0?ooo`005`3oool00`000000oooo0?ooo`0I0?oo
o`030000003oool0oooo04<0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0H0?oo
o`030000003oool0oooo04l0oooo000H0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3o
ool0@`3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3o
ool0C`3oool001P0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`140?ooo`030000
003oool0oooo00`0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`1?0?ooo`006@3o
ool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo04@0oooo00<000000?ooo`3oool0303o
ool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo0500oooo000I0?ooo`030000003oool0
oooo01D0oooo00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0
oooo01D0oooo00<000000?ooo`3oool0D03oool001X0oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`150?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`1A0?ooo`006P3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo04D0
oooo0P00000>0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0D@3oool001/0oooo
00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`160?ooo`030000003oool0oooo00h0oooo
00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`1B0?ooo`006`3oool00`000000oooo0?oo
o`0B0?ooo`030000003oool0oooo04H0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?oo
o`0B0?ooo`030000003oool0oooo0580oooo000K0?ooo`030000003oool0oooo0140oooo00<00000
0?ooo`3oool0A`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0100oooo00<00000
0?ooo`3oool0D`3oool001`0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`170?oo
o`030000003oool0oooo00l0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`1C0?oo
o`00703oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo04P0oooo00<000000?ooo`3o
ool03`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo05@0oooo000M0?ooo`030000
003oool0oooo00h0oooo00<000000?ooo`3oool0B03oool00`000000oooo0?ooo`0@0?ooo`030000
003oool0oooo00h0oooo00<000000?ooo`3oool0E03oool001h0oooo00<000000?ooo`3oool0303o
ool00`000000oooo0?ooo`190?ooo`8000004@3oool00`000000oooo0?ooo`0=0?ooo`030000003o
ool0oooo05D0oooo000N0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0B@3oool0
0`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0E@3oool0
01l0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`1:0?ooo`030000003oool0oooo
0180oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`1F0?ooo`007`3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo04/0oooo00<000000?ooo`3oool04`3oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo05L0oooo000P0?ooo`030000003oool0oooo00L0oooo
00<000000?ooo`3oool0A03oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01@0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`1H0?ooo`008@3oool2000000H0oooo00<0
00000?ooo`3oool0A@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01D0oooo00<0
00000?ooo`3oool0103oool2000005X0oooo000S0?ooo`80000000@0oooo0000000000000000B03o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01H0oooo0`0000000`3oool000000000
001L0?ooo`009@3oool2000004X0oooo00<000000?ooo`3oool01@3oool2000001T0oooo0`00001M
0?ooo`00L@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo07P0oooo001`0?ooo`80
00001`3oool00`000000oooo0?ooo`1h0?ooo`00L@3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo07P0oooo003d0?ooo`00m03oool00001\
\>"],
  ImageRangeCache->{{{153.125, 303.375}, {639.438, 547}} -> {-20.8372, \
11.7727, 0.0566006, 0.0145754}},
  CellTags->"IPM3.Sol.6.4"]
}, Closed]],

Cell["\<\
This replacement rule interchanges each ordered pair of numbers.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Show[
        splot /. \[InvisibleSpace]{x_?NumberQ, y_?NumberQ} \[Rule] {y, 
              x}];\)\)], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.6.4"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.499992 0.476198 0.309017 0.0468396 [
[.02379 .29652 -7.59375 -11.875 ]
[.02379 .29652 7.59375 0 ]
[.26189 .29652 -11.3438 -11.875 ]
[.26189 .29652 11.3438 0 ]
[.73809 .29652 -8.25 -11.875 ]
[.73809 .29652 8.25 0 ]
[.97619 .29652 -4.5 -11.875 ]
[.97619 .29652 4.5 0 ]
[.48749 .02798 -15.1875 -5.9375 ]
[.48749 .02798 0 5.9375 ]
[.48749 .12166 -15.1875 -5.9375 ]
[.48749 .12166 0 5.9375 ]
[.48749 .21534 -15.1875 -5.9375 ]
[.48749 .21534 0 5.9375 ]
[.48749 .4027 -9 -5.9375 ]
[.48749 .4027 0 5.9375 ]
[.48749 .49638 -9 -5.9375 ]
[.48749 .49638 0 5.9375 ]
[.48749 .59005 -9 -5.9375 ]
[.48749 .59005 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.02379 .30902 m
.02379 .31527 L
s
gsave
.02379 .29652 -68.5938 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.26189 .30902 m
.26189 .31527 L
s
gsave
.26189 .29652 -72.3438 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.73809 .30902 m
.73809 .31527 L
s
gsave
.73809 .29652 -69.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.97619 .30902 m
.97619 .31527 L
s
gsave
.97619 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.125 Mabswid
.07141 .30902 m
.07141 .31277 L
s
.11903 .30902 m
.11903 .31277 L
s
.16665 .30902 m
.16665 .31277 L
s
.21427 .30902 m
.21427 .31277 L
s
.30951 .30902 m
.30951 .31277 L
s
.35713 .30902 m
.35713 .31277 L
s
.40475 .30902 m
.40475 .31277 L
s
.45237 .30902 m
.45237 .31277 L
s
.54761 .30902 m
.54761 .31277 L
s
.59523 .30902 m
.59523 .31277 L
s
.64285 .30902 m
.64285 .31277 L
s
.69047 .30902 m
.69047 .31277 L
s
.78571 .30902 m
.78571 .31277 L
s
.83333 .30902 m
.83333 .31277 L
s
.88095 .30902 m
.88095 .31277 L
s
.92857 .30902 m
.92857 .31277 L
s
.25 Mabswid
0 .30902 m
1 .30902 L
s
.49999 .02798 m
.50624 .02798 L
s
gsave
.48749 .02798 -76.1875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
.49999 .12166 m
.50624 .12166 L
s
gsave
.48749 .12166 -76.1875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4) show
1.000 setlinewidth
grestore
.49999 .21534 m
.50624 .21534 L
s
gsave
.48749 .21534 -76.1875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.49999 .4027 m
.50624 .4027 L
s
gsave
.48749 .4027 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.49999 .49638 m
.50624 .49638 L
s
gsave
.48749 .49638 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4) show
1.000 setlinewidth
grestore
.49999 .59005 m
.50624 .59005 L
s
gsave
.48749 .59005 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
.125 Mabswid
.49999 .0514 m
.50374 .0514 L
s
.49999 .07482 m
.50374 .07482 L
s
.49999 .09824 m
.50374 .09824 L
s
.49999 .14508 m
.50374 .14508 L
s
.49999 .1685 m
.50374 .1685 L
s
.49999 .19192 m
.50374 .19192 L
s
.49999 .23876 m
.50374 .23876 L
s
.49999 .26218 m
.50374 .26218 L
s
.49999 .2856 m
.50374 .2856 L
s
.49999 .33244 m
.50374 .33244 L
s
.49999 .35586 m
.50374 .35586 L
s
.49999 .37928 m
.50374 .37928 L
s
.49999 .42612 m
.50374 .42612 L
s
.49999 .44954 m
.50374 .44954 L
s
.49999 .47296 m
.50374 .47296 L
s
.49999 .5198 m
.50374 .5198 L
s
.49999 .54322 m
.50374 .54322 L
s
.49999 .56663 m
.50374 .56663 L
s
.49999 .00456 m
.50374 .00456 L
s
.49999 .61347 m
.50374 .61347 L
s
.25 Mabswid
.49999 0 m
.49999 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.49999 .01472 m
.73237 .03859 L
.83323 .05102 L
.87756 .0576 L
.91674 .06463 L
.93238 .06804 L
.94507 .07126 L
.9554 .0744 L
.96313 .0773 L
.96882 .08004 L
.97111 .08144 L
.9731 .08295 L
.97394 .08374 L
.9746 .08446 L
.97515 .08519 L
.97556 .08587 L
.9759 .08666 L
.97603 .08708 L
.97613 .08752 L
.97618 .08795 L
.97619 .08834 L
.97612 .08909 L
.97594 .08981 L
.97562 .09058 L
.97521 .0913 L
.97472 .09197 L
.97315 .09359 L
.97113 .09512 L
.96562 .09818 L
.95738 .1015 L
.93699 .10743 L
.91188 .11292 L
.84119 .12445 L
.73947 .13718 L
.49831 .16203 L
.26587 .18594 L
.16739 .19808 L
.12393 .20451 L
.08532 .21137 L
.05638 .21801 L
.04577 .22116 L
.0378 .22405 L
.03157 .22697 L
.02901 .2285 L
.02686 .23012 L
.02545 .23153 L
.02493 .23221 L
.02452 .23285 L
.02416 .23361 L
.02394 .2343 L
Mistroke
.02381 .23505 L
.02381 .23586 L
.02387 .23626 L
.02396 .23668 L
.02423 .23744 L
.02465 .23826 L
.02529 .23915 L
.02685 .24075 L
.02882 .24225 L
.03377 .24505 L
.04091 .24804 L
.0516 .25153 L
.064 .25483 L
.09299 .26101 L
.17133 .27334 L
.26399 .28473 L
.50013 .30903 L
.72791 .33239 L
.83365 .34538 L
.87233 .35106 L
.90829 .35727 L
.9348 .36292 L
.95612 .36894 L
.96469 .37228 L
.97044 .3753 L
.97251 .37677 L
.97342 .37753 L
.97424 .37835 L
.97484 .37906 L
.97537 .37984 L
.97574 .38055 L
.97598 .38122 L
.97615 .38199 L
.97619 .38238 L
.97619 .38282 L
.97608 .38358 L
.97587 .3843 L
.9757 .38471 L
.97548 .38515 L
.97499 .38592 L
.97431 .38675 L
.9734 .38766 L
.97147 .38919 L
.96885 .39083 L
.96268 .39378 L
.95425 .39687 L
.94448 .39978 L
.92159 .40524 L
.8493 .4176 L
.76101 .429 L
Mistroke
.52885 .45333 L
.29765 .47672 L
.18719 .48974 L
.10699 .50164 L
.07642 .50751 L
.06293 .51062 L
.05068 .51393 L
.04102 .51711 L
.03409 .51999 L
.03137 .52138 L
.02889 .52288 L
.02699 .52431 L
.02565 .52561 L
.02507 .52631 L
.02456 .52708 L
.02417 .52789 L
.02392 .52865 L
.02381 .52937 L
.02381 .53013 L
.02391 .53077 L
.02413 .53149 L
.0243 .5319 L
.02452 .53233 L
.02501 .53309 L
.02659 .53482 L
.02847 .53631 L
.03107 .53794 L
.03798 .5412 L
.04783 .54469 L
.07183 .55096 L
.10386 .5573 L
.1467 .56417 L
.24304 .57662 L
.48582 .60192 L
.49999 .60332 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[14]:=",
  ImageSize->{244, 150.75},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003d0000UR000`400?l00000o`00003oNP3oool0
0`000000oooo0?ooo`1g0?ooo`00NP3oool2000007P0oooo001j0?ooo`030000003oool0oooo07L0
oooo001j0?ooo`030000003oool0oooo07L0oooo001j0?ooo`H00000M03oool00740oooo0P000007
0?ooo`030000003oool0oooo00<0oooo2`00001Y0?ooo`00L03oool010000000oooo0?ooo`000006
0?ooo`030000003oool0oooo00h0oooo2`00001N0?ooo`00J`3oool4000000050?ooo`000000oooo
0?ooo`0000001P3oool2000001X0oooo3000001B0?ooo`00L03oool010000000oooo0?ooo`000006
0?ooo`030000003oool0oooo02D0oooo2`0000170?ooo`00L03oool3000000L0oooo00<000000?oo
o`3oool0<03oool9000003h0oooo001`0?ooo`040000003oool0oooo000000H0oooo00<000000?oo
o`3oool0>@3oool8000003H0oooo001a0?ooo`8000001`3oool00`000000oooo0?ooo`110?ooo`P0
0000;P3oool007X0oooo00<000000?ooo`3oool0B@3oool7000002L0oooo001j0?ooo`800000D@3o
ool600000240oooo001j0?ooo`030000003oool0oooo05H0oooo1@00000L0?ooo`00NP3oool00`00
0000oooo0?ooo`1K0?ooo`@00000603oool007X0oooo00<000000?ooo`3oool0G`3oool4000001@0
oooo001j0?ooo`030000003oool0oooo06<0oooo1`00000=0?ooo`00NP3oool2000006/0oooo0P00
000;0?ooo`00NP3oool00`000000oooo0?ooo`1/0?ooo`<00000203oool007X0oooo00<000000?oo
o`3oool0K`3oool00`000000oooo0?ooo`050?ooo`00NP3oool00`000000oooo0?ooo`1`0?ooo`03
0000003oool0oooo00@0oooo001j0?ooo`030000003oool0oooo06l0oooo0P0000060?ooo`00NP3o
ool00`000000oooo0?ooo`1_0?ooo`030000003oool0oooo00D0oooo001j0?ooo`800000KP3oool2
000000P0oooo001j0?ooo`030000003oool0oooo06T0oooo1000000:0?ooo`00NP3oool00`000000
oooo0?ooo`1T0?ooo`D000003P3oool007<0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`1N0?ooo`H000004`3oool007<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`1H0?ooo`H000006@3oool006/0oooo100000000`3oool0000000000003000000D0oooo0P00001C
0?ooo`H000007`3oool00700oooo00@000000?ooo`3oool000001P3oool00`000000oooo0?ooo`1<
0?ooo`H000009@3oool00740oooo00<000000?ooo`0000001P3oool00`000000oooo0?ooo`140?oo
o`P00000:`3oool00780oooo0P0000060?ooo`030000003oool0oooo03`0oooo2000000c0?ooo`00
L`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo03<0oooo2@00000k0?ooo`00NP3o
ool00`000000oooo0?ooo`0Y0?ooo`X00000A03oool007X0oooo0P00000P0?ooo`X00000CP3oool0
07X0oooo00<000000?ooo`3oool05P3oool9000005P0oooo001j0?ooo`030000003oool0oooo00`0
oooo2P00001Q0?ooo`00NP3oool00`000000oooo0?ooo`020?ooo`X00000J`3oool007H0oooo2@00
001e0?ooo`00K03oool:000000@0oooo00<000000?ooo`3oool0M`3oool006<0oooo2@00000>0?oo
o`800000N03oool005T0oooo2P00000G0?ooo`030000003oool0oooo07L0oooo001@0?ooo`T00000
8@3oool00`000000oooo0?ooo`1g0?ooo`00AP3oool:000002X0oooo00<000000?ooo`3oool0M`3o
ool003h0oooo2000000d0?ooo`030000003oool0oooo07L0oooo000f0?ooo`P00000?03oool20000
07P0oooo000^0?ooo`P00000A03oool00`000000oooo0?ooo`1g0?ooo`009@3oool9000004`0oooo
00<000000?ooo`3oool0M`3oool001d0oooo2000001E0?ooo`030000003oool0oooo07L0oooo000I
0?ooo`@00000D`3oool4000000H0oooo00<000000?ooo`3oool0M`3oool001D0oooo1000001H0?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool0M`3oool00140oooo1000001F0?ooo`@0
00000`3oool00`000000oooo0?ooo`050?ooo`800000N03oool000`0oooo1@00001Q0?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0M`3oool000X0oooo0P00001W0?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0M`3oool000P0oooo0P00001V0?ooo`040000003oool0
oooo000000H0oooo00<000000?ooo`3oool0M`3oool000L0oooo0P00001X0?ooo`8000001`3oool0
0`000000oooo0?ooo`1g0?ooo`001`3oool00`000000oooo0?ooo`1`0?ooo`030000003oool0oooo
07L0oooo00070?ooo`800000L@3oool2000007P0oooo00080?ooo`<00000K`3oool00`000000oooo
0?ooo`1g0?ooo`002`3oool2000006d0oooo00<000000?ooo`3oool0M`3oool000d0oooo0`00001Z
0?ooo`030000003oool0oooo07L0oooo000@0?ooo`D00000I@3oool00`000000oooo0?ooo`1g0?oo
o`005@3oool7000005h0oooo0P00001h0?ooo`002P3oool00`000000oooo0?ooo`0?0?ooo`H00000
6`3oool3000000<0oooo00<000000?ooo`3oool00P00000b0?ooo`030000003oool0oooo0300oooo
0`0000030?ooo`030000003oool0oooo00800000=03oool00`000000oooo0?ooo`050?ooo`002P3o
ool00`000000oooo0?ooo`0E0?ooo`H000005@3oool010000000oooo0?ooo`0000040?ooo`040000
003oool0oooo00000340oooo00<000000?ooo`3oool0<03oool010000000oooo0?ooo`0000040?oo
o`040000003oool0oooo000003<0oooo00<000000?ooo`3oool01@3oool000<0oooo100000030?oo
o`030000003oool0oooo01/0oooo1`0000090?ooo`@0000000D0oooo0000003oool0oooo00000007
0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool0<03oool010000000oooo0?ooo`00
00070?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool01@3oool000X0oooo00<00000
0?ooo`3oool08P3oool7000000L0oooo00@000000?ooo`3oool00000103oool010000000oooo0?oo
o`00000a0?ooo`030000003oool0oooo0300oooo00@000000?ooo`3oool00000103oool010000000
oooo0?ooo`00000c0?ooo`030000003oool0oooo00D0oooo000:0?ooo`030000003oool0oooo02T0
oooo200000020?ooo`030000003oool0oooo0080oooo0`00000b0?ooo`030000003oool0oooo0300
oooo00@000000?ooo`3oool00000103oool3000003@0oooo00<000000?ooo`3oool01@3oool000T0
oooo0P00000b0?ooo`X00000<`3oool200000340oooo00@000000?ooo`3oool000001@3oool00`00
0000oooo0?ooo`0b0?ooo`8000001`3oool000X0oooo00<000000?ooo`3oool0<@3oool2000000H0
oooo2P00000Z0?ooo`030000003oool0oooo0340oooo0P0000060?ooo`<00000<`3oool00`000000
oooo0?ooo`050?ooo`00D03oool900000240oooo00<000000?ooo`3oool0M`3oool005T0oooo2P00
000G0?ooo`030000003oool0oooo07L0oooo001S0?ooo`T000003P3oool00`000000oooo0?ooo`1g
0?ooo`00K03oool:000000@0oooo00<000000?ooo`3oool0M`3oool000030?ooo`00000000000?40
000000070?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool;000000H0oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00P0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo
001j0?ooo`030000003oool0oooo00h0oooo2`00001N0?ooo`00NP3oool00`000000oooo0?ooo`0I
0?ooo`/00000D`3oool007X0oooo00<000000?ooo`3oool0903oool;000004P0oooo001j0?ooo`80
0000<03oool:000003h0oooo001j0?ooo`030000003oool0oooo03T0oooo2000000f0?ooo`00NP3o
ool00`000000oooo0?ooo`110?ooo`P00000;P3oool007X0oooo00<000000?ooo`3oool0B@3oool7
000002L0oooo001j0?ooo`030000003oool0oooo0500oooo1@00000R0?ooo`00NP3oool00`000000
oooo0?ooo`1E0?ooo`H00000703oool007X0oooo0P00001L0?ooo`H000005P3oool007X0oooo00<0
00000?ooo`3oool0H@3oool400000180oooo001j0?ooo`030000003oool0oooo06D0oooo1000000>
0?ooo`00NP3oool00`000000oooo0?ooo`1Y0?ooo`<000002`3oool007X0oooo00<000000?ooo`3o
ool0K03oool2000000T0oooo001j0?ooo`030000003oool0oooo06h0oooo0P0000070?ooo`00NP3o
ool200000700oooo0P0000060?ooo`00NP3oool00`000000oooo0?ooo`1_0?ooo`8000001P3oool0
07X0oooo00<000000?ooo`3oool0KP3oool2000000L0oooo001`0?ooo`@000001P3oool00`000000
oooo0?ooo`1/0?ooo`8000002@3oool00740oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`1Z0?ooo`8000002`3oool00780oooo00<000000?ooo`3oool01@3oool2000006L0oooo1000
000=0?ooo`00LP3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0640oooo1@00000A
0?ooo`00L`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo05/0oooo1P00000F0?oo
o`00L03oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo05D0oooo1P00000L0?oo
o`00L@3oool2000000L0oooo00<000000?ooo`3oool0CP3oool700000280oooo001j0?ooo`030000
003oool0oooo04L0oooo1`00000Y0?ooo`00NP3oool200000440oooo1`00000`0?ooo`00NP3oool0
0`000000oooo0?ooo`0g0?ooo`T00000=`3oool007X0oooo00<000000?ooo`3oool0;03oool;0000
0400oooo001j0?ooo`030000003oool0oooo0240oooo2`00001;0?ooo`00NP3oool00`000000oooo
0?ooo`0E0?ooo``00000EP3oool007X0oooo00<000000?ooo`3oool02P3oool;00000680oooo001j
0?ooo`80000000<0oooo0000000000002000001]0?ooo`00M03oool9000007L0oooo001Z0?ooo`X0
00001P3oool00`000000oooo0?ooo`1g0?ooo`00H@3oool900000100oooo00<000000?ooo`3oool0
M`3oool005P0oooo2@00000I0?ooo`030000003oool0oooo07L0oooo001>0?ooo`X000008P3oool2
000007P0oooo00150?ooo`T00000;03oool00`000000oooo0?ooo`1g0?ooo`00?03oool9000003D0
oooo00<000000?ooo`3oool0M`3oool003<0oooo2@00000n0?ooo`030000003oool0oooo07L0oooo
000[0?ooo`P00000@03oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo07L0oooo000U
0?ooo`H00000B03oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo07L0oooo000O0?oo
o`H00000B`3oool5000000D0oooo0P00001h0?ooo`00603oool700000540oooo00@000000?ooo`3o
ool000001P3oool00`000000oooo0?ooo`1g0?ooo`004`3oool5000005T0oooo00<000000?ooo`00
00001P3oool00`000000oooo0?ooo`1g0?ooo`00403oool3000005l0oooo0P0000060?ooo`030000
003oool0oooo07L0oooo000=0?ooo`<00000H`3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo07L0oooo000:0?ooo`<00000K@3oool2000007P0oooo00080?ooo`800000L03oool00`00
0000oooo0?ooo`1g0?ooo`001`3oool200000740oooo00<000000?ooo`3oool0M`3oool000L0oooo
00<000000?ooo`3oool0L03oool00`000000oooo0?ooo`1g0?ooo`001`3oool200000740oooo00<0
00000?ooo`3oool0M`3oool000T0oooo00<000000?ooo`3oool0KP3oool00`000000oooo0?ooo`1g
0?ooo`002P3oool5000006/0oooo0P00001h0?ooo`003`3oool3000006P0oooo00<000000?ooo`3o
ool0M`3oool00180oooo1@00001S0?ooo`030000003oool0oooo07L0oooo000G0?ooo`H00000G@3o
ool00`000000oooo0?ooo`1g0?ooo`007@3oool6000005L0oooo00<000000?ooo`3oool0M`3oool0
02<0oooo1P00001A0?ooo`030000003oool0oooo07L0oooo000Y0?ooo`P00000B@3oool2000007P0
oooo000a0?ooo`P00000@@3oool00`000000oooo0?ooo`1g0?ooo`00>@3oool8000003T0oooo00<0
00000?ooo`3oool0M`3oool00440oooo2P00000V0?ooo`8000001`3oool00`000000oooo0?ooo`1g
0?ooo`00B`3oool:000001/0oooo00@000000?ooo`3oool000001P3oool00`000000oooo0?ooo`1g
0?ooo`00E@3oool:00000140oooo00@000000?ooo`3oool000001P3oool2000007P0oooo001O0?oo
o`X000001`3oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo07L0oooo001Y0?oo
o`X000001`3oool00`000000oooo0?ooo`1g0?ooo`00L03oool00`000000oooo0?ooo`0600000003
0?ooo`000000oooo07P0oooo001a0?ooo`8000001P3oool2000007T0oooo001j0?ooo`030000003o
ool0oooo07L0oooo001j0?ooo`800000N03oool007X0oooo00<000000?ooo`3oool0M`3oool00001
\
\>"],
  ImageRangeCache->{{{153.125, 303.375}, {221.688, 129.25}} -> {-3.22318, \
11.8901, 0.00873301, 0.0887847}},
  CellTags->"IPM3.Sol.6.4"]
}, Closed]],

Cell[TextData[{
  "Although this particular example may have worked without the argument \
checking (",
  StyleBox["_?NumberQ", "MR"],
  "), it is a good idea to include it so that pairs of arbitrary expressions \
are not pattern matched here. We only want to interchange pairs of numbers, \
not pairs of options or other expressions that might be present in the \
underlying expression representing the graphic."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.4"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Using the standard rotation matrix, each point is taken to its image under \
the rotation transformation. Notice that this function first checks that its \
first argument is in fact a graphics object via pattern matching.\
\>", "SolutionItem",
  CounterAssignments->{{"SolutionItem", 5}},
  CellTags->"IPM3.Sol.6.4"],

Cell[BoxData[
    \(rotatePlot[p_Graphics, theta_] := 
      Show[p /. \[InvisibleSpace]{x_?NumberQ, 
              y_?NumberQ} \[Rule] {x, 
                y} . {{Cos[theta], Sin[theta]}, {\(-Sin[theta]\), 
                  Cos[theta]}}]\)], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.6.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(plot1 = Plot[Sin[x], {x, 0, 2\ \[Pi]}];\)\)], "Input",
  CellLabel->"In[16]:=",
  CellTags->"IPM3.Sol.6.4"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.151576 0.309016 0.294303 [
[.17539 .29652 -4.5 -11.875 ]
[.17539 .29652 4.5 0 ]
[.32696 .29652 -4.5 -11.875 ]
[.32696 .29652 4.5 0 ]
[.47854 .29652 -4.5 -11.875 ]
[.47854 .29652 4.5 0 ]
[.63011 .29652 -4.5 -11.875 ]
[.63011 .29652 4.5 0 ]
[.78169 .29652 -4.5 -11.875 ]
[.78169 .29652 4.5 0 ]
[.93327 .29652 -4.5 -11.875 ]
[.93327 .29652 4.5 0 ]
[.01131 .01471 -15.1875 -5.9375 ]
[.01131 .01471 0 5.9375 ]
[.01131 .16187 -22.6875 -5.9375 ]
[.01131 .16187 0 5.9375 ]
[.01131 .45617 -16.5 -5.9375 ]
[.01131 .45617 0 5.9375 ]
[.01131 .60332 -9 -5.9375 ]
[.01131 .60332 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.17539 .30902 m
.17539 .31527 L
s
gsave
.17539 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.32696 .30902 m
.32696 .31527 L
s
gsave
.32696 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.47854 .30902 m
.47854 .31527 L
s
gsave
.47854 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(3) show
1.000 setlinewidth
grestore
.63011 .30902 m
.63011 .31527 L
s
gsave
.63011 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4) show
1.000 setlinewidth
grestore
.78169 .30902 m
.78169 .31527 L
s
gsave
.78169 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(5) show
1.000 setlinewidth
grestore
.93327 .30902 m
.93327 .31527 L
s
gsave
.93327 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
.125 Mabswid
.05412 .30902 m
.05412 .31277 L
s
.08444 .30902 m
.08444 .31277 L
s
.11476 .30902 m
.11476 .31277 L
s
.14507 .30902 m
.14507 .31277 L
s
.2057 .30902 m
.2057 .31277 L
s
.23602 .30902 m
.23602 .31277 L
s
.26633 .30902 m
.26633 .31277 L
s
.29665 .30902 m
.29665 .31277 L
s
.35728 .30902 m
.35728 .31277 L
s
.38759 .30902 m
.38759 .31277 L
s
.41791 .30902 m
.41791 .31277 L
s
.44822 .30902 m
.44822 .31277 L
s
.50885 .30902 m
.50885 .31277 L
s
.53917 .30902 m
.53917 .31277 L
s
.56948 .30902 m
.56948 .31277 L
s
.5998 .30902 m
.5998 .31277 L
s
.66043 .30902 m
.66043 .31277 L
s
.69074 .30902 m
.69074 .31277 L
s
.72106 .30902 m
.72106 .31277 L
s
.75138 .30902 m
.75138 .31277 L
s
.81201 .30902 m
.81201 .31277 L
s
.84232 .30902 m
.84232 .31277 L
s
.87264 .30902 m
.87264 .31277 L
s
.90295 .30902 m
.90295 .31277 L
s
.96358 .30902 m
.96358 .31277 L
s
.9939 .30902 m
.9939 .31277 L
s
.25 Mabswid
0 .30902 m
1 .30902 L
s
.02381 .01471 m
.03006 .01471 L
s
gsave
.01131 .01471 -76.1875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.02381 .16187 m
.03006 .16187 L
s
gsave
.01131 .16187 -83.6875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.02381 .45617 m
.03006 .45617 L
s
gsave
.01131 .45617 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.02381 .60332 m
.03006 .60332 L
s
gsave
.01131 .60332 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.125 Mabswid
.02381 .04414 m
.02756 .04414 L
s
.02381 .07357 m
.02756 .07357 L
s
.02381 .103 m
.02756 .103 L
s
.02381 .13243 m
.02756 .13243 L
s
.02381 .1913 m
.02756 .1913 L
s
.02381 .22073 m
.02756 .22073 L
s
.02381 .25016 m
.02756 .25016 L
s
.02381 .27959 m
.02756 .27959 L
s
.02381 .33845 m
.02756 .33845 L
s
.02381 .36788 m
.02756 .36788 L
s
.02381 .39731 m
.02756 .39731 L
s
.02381 .42674 m
.02756 .42674 L
s
.02381 .4856 m
.02756 .4856 L
s
.02381 .51503 m
.02756 .51503 L
s
.02381 .54446 m
.02756 .54446 L
s
.02381 .57389 m
.02756 .57389 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .30902 m
.06244 .38322 L
.10458 .45852 L
.14415 .51889 L
.18221 .56357 L
.20178 .58047 L
.21267 .58793 L
.22272 .59354 L
.23293 .59796 L
.23832 .59976 L
.24402 .60127 L
.24641 .60178 L
.24897 .60225 L
.25119 .60258 L
.25361 .60288 L
.25507 .60302 L
.25643 .60313 L
.25773 .60321 L
.2584 .60324 L
.25912 .60327 L
.25983 .60329 L
.26048 .60331 L
.26176 .60332 L
.26293 .60331 L
.26416 .60329 L
.26538 .60324 L
.26607 .60321 L
.26671 .60317 L
.26912 .60299 L
.27131 .60275 L
.27364 .60244 L
.27847 .60156 L
.2838 .60025 L
.29326 .59705 L
.30213 .59301 L
.32232 .58025 L
.34082 .56432 L
.38045 .51781 L
.41855 .45965 L
.45912 .38744 L
.49816 .31259 L
.53966 .23289 L
.57964 .1614 L
.61811 .10221 L
.63759 .07707 L
.65902 .05386 L
.67938 .03652 L
.69843 .02473 L
.70884 .02018 L
.71396 .01844 L
Mistroke
.71872 .01712 L
.72301 .01617 L
.72758 .01542 L
.7302 .01511 L
.73148 .01499 L
.73266 .0149 L
.73371 .01484 L
.73487 .01478 L
.73603 .01474 L
.73725 .01472 L
.73856 .01472 L
.73977 .01473 L
.7404 .01475 L
.7411 .01477 L
.74251 .01484 L
.74375 .01492 L
.74508 .01503 L
.74748 .01528 L
.74985 .0156 L
.75235 .01601 L
.7568 .01695 L
.76198 .01836 L
.7668 .01998 L
.77773 .02472 L
.78828 .0307 L
.79823 .03757 L
.81683 .05353 L
.85534 .09846 L
.89632 .16101 L
.93577 .23146 L
.97371 .3042 L
.97619 .30902 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[16]:=",
  ImageSize->{236.125, 145.75},
  ImageMargins->{{42.8125, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003/0000TB000`400?l00000o`00003ok03oool0
0>`0oooo003/0?ooo`00k03oool00>`0oooo003/0?ooo`006@3oool00`000000oooo0?ooo`3@0?oo
o`004@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0=00oooo000A0?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0d03oool000X0oooo100000030?ooo`030000003o
ool0oooo00D0oooo0P00002C0?ooo`T00000=@3oool00140oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`2@0?ooo`8000002@3oool300000380oooo000A0?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0SP3oool2000000h0oooo0P00000`0?ooo`00403oool2000000L0
oooo00<000000?ooo`3oool0S@3oool00`000000oooo0?ooo`0@0?ooo`800000;P3oool00140oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`2;0?ooo`8000005@3oool00`000000oooo
0?ooo`0[0?ooo`006@3oool00`000000oooo0?ooo`2:0?ooo`030000003oool0oooo01H0oooo00<0
00000?ooo`3oool0:P3oool001T0oooo0P0000290?ooo`8000006P3oool00`000000oooo0?ooo`0Y
0?ooo`006@3oool00`000000oooo0?ooo`260?ooo`8000007@3oool2000002T0oooo000I0?ooo`03
0000003oool0oooo08D0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0V0?ooo`00
6@3oool00`000000oooo0?ooo`240?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool0
9@3oool001T0oooo00<000000?ooo`3oool0P`3oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo02@0oooo000I0?ooo`030000003oool0oooo08<0oooo00<000000?ooo`3oool0903oool0
0`000000oooo0?ooo`0S0?ooo`006@3oool00`000000oooo0?ooo`220?ooo`030000003oool0oooo
02H0oooo00<000000?ooo`3oool08P3oool001T0oooo0P0000220?ooo`030000003oool0oooo02L0
oooo00<000000?ooo`3oool08P3oool001T0oooo00<000000?ooo`3oool0P03oool00`000000oooo
0?ooo`0Y0?ooo`030000003oool0oooo0240oooo000I0?ooo`030000003oool0oooo0800oooo00<0
00000?ooo`3oool0:P3oool00`000000oooo0?ooo`0P0?ooo`006@3oool00`000000oooo0?ooo`1o
0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool07`3oool001T0oooo00<000000?oo
o`3oool0OP3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo01h0oooo000I0?ooo`03
0000003oool0oooo07h0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0M0?ooo`00
6@3oool2000007h0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`0L0?ooo`006@3o
ool00`000000oooo0?ooo`1l0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool0703o
ool001T0oooo00<000000?ooo`3oool0N`3oool00`000000oooo0?ooo`0d0?ooo`030000003oool0
oooo01/0oooo000I0?ooo`030000003oool0oooo07/0oooo00<000000?ooo`3oool0=03oool00`00
0000oooo0?ooo`0K0?ooo`006@3oool00`000000oooo0?ooo`1j0?ooo`030000003oool0oooo03H0
oooo00<000000?ooo`3oool06P3oool001T0oooo00<000000?ooo`3oool0N@3oool00`000000oooo
0?ooo`0h0?ooo`030000003oool0oooo01T0oooo000I0?ooo`800000N@3oool00`000000oooo0?oo
o`0i0?ooo`030000003oool0oooo01T0oooo000I0?ooo`030000003oool0oooo07P0oooo00<00000
0?ooo`3oool0>P3oool00`000000oooo0?ooo`0H0?ooo`006@3oool00`000000oooo0?ooo`1g0?oo
o`030000003oool0oooo03`0oooo00<000000?ooo`3oool05`3oool001T0oooo00<000000?ooo`3o
ool0MP3oool00`000000oooo0?ooo`0m0?ooo`030000003oool0oooo01L0oooo00080?ooo`<00000
0`3oool00`000000oooo0?ooo`02000000H0oooo00<000000?ooo`3oool0M@3oool00`000000oooo
0?ooo`0o0?ooo`030000003oool0oooo01H0oooo00080?ooo`040000003oool0oooo000000@0oooo
00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`1e0?ooo`030000003oool0oooo03l0
oooo00<000000?ooo`3oool05P3oool000<0oooo100000001@3oool000000?ooo`3oool0000000L0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1d0?ooo`030000003oool0oooo0440
oooo00<000000?ooo`3oool05@3oool000P0oooo00@000000?ooo`3oool00000103oool010000000
oooo0?ooo`0000050?ooo`800000M03oool00`000000oooo0?ooo`130?ooo`030000003oool0oooo
01@0oooo00080?ooo`040000003oool0oooo000000@0oooo0`0000060?ooo`030000003oool0oooo
07<0oooo00<000000?ooo`3oool0@`3oool00`000000oooo0?ooo`0D0?ooo`00203oool010000000
oooo0?ooo`0000050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0LP3oool00`00
0000oooo0?ooo`150?ooo`030000003oool0oooo01<0oooo00090?ooo`8000001P3oool3000000D0
oooo00<000000?ooo`3oool0LP3oool00`000000oooo0?ooo`150?ooo`030000003oool0oooo01<0
oooo000I0?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0A`3oool00`000000oooo
0?ooo`0B0?ooo`006@3oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo04P0oooo00<0
00000?ooo`3oool04@3oool001T0oooo0P00001a0?ooo`030000003oool0oooo04T0oooo00<00000
0?ooo`3oool04@3oool001T0oooo00<000000?ooo`3oool0L03oool00`000000oooo0?ooo`1:0?oo
o`030000003oool0oooo0100oooo000I0?ooo`030000003oool0oooo06l0oooo00<000000?ooo`3o
ool0B`3oool00`000000oooo0?ooo`0@0?ooo`006@3oool00`000000oooo0?ooo`1_0?ooo`030000
003oool0oooo04`0oooo00<000000?ooo`3oool03`3oool001T0oooo00<000000?ooo`3oool0KP3o
ool00`000000oooo0?ooo`1>0?ooo`030000003oool0oooo00h0oooo000I0?ooo`030000003oool0
oooo06h0oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`0>0?ooo`006@3oool20000
06h0oooo00<000000?ooo`3oool0D03oool00`000000oooo0?ooo`0=0?ooo`006@3oool00`000000
oooo0?ooo`1]0?ooo`030000003oool0oooo0500oooo00<000000?ooo`3oool03@3oool001T0oooo
00<000000?ooo`3oool0K03oool00`000000oooo0?ooo`1B0?ooo`030000003oool0oooo00`0oooo
000I0?ooo`030000003oool0oooo06`0oooo00<000000?ooo`3oool0DP3oool00`000000oooo0?oo
o`0<0?ooo`006@3oool00`000000oooo0?ooo`1[0?ooo`030000003oool0oooo05@0oooo00<00000
0?ooo`3oool02`3oool001T0oooo00<000000?ooo`3oool0J`3oool00`000000oooo0?ooo`1D0?oo
o`030000003oool0oooo00/0oooo000I0?ooo`800000J`3oool00`000000oooo0?ooo`1F0?ooo`03
0000003oool0oooo00X0oooo000I0?ooo`030000003oool0oooo06X0oooo00<000000?ooo`3oool0
EP3oool00`000000oooo0?ooo`0:0?ooo`006@3oool00`000000oooo0?ooo`0M0?ooo`030000003o
ool0oooo01`0oooo1000000M0?ooo`8000002P3oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo01/0oooo0P00000O0?ooo`8000000`3oool00`000000oooo0?ooo`090?ooo`006@3oool0
0`000000oooo0?ooo`0M0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0703oool0
10000000oooo0?ooo`0000090?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool06P3o
ool010000000oooo0?ooo`00000M0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3o
ool02@3oool001T0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0N0?ooo`030000
003oool0oooo01h0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0B0?ooo`D00000
7P3oool00`000000oooo0?ooo`0K0?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3o
ool0203oool001T0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0N0?ooo`030000
003oool0oooo01d0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0B0?ooo`040000
003oool0oooo000001`0oooo00@000000?ooo`3oool000007@3oool010000000oooo0?ooo`000003
0?ooo`030000003oool0oooo00P0oooo000I0?ooo`030000003oool0oooo01d0oooo00<000000?oo
o`3oool07`3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0503oool00`000000oooo0000000L0?ooo`<000007P3oool3000000D0oooo00<000000?oo
o`3oool01`3oool001T0oooo0P00000M0?ooo`8000007P3oool010000000oooo0?ooo`00000L0?oo
o`040000003oool0oooo000000L0oooo00<000000?ooo`3oool05@3oool2000001d0oooo00<00000
0?ooo`3oool07@3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo00L0oooo000I
0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool07@3oool2000001h0oooo0P000007
0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool06`3oool3000001h0oooo0P000006
0?ooo`030000003oool0oooo00H0oooo000I0?ooo`030000003oool0oooo06H0oooo00<000000?oo
o`3oool0GP3oool00`000000oooo0?ooo`060?ooo`006@3oool00`000000oooo0?ooo`1U0?ooo`03
0000003oool0oooo0600oooo00<000000?ooo`3oool01@3oool001T0oooo00<000000?ooo`3oool0
I@3oool00`000000oooo0?ooo`1P0?ooo`030000003oool0oooo00D0oooo000I0?ooo`030000003o
ool0oooo06@0oooo00<000000?ooo`3oool0HP3oool00`000000oooo0?ooo`040?ooo`00503ooooH
000000006@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool0103oool01`000000oooo0?ooo`3oool000000?ooo`0000001P3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3oool100000040oooo0@3o
ool001T0oooo0P00001S0?ooo`030000003oool0oooo06/0oooo000I0?ooo`800000H`3oool00`00
0000oooo0?ooo`1[0?ooo`006@3oool00`000000oooo0000001Q0?ooo`030000003oool0oooo06`0
oooo000I0?ooo`030000003oool000000640oooo00<000000?ooo`3oool0K03oool001T0oooo0P00
00000`3oool000000?ooo`1N0?ooo`030000003oool0oooo06d0oooo000I0?ooo`040000003oool0
oooo000005l0oooo00<000000?ooo`3oool0K@3oool001T0oooo00D000000?ooo`3oool0oooo0000
001M0?ooo`030000003oool0oooo06h0oooo000I0?ooo`050000003oool0oooo0?ooo`000000G03o
ool00`000000oooo0?ooo`1_0?ooo`006@3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo05T0oooo00<000000?ooo`3oool0K`3oool001T0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`1H0?ooo`030000003oool0oooo0700oooo000I0?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool0E`3oool00`000000oooo0?ooo`1`0?ooo`006@3oool2000000@0oooo
00<000000?ooo`3oool0EP3oool00`000000oooo0?ooo`1a0?ooo`006@3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo05D0oooo00<000000?ooo`3oool0L@3oool001T0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`1D0?ooo`030000003oool0oooo0780oooo000I0?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0D`3oool00`000000oooo0?ooo`1b0?oo
o`006@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0540oooo00<000000?ooo`3o
ool0L`3oool001T0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`1@0?ooo`030000
003oool0oooo07@0oooo000I0?ooo`800000203oool00`000000oooo0?ooo`1?0?ooo`030000003o
ool0oooo07@0oooo000I0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0CP3oool0
0`000000oooo0?ooo`1e0?ooo`006@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
04d0oooo00<000000?ooo`3oool0M@3oool001T0oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`1<0?ooo`030000003oool0oooo07H0oooo000I0?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool0B`3oool00`000000oooo0?ooo`1f0?ooo`006@3oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo04X0oooo00<000000?ooo`3oool0M`3oool001T0oooo0P00000;
0?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3oool0M`3oool001T0oooo00<000000?oo
o`3oool02`3oool00`000000oooo0?ooo`170?ooo`030000003oool0oooo07P0oooo000I0?ooo`03
0000003oool0oooo00/0oooo00<000000?ooo`3oool0A`3oool00`000000oooo0?ooo`1h0?ooo`00
6@3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo04D0oooo00<000000?ooo`3oool0
N@3oool001T0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`150?ooo`030000003o
ool0oooo07T0oooo00080?ooo`<000000`3oool00`000000oooo0?ooo`02000000H0oooo00<00000
0?ooo`3oool03@3oool00`000000oooo0?ooo`130?ooo`030000003oool0oooo07X0oooo00080?oo
o`040000003oool0oooo000000@0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?oo
o`0=0?ooo`030000003oool0oooo04<0oooo00<000000?ooo`3oool0NP3oool000P0oooo00@00000
0?ooo`3oool000001`3oool00`000000oooo0?ooo`030?ooo`8000003`3oool00`000000oooo0?oo
o`110?ooo`030000003oool0oooo07/0oooo00080?ooo`040000003oool0oooo000000@0oooo00@0
00000?ooo`3oool000001@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo03l0oooo
00<000000?ooo`3oool0O03oool000P0oooo00@000000?ooo`3oool00000103oool3000000H0oooo
00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0o0?ooo`030000003oool0oooo07`0oooo
00080?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`0@0?ooo`030000003oool0oooo03d0oooo00<000000?ooo`3oool0O@3oool000T0oooo0P00
00060?ooo`<000001@3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo03`0oooo00<0
00000?ooo`3oool0O@3oool001T0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0k
0?ooo`030000003oool0oooo07h0oooo000I0?ooo`8000004`3oool00`000000oooo0?ooo`0i0?oo
o`030000003oool0oooo07l0oooo000I0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3o
ool0>03oool00`000000oooo0?ooo`1o0?ooo`006@3oool00`000000oooo0?ooo`0D0?ooo`030000
003oool0oooo03H0oooo00<000000?ooo`3oool0P03oool001T0oooo00<000000?ooo`3oool0503o
ool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo0840oooo000I0?ooo`030000003oool0
oooo01D0oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`210?ooo`006@3oool00`00
0000oooo0?ooo`0F0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool0PP3oool001T0
oooo0P00000G0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool0PP3oool001T0oooo
00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo08<0oooo
000I0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?oo
o`240?ooo`006@3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo02`0oooo00<00000
0?ooo`3oool0Q@3oool001T0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0[0?oo
o`030000003oool0oooo08H0oooo000I0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3o
ool0:@3oool00`000000oooo0?ooo`270?ooo`006@3oool00`000000oooo0?ooo`0K0?ooo`030000
003oool0oooo02L0oooo00<000000?ooo`3oool0R03oool001T0oooo0P00000M0?ooo`030000003o
ool0oooo02H0oooo00<000000?ooo`3oool0R03oool001T0oooo00<000000?ooo`3oool07@3oool0
0`000000oooo0?ooo`0T0?ooo`030000003oool0oooo08T0oooo000I0?ooo`030000003oool0oooo
01d0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`2:0?ooo`006@3oool00`000000
oooo0?ooo`0N0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool0R`3oool001T0oooo
00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo08`0oooo
000I0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool07@3oool00`000000oooo0?oo
o`2=0?ooo`006@3oool200000280oooo0P00000K0?ooo`800000T03oool001T0oooo00<000000?oo
o`3oool08`3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo0900oooo000I0?ooo`03
0000003oool0oooo02@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`2A0?ooo`00
6@3oool00`000000oooo0?ooo`0U0?ooo`8000004`3oool2000009@0oooo000A0?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool09`3oool200000100oooo00<000000?ooo`3oool0U03o
ool00140oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0Y0?ooo`800000303oool2
000009L0oooo000A0?ooo`030000003oool0oooo00D0oooo0P00000/0?ooo``00000V@3oool00140
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`3@0?ooo`004@3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo0=00oooo000@0?ooo`8000001`3oool00`000000oooo0?oo
o`3@0?ooo`004@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0=00oooo003/0?oo
o`00k03oool00>`0oooo003/0?ooo`00k03oool00001\
\>"],
  ImageRangeCache->{{{0, 235.125}, {144.75, 0}} -> {-0.779106, -1.14453, \
0.0307046, 0.0158139}},
  CellTags->"IPM3.Sol.6.4"]
}, Closed]],

Cell[CellGroupData[{

Cell["rotatePlot[plot1, Pi];", "Input",
  CellLabel->"In[17]:=",
  CellTags->"IPM3.Sol.6.4"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.97619 0.151576 0.309018 0.294303 [
[.06673 .29652 -7.59375 -11.875 ]
[.06673 .29652 7.59375 0 ]
[.21831 .29652 -7.59375 -11.875 ]
[.21831 .29652 7.59375 0 ]
[.36989 .29652 -7.59375 -11.875 ]
[.36989 .29652 7.59375 0 ]
[.52146 .29652 -7.59375 -11.875 ]
[.52146 .29652 7.59375 0 ]
[.67304 .29652 -7.59375 -11.875 ]
[.67304 .29652 7.59375 0 ]
[.82461 .29652 -7.59375 -11.875 ]
[.82461 .29652 7.59375 0 ]
[.96369 .01471 -15.1875 -5.9375 ]
[.96369 .01471 0 5.9375 ]
[.96369 .16187 -22.6875 -5.9375 ]
[.96369 .16187 0 5.9375 ]
[.96369 .45617 -16.5 -5.9375 ]
[.96369 .45617 0 5.9375 ]
[.96369 .60332 -9 -5.9375 ]
[.96369 .60332 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.06673 .30902 m
.06673 .31527 L
s
gsave
.06673 .29652 -68.5938 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
.21831 .30902 m
.21831 .31527 L
s
gsave
.21831 .29652 -68.5938 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(5) show
1.000 setlinewidth
grestore
.36989 .30902 m
.36989 .31527 L
s
gsave
.36989 .29652 -68.5938 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4) show
1.000 setlinewidth
grestore
.52146 .30902 m
.52146 .31527 L
s
gsave
.52146 .29652 -68.5938 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(3) show
1.000 setlinewidth
grestore
.67304 .30902 m
.67304 .31527 L
s
gsave
.67304 .29652 -68.5938 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.82461 .30902 m
.82461 .31527 L
s
gsave
.82461 .29652 -68.5938 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.125 Mabswid
.09705 .30902 m
.09705 .31277 L
s
.12736 .30902 m
.12736 .31277 L
s
.15768 .30902 m
.15768 .31277 L
s
.18799 .30902 m
.18799 .31277 L
s
.24862 .30902 m
.24862 .31277 L
s
.27894 .30902 m
.27894 .31277 L
s
.30926 .30902 m
.30926 .31277 L
s
.33957 .30902 m
.33957 .31277 L
s
.4002 .30902 m
.4002 .31277 L
s
.43052 .30902 m
.43052 .31277 L
s
.46083 .30902 m
.46083 .31277 L
s
.49115 .30902 m
.49115 .31277 L
s
.55178 .30902 m
.55178 .31277 L
s
.58209 .30902 m
.58209 .31277 L
s
.61241 .30902 m
.61241 .31277 L
s
.64272 .30902 m
.64272 .31277 L
s
.70335 .30902 m
.70335 .31277 L
s
.73367 .30902 m
.73367 .31277 L
s
.76398 .30902 m
.76398 .31277 L
s
.7943 .30902 m
.7943 .31277 L
s
.85493 .30902 m
.85493 .31277 L
s
.88524 .30902 m
.88524 .31277 L
s
.91556 .30902 m
.91556 .31277 L
s
.94588 .30902 m
.94588 .31277 L
s
.03642 .30902 m
.03642 .31277 L
s
.0061 .30902 m
.0061 .31277 L
s
.25 Mabswid
0 .30902 m
1 .30902 L
s
.97619 .01471 m
.98244 .01471 L
s
gsave
.96369 .01471 -76.1875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.97619 .16187 m
.98244 .16187 L
s
gsave
.96369 .16187 -83.6875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.97619 .45617 m
.98244 .45617 L
s
gsave
.96369 .45617 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.97619 .60332 m
.98244 .60332 L
s
gsave
.96369 .60332 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.125 Mabswid
.97619 .04415 m
.97994 .04415 L
s
.97619 .07358 m
.97994 .07358 L
s
.97619 .10301 m
.97994 .10301 L
s
.97619 .13244 m
.97994 .13244 L
s
.97619 .1913 m
.97994 .1913 L
s
.97619 .22073 m
.97994 .22073 L
s
.97619 .25016 m
.97994 .25016 L
s
.97619 .27959 m
.97994 .27959 L
s
.97619 .33845 m
.97994 .33845 L
s
.97619 .36788 m
.97994 .36788 L
s
.97619 .39731 m
.97994 .39731 L
s
.97619 .42674 m
.97994 .42674 L
s
.97619 .4856 m
.97994 .4856 L
s
.97619 .51503 m
.97994 .51503 L
s
.97619 .54446 m
.97994 .54446 L
s
.97619 .57389 m
.97994 .57389 L
s
.25 Mabswid
.97619 0 m
.97619 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.97619 .30902 m
.93756 .23481 L
.89542 .15951 L
.85585 .09914 L
.81779 .05447 L
.79822 .03757 L
.78733 .03011 L
.77728 .0245 L
.76707 .02007 L
.76168 .01827 L
.75598 .01676 L
.75359 .01625 L
.75103 .01579 L
.74881 .01545 L
.74639 .01516 L
.74493 .01501 L
.74357 .01491 L
.74227 .01483 L
.7416 .01479 L
.74088 .01476 L
.74017 .01474 L
.73952 .01473 L
.73824 .01472 L
.73707 .01472 L
.73584 .01475 L
.73462 .01479 L
.73393 .01483 L
.73329 .01486 L
.73088 .01505 L
.72869 .01528 L
.72636 .0156 L
.72153 .01647 L
.7162 .01778 L
.70674 .02099 L
.69787 .02502 L
.67768 .03778 L
.65918 .05371 L
.61955 .10022 L
.58145 .15838 L
.54088 .23059 L
.50184 .30545 L
.46034 .38514 L
.42036 .45663 L
.38189 .51582 L
.36241 .54096 L
.34098 .56418 L
.32062 .58152 L
.30157 .5933 L
.29116 .59785 L
.28604 .5996 L
Mistroke
.28128 .60092 L
.27699 .60186 L
.27242 .60261 L
.2698 .60292 L
.26852 .60304 L
.26734 .60313 L
.26629 .6032 L
.26513 .60325 L
.26397 .60329 L
.26275 .60332 L
.26144 .60332 L
.26023 .6033 L
.2596 .60329 L
.2589 .60326 L
.25749 .6032 L
.25625 .60312 L
.25492 .60301 L
.25252 .60276 L
.25015 .60244 L
.24765 .60202 L
.2432 .60108 L
.23802 .59967 L
.2332 .59806 L
.22227 .59332 L
.21172 .58734 L
.20177 .58046 L
.18317 .5645 L
.14466 .51958 L
.10368 .45703 L
.06423 .38657 L
.02629 .31383 L
.02381 .30902 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[17]:=",
  ImageSize->{235.5, 145.438},
  ImageMargins->{{41.8125, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003[0000TB000`400?l00000o`00003oj`3oool0
0>/0oooo003[0?ooo`00h03oool00`000000oooo0?ooo`080?ooo`00f03oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00P0oooo003H0?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool0203oool00:L0oooo2000000R0?ooo`@000000`3oool00`000000oooo0?ooo`050?oo
o`8000002@3oool00:<0oooo100000080?ooo`<000009P3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00P0oooo002Q0?ooo`8000003`3oool2000002@0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`080?ooo`00X03oool00`000000oooo0?ooo`0A0?ooo`8000008@3o
ool2000000L0oooo00<000000?ooo`3oool0203oool009h0oooo0P00000F0?ooo`800000803oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo002M0?ooo`030000003oool0oooo
01P0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`080?ooo`00W03oool00`000000
oooo0?ooo`0J0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0203oool009/0oooo
00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0S0?ooo`8000002@3oool009X0oooo00<0
00000?ooo`3oool07P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo00P0oooo002I
0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`08
0?ooo`00V03oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0200oooo00<000000?oo
o`3oool0203oool009L0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0O0?ooo`03
0000003oool0oooo00P0oooo002F0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0
7P3oool00`000000oooo0?ooo`080?ooo`00U@3oool00`000000oooo0?ooo`0X0?ooo`030000003o
ool0oooo01d0oooo0P0000090?ooo`00U03oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0
oooo01d0oooo00<000000?ooo`3oool0203oool009@0oooo00<000000?ooo`3oool0:P3oool00`00
0000oooo0?ooo`0L0?ooo`030000003oool0oooo00P0oooo002C0?ooo`030000003oool0oooo02`0
oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`080?ooo`00TP3oool00`000000oooo
0?ooo`0^0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0203oool00940oooo00<0
00000?ooo`3oool0<03oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo00P0oooo002@
0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`08
0?ooo`00S`3oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo01L0oooo0P0000090?oo
o`00S`3oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3o
ool0203oool008h0oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`0F0?ooo`030000
003oool0oooo00P0oooo002=0?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3oool05@3o
ool00`000000oooo0?ooo`080?ooo`00S@3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0
oooo01D0oooo00<000000?ooo`3oool0203oool008`0oooo00<000000?ooo`3oool0>P3oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo00P0oooo002;0?ooo`030000003oool0oooo03/0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`080?ooo`00RP3oool00`000000oooo
0?ooo`0m0?ooo`030000003oool0oooo01<0oooo0P0000090?ooo`00RP3oool00`000000oooo0?oo
o`0n0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0203oool008T0oooo00<00000
0?ooo`3oool0?`3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00P0oooo00280?oo
o`030000003oool0oooo0440oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`080?oo
o`00R03oool00`000000oooo0?ooo`120?ooo`030000003oool00000008000000`3oool00`000000
oooo0?ooo`02000000H0oooo00<000000?ooo`3oool0203oool008L0oooo00<000000?ooo`3oool0
@`3oool00`000000oooo000000020?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool0
00001@3oool00`000000oooo0?ooo`080?ooo`00QP3oool00`000000oooo0?ooo`100?ooo`@00000
00<0oooo0000000000000P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo
0P0000090?ooo`00QP3oool00`000000oooo0?ooo`160?ooo`040000003oool0oooo000000@0oooo
00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`080?ooo`00Q@3oool00`000000oooo
0?ooo`170?ooo`040000003oool0oooo000000@0oooo0`0000060?ooo`030000003oool0oooo00P0
oooo00250?ooo`030000003oool0oooo04L0oooo0P0000000`3oool000000?ooo`040?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0203oool008@0oooo00<000000?ooo`3oool0B@3o
ool2000000H0oooo0`0000050?ooo`030000003oool0oooo00P0oooo00240?ooo`030000003oool0
oooo04X0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`080?ooo`00P`3oool00`00
0000oooo0?ooo`1;0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0203oool008<0
oooo00<000000?ooo`3oool0C03oool00`000000oooo0?ooo`0;0?ooo`8000002@3oool00880oooo
00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00P0oooo
00220?ooo`030000003oool0oooo04h0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`080?ooo`00P@3oool00`000000oooo0?ooo`1?0?ooo`030000003oool0oooo00X0oooo00<00000
0?ooo`3oool0203oool00840oooo00<000000?ooo`3oool0D03oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo00P0oooo00200?ooo`030000003oool0oooo0540oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`080?ooo`00P03oool00`000000oooo0?ooo`1B0?ooo`030000
003oool0oooo00P0oooo0P0000090?ooo`00O`3oool00`000000oooo0?ooo`1C0?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool0203oool007l0oooo00<000000?ooo`3oool0E03oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo00P0oooo001n0?ooo`030000003oool0oooo
05D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`080?ooo`00O@3oool00`000000
oooo0?ooo`1G0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0203oool007d0oooo
00<000000?ooo`3oool0F03oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo
001l0?ooo`030000003oool0oooo05T0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`080?ooo`00O03oool00`000000oooo0?ooo`1J0?ooo`030000003oool0oooo00@0oooo0P000009
0?ooo`00N`3oool00`000000oooo0?ooo`1K0?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0203oool001D0oooo0P00000P0?ooo`8000008P3oool00`000000oooo0?ooo`0M0?ooo`80
00007`3oool400000200oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00P0oooo000D0?ooo`040000003oool0oooo000001h0oooo00@000000?ooo`3o
ool000008@3oool00`000000oooo0?ooo`0L0?ooo`040000003oool0oooo000001l0oooo00<00000
0?ooo`3oool0803oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool0203oool000l0oooo100000001@3oool000000?ooo`3oool0000001T0oooo10000004
0?ooo`030000003oool0oooo01L0oooo100000000`3oool0000000000003000001P0oooo1@000003
0?ooo`030000003oool0oooo01L0oooo100000030?ooo`030000003oool0oooo01P0oooo10000003
0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`08
0?ooo`00503oool010000000oooo0?ooo`00000N0?ooo`040000003oool0oooo000001h0oooo00@0
00000?ooo`3oool000007@3oool010000000oooo0?ooo`00000Q0?ooo`030000003oool0oooo01l0
oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00P0
oooo000D0?ooo`<000007`3oool300000200oooo00<000000?ooo`000000703oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool07P3oool00`000000oooo
0?ooo`0I0?ooo`050000003oool0oooo0?ooo`0000002P3oool001@0oooo00@000000?ooo`3oool0
00007`3oool00`000000oooo0?ooo`0P0?ooo`800000703oool00`000000oooo000000020?ooo`03
0000003oool0oooo01`0oooo00@000000?ooo`3oool000007`3oool2000001`0oooo00<000000?oo
o`3oool00P0000090?ooo`005@3oool200000200oooo0`00000Q0?ooo`030000003oool0oooo01T0
oooo00@000000?ooo`3oool0oooo0P00000P0?ooo`8000008@3oool00`000000oooo0?ooo`0J0?oo
o`040000003oool0oooo000000X0oooo001g0?ooo`030000003oool0oooo06@0oooo00<000000?oo
o`0000002P3oool007H0oooo00<000000?ooo`3oool0I@3oool00`000000oooo0000000:0?ooo`00
MP3oool00`000000oooo0?ooo`1V0?ooo`8000002P3oool007D0oooo00<000000?ooo`3oool0I`3o
ool2000000X0oooo00040?ooon8000001@3oool000H0oooo00L000000?ooo`3oool0oooo0000003o
ool0000000H0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`8000001@3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`080?ooo`002`3oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo01l0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0
oooo01l0oooo00<000000?ooo`3oool0203oool000/0oooo00<000000?ooo`3oool0I@3oool00`00
0000oooo0?ooo`1Z0?ooo`030000003oool0oooo00P0oooo000<0?ooo`030000003oool0oooo06<0
oooo00<000000?ooo`3oool0J`3oool00`000000oooo0?ooo`080?ooo`00303oool00`000000oooo
0?ooo`1S0?ooo`030000003oool0oooo06/0oooo00<000000?ooo`3oool0203oool000d0oooo00<0
00000?ooo`3oool0H@3oool00`000000oooo0?ooo`1/0?ooo`030000003oool0oooo00P0oooo000=
0?ooo`030000003oool0oooo0640oooo00<000000?ooo`3oool0K03oool2000000T0oooo000>0?oo
o`030000003oool0oooo05l0oooo00<000000?ooo`3oool0K@3oool00`000000oooo0?ooo`080?oo
o`003P3oool00`000000oooo0?ooo`1O0?ooo`030000003oool0oooo06d0oooo00<000000?ooo`3o
ool0203oool000l0oooo00<000000?ooo`3oool0G@3oool00`000000oooo0?ooo`1^0?ooo`030000
003oool0oooo00P0oooo000?0?ooo`030000003oool0oooo05d0oooo00<000000?ooo`3oool0KP3o
ool00`000000oooo0?ooo`080?ooo`00403oool00`000000oooo0?ooo`1K0?ooo`030000003oool0
oooo06l0oooo00<000000?ooo`3oool0203oool00100oooo00<000000?ooo`3oool0F`3oool00`00
0000oooo0?ooo`1_0?ooo`030000003oool0oooo00P0oooo000A0?ooo`030000003oool0oooo05T0
oooo00<000000?ooo`3oool0L03oool2000000T0oooo000A0?ooo`030000003oool0oooo05T0oooo
00<000000?ooo`3oool0L03oool00`000000oooo0?ooo`080?ooo`004P3oool00`000000oooo0?oo
o`1G0?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0203oool00180oooo00<00000
0?ooo`3oool0E`3oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo00P0oooo000C0?oo
o`030000003oool0oooo05D0oooo00<000000?ooo`3oool0LP3oool00`000000oooo0?ooo`080?oo
o`004`3oool00`000000oooo0?ooo`1E0?ooo`030000003oool0oooo0780oooo00<000000?ooo`3o
ool0203oool001@0oooo00<000000?ooo`3oool0D`3oool00`000000oooo0?ooo`1c0?ooo`800000
2@3oool001@0oooo00<000000?ooo`3oool0D`3oool00`000000oooo0?ooo`1c0?ooo`030000003o
ool0oooo00P0oooo000E0?ooo`030000003oool0oooo0540oooo00<000000?ooo`3oool0M03oool0
0`000000oooo0?ooo`080?ooo`005@3oool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo
07@0oooo00<000000?ooo`3oool0203oool001H0oooo00<000000?ooo`3oool0C`3oool00`000000
oooo0?ooo`1e0?ooo`030000003oool0oooo00P0oooo000F0?ooo`030000003oool0oooo04l0oooo
00<000000?ooo`3oool0M@3oool00`000000oooo0?ooo`080?ooo`005`3oool00`000000oooo0?oo
o`1=0?ooo`030000003oool0oooo07H0oooo00<000000?ooo`3oool0203oool001L0oooo00<00000
0?ooo`3oool0C@3oool00`000000oooo0?ooo`1f0?ooo`8000002@3oool001P0oooo00<000000?oo
o`3oool0B`3oool00`000000oooo0?ooo`1g0?ooo`030000003oool0oooo00P0oooo000H0?ooo`03
0000003oool0oooo04/0oooo00<000000?ooo`3oool0M`3oool00`000000oooo0?ooo`080?ooo`00
6@3oool00`000000oooo0?ooo`190?ooo`030000003oool0oooo07P0oooo00<000000?ooo`3oool0
203oool001T0oooo00<000000?ooo`3oool0B@3oool00`000000oooo0?ooo`1W0?ooo`<000000`3o
ool00`000000oooo0?ooo`02000000H0oooo00<000000?ooo`3oool0203oool001X0oooo00<00000
0?ooo`3oool0A`3oool00`000000oooo0?ooo`1X0?ooo`040000003oool0oooo000000@0oooo00@0
00000?ooo`3oool000001@3oool00`000000oooo0?ooo`080?ooo`006P3oool00`000000oooo0?oo
o`170?ooo`030000003oool0oooo06P0oooo00@000000?ooo`3oool000001`3oool00`000000oooo
0?ooo`030?ooo`8000002@3oool001/0oooo00<000000?ooo`3oool0A@3oool00`000000oooo0?oo
o`1Y0?ooo`040000003oool0oooo000000@0oooo00@000000?ooo`3oool000001@3oool00`000000
oooo0?ooo`080?ooo`00703oool00`000000oooo0?ooo`130?ooo`030000003oool0oooo06X0oooo
00@000000?ooo`3oool00000103oool3000000H0oooo00<000000?ooo`3oool0203oool001`0oooo
00<000000?ooo`3oool0@`3oool00`000000oooo0?ooo`1Z0?ooo`040000003oool0oooo000000D0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`007@3oool00`000000oooo
0?ooo`110?ooo`030000003oool0oooo06`0oooo0P0000060?ooo`<000001@3oool00`000000oooo
0?ooo`080?ooo`007P3oool00`000000oooo0?ooo`0o0?ooo`030000003oool0oooo07d0oooo00<0
00000?ooo`3oool0203oool001l0oooo00<000000?ooo`3oool0?P3oool00`000000oooo0?ooo`1m
0?ooo`030000003oool0oooo00P0oooo000O0?ooo`030000003oool0oooo03d0oooo00<000000?oo
o`3oool0OP3oool2000000T0oooo000P0?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3o
ool0O`3oool00`000000oooo0?ooo`080?ooo`008@3oool00`000000oooo0?ooo`0i0?ooo`030000
003oool0oooo0800oooo00<000000?ooo`3oool0203oool00240oooo00<000000?ooo`3oool0>@3o
ool00`000000oooo0?ooo`200?ooo`030000003oool0oooo00P0oooo000R0?ooo`030000003oool0
oooo03L0oooo00<000000?ooo`3oool0P@3oool00`000000oooo0?ooo`080?ooo`008`3oool00`00
0000oooo0?ooo`0e0?ooo`030000003oool0oooo0880oooo00<000000?ooo`3oool0203oool002@0
oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`220?ooo`030000003oool0oooo00P0
oooo000T0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0P`3oool2000000T0oooo
000U0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool0Q03oool00`000000oooo0?oo
o`080?ooo`009P3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo08@0oooo00<00000
0?ooo`3oool0203oool002L0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`250?oo
o`030000003oool0oooo00P0oooo000W0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3o
ool0QP3oool00`000000oooo0?ooo`080?ooo`00:03oool00`000000oooo0?ooo`0/0?ooo`030000
003oool0oooo08H0oooo00<000000?ooo`3oool0203oool002T0oooo00<000000?ooo`3oool0:P3o
ool00`000000oooo0?ooo`270?ooo`8000002@3oool002X0oooo00<000000?ooo`3oool0:03oool0
0`000000oooo0?ooo`280?ooo`030000003oool0oooo00P0oooo000[0?ooo`030000003oool0oooo
02H0oooo00<000000?ooo`3oool0R@3oool00`000000oooo0?ooo`080?ooo`00:`3oool00`000000
oooo0?ooo`0U0?ooo`030000003oool0oooo08X0oooo00<000000?ooo`3oool0203oool002`0oooo
00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`2;0?ooo`030000003oool0oooo00P0oooo
000]0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool0S03oool00`000000oooo0?oo
o`080?ooo`00;P3oool200000200oooo00<000000?ooo`3oool0S@3oool00`000000oooo0?ooo`08
0?ooo`00<03oool2000001`0oooo0P00002@0?ooo`8000002@3oool00380oooo00<000000?ooo`3o
ool0603oool00`000000oooo0?ooo`2@0?ooo`030000003oool0oooo00P0oooo000c0?ooo`030000
003oool0oooo01H0oooo00<000000?ooo`3oool0T@3oool00`000000oooo0?ooo`080?ooo`00=03o
ool00`000000oooo0?ooo`0C0?ooo`800000U03oool00`000000oooo0?ooo`080?ooo`00=@3oool3
00000100oooo0P00002>0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool0
03P0oooo0P00000<0?ooo`800000T03oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00P0oooo000j0?ooo`D000000P3oool500000980oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`080?ooo`00?P3oool3000009L0oooo00<000000?ooo`3oool01@3oool2000000T0oooo
003H0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00=L0oooo0P000007
0?ooo`030000003oool0oooo00P0oooo003H0?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0203oool00>/0oooo003[0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 234.5}, {144.438, 0}} -> {-6.57633, -1.08961, \
0.0292941, 0.0150875}},
  CellTags->"IPM3.Sol.6.4"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["  7 Recursion", "SolutionsSection",
  CellTags->"c:7"],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["7.1",
    ButtonData:>"IPM3.7.1.2",
    ButtonStyle->"SolutionsLink"],
  "  Fibonacci numbers"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.7.1"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["",
  FontSlant->"Italic"]], "SolutionItem",
  CellTags->"IPM3.Sol.7.1"],

Cell["\<\
This is a straightforward recursion, multiplying the previous two values to \
get the next.\
\>", "SolutionSubItem",
  CellTags->"IPM3.Sol.7.1"],

Cell[BoxData[{
    \(a[1] := 2\), "\n", 
    \(a[2] := 3\), "\n", 
    \(a[i_] := a[i - 1]\ a[i - 2]\)}], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.7.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Table[a[i], {i, 1, 8}]\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.7.1"],

Cell[BoxData[
    \({2, 3, 6, 18, 108, 1944, 209952, 408146688}\)], "Output",
  CellLabel->"Out[4]=",
  CellTags->"IPM3.Sol.7.1"]
}, Closed]],

Cell["\<\
The sequence is obtained by taking the difference of the previous two values.\
\
\>", "SolutionSubItem",
  CellTags->"IPM3.Sol.7.1"],

Cell[BoxData[{
    \(b[1] := 0\), "\n", 
    \(b[2] := 1\), "\n", 
    \(b[i_] := b[i - 2] - b[i - 1]\)}], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.7.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Table[b[i], {i, 1, 9}]\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.7.1"],

Cell[BoxData[
    \({0, 1, \(-1\), 2, \(-3\), 5, \(-8\), 13, \(-21\)}\)], "Output",
  CellLabel->"Out[8]=",
  CellTags->"IPM3.Sol.7.1"]
}, Closed]],

Cell["Here we add the previous three values.", "SolutionSubItem",
  CellTags->"IPM3.Sol.7.1"],

Cell[BoxData[{
    \(c[1] := 0\), "\n", 
    \(c[2] := 1\), "\n", 
    \(c[3] := 2\), "\n", 
    \(c[i_] := c[i - 3] + c[i - 2] + c[i - 1]\)}], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.7.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Table[c[i], {i, 1, 9}]\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.7.1"],

Cell[BoxData[
    \({0, 1, 2, 3, 6, 11, 20, 37, 68}\)], "Output",
  CellLabel->"Out[13]=",
  CellTags->"IPM3.Sol.7.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["It is important to get the two base cases right here.", "SolutionItem",
  CellTags->"IPM3.Sol.7.1"],

Cell[BoxData[{
    \(FA[1] := 0\), "\n", 
    \(FA[2] := 0\), "\n", 
    \(FA[i_] := FA[i - 2] + FA[i - 1] + 1\)}], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.7.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[FA, Range[8]]\)], "Input",
  CellLabel->"In[17]:=",
  CellTags->"IPM3.Sol.7.1"],

Cell[BoxData[
    \({0, 0, 1, 2, 4, 7, 12, 20}\)], "Output",
  CellLabel->"Out[17]=",
  CellTags->"IPM3.Sol.7.1"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["7.2",
    ButtonData:>"IPM3.7.2.2",
    ButtonStyle->"SolutionsLink"],
  "  List functions"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.7.2"],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.2"],

Cell[BoxData[{
    \(sumOddElements[{}] := 0\), "\n", 
    \(sumOddElements[{x_, y___}] := 
      x + sumOddElements[{y}] /; IntegerQ[x] && OddQ[x]\), "\n", 
    \(sumOddElements[{x_, y___}] := sumOddElements[{y}]\)}], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.7.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(sumOddElements[{2, 3, 5, 6, 7, 9, 12, 13}]\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.7.2"],

Cell[BoxData[
    \(37\)], "Output",
  CellLabel->"Out[4]=",
  CellTags->"IPM3.Sol.7.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.2"],

Cell[BoxData[{
    \(sumEveryOtherElement[{}] := 0\), "\n", 
    \(sumEveryOtherElement[{x_}] := x\), "\n", 
    \(sumEveryOtherElement[{x_, y_, r___}] := 
      x + sumEveryOtherElement[{r}]\)}], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.7.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(sumEveryOtherElement[{1, 2, 3, 4, 5, 6, 7, 8, 9}]\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.7.2"],

Cell[BoxData[
    \(25\)], "Output",
  CellLabel->"Out[8]=",
  CellTags->"IPM3.Sol.7.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.2"],

Cell[BoxData[{
    \(addTriples[{}, {}, {}] := {}\), "\n", 
    \(addTriples[{x1_, y1___}, {x2_, y2___}, {x3_, y3___}] := 
      Join[{x1 + x2 + x3}, addTriples[{y1}, {y2}, {y3}]]\)}], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.7.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(addTriples[{w\_1, x\_1, y\_1, z\_1}, {w\_2, x\_2, y\_2, z\_2}, {w\_3, 
        x\_3, y\_3, z\_3}]\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.7.2"],

Cell[BoxData[
    \({w\_1 + w\_2 + w\_3, x\_1 + x\_2 + x\_3, y\_1 + y\_2 + y\_3, 
      z\_1 + z\_2 + z\_3}\)], "Output",
  CellLabel->"Out[11]=",
  CellTags->"IPM3.Sol.7.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.2"],

Cell[BoxData[{
    \(multAllPairs[{}] := {}\), "\n", 
    \(multAllPairs[{_}] := {}\), "\n", 
    \(multAllPairs[{x_, y_, r___}] := 
      Join[{x\ y}, multAllPairs[{y, r}]]\)}], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.7.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(multAllPairs[{3, 9, 17, 2, 6, 60}]\)], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.7.2"],

Cell[BoxData[
    \({27, 153, 34, 12, 360}\)], "Output",
  CellLabel->"Out[15]=",
  CellTags->"IPM3.Sol.7.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.2"],

Cell[BoxData[{
    \(maxPairs[{}, {}] := {}\), "\n", 
    \(maxPairs[{x_, r___}, {y_, s___}] := 
      Join[{Max[x, y]}, maxPairs[{r}, {s}]]\)}], "Input",
  CellLabel->"In[16]:=",
  CellTags->"IPM3.Sol.7.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(maxPairs[{1, 2, 4}, {2, 7, 2}]\)], "Input",
  CellLabel->"In[18]:=",
  CellTags->"IPM3.Sol.7.2"],

Cell[BoxData[
    \({2, 7, 4}\)], "Output",
  CellLabel->"Out[18]=",
  CellTags->"IPM3.Sol.7.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.2"],

Cell[BoxData[{
    \(interleave[{}, {}] := {}\), "\n", 
    \(interleave[{x_, r___}, {y_, s___}] := 
      Join[{x, y}, interleave[{r}, {s}]]\)}], "Input",
  CellLabel->"In[19]:=",
  CellTags->"IPM3.Sol.7.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(interleave[{a, b, c}, {x, y, z}]\)], "Input",
  CellLabel->"In[21]:=",
  CellTags->"IPM3.Sol.7.2"],

Cell[BoxData[
    \({a, x, b, y, c, z}\)], "Output",
  CellLabel->"Out[21]=",
  CellTags->"IPM3.Sol.7.2"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["7.3",
    ButtonData:>"IPM3.7.3.5",
    ButtonStyle->"SolutionsLink"],
  "  Thinking recursively: examples"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.7.3"],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.3"],

Cell[BoxData[{
    \(prefixMatch[L_, {}] := {}\), "\n", 
    \(prefixMatch[{}, M_] := {}\), "\n", 
    \(prefixMatch[{x_, r___}, {x_, s___}] := 
      Join[{x}, prefixMatch[{r}, {s}]]\), "\n", 
    \(prefixMatch[{x_, r___}, {y_, s___}] := {}\)}], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.7.3"]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.3"],

Cell[BoxData[{
    \(runEncode2[{}] := {}\), "\n", 
    \(runEncode2[{x_}] := {x}\), "\n", 
    \(runEncode2[{x_, r__}] := 
      runEncode2[{r}] /. \[InvisibleSpace]{{{y_, k_}, s___} \[Rule] 
            If[x == y, {{x, k + 1}, s}, {x, {y, k}, s}], {y_, s___} \[Rule] 
            If[x == y, {{x, 2}, s}, {x, y, s}]}\)}], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.7.3"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Perhaps the most straightforward way to do this is to write an auxiliary \
function that takes the output from ",
  StyleBox["runEncode", "MR"],
  " and produces output such as ",
  StyleBox["Split", "MR"],
  " would generate."
}], "SolutionItem",
  CellTags->"IPM3.Sol.7.3"],

Cell["\<\
runEncode[{}] := {}
runEncode[{x_}] := {{x, 1}}\
\>", "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.7.3"],

Cell[BoxData[
    \(runEncode[{x_, res___}] := 
      Module[{R = runEncode[{res}], p}, \[IndentingNewLine]p = 
          First[R]; \[IndentingNewLine]If[
          x \[Equal] 
            First[p], \[IndentingNewLine]Join[{{x, 
                p\[LeftDoubleBracket]2\[RightDoubleBracket] + 1}}, 
            Rest[R]], \[IndentingNewLine]Join[{{x, 1}}, R]]]\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.7.3"],

Cell[TextData[{
  "Then our ",
  StyleBox["split", "MR"],
  " (named to mimic the built-in ",
  StyleBox["Split", "MR"],
  ") simply operates on the output of ",
  StyleBox["runEncode", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.3"],

Cell[BoxData[
    \(sp[lis_] := Map[Table[#[\([1]\)], {#[\([2]\)]}] &, lis]\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.7.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(sp[{{3, 2}, {4, 1}, {2, 5}}]\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.7.3"],

Cell[BoxData[
    \({{3, 3}, {4}, {2, 2, 2, 2, 2}}\)], "Output",
  CellLabel->"Out[12]=",
  CellTags->"IPM3.Sol.7.3"]
}, Closed]],

Cell[BoxData[
    \(split[lis_] := sp[runEncode[lis]]\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.7.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(split[{9, 9, 9, 9, 9, 4, 3, 3, 3, 3, 5, 5, 5, 5, 5, 5}]\)], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.7.3"],

Cell[BoxData[
    \({{9, 9, 9, 9, 9}, {4}, {3, 3, 3, 3}, {5, 5, 5, 5, 5, 5}}\)], "Output",
  CellLabel->"Out[14]=",
  CellTags->"IPM3.Sol.7.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.3"],

Cell[BoxData[{
    \(runEncode[{}] := {}\), "\n", 
    \(runEncode[{x_, r___}] := runEncode[x, 1, {r}]\), "\n", 
    \(runEncode[x_, k_, {}] := {{x, k}}\), "\n", 
    \(runEncode[x_, k_, {x_, r___}] := runEncode[x, k + 1, {r}]\), "\n", 
    \(runEncode[x_, k_, {y_, r___}] := 
      Join[{{x, k}}, runEncode[y, 1, {r}]]\)}], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.7.3"]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.3"],

Cell[BoxData[{
    \(maxima[{}] := {}\), "\n", 
    \(maxima[{x_, r___}] := maxima[x, {r}]\)}], "Input",
  CellLabel->"In[20]:=",
  CellTags->"IPM3.Sol.7.3"],

Cell[BoxData[{
    \(maxima[x_, {}] := {x}\), "\n", 
    \(maxima[x_, {y_, r___}] := 
      maxima[x, {r}] /; x \[GreaterEqual] y\), "\n", 
    \(maxima[x_, {y_, r___}] := Join[{x}, maxima[y, {r}]]\)}], "Input",
  CellLabel->"In[22]:=",
  CellTags->"IPM3.Sol.7.3"]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.3"],

Cell[BoxData[{
    \(runDecode[{}] := {}\), "\n", 
    \(runDecode[{{x_, k_}, r___}] := 
      Join[Table[x, {k}], runDecode[{r}]]\)}], "Input",
  CellLabel->"In[25]:=",
  CellTags->"IPM3.Sol.7.3"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "We will need two sets of rules for the ",
  StyleBox["subsets", "MR"],
  " function."
}], "SolutionItem",
  CellTags->"IPM3.Sol.7.3"],

Cell[BoxData[{
    \(\(Clear[subsets];\)\), "\[IndentingNewLine]", 
    \(subsets[lis_, {0}] := {{}}\), "\n", 
    \(subsets[{}, {k_}] := {}\)}], "Input",
  CellLabel->"In[27]:=",
  CellTags->"IPM3.Sol.7.3"],

Cell[BoxData[
    \(subsets[lis_, {k_}] := 
      Module[{ksubs = subsets[Rest[lis], {k - 1}]}, 
        Join[Map[\((Join[{First[lis]}, #] &)\), ksubs], 
          subsets[Rest[lis], {k}]]]\)], "Input",
  CellLabel->"In[30]:=",
  CellTags->"IPM3.Sol.7.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(subsets[Range[5], {2}]\)], "Input",
  CellLabel->"In[31]:=",
  CellTags->"IPM3.Sol.7.3"],

Cell[BoxData[
    \({{1, 2}, {1, 3}, {1, 4}, {1, 5}, {2, 3}, {2, 4}, {2, 5}, {3, 4}, {3, 
        5}, {4, 5}}\)], "Output",
  CellLabel->"Out[31]=",
  CellTags->"IPM3.Sol.7.3"]
}, Closed]],

Cell["The second form simply calls the first.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.3"],

Cell[BoxData[
    \(subsets[lis_, k_] := 
      Flatten[Map[subsets[lis, {#}] &, Range[0, k]], 1]\)], "Input",
  CellLabel->"In[32]:=",
  CellTags->"IPM3.Sol.7.3"],

Cell["\<\
The second form simply calls the first. This gives all subsets up to length \
3.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(subsets[Range[5], 3]\)], "Input",
  CellLabel->"In[33]:=",
  CellTags->"IPM3.Sol.7.3"],

Cell[BoxData[
    \({{}, {1}, {2}, {3}, {4}, {5}, {1, 2}, {1, 3}, {1, 4}, {1, 5}, {2, 
        3}, {2, 4}, {2, 5}, {3, 4}, {3, 5}, {4, 5}, {1, 2, 3}, {1, 2, 4}, {1, 
        2, 5}, {1, 3, 4}, {1, 3, 5}, {1, 4, 5}, {2, 3, 4}, {2, 3, 5}, {2, 4, 
        5}, {3, 4, 5}}\)], "Output",
  CellLabel->"Out[33]=",
  CellTags->"IPM3.Sol.7.3"]
}, Closed]],

Cell[TextData[{
  "A comparison with the built-in ",
  StyleBox["Subsets", "MR"],
  " functions."
}], "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->{"IPM3.Sol.7.3", "i:4"}],

Cell[CellGroupData[{

Cell[BoxData[
    \(Subsets[Range[5], 3]\)], "Input",
  CellLabel->"In[34]:=",
  CellTags->"IPM3.Sol.7.3"],

Cell[BoxData[
    \({{}, {1}, {2}, {3}, {4}, {5}, {1, 2}, {1, 3}, {1, 4}, {1, 5}, {2, 
        3}, {2, 4}, {2, 5}, {3, 4}, {3, 5}, {4, 5}, {1, 2, 3}, {1, 2, 4}, {1, 
        2, 5}, {1, 3, 4}, {1, 3, 5}, {1, 4, 5}, {2, 3, 4}, {2, 3, 5}, {2, 4, 
        5}, {3, 4, 5}}\)], "Output",
  CellLabel->"Out[34]=",
  CellTags->"IPM3.Sol.7.3"]
}, Closed]]
}, Closed]],

Cell[TextData[{
  "The recursion in this definition of ",
  StyleBox["subsets", "MR"],
  " can get quite deep."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[\(subsets[Range[1000], 2];\)]\)], "Input",
  CellLabel->"In[35]:="],

Cell[BoxData[
    RowBox[{\($RecursionLimit::"reclim"\), \(\(:\)\(\ \)\), "\<\"Recursion \
depth of \\!\\(256\\) exceeded. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message",
  CellLabel->"From In[11]:="],

Cell[BoxData[
    RowBox[{\(General::"stop"\), \(\(:\)\(\ \)\), "\<\"Further output of \
\\!\\($RecursionLimit :: \\\"reclim\\\"\\) will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::stop\\\"]\\)\"\>"}]], "Message",
  CellLabel->"From In[11]:="]
}, Closed]],

Cell[TextData[{
  "You can temporarily increase the value of ",
  StyleBox["$RecursionLimit", "MR"],
  " to let this computation run to the end."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[\[IndentingNewLine]Block[{$RecursionLimit = \[Infinity]}, \
\[IndentingNewLine]\(subsets[Range[1000], 2];\)]]\)], "Input",
  CellLabel->"In[36]:="],

Cell[BoxData[
    \({44.855`\ Second, Null}\)], "Output",
  CellLabel->"Out[36]="]
}, Closed]],

Cell[TextData[{
  "But we can see pretty clearly just how inefficient our recursive approach \
to this problem is for large computations by comparing with the built-in ",
  StyleBox["Subsets", "MR"],
  " function which is more than two orders of magnitude faster for sets of \
this size."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[\(Subsets[Range[1000], 2];\)]\)], "Input",
  CellLabel->"In[37]:="],

Cell[BoxData[
    \({0.14000000000000057`\ Second, Null}\)], "Output",
  CellLabel->"Out[37]="]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["7.4",
    ButtonData:>"IPM3.7.4.2",
    ButtonStyle->"SolutionsLink"],
  "  Recursion and symbolic computations"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.7.4"],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.4"],

Cell[BoxData[{
    \(ddx[c_?NumericQ] := 0\), "\n", 
    \(ddx[x] := 1\), "\n", 
    \(ddx[u_ + v_] := ddx[u] + ddx[v]\), "\n", 
    \(ddx[u_ - v_] := ddx[u] - ddx[v]\), "\n", 
    \(ddx[u_\ v_] := u\ ddx[v] + v\ ddx[u]\), "\n", 
    \(ddx[u_\/v_] := \(v\ ddx[u] - u\ ddx[v]\)\/v\^2\), "\n", 
    \(ddx[u_\^c_?NumericQ] := c\ u\^\(c - 1\)\ ddx[u]\)}], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.7.4"],

Cell[BoxData[{
    \(ddx[Sin[u_]] := Cos[u]\ ddx[u]\), "\n", 
    \(ddx[\ Cos[u_]] := \(-Sin[u]\)\ ddx[u]\), "\n", 
    \(ddx[Tan[u_]] := 1\/Cos[u]\^2\ ddx[u]\)}], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.7.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ddx[Sin[2  x] + Cos[3  x]]\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.7.4"],

Cell[BoxData[
    \(2\ Cos[2\ x] - 3\ Sin[3\ x]\)], "Output",
  CellLabel->"Out[11]=",
  CellTags->"IPM3.Sol.7.4"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ddx[Tan[3  x\^5]]\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.7.4"],

Cell[BoxData[
    \(15\ x\^4\ Sec[3\ x\^5]\^2\)], "Output",
  CellLabel->"Out[12]=",
  CellTags->"IPM3.Sol.7.4"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.4"],

Cell[BoxData[
    \(Clear[ddx]\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.7.4"],

Cell[BoxData[{
    \(ddx[c_?NumericQ] := 0\), "\n", 
    \(ddx[x] := 1\), "\n", 
    \(ddx[u_ + v_] := ddx[u] + ddx[v]\), "\n", 
    \(ddx[u_ - v_] := ddx[u] - ddx[v]\), "\n", 
    \(ddx[u_\ v_] := u\ ddx[v] + v\ ddx[u]\), "\n", 
    \(ddx[u_\/v_] := \(v\ ddx[u] - u\ ddx[v]\)\/v\^2\), "\n", 
    \(ddx[u_\^c_?NumericQ] := c\ u\^\(c - 1\)\ ddx[u]\)}], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.7.4"],

Cell[BoxData[
    \(ddx[u_] := 0 /; nox[u]\)], "Input",
  CellLabel->"In[21]:=",
  CellTags->"IPM3.Sol.7.4"],

Cell[BoxData[{
    \(nox[c_?NumericQ] := True\), "\n", 
    \(nox[x] := False\), "\n", 
    \(nox[y_] := True /; Head[y] == Symbol && y =!= x\), "\n", 
    \(nox[u_ + v_] := nox[u] && nox[v]\), "\n", 
    \(nox[u_ - v_] := nox[u] && nox[v]\), "\n", 
    \(nox[u_\ v_] := u\ nox[v] && v\ nox[u]\), "\n", 
    \(nox[u_\/v_] := nox[u] && nox[v]\), "\n", 
    \(nox[u_\^c_?NumericQ] := nox[u]\)}], "Input",
  CellLabel->"In[22]:=",
  CellTags->"IPM3.Sol.7.4"]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.4"],

Cell[BoxData[{
    \(Clear[ddx]; \), "\[IndentingNewLine]", 
    \(ddx[c_?NumericQ, y_] := 0\), "\n", 
    \(ddx[x_, x_] := 1\), "\n", 
    \(ddx[y_, x_] := 0 /; FreeQ[y, x]\), "\n", 
    \(ddx[u_ + v_, x_] := ddx[u, x] + ddx[v, x]\), "\n", 
    \(ddx[u_ - v_, x_] := ddx[u, x] - ddx[v, x]\), "\n", 
    \(ddx[u_\ v_, x_] := u\ ddx[v, x] + v\ ddx[u, x]\), "\n", 
    \(ddx[u_\/v_, x_] := \(v\ ddx[u, x] - u\ ddx[v, x]\)\/v\^2\), "\n", 
    \(ddx[u_\^c_?NumericQ, x_] := c\ u\^\(c - 1\)\ ddx[u, x]\)}], "Input",
  CellLabel->"In[30]:=",
  CellTags->"IPM3.Sol.7.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ddx[\[Alpha]\ \[Zeta]\^3 + \[Beta]\ \[Zeta]\^2 + \[Gamma], \[Zeta]]\)], \
"Input",
  CellLabel->"In[39]:=",
  CellTags->"IPM3.Sol.7.4"],

Cell[BoxData[
    \(2\ \[Beta]\ \[Zeta] + 3\ \[Alpha]\ \[Zeta]\^2\)], "Output",
  CellLabel->"Out[39]=",
  CellTags->"IPM3.Sol.7.4"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ddx[\[Theta]\/\(1 + \[Theta]\^3\), \[Theta]]\)], "Input",
  CellLabel->"In[40]:=",
  CellTags->"IPM3.Sol.7.4"],

Cell[BoxData[
    \(\(1 - 2\ \[Theta]\^3\)\/\((1 + \[Theta]\^3)\)\^2\)], "Output",
  CellLabel->"Out[40]=",
  CellTags->"IPM3.Sol.7.4"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["7.5",
    ButtonData:>"IPM3.7.5.5",
    ButtonStyle->"SolutionsLink"],
  "  Classical examples"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.7.5"],

Cell[CellGroupData[{

Cell[TextData[{
  "The solution to this problem also appears in Section 8.5. We will call our \
new function ",
  StyleBox["solvep", "MR"],
  " (for pivoting)."
}], "SolutionItem",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(Clear[solve]\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(\(solvep[S_] := 
        Module[{S1 = pivot[S], E1, a12toa1n, x2toxn}, 
          x2toxn = solvep[elimx1[S1]]; \[IndentingNewLine]E1 = 
            First[S1]; \[IndentingNewLine]a12toa1n = 
            Drop[Rest[
                E1], \(-1\)]; \[IndentingNewLine]Join[{\(Last[E1] - a12toa1n \
. x2toxn\)\/First[E1]}, x2toxn]];\)\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(solvep[{{a11_, b1_}}] := {b1\/a11}\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(elimx1[S_] := 
      Map[subtractE1[S\[LeftDoubleBracket]1\[RightDoubleBracket], #] &, 
        Rest[S]]\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(subtractE1[E1_, Ei_] := 
      Rest[Ei] - 
        Ei\[LeftDoubleBracket]1\[RightDoubleBracket]\/E1\[LeftDoubleBracket]1\
\[RightDoubleBracket]\ Rest[E1]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(pivot[Q_] := 
      Module[{p, ST1, pivotrow}, 
        ST1 = \(Transpose[
              Q]\)\[LeftDoubleBracket]1\[RightDoubleBracket]; \
\[IndentingNewLine]p = 
          Position[ST1, x_ /; x \[NotEqual] 0]; \[IndentingNewLine]If[
          p == {}, \[IndentingNewLine]Print["\<Matrix is singular\>"]; Q, 
          pivotrow = \(p\[LeftDoubleBracket]1\[RightDoubleBracket]\)\
\[LeftDoubleBracket]1\[RightDoubleBracket]; 
          Join[{Q\[LeftDoubleBracket]pivotrow\[RightDoubleBracket]}, 
            Delete[Q, pivotrow]]]]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(solve[A_, B_] := solvep[Transpose[Join[Transpose[A], {B}]]]\)], "Input",\

  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell["Here are some test examples.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(mat = Table[Random[], {4}, {4}]\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \({{0.5541273993544166`, 0.4265928020607117`, 0.86127780796496`, 
        0.49252120540519534`}, {0.572684383918004`, 0.4772441725615345`, 
        0.6903753835659419`, 0.8836596822059072`}, {0.40193456057568716`, 
        0.6484864997340849`, 0.818292033862656`, 
        0.5160093973291727`}, {0.12960268225991897`, 0.5625617572433828`, 
        0.1167792456842798`, 0.6991937760817989`}}\)], "Output",
  CellLabel->"Out[8]=",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(b = Table[Random[], {4}]\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \({0.5646814754001442`, 0.4898868345782636`, 0.5425154863538203`, 
      0.264060981603358`}\)], "Output",
  CellLabel->"Out[9]=",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(x = solve[mat, b]\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \({1.599982583350698`, 
      0.9649703030276114`, \(-0.5020521674461184`\), \
\(-0.6114573432192679`\)}\)], "Output",
  CellLabel->"Out[10]=",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(mat . x - b\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \({\(-1.1102230246251565`*^-16\), \(-1.6653345369377348`*^-16\), \
\(-1.1102230246251565`*^-16\), \(-4.440892098500626`*^-16\)}\)], "Output",
  CellLabel->"Out[11]=",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Chop[%]\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \({0, 0, 0, 0}\)], "Output",
  CellLabel->"Out[12]=",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "To compute ",
  StyleBox["solveUpper[", "MR"],
  Cell[BoxData[
      \(TraditionalForm\`A\)]],
  StyleBox[",", "MR"],
  Cell[BoxData[
      \(TraditionalForm\`B\)]],
  StyleBox["]", "MR"],
  ", first recursively compute ",
  StyleBox["solveUpper[", "MR"],
  Cell[BoxData[
      \(TraditionalForm\`A\^\[Prime]\)]],
  StyleBox[",", "MR"],
  Cell[BoxData[
      \(TraditionalForm\`B\^\[Prime]\)]],
  StyleBox["]", "MR"],
  ", where ",
  Cell[BoxData[
      \(TraditionalForm\`A\^\[Prime]\)]],
  " is the lower-right square submatrix of ",
  Cell[BoxData[
      \(TraditionalForm\`A\)]],
  ", and ",
  Cell[BoxData[
      \(TraditionalForm\`B\^\[Prime]\)]],
  " is the ",
  StyleBox["Rest", "MR"],
  " of ",
  StyleBox["B", "MR"],
  ". This solution gives the values of ",
  Cell[BoxData[
      \(TraditionalForm\`x\_2, \[Ellipsis], x\_n\)]],
  ". ",
  StyleBox["B[[1]]", "MR"],
  " is equal to the dot product of the top row of ",
  Cell[BoxData[
      \(TraditionalForm\`A\)]],
  " (",
  StyleBox["i.e.",
    FontSlant->"Italic"],
  ", ",
  StyleBox["A[[1]]", "MR"],
  ") and the vector ",
  Cell[BoxData[
      \(TraditionalForm\`x\_1, \[Ellipsis], x\_n\)]],
  " (that is, ",
  StyleBox["B[[1]]", "MR"],
  ") is equal to ",
  StyleBox["A[[1]]*", "MR"],
  Cell[BoxData[
      \(TraditionalForm\`x\_1\)]],
  StyleBox[" + ... + A[[n]]*", "MR"],
  Cell[BoxData[
      \(TraditionalForm\`x\_n\)]],
  ". It is easy to compute ",
  Cell[BoxData[
      \(TraditionalForm\`x\_1\)]],
  " from this formula."
}], "SolutionItem",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(solveUpper[{{ann_}}, {bn_}] := {bn\/ann}\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(solveUpper[{A1_, rA__}, {b1_, rB__}] := 
      Module[{subsoln = solveUpper[Rest /@ {rA}, {rB}]}, 
        Join[{\(b1 - Rest[A1] . subsoln\)\/First[A1]}, subsoln]]\)], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[TextData[{
  "It is easy to show that if you rotate a matrix by 90 degrees, and turn the \
vector ",
  Cell[BoxData[
      \(TraditionalForm\`B\)]],
  " upside down, the solution to the resulting system is the same as the \
solution to the original system, but turned upside down."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(rotateMatrix[A_] := Reverse[Map[Reverse, A]]\)], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(solveLower[A_, B_] := 
      Reverse[solveUpper[rotateMatrix[A], Reverse[B]]]\)], "Input",
  CellLabel->"In[16]:=",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(LUdecomp1[S_] := 
      Module[{mults = 
            multipliers[S\[LeftDoubleBracket]1, 1\[RightDoubleBracket], 
              Rest[S]]}, 
        Module[{Sprime = elimx1[mults, Rest /@ S]}, 
          Module[{LU = LUdecomp1[Sprime]}, {expandL[mults, 
                LU\[LeftDoubleBracket]1\[RightDoubleBracket]], 
              expandU[First[S], 
                LU\[LeftDoubleBracket]2\[RightDoubleBracket]]}]]]\)], "Input",\

  CellLabel->"In[17]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(LUdecomp1[{{a11_}}] := {{{1}}, {{a11}}}\)], "Input",
  CellLabel->"In[18]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(expandU[S1_, U_] := Join[{S1}, \((Join[{0}, #1] &)\) /@ U]\)], "Input",
  CellLabel->"In[19]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(expandL[mults_, L_] := 
      Transpose[expandU[Join[{1}, mults], Transpose[L]]]\)], "Input",
  CellLabel->"In[20]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(elimx1[mults_, subS_] := 
      Table[subS\[LeftDoubleBracket]i + 1\[RightDoubleBracket] - 
          mults\[LeftDoubleBracket]
              i\[RightDoubleBracket]\ subS\[LeftDoubleBracket]1\
\[RightDoubleBracket], {i, 1, Length[mults]}]\)], "Input",
  CellLabel->"In[21]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(multipliers[S11_, restS_] := 
      Map[#\/S11 &, \(Transpose[
            restS]\)\[LeftDoubleBracket]1\[RightDoubleBracket]]\)], "Input",
  CellLabel->"In[22]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(LUdecomp2[S_] := 
      Module[{soln = LUdecomp1[S]}, 
        soln\[LeftDoubleBracket]1\[RightDoubleBracket] - 
          IdentityMatrix[Length[S]] + 
          soln\[LeftDoubleBracket]2\[RightDoubleBracket]]\)], "Input",
  CellLabel->"In[23]:=",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[{
    \(sumNodes[{lab_}] := lab\), "\n", 
    \(sumNodes[{lab_, lc_, rc_}] := 
      lab + sumNodes[lc] + sumNodes[rc]\)}], "Input",
  CellLabel->"In[24]:=",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[{
    \(catNodes[{lab_}] := lab\), "\n", 
    \(catNodes[{lab_, lc_, rc_}] := 
      StringJoin[lab, catNodes[lc], catNodes[rc]]\)}], "Input",
  CellLabel->"In[26]:=",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[{
    \(balanced[
        t_] := \(balancedHeight[
          t]\)\[LeftDoubleBracket]2\[RightDoubleBracket]\), "\n", 
    \(balancedHeight[{lab_}] := {0, True}\)}], "Input",
  CellLabel->"In[28]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(balancedHeight[{lab_, lc_, rc_}] := 
      Module[{lbh, rbh}, lbh = balancedHeight[lc]; 
        If[lbh\[LeftDoubleBracket]2\[RightDoubleBracket], 
          rbh = balancedHeight[rc]; 
          If[rbh\[LeftDoubleBracket]2\[RightDoubleBracket] && 
              Abs[lbh\[LeftDoubleBracket]1\[RightDoubleBracket] - 
                    rbh\[LeftDoubleBracket]1\[RightDoubleBracket]] \
\[LessEqual] 1, {Max[lbh\[LeftDoubleBracket]1\[RightDoubleBracket], 
                  rbh\[LeftDoubleBracket]1\[RightDoubleBracket]] + 1, 
              True}, {0, False}], {0, False}]]\)], "Input",
  CellLabel->"In[30]:=",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[{
    \(listLevel[0, 
        t_] := {t\[LeftDoubleBracket]1\[RightDoubleBracket]}\), "\n", 
    \(listLevel[{lab_}, n_] := {}\)}], "Input",
  CellLabel->"In[31]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(listLevel[{lab_, lc_, rc_}, n_] := 
      Join[listLevel[lc, n - 1], listLevel[rc, n - 1]]\)], "Input",
  CellLabel->"In[33]:=",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[{
    \(minInTree[{lab_}] := lab\), "\n", 
    \(minInTree[{lab_, subtrees__}] := \(Sort[
          Join[{lab}, 
            Map[minInTree, {subtrees}]]]\)\[LeftDoubleBracket]1\
\[RightDoubleBracket]\)}], "Input",
  CellLabel->"In[34]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[{
    \(height[{lab_}] := 0\), "\n", 
    \(height[{lab_, subtrees__}] := 
      1 + Apply[Max, Map[height, {subtrees}]]\)}], "Input",
  CellLabel->"In[36]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(printTree[t_] := printTree[t, 0]\)], "Input",
  CellLabel->"In[38]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[{
    \(printTree[{lab_}, k_] := printIndented[lab, 3\ k]\), "\n", 
    \(printTree[{lab_, subtrees__}, k_] := \((printIndented[lab, 3\ k]; 
        Map[printTree[#, k + 1] &, {subtrees}];)\)\)}], "Input",
  CellLabel->"In[39]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(printIndented[x_, spaces_] := 
      Print[Apply[StringJoin, Table["\< \>", {spaces}]], x]\)], "Input",
  CellLabel->"In[41]:=",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "We have used a slightly different representation for the list of trees \
than the one shown in the chapter. Instead of a node\[CloseCurlyQuote]s label \
containing a list of characters and a number, it contains a string and a \
number. The only reason for this is that it makes the result come out looking \
like the tree called ",
  StyleBox["Htree", "MR"],
  " (shown in Figure 7.1). Note that the algorithm may give different results \
depending upon how it is programmed, since there are arbitrary choices made \
at each step. The result of applying our function ",
  StyleBox["constructHTree", "MR"],
  " to the initial list of trees shown at the end of the last section (which \
we have included here as ",
  StyleBox["testlist", "MR"],
  ") is different from ",
  StyleBox["Htree", "MR"],
  "."
}], "SolutionItem",
  CellTags->"IPM3.Sol.7.5"],

Cell["\<\
In our solution, we solve the problem of finding the two trees of smallest \
weight by keeping the list of trees sorted by weight; then we simply always \
pick the first two.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(HTreeSort[trees_] := 
      Sort[trees, #1\[LeftDoubleBracket]1, 
              2\[RightDoubleBracket] < #2\[LeftDoubleBracket]1, 
              2\[RightDoubleBracket] &]\)], "Input",
  CellLabel->"In[42]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[{
    \(joinHTrees[{{{cl_, wt_}, kids___}}] := {cl, kids}\), "\n", 
    \(joinHTrees[{{{cl1_, wt1_}, kids1___}, {{cl2_, wt2_}, kids2___}, 
          trees___}] := 
      joinHTrees[
        HTreeSort[{{{cl1 <> cl2, wt1 + wt2}, {cl1, kids1}, {cl2, kids2}}, 
            trees}]]\)}], "Input",
  CellLabel->"In[43]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(constructHTree[t_] := joinHTrees[HTreeSort[t]]\)], "Input",
  CellLabel->"In[45]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(htnode[a_, b_] := {{{a, b}}}\)], "Input",
  CellLabel->"In[46]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(testlist = 
      Join[htnode["\< \>", 6], htnode["\<A\>", 3], htnode["\<B\>", 1], 
        htnode["\<E\>", 5], htnode["\<H\>", 2], htnode["\<N\>", 2], 
        htnode["\<O\>", 2], htnode["\<S\>", 3], 
        htnode["\<T\>", 3]]\)], "Input",
  CellLabel->"In[47]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \({{{" ", 6}}, {{"A", 3}}, {{"B", 1}}, {{"E", 5}}, {{"H", 2}}, {{"N", 
          2}}, {{"O", 2}}, {{"S", 3}}, {{"T", 3}}}\)], "Output",
  CellLabel->"Out[47]=",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "To make the results here comparable to those in the book, we will use ",
  StyleBox["Htree", "MR"],
  " from the book as our sample tree. ",
  StyleBox["makeTreeTable[tree]", "MR"],
  " produces a list of rules as described in the problem. ",
  StyleBox["encodeString[", "MR"],
  Cell[BoxData[
      FormBox[
        StyleBox["str",
          FontSlant->"Italic"], TraditionalForm]]],
  StyleBox[", ", "MR"],
  Cell[BoxData[
      FormBox[
        StyleBox["rules",
          FontSlant->"Italic"], TraditionalForm]]],
  StyleBox["]", "MR"],
  " decodes the string according to those rules."
}], "SolutionItem",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(\(Htree = {"\< ABEHONST\>", {"\< AT\>", {"\< \>"}, {"\<AT\>", \
{"\<T\>"}, {"\<A\>"}}}, {"\<BEHONS\>", {"\<EON\>", {"\<E\>"}, {"\<ON\>", \
{"\<O\>"}, {"\<N\>"}}}, {"\<BHS\>", {"\<BH\>", {"\<H\>"}, {"\<B\>"}}, \
{"\<S\>"}}}};\)\)], "Input",
  CellLabel->"In[48]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(\(makeTreeTable[prefix_, {ch_}] = {ch \[Rule] prefix};\)\)], "Input",
  CellLabel->"In[49]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(makeTreeTable[prefix_, {_, left_, right_}] := 
      Join[makeTreeTable[Join[prefix, {0}], left], 
        makeTreeTable[Join[prefix, {1}], right]]\)], "Input",
  CellLabel->"In[50]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(makeTreeTable[tree_] := makeTreeTable[{}, tree]\)], "Input",
  CellLabel->"In[51]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(HtreeRules = makeTreeTable[Htree]\)], "Input",
  CellLabel->"In[52]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \({" " \[Rule] {0, 0}, "T" \[Rule] {0, 1, 0}, "A" \[Rule] {0, 1, 1}, 
      "E" \[Rule] {1, 0, 0}, "O" \[Rule] {1, 0, 1, 0}, 
      "N" \[Rule] {1, 0, 1, 1}, "H" \[Rule] {1, 1, 0, 0}, 
      "B" \[Rule] {1, 1, 0, 1}, "S" \[Rule] {1, 1, 1}}\)], "Output",
  CellLabel->"Out[52]=",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[BoxData[
    \(encodeString[str_, rules_] := 
      Flatten[Characters[str] /. \[InvisibleSpace]rules]\)], "Input",
  CellLabel->"In[53]:=",
  CellTags->"IPM3.Sol.7.5"],

Cell[BoxData[
    \(encodeString[str_] := encodeString[str, HtreeRules]\)], "Input",
  CellLabel->"In[54]:=",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["7.6",
    ButtonData:>"IPM3.7.6.2",
    ButtonStyle->"SolutionsLink"],
  "  Dynamic programming"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.7.6"],

Cell[CellGroupData[{

Cell["\<\
This implementation uses the identities given in the exercise together with \
some pattern matching\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.7.6"],

Cell[BoxData[{
    \(F[1] := 1\), "\n", 
    \(F[2] := 1\)}], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.7.6"],

Cell[BoxData[{
    \(F[n_ /; EvenQ[n]] := 2\ F[n\/2 - 1]\ F[n\/2] + F[n\/2]\^2\), "\n", 
    \(F[n_ /; OddQ[n]] := 
      F[\(n - 1\)\/2 + 1]\^2 + F[\(n - 1\)\/2]\^2\)}], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.7.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[F, Range[10]]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.7.6"],

Cell[BoxData[
    \({1, 1, 2, 3, 5, 8, 13, 21, 34, 55}\)], "Output",
  CellLabel->"Out[5]=",
  CellTags->"IPM3.Sol.7.6"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.6"],

Cell[BoxData[{
    \(FF[1] := 1\), "\n", 
    \(FF[2] := 1\)}], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.7.6"],

Cell[BoxData[{
    \(FF[n_?EvenQ] := \(FF[n] = 
        2\ FF[n\/2 - 1]\ FF[n\/2] + FF[n\/2]\^2\)\), "\n", 
    \(FF[n_?OddQ] := \(FF[n] = 
        FF[\(n - 1\)\/2 + 1]\^2 + FF[\(n - 1\)\/2]\^2\)\)}], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.7.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[FF, Range[12]]\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.7.6"],

Cell[BoxData[
    \({1, 1, 2, 3, 5, 8, 13, 21, 34, 55, 89, 144}\)], "Output",
  CellLabel->"Out[10]=",
  CellTags->"IPM3.Sol.7.6"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.7.6"],

Cell[BoxData[
    \(Clear[collatz]\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.7.6"],

Cell[BoxData[
    \(collatz[n_, 0] := n\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.7.6"],

Cell[BoxData[
    \(collatz[n_, i_] := \((collatz[n, i] = collatz[n, i - 1]\/2)\) /; 
        EvenQ[collatz[n, i - 1]]\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.7.6"],

Cell[BoxData[
    \(collatz[n_, i_] := \((collatz[n, i] = 3  collatz[n, i - 1] + 1)\) /; 
        OddQ[collatz[n, i - 1]]\)], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.7.6"],

Cell["Here is the fifth iterate of the Collatz sequence for 27.", \
"SolutionNoLabel",
  CellTags->"IPM3.Sol.7.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(collatz[27, 5]\)], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.7.6"],

Cell[BoxData[
    \(31\)], "Output",
  CellLabel->"Out[15]=",
  CellTags->"IPM3.Sol.7.6"]
}, Closed]],

Cell["\<\
Here is the Collatz sequence for 27. You can see that it takes a long time \
for this sequence to settle down to the cycle 4, 2, 1.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.6"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Table[collatz[27, i], {i, 0, 116}]\)], "Input",
  CellLabel->"In[16]:=",
  CellTags->"IPM3.Sol.7.6"],

Cell[BoxData[
    \({27, 82, 41, 124, 62, 31, 94, 47, 142, 71, 214, 107, 322, 161, 484, 
      242, 121, 364, 182, 91, 274, 137, 412, 206, 103, 310, 155, 466, 233, 
      700, 350, 175, 526, 263, 790, 395, 1186, 593, 1780, 890, 445, 1336, 
      668, 334, 167, 502, 251, 754, 377, 1132, 566, 283, 850, 425, 1276, 638, 
      319, 958, 479, 1438, 719, 2158, 1079, 3238, 1619, 4858, 2429, 7288, 
      3644, 1822, 911, 2734, 1367, 4102, 2051, 6154, 3077, 9232, 4616, 2308, 
      1154, 577, 1732, 866, 433, 1300, 650, 325, 976, 488, 244, 122, 61, 184, 
      92, 46, 23, 70, 35, 106, 53, 160, 80, 40, 20, 10, 5, 16, 8, 4, 2, 1, 4, 
      2, 1, 4, 2}\)], "Output",
  CellLabel->"Out[16]=",
  CellTags->"IPM3.Sol.7.6"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["7.7",
    ButtonData:>"IPM3.7.7.2",
    ButtonStyle->"SolutionsLink"],
  "  Higher-order functions and recursion"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.7.7"],

Cell[CellGroupData[{

Cell[TextData[{
  "First, here is the definition for our user-defined ",
  StyleBox["fold", "MR"],
  "."
}], "SolutionItem",
  CellTags->"IPM3.Sol.7.7"],

Cell[BoxData[{
    \(fold[f_, x_, {}] := x\), "\n", 
    \(fold[f_, x_, {a_, r___}] := fold[f, f[x, a], {r}]\)}], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.7.7"],

Cell[CellGroupData[{

Cell[BoxData[
    \(fold[Plus, 0, {a, b, c, d, e}]\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.7.7"],

Cell[BoxData[
    \(a + b + c + d + e\)], "Output",
  CellLabel->"Out[3]=",
  CellTags->"IPM3.Sol.7.7"]
}, Closed]],

Cell[BoxData[{
    \(foldList[f_, x_, {}] := {x}\), "\n", 
    \(foldList[f_, x_, {a_, r___}] := 
      Join[{x}, foldList[f, f[x, a], {r}]]\)}], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.7.7"],

Cell[CellGroupData[{

Cell[BoxData[
    \(foldList[Times, 1, Range[6]]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.7.7"],

Cell[BoxData[
    \({1, 1, 2, 6, 24, 120, 720}\)], "Output",
  CellLabel->"Out[6]=",
  CellTags->"IPM3.Sol.7.7"]
}, Closed]],

Cell[TextData[{
  "And here is ",
  StyleBox["nestList", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.7"],

Cell[BoxData[{
    \(nestList[f_, x_, 0] := {x}\), "\n", 
    \(nestList[f_, x_, n_] := Join[{x}, nestList[f, f[x], n - 1]]\)}], "Input",\

  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.7.7"],

Cell[CellGroupData[{

Cell[BoxData[
    \(nestList[Sin, \[Theta], 3]\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.7.7"],

Cell[BoxData[
    \({\[Theta], Sin[\[Theta]], Sin[Sin[\[Theta]]], 
      Sin[Sin[Sin[\[Theta]]]]}\)], "Output",
  CellLabel->"Out[9]=",
  CellTags->"IPM3.Sol.7.7"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "First, here is the recursive ",
  StyleBox["repeat", "MR"],
  " function from this section."
}], "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.7.7"],

Cell[BoxData[
    \(repeat[f_, lis_, pred_] := 
      lis /; pred[Drop[lis, \(-1\)], Last[lis]]\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->{"b:32", "IPM3.7.7.1"}],

Cell[BoxData[
    \(repeat[f_, lis_, pred_] := 
      repeat[f, Append[lis, f[Last[lis]]], pred]\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->{"b:32", "IPM3.7.7.1"}],

Cell[TextData[{
  "Then the ",
  StyleBox["MemberQ", "MR"],
  " function is used to test whether the currently computed point is a member \
of the existing list of points."
}], "SolutionNoLabel"],

Cell[BoxData[
    \(landMineWalk[] := 
      repeat[#1 + {{0, 1}, {0, \(-1\)}, {1, 0}, {\(-1\), 
                  0}}\[LeftDoubleBracket]Random[
                Integer, {1, 4}]\[RightDoubleBracket] &, {{0, 0}}, 
        MemberQ[#1, #2] &]\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.7.7"],

Cell["\<\
Here is a test. On average, these walks will not be terribly long.\
\>", "SolutionNoLabel"],

Cell[CellGroupData[{

Cell[BoxData[
    \(landMineWalk[]\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.7.7"],

Cell[BoxData[
    \({{0, 0}, {\(-1\), 0}, {\(-2\), 0}, {\(-1\), 0}}\)], "Output",
  CellLabel->"Out[13]=",
  CellTags->"IPM3.Sol.7.7"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["  8 Numerics", "SolutionsSection",
  CellTags->"c:8"],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["8.2",
    ButtonData:>"IPM3.8.2.4",
    ButtonStyle->"SolutionsLink"],
  "  Numbers"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell["\<\
This function gives the polar form as a list consisting of the magnitude and \
the polar angle.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(complexToPolar[z_] := {Abs[z], Arg[z]}\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell["Here are the computations for the examples in the text.", \
"SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(complexToPolar[3 + 3\ \[ImaginaryI]]\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \({3\ \@2, \[Pi]\/4}\)], "Output",
  CellLabel->"Out[2]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(complexToPolar[\[ExponentialE]\^\(\(\[Pi]\ \[ImaginaryI]\)\/3\)]\)], \
"Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \({1, \[Pi]\/3}\)], "Output",
  CellLabel->"Out[3]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "This function uses a default value of 2 for the base. (Try replacing ",
  StyleBox["Fold", "MR"],
  " with ",
  StyleBox["FoldList", "MR"],
  " to more clearly see what this function is doing.)"
}], "SolutionItem",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(convert[digits_List, base_ : 2] := 
      Fold[\((base\ #1 + #2)\) &, 0, digits]\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell["Here are the digits for 9 in base 2:", "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntegerDigits[9, 2]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \({1, 0, 0, 1}\)], "Output",
  CellLabel->"Out[5]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell["This converts them back to the base 10 representation.", \
"SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(convert[%]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(9\)], "Output",
  CellLabel->"Out[6]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell["This does the same for the number 129 in base 16.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntegerDigits[129, 16]\)], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \({8, 1}\)], "Output",
  CellLabel->"Out[7]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(convert[%, 16]\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(129\)], "Output",
  CellLabel->"Out[8]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell["\<\
This function is essentially an implementation of Horner\[CloseCurlyQuote]s \
method for fast polynomial multiplication.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(Clear[a, b, c, d, e, x]\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(convert[{a, b, c, d, e}, x]\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(e + x\ \((d + x\ \((c + x\ \((b + a\ x)\))\))\)\)], "Output",
  CellLabel->"Out[10]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Expand[%]\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(e + d\ x + c\ x\^2 + b\ x\^3 + a\ x\^4\)], "Output",
  CellLabel->"Out[11]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Here is the ",
  StyleBox["sumsOfCubes", "MR"],
  " function."
}], "SolutionItem",
  CounterAssignments->{{"SolutionItem", 3}},
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(sumsOfCubes[n_Integer] := Apply[Plus, IntegerDigits[n]\^3]\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell["Here is the function that performs the iteration.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(sumsOfSums[n_Integer, iter_] := 
      NestList[sumsOfCubes, n, iter]\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell["We see that the number 4 enters into a cycle.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(sumsOfSums[4, 12]\)], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \({4, 64, 280, 520, 133, 55, 250, 133, 55, 250, 133, 55, 250}\)], "Output",\

  CellLabel->"Out[14]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell["In fact, it appears as if many initial values enter cycles.", \
"SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(sumsOfSums[32, 12]\)], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \({32, 35, 152, 134, 92, 737, 713, 371, 371, 371, 371, 371, 
      371}\)], "Output",
  CellLabel->"Out[15]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(sumsOfSums[7, 12]\)], "Input",
  CellLabel->"In[16]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \({7, 343, 118, 514, 190, 730, 370, 370, 370, 370, 370, 370, 
      370}\)], "Output",
  CellLabel->"Out[16]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(sumsOfSums[372, 12]\)], "Input",
  CellLabel->"In[17]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \({372, 378, 882, 1032, 36, 243, 99, 1458, 702, 351, 153, 153, 
      153}\)], "Output",
  CellLabel->"Out[17]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "The function ",
  StyleBox["sumsOfPowers", "MR"],
  " is a straightforward generalization of the previous cases."
}], "SolutionItem",
  CounterAssignments->{{"SolutionItem", 5}},
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(sumsOfPowers[n_, p_] := Apply[Plus, IntegerDigits[n]\^p]\)], "Input",
  CellLabel->"In[18]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(sumsOfPowers[123, 5]\)], "Input",
  CellLabel->"In[19]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(276\)], "Output",
  CellLabel->"Out[19]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Using the number 100 as an example, let us first put it in base 2.\
\>", "SolutionItem",
  CounterAssignments->{{"SolutionItem", 7}},
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(BaseForm[100, 2]\)], "Input",
  CellLabel->"In[20]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    TagBox[
      InterpretationBox[\("1100100"\_"2"\),
        100,
        Editable->False],
      (BaseForm[ #, 2]&)]], "Output",
  CellLabel->"Out[20]//BaseForm=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell["Here is the list of its digits.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntegerDigits[100, 2]\)], "Input",
  CellLabel->"In[21]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \({1, 1, 0, 0, 1, 0, 0}\)], "Output",
  CellLabel->"Out[21]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[TextData[{
  "This performs a binary shift of one unit (actually, the 1 in ",
  StyleBox["RotateLeft", "MR"],
  " is not needed here as this is the default value to shift by)."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(l = RotateLeft[IntegerDigits[100, 2], 1]\)], "Input",
  CellLabel->"In[22]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \({1, 0, 0, 1, 0, 0, 1}\)], "Output",
  CellLabel->"Out[22]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[TextData[{
  "This converts back from base 2 to base 10 (using the ",
  StyleBox["convert", "MR"],
  " function from Exercise 2)."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(convert[l, 2]\)], "Input",
  CellLabel->"In[23]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(73\)], "Output",
  CellLabel->"Out[23]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[TextData[{
  "Now we can put all of this code together to make the ",
  StyleBox["survivor", "MR"],
  " function."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(survivor[n_] := 
      Module[{p}, p = RotateLeft[IntegerDigits[n, 2]]; 
        Fold[\((2\ #1 + #2)\) &, 0, p]]\)], "Input",
  CellLabel->"In[24]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(survivor[100]\)], "Input",
  CellLabel->"In[25]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(73\)], "Output",
  CellLabel->"Out[25]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[TextData[{
  "You could of course do the same thing without the symbol ",
  StyleBox["p", "MR"],
  ", but it is just a bit less readable."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(survivor2[n_Integer] := 
      Fold[\((2\ #1 + #2)\) &, 0, RotateLeft[IntegerDigits[n, 2]]]\)], "Input",\

  CellLabel->"In[26]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(survivor2[100]\)], "Input",
  CellLabel->"In[27]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(73\)], "Output",
  CellLabel->"Out[27]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
This function has a straightforward implementation. Each die can be viewed as \
a random integer between 1 and 6.\
\>", "SolutionItem",
  CounterAssignments->{{"SolutionItem", 8}},
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(rollEm := {Random[Integer, {1, 6}], Random[Integer, {1, 6}]}\)], "Input",\

  CellLabel->"In[28]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(rollEm\)], "Input",
  CellLabel->"In[29]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \({3, 2}\)], "Output",
  CellLabel->"Out[29]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell["Here are five rolls in a row.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Table[rollEm, {5}]\)], "Input",
  CellLabel->"In[30]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \({{6, 4}, {2, 3}, {5, 3}, {4, 3}, {4, 5}}\)], "Output",
  CellLabel->"Out[30]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
First generate a vector of 100 random real numbers on the interval 0 to 1.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(\(data = Table[Random[], {100}];\)\)], "Input",
  CellLabel->"In[31]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell["You could rotate once to the left for each successive row.", \
"SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ListDensityPlot[
        NestList[RotateLeft, data, Length[data]]];\)\)], "Input",
  CellLabel->"In[32]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% DensityGraphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0192308 0.00961538 0.0192308 0.00952018 [
[.01923 -0.0125 -4.5 -11.875 ]
[.01923 -0.0125 4.5 0 ]
[.21154 -0.0125 -7 -11.875 ]
[.21154 -0.0125 7 0 ]
[.40385 -0.0125 -7 -11.875 ]
[.40385 -0.0125 7 0 ]
[.59615 -0.0125 -7 -11.875 ]
[.59615 -0.0125 7 0 ]
[.78846 -0.0125 -7 -11.875 ]
[.78846 -0.0125 7 0 ]
[.98077 -0.0125 -9.5 -11.875 ]
[.98077 -0.0125 9.5 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .01923 -9 -5.9375 ]
[-0.0125 .01923 0 5.9375 ]
[-0.0125 .20963 -14 -5.9375 ]
[-0.0125 .20963 0 5.9375 ]
[-0.0125 .40004 -14 -5.9375 ]
[-0.0125 .40004 0 5.9375 ]
[-0.0125 .59044 -14 -5.9375 ]
[-0.0125 .59044 0 5.9375 ]
[-0.0125 .78085 -14 -5.9375 ]
[-0.0125 .78085 0 5.9375 ]
[-0.0125 .97125 -19 -5.9375 ]
[-0.0125 .97125 0 5.9375 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.01923 0 m
.01923 .00625 L
s
gsave
.01923 -0.0125 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.21154 0 m
.21154 .00625 L
s
gsave
.21154 -0.0125 -68 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(20) show
1.000 setlinewidth
grestore
.40385 0 m
.40385 .00625 L
s
gsave
.40385 -0.0125 -68 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(40) show
1.000 setlinewidth
grestore
.59615 0 m
.59615 .00625 L
s
gsave
.59615 -0.0125 -68 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(60) show
1.000 setlinewidth
grestore
.78846 0 m
.78846 .00625 L
s
gsave
.78846 -0.0125 -68 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(80) show
1.000 setlinewidth
grestore
.98077 0 m
.98077 .00625 L
s
gsave
.98077 -0.0125 -70.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(100) show
1.000 setlinewidth
grestore
.125 Mabswid
.06731 0 m
.06731 .00375 L
s
.11538 0 m
.11538 .00375 L
s
.16346 0 m
.16346 .00375 L
s
.25962 0 m
.25962 .00375 L
s
.30769 0 m
.30769 .00375 L
s
.35577 0 m
.35577 .00375 L
s
.45192 0 m
.45192 .00375 L
s
.5 0 m
.5 .00375 L
s
.54808 0 m
.54808 .00375 L
s
.64423 0 m
.64423 .00375 L
s
.69231 0 m
.69231 .00375 L
s
.74038 0 m
.74038 .00375 L
s
.83654 0 m
.83654 .00375 L
s
.88462 0 m
.88462 .00375 L
s
.93269 0 m
.93269 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .01923 m
.00625 .01923 L
s
gsave
-0.0125 .01923 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
0 .20963 m
.00625 .20963 L
s
gsave
-0.0125 .20963 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(20) show
1.000 setlinewidth
grestore
0 .40004 m
.00625 .40004 L
s
gsave
-0.0125 .40004 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(40) show
1.000 setlinewidth
grestore
0 .59044 m
.00625 .59044 L
s
gsave
-0.0125 .59044 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(60) show
1.000 setlinewidth
grestore
0 .78085 m
.00625 .78085 L
s
gsave
-0.0125 .78085 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(80) show
1.000 setlinewidth
grestore
0 .97125 m
.00625 .97125 L
s
gsave
-0.0125 .97125 -80 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(100) show
1.000 setlinewidth
grestore
.125 Mabswid
0 .06683 m
.00375 .06683 L
s
0 .11443 m
.00375 .11443 L
s
0 .16203 m
.00375 .16203 L
s
0 .25724 m
.00375 .25724 L
s
0 .30484 m
.00375 .30484 L
s
0 .35244 m
.00375 .35244 L
s
0 .44764 m
.00375 .44764 L
s
0 .49524 m
.00375 .49524 L
s
0 .54284 m
.00375 .54284 L
s
0 .63804 m
.00375 .63804 L
s
0 .68564 m
.00375 .68564 L
s
0 .73324 m
.00375 .73324 L
s
0 .82845 m
.00375 .82845 L
s
0 .87605 m
.00375 .87605 L
s
0 .92365 m
.00375 .92365 L
s
.25 Mabswid
0 0 m
0 1 L
s
.01923 .99375 m
.01923 1 L
s
.21154 .99375 m
.21154 1 L
s
.40385 .99375 m
.40385 1 L
s
.59615 .99375 m
.59615 1 L
s
.78846 .99375 m
.78846 1 L
s
.98077 .99375 m
.98077 1 L
s
.125 Mabswid
.06731 .99625 m
.06731 1 L
s
.11538 .99625 m
.11538 1 L
s
.16346 .99625 m
.16346 1 L
s
.25962 .99625 m
.25962 1 L
s
.30769 .99625 m
.30769 1 L
s
.35577 .99625 m
.35577 1 L
s
.45192 .99625 m
.45192 1 L
s
.5 .99625 m
.5 1 L
s
.54808 .99625 m
.54808 1 L
s
.64423 .99625 m
.64423 1 L
s
.69231 .99625 m
.69231 1 L
s
.74038 .99625 m
.74038 1 L
s
.83654 .99625 m
.83654 1 L
s
.88462 .99625 m
.88462 1 L
s
.93269 .99625 m
.93269 1 L
s
.25 Mabswid
0 1 m
1 1 L
s
.99375 .01923 m
1 .01923 L
s
.99375 .20963 m
1 .20963 L
s
.99375 .40004 m
1 .40004 L
s
.99375 .59044 m
1 .59044 L
s
.99375 .78085 m
1 .78085 L
s
.99375 .97125 m
1 .97125 L
s
.125 Mabswid
.99625 .06683 m
1 .06683 L
s
.99625 .11443 m
1 .11443 L
s
.99625 .16203 m
1 .16203 L
s
.99625 .25724 m
1 .25724 L
s
.99625 .30484 m
1 .30484 L
s
.99625 .35244 m
1 .35244 L
s
.99625 .44764 m
1 .44764 L
s
.99625 .49524 m
1 .49524 L
s
.99625 .54284 m
1 .54284 L
s
.99625 .63804 m
1 .63804 L
s
.99625 .68564 m
1 .68564 L
s
.99625 .73324 m
1 .73324 L
s
.99625 .82845 m
1 .82845 L
s
.99625 .87605 m
1 .87605 L
s
.99625 .92365 m
1 .92365 L
s
.25 Mabswid
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of gray image
p
.01923 .01923 translate
.96154 .96154 scale
100 string
100 101 8 [100 0 0 101 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  Mimage
953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC0
1F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F5
5EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE
3383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F
8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55E
FFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE95
83F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A
3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFF
AF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE9533
F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3F
D7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF
21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383
CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7
EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21
C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3
E0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EA
DC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C4
0298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CE
ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC
4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C402
98FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0
A3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B
6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298
FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0AD
F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F
7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF
3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3
2671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7C
CFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3D
DB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F6
71F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCF
FE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB
2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F626
F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE
28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C
9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671
F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28
A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9C
D53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2
496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4
F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD5
3C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5
6CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F6
34D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C
0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F549
E935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634
D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C00
10567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496C
35AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D4
9AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010
567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE9
AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49A
FC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C001056
7820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935
F5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC
172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C00105678
20F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AE
676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC17
2287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820
F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5
6D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC1722
87286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F4
54843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF567
0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287
286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454
843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D
4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC17228728
6B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F45484
3DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C
47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B
62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843D
FFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D
D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62
689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFF
F6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47
DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B6268
9F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6
858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8
CA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F
2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF685
8FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DA
5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B
8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858F
DE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA
09FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C
7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE
953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA54
FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7E
C3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE95
3383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409
1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3
E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE9533
83F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA
B113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E1
1C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383
F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1C
13D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C
02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3
CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB1
D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02
F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CE
E0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113
ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5
E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0
ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4
C01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3
F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0AD
A3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4AC
1F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F5
5EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3
F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC0
8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55E
FFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F6
2671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F
3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFF
AF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F626
71F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A
D7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF
21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671
F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3F
EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21
C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2
F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7
DC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C4
0298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5
496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EA
4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C402
98FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F549
6CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC
6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298
FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496C
E935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B
7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF
3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE9
35AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F
CFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3D
DB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935
AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7C
FE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB
2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AE
F5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCF
28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C
9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5
676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE
A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9C
D53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF567
6D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28
F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD5
3C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D
0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4
34D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C
0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C
4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F6
D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C00
10567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D
47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634
9AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010
567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47
D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D4
FC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C001056
7820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8
DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49A
172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C00105678
20F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DA
CA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC
2287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820
F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA
5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC17
87286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F4
54843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA54
09FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC1722
286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454
843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409
FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287
6B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F45484
3DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA
1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC17228728
62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843D
FFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1C
B113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B
689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFF
F6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB1
13D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62
9F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6
858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113
D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B6268
2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF685
8FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4
ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F
8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858F
DE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4AC
C01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B
7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE
953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC0
1F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C
C3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE95
3383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F
8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7E
E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE9533
83F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A
3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3
1C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383
F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3F
D7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E1
02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3
CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7
EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C
F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CE
E0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EA
DC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02
E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0
ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC
4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5
F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0AD
A3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B
6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3
5EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3
F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F
7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F5
FFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F6
2671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7C
CFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55E
AF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F626
71F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCF
FE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFF
21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671
F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE
28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF
C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2
F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28
A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21
0298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5
496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4
F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C4
98FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F549
6CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F6
34D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C402
FF3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496C
E935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634
D49AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298
3DDB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE9
35AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D4
9AFC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF
DB2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935
AEF5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49A
FC172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3D
2C9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AE
F5676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC
172287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB
9CD53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5
676D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC17
2287286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C
D53C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF567
6D0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC1722
87286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9C
3C0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D
0C4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287
286B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD5
0010567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C
4D47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC17228728
6B62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C
10567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D
47D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B
62689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C00
567820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47
D8DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62
689F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010
7820F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8
DACA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B6268
9F2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C001056
20F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DA
CA5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F
2B8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C00105678
F454843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA
5409FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B
8C7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820
54843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA54
09FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C
7EC3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F4
843DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409
FA1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7E
C3E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454
3DFFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA
1CB113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3
E11C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F45484
FFF6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1C
B113D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E1
1C02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843D
F6858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB1
13D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C
02F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFF
858FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113
D4ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02
F5E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6
8FDE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4
ACC01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5
E3F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF685
DE953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4AC
C01F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3
F55EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858F
953383F3CEE0ADA3F62671F2F5496CE935AEF5676D0C4D47D8DACA5409FA1CB113D4ACC0
1F8A3FD7EADC4B6F7CCFFE28A4F634D49AFC172287286B62689F2B8C7EC3E11C02F5E3F5
5EFFAF21C40298FF3DDB2C9CD53C0010567820F454843DFFF6858FDE
pop
P
% End of image
.01923 .01923 m
.01923 .98077 L
s
.02885 .01923 m
.02885 .98077 L
s
.03846 .01923 m
.03846 .98077 L
s
.04808 .01923 m
.04808 .98077 L
s
.05769 .01923 m
.05769 .98077 L
s
.06731 .01923 m
.06731 .98077 L
s
.07692 .01923 m
.07692 .98077 L
s
.08654 .01923 m
.08654 .98077 L
s
.09615 .01923 m
.09615 .98077 L
s
.10577 .01923 m
.10577 .98077 L
s
.11538 .01923 m
.11538 .98077 L
s
.125 .01923 m
.125 .98077 L
s
.13462 .01923 m
.13462 .98077 L
s
.14423 .01923 m
.14423 .98077 L
s
.15385 .01923 m
.15385 .98077 L
s
.16346 .01923 m
.16346 .98077 L
s
.17308 .01923 m
.17308 .98077 L
s
.18269 .01923 m
.18269 .98077 L
s
.19231 .01923 m
.19231 .98077 L
s
.20192 .01923 m
.20192 .98077 L
s
.21154 .01923 m
.21154 .98077 L
s
.22115 .01923 m
.22115 .98077 L
s
.23077 .01923 m
.23077 .98077 L
s
.24038 .01923 m
.24038 .98077 L
s
.25 .01923 m
.25 .98077 L
s
.25962 .01923 m
.25962 .98077 L
s
.26923 .01923 m
.26923 .98077 L
s
.27885 .01923 m
.27885 .98077 L
s
.28846 .01923 m
.28846 .98077 L
s
.29808 .01923 m
.29808 .98077 L
s
.30769 .01923 m
.30769 .98077 L
s
.31731 .01923 m
.31731 .98077 L
s
.32692 .01923 m
.32692 .98077 L
s
.33654 .01923 m
.33654 .98077 L
s
.34615 .01923 m
.34615 .98077 L
s
.35577 .01923 m
.35577 .98077 L
s
.36538 .01923 m
.36538 .98077 L
s
.375 .01923 m
.375 .98077 L
s
.38462 .01923 m
.38462 .98077 L
s
.39423 .01923 m
.39423 .98077 L
s
.40385 .01923 m
.40385 .98077 L
s
.41346 .01923 m
.41346 .98077 L
s
.42308 .01923 m
.42308 .98077 L
s
.43269 .01923 m
.43269 .98077 L
s
.44231 .01923 m
.44231 .98077 L
s
.45192 .01923 m
.45192 .98077 L
s
.46154 .01923 m
.46154 .98077 L
s
.47115 .01923 m
.47115 .98077 L
s
.48077 .01923 m
.48077 .98077 L
s
.49038 .01923 m
.49038 .98077 L
s
.5 .01923 m
.5 .98077 L
s
.50962 .01923 m
.50962 .98077 L
s
.51923 .01923 m
.51923 .98077 L
s
.52885 .01923 m
.52885 .98077 L
s
.53846 .01923 m
.53846 .98077 L
s
.54808 .01923 m
.54808 .98077 L
s
.55769 .01923 m
.55769 .98077 L
s
.56731 .01923 m
.56731 .98077 L
s
.57692 .01923 m
.57692 .98077 L
s
.58654 .01923 m
.58654 .98077 L
s
.59615 .01923 m
.59615 .98077 L
s
.60577 .01923 m
.60577 .98077 L
s
.61538 .01923 m
.61538 .98077 L
s
.625 .01923 m
.625 .98077 L
s
.63462 .01923 m
.63462 .98077 L
s
.64423 .01923 m
.64423 .98077 L
s
.65385 .01923 m
.65385 .98077 L
s
.66346 .01923 m
.66346 .98077 L
s
.67308 .01923 m
.67308 .98077 L
s
.68269 .01923 m
.68269 .98077 L
s
.69231 .01923 m
.69231 .98077 L
s
.70192 .01923 m
.70192 .98077 L
s
.71154 .01923 m
.71154 .98077 L
s
.72115 .01923 m
.72115 .98077 L
s
.73077 .01923 m
.73077 .98077 L
s
.74038 .01923 m
.74038 .98077 L
s
.75 .01923 m
.75 .98077 L
s
.75962 .01923 m
.75962 .98077 L
s
.76923 .01923 m
.76923 .98077 L
s
.77885 .01923 m
.77885 .98077 L
s
.78846 .01923 m
.78846 .98077 L
s
.79808 .01923 m
.79808 .98077 L
s
.80769 .01923 m
.80769 .98077 L
s
.81731 .01923 m
.81731 .98077 L
s
.82692 .01923 m
.82692 .98077 L
s
.83654 .01923 m
.83654 .98077 L
s
.84615 .01923 m
.84615 .98077 L
s
.85577 .01923 m
.85577 .98077 L
s
.86538 .01923 m
.86538 .98077 L
s
.875 .01923 m
.875 .98077 L
s
.88462 .01923 m
.88462 .98077 L
s
.89423 .01923 m
.89423 .98077 L
s
.90385 .01923 m
.90385 .98077 L
s
.91346 .01923 m
.91346 .98077 L
s
.92308 .01923 m
.92308 .98077 L
s
.93269 .01923 m
.93269 .98077 L
s
.94231 .01923 m
.94231 .98077 L
s
.95192 .01923 m
.95192 .98077 L
s
.96154 .01923 m
.96154 .98077 L
s
.97115 .01923 m
.97115 .98077 L
s
.98077 .01923 m
.98077 .98077 L
s
.01923 .01923 m
.98077 .01923 L
s
.01923 .02875 m
.98077 .02875 L
s
.01923 .03827 m
.98077 .03827 L
s
.01923 .04779 m
.98077 .04779 L
s
.01923 .05731 m
.98077 .05731 L
s
.01923 .06683 m
.98077 .06683 L
s
.01923 .07635 m
.98077 .07635 L
s
.01923 .08587 m
.98077 .08587 L
s
.01923 .09539 m
.98077 .09539 L
s
.01923 .10491 m
.98077 .10491 L
s
.01923 .11443 m
.98077 .11443 L
s
.01923 .12395 m
.98077 .12395 L
s
.01923 .13347 m
.98077 .13347 L
s
.01923 .14299 m
.98077 .14299 L
s
.01923 .15251 m
.98077 .15251 L
s
.01923 .16203 m
.98077 .16203 L
s
.01923 .17155 m
.98077 .17155 L
s
.01923 .18107 m
.98077 .18107 L
s
.01923 .19059 m
.98077 .19059 L
s
.01923 .20011 m
.98077 .20011 L
s
.01923 .20963 m
.98077 .20963 L
s
.01923 .21915 m
.98077 .21915 L
s
.01923 .22867 m
.98077 .22867 L
s
.01923 .23819 m
.98077 .23819 L
s
.01923 .24772 m
.98077 .24772 L
s
.01923 .25724 m
.98077 .25724 L
s
.01923 .26676 m
.98077 .26676 L
s
.01923 .27628 m
.98077 .27628 L
s
.01923 .2858 m
.98077 .2858 L
s
.01923 .29532 m
.98077 .29532 L
s
.01923 .30484 m
.98077 .30484 L
s
.01923 .31436 m
.98077 .31436 L
s
.01923 .32388 m
.98077 .32388 L
s
.01923 .3334 m
.98077 .3334 L
s
.01923 .34292 m
.98077 .34292 L
s
.01923 .35244 m
.98077 .35244 L
s
.01923 .36196 m
.98077 .36196 L
s
.01923 .37148 m
.98077 .37148 L
s
.01923 .381 m
.98077 .381 L
s
.01923 .39052 m
.98077 .39052 L
s
.01923 .40004 m
.98077 .40004 L
s
.01923 .40956 m
.98077 .40956 L
s
.01923 .41908 m
.98077 .41908 L
s
.01923 .4286 m
.98077 .4286 L
s
.01923 .43812 m
.98077 .43812 L
s
.01923 .44764 m
.98077 .44764 L
s
.01923 .45716 m
.98077 .45716 L
s
.01923 .46668 m
.98077 .46668 L
s
.01923 .4762 m
.98077 .4762 L
s
.01923 .48572 m
.98077 .48572 L
s
.01923 .49524 m
.98077 .49524 L
s
.01923 .50476 m
.98077 .50476 L
s
.01923 .51428 m
.98077 .51428 L
s
.01923 .5238 m
.98077 .5238 L
s
.01923 .53332 m
.98077 .53332 L
s
.01923 .54284 m
.98077 .54284 L
s
.01923 .55236 m
.98077 .55236 L
s
.01923 .56188 m
.98077 .56188 L
s
.01923 .5714 m
.98077 .5714 L
s
.01923 .58092 m
.98077 .58092 L
s
.01923 .59044 m
.98077 .59044 L
s
.01923 .59996 m
.98077 .59996 L
s
.01923 .60948 m
.98077 .60948 L
s
.01923 .619 m
.98077 .619 L
s
.01923 .62852 m
.98077 .62852 L
s
.01923 .63804 m
.98077 .63804 L
s
.01923 .64756 m
.98077 .64756 L
s
.01923 .65708 m
.98077 .65708 L
s
.01923 .6666 m
.98077 .6666 L
s
.01923 .67612 m
.98077 .67612 L
s
.01923 .68564 m
.98077 .68564 L
s
.01923 .69516 m
.98077 .69516 L
s
.01923 .70468 m
.98077 .70468 L
s
.01923 .7142 m
.98077 .7142 L
s
.01923 .72372 m
.98077 .72372 L
s
.01923 .73324 m
.98077 .73324 L
s
.01923 .74276 m
.98077 .74276 L
s
.01923 .75228 m
.98077 .75228 L
s
.01923 .76181 m
.98077 .76181 L
s
.01923 .77133 m
.98077 .77133 L
s
.01923 .78085 m
.98077 .78085 L
s
.01923 .79037 m
.98077 .79037 L
s
.01923 .79989 m
.98077 .79989 L
s
.01923 .80941 m
.98077 .80941 L
s
.01923 .81893 m
.98077 .81893 L
s
.01923 .82845 m
.98077 .82845 L
s
.01923 .83797 m
.98077 .83797 L
s
.01923 .84749 m
.98077 .84749 L
s
.01923 .85701 m
.98077 .85701 L
s
.01923 .86653 m
.98077 .86653 L
s
.01923 .87605 m
.98077 .87605 L
s
.01923 .88557 m
.98077 .88557 L
s
.01923 .89509 m
.98077 .89509 L
s
.01923 .90461 m
.98077 .90461 L
s
.01923 .91413 m
.98077 .91413 L
s
.01923 .92365 m
.98077 .92365 L
s
.01923 .93317 m
.98077 .93317 L
s
.01923 .94269 m
.98077 .94269 L
s
.01923 .95221 m
.98077 .95221 L
s
.01923 .96173 m
.98077 .96173 L
s
.01923 .97125 m
.98077 .97125 L
s
.01923 .98077 m
.98077 .98077 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[32]:=",
  ImageSize->{187.875, 187.875},
  ImageMargins->{{42.8125, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40001d0000M2000`400?l00000o`00003oM03oool0
07@0oooo001d0?ooo`00M03oool007@0oooo001d0?ooo`00M03oool000d0oooo0`00000>0?ooo`H0
0000403oool3000000d0oooo1P00000=0?ooo`H000003P3oool6000000<0oooo000=0?ooo`030000
003oool0000000l0oooo00D000000?ooo`000000oooo0000000=0?ooo`@0000000<0oooo0000003o
ool0303oool01P000000oooo000000000000oooo000000d0oooo00H000000?ooo`00000000000?oo
o`00000<0?ooo`040000003oool000000?ooo`80000000<0oooo0000003oool00P3oool000d0oooo
00<000000?ooo`000000403oool2000000030?ooo`000000oooo00`0oooo0P000000103oool00000
0?ooo`00000=0?ooo`@0000000<0oooo0000003oool03@3oool3000000030?ooo`000000oooo00/0
oooo00@000000?ooo`000000oooo0P0000000`3oool000000?ooo`020?ooo`003@3oool3000000h0
oooo1P00000>0?ooo`030000003oool00000008000003@3oool6000000d0oooo1P00000<0?ooo`03
0000003oool0000000D000000`3oool007@0oooo000=0?ooof<00000103oool000L0oooo0`000003
0?ooo`800000103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00D00000
0?ooo`3oool0oooo000000040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3o
ool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool00P3oool01@000000oooo
0?ooo`3oool0000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`05
0000003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
0080oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0000000@0oooo00070?oo
o`030000003oool0000000<0ooooH`0000040?ooo`001`3oool00`000000oooo000000030?ooof40
000000<0oooo0000003oool00`3oool000L0oooo0`0000030?ooof40000000<0oooo0000003oool0
0`3oool000d0ooooH@0000000`3oool000000?ooo`030?ooo`003@3ooomQ000000030?ooo`000000
oooo00<0oooo000=0?ooof40000000<0oooo0000003oool00`3oool000d0ooooH@0000000`3oool0
00000?ooo`030?ooo`003@3ooomQ000000030?ooo`000000oooo00<0oooo000=0?ooof40000000<0
oooo0000003oool00`3oool000d0ooooH@0000000`3oool000000?ooo`030?ooo`003@3ooomQ0000
00030?ooo`000000oooo00<0oooo000=0?ooof40000000<0oooo0000003oool00`3oool000d0oooo
H@0000000`3oool000000?ooo`030?ooo`003@3ooomQ000000030?ooo`000000oooo00<0oooo000=
0?ooof40000000<0oooo0000003oool00`3oool000d0ooooH@0000000`3oool000000?ooo`030?oo
o`003@3ooomQ000000030?ooo`000000oooo00<0oooo000=0?ooof40000000<0oooo0000003oool0
0`3oool000@0oooo1P0000030?ooof40000000<0oooo0000003oool00`3oool000D0oooo00D00000
0?ooo`000000oooo000000030?ooof<00000103oool000H0oooo0P0000000`3oool000000?ooo`02
0?ooof40000000<0oooo0000003oool00`3oool000@0oooo1P0000030?ooof40000000<0oooo0000
003oool00`3oool000d0ooooH@0000000`3oool000000?ooo`030?ooo`003@3ooomQ000000030?oo
o`000000oooo00<0oooo000=0?ooof40000000<0oooo0000003oool00`3oool000d0ooooH@000000
0`3oool000000?ooo`030?ooo`003@3ooomQ000000030?ooo`000000oooo00<0oooo000=0?ooof40
000000<0oooo0000003oool00`3oool000d0ooooH@0000000`3oool000000?ooo`030?ooo`003@3o
oomQ000000030?ooo`000000oooo00<0oooo000=0?ooof40000000<0oooo0000003oool00`3oool0
00d0ooooH@0000000`3oool000000?ooo`030?ooo`003@3ooomQ000000030?ooo`000000oooo00<0
oooo000=0?ooof40000000<0oooo0000003oool00`3oool000d0ooooH@0000000`3oool000000?oo
o`030?ooo`003@3ooomQ000000030?ooo`000000oooo00<0oooo000=0?ooof40000000<0oooo0000
003oool00`3oool000L0oooo0`0000030?ooof40000000<0oooo0000003oool00`3oool000@0oooo
100000000`3oool000000?ooo`020?ooof<00000103oool000@0oooo0P000000103oool000000?oo
o`0000030?ooof40000000<0oooo0000003oool00`3oool000D0oooo00<000000?ooo`0000000P00
00030?ooof40000000<0oooo0000003oool00`3oool000d0ooooH@0000000`3oool000000?ooo`03
0?ooo`003@3ooomQ000000030?ooo`000000oooo00<0oooo000=0?ooof40000000<0oooo0000003o
ool00`3oool000d0ooooH@0000000`3oool000000?ooo`030?ooo`003@3ooomQ000000030?ooo`00
0000oooo00<0oooo000=0?ooof40000000<0oooo0000003oool00`3oool000d0ooooH@0000000`3o
ool000000?ooo`030?ooo`003@3ooomQ000000030?ooo`000000oooo00<0oooo000=0?ooof400000
00<0oooo0000003oool00`3oool000d0ooooH@0000000`3oool000000?ooo`030?ooo`003@3ooomQ
000000030?ooo`000000oooo00<0oooo000=0?ooof40000000<0oooo0000003oool00`3oool000d0
ooooH@0000000`3oool000000?ooo`030?ooo`003@3ooomQ000000030?ooo`000000oooo00<0oooo
000=0?ooof40000000<0oooo0000003oool00`3oool000@0oooo1P0000030?ooof40000000<0oooo
0000003oool00`3oool000@0oooo00H000000?ooo`00000000000?ooo`0000030?ooof<00000103o
ool000@0oooo100000000`3oool000000?ooo`020?ooof40000000<0oooo0000003oool00`3oool0
00@0oooo1P0000030?ooof40000000<0oooo0000003oool00`3oool000d0ooooH@0000000`3oool0
00000?ooo`030?ooo`003@3ooomQ000000030?ooo`000000oooo00<0oooo000=0?ooof40000000<0
oooo0000003oool00`3oool000d0ooooH@0000000`3oool000000?ooo`030?ooo`003@3ooomQ0000
00030?ooo`000000oooo00<0oooo000=0?ooof40000000<0oooo0000003oool00`3oool000d0oooo
H@0000000`3oool000000?ooo`030?ooo`003@3ooomQ000000030?ooo`000000oooo00<0oooo000=
0?ooof40000000<0oooo0000003oool00`3oool000d0ooooH@0000000`3oool000000?ooo`030?oo
o`003@3ooomQ000000030?ooo`000000oooo00<0oooo000=0?ooof40000000<0oooo0000003oool0
0`3oool000d0ooooH@0000000`3oool000000?ooo`030?ooo`003@3ooomQ000000030?ooo`000000
oooo00<0oooo00040?ooo`H000000`3ooomQ000000030?ooo`000000oooo00<0oooo00040?ooo`06
0000003oool000000000003oool000000`3ooomS000000@0oooo00050?ooo`<0000000<0oooo0000
003oool00P3ooomQ000000030?ooo`000000oooo00<0oooo00040?ooo`H000000`3ooomQ00000003
0?ooo`000000oooo00<0oooo000=0?ooof40000000<0oooo0000003oool00`3oool000d0ooooH@00
00000`3oool000000?ooo`030?ooo`003@3ooomQ000000030?ooo`000000oooo00<0oooo000=0?oo
of40000000<0oooo0000003oool00`3oool000d0ooooH@0000000`3oool000000?ooo`030?ooo`00
3@3ooomQ000000030?ooo`000000oooo00<0oooo000=0?ooof40000000<0oooo0000003oool00`3o
ool000d0ooooH@0000000`3oool000000?ooo`030?ooo`003@3ooomQ000000030?ooo`000000oooo
00<0oooo000=0?ooof40000000<0oooo0000003oool00`3oool000d0ooooH@0000000`3oool00000
0?ooo`030?ooo`003@3ooomQ000000030?ooo`000000oooo00<0oooo000=0?ooof40000000<0oooo
0000003oool00`3oool000d0ooooH@0000000`3oool000000?ooo`030?ooo`003@3ooomQ00000003
0?ooo`000000oooo00<0oooo00040?ooo`H000000`3ooomQ000000030?ooo`000000oooo00<0oooo
00020?ooo`040000003oool000000?ooo`80000000<0oooo0000003oool00P3ooomS000000@0oooo
00020?ooo`040000003oool000000?ooo`80000000<0oooo0000003oool00P3ooomQ000000030?oo
o`000000oooo00<0oooo00020?ooo`030000003oool0000000D000000`3oool2000000@0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`000000
103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0
oooo000000040?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo000000040?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0
000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`050000003oool0
oooo0?ooo`000000103oool00`000000oooo000000040?ooo`003@3ooomS000000@0oooo001d0?oo
o`00M03oool007@0oooo001d0?ooo`00\
\>"],
  ImageRangeCache->{{{153, 268.438}, {498.938, 383.5}} -> {-177.407, 394.032, \
0.655092, 0.661643}},
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell["Here are a few other things you can try.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ListDensityPlot[
        NestList[#\^ .75 &, data, Length[data]]];\)\)], "Input",
  CellLabel->"In[33]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% DensityGraphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0192308 0.00961538 0.0192308 0.00952018 [
[.01923 -0.0125 -4.5 -11.875 ]
[.01923 -0.0125 4.5 0 ]
[.21154 -0.0125 -7 -11.875 ]
[.21154 -0.0125 7 0 ]
[.40385 -0.0125 -7 -11.875 ]
[.40385 -0.0125 7 0 ]
[.59615 -0.0125 -7 -11.875 ]
[.59615 -0.0125 7 0 ]
[.78846 -0.0125 -7 -11.875 ]
[.78846 -0.0125 7 0 ]
[.98077 -0.0125 -9.5 -11.875 ]
[.98077 -0.0125 9.5 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .01923 -9 -5.9375 ]
[-0.0125 .01923 0 5.9375 ]
[-0.0125 .20963 -14 -5.9375 ]
[-0.0125 .20963 0 5.9375 ]
[-0.0125 .40004 -14 -5.9375 ]
[-0.0125 .40004 0 5.9375 ]
[-0.0125 .59044 -14 -5.9375 ]
[-0.0125 .59044 0 5.9375 ]
[-0.0125 .78085 -14 -5.9375 ]
[-0.0125 .78085 0 5.9375 ]
[-0.0125 .97125 -19 -5.9375 ]
[-0.0125 .97125 0 5.9375 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.01923 0 m
.01923 .00625 L
s
gsave
.01923 -0.0125 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.21154 0 m
.21154 .00625 L
s
gsave
.21154 -0.0125 -68 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(20) show
1.000 setlinewidth
grestore
.40385 0 m
.40385 .00625 L
s
gsave
.40385 -0.0125 -68 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(40) show
1.000 setlinewidth
grestore
.59615 0 m
.59615 .00625 L
s
gsave
.59615 -0.0125 -68 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(60) show
1.000 setlinewidth
grestore
.78846 0 m
.78846 .00625 L
s
gsave
.78846 -0.0125 -68 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(80) show
1.000 setlinewidth
grestore
.98077 0 m
.98077 .00625 L
s
gsave
.98077 -0.0125 -70.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(100) show
1.000 setlinewidth
grestore
.125 Mabswid
.06731 0 m
.06731 .00375 L
s
.11538 0 m
.11538 .00375 L
s
.16346 0 m
.16346 .00375 L
s
.25962 0 m
.25962 .00375 L
s
.30769 0 m
.30769 .00375 L
s
.35577 0 m
.35577 .00375 L
s
.45192 0 m
.45192 .00375 L
s
.5 0 m
.5 .00375 L
s
.54808 0 m
.54808 .00375 L
s
.64423 0 m
.64423 .00375 L
s
.69231 0 m
.69231 .00375 L
s
.74038 0 m
.74038 .00375 L
s
.83654 0 m
.83654 .00375 L
s
.88462 0 m
.88462 .00375 L
s
.93269 0 m
.93269 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .01923 m
.00625 .01923 L
s
gsave
-0.0125 .01923 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
0 .20963 m
.00625 .20963 L
s
gsave
-0.0125 .20963 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(20) show
1.000 setlinewidth
grestore
0 .40004 m
.00625 .40004 L
s
gsave
-0.0125 .40004 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(40) show
1.000 setlinewidth
grestore
0 .59044 m
.00625 .59044 L
s
gsave
-0.0125 .59044 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(60) show
1.000 setlinewidth
grestore
0 .78085 m
.00625 .78085 L
s
gsave
-0.0125 .78085 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(80) show
1.000 setlinewidth
grestore
0 .97125 m
.00625 .97125 L
s
gsave
-0.0125 .97125 -80 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(100) show
1.000 setlinewidth
grestore
.125 Mabswid
0 .06683 m
.00375 .06683 L
s
0 .11443 m
.00375 .11443 L
s
0 .16203 m
.00375 .16203 L
s
0 .25724 m
.00375 .25724 L
s
0 .30484 m
.00375 .30484 L
s
0 .35244 m
.00375 .35244 L
s
0 .44764 m
.00375 .44764 L
s
0 .49524 m
.00375 .49524 L
s
0 .54284 m
.00375 .54284 L
s
0 .63804 m
.00375 .63804 L
s
0 .68564 m
.00375 .68564 L
s
0 .73324 m
.00375 .73324 L
s
0 .82845 m
.00375 .82845 L
s
0 .87605 m
.00375 .87605 L
s
0 .92365 m
.00375 .92365 L
s
.25 Mabswid
0 0 m
0 1 L
s
.01923 .99375 m
.01923 1 L
s
.21154 .99375 m
.21154 1 L
s
.40385 .99375 m
.40385 1 L
s
.59615 .99375 m
.59615 1 L
s
.78846 .99375 m
.78846 1 L
s
.98077 .99375 m
.98077 1 L
s
.125 Mabswid
.06731 .99625 m
.06731 1 L
s
.11538 .99625 m
.11538 1 L
s
.16346 .99625 m
.16346 1 L
s
.25962 .99625 m
.25962 1 L
s
.30769 .99625 m
.30769 1 L
s
.35577 .99625 m
.35577 1 L
s
.45192 .99625 m
.45192 1 L
s
.5 .99625 m
.5 1 L
s
.54808 .99625 m
.54808 1 L
s
.64423 .99625 m
.64423 1 L
s
.69231 .99625 m
.69231 1 L
s
.74038 .99625 m
.74038 1 L
s
.83654 .99625 m
.83654 1 L
s
.88462 .99625 m
.88462 1 L
s
.93269 .99625 m
.93269 1 L
s
.25 Mabswid
0 1 m
1 1 L
s
.99375 .01923 m
1 .01923 L
s
.99375 .20963 m
1 .20963 L
s
.99375 .40004 m
1 .40004 L
s
.99375 .59044 m
1 .59044 L
s
.99375 .78085 m
1 .78085 L
s
.99375 .97125 m
1 .97125 L
s
.125 Mabswid
.99625 .06683 m
1 .06683 L
s
.99625 .11443 m
1 .11443 L
s
.99625 .16203 m
1 .16203 L
s
.99625 .25724 m
1 .25724 L
s
.99625 .30484 m
1 .30484 L
s
.99625 .35244 m
1 .35244 L
s
.99625 .44764 m
1 .44764 L
s
.99625 .49524 m
1 .49524 L
s
.99625 .54284 m
1 .54284 L
s
.99625 .63804 m
1 .63804 L
s
.99625 .68564 m
1 .68564 L
s
.99625 .73324 m
1 .73324 L
s
.99625 .82845 m
1 .82845 L
s
.99625 .87605 m
1 .87605 L
s
.99625 .92365 m
1 .92365 L
s
.25 Mabswid
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of gray image
p
.01923 .01923 translate
.96154 .96154 scale
100 string
100 101 8 [100 0 0 101 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  Mimage
000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000
006D0000000000440000000000000000000000000000009900000000
000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000003500000000000000000000000000000000000000000000000000
0092000000000073000000000000000000000000000000B300000000
000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000006700000000000000000000000000000000000000000000000000
00AD000000000096000000000000000000000000000000C600000000
000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000008D00000000000016000000000000000000000000000000000000
00C20000000000B0000000000000000000000000000000D400000000
000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000AA00000000000050000000000000000000000000000000000000
00D10000000000C4000000000000000000000000000000DF00000000
000000000000000000000000000000000000000000000000000000000026000000000000
00000000000000000000BF0000000000007C000000000000000000000000000000000000
00DD0000000000D3000000000000000000000000000000E700000000
00000000000000000300000000000000000000000000000000000000005C000000000000
00000000000000000000CF0000000000009D000000000000000000000000000000000000
00E50000000000DE000000000000000000000000000000ED0B000000
0000000900000000420000002B00000000002B0000000000000000000085000000000000
00000000000000000000DB000039000000B5000000000000000000000000000000250029
00EC0000000000E600000000000000000000001B000000F248000000
0000004600000000710000306000000000006000000000000000000000A3000000000000
00000000000000000000E400006A000000C80000000000000000000000000000005B005F
00F10000000000ED000000000000000000000054000000F576000000
0000007400000000950000648800000800008800000000000000000000BA000000000000
000000000D0000000000EB000090000000D6000000000000000000000000000000840087
00F40000000000F100000000000000000000007F000000F898000000
0000009700000000AF00008BA60000460000A600000000000000000000CC000000000000
00000000490000000000F00000AC000000E0000000000000000000000000000000A30DA5
00F70000000000F500000000000000000000009F000000FAB2000000
000000B1003A0000C30000A8BC0000740000BC0000000000030E000000D9000000000000
00000000771B00000000F40000C1000000E80000000000000000000000003D0000BA4ABB
00F90000000000F80014000000000000000000B7000000FBC500002E
000000C5106C0000D20000BECD0000970000CD0000000000424A000000E20000002B0000
0000003C995400000013F70000D0002B00EE0000000000000000000000006D0000CB77CC
00FB0000000000FA004F000033000000000000C9000000FCD4000062
000000D34B900000DE0000CEDA0000B10000DA000000000071773A0000EA00000060000F
0000006DB27F0000004EF90000DC006000F200000000000000000000001D920000D899D9
00FC00001F0000FB007B000066000000000000D7000000FDDF000089
000000DE78AC0B00E60000DAE30000C50010E3000000000095996B0000EF00190088054B
00000091C69F0000007AFB0000E5008800F6000000000000000000000056AD0000E2B3E3
00FD1000570000FC009C00008C000000000000E1000000FEE70000A7
030000E79AC1482CEC0000E4EA0000D3004BEA0000000000AFB3900000F3005300A64478
000000ADD4B70000009BFC002FEC00A613F8000000000000001F00000080C20000EAC6EA
00FE4C0081000AFD00B50017A9000000000000E9000000FEED0000BD
420014EDB3D17661F10000EBF00000DE0078F00000000000C3C6AC0000F6007E00BC729A
002600C2DFC9000001B4FD0063F100BC4EFA00001E0000000057002A07A0D10000EFD4EF
00FE7900A10047FE00C80051BF000000000000EE001700FEF21A32CE
71004EF2C6DC9889F50028F0F4001BE7009AF4111F000000D2D4C10000F9009E00CD96B3
005C00D1E7D7002340C7FD008AF400CD7AFB000056001A041181006045B8DD0000F3DFF3
00FE9A00B80075FE00D6007DCF000000003900F3005100FFF55365DA
95007BF5D5E5B2A6F7005EF4F70954ED00B3F74C57001202DEDFD12400FA00B600DAB0C6
008500DDEDE10D5A70D5FE00A7F700DA9BFC0000800054424DA1008874CAE50000F6E7F6
3AFFB400CA0098FE00E0009DDB000000296A00F6247D00FFF87E8CE3
B0109CF8DFECC5BDF90086F7F9467FF217C6F97981004D42E6E7DC5B00FC00C900E3C4D5
00A331E5F2E9498494E0FE00BDF913E3B4FD0000A0007E7279B800A596D7EC0000F9EDF9
6BFFC700D700B2FF2AE800B6E42800005F9000F85B9D2CFFFA9EA9EA
C34CB5FAE7F1D4CDFB2BA5F9FA759FF551D5FA9AA1007A71ECEDE58400FD0DD600EAD3DF
15BA65ECF5EE77A3AFE8FF31CEFB4EEAC7FE0020B8329F959BCA3ABCB1E1F10B00FAF2FA
90FFD51BE100C5FF5FEE3CC8EB5D000087AC18FA84B660FFFBB7BEF0
D278C7FBEDF4DFDAFC60BBFBFC97B7F87DDFFCB4B8039B95F1F2ECA300FD49E129F0DEE7
4FCC8BF1F8F399BAC3EEFF64DAFC7AF0D5FE3658CA65B7B0B4D76CCDC4E9F54800FCF5FC
ACFFDF54E900D4FF87F26CD6F086001AA5C051FBA3C888FFFCC9CFF4
DE9AD5FCF2F7E7E3FD88CCFCFDB1C9FA9DE7FDC7CA42B4AFF5F5F1BA32FE77E85FF4E6ED
7BD9A8F4FAF6B3CBD2F2FF8BE4FD9BF4E0FF6882D78CC9C4C7E191D9D3EEF77600FDF8FD
C1FFE77FEF00DFFFA5F691E0F4A40053BCD07DFCBAD6A6FFFDD7DBF7
E6B3E0FDF5F9EDEAFEA6D9FDFDC5D7FBB6EDFDD5D771C7C3F7F8F4CB65FE99EE87F7EDF2
9CE2BEF7FBF8C6D8DDF5FFA8EBFEB4F7E8FF8EA1E1A9D7D3D5E9ACE3DEF3F99822FDFAFD
D0FFED9FF32EE7FFBCF8ADE8F7BB007ECDDC9DFDCBE0BCFFFEE1E4F9
EDC6E8FEF8FBF2F0FEBCE3FDFED3E1FCC8F2FEE0E195D5D2F9FAF7D88CFFB2F2A5F9F1F5
B5EACEF9FCFAD4E2E6F8FFBEF0FEC7F9EEFFAAB9E9BEE1DEE0EFC1EAE7F6FBB25AFEFBFE
DCFFF2B7F662EDFFCDFAC1EEF9CC1E9ED9E5B6FED8E8CDFFFEE8EBFB
F1D5EEFEFAFCF5F4FECDEAFEFEDEE9FDD6F5FEE8E9AFE0DEFBFBF9E2A8FFC6F6BCFAF5F8
C8EFDBFBFDFBDFE9ECFAFFCEF4FED5FAF2FFC0CAEFCFE8E6E8F3D1EFEDF8FCC583FEFCFE
E5FFF5C9F889F2FFD9FBD1F2FBD957B7E3ECC8FEE2EEDAFFFEEEF0FC
F5DFF2FEFBFDF8F7FFDAEFFEFFE7EEFEE0F8FFEEEFC3E8E6FCFCFBE9BEFFD4F8CDFCF8FA
D6F3E4FCFEFCE7EFF1FBFFDBF7FFE0FCF5FFD0D8F3DBEEEDEEF6DCF3F1FAFDD4A2FFFDFF
ECFFF8D7FAA7F5FFE3FCDDF6FCE381C9EAF1D6FFE9F2E3FFFFF3F4FD
F7E7F6FFFCFEFAF9FFE3F3FFFFEDF3FEE8FAFFF2F3D2EEECFDFDFCEFCFFFDFFAD9FDFAFB
E0F6EBFDFEFDEDF3F5FCFFE4F9FFE8FDF8FFDCE2F6E4F3F1F2F8E5F6F5FBFEDFB9FFFEFF
F1FFFAE1FBBDF8FFEAFDE5F8FDEAA0D6EFF4E0FFEFF6EAFFFFF6F7FD
F9EDF8FFFDFEFBFAFFEAF6FFFFF2F6FEEEFBFFF5F6DEF2F1FEFEFDF3DBFFE7FBE3FDFBFC
E8F9F0FEFEFEF2F6F7FDFFEBFBFFEEFDFAFFE5E9F8EBF6F5F5FAECF9F8FCFEE7CBFFFEFF
F4FFFBE9FCCEFAFFEFFEECFAFDEFB8E1F3F7E8FFF3F8F0FFFFF8F9FE
FBF2FAFFFEFEFCFCFFEFF9FFFFF5F8FFF2FCFFF8F8E6F5F5FEFEFEF6E4FFEDFCEAFEFCFD
EEFAF4FEFFFEF5F9F9FEFFF0FCFFF2FEFBFFEBEFFAF0F8F7F8FBF1FAFAFDFEEDD8FFFEFF
F7FFFCEEFDDAFBFFF3FEF1FBFEF3CAE8F6F9EEFFF6FAF4FFFFFAFBFE
FCF5FBFFFEFFFDFDFFF3FAFFFFF8FAFFF6FDFFFAFAECF8F7FEFEFEF9EBFFF2FDEFFEFDFE
F2FCF7FEFFFFF8FAFBFEFFF4FDFFF5FEFCFFF0F3FBF4FAF9FAFCF4FCFBFEFFF2E2FFFFFF
F9FFFDF3FEE3FCFFF6FFF4FCFEF6D7EEF9FBF2FFF9FBF7FFFFFBFCFF
FDF8FCFFFEFFFEFDFFF6FCFFFFFAFBFFF8FEFFFBFBF1FAF9FFFFFEFAF0FFF5FEF3FFFEFE
F6FDF9FFFFFFFAFCFCFEFFF7FDFFF8FFFDFFF4F6FCF7FBFBFBFDF7FDFCFEFFF5E9FFFFFF
FBFFFEF6FEEAFDFFF9FFF7FDFFF9E1F3FAFCF6FFFAFCF9FFFFFCFDFF
FEFAFDFFFFFFFEFEFFF9FDFFFFFBFCFFFAFEFFFCFCF5FBFBFFFFFFFCF4FFF8FEF6FFFEFE
F8FDFBFFFFFFFBFDFDFFFFF9FEFFFAFFFEFFF7F8FDF9FCFCFCFEF9FDFDFFFFF8EFFFFFFF
FCFFFEF8FFF0FEFFFAFFF9FEFFFAE9F6FCFDF8FFFCFDFAFFFFFDFDFF
FEFBFEFFFFFFFEFEFFFAFDFFFFFCFDFFFBFEFFFDFDF7FCFCFFFFFFFDF7FFFAFFF9FFFEFF
FAFEFCFFFFFFFCFDFEFFFFFBFEFFFBFFFEFFF9FAFEFBFDFDFDFEFBFEFEFFFFFAF3FFFFFF
FDFFFEFAFFF4FEFFFCFFFBFEFFFCEFF8FDFEFAFFFDFEFCFFFFFEFEFF
FEFCFEFFFFFFFFFFFFFCFEFFFFFDFEFFFCFFFFFEFEF9FDFDFFFFFFFDF9FFFBFFFAFFFFFF
FBFEFDFFFFFFFDFEFEFFFFFCFFFFFCFFFEFFFBFCFEFCFEFEFEFFFCFEFEFFFFFBF6FFFFFF
FEFFFFFBFFF7FEFFFDFFFCFFFFFDF3FAFDFEFBFFFDFEFDFFFFFEFEFF
FFFDFEFFFFFFFFFFFFFDFEFFFFFEFEFFFDFFFFFEFEFBFEFEFFFFFFFEFBFFFCFFFCFFFFFF
FCFFFDFFFFFFFEFEFEFFFFFDFFFFFDFFFFFFFCFDFFFDFEFEFEFFFDFFFEFFFFFCF8FFFFFF
FEFFFFFCFFF9FFFFFDFFFDFFFFFDF6FBFEFEFCFFFEFFFDFFFFFFFFFF
FFFEFFFFFFFFFFFFFFFDFFFFFFFEFFFFFEFFFFFEFFFCFEFEFFFFFFFEFCFFFDFFFDFFFFFF
FDFFFEFFFFFFFEFFFFFFFFFDFFFFFEFFFFFFFDFDFFFDFFFEFEFFFEFFFFFFFFFDFAFFFFFF
FEFFFFFDFFFBFFFFFEFFFEFFFFFEF8FCFEFFFDFFFEFFFEFFFFFFFFFF
FFFEFFFFFFFFFFFFFFFEFFFFFFFEFFFFFEFFFFFFFFFDFEFEFFFFFFFFFDFFFEFFFDFFFFFF
FEFFFEFFFFFFFEFFFFFFFFFEFFFFFEFFFFFFFDFEFFFEFFFFFFFFFEFFFFFFFFFEFCFFFFFF
FFFFFFFEFFFCFFFFFEFFFEFFFFFEFAFDFFFFFEFFFFFFFEFFFFFFFFFF
FFFEFFFFFFFFFFFFFFFEFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFFFFDFFFEFFFEFFFFFF
FEFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFFFEFEFFFEFFFFFFFFFEFFFFFFFFFEFDFFFFFF
FFFFFFFEFFFDFFFFFFFFFEFFFFFFFBFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFFFFEFFFEFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFEFDFFFFFF
FFFFFFFFFFFDFFFFFFFFFFFFFFFFFCFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFFFFEFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFF
FFFFFFFFFFFEFFFFFFFFFFFFFFFFFDFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFF
FFFFFFFFFFFEFFFFFFFFFFFFFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
pop
P
% End of image
.01923 .01923 m
.01923 .98077 L
s
.02885 .01923 m
.02885 .98077 L
s
.03846 .01923 m
.03846 .98077 L
s
.04808 .01923 m
.04808 .98077 L
s
.05769 .01923 m
.05769 .98077 L
s
.06731 .01923 m
.06731 .98077 L
s
.07692 .01923 m
.07692 .98077 L
s
.08654 .01923 m
.08654 .98077 L
s
.09615 .01923 m
.09615 .98077 L
s
.10577 .01923 m
.10577 .98077 L
s
.11538 .01923 m
.11538 .98077 L
s
.125 .01923 m
.125 .98077 L
s
.13462 .01923 m
.13462 .98077 L
s
.14423 .01923 m
.14423 .98077 L
s
.15385 .01923 m
.15385 .98077 L
s
.16346 .01923 m
.16346 .98077 L
s
.17308 .01923 m
.17308 .98077 L
s
.18269 .01923 m
.18269 .98077 L
s
.19231 .01923 m
.19231 .98077 L
s
.20192 .01923 m
.20192 .98077 L
s
.21154 .01923 m
.21154 .98077 L
s
.22115 .01923 m
.22115 .98077 L
s
.23077 .01923 m
.23077 .98077 L
s
.24038 .01923 m
.24038 .98077 L
s
.25 .01923 m
.25 .98077 L
s
.25962 .01923 m
.25962 .98077 L
s
.26923 .01923 m
.26923 .98077 L
s
.27885 .01923 m
.27885 .98077 L
s
.28846 .01923 m
.28846 .98077 L
s
.29808 .01923 m
.29808 .98077 L
s
.30769 .01923 m
.30769 .98077 L
s
.31731 .01923 m
.31731 .98077 L
s
.32692 .01923 m
.32692 .98077 L
s
.33654 .01923 m
.33654 .98077 L
s
.34615 .01923 m
.34615 .98077 L
s
.35577 .01923 m
.35577 .98077 L
s
.36538 .01923 m
.36538 .98077 L
s
.375 .01923 m
.375 .98077 L
s
.38462 .01923 m
.38462 .98077 L
s
.39423 .01923 m
.39423 .98077 L
s
.40385 .01923 m
.40385 .98077 L
s
.41346 .01923 m
.41346 .98077 L
s
.42308 .01923 m
.42308 .98077 L
s
.43269 .01923 m
.43269 .98077 L
s
.44231 .01923 m
.44231 .98077 L
s
.45192 .01923 m
.45192 .98077 L
s
.46154 .01923 m
.46154 .98077 L
s
.47115 .01923 m
.47115 .98077 L
s
.48077 .01923 m
.48077 .98077 L
s
.49038 .01923 m
.49038 .98077 L
s
.5 .01923 m
.5 .98077 L
s
.50962 .01923 m
.50962 .98077 L
s
.51923 .01923 m
.51923 .98077 L
s
.52885 .01923 m
.52885 .98077 L
s
.53846 .01923 m
.53846 .98077 L
s
.54808 .01923 m
.54808 .98077 L
s
.55769 .01923 m
.55769 .98077 L
s
.56731 .01923 m
.56731 .98077 L
s
.57692 .01923 m
.57692 .98077 L
s
.58654 .01923 m
.58654 .98077 L
s
.59615 .01923 m
.59615 .98077 L
s
.60577 .01923 m
.60577 .98077 L
s
.61538 .01923 m
.61538 .98077 L
s
.625 .01923 m
.625 .98077 L
s
.63462 .01923 m
.63462 .98077 L
s
.64423 .01923 m
.64423 .98077 L
s
.65385 .01923 m
.65385 .98077 L
s
.66346 .01923 m
.66346 .98077 L
s
.67308 .01923 m
.67308 .98077 L
s
.68269 .01923 m
.68269 .98077 L
s
.69231 .01923 m
.69231 .98077 L
s
.70192 .01923 m
.70192 .98077 L
s
.71154 .01923 m
.71154 .98077 L
s
.72115 .01923 m
.72115 .98077 L
s
.73077 .01923 m
.73077 .98077 L
s
.74038 .01923 m
.74038 .98077 L
s
.75 .01923 m
.75 .98077 L
s
.75962 .01923 m
.75962 .98077 L
s
.76923 .01923 m
.76923 .98077 L
s
.77885 .01923 m
.77885 .98077 L
s
.78846 .01923 m
.78846 .98077 L
s
.79808 .01923 m
.79808 .98077 L
s
.80769 .01923 m
.80769 .98077 L
s
.81731 .01923 m
.81731 .98077 L
s
.82692 .01923 m
.82692 .98077 L
s
.83654 .01923 m
.83654 .98077 L
s
.84615 .01923 m
.84615 .98077 L
s
.85577 .01923 m
.85577 .98077 L
s
.86538 .01923 m
.86538 .98077 L
s
.875 .01923 m
.875 .98077 L
s
.88462 .01923 m
.88462 .98077 L
s
.89423 .01923 m
.89423 .98077 L
s
.90385 .01923 m
.90385 .98077 L
s
.91346 .01923 m
.91346 .98077 L
s
.92308 .01923 m
.92308 .98077 L
s
.93269 .01923 m
.93269 .98077 L
s
.94231 .01923 m
.94231 .98077 L
s
.95192 .01923 m
.95192 .98077 L
s
.96154 .01923 m
.96154 .98077 L
s
.97115 .01923 m
.97115 .98077 L
s
.98077 .01923 m
.98077 .98077 L
s
.01923 .01923 m
.98077 .01923 L
s
.01923 .02875 m
.98077 .02875 L
s
.01923 .03827 m
.98077 .03827 L
s
.01923 .04779 m
.98077 .04779 L
s
.01923 .05731 m
.98077 .05731 L
s
.01923 .06683 m
.98077 .06683 L
s
.01923 .07635 m
.98077 .07635 L
s
.01923 .08587 m
.98077 .08587 L
s
.01923 .09539 m
.98077 .09539 L
s
.01923 .10491 m
.98077 .10491 L
s
.01923 .11443 m
.98077 .11443 L
s
.01923 .12395 m
.98077 .12395 L
s
.01923 .13347 m
.98077 .13347 L
s
.01923 .14299 m
.98077 .14299 L
s
.01923 .15251 m
.98077 .15251 L
s
.01923 .16203 m
.98077 .16203 L
s
.01923 .17155 m
.98077 .17155 L
s
.01923 .18107 m
.98077 .18107 L
s
.01923 .19059 m
.98077 .19059 L
s
.01923 .20011 m
.98077 .20011 L
s
.01923 .20963 m
.98077 .20963 L
s
.01923 .21915 m
.98077 .21915 L
s
.01923 .22867 m
.98077 .22867 L
s
.01923 .23819 m
.98077 .23819 L
s
.01923 .24772 m
.98077 .24772 L
s
.01923 .25724 m
.98077 .25724 L
s
.01923 .26676 m
.98077 .26676 L
s
.01923 .27628 m
.98077 .27628 L
s
.01923 .2858 m
.98077 .2858 L
s
.01923 .29532 m
.98077 .29532 L
s
.01923 .30484 m
.98077 .30484 L
s
.01923 .31436 m
.98077 .31436 L
s
.01923 .32388 m
.98077 .32388 L
s
.01923 .3334 m
.98077 .3334 L
s
.01923 .34292 m
.98077 .34292 L
s
.01923 .35244 m
.98077 .35244 L
s
.01923 .36196 m
.98077 .36196 L
s
.01923 .37148 m
.98077 .37148 L
s
.01923 .381 m
.98077 .381 L
s
.01923 .39052 m
.98077 .39052 L
s
.01923 .40004 m
.98077 .40004 L
s
.01923 .40956 m
.98077 .40956 L
s
.01923 .41908 m
.98077 .41908 L
s
.01923 .4286 m
.98077 .4286 L
s
.01923 .43812 m
.98077 .43812 L
s
.01923 .44764 m
.98077 .44764 L
s
.01923 .45716 m
.98077 .45716 L
s
.01923 .46668 m
.98077 .46668 L
s
.01923 .4762 m
.98077 .4762 L
s
.01923 .48572 m
.98077 .48572 L
s
.01923 .49524 m
.98077 .49524 L
s
.01923 .50476 m
.98077 .50476 L
s
.01923 .51428 m
.98077 .51428 L
s
.01923 .5238 m
.98077 .5238 L
s
.01923 .53332 m
.98077 .53332 L
s
.01923 .54284 m
.98077 .54284 L
s
.01923 .55236 m
.98077 .55236 L
s
.01923 .56188 m
.98077 .56188 L
s
.01923 .5714 m
.98077 .5714 L
s
.01923 .58092 m
.98077 .58092 L
s
.01923 .59044 m
.98077 .59044 L
s
.01923 .59996 m
.98077 .59996 L
s
.01923 .60948 m
.98077 .60948 L
s
.01923 .619 m
.98077 .619 L
s
.01923 .62852 m
.98077 .62852 L
s
.01923 .63804 m
.98077 .63804 L
s
.01923 .64756 m
.98077 .64756 L
s
.01923 .65708 m
.98077 .65708 L
s
.01923 .6666 m
.98077 .6666 L
s
.01923 .67612 m
.98077 .67612 L
s
.01923 .68564 m
.98077 .68564 L
s
.01923 .69516 m
.98077 .69516 L
s
.01923 .70468 m
.98077 .70468 L
s
.01923 .7142 m
.98077 .7142 L
s
.01923 .72372 m
.98077 .72372 L
s
.01923 .73324 m
.98077 .73324 L
s
.01923 .74276 m
.98077 .74276 L
s
.01923 .75228 m
.98077 .75228 L
s
.01923 .76181 m
.98077 .76181 L
s
.01923 .77133 m
.98077 .77133 L
s
.01923 .78085 m
.98077 .78085 L
s
.01923 .79037 m
.98077 .79037 L
s
.01923 .79989 m
.98077 .79989 L
s
.01923 .80941 m
.98077 .80941 L
s
.01923 .81893 m
.98077 .81893 L
s
.01923 .82845 m
.98077 .82845 L
s
.01923 .83797 m
.98077 .83797 L
s
.01923 .84749 m
.98077 .84749 L
s
.01923 .85701 m
.98077 .85701 L
s
.01923 .86653 m
.98077 .86653 L
s
.01923 .87605 m
.98077 .87605 L
s
.01923 .88557 m
.98077 .88557 L
s
.01923 .89509 m
.98077 .89509 L
s
.01923 .90461 m
.98077 .90461 L
s
.01923 .91413 m
.98077 .91413 L
s
.01923 .92365 m
.98077 .92365 L
s
.01923 .93317 m
.98077 .93317 L
s
.01923 .94269 m
.98077 .94269 L
s
.01923 .95221 m
.98077 .95221 L
s
.01923 .96173 m
.98077 .96173 L
s
.01923 .97125 m
.98077 .97125 L
s
.01923 .98077 m
.98077 .98077 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[33]:=",
  ImageSize->{186.938, 186.938},
  ImageMargins->{{43.8125, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40001c0000Lb000`400?l00000o`00003oL`3oool0
07<0oooo001c0?ooo`00L`3oool007<0oooo001c0?ooo`003@3oool3000000h0oooo1P00000@0?oo
o`<000003@3oool6000000d0oooo1P00000>0?ooo`H000000P3oool000d0oooo00<000000?ooo`00
00003`3oool01@000000oooo0000003oool0000000d0oooo100000000`3oool000000?ooo`0<0?oo
o`060000003oool000000000003oool000003@3oool01P000000oooo000000000000oooo000000`0
oooo00@000000?ooo`000000oooo0P0000000`3oool000000?ooo`010?ooo`003@3oool00`000000
oooo0000000@0?ooo`80000000<0oooo0000003oool0303oool2000000040?ooo`000000oooo0000
00d0oooo100000000`3oool000000?ooo`0=0?ooo`<0000000<0oooo0000003oool02`3oool01000
0000oooo0000003oool2000000030?ooo`000000oooo0040oooo000=0?ooo`<000003P3oool60000
00h0oooo00<000000?ooo`0000000P00000=0?ooo`H000003@3oool6000000`0oooo00<000000?oo
o`0000001@0000020?ooo`00L`3oool007<0oooo000=0?ooof800000103oool000L0oooo0`000003
0?ooo`8000004P3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0100oooo00<00000
0?ooo`3oool0403oool00`000000oooo0?ooo`0?0?ooo`030000003oool0000000@0oooo00070?oo
o`030000003oool0000000<0ooooH00000000`3oool000000?ooo`030?ooo`001`3oool00`000000
oooo000000030?ooof00000000<0oooo0000003oool00`3oool000L0oooo0`0000030?ooof000000
00<0oooo0000003oool00`3oool000d0ooooH00000000`3oool000000?ooo`030?ooo`003@3ooomP
000000030?ooo`000000oooo00<0oooo000=0?ooof00000000<0oooo0000003oool00`3oool000d0
ooooH00000000`3oool000000?ooo`030?ooo`003@3ooomP000000030?ooo`000000oooo00<0oooo
000=0?ooof00000000<0oooo0000003oool00`3oool000d0ooooH00000000`3oool000000?ooo`03
0?ooo`003@3ooomP000000030?ooo`000000oooo00<0oooo000=0?ooof00000000<0oooo0000003o
ool00`3oool000d0ooooH00000000`3oool000000?ooo`030?ooo`003@3ooomP000000030?ooo`00
0000oooo00<0oooo000=0?ooof00000000<0oooo0000003oool00`3oool000d0ooooH00000000`3o
ool000000?ooo`030?ooo`003@3ooomP000000030?ooo`000000oooo00<0oooo000=0?ooof000000
00<0oooo0000003oool00`3oool000@0oooo1P0000030?ooof00000000<0oooo0000003oool00`3o
ool000D0oooo00D000000?ooo`000000oooo000000030?ooof00000000<0oooo0000003oool00`3o
ool000H0oooo0P0000000`3oool000000?ooo`020?ooof00000000<0oooo0000003oool00`3oool0
00@0oooo1P0000030?ooof00000000<0oooo0000003oool00`3oool000d0ooooH00000000`3oool0
00000?ooo`030?ooo`003@3ooomP000000030?ooo`000000oooo00<0oooo000=0?ooof00000000<0
oooo0000003oool00`3oool000d0ooooH00000000`3oool000000?ooo`030?ooo`003@3ooomP0000
00030?ooo`000000oooo00<0oooo000=0?ooof00000000<0oooo0000003oool00`3oool000d0oooo
H00000000`3oool000000?ooo`030?ooo`003@3ooomP000000030?ooo`000000oooo00<0oooo000=
0?ooof00000000<0oooo0000003oool00`3oool000d0ooooH00000000`3oool000000?ooo`030?oo
o`003@3ooomP000000030?ooo`000000oooo00<0oooo000=0?ooof00000000<0oooo0000003oool0
0`3oool000d0ooooH00000000`3oool000000?ooo`030?ooo`003@3ooomP000000030?ooo`000000
oooo00<0oooo00070?ooo`<000000`3ooomP000000030?ooo`000000oooo00<0oooo00040?ooo`@0
000000<0oooo0000003oool00P3ooomP000000030?ooo`000000oooo00<0oooo00040?ooo`800000
00@0oooo0000003oool000000`3ooomP000000030?ooo`000000oooo00<0oooo00050?ooo`030000
003oool00000008000000`3ooomP000000030?ooo`000000oooo00<0oooo000=0?ooof00000000<0
oooo0000003oool00`3oool000d0ooooH00000000`3oool000000?ooo`030?ooo`003@3ooomP0000
00030?ooo`000000oooo00<0oooo000=0?ooof00000000<0oooo0000003oool00`3oool000d0oooo
H00000000`3oool000000?ooo`030?ooo`003@3ooomP000000030?ooo`000000oooo00<0oooo000=
0?ooof00000000<0oooo0000003oool00`3oool000d0ooooH00000000`3oool000000?ooo`030?oo
o`003@3ooomP000000030?ooo`000000oooo00<0oooo000=0?ooof00000000<0oooo0000003oool0
0`3oool000d0ooooH00000000`3oool000000?ooo`030?ooo`003@3ooomP000000030?ooo`000000
oooo00<0oooo000=0?ooof00000000<0oooo0000003oool00`3oool000d0ooooH00000000`3oool0
00000?ooo`030?ooo`003@3ooomP000000030?ooo`000000oooo00<0oooo00040?ooo`H000000`3o
oomP000000030?ooo`000000oooo00<0oooo00040?ooo`060000003oool000000000003oool00000
0`3ooomP000000030?ooo`000000oooo00<0oooo00040?ooo`@0000000<0oooo0000003oool00P3o
oomP000000030?ooo`000000oooo00<0oooo00040?ooo`H000000`3ooomP000000030?ooo`000000
oooo00<0oooo000=0?ooof00000000<0oooo0000003oool00`3oool000d0ooooH00000000`3oool0
00000?ooo`030?ooo`003@3ooomP000000030?ooo`000000oooo00<0oooo000=0?ooof00000000<0
oooo0000003oool00`3oool000d0ooooH00000000`3oool000000?ooo`030?ooo`003@3ooomP0000
00030?ooo`000000oooo00<0oooo000=0?ooof00000000<0oooo0000003oool00`3oool000d0oooo
H00000000`3oool000000?ooo`030?ooo`003@3ooomP000000030?ooo`000000oooo00<0oooo000=
0?ooof00000000<0oooo0000003oool00`3oool000d0ooooH00000000`3oool000000?ooo`030?oo
o`003@3ooomP000000030?ooo`000000oooo00<0oooo000=0?ooof00000000<0oooo0000003oool0
0`3oool000d0ooooH00000000`3oool000000?ooo`030?ooo`003@3ooomP000000030?ooo`000000
oooo00<0oooo00040?ooo`H000000`3ooomP000000030?ooo`000000oooo00<0oooo00040?ooo`06
0000003oool000000000003oool000000`3ooomP000000030?ooo`000000oooo00<0oooo00050?oo
o`<0000000<0oooo0000003oool00P3ooomP000000030?ooo`000000oooo00<0oooo00040?ooo`H0
00000`3ooomP000000030?ooo`000000oooo00<0oooo000=0?ooof00000000<0oooo0000003oool0
0`3oool000d0ooooH00000000`3oool000000?ooo`030?ooo`003@3ooomP000000030?ooo`000000
oooo00<0oooo000=0?ooof00000000<0oooo0000003oool00`3oool000d0ooooH00000000`3oool0
00000?ooo`030?ooo`003@3ooomP000000030?ooo`000000oooo00<0oooo000=0?ooof00000000<0
oooo0000003oool00`3oool000d0ooooH00000000`3oool000000?ooo`030?ooo`003@3ooomP0000
00030?ooo`000000oooo00<0oooo000=0?ooof00000000<0oooo0000003oool00`3oool000d0oooo
H00000000`3oool000000?ooo`030?ooo`003@3ooomP000000030?ooo`000000oooo00<0oooo000=
0?ooof00000000<0oooo0000003oool00`3oool000d0ooooH00000000`3oool000000?ooo`030?oo
o`00103oool6000000<0ooooH00000000`3oool000000?ooo`030?ooo`000P3oool010000000oooo
0000003oool2000000030?ooo`000000oooo0080ooooH00000000`3oool000000?ooo`030?ooo`00
0P3oool010000000oooo0000003oool2000000030?ooo`000000oooo0080ooooH00000000`3oool0
00000?ooo`030?ooo`000P3oool00`000000oooo00000005000000<0oooo0P0000040?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000@0
oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?oo
o`3oool00P3oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0?oo
o`020?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`020?ooo`070000
003oool0oooo0?ooo`000000oooo000000040?ooo`003@3ooomR000000@0oooo001c0?ooo`00L`3o
ool007<0oooo001c0?ooo`00\
\>"],
  ImageRangeCache->{{{153.625, 268.5}, {654.875, 540}} -> {-179.079, 564.312, \
0.658883, 0.665472}},
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ListDensityPlot[NestList[#1\/\(1 + #1\) &, data, Length[data]], 
        Mesh \[Rule] False];\)\)], "Input",
  CellLabel->"In[34]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% DensityGraphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0192308 0.00961538 0.0192308 0.00952018 [
[.01923 -0.0125 -4.5 -11.875 ]
[.01923 -0.0125 4.5 0 ]
[.21154 -0.0125 -7 -11.875 ]
[.21154 -0.0125 7 0 ]
[.40385 -0.0125 -7 -11.875 ]
[.40385 -0.0125 7 0 ]
[.59615 -0.0125 -7 -11.875 ]
[.59615 -0.0125 7 0 ]
[.78846 -0.0125 -7 -11.875 ]
[.78846 -0.0125 7 0 ]
[.98077 -0.0125 -9.5 -11.875 ]
[.98077 -0.0125 9.5 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .01923 -9 -5.9375 ]
[-0.0125 .01923 0 5.9375 ]
[-0.0125 .20963 -14 -5.9375 ]
[-0.0125 .20963 0 5.9375 ]
[-0.0125 .40004 -14 -5.9375 ]
[-0.0125 .40004 0 5.9375 ]
[-0.0125 .59044 -14 -5.9375 ]
[-0.0125 .59044 0 5.9375 ]
[-0.0125 .78085 -14 -5.9375 ]
[-0.0125 .78085 0 5.9375 ]
[-0.0125 .97125 -19 -5.9375 ]
[-0.0125 .97125 0 5.9375 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.01923 0 m
.01923 .00625 L
s
gsave
.01923 -0.0125 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.21154 0 m
.21154 .00625 L
s
gsave
.21154 -0.0125 -68 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(20) show
1.000 setlinewidth
grestore
.40385 0 m
.40385 .00625 L
s
gsave
.40385 -0.0125 -68 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(40) show
1.000 setlinewidth
grestore
.59615 0 m
.59615 .00625 L
s
gsave
.59615 -0.0125 -68 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(60) show
1.000 setlinewidth
grestore
.78846 0 m
.78846 .00625 L
s
gsave
.78846 -0.0125 -68 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(80) show
1.000 setlinewidth
grestore
.98077 0 m
.98077 .00625 L
s
gsave
.98077 -0.0125 -70.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(100) show
1.000 setlinewidth
grestore
.125 Mabswid
.06731 0 m
.06731 .00375 L
s
.11538 0 m
.11538 .00375 L
s
.16346 0 m
.16346 .00375 L
s
.25962 0 m
.25962 .00375 L
s
.30769 0 m
.30769 .00375 L
s
.35577 0 m
.35577 .00375 L
s
.45192 0 m
.45192 .00375 L
s
.5 0 m
.5 .00375 L
s
.54808 0 m
.54808 .00375 L
s
.64423 0 m
.64423 .00375 L
s
.69231 0 m
.69231 .00375 L
s
.74038 0 m
.74038 .00375 L
s
.83654 0 m
.83654 .00375 L
s
.88462 0 m
.88462 .00375 L
s
.93269 0 m
.93269 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .01923 m
.00625 .01923 L
s
gsave
-0.0125 .01923 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
0 .20963 m
.00625 .20963 L
s
gsave
-0.0125 .20963 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(20) show
1.000 setlinewidth
grestore
0 .40004 m
.00625 .40004 L
s
gsave
-0.0125 .40004 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(40) show
1.000 setlinewidth
grestore
0 .59044 m
.00625 .59044 L
s
gsave
-0.0125 .59044 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(60) show
1.000 setlinewidth
grestore
0 .78085 m
.00625 .78085 L
s
gsave
-0.0125 .78085 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(80) show
1.000 setlinewidth
grestore
0 .97125 m
.00625 .97125 L
s
gsave
-0.0125 .97125 -80 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(100) show
1.000 setlinewidth
grestore
.125 Mabswid
0 .06683 m
.00375 .06683 L
s
0 .11443 m
.00375 .11443 L
s
0 .16203 m
.00375 .16203 L
s
0 .25724 m
.00375 .25724 L
s
0 .30484 m
.00375 .30484 L
s
0 .35244 m
.00375 .35244 L
s
0 .44764 m
.00375 .44764 L
s
0 .49524 m
.00375 .49524 L
s
0 .54284 m
.00375 .54284 L
s
0 .63804 m
.00375 .63804 L
s
0 .68564 m
.00375 .68564 L
s
0 .73324 m
.00375 .73324 L
s
0 .82845 m
.00375 .82845 L
s
0 .87605 m
.00375 .87605 L
s
0 .92365 m
.00375 .92365 L
s
.25 Mabswid
0 0 m
0 1 L
s
.01923 .99375 m
.01923 1 L
s
.21154 .99375 m
.21154 1 L
s
.40385 .99375 m
.40385 1 L
s
.59615 .99375 m
.59615 1 L
s
.78846 .99375 m
.78846 1 L
s
.98077 .99375 m
.98077 1 L
s
.125 Mabswid
.06731 .99625 m
.06731 1 L
s
.11538 .99625 m
.11538 1 L
s
.16346 .99625 m
.16346 1 L
s
.25962 .99625 m
.25962 1 L
s
.30769 .99625 m
.30769 1 L
s
.35577 .99625 m
.35577 1 L
s
.45192 .99625 m
.45192 1 L
s
.5 .99625 m
.5 1 L
s
.54808 .99625 m
.54808 1 L
s
.64423 .99625 m
.64423 1 L
s
.69231 .99625 m
.69231 1 L
s
.74038 .99625 m
.74038 1 L
s
.83654 .99625 m
.83654 1 L
s
.88462 .99625 m
.88462 1 L
s
.93269 .99625 m
.93269 1 L
s
.25 Mabswid
0 1 m
1 1 L
s
.99375 .01923 m
1 .01923 L
s
.99375 .20963 m
1 .20963 L
s
.99375 .40004 m
1 .40004 L
s
.99375 .59044 m
1 .59044 L
s
.99375 .78085 m
1 .78085 L
s
.99375 .97125 m
1 .97125 L
s
.125 Mabswid
.99625 .06683 m
1 .06683 L
s
.99625 .11443 m
1 .11443 L
s
.99625 .16203 m
1 .16203 L
s
.99625 .25724 m
1 .25724 L
s
.99625 .30484 m
1 .30484 L
s
.99625 .35244 m
1 .35244 L
s
.99625 .44764 m
1 .44764 L
s
.99625 .49524 m
1 .49524 L
s
.99625 .54284 m
1 .54284 L
s
.99625 .63804 m
1 .63804 L
s
.99625 .68564 m
1 .68564 L
s
.99625 .73324 m
1 .73324 L
s
.99625 .82845 m
1 .82845 L
s
.99625 .87605 m
1 .87605 L
s
.99625 .92365 m
1 .92365 L
s
.25 Mabswid
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of gray image
p
.01923 .01923 translate
.96154 .96154 scale
100 string
100 101 8 [100 0 0 101 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  Mimage
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF7AFFFFFFFFFFFF5DFFFFFFC1FFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE1FFFFFFFFFFFFFFFFFFFFFFFFFF16FFFFFF
FFFFFFFFFF1CFFFFFFFFFFFFFFFF04A0FFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF74FFFFFFFFFFFF5AFFFEFFB3FFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCFFFFFFFFFFFFFFFFFFFFFFFFFFB16FFFFFF
FFFFFFFFFF1CFFFFFFFFFFFFFFFF0496FFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF6FFFFFFFFFFFFF57FFE7FFA7FFFFFF
F4FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFBFFFFFFFFFFFFFFFFFFFFFFFFFE416FFFFFF
FFFFFFFFFF1CFFFFFFFFFFFFFFFF048EFFFFFAFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF6AFFFFFFFFFFFF54FFD3FF9CFFFFFF
DFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFB1F0FFFFFFFFFFFFFFFFFFFFFFD116FFFFFF
FFFFFFE9FF1BFFFFFFFFFFFFFFFF0486FFFFE3FFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFE9FFFFFFFFFFFFFFFFFFFFFF66FFFFFFFFFFFF51FFC3FF93FFFFFF
CCFFFFFFFFFFFFFFFFFFFFF1FFFFFFFFFFFFA6DBFFF3FFFFFFFFFEFFFFFFFFC115FFFFFF
FFFFFFD5FF1BFFFFFFFFFFFFFFFF047FFFFFD0FFFFFFFFFFFFFFFFFF
FFFAFFFFFFFFFFFFFFD5FFFFFFFFFFFFFFFFFFFFFF62FFFFFFFFFFFF4FFFB5FF8BFFFFFF
BDFFFFFFFFFFFFFFFFFFFFDCFFFFFCFFFFFF9BC9FFDDFFFFFFFFE7FFFFFFFFB315FFFFFF
FFFFFFC4FF1BFFFFFFFFE8FFFFFF0479FFFFC0FFFFFFFFFFFFFFFFFF
FFE3FFFFFFFFFFFFFFC4FFFFFFFFFFFFE8FFFFFFFF5EFFFFFFFFFFFF4CFFA8FF84FFFFFF
B0FFFAFFFFFFFFFFFFFFFFCAFFFFE5FFFFFF92BAFFCBFFFFFFFFD3FFFFFFFFA715FFFFFF
FFFFFFB6FF1BFFFFF5FFD4FFFFF40473FFFFB3FFFFFFF6FFFFFFFFFF
FFD0FFFFFFFFFFFFFFB6FFFFFFEFFFFFD5FFFFFFFF5BF3EDFFFFFFFA4AFF9EFF7DFFFFFF
A4FFE4FFFFFFF1FFFFFFFFBBFFFFD2FFFFFF8AADFFBCFFFFFFFFC3FFFFFFFF9D15FFFFFF
FFFFFFAAFF1AFFFFE0FFC4FFFFDE046EFCFFA7FFFAFFE0FFFFFFFFFF
FFC0FCFFFFFFFFFFFFAAF4FFFFDAF1FFC4FFFFEFF258DDD8FFFFFFE348FF94FF77FFFFFF
9AFED1FFFFFFDCF3F9FFFFAEFFFFC2FFFFFF83A2FDAFF1ECEFFFB5FFFAFFFF9315FFFFFF
EAFFFF9FFF1AFFFFCDFFB5FFFFCC046AE5F89CFFE3FCCEFFFFFDFFFF
EAB3E5F9F5F7EFEDFA9FDFF9F9C9DCF8B6EFF9DADD55CBC7F6F6F4D046FA8CF072F5EFF2
91E7C0F6F8F6CADEE2F5FAA2EDFAB4F5EBFA7C98E6A3DCD8DAECA8E7E3F3F78B15F9F7F9
D6FAEF95F31AEAFABEF6A9EBF6BD0465D2E193F9D0E5BEFBFAE5E8F7
D6A7D2E3DFE1DAD9E395CCE3E3BACAE2A9DAE3C9CB52BCB8E0E0DEC044E385DB6DDFDADD
89D3B3E0E2E0BBCCD0DFE499D9E3A8DFD7E3768FD399CAC7C9D89ED4D0DDE18414E3E1E3
C5E4DA8DDE19D6E4B0E09ED7E0AF0461C1CF8BE3C0D2B1E4E3D2D4E1
C59CC1D0CDCEC9C7D08DBDD0D0ADBBCF9FC9D0BABC4FAFACCECECCB242D07EC968CDC8CB
82C3A7CDCFCEAEBCC0CDD190C7D09DCDC6D07188C290BBB8BAC794C3C0CBCE7D14D0CED0
B7D1C985CB19C5D1A5CE95C6CDA4045EB3BF83D0B2C2A5D1D0C2C4CE
B793B3C0BDBFBAB9C085B0C0C0A2AEBF95BAC0ADAF4DA3A1BEBEBDA740C078BA64BEBABC
7BB59CBEBFBEA2AFB2BDC188B9C094BEB7C06C81B489AEACADB88CB5B3BCBF7714C0BFC0
AAC1BA7FBC19B7C19ABE8DB8BE9A045AA7B17DC0A7B49BC1C0B4B6BE
AA8BA7B2B0B1ADACB27FA4B2B298A3B28DADB2A2A34A9997B1B1AF9C3FB372AD60B0ADAF
76A993B0B2B199A4A6B0B381ACB28CB0ABB3687AA881A3A0A2AB85A9A7AFB17214B2B1B2
9FB3AD78AF19AAB391B185ABB09104579DA677B29CA892B3B2A8A9B1
9F839DA6A4A5A2A1A6789AA6A68F99A685A2A6989948908EA5A5A4933DA76DA25DA5A2A3
709E8BA5A6A5909A9CA4A77BA1A684A5A0A763759D7B999798A07E9E9CA3A56D14A6A5A6
96A7A273A418A0A789A57EA0A5890454949B72A6939D8AA7A69D9EA5
967D949C9A9B98979C73919C9C87909B7E989C8F904689879B9B9A8B3C9C6998599A9899
6B94849B9B9B8891939A9C75979C7D9A969C606F9475908E8F97789593999B68149C9B9C
8D9C986E9918969C829B78969A8204518B926D9C8B94829C9C94959B
8D778B9391928F8E936E899393808892788F938788448180929291833A93658F56918F90
678C7D92929281898A9193708E9377918E935C6B8C708887878E728C8B91926413939293
86938F6991188D937C92738E917B044F848A6893838B7C93938C8D92
8671848B898A87878B69828B8B7A818A73878B8081427B798A8A897D398B618853898788
6385778A8A8A7B8283898B6B878B7289868B5966846B818080866D8583898A60138B8A8B
7F8B87658918868B768A6E868976044C7D83648B7D84768B8B84858A
7F6D7D838283808083657B8383747B836E80837A7B4175748282827738835D8151828081
5F7E72828383757B7D82846680836D827F8456627E677B797A80697E7D82835D13838383
7984806182177F847182697F8270044A777C6083777D7184837E7E83
7968777D7C7C7A7A7D61767D7D6F757C697A7D74753F706F7C7C7B71367D5A7A4E7C7A7B
5C786D7C7C7C7075777C7D627A7D687C797D535E7863757474796478777B7C59137D7C7D
737D7A5D7B17797D6C7C65797C6B044872765C7D71776C7D7D78787C
7364727776767474775D7077776A70776574776F703D6B6A7676766D357757754C767475
5872687677766B707176775F747764767377505B725F706F6F7461737175765613777677
6E77745A7517737767766174766704466D7159776D72677777727376
6E606D7170716F6F715A6B7171666B71616F716A6B3C6766717170683471546F49716F70
556D64717171666B6C70725B6F7160716E724E586D5B6B6A6B6F5D6D6D70715313717171
69726F5770176E7263715D6E71630444686C5671686D6372716D6E71
695C686C6C6C6A6A6C57676C6C62676C5D6A6C66673B63626C6C6B64336D516B476C6A6B
5269606C6C6C6267686C6D586A6C5D6C6A6D4B5569586666666A5A69686B6C51126C6C6C
656D6A546B17696D5F6C5A6A6C5F04426468536C64685F6D6C68696C
655964686768666668546368685E62685A66686263395F5E6767676032684E6645676667
50655C6768675F6364676855666859676568495264556262626656656467684E12686868
61686651671665685C675765675C04406063506860645C6868646567
615660646363626264515F64645B5F645762645E5F385B5B6363635C31644C6243636263
4D61596364635B5F60636452626456636164474F60525F5E5E6254616063634C12646364
5D64624F63166164596354616358043F5D604E645C60596464606163
5D535D605F605E5E604F5C6060585B60545E605B5B3758575F5F5F5930604A5E425F5E5F
4B5D565F605F585B5C5F604F5E60535F5E60454D5D505B5A5B5E515D5C5F604912606060
5A605E4C5F165E60555F515E5F55043D595C4C60595D5660605D5D60
5A50595C5C5C5B5B5C4C585C5C55585C515B5C58583555545C5C5C562F5C485B405C5B5B
495A535C5C5C5558595C5C4D5B5C515C5A5C434B594D5857585A4E5A595B5C47125C5C5C
575C5B4A5B165A5C535C4E5A5C52043C5659495C5659535C5C595A5C
574E565958595857594A5559595255594F58595555345252595958532E5946583E595858
47575059595952555658594B57594E5957594148564B555455574C575658594512595959
545958485816575950594C575950043A535647595356505959565759
544C53565556555456485256564F52564C5556525233504F565655502D5644553D555555
45544E5656564F525355564854564C55545640465349525252544A545355564312565656
51565546551554564D564A54554D04395153455650534E5656535456
514951535353525253465053534D50534A52534F50324D4D5353524E2D5342523B535252
43514C5353534D50505353465253495351533E445147504F4F5248515052534212535353
4F535244521551534B534851534B04384E5043534E514B5353515153
4F474E5050504F4F50444D50504B4D50484F504D4D314B4A5050504C2C50404F3A504F50
414E495050504B4D4E5050444F5047504F503D434E454D4D4D4F464E4E50504011505050
4C504F4250154F504950464F504904364C4E42504C4E4950504E4E50
4C454C4E4D4E4D4D4E424B4E4E484B4E464D4E4B4B3049484E4E4D492B4E3E4D394D4D4D
3F4C474D4E4E484B4B4D4E434D4E454D4C4E3B414C434B4A4B4C444C4C4D4E3E114E4E4E
4A4E4D404D154C4E474E444C4D470435494B404E494C474E4E4C4C4E
4A43494B4B4B4B4A4B40494B4B46494B444B4B48492F47464B4B4B472A4C3D4B374B4A4B
3E4A454B4B4B4649494B4C414A4B434B4A4C3A3F4A414948484A424A494B4B3D114B4B4B
484C4B3F4B154A4C454B424A4B45043447493E4B4749454C4B4A4A4B
4842474949494848493F47494944464942484946472E4544494949452A493B4836494849
3C484349494944474749493F484942494849383E473F4646464840484749493B11494949
4649483D49144849434940484943033345473D494547434949474849
4640454747474646473D45474742454740464744452E43424747474329473A4635474647
3B464247474743454547473E464740474647373C453E454444463E464547473A11474747
4447463C4714464741473F464741033243453B474345414747454647
443E434545454444453C4345454143453F444543432D4141454545422845394434454445
3A444045454541434345453C44453E454445363B443C434243443D444345453911454545
4245443A4514444540453D44453F033142433A454243404545444445
423D424343434242433A4143433F41433D434341412C3F3F434343402843374333434243
38423E4343433F414143433B42433D4342433539423B414141423B424243433711434343
40434339431442433E433C42433E03304041394340423E4343424243
403B40414141414142393F41413E3F413C41413F3F2B3E3D4141413E2742364132414141
37403D4141413E3F4041423941423B414042343840393F3F3F413A404041413611414141
3F424138411440423C413A40413C032F3E4037413E403C4242404041
3F3A3E403F403F3F40383E40403C3E403A3F403E3E2A3C3C40403F3D2640353F31403F3F
363E3B4040403C3E3E3F40383F403A403F4033373E383E3D3E3F393F3E3F403510404040
3D403F363F143F403B40393F403B032E3D3E36403D3E3B40403E3F40
3D393D3E3E3E3E3D3E363C3E3E3B3C3E393E3E3C3C2A3B3A3E3E3E3B263E343E303E3E3E
353D3A3E3E3E3B3C3D3E3E373D3E393E3D3E32363D373C3C3C3D373D3D3E3E34103E3E3E
3C3E3E353E133D3E3A3E383D3E3A032D3B3D353E3B3D3A3E3E3D3D3E
3C373B3D3C3D3C3C3D353B3D3D393B3D383C3D3B3B2939393C3C3C3A253D333C2F3C3C3C
343B393C3D3C393B3B3C3D363C3D373C3C3D31343B363B3A3B3C363C3B3C3D33103D3D3D
3A3D3C343C133C3D383C363C3C38032D3A3B343D3A3B383D3D3B3C3D
3A363A3B3B3B3B3A3B343A3B3B38393B363B3B39392838383B3B3B39253B323B2E3B3B3B
323A373B3B3B38393A3B3B343A3B363B3A3B30333A353939393A353A3A3B3B32103B3B3B
393B3B333B133A3B373B353A3B37032C393A333B393A373B3B3A3A3B
3935393A3A3A39393A33383A3A37383A35393A38382837373A3A3A37243A31392D3A3939
3139363A3A3A3738383A3A33393A353A393A2F32393338383839343939393A31103A3A3A
383A39323913393A363A34393A36032B3738323A3739363A3A39393A
38343738383838383932373839363738343839373727363538383836243930382C383838
3037353838383637373839323839343838392E3137323737373833383738383010393839
3639383138133839353833383835032A363731393637353939373838
3633363737373737373136373734363733373736362635343737373523372F372C373737
3036343737373436363737313737333736372D3036313635363732363637372F10373737
3537373037133637343732373734032A353630373536343737363637
3532353636363635363035363633343632363634352633333636363422362E362B363636
2F35333636363335353636303536323635362C2F35303434343531353536362E10363636
3436362F36133536333631353632032934352F363435333636353536
3431343535353434352F34353532333531343533332532323535353322352D342A353435
2E343235353532333435352F3435313534352B2E342F3333333430343435352D10353535
3335342E35123435323530343531032833342E353334323535343435
3330333434343333342E32343431323430333432322531313434343222342C3329343333
2D333134343431323334342F3334303433342B2E332F323232332F333333342C0F343434
3234332D3312333431342F333430032832332D343233313434333334
322F323332333232332D3133333031332F323331312430303333323121332C3229333232
2C323033333330313232332E32332F3332332A2D322E313131322E323232332C0F333333
3133322D3212323330332E323330032731322C333132303333323233
312E313231323131322D3032322F30322E31323030242F2F3232313021322B3128323131
2B312F3232322F303131322D31322E323132292C312D303030312D313131322B0F323232
3032312C311231322F322D31322F032630312C3230312F3232313132
302D303131313030312C3031312E2F312D30312F2F232F2E3131302F20312A3027313030
2B302E3131312F303031312C30312D313031292B302C2F2F2F302C303030312A0F313131
2F31302B301230312E312C30312E03262F302B312F302E3131303031
2F2C2F3030302F2F302B2F30302E2F302D2F302E2F232E2D3030302E2030292F27302F2F
2A2F2D3030302E2F2F30302B2F302C302F30282A2F2B2F2E2E2F2C2F2F2F30290F303030
2E302F2A30122F302D302C2F302D03252E2F2A302E2F2D30302F2F30
2E2C2E2F2F2F2E2E2F2A2E2F2F2D2E2F2C2E2F2E2E222D2D2F2F2F2D1F2F292E262F2E2F
292E2C2F2F2F2D2E2E2F2F2A2E2F2C2F2E2F272A2E2B2E2D2E2E2B2E2E2F2F290F2F2F2F
2D2F2E2A2F122E2F2C2F2B2E2F2C03252D2E292F2D2E2C2F2F2E2E2F
2D2B2D2E2E2E2E2E2E2A2D2E2E2C2D2E2B2E2E2D2D222C2C2E2E2E2C1F2E282E262E2E2E
282D2C2E2E2E2C2D2D2E2E2A2E2E2B2E2D2E27292D2A2D2D2D2D2A2D2D2E2E280F2E2E2E
2D2E2E292E112D2E2B2E2A2D2E2B03242C2D292E2C2D2B2E2E2D2D2E
2D2A2C2D2D2D2D2D2D292C2D2D2B2C2D2A2D2D2C2C212B2B2D2D2D2C1F2D272D252D2D2D
282C2B2D2D2D2B2C2C2D2D292D2D2A2D2D2D26282C292C2C2C2D292C2C2D2D270F2D2D2D
2C2D2D282D112D2D2B2D292D2D2B03242C2C282D2C2C2B2D2D2C2D2D
2C292C2C2C2C2C2C2C282B2C2C2A2B2C2A2C2C2B2B212B2A2C2C2C2B1E2C272C242C2C2C
272C2A2C2C2C2A2B2C2C2C282C2C292C2C2C25282C282B2B2B2C292C2C2C2C270F2C2C2C
2B2C2C282C112C2C2A2C292C2C2A03232B2B272C2B2C2A2C2C2C2C2C
2B292B2C2B2B2B2B2C282B2C2C2A2B2B292B2C2A2B202A2A2B2B2B2A1E2C262B242B2B2B
272B292B2B2B2A2B2B2B2C282B2C292B2B2C25272B282B2A2A2B282B2B2B2B260F2C2B2C
2A2C2B272B112B2C292B282B2B2903232A2B272C2A2B292C2C2B2B2B
2A282A2B2B2B2A2A2B272A2B2B292A2B282A2B2A2A2029292B2B2B291D2B262A232B2A2B
262A292B2B2B292A2A2B2B272A2B282B2A2B24262A272A2A2A2A272A2A2B2B260E2B2B2B
2A2B2A262B112A2B292B272A2B280322292A262B292A292B2B2A2A2B
2A27292A2A2A2A2A2A26292A2A28292A272A2A29291F28282A2A2A291D2A252A232A2A2A
2529282A2A2A2829292A2A262A2A272A2A2A242629272929292A2729292A2A250E2A2A2A
292A2A262A112A2A282A272A2A2803222929262A2929282A2A29292A
2927292929292929292628292928282927292928281F2828292929281D29252922292929
25292729292928282929292629292729292923252926282828292629292929240E292929
28292925291129292729262929270321282925292829272929292929
2826282929292828292528292927282926282928281F2727292928271C29242822292828
24282729292927282829292528292629282923252825282828282628282829240E292929
28292825281128292729262829270321272824292728272929282829
2826272828282828282527282826272826282827271E2726282828271C28232821282828
24272628282826272728282528282628282822242725272727282527272828230E282828
27282824281028282628252828260320272724282727262828272728
2725272727272727272427272726272725272726271E2626272727261C27232721272727
23272627272726272727272427272527272722242724262626272427272727230E272727
26272723271027272527252727250320262723272627252727272727
2624262727272626272326272725262725262726261E2525272727261B27222621272627
23262527272725262627272426272427262721232624262626262426262727220E272727
2627262327102627252724262725031F262623272626252727262627
2624262626262626262325262625252624262625251D2525262626251B26222620262626
22262426262625252626262326262426262621232623252525262326262626220E262626
2526262226102626242623262624031F252522262526242626262626
2523252625252525262225262624252523252625251D2424252525241B26212520252525
22252425252524252525262325262325252620222523252525252325252525210E262526
2526252225102526242523252524031F242522262425242626252525
2523242525252525252224252524242523252524241D2424252525241B2521251F252525
21252325252524242425252225252325252520222422242424252225242525210E252525
2425252225102525232522252523031E242421252424232525242525
2422242424242424242224242423242422242424241C2323242424231A2421241F242424
21242324242423242424242224242224242420212422242424242224242424210E242424
2424242124102424232422242423031E232421242324232424242424
2422232424242424242123242423232422242423231C2323242424231A2420241F242424
2023222424242323232424212424222424241F212321232323242123232424200E242424
2324242124102424222422242422031E232321242323222424232324
2321232323232323232123232322232322232323231C2222232323221A2320231E232323
2023222323232223232323212323212323231F202321232323232123232323200D232323
2323232023102323222321232322031D222320232223222323232323
2321222323232323232022232322222321232322221B22222323232219231F231E232323
2022212323232222222323202323212323231E2022202222222321222223231F0D232323
2223232023102323212321232321031D222220232222212323222223
2221222222222222222022222221222221222222221B21212222222119221F221D222222
1F22212222222122222222202222212222221E2022202222222220222222221F0D222222
2222221F220F2222212220222221031C21221F222122212222222222
2220212222222222221F21222221212220222221211B21212222222119221F221D222222
1F21212222222121212222202222202222221E1F21202121212220222122221F0D222222
2122221F220F2222202220222220031C21211F222121202222212222
2120212121212121211F21212120212120212121211A20202121212119211E211D212121
1E212021212120212121211F2121202121211D1F211F212121211F212121211E0D212121
2121211F210F212120211F212120031C21211E212121202121212121
211F212121212121211F2021212020211F212120201A20202121212018211E211C212121
1E212021212120202121211F21211F2121211D1E211F202020211F212121211E0D212121
2021211E210F212120211F212120031B20201E212021202121212121
201F202120202020211E2021211F20201F202120201A201F2020202018211D201C202020
1E201F20202020202020211E20211F2020211D1E201E202020201F202020201D0D212021
2021201E200F20211F201F20201F031B20201E2120201F2121202020
201E202020202020201E2020201F20201F20201F201A1F1F2020201F18201D201C202020
1D201F2020201F202020201E20201F2020201C1E201E201F1F201E202020201D0D202020
1F20201D200F20201F201E20201F031B1F201D201F201F2020202020
1F1E1F2020201F1F201D1F20201F1F201E1F201F1F191F1F2020201F18201D201B201F20
1D1F1E2020201F1F1F20201E1F201E201F201C1D1F1E1F1F1F1F1E1F1F20201D0D202020
1F201F1D200F1F201E201E1F201E031B1F1F1D201F1F1E20201F1F20
1F1E1F1F1F1F1F1F1F1D1F1F1F1E1F1F1E1F1F1F1F191E1E1F1F1F1E171F1C1F1B1F1F1F
1D1F1E1F1F1F1E1F1F1F1F1D1F1F1E1F1F1F1C1D1F1D1F1F1F1F1D1F1F1F1F1C0D1F1F1F
1F1F1F1D1F0F1F1F1E1F1D1F1F1E031A1F1F1D1F1E1F1E1F1F1F1F1F
1F1D1F1F1F1F1F1F1F1D1E1F1F1E1E1F1D1F1F1E1E191E1E1F1F1F1E171F1C1F1B1F1F1F
1C1F1E1F1F1F1E1E1E1F1F1D1F1F1D1F1F1F1B1D1F1D1E1E1E1F1D1F1E1F1F1C0D1F1F1F
1E1F1F1C1F0F1F1F1E1F1D1F1F1E031A1E1E1C1F1E1F1E1F1F1F1F1F
1E1D1E1E1E1E1E1E1E1C1E1E1E1E1E1E1D1E1E1E1E181E1E1E1E1E1E171E1C1E1B1E1E1E
1C1E1D1E1E1E1E1E1E1E1E1D1E1E1D1E1E1E1B1C1E1D1E1E1E1E1D1E1E1E1E1C0D1E1E1E
1E1E1E1C1E0F1E1E1D1E1D1E1E1D031A1E1E1C1E1E1E1D1E1E1E1E1E
1E1D1E1E1E1E1E1E1E1C1E1E1E1D1E1E1D1E1E1E1E181D1D1E1E1E1D171E1B1E1A1E1E1E
1C1E1D1E1E1E1D1E1E1E1E1C1E1E1D1E1E1E1B1C1E1C1E1E1E1E1C1E1E1E1E1B0D1E1E1E
1D1E1E1C1E0E1E1E1D1E1C1E1E1D03191D1E1C1E1D1E1D1E1E1E1E1E
1D1C1D1E1E1E1E1E1E1C1D1E1E1D1D1E1C1E1E1D1D181D1D1E1E1E1D171E1B1E1A1E1E1E
1B1D1D1E1E1E1D1D1D1E1E1C1E1E1C1E1E1E1A1C1D1C1D1D1D1E1C1D1D1E1E1B0D1E1E1E
1D1E1E1B1E0E1E1E1D1E1C1E1E1D03191D1D1B1E1D1D1D1E1E1D1D1E
1D1C1D1D1D1D1D1D1D1B1D1D1D1D1D1D1C1D1D1D1D181D1C1D1D1D1D161D1B1D1A1D1D1D
1B1D1C1D1D1D1D1D1D1D1D1C1D1D1C1D1D1D1A1B1D1C1D1D1D1D1C1D1D1D1D1B0C1D1D1D
1D1D1D1B1D0E1D1D1C1D1C1D1D1C03191D1D1B1D1D1D1C1D1D1D1D1D
1D1C1D1D1D1D1D1D1D1B1D1D1D1C1D1D1C1D1D1D1D181C1C1D1D1D1C161D1B1D191D1D1D
1B1D1C1D1D1D1C1D1D1D1D1B1D1D1C1D1D1D1A1B1D1B1D1C1D1D1B1D1D1D1D1B0C1D1D1D
1C1D1D1B1D0E1D1D1C1D1B1D1D1C03191C1D1B1D1C1D1C1D1D1D1D1D
1C1B1C1D1D1D1D1D1D1B1C1D1D1C1C1D1B1D1D1C1C171C1C1D1D1D1C161D1A1D191D1D1D
1A1C1C1D1D1D1C1C1C1D1D1B1D1D1B1D1C1D1A1B1C1B1C1C1C1C1B1C1C1D1D1A0C1D1D1D
1C1D1D1B1D0E1C1D1C1D1B1C1D1C03181C1C1A1D1C1C1C1D1D1C1C1D
1C1B1C1C1C1C1C1C1C1B1C1C1C1C1C1C1B1C1C1C1C171C1C1C1C1C1C161C1A1C191C1C1C
1A1C1B1C1C1C1C1C1C1C1C1B1C1C1B1C1C1C191A1C1B1C1C1C1C1B1C1C1C1C1A0C1C1C1C
1C1C1C1A1C0E1C1C1B1C1B1C1C1B03181C1C1A1C1C1C1B1C1C1C1C1C
1C1B1C1C1C1C1C1C1C1A1C1C1C1B1C1C1B1C1C1C1C171B1B1C1C1C1B161C1A1C191C1C1C
1A1C1B1C1C1C1B1C1C1C1C1A1C1C1B1C1C1C191A1C1A1C1C1C1C1B1C1C1C1C1A0C1C1C1C
1B1C1C1A1C0E1C1C1B1C1B1C1C1B03181B1C1A1C1B1C1B1C1C1C1C1C
1B1A1B1C1C1C1C1C1C1A1B1C1C1B1B1C1B1C1C1B1B171B1B1C1C1C1B151C191C181C1C1C
1A1B1B1C1C1C1B1B1B1C1C1A1C1C1B1C1C1C191A1B1A1B1B1B1C1A1B1B1C1C190C1C1C1C
1B1C1C1A1C0E1B1C1B1C1A1C1C1B03181B1B1A1C1B1B1B1C1C1B1B1C
1B1A1B1B1B1B1B1B1B1A1B1B1B1B1B1B1A1B1B1B1B161B1B1B1B1B1B151B191B181B1B1B
191B1A1B1B1B1B1B1B1B1B1A1B1B1A1B1B1B191A1B1A1B1B1B1B1A1B1B1B1B190C1B1B1B
1B1B1B191B0E1B1B1A1B1A1B1B1A03171B1B191B1B1B1A1B1B1B1B1B
1B1A1B1B1B1B1B1B1B191B1B1B1A1B1B1A1B1B1B1B161A1A1B1B1B1A151B191B181B1B1B
191B1A1B1B1B1A1B1B1B1B1A1B1B1A1B1B1B18191B1A1B1B1B1B1A1B1B1B1B190C1B1B1B
1B1B1B191B0E1B1B1A1B1A1B1B1A03171B1B191B1A1B1A1B1B1B1B1B
1B1A1B1B1B1B1B1B1B191A1B1B1A1A1B1A1B1B1A1A161A1A1B1B1B1A151B191B181B1B1B
191B1A1B1B1B1A1A1A1B1B191B1B1A1B1B1B18191B191A1A1A1B191B1A1B1B190C1B1B1B
1A1B1B191B0E1B1B1A1B191B1B1A03171A1A191B1A1B1A1B1B1B1B1B
1A191A1A1A1A1A1A1A191A1A1A1A1A1A191A1A1A1A161A1A1A1A1A1A151A181A171A1A1A
191A1A1A1A1A1A1A1A1A1A191A1A191A1A1A18191A191A1A1A1A191A1A1A1A180C1A1A1A
1A1A1A191A0E1A1A1A1A191A1A1A03171A1A191A1A1A1A1A1A1A1A1A
1A191A1A1A1A1A1A1A191A1A1A1A1A1A191A1A1A1A161A191A1A1A1A141A181A171A1A1A
181A191A1A1A1A1A1A1A1A191A1A191A1A1A18181A191A1A1A1A191A1A1A1A180C1A1A1A
1A1A1A181A0D1A1A191A191A1A1903171A1A181A1A1A191A1A1A1A1A
1A191A1A1A1A1A1A1A181A1A1A191A1A191A1A1A1A1519191A1A1A19141A181A171A1A1A
181A191A1A1A191A1A1A1A191A1A191A1A1A17181A191A191A1A191A1A1A1A180C1A1A1A
191A1A181A0D1A1A191A191A1A190316191A181A191A191A1A1A1A1A
1919191A1A1A1A1A1A18191A1A19191A191A1A19191519191A1A1A19141A181A171A1A1A
1819191A1A1A1919191A1A181A1A191A191A17181918191919191819191A1A180C1A1A1A
191A1A181A0D191A191A18191A1903161919181A1919191A1A19191A
191819191919191919181919191919191819191919151919191919191419171917191919
18191919191919191919191819191819191917181918191919191819191919170C191919
19191918190D19191919181919190316191918191919191919191919
191819191919191919181919191819191819191919151918191919191419171916191919
17191819191919191919191819191819191917181918191919191819191919170C191919
19191917190D19191819181919180316191917191919181919191919
191819191919191919171919191819191819191819151818191919181419171916191919
17191819191918191919191819191819191917171918191818191819191919170C191919
18191917190D19191819181919180316181917191819181919191919
181818191919181819171819191818191818191818151818191919181319171816191819
17181819191918181819191718191819181916171817181818181718181919170B191919
18191817190D18191819171819180315181817191818181919181819
181718181818181818171818181818181718181818141818181818181318171816181818
17181818181818181818181718181718181816171817181818181718181818170B181818
18181817180D18181818171818180315181817181818181818181818
pop
P
% End of image
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[34]:=",
  ImageSize->{189.5, 189.5},
  ImageMargins->{{42.8125, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40001e0000MB000`400?l00000o`00003oM@3oool0
07D0oooo001e0?ooo`00M@3oool007D0oooo001e0?ooo`00M@3oool000d0oooo0`00000>0?ooo`H0
00004@3oool3000000d0oooo1P00000=0?ooo`H000003P3oool6000000<0oooo000=0?ooo`030000
003oool0000000l0oooo00D000000?ooo`000000oooo0000000>0?ooo`@0000000<0oooo0000003o
ool0303oool01P000000oooo000000000000oooo000000d0oooo00H000000?ooo`00000000000?oo
o`00000<0?ooo`040000003oool000000?ooo`80000000<0oooo0000003oool00P3oool000d0oooo
00<000000?ooo`000000403oool2000000030?ooo`000000oooo00d0oooo0P000000103oool00000
0?ooo`00000=0?ooo`@0000000<0oooo0000003oool03@3oool3000000030?ooo`000000oooo00/0
oooo00@000000?ooo`000000oooo0P0000000`3oool000000?ooo`020?ooo`003@3oool3000000h0
oooo1P00000?0?ooo`030000003oool00000008000003@3oool6000000d0oooo1P00000<0?ooo`03
0000003oool0000000D000000`3oool007D0oooo000=0?ooof@00000103oool000d0oooo0P000004
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`02
0?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo0080oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`00
0000103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00D000000?ooo`3o
ool0oooo000000040?ooo`030000003oool0oooo0080oooo00<000000?ooo`000000103oool000L0
oooo0`0000030?ooo`030000003oool0oooo05l0oooo0P0000040?ooo`001`3oool00`000000oooo
000000030?ooo`030000003oool0oooo0180oooo00<0NWYj0?ooo`3oool0103oool01@1MGEd0oooo
0?ooo`3oool0`L7101@0oooo00<0hN7Q0?ooo`3oool02P3oool00`0F5QH0oooo0?ooo`060?ooo`03
01`L703oool0oooo00H0oooo00<010@40?ooo`3oool0303oool00`000000oooo0?ooo`020?ooo`00
1`3oool00`000000oooo000000030?ooo`030000003oool0oooo0180oooo00<0M7Ad0?ooo`3oool0
103oool01@1JFUX0oooo0?knoP3oool0/k>c01@0oooo00<0clo?0?ooo`3oool02@3oool00`3kno/0
5QHF0?ooo`070?ooo`0301`L703oool0oooo00H0oooo00<010@40?ooo`3oool0303oool00`000000
oooo0?ooo`020?ooo`001`3oool3000000<0oooo00<000000?ooo`3oool04P3oool00`1_Kfl0oooo
0?ooo`040?ooo`0505MGE`3oool0inOW0?ooo`2WYjL00`3oool00`3dm?@0oooo0?ooo`0>0?ooo`03
0;no_`3oool0oooo00T0oooo00<0i>CT01HF5P3oool01`3oool00`0L71`0oooo0?ooo`060?ooo`04
00@4103oool0oooo0?[jnP/0oooo00<000000?ooo`3oool00P3oool000d0oooo00<000000?ooo`3o
ool04P3oool00`1ZJVX0oooo0?ooo`040?ooo`0505ADE03oool0dm?C0?ooo`2LW9`00`3oool00`3O
gml0oooo0?ooo`0>0?ooo`030;6a/@3`l?00oooo00T0oooo00<0dM7A01HF5P3oool01@3oool00`3Y
jNT0oooo01/K6`080?ooo`0400@4103oool0oooo0>?Sh`/0oooo00<000000?ooo`3oool00P3oool0
00d0oooo00<000000?ooo`3oool01`3oool00`3YjNT0oooo0?ooo`080?ooo`0306IVIP3oool0oooo
00@0oooo00D0DE5A0?ooo`33`l<0oooo09>CT`030?ooo`030<c<c03oool0oooo00L0oooo00<0lO7a
0?ooo`3oool0103oool0102VYZH0fm_K0?ooo`3clo<80?ooo`030<71`@0E5AD0oooo00D0oooo00<0
eMGE0?ooo`0K6a/0203oool0100410@0oooo0?ooo`3@d=0;0?ooo`030000003oool0oooo0080oooo
000=0?ooo`030000003oool0n_[j00L0oooo00<0eMGE0?ooo`3oool0203oool00`1RHV80oooo0?oo
o`040?ooo`0504m?C`3oool0]KFe0?ooo`2;Rh/00`3oool00`2m_Kd0oooo0?ooo`070?ooo`040=cL
g03oool0oooo0?clo0<0oooo00@0Vi^K0<W9b@3oool0gMgM203oool00`2c/k<05ADE0?ooo`050?oo
o`030<C4a03oool06a/K00@0oooo00D0j>SX0?ooo`3oool0oooo00@410020?ooo`030<30`03oool0
oooo00T0oooo00<000000?ooo`3oool00P3oool000d0oooo00<000000?ooo`3Shn<01`3oool00`34
a<@0oooo0?ooo`030?ooo`030>SXj03oool0oooo0080oooo00<0GUiN0?ooo`3oool0103oool01@1<
C4`0oooo0:RXZ03oool0Q8B400<0oooo00<0/;2`0?[jnP3oool01`3oool0103:b/X0oooo0?ooo`3U
iND30?ooo`0409:BTP2j^[X0oooo0<_;b`P0oooo00<0YjNW01DE5@3oool01@3oool00`2f][H0oooo
01/K6`020?ooo`030?Gem@3oool0e=CD0080oooo00D0m?Cd00@4103oool0oooo0;>c/`030?ooo`03
0?KfmP3oool0oooo00D0oooo00<000000?ooo`3oool00P3oool000d0oooo00<000000?ooo`3@d=00
1`3oool0102f][H0oooo0?ooo`3_knl20?ooo`030=GEe@3oool0oooo0080oooo00<0Fe]K0??cl`3]
kNd00`3oool01P3jn_X0BTY:0?ooo`2NWYh0oooo07emO@<0oooo00<0Y:BT0>CTi03oool00P3oool0
0`3alO40oooo0?ooo`020?ooo`040;^k^`3oool0oooo0=;BdP<0oooo00@0RXZ:0:f][@3oool0_;bl
203oool00`2MWId05ADE0?ooo`050?ooo`030:ZZZP3oool06QXJ0080oooo00<0h>3P0?ooo`34a<@0
0P3oool02@3Ng]h010@40?clo03oool0YjNW0?ooo`3jn_X0oooo0>3Ph0070?ooo`030000003oool0
oooo0080oooo000=0?ooo`040000003oool0`<300?clo0H0oooo00L0ZZZZ0?Cdm03oool0f][J0?7a
l@3oool0a<C40080oooo00D0kno_0?;blP1HF5P0gMgM0=SHf0030?ooo`060>?Sh`18B4P0oooo09BD
U03oool0MgMg0`3oool00`2JVYX0dM7A0?ooo`020?ooo`030=cLg03clo<0nOWi0080oooo00@0[Zj^
0?ooo`3oool0`/;20`3oool01`23Ph<0XZ:R0?gmo@2_[jl0lO7a0>c/k03_knl00P3oool01@3jn_X0
oooo0?ooo`2CTi<05ADE00<0oooo00H0j^[Z0?ooo`3oool0WinO0?ooo`0J6QX20?ooo`030<g=c@3o
ool0]KFe0080oooo00T0c<c<00@4103UiND0n?Sh09bLW03oool0hn?S0?clo03>c/h00P3oool00`3m
oOd0oooo0?ooo`020?ooo`030000003oool0oooo0080oooo000=0?ooo`0H0000003Zj^X0/k>c0>GU
i@3inOT0mOGe0?Ogm`3_knl0kNg]0?[jnP2OWil0gmoO0?Win@39bLT0g=cL0?Shn02f][H0kno_0?Wi
n@3Jf]X0gMgM05EEE@3;bl/0alO70P3fm_H0A`3dm?@0d=3@04I6AP3jn_X0S8b<0?3`l01bLW80mOGe
0>o_k`3bl_80TI6A0<30`03fm_H0n?Sh0?KfmP3:b/X0g]kN0>;RhP3emOD0n_[j0::RXP3]kNd0n_[j
0;Bd]03emOD0jn_[0?[jnP1lO7`0V9RH0>KViP2SXj<0g=cL0=SHf03Jf]X0k>c/0>OWi`3Shn<0lo?c
0?Ogm`2;Rh/05ADE0?Win@3gmoL0nOWi0=KFeP3jn_X0kno_09FEU@3clo<06QXJ0>[ZjP3jn_X0_[jn
0?KfmP2YZJT0jn_[0?KfmP2m_Kd010@40=;BdP3QhN40Ti>C0?Win@3@d=00iNGU0;jn_P3kno/0n_[j
0>GUi@3Xj>P0moOg0080oooo00<000000?ooo`3oool00P3oool000d0oooo01P000000<G5a@2LW9`0
`L710=3@d03=cLd0c/k>0<W9b@37alL0d=3@08f=S@2m_Kd0d=3@0:f][@2k^k/0clo?09nOW`39bLT0
d=3@0;Zj^P2l_;`0Cdm?0:n_[`2/[:`20<k>cP170<c<c02b/[80@T920=3@d01nOWh0bLW906QXJ03=
cLd0b<S80<_;b`22PX80YjNW0<g=c@3?cll0c/k>0:j^[P2l_;`0`<300<g=c@3AdM40T92@0<O7a`3@
d=00WIfM0<g=c@36a/H0d=3@075aL@28R8P0`/;2092@T02k^k/0^;Rh0;Zj^P37alL0`l?30<30`03;
bl/0c/k>07emO@0D51@0d=3@0<k>cP3@d=00]kNg0=7Ad@39bLT0QHF50<_;b`0I6AT0aLG50=7Ad@2U
YJD0c/k>09FEU@36a/H0cLg=0:BTY00410@0/k>c0;no_`23Ph<0d=3@0;:b/P32`/80YJFU0=7Ad@3@
d=00`/;20<C4a03>c/h00P3oool00`000000oooo0?ooo`020?ooo`003@3oool060000000]kNg09>C
T`2c/k<0`<300;fm_@2o_kl0^[Zj0;Vi^@30`<00QHF50;2`/030`<00XZ:R0:j^[P2o_kl0UIFE0;Zj
^P30`<00[Jf]0:n_[`1=CDd0Xj>S0:6QX@80_[jn04L0_Kfm0:NWY`10@400`<3007QhN02j^[X0I6AT
0;jn_P2j^[X0_;bl07]kN`2LW9`0_[jn0;no_`2n_[h0XZ:R0:n_[`2b/[80_Kfm0<71`@28R8P0^KVi
0<30`02DU9@0_[jn0;Ng]`30`<00K6a/0861P@2d];@0RHV90:j^[P2/[:`0[Jf]0;Rh^02e]KD0/k>c
0;bl_02o_kl0MgMg01@D5030`<00_kno0<30`02ZZZX0`L710;Zj^P1oOgl0_;bl01TI6@2g]kL0`L71
09ZJVP2n_[h0SHf=0;Rh^02n_[h0VYZJ00@4102WYjL0/K6a07emO@30`<00YjNW0;Bd]02KVi/0`L71
0<30`02d];@0][Jf0;jn_P020?ooo`030000003oool0oooo0080oooo000=0?ooo`0H0000002ZZZX0
Rh^;0:NWY`2b/[80/;2`0;6a/@2][Jd0[:b/0;:b/P1oOgl0Y:BT0;:b/P2HV9P0Xj>S0;:b/P2=SHd0
[Jf]0;:b/P2RXZ80Xj>S04Y:BP2IVIT0UiNG0P2a/K40A`2_[jl0W9bL03lo?`2c/k<0LW9b0:f][@1P
H600/;2`0:f][@2_[jl0MWIf09>CT`2`/;00/[:b0;6a/@2IVIT0Y:BT0:JVYP2`/;00/k>c0861P@2/
[:`0/[:b08b<S02`/;00Zj^[0;>c/`1XJ6P0NWYj0:RXZ021PH40Xj>S0:2PX02RXZ80Zj^[0:VYZ@2W
YjL0[jn_0;6a/@1bLW8051@D0;:b/P2a/K40/[:b09nOW`2c/k<0[Jf]07QhN02_[jl06ATI0:ZZZP2c
/k<0TI6A0;6a/@25QHD0Zj^[0;2`/02ATI4010@409fMW@2VYZH0MgMg0;:b/P2LW9`0Z:RX09:BTP2c
/k<0/[:b0:RXZ02YZJT0/K6a0080oooo00<000000?ooo`3oool00P3oool000d0oooo01P0000009nO
W`23Ph<0WIfM0:JVYP2TY:@0YJFU0::RXP2QXJ40YZJV07QhN02JVYX0YZJV08n?S`2IVIT0YZJV08F5
Q@2RXZ80YZJV09RHV02IVIT0B4Q8092@T02>SXh20:FUY@170:BTY02CTi<0?Cdm0:NWY`1]KFd0XZ:R
05eMG@2UYJD0XZ:R0:>SX`1`L700Rh^;0:FUY@2VYZH0YJFU092@T02JVYX0W9bL0:BTY02WYjL0Ng]k
0:6QX@2VYZH0Q8B40:FUY@2PX:00YjNW06=SH`1eMGD0WIfM07]kN`2IVIT0UiNG09RHV02PX:00WYjN
09bLW02SXj<0YJFU06e]K@0D51@0YZJV0:FUY@2VYZH0UYJF0:NWY`2RXZ80Lg=c0:BTY00H61P0X:2P
0:NWY`29RHT0YJFU07inOP2PX:00YJFU08V9R@0410@0U9BD09^KV`1bLW80YZJV09>CT`2MWId0RXZ:
0:NWY`2VYZH0WIfM09jNWP2UYJD00P3oool00`000000oooo0?ooo`020?ooo`003@3oool060000000
UYJF07emO@2DU9@0W9bL09ZJVP2KVi/0V9RH09NGU`2LW9`0Lg=c096AT@2LW9`0QhN7092@T02KVi/0
OWin09RHV02LW9`0Shn?092@T016ATH0RHV908N7Q`80Vi^K00`0VYZJ08^;R`0l?3`0W9bL06UYJ@2H
V9P0FEUI09ZJVP2HV9P0VIVI06][J`24Q8@309^KV`0c08R8R02ATI40Ti>C09ZJVP2LW9`0MGEe09NG
U`2LW9`0OGem09ZJVP2FUYH0W9bL061PH01_Kfl0U9BD07EeM@2@T900SXj>08n?S`2GUiL0UIFE09>C
T`2IVIT0Vi^K06QXJ00D51@0W9bL09^KV`2LW9`0SHf=09bLW02HV9P0KVi^09VIV@0H61P0UYJF09bL
W022PX80Vi^K07QhN02FUYH0VYZJ08:2PP0410@0Rh^;09:BTP1]KFd0W9bL08^;R`2DU9@0PX:20080
W9bL00<0U9BD09FEU@2KVi/00P3oool00`000000oooo0?ooo`020?ooo`003@3oool060000000SHf=
07MgM`2;Rh/0Ti>C096AT@2BTY80Shn?08j>SP2CTi<0KVi^08V9R@2CTi<0P82008R8R02BTY80N7Qh
08n?S`2CTi<0QhN708R8R014A4@0PH610820P080TY:B00`0TI6A08>3P`0j>SX0Ti>C06EUI@2?Shl0
EUIF096AT@2?Shl0T92@06MWI`1mOGd309:BTP0A0861P@29RHT0RXZ:096AT@2CTi<0L71`08j>SP2C
Ti<0MgMg096AT@2>SXh0Ti>C05aLG01[Jf/0S8b<071`L028R8P00P27QhL0802>SXh0S8b<08^;R`2A
TI40TY:B06ATI00C4a<0Ti>C09:BTP2CTi<0QXJ609>CT`2?Shl0JFUY096AT@0H61P0SHf=09>CT`1l
O7`0TY:B07=cL`2>SXh0TI6A07]kN`0410@0Q8B408Z:RP1XJ6P0Ti>C08>3P`2;Rh/0O7al0P2CTi<0
0`2<S8`0SHf=09:BTP020?ooo`030000003oool0oooo0080oooo000=0?ooo`0700000026QXH0LG5a
08B4Q02;Rh/0RHV908Z:RP0208N7Q`0?08^;R`1YJFT0PX:208^;R`1jNWX0PH6108Z:RP1cLg<0QhN7
08^;R`20P800PH610492@P1kNg/0NGUi0080RXZ:00`0RHV907emO@0i>CT0Rh^;065QH@28R8P0De=C
08V9R@27QhL0R8R806=SH`1gMgL308Z:RP0A07]kN`22PX80Ph>308V9R@2;Rh/0Jf][08N7Q`2;Rh/0
LW9b08V9R@26QXH0Rh^;05UIF@1VIVH0Q8B406][J`21PH400P20P8008026QXH0QHF508>3P`29RHT0
RXZ:061PH00C4a<0Rh^;08Z:RP2;Rh/0Ogmo08^;R`27QhL0IFEU08V9R@0H61P0QXJ608^;R`1fMWH0
RXZ:06i^KP26QXH0RHV907IfMP0410@0OGem08>3P`1TI6@0Rh^;07emO@24Q8@0MWIf0P2;Rh/00`24
Q8@0QHF508Z:RP020?ooo`030000003oool0oooo0080oooo00040?ooo`H000000`3oool01`000000
Ogmo06e]K@1mOGd0Ph>308:2PP23Ph<00P20P8003`23Ph<0IFEU07]kN`23Ph<0M7Ad07]kN`23Ph<0
KVi^0820P023Ph<0NWYj07]kN`11@D40MGEe07AdM00308:2PP0<07MgM`0h>3P0Ph>305eMG@21PH40
DE5A08:2PP20P800PH6105mOG`1bLW80PX:20P23Ph<06P1eMGD0Ng]k07emO@22PX80Q8B406IVIP20
P800Ph>306e]K@22PX80Ogmo08B4Q01FEUH0HV9R07inOP1WIfL0Ng]k07UiN@1jNWX0P82007inOP1m
OGd0PX:208>3P`1MGEd04a<C0`23Ph<0601iNGT0Q8B40820P01QHF40PX:201LG5`1oOgl0Q8B4075a
L@22PX80JFUY07moO`22PX80L71`00@4101gMgL0O7al061PH023Ph<0MgMg07emO@1aLG40Q8B408>3
P`80OWin00@0Ph>30?ooo`3oool00000103oool000D0oooo00D000000?ooo`000000oooo00000003
0?ooo`050000001iNGT0J6QX07MgM`1mOGd00P1lO7`207YjNP0?07emO@1QHF40MWIf07emO@1_Kfl0
MGEe07alO01YJFT0NWYj07emO@1dM7@0MGEe03lo?`1`L700Kfm_0080O7al00`0Ng]k075aL@0f=SH0
OGem05YJFP1jNWX0CTi>07alO01jNWX0Ng]k05aLG01]KFd307alO00A071`L01eMGD0MgMg07alO01m
OGd0HV9R07YjNP1mOGd0J6QX07alO01iNGT0OGem05=CD`1NGUh0N7Qh06=SH`1eMGD00P1dM7@0801i
NGT0N7Qh07MgM`1kNg/0O7al05UIF@0C4a<0OGem07alO01mOGd0Lg=c07emO@1jNWX0GEeM07]kN`0G
5aL0NGUi07emO@1/K6`0O7al06EUI@1iNGT0O7al06][J`0410@0LW9b07IfMP1LG5`0OGem075aL@1g
MgL0K6a/0P1mOGd207QhN00407alO03oool00000000000@0oooo00060?ooo`80000000<0oooo0000
003oool00P3oool01@000000Lg=c06ATI01bLW80MgMg0080MWIf0P1dM7@03`1gMgL0GEeM071`L01g
MgL0JVYZ071`L01gMgL0IFEU07AdM01gMgL0Kfm_071`L00m?Cd0Jf][06YZJP0307IfMP0O06e]K@0e
=CD0MgMg05MGE`1eMGD0C4a<07IfMP1dM7@0MGEe05QHF01XJ6P0MWIf07MgM`1fMWH0Jf][071`L01a
LG40MWIf07MgM`1OGel0M7Ad07MgM`1TI6@0MWIf07=cL`1gMgL0D51@05]KF`1bLW80GemO071`L002
06m_K`0P07AdM01cLg<0LG5a07EeM@1fMWH0EUIF01<C4`1gMgL0MWIf07MgM`1^KVh0MgMg07AdM01J
FUX0MGEe01LG5`1cLg<0MgMg06MWI`1fMWH0HF5Q07AdM01fMWH0IfMW00@4101]KFd0LG5a05UIF@1g
MgL0KFe]079bLP1WIfL207MgM`03079bLP1cLg<0MWIf0080oooo00<000000?ooo`3oool00P3oool0
00@0oooo1P0000030?ooo`070000001^KVh0H61P06e]K@1aLG40L71`075aL@0206m_K`0?075aL@1J
FUX0Jf][075aL@1VIVH0Jf][075aL@1QHF40Kfm_075aL@1ZJVX0Jf][03`l?01WIfL0IVIV0080LG5a
00`0L71`06QXJ00d=3@0LG5a05ADE01_Kfl0BDU9075aL@1_Kfl0L71`05EEE@1TI6@3075aL@0D06IV
IP1[Jf/0K6a/071`L01bLW80Fe]K06m_K`1aLG40H61P075aL@1^KVh0LW9b04i>CP1HF5P0KFe]05]K
F`1[Jf/0JVYZ06][J`1_Kfl206e]K@04071`L01aLG40De=C01<C4`<0LG5a01/0JFUY079bLP1_Kfl0
EeMG071`L00G5aL0KVi^079bLP1SHf<0LG5a05eMG@1^KVh0LG5a06=SH`0410@0J6QX06a/K01FEUH0
LG5a06QXJ01]KFd0Hf=S079bLP1aLG40KFe]06i^KP1aLG400P3oool00`000000oooo0?ooo`020?oo
o`003@3oool010000000JFUY05aLG01XJ6P306a/K080JVYZ00l0K6a/05MGE`1WIfL0K6a/069RHP1W
IfL0K6a/05eMG@1ZJVX0K6a/06IVIP1WIfL0>c/k06=SH`1RHV800P1/K6`0301[Jf/0I6AT03<c<`1]
KFd0DE5A06][J`17AdL0K6a/06YZJP1[Jf/0DU9B061PH0<0K6a/0100HV9R06MWI`1XJ6P0K6a/06e]
K@1HF5P0JVYZ06a/K01MGEd0K6a/06YZJP1]KFd0Bd];05EEE@1YJFT0F5QH0`1VIVH01`1ZJVX0JFUY
06QXJ01[Jf/0K6a/055AD@0B4Q800`1/K6`06`1UIFD0KFe]06YZJP1DE5@0Jf][01LG5`1YJFT0KFe]
05mOG`1/K6`0FUYJ06YZJP1/K6`0GemO00@4101TI6@0J6QX05=CD`1/K6`0I6AT06QXJ01OGel0KFe]
06a/K01XJ6P0JFUY06a/K0020?ooo`030000003oool0oooo0080oooo000=0?ooo`070000001UIFD0
FEUI06ATI01XJ6P0IfMW06QXJ00206IVIP0?06QXJ01DE5@0Hf=S06QXJ01NGUh0HV9R06QXJ01JFUX0
IVIV06QXJ01RHV80Hf=S03Ti>@1OGel0GUiN00<0IfMW01h0H61P038b<P1XJ6P0CTi>06IVIP15ADD0
IfMW06IVIP1WIfL0D51@05aLG01WIfL0J6QX06MWI`1OGel0Hf=S06ATI01WIfL0J6QX05EEE@1VIVH0
J6QX05UIF@1WIfL0IFEU06QXJ019BDT0DU9B06ATI01EEED3069RHP0706IVIP1UIFD0I6AT06MWI`1X
J6P0CTi>018B4P0306QXJ00F065QH@1XJ6P0IVIV055AD@1WIfL05QHF06EUI@1XJ6P0G5aL06MWI`1G
EeL0IFEU06MWI`1LG5`010@4061PH01SHf<0D51@06QXJ01PH600I6AT05aLG080J6QX00<0I6AT06EU
I@1WIfL00P3oool00`000000oooo0?ooo`020?ooo`003@3oool01@000000HF5Q05IFEP1PH600I6AT
0080Hf=S0P1RHV803@1TI6@0DE5A05mOG`1TI6@0Fe]K05mOG`1TI6@0EeMG069RHP1TI6@0GUiN05mO
G`0h>3P00P1KFe/306=SH`0O05aLG00a<C40I6AT04a<C01RHV80@d=306=SH`1RHV80Hf=S04e=C@1I
FET0Hf=S06ATI01SHf<0Fe]K05mOG`1PH600Hf=S06ATI01BDU80HV9R06ATI01FEUH0Hf=S065QH@1T
I6@0AdM704m?C`1PH600DU9B05mOG`0205iNGP03069RHP1QHF40H61P0080Hf=S01/0C4a<018B4P1T
I6@0Hf=S06ATI01MGEd0I6AT069RHP1?Cdl0Hf=S01HF5P1QHF40I6AT05UIF@1SHf<0E5AD065QH@1S
Hf<0F5QH00@4101MGEd0H61P04i>CP1TI6@0G5aL061PH01IFET00P1TI6@00`1PH600HF5Q06=SH`02
0?ooo`030000003oool0oooo0080oooo000=0?ooo`070000001MGEd0De=C05eMG@1PH600GemO061P
H00205iNGP0:061PH01?Cdl0G5aL061PH01HF5P0Fe]K061PH01DE5@0GUiN061PH080Fe]K00<0=cLg
05QHF01GEeL00`1OGel0:01IFET0<30`061PH01:BTX0GUiN0492@P1OGel0GUiN05mOG`1;Bd/0EUIF
05mOG`1PH600GemO05QHF01KFe/0G5aL05mOG`1PH600Cdm?05iNGP1PH600De=C05mOG`1NGUh0H61P
04E5A@1=CDd0GEeM051@D01KFe/0FUYJ05]KF`1NGUh0GEeM05aLG01OGel0H61P04U9B@0B4Q83061P
H00F05YJFP1PH600GUiN04a<C01OGel05QHF05iNGP1PH600EEEE05mOG`1ADE40GUiN05mOG`1EEED0
10@405UIF@1LG5`0C4a<061PH01IFET0GEeM05IFEP80H61P0P1MGEd0101PH600oooo0?ooo`000004
0?ooo`003@3oool010000000FUYJ051@D01IFET305aLG080Fe]K00X0G5aL04a<C01HF5P0G5aL05EE
E@1HF5P0G5aL055AD@1KFe/0G5aL0P1HF5P00`0e=CD0EEEE05ADE00305aLG00705IFEP0_;bl0G5aL
04Q8B01KFe/0@41005aLG00205]KF`0304U9B@1CDe<0G5aL0080G5aL00<0EEEE05QHF01IFET00P1L
G5`03P1=CDd0Fe]K05aLG01ADE40G5aL05YJFP1LG5`0@d=304];B`1IFET0CDe=05QHF01GEeL0F5QH
0P1JFUX01@1IFET0Fe]K05aLG017AdL04Q8B00<0G5aL01H0EeMG05aLG01KFe/0BTY:05]KF`0F5QH0
FUYJ05aLG01CDe<0G5aL04i>CP1JFUX0G5aL059BDP0410@0EUIF05UIF@19BDT0G5aL05IFEP1IFET0
De=C0P1LG5`00`1IFET0FUYJ05aLG0020?ooo`030000003oool0oooo0080oooo000=0?ooo`0C0000
001GEeL0CTi>05IFEP1IFET0F5QH05UIF@1HF5P0EeMG05UIF@1:BTX0EEEE05UIF@1BDU80EEEE05UI
F@1?Cdl0F5QH05UIF@0205EEE@0303@d=01BDU80DU9B0080FEUI00P0F5QH05=CD`0^;Rh0FEUI04I6
AP1HF5P0?Shn05UIF@80F5QH00<0AdM7051@D01IFET00P1IFET04`1BDU80EEEE05IFEP1HF5P0FEUI
04];B`1GEeL0FEUI04i>CP1IFET0EeMG05UIF@11@D40B4Q805IFEP1;Bd/0EEEE05ADE01EEED00P1G
EeL01@1FEUH0F5QH05UIF@15ADD04Q8B00<0FEUI01H0E5AD05UIF@1HF5P0B4Q805QHF00F5QH0EeMG
05UIF@1@D500FEUI04a<C01GEeL0FEUI051@D00410@0De=C05IFEP17AdL0FEUI05=CD`1FEUH0D51@
0P1IFET00`1FEUH0EeMG05UIF@020?ooo`030000003oool0oooo0080oooo000=0?ooo`0C0000001D
E5@0C4a<05=CD`1FEUH0EEEE05IFEP1EEED0E5AD05IFEP18B4P0DU9B05IFEP1?Cdl0DU9B05IFEP1<
C4`0EEEE05IFEP02059BDP0303<c<`1@D500Cdm?0080EUIF00L0EEEE051@D00];Bd0EUIF04A4A01E
EED0?Cdm00<0EEEE00<0ADE504i>CP1FEUH00P1FEUH0401?Cdl0DU9B05=CD`1EEED0EUIF04Q8B01D
E5@0EUIF04a<C01EEED0E5AD05IFEP10@400ATI605=CD`19BDT3059BDP80E5AD00D0De=C05EEE@1F
EUH0@d=3018B4P0305IFEP0F055AD@1FEUH0EEEE04I6AP1EEED05ADE05ADE01FEUH0CDe=05IFEP1:
BTX0E5AD05EEE@1=CDd010@4055AD@1CDe<0ADE505IFEP1@D500De=C04i>CP80EUIF00<0De=C05AD
E01FEUH00P3oool00`000000oooo0?ooo`020?ooo`003@3oool010000000DE5A04U9B@1ADE4305=C
D`80DU9B00d0De=C04I6AP1@D500De=C04e=C@1@D500De=C04Y:BP1BDU80De=C04m?C`1@D500<S8b
0080CDe=0P1CDe<0201BDU80CTi>02d];@1CDe<0@T92059BDP0k>c/0De=C0P1BDU800`13@d<0C4a<
05=CD`0205=CD`0304e=C@1@D500D51@0080De=C00`0ATI6059BDP1CDe<0BDU905=CD`1ADE40De=C
03hn?P14A4@0DE5A04M7A`1@D50204m?C`07059BDP1ADE40D51@059BDP1CDe<0@T92018B4P0305=C
D`0F04m?C`1CDe<0DU9B04A4A01BDU805ADE055AD@1CDe<0Bd];05=CD`18B4P0DE5A05=CD`1;Bd/0
10@404i>CP1@D500@d=305=CD`1>CTh0DE5A04];B`80De=C0P1ADE40101CDe<0oooo0?ooo`000004
0?ooo`003@3oool01`000000C4a<04E5A@1<C4`0CTi>04e=C@1>CTh00P1=CDd02P1>CTh0@T9204];
B`1>CTh0B4Q804];B`1>CTh0ATI604e=C@1>CTh204];B`03030`<019BDT0B4Q80080CTi>00L0CDe=
04U9B@0[:b/0CTi>03hn?P1=CDd0>CTi00<0CDe=00<0?clo04M7A`1=CDd00P1>CTh04`18B4P0Bd];
04];B`1=CDd0CTi>04=3@`1=CDd0CTi>04E5A@1=CDd0C4a<04i>CP0k>c/0@D5104a<C013@d<0Bd];
04Y:BP1;Bd/00`1<C4`0101=CDd0CTi>03hn?P0A4A4304i>CP0F04Y:BP1>CTh0CDe=0410@01=CDd0
5ADE04a<C01>CTh0AdM704i>CP14A4@0C4a<04e=C@17AdL010@404U9B@1;Bd/0@41004i>CP19BDT0
C4a<04M7A`80CTi>0P1<C4`0101>CTh0oooo0?ooo`0000040?ooo`003@3oool010000000BTY:04=3
@`19BDT404];B`0904Y:BP1;Bd/0@41004U9B@1;Bd/0ATI604U9B@1;Bd/0A4A40080Bd];00D0B4Q8
04U9B@0_;bl0AdM704I6AP0304];B`0;04M7A`0Z:RX0C4a<03dm?@1;Bd/0=cLg04];B`1:BTX0Bd];
03hn?P15ADD00`1;Bd/04@16ATH0BDU904U9B@1;Bd/0C4a<0451@@1:BTX0Bd];04=3@`1;Bd/0BTY:
04a<C00j>SX0?clo04Y:BP11@D40BDU90080B4Q80P1:BTX01@19BDT0Bd];04];B`0m?Cd04A4A00<0
Bd];01P0B4Q804a<C01;Bd/0?clo04];B`0E5AD0BTY:04a<C015ADD0Bd];0492@P1:BTX0Bd];04E5
A@0410@0AdM704U9B@0n?Sh0Bd];04M7A`19BDT0ADE504a<C01;Bd/204Y:BP0404];B`3oool0oooo
000000@0oooo000=0?ooo`0400000018B4P0@T9204M7A`<0BDU90P18B4P03`19BDT0?clo04M7A`19
BDT0A4A404I6AP19BDT0@T9204Q8B019BDT0ATI604M7A`0^;Rh0ADE504A4A00304U9B@0;04E5A@0Z
:RX0BDU903/k>`18B4P0=SHf04U9B@18B4P0BDU903`l?013@d<00`19BDT00`14A4@0AdM704M7A`02
04U9B@0;03lo?`18B4P0BDU90492@P19BDT0B4Q804U9B@0h>3P0?Shn04M7A`0o?cl00`16ATH204Q8
B00504M7A`19BDT0BDU903/k>`0A4A400`19BDT05P16ATH0BDU904Q8B00m?Cd0BDU901@D5018B4P0
BDU904=3@`19BDT0@41004Q8B019BDT0@d=300<30`15ADD0AdM703dm?@19BDT0ADE504M7A`13@d<2
04U9B@0304M7A`18B4P0BDU90080oooo00<000000?ooo`3oool00P3oool000d0oooo00@0000004I6
AP10@400ADE50`17AdL204I6AP0?04M7A`0m?Cd0ADE504M7A`12@T80ADE504M7A`10@400ATI604M7
A`14A4@0ADE502h^;P13@d<0@T9200<0AdM700/0@d=302TY:@17AdL0>SXj04I6AP0e=CD0AdM704I6
AP17AdL0>c/k0492@P0304M7A`0304=3@`15ADD0ADE50080AdM700`0?Shn04I6AP17AdL0@41004M7
A`16ATH0AdM703Lg=`0l?3`0ADE503hn?P15ADD204A4A080ATI600D0ADE504M7A`17AdL0>SXj014A
4@0304M7A`0F04A4A017AdL0ATI603`l?017AdL051@D04I6AP17AdL0@D5104M7A`0o?cl0ATI604M7
A`11@D400`<304=3@`15ADD0>c/k04M7A`13@d<0ADE50451@@80AdM700<0ADE504I6AP17AdL00P3o
ool00`000000oooo0?ooo`020?ooo`003@3oool010000000A4A403hn?P13@d<304E5A@80A4A400X0
ADE503`l?013@d<0ADE50451@@13@d<0ADE503lo?`14A4@0ADE50P13@d<00`0];Bd0@D510451@@03
04E5A@0;0492@P0X:2P0ADE503Ti>@14A4@0=3@d04E5A@14A4@0ADE503Xj>P10@4000`15ADD00`11
@D40@d=304=3@`0204E5A@0>03`l?014A4@0ADE503hn?P15ADD0A4A404E5A@0f=SH0>c/k04A4A00l
?3`0@d=30492@P13@d<204A4A00504=3@`15ADD0ADE503Ti>@0A4A400`15ADD05P12@T80ADE504A4
A00j>SX0ADE501@D5014A4@0ADE50410@015ADD0?Cdm04A4A015ADD0?clo00<30`12@T80@d=303Xj
>P15ADD0@T9204=3@`10@40204E5A@80A4A400@0ADE50?ooo`3oool00000103oool000d0oooo00@0
00000492@P0m?Cd0@T920`13@d<20492@P0804=3@`0j>SX0@D5104=3@`0o?cl0@D5104=3@`0m?Cd2
04=3@`80@D5100<0;2`/03lo?`0o?cl00`13@d<02`10@400:2PX04=3@`0g=cL0@d=303<c<`13@d<0
@T9204=3@`0h>3P0?Shn00<0@d=300<0?clo0451@@11@D400P13@d<02`0k>c/0@T9204=3@`0m?Cd0
@d=30492@P13@d<0=CDe03Ti>@12@T80>c/k00<0@D510`12@T8204=3@`0303Lg=`0A4A40@d=30080
@d=301H0@41004=3@`13@d<0>CTi04=3@`0D51@0@T9204=3@`0n?Sh0@d=303`l?012@T80@d=303hn
?P030`<0@4100451@@0i>CT0@d=30410@012@T80?Shn0P13@d<20492@P0404=3@`3oool0oooo0000
00@0oooo000=0?ooo`0400000010@400>c/k0410@0D0@D5100P0@T9203Ti>@0o?cl0@D5103hn?P0o
?cl0@D5103`l?080@D510P0o?cl00`0[:b/0?Shn03dm?@030451@@0603hn?P0W9bL0@T9203Hf=P11
@D40<S8b0`11@D400`0g=cL0?Cdm0451@@020451@@0@03hn?P0o?cl0@4100451@@12@T80>CTi0451
@@12@T80>c/k0451@@10@400@T9203@d=00h>3P0@41003Ti>@<0?clo00<0@D510410@010@4000P11
@D400`0f=SH04A4A0451@@020451@@0F03lo?`12@T80@D5103Ph>011@D4051@D0410@012@T80?3`l
0451@@0j>SX0@4100451@@0l?3`00`<303hn?P10@400=cLg0451@@0n?Sh0@41003`l?080@T920P10
@4001011@D40oooo0?ooo`0000040?ooo`001`3oool3000000<0oooo00L0000003lo?`0j>SX0?Shn
0410@00o?cl0@4100080?clo00X0@41003Ph>00n?Sh0@41003`l?00n?Sh0@41003Xj>P0o?cl0@410
0P0n?Sh00`0Z:RX0?3`l03`l?0020410@00803lo?`0m?Cd09RHV0410@00e=CD0?clo034a<@10@402
03lo?`0303Hf=P0k>c/0@4100080@41001<0?3`l03hn?P0n?Sh0?clo0410@00h>3P0?clo0410@00j
>SX0@41003lo?`10@400<c<c03Lg=`0n?Sh0>3Ph03hn?P0m?Cd0?Shn0080?clo00D0?Shn03lo?`10
@400=CDe010@40030410@00F03dm?@10@400?clo03Hf=P0o?cl051@D03lo?`10@400>c/k0410@00i
>CT0?clo0410@00k>c/00`<303dm?@0n?Sh0=SHf0410@00m?Cd0?Shn03/k>`80@41000<0?Shn03lo
?`10@4000P3oool00`000000oooo0?ooo`020?ooo`00103oool4000000030?ooo`000000oooo0080
oooo00@0000003dm?@0i>CT0?Cdm100n?Sh02@0m?Cd0?Shn03Hf=P0l?3`0?Shn03/k>`0l?3`0?Shn
03Ti>@0203hn?P80?3`l00<0:RXZ03/k>`0j>SX00`0n?Sh01P0k>c/09RHV03hn?P0d=3@0?Shn030`
<0<0?Shn00<0=CDe03Xj>P0n?Sh00P0n?Sh00`0k>c/0?3`l03dm?@0203hn?P0;03Lg=`0m?Cd0?Shn
03Ti>@0n?Sh0?Cdm03hn?P0b<S80=SHf03dm?@0g=cL00`0l?3`303dm?@80?Shn00<0=3@d010@400n
?Sh00P0n?Sh05P0l?3`0?Shn03hn?P0e=CD0?Shn01<C4`0m?Cd0?Shn03Xj>P0n?Sh0>3Ph03dm?@0n
?Sh0>SXj00<30`0k>c/0?Cdm03De=@0n?Sh0>c/k03dm?@0j>SX203hn?P80?Cdm00@0?Shn0?ooo`00
00000000103oool000@0oooo0P000000103oool000000?ooo`0000030?ooo`070000000l?3`0=cLg
03/k>`0m?Cd0?3`l03dm?@0203`l?00:03dm?@0e=CD0>c/k03dm?@0i>CT0>c/k03dm?@0h>3P0?3`l
03dm?@80>c/k00<0:BTY03Ti>@0i>CT00`0l?3`01P0j>SX09BDU03dm?@0c<c<0?3`l02l_;`<0?3`l
00H0=3@d03Ti>@0l?3`0?Cdm03`l?00i>CT203/k>`0603`l?00m?Cd0=SHf03`l?00m?Cd0=cLg0P0l
?3`0200m?Cd0<C4a03@d=00k>c/0=SHf03/k>`0j>SX0>c/k0P0l?3`01@0k>c/0?3`l03dm?@0c<c<0
410@00<0?Cdm00/0>SXj03dm?@0l?3`0=3@d03`l?00C4a<0?3`l03dm?@0h>3P0?3`l03Hf=P0203`l
?00903Ph>0030`<0>SXj03/k>`0d=3@0?Cdm03Xj>P0k>c/0>3Ph0080?Cdm00<0>c/k03`l?00m?Cd0
0P3oool00`000000oooo0?ooo`020?ooo`001@3oool00`000000oooo00000002000000<0oooo00@0
000003Xj>P0f=SH0>SXj100k>c/02@0j>SX0>c/k03@d=00j>SX0>c/k03Ph>00i>CT0>c/k03Hf=P02
03/k>`80>CTi00<0:2PX03Ph>00h>3P00`0k>c/01P0i>CT09BDU03/k>`0b<S80>c/k02h^;P<0>c/k
00<0<S8b03Lg=`0k>c/00P0k>c/00`0h>3P0>CTi03Xj>P0203/k>`0;03@d=00j>SX0>c/k03Hf=P0k
>c/0>SXj03/k>`0`<300<c<c03Xj>P0e=CD00`0i>CT303Xj>P80>c/k00<0<S8b010@400k>c/00P0k
>c/05P0i>CT0>c/k03/k>`0c<c<0>c/k01<C4`0j>SX0>c/k03Lg=`0k>c/0=CDe03Xj>P0k>c/0=cLg
00<30`0i>CT0>SXj03<c<`0k>c/0>CTi03Xj>P0g=cL203/k>`80>SXj00@0>c/k0?ooo`3oool00000
103oool000d0oooo00@0000003Ti>@0e=CD0>CTi0`0j>SX203Ti>@0:03Xj>P0c<c<0>3Ph03Xj>P0g
=cL0>3Ph03Xj>P0e=CD0>CTi03Xj>P80>3Ph00<0:2PX03Lg=`0g=cL00`0j>SX01`0g=cL092@T03Xj
>P0a<C40>CTi02d];@0j>SX00P0i>CT00`0a<C40=SHf03Xj>P0203Xj>P0303Lg=`0h>3P0>3Ph0080
>SXj00/0<c<c03Ti>@0j>SX0=CDe03Xj>P0i>CT0>SXj02l_;`0b<S80>CTi03<c<`0303Ph>0@0>CTi
00<0>SXj034a<@0@41000`0j>SX05P0h>3P0>SXj03Ti>@0b<S80>CTi01<C4`0i>CT0>SXj03Hf=P0j
>SX0=3@d03Ti>@0j>SX0=SHf00<30`0g=cL0>3Ph038b<P0j>SX0=cLg03Ti>@0f=SH203Xj>P80>CTi
00@0>SXj0?ooo`3oool00000103oool000d0oooo00@0000003Ph>00d=3@0=cLg1@0h>3P02P0i>CT0
<S8b03Lg=`0h>3P0=SHf03Lg=`0h>3P0=3@d03Ph>00i>CT203Lg=`0302LW9`0f=SH0=CDe00<0>3Ph
00H0=SHf02@T900i>CT0<30`03Ph>00/;2`303Ph>003030`<00e=CD0>3Ph0080>3Ph00T0=SHf03Lg
=`0g=cL0>3Ph03Ti>@0b<S80>3Ph03Ti>@0d=3@00P0h>3P01@0i>CT0;Rh^034a<@0g=cL0<S8b00<0
=cLg0P0h>3P04`0g=cL0>3Ph03Ph>00`<300410@03Ti>@0h>3P0>CTi03Hf=P0i>CT0>3Ph034a<@0h
>3P04a<C03Ph>00i>CT0=CDe03Ph>00c<c<00P0h>3P02@0e=CD00`<303Hf=P0g=cL0<C4a03Ti>@0f
=SH0=cLg03De=@0203Ti>@0303Lg=`0h>3P0>3Ph0080oooo00<000000?ooo`3oool00P3oool000d0
oooo00@0000003Hf=P0c<c<0=SHf1P0g=cL01`0a<C40=SHf03Lg=`0d=3@0=SHf03Lg=`0c<c<00P0g
=cL203Hf=P0302HV9P0e=CD0=3@d00<0=cLg00H0=CDe02<S8`0g=cL0;bl_03Lg=`0/;2`303Lg=`03
030`<00d=3@0=cLg0080=cLg00<0=3@d03Hf=P0f=SH00P0g=cL03`0a<C40=cLg03Lg=`0c<c<0=cLg
03Hf=P0g=cL0;Bd]030`<00f=SH0<C4a03Hf=P0e=CD0=SHf03Lg=`0203Hf=P80=cLg00<0;bl_010@
400g=cL00P0g=cL02`0e=CD0=cLg03Lg=`0`<300=cLg01<C4`0f=SH0=cLg03@d=00g=cL0<S8b0080
=cLg00T0=3@d00<30`0e=CD0=SHf030`<00g=cL0=CDe03Hf=P0d=3@00P0g=cL203Hf=P0403Lg=`3o
ool0oooo000000@0oooo000=0?ooo`040000000e=CD0<S8b03De=@@0=SHf00T0=CDe03Hf=P0`<300
=CDe03Hf=P0c<c<0=3@d03Hf=P0b<S800P0f=SH00`0d=3@0=CDe02HV9P0203<c<`<0=SHf00H0=3@d
028R8P0f=SH0;Rh^03Hf=P0[:b/303Hf=P0302l_;`0c<c<0=SHf0080=SHf00<0<c<c03De=@0e=CD0
0P0f=SH02`0`<300=CDe03Hf=P0b<S80=SHf03De=@0f=SH0;2`/02l_;`0e=CD0<30`00<0=3@d0`0e
=CD203Hf=P0302h^;P0@4100=SHf0080=SHf01H0=3@d03Hf=P0f=SH0;bl_03Hf=P0C4a<0=CDe03Hf
=P0c<c<0=SHf034a<@0e=CD0=SHf038b<P030`<0=3@d03De=@0_;bl0=SHf03@d=00e=CD0<c<c0P0f
=SH203De=@0403Hf=P3oool0oooo000000@0oooo000=0?ooo`040000000d=3@0<C4a03@d=0<0=CDe
0P0d=3@02P0e=CD0;bl_03@d=00e=CD0<S8b03<c<`0e=CD0<C4a03@d=00e=CD203<c<`0302DU9@0b
<S80<S8b00<0=CDe00/0<c<c028R8P0e=CD0;Bd]03@d=00Z:RX0=CDe03@d=00e=CD0;Rh^038b<P03
03De=@03038b<P0c<c<0=3@d0080=CDe00/0;bl_03@d=00e=CD0<C4a03De=@0d=3@0=CDe02/[:`0^
;Rh0=3@d02l_;`0303<c<`<0=3@d0P0e=CD00`0];Bd0410@03De=@0203De=@0F03<c<`0e=CD0=3@d
02h^;P0e=CD04Q8B03@d=00e=CD0<S8b03De=@0`<300=3@d03De=@0a<C400`<303<c<`0d=3@0;Rh^
03De=@0c<c<0=3@d038b<P80=CDe0P0d=3@0100e=CD0oooo0?ooo`0000040?ooo`003@3oool01000
0000<c<c030`<00c<c<303@d=080<c<c00X0=3@d02h^;P0b<S80=3@d034a<@0b<S80=3@d030`<00c
<c<0=3@d0P0b<S800`0U9BD0<C4a034a<@0303@d=007038b<P0R8R80=3@d02`/;00c<c<0:BTY03@d
=00203<c<`0302d];@0a<C40=3@d0080=3@d00<0<C4a038b<P0c<c<00P0d=3@02`0_;bl0<c<c03@d
=00`<300=3@d03<c<`0d=3@0:b/[02h^;P0c<c<0;bl_00<0<S8b100c<c<00`0d=3@0;2`/00l?3`03
03@d=00F038b<P0d=3@0<c<c02d];@0c<c<04Q8B03<c<`0d=3@0<C4a03@d=00_;bl0<c<c03@d=00`
<3000`<3038b<P0c<c<0;Bd]03@d=00b<S80<c<c034a<@80=3@d0P0c<c<0100d=3@0oooo0?ooo`00
00040?ooo`003@3oool01`000000<S8b02l_;`0b<S80<c<c038b<P0c<c<00P0b<S802P0c<c<0;Bd]
034a<@0c<c<0<30`034a<@0c<c<0;bl_038b<P0c<c<2034a<@0302@T900`<300<30`0080<c<c00P0
<S8b034a<@0Q8B40<c<c02`/;00b<S80:BTY03<c<`80<S8b00<0;2`/030`<00c<c<00P0c<c<0400`
<300<C4a038b<P0b<S80<c<c02h^;P0b<S80<c<c02l_;`0c<c<0<S8b03<c<`0Z:RX0;Bd]038b<P0^
;Rh3034a<@@0<S8b00<0<c<c02`/;00?3`l00`0c<c<05P0a<C40<c<c038b<P0];Bd0<S8b018B4P0b
<S80<c<c030`<00c<c<0;Rh^038b<P0c<c<0<30`00<30`0a<C40<S8b02`/;00c<c<0<C4a038b<P0`
<30203<c<`80<S8b00@0<c<c0?ooo`3oool00000103oool000d0oooo00L00000034a<@0^;Rh0<C4a
038b<P0a<C40<S8b0080<C4a00X0<S8b02d];@0`<300<S8b02l_;`0`<300<S8b02h^;P0a<C40<S8b
0P0`<3000`0T92@0;bl_02l_;`02038b<P08034a<@0`<3008B4Q038b<P0[:b/0<C4a02PX:00b<S82
034a<@0302/[:`0_;bl0<S8b0080<S8b0100;bl_030`<00a<C40<C4a038b<P0];Bd0<C4a038b<P0^
;Rh0<S8b034a<@0b<S80:BTY02`/;00a<C40;Bd]0`0`<304034a<@03038b<P0[:b/03`l?00<0<S8b
01H0<30`038b<P0a<C40;2`/034a<@0B4Q80<C4a038b<P0_;bl0<S8b02d];@0a<C40<S8b02l_;`03
0`<0<30`034a<@0/;2`0<S8b030`<00a<C40;bl_0P0b<S82034a<@04038b<P3oool0oooo000000@0
oooo000=0?ooo`040000000_;bl0;2`/02l_;`<0<30`0P0_;bl03`0`<300:b/[02l_;`0`<300;Rh^
02l_;`0`<300;Bd]02l_;`0`<300;Rh^02l_;`0S8b<0;Rh^02d];@03030`<00702h^;P0P8200<30`
02TY:@0_;bl09bLW030`<00202l_;`0302XZ:P0];Bd0<30`0080<30`00<0;Rh^02l_;`0_;bl00P0`
<300300[:b/0;bl_030`<00/;2`0<30`02l_;`0`<300:2PX02XZ:P0_;bl0:b/[02l_;`80;Rh^100_
;bl00`0`<300:BTY00l?3`03030`<00F02h^;P0`<300;bl_02XZ:P0`<3004Q8B02l_;`0`<300;Bd]
030`<00/;2`0;bl_030`<00];Bd00`<302h^;P0_;bl0:RXZ030`<00^;Rh0;bl_02d];@80<30`0P0_
;bl0100`<300oooo0?ooo`0000040?ooo`003@3oool010000000;Rh^02`/;00^;Rh302l_;`80;Rh^
00X0;bl_02XZ:P0^;Rh0;bl_02d];@0^;Rh0;bl_02`/;00^;Rh0;bl_0P0^;Rh00`0R8R80;Bd]02d]
;@0302l_;`0;02d];@0O7al0;bl_02TY:@0^;Rh09RHV02l_;`0^;Rh0;bl_02TY:@0/;2`00`0_;bl0
0`0];Bd0;Rh^02h^;P0202l_;`0=02XZ:P0^;Rh0;bl_02`/;00_;bl0;Rh^02l_;`0W9bL0:RXZ02h^
;P0[:b/0;Rh^02d];@0402h^;P80;bl_00<0:BTY00l?3`0_;bl00P0_;bl05P0];Bd0;bl_02h^;P0Z
:RX0;bl_018B4P0^;Rh0;bl_02`/;00_;bl0:b/[02h^;P0_;bl0;2`/00<30`0];Bd0;Rh^02TY:@0_
;bl0;Bd]02h^;P0/;2`202l_;`80;Rh^00@0;bl_0?ooo`3oool00000103oool000d0oooo00@00000
02d];@0[:b/0;Bd]1P0^;Rh01`0Z:RX0;Bd]02h^;P0/;2`0;Bd]02h^;P0[:b/00P0^;Rh202d];@03
028R8P0/;2`0;2`/00<0;Rh^00H0;2`/01lO7`0^;Rh0:2PX02h^;P0V9RH302h^;P0302PX:00/;2`0
;Rh^0080;Rh^00<0;2`/02d];@0];Bd00P0^;Rh02`0Z:RX0;Rh^02h^;P0[:b/0;Rh^02d];@0^;Rh0
9bLW02TY:@0];Bd0:RXZ00H0;Bd]0P0^;Rh00`0X:2P03`l?02h^;P0202h^;P0F02d];@0^;Rh0;Rh^
02TY:@0^;Rh04A4A02d];@0^;Rh0:b/[02h^;P0Z:RX0;Bd]02h^;P0[:b/00`<302`/;00];Bd0:BTY
02h^;P0/;2`0;Bd]02/[:`80;Rh^0P0];Bd0100^;Rh0oooo0?ooo`0000040?ooo`003@3oool01000
0000;Bd]02XZ:P0/;2`602d];@0702TY:@0/;2`0;Bd]02/[:`0/;2`0;Bd]02XZ:P0202d];@80;2`/
00<08B4Q02/[:`0[:b/00`0];Bd01P0/;2`07alO02d];@0W9bL0;Bd]02DU9@<0;Bd]00<0:2PX02/[
:`0];Bd00P0];Bd00`0[:b/0;2`/02`/;00202d];@0402TY:@0];Bd0;Bd]02XZ:P<0;Bd]00@09RHV
02PX:00/;2`0:BTY0`0/;2`00`0];Bd0;2`/02`/;00202d];@0302LW9`0?3`l0;Bd]0080;Bd]00H0
;2`/02d];@0];Bd0:2PX02d];@0A4A4202d];@0302/[:`0];Bd0:BTY0080;Bd]00H0:b/[00<30`0/
;2`0;2`/02PX:00];Bd202`/;00402/[:`0];Bd0;Bd]02`/;080;Bd]0P3oool00`000000oooo0?oo
o`020?ooo`003@3oool00`000000;2`/02TY:@0702`/;00702PX:00[:b/0;2`/02XZ:P0[:b/0;2`/
02XZ:P0202`/;080:b/[00<08B4Q02/[:`0Z:RX00`0/;2`01P0[:b/07QhN02`/;00W9bL0;2`/02@T
90<0;2`/00<09bLW02XZ:P0/;2`00P0/;2`00`0Z:RX0:b/[02`/;00202`/;00402PX:00/;2`0;2`/
02TY:@<0;2`/00@09BDU02PX:00/;2`0:2PX0`0[:b/502`/;00302LW9`0?3`l0;2`/0080;2`/00H0
:b/[02`/;00/;2`0:2PX02`/;00A4A4202`/;00302XZ:P0/;2`0:BTY0080;2`/00T0:RXZ00<30`0[
:b/0:b/[02LW9`0/;2`0:b/[02`/;00Z:RX01@0/;2`20?ooo`030000003oool0oooo0080oooo000=
0?ooo`050000000[:b/0:BTY02/[:`0/;2`0100[:b/01@0/;2`0:2PX02/[:`0/;2`0:RXZ0080:b/[
00H0:BTY02/[:`0/;2`0:RXZ02/[:`0P820202XZ:P<0:b/[00H0:RXZ01hN7P0/;2`09RHV02/[:`0T
92@302/[:`0302LW9`0Y:BT0:b/[0080:b/[00T0:RXZ02/[:`0[:b/0:b/[02`/;00X:2P0:b/[02`/
;00Y:BT00P0[:b/01P0/;2`09BDU02LW9`0[:b/0:2PX02/[:`80:RXZ1@0[:b/0400V9RH03`l?02`/
;00[:b/0;2`/02XZ:P0/;2`0:b/[02LW9`0[:b/04A4A02/[:`0/;2`0:BTY02/[:`0X:2P202/[:`09
02TY:@030`<0:RXZ02/[:`0W9bL0;2`/02XZ:P0[:b/0:BTY0080;2`/0`0[:b/20?ooo`030000003o
ool0oooo0080oooo000=0?ooo`040000000Z:RX0:2PX02XZ:P<0:b/[0P0Z:RX02P0[:b/09bLW02XZ
:P0[:b/0:BTY02XZ:P0[:b/0:2PX02XZ:P0[:b/202XZ:P03020P800Y:BT0:BTY00<0:b/[00/0:BTY
01dM7@0[:b/09RHV02XZ:P0S8b<0:b/[02XZ:P0[:b/09RHV02TY:@0302/[:`0302TY:@0Z:RX0:RXZ
0080:b/[00/09bLW02XZ:P0[:b/0:2PX02/[:`0Z:RX0:b/[02@T900V9RH0:RXZ02LW9`0602XZ:P80
:b/[00<09RHV00h>3P0[:b/00P0[:b/05P0Z:RX0:b/[02XZ:P0V9RH0:b/[014A4@0Z:RX0:b/[02TY
:@0[:b/09bLW02XZ:P0[:b/0:2PX00<30`0Y:BT0:RXZ02HV9P0[:b/0:BTY02XZ:P0Y:BT202/[:`80
:RXZ00@0:b/[0?ooo`3oool00000103oool000@0oooo1P0000030?ooo`040000000Z:RX09bLW02TY
:@H0:RXZ00L09RHV02TY:@0Z:RX0:2PX02TY:@0Z:RX09bLW0080:RXZ0P0Y:BT00`0O7al0:2PX02PX
:00302XZ:P0602TY:@0M7Ad0:RXZ02DU9@0Z:RX08b<S0`0Z:RX00`0U9BD0:2PX02XZ:P0202XZ:P03
02PX:00Y:BT0:BTY0080:RXZ00@09RHV02XZ:P0Z:RX09bLW0`0Z:RX0100T92@09RHV02TY:@0W9bL3
02TY:@0302XZ:P0Y:BT0:BTY0080:RXZ00<09BDU00h>3P0Z:RX00P0Z:RX01P0Y:BT0:RXZ02XZ:P0V
9RH0:RXZ014A4@80:RXZ00<0:2PX02XZ:P0W9bL00P0Z:RX01P0X:2P00`<302TY:@0Y:BT09RHV02XZ
:P80:BTY00<0:2PX02XZ:P0Z:RX00P0Y:BT0100Z:RX0oooo0?ooo`0000040?ooo`00103oool01P00
0000oooo000000000000oooo000000<0oooo00<0000002TY:@0W9bL01`0Y:BT00`0V9RH0:2PX02TY
:@0202PX:00402TY:@0W9bL0:BTY02TY:@80:2PX00<07alO02PX:00X:2P00`0Y:BT01P0X:2P07AdM
02TY:@0U9BD0:BTY028R8P<0:BTY00<09BDU02LW9`0Y:BT00P0Y:BT202PX:0<0:BTY00@09RHV02TY
:@0Y:BT09bLW0`0Y:BT0100S8b<09BDU02TY:@0V9RH302PX:0D0:BTY00<092@T00h>3P0Y:BT00P0Y
:BT01P0X:2P0:BTY02TY:@0U9BD0:BTY014A4@80:BTY00<09bLW02TY:@0V9RH00P0Y:BT02@0W9bL0
0`<302PX:00Y:BT09BDU02TY:@0X:2P0:BTY02LW9`0502TY:@030?ooo`000000000000@0oooo0004
0?ooo`@0000000<0oooo0000003oool00P3oool010000000:2PX02HV9P0X:2P302TY:@80:2PX00X0
:BTY02DU9@0X:2P0:BTY02LW9`0X:2P0:BTY02HV9P0X:2P0:BTY0P0X:2P00`0O7al09bLW02LW9`02
02TY:@0802PX:00W9bL071`L02TY:@0T92@0:2PX028R8P0Y:BT202PX:00302@T900W9bL0:BTY0080
:BTY00<09bLW02PX:00X:2P00P0Y:BT02`0U9BD0:2PX02TY:@0V9RH0:BTY02PX:00Y:BT08b<S02DU
9@0X:2P09BDU00L0:2PX00<0:BTY02@T900>3Ph00`0Y:BT05P0X:2P0:BTY02PX:00U9BD0:2PX014A
4@0X:2P0:BTY02LW9`0Y:BT09RHV02PX:00Y:BT09bLW00<30`0W9bL0:2PX02@T900Y:BT09bLW02PX
:00W9bL202TY:@80:2PX00@0:BTY0?ooo`3oool00000103oool000@0oooo1P0000030?ooo`040000
000X:2P09RHV02LW9`H0:2PX00L09BDU02LW9`0X:2P09RHV02LW9`0X:2P09RHV0080:2PX0P0W9bL0
0`0N7Qh09bLW02HV9P0302PX:00602LW9`0L71`0:2PX02<S8`0X:2P08B4Q0`0X:2P00`0T92@09RHV
02PX:00202PX:00302HV9P0W9bL09bLW0080:2PX00@09BDU02PX:00X:2P09RHV0`0X:2P0100R8R80
92@T02LW9`0U9BD302LW9`0302PX:00W9bL09bLW0080:2PX00<08b<S00h>3P0X:2P00P0X:2P01P0W
9bL0:2PX02PX:00T92@0:2PX010@4080:2PX00<09RHV02PX:00U9BD00P0X:2P01P0V9RH00`<302LW
9`0W9bL092@T02PX:0809bLW00<09RHV02PX:00X:2P00P0W9bL0100X:2P0oooo0?ooo`0000040?oo
o`003@3oool00`0000009bLW02DU9@0702LW9`0402@T900W9bL09bLW02HV9P809bLW00H09BDU02LW
9`0W9bL09RHV02LW9`0N7Qh202HV9P<09bLW00H09RHV01`L700W9bL08b<S02LW9`0Q8B4302LW9`03
02<S8`0V9RH09bLW00809bLW00<09RHV02LW9`0W9bL00P0W9bL0100T92@09bLW02LW9`0U9BD302LW
9`04028R8P0T92@09bLW02@T90<09RHV1@0W9bL00`0S8b<03Ph>02LW9`0202LW9`0602HV9P0W9bL0
9bLW02<S8`0W9bL0410@0P0W9bL00`0U9BD09bLW02DU9@0202LW9`0902DU9@030`<09RHV02LW9`0S
8b<09bLW02HV9P0W9bL09BDU00D09bLW0P3oool00`000000oooo0?ooo`020?ooo`003@3oool01000
00009RHV02@T900V9RH302LW9`809RHV00X09bLW02<S8`0V9RH09bLW02DU9@0V9RH09bLW02DU9@0V
9RH09bLW0P0V9RH00`0N7Qh09BDU02DU9@0302LW9`0;02HV9P0K6a/09bLW028R8P0V9RH08B4Q02LW
9`0V9RH09bLW02<S8`0U9BD00`0W9bL00`0U9BD09RHV02HV9P0202LW9`0;02@T900V9RH09bLW02@T
900W9bL09RHV02LW9`0Q8B408b<S02HV9P0T92@01P0V9RH202LW9`03028R8P0>3Ph09bLW00809bLW
00l09RHV02LW9`0V9RH08b<S02LW9`0@41009RHV02LW9`0U9BD09bLW02@T900V9RH09bLW02DU9@03
0`<00P0V9RH01@0S8b<09bLW02HV9P0V9RH09BDU00809bLW0P0V9RH0100W9bL0oooo0?ooo`000004
0?ooo`003@3oool00`0000009RHV02@T900702HV9P0302<S8`0U9BD09RHV00809BDU00@09RHV02@T
900V9RH09RHV0P0U9BD00`0M7Ad09BDU02DU9@0302HV9P0602DU9@0K6a/09RHV028R8P0V9RH0820P
0`0V9RH00`0R8R8092@T02HV9P0202HV9P809BDU0`0V9RH0100S8b<09RHV02HV9P0T92@302HV9P04
024Q8@0S8b<09RHV02<S8`<09BDU1@0V9RH00`0R8R803Ph>02HV9P0202HV9P0602DU9@0V9RH09RHV
028R8P0V9RH0410@0P0V9RH00`0T92@09RHV02<S8`0202HV9P0902@T90030`<09BDU02DU9@0R8R80
9RHV02DU9@0V9RH092@T00D09RHV0P3oool00`000000oooo0?ooo`020?ooo`003@3oool01@000000
9BDU02<S8`0U9BD09RHV00@09BDU00D09RHV028R8P0U9BD09RHV02@T900202DU9@0302<S8`0U9BD0
9RHV00809BDU00<07AdM02@T900T92@00`0U9BD01P0T92@06a/K02HV9P0Q8B409BDU020P80<09BDU
00<08R8R02@T900U9BD00P0U9BD02@0T92@09BDU02DU9@0U9BD09RHV02<S8`0U9BD09RHV02<S8`02
02DU9@0502HV9P0P82008R8R02DU9@0S8b<0200U9BD0400Q8B403Ph>02HV9P0U9BD09RHV02DU9@0V
9RH09BDU028R8P0U9BD0410@02DU9@0V9RH092@T02DU9@0S8b<202DU9@0902@T90030`<092@T02DU
9@0R8R809RHV02@T900U9BD092@T00809RHV0`0U9BD20?ooo`030000003oool0oooo0080oooo000=
0?ooo`040000000U9BD08b<S02@T90H09BDU00<08R8R02@T900U9BD00P0T92@0100U9BD08b<S02DU
9@0U9BD202@T900301dM7@0T92@092@T00<09BDU00H092@T01/K6`0U9BD08B4Q02DU9@0O7al302DU
9@03024Q8@0S8b<09BDU00809BDU0`0T92@202DU9@04028R8P0U9BD09BDU02<S8`<09BDU00@0820P
028R8P0T92@08R8R0`0T92@202DU9@0502@T900U9BD09BDU024Q8@0>3Ph00`0U9BD01P0T92@09BDU
02DU9@0R8R809BDU010@40809BDU00<08b<S02DU9@0R8R800P0U9BD01P0S8b<00`<302@T900T92@0
8B4Q02DU9@8092@T00@08b<S02DU9@0U9BD092@T0P0U9BD20?ooo`030000003oool0oooo0080oooo
000=0?ooo`030000000T92@08R8R00L092@T00@08R8R02@T900T92@08b<S0P0T92@00`0R8R8092@T
02@T900202@T900301`L700S8b<08b<S00<092@T00H08b<S01XJ6P0T92@08B4Q02@T900O7al302@T
9003024Q8@0S8b<092@T008092@T00<08b<S02@T900T92@00P0T92@0100R8R8092@T02@T900R8R83
02@T9004020P800Q8B4092@T028R8PP092@T00<08B4Q00h>3P0T92@01@0T92@00`0Q8B4092@T010@
400202@T900302<S8`0T92@08R8R008092@T00T08b<S00<30`0S8b<092@T024Q8@0T92@08b<S02@T
900S8b<01@0T92@20?ooo`030000003oool0oooo0080oooo000=0?ooo`040000000T92@08R8R02<S
8`H092@T00<08B4Q02<S8`0T92@00P0S8b<0100T92@08R8R02@T900T92@202<S8`0301`L700S8b<0
8b<S00<092@T00H08b<S01XJ6P0T92@0820P02@T900O7al302@T9003020P800R8R8092@T008092@T
0`0S8b<202@T9004024Q8@0T92@092@T028R8P<092@T00@07alO024Q8@0S8b<08B4Q0`0S8b<00`0T
92@08b<S02<S8`0202@T9003020P800>3Ph092@T008092@T00H08b<S02@T900T92@08B4Q02@T900@
410202@T9003028R8P0T92@08R8R008092@T00H08R8R00<30`0S8b<08b<S024Q8@0T92@202<S8`03
028R8P0T92@092@T00808b<S00@092@T0?ooo`3oool00000103oool000d0oooo00<0000002<S8`0Q
8B401`0S8b<0100Q8B408b<S02<S8`0R8R8202<S8`03028R8P0S8b<08b<S00808b<S00<071`L028R
8P0R8R800`0S8b<01P0R8R806QXJ02<S8`0P82008b<S01hN7P<08b<S00<0820P028R8P0S8b<00P0S
8b<00`0R8R808b<S02<S8`0202<S8`04024Q8@0S8b<08b<S024Q8@<08b<S00@07alO020P800S8b<0
8B4Q200S8b<00`0P82003@d=02<S8`0502<S8`03020P800S8b<0410@00808b<S00<08R8R02<S8`0Q
8B400P0S8b<02@0R8R800`<3028R8P0S8b<0820P02<S8`0R8R808b<S028R8P0502<S8`80oooo00<0
00000?ooo`3oool00P3oool000d0oooo00<00000028R8P0Q8B401`0R8R80100P82008R8R028R8P0Q
8B42028R8P03024Q8@0R8R808R8R00808R8R00<06a/K024Q8@0Q8B400`0R8R801P0Q8B406ATI028R
8P0O7al08R8R01dM7@<08R8R00<07alO024Q8@0R8R800P0R8R800`0Q8B408R8R028R8P02028R8P04
020P800R8R808R8R024Q8@<08R8R00@07QhN020P800R8R80820P200R8R800`0O7al03@d=028R8P05
028R8P0301lO7`0R8R803`l?00808R8R00<08B4Q028R8P0P82000P0R8R802@0Q8B400`<3024Q8@0R
8R807alO028R8P0Q8B408R8R024Q8@05028R8P80oooo00<000000?ooo`3oool00P3oool000d0oooo
00@00000028R8P0P82008B4Q1P0R8R800`0O7al08B4Q028R8P02024Q8@04028R8P0P82008R8R028R
8P808B4Q00<06a/K024Q8@0Q8B400`0R8R801P0Q8B406ATI028R8P0O7al08R8R01dM7@<08R8R00<0
7alO024Q8@0R8R800P0R8R83024Q8@808R8R00@0820P028R8P0R8R80820P0`0R8R80100N7Qh07alO
024Q8@0P8203024Q8@808R8R00D08B4Q028R8P0R8R807alO00d=3@03028R8P06024Q8@0R8R808R8R
01lO7`0R8R803`l?0P0R8R800`0P82008R8R020P8002028R8P06020P80030`<08B4Q024Q8@0O7al0
8R8R0P0Q8B40100P82008R8R028R8P0Q8B42028R8P80oooo00<000000?ooo`3oool00P3oool000d0
oooo00<00000024Q8@0P82001`0Q8B40100O7al08B4Q024Q8@0P8202024Q8@03020P800Q8B408B4Q
00808B4Q00<06QXJ020P800P8200100Q8B401@0I6AT08B4Q01hN7P0Q8B407AdM00<08B4Q00<07QhN
020P800Q8B400P0Q8B400`0P82008B4Q024Q8@02024Q8@0401lO7`0Q8B408B4Q020P80<08B4Q00@0
7AdM01lO7`0Q8B407alO200Q8B400`0N7Qh03@d=024Q8@05024Q8@0301lO7`0Q8B403`l?00808B4Q
00<0820P024Q8@0O7al00P0Q8B401@0P82000`<3024Q8@0Q8B407QhN00<08B4Q00<0820P024Q8@0Q
8B400`0Q8B420?ooo`030000003oool0oooo0080oooo000=0?ooo`030000000Q8B407alO00L08B4Q
00<07alO020P800Q8B400P0P8200100Q8B407alO024Q8@0Q8B42020P800301XJ6P0P8200820P00<0
8B4Q00H0820P01PH600Q8B407QhN024Q8@0L71`3024Q8@0301hN7P0P82008B4Q00808B4Q0P0P8203
024Q8@0401lO7`0Q8B408B4Q01lO7`<08B4Q00@07AdM01hN7P0Q8B407alO0`0P8205024Q8@0301hN
7P0=3@d08B4Q00808B4Q00H0820P024Q8@0Q8B407QhN024Q8@0?3`l2024Q8@03020P800Q8B407alO
00808B4Q00T0820P00<30`0P8200820P01hN7P0Q8B40820P024Q8@0P82001@0Q8B420?ooo`030000
003oool0oooo0080oooo000=0?ooo`050000000P82007alO020P800Q8B40100P82001@0Q8B407QhN
020P800Q8B407alO0080820P00<07alO020P800Q8B400P0P82000`0J6QX0820P01lO7`04020P8005
01PH600Q8B407AdM020P800L71`00`0P82000`0N7Qh07alO020P8006020P8005024Q8@0N7Qh0820P
024Q8@0O7al00P0P82001@0Q8B407AdM01hN7P0P82007QhN00P0820P01007AdM00d=3@0Q8B40820P
024Q8@0P82008B4Q020P800N7Qh0820P00l?3`0P82008B4Q01lO7`0P82007alO0P0P82001P0O7al0
0`<3020P800P82007QhN024Q8@80820P00<07alO024Q8@0Q8B400`0P82020?ooo`030000003oool0
oooo0080oooo000=0?ooo`030000000P82007QhN00L0820P00@07QhN020P800P82007alO0P0P8200
1P0O7al0820P020P800O7al0820P01XJ6P807alO0`0P82001P0O7al061PH020P800M7Ad0820P01`L
70<0820P00<07AdM01lO7`0P82000P0P82000`0O7al0820P020P8002020P800401hN7P0P8200820P
01lO7`<0820P00D071`L01hN7P0P82007QhN020P800201lO7`D0820P00<07AdM00d=3@0P82000P0P
82001P0O7al0820P020P800M7Ad0820P00l?3`80820P00<07alO020P800N7Qh00P0P82002@0O7al0
0`<301lO7`0P82007AdM020P800O7al0820P01lO7`05020P8080oooo00<000000?ooo`3oool00P3o
ool000d0oooo00@0000001lO7`0N7Qh07alO0`0P820201lO7`04020P800M7Ad07alO020P80807alO
00@0820P01hN7P0O7al0820P0P0O7al00`0I6AT07alO01lO7`03020P800;01lO7`0H61P0820P01dM
7@0P82006a/K020P800O7al0820P01dM7@0N7Qh00`0P820301lO7`80820P00/07QhN01lO7`0P8200
7QhN020P800O7al0820P01`L700M7Ad07alO01hN7P0601lO7`80820P00<07AdM00d=3@0P82000P0P
82003`0O7al0820P01lO7`0M7Ad0820P00l?3`0O7al0820P01hN7P0P82007QhN01lO7`0P82007QhN
00<30`0201lO7`0501dM7@0P82007alO01lO7`0N7Qh00P0P820201lO7`04020P803oool0oooo0000
00@0oooo00040?ooo`H000000`3oool00`0000007alO01hN7P0701lO7`0401dM7@0O7al07alO01hN
7P807alO00<07QhN01lO7`0O7al00P0O7al00`0I6AT07QhN01hN7P0301lO7`0601hN7P0G5aL07alO
01`L700O7al06a/K0`0O7al00`0M7Ad07QhN01lO7`0201lO7`0301hN7P0O7al07alO00807alO00@0
7AdM01lO7`0O7al07QhN0`0O7al0100L71`07AdM01lO7`0M7Ad801lO7`0301`L700=3@d07alO00D0
7alO00<07AdM01lO7`0?3`l00P0O7al00`0N7Qh07alO01dM7@0201lO7`0901hN7P030`<07alO01lO
7`0M7Ad07alO01hN7P0O7al07QhN00D07alO0P3oool00`000000oooo0?ooo`020?ooo`00103oool0
1P000000oooo000000000000oooo000000<0oooo00<0000001lO7`0M7Ad01`0O7al00`0M7Ad07QhN
01lO7`0201hN7P0401lO7`0M7Ad07alO01lO7`807QhN00<06ATI01hN7P0N7Qh00`0O7al01P0N7Qh0
5aLG01lO7`0L71`07alO01/K6`<07alO00<071`L01hN7P0O7al00P0O7al301hN7P807alO00@07AdM
01lO7`0O7al07AdM0`0O7al0100K6a/07AdM01lO7`0M7Ad301hN7P807alO00D07QhN01lO7`0O7al0
71`L00d=3@0301lO7`0601hN7P0O7al07alO01`L700O7al03`l?0P0O7al00`0N7Qh07alO01dM7@02
01lO7`0901hN7P030`<07QhN01hN7P0L71`07alO01hN7P0O7al07QhN00D07alO00<0oooo00000000
0000103oool000D0oooo0`0000000`3oool000000?ooo`020?ooo`030000000N7Qh07AdM00L07QhN
00<071`L01hN7P0N7Qh00`0N7Qh00`0M7Ad07QhN01hN7P0201hN7P0301PH600N7Qh07QhN00@07QhN
00D05aLG01hN7P0L71`07QhN01/K6`0301hN7P0301`L700M7Ad07QhN00L07QhN00@07AdM01hN7P0N
7Qh07AdM0`0N7Qh0100K6a/071`L01hN7P0M7Ad801hN7P0301`L700=3@d07QhN00D07QhN00<071`L
01hN7P0?3`l00P0N7Qh00`0M7Ad07QhN01dM7@0201hN7P0501dM7@030`<07QhN01hN7P0L71`00`0N
7Qh00`0M7Ad07QhN01hN7P0301hN7P80oooo00<000000?ooo`3oool00P3oool000@0oooo1P000003
0?ooo`030000000N7Qh07AdM00L07QhN00@071`L01hN7P0N7Qh07AdM0P0N7Qh00`0M7Ad07QhN01hN
7P0201hN7P0301PH600M7Ad07AdM00<07QhN00H07AdM01LG5`0N7Qh06a/K01hN7P0J6QX301hN7P03
01`L700M7Ad07QhN00807QhN00<07AdM01hN7P0N7Qh00P0N7Qh0100L71`07QhN01hN7P0M7Ad301hN
7P0401/K6`0L71`07QhN01`L70P07QhN00<06a/K00d=3@0N7Qh00P0N7Qh01P0M7Ad07QhN01hN7P0L
71`07QhN00h>3P807QhN00<07AdM01hN7P0L71`00P0N7Qh02@0M7Ad00`<301dM7@0N7Qh071`L01hN
7P0M7Ad07QhN01dM7@0501hN7P80oooo00<000000?ooo`3oool00P3oool000d0oooo00@0000001dM
7@0L71`07AdM1P0N7Qh00`0L71`07AdM01hN7P0201dM7@0401hN7P0L71`07QhN01hN7P807AdM00<0
61PH01dM7@0M7Ad00`0N7Qh01P0M7Ad05aLG01hN7P0K6a/07QhN01XJ6P<07QhN00<06a/K01dM7@0N
7Qh00P0N7Qh301dM7@807QhN00@071`L01hN7P0N7Qh071`L0`0N7Qh0100J6QX071`L01dM7@0L71`3
01dM7@0301hN7P0M7Ad07AdM00807QhN00<06a/K00d=3@0N7Qh00P0N7Qh01P0M7Ad07QhN01hN7P0K
6a/07QhN00h>3P807QhN00<07AdM01hN7P0L71`00P0N7Qh01P0M7Ad00`<301dM7@0M7Ad06a/K01hN
7P<07AdM0P0N7Qh201dM7@0401hN7P3oool0oooo000000@0oooo000=0?ooo`030000000M7Ad071`L
00L07AdM00<06a/K01dM7@0M7Ad00`0M7Ad00`0L71`07AdM01dM7@0201dM7@0301PH600M7Ad071`L
00@07AdM00D05QHF01dM7@0K6a/07AdM01XJ6P0301dM7@0301/K6`0L71`07AdM00L07AdM00@071`L
01dM7@0M7Ad071`L0`0M7Ad0100J6QX06a/K01dM7@0L71`801dM7@0301/K6`0<30`07AdM00D07AdM
00<06a/K01dM7@0>3Ph00P0M7Ad00`0L71`07AdM01`L700201dM7@0501`L70030`<07AdM01dM7@0K
6a/00`0M7Ad00`0L71`07AdM01dM7@0301dM7@80oooo00<000000?ooo`3oool00P3oool000d0oooo
00<0000001dM7@0L71`01`0M7Ad0100K6a/07AdM01dM7@0L71`201dM7@0301`L700M7Ad07AdM0080
7AdM00<061PH01`L700L71`00`0M7Ad01P0L71`05QHF01dM7@0K6a/07AdM01TI6@<07AdM00<06a/K
01`L700M7Ad00P0M7Ad00`0L71`07AdM01dM7@0201dM7@0401/K6`0M7Ad07AdM01`L70<07AdM00H0
6QXJ01/K6`0M7Ad06a/K01dM7@0L71`601dM7@0301/K6`0<30`07AdM00807AdM00H071`L01dM7@0M
7Ad06a/K01dM7@0>3Ph201dM7@0301`L700M7Ad06a/K00807AdM00T071`L00<30`0L71`07AdM01/K
6`0M7Ad071`L01dM7@0L71`01@0M7Ad20?ooo`030000003oool0oooo0080oooo000=0?ooo`040000
000L71`06a/K01`L70H07AdM00<06a/K01`L700M7Ad00P0L71`0100M7Ad06a/K01dM7@0M7Ad201`L
700301LG5`0L71`071`L00<07AdM00H071`L01HF5P0M7Ad06QXJ01dM7@0I6AT301dM7@0301XJ6P0L
71`07AdM00807AdM0`0L71`201dM7@0;01/K6`0M7Ad07AdM01/K6`0M7Ad071`L01dM7@0J6QX06a/K
01`L700K6a/01P0L71`201dM7@0301XJ6P0<30`07AdM00807AdM00l071`L01dM7@0M7Ad06a/K01dM
7@0>3Ph071`L01dM7@0L71`07AdM01/K6`0L71`07AdM01`L70030`<00P0L71`00`0J6QX07AdM01`L
700201`L70807AdM0P0L71`0100M7Ad0oooo0?ooo`0000040?ooo`003@3oool00`00000071`L01/K
6`0701`L700301/K6`0L71`071`L00<071`L00<06a/K01`L700L71`00P0L71`00`0G5aL071`L01`L
700401`L700501HF5P0L71`06QXJ01`L700I6AT00`0L71`00`0J6QX06a/K01`L700701`L700401/K
6`0L71`071`L01/K6`<071`L00@06ATI01XJ6P0L71`06a/K200L71`00`0J6QX030`<01`L700501`L
700301XJ6P0L71`03Ph>008071`L00<06a/K01`L700K6a/00P0L71`01@0K6a/00`<301`L700L71`0
6QXJ00<071`L00<06a/K01`L700L71`00`0L71`20?ooo`030000003oool0oooo0080oooo000=0?oo
o`030000000L71`06a/K00L071`L00@06QXJ01`L700L71`06a/K0P0L71`00`0K6a/071`L01`L7002
01`L700301LG5`0K6a/06a/K00<071`L00H06a/K01HF5P0L71`06QXJ01`L700I6AT301`L700301XJ
6P0K6a/071`L008071`L00<06a/K01`L700L71`00P0L71`0100J6QX071`L01`L700K6a/301`L7004
01TI6@0J6QX071`L01XJ6PP071`L00<06QXJ00`<300L71`00P0L71`01P0K6a/071`L01`L700J6QX0
71`L00h>3P8071`L00<06a/K01`L700K6a/00P0L71`02@0K6a/00`<301/K6`0L71`06QXJ01`L700K
6a/071`L01/K6`0501`L7080oooo00<000000?ooo`3oool00P3oool000d0oooo00@0000001/K6`0J
6QX06a/K1P0L71`00`0J6QX06a/K01`L700201/K6`0401`L700K6a/071`L01`L70806a/K00<05aLG
01/K6`0K6a/00`0L71`01P0K6a/05ADE01`L700I6AT071`L01PH60<071`L00<06QXJ01/K6`0L71`0
0P0L71`301/K6`8071`L00@06QXJ01`L700L71`06a/K0`0L71`0100I6AT06QXJ01/K6`0J6QX301/K
6`0301`L700K6a/06a/K008071`L00<06ATI00`<300L71`00P0L71`02`0K6a/071`L01`L700J6QX0
71`L00h>3P0K6a/071`L01/K6`0L71`06QXJ008071`L00H06a/K00<30`0K6a/06a/K01XJ6P0L71`3
01/K6`8071`L0P0K6a/0100L71`0oooo0?ooo`0000040?ooo`003@3oool00`0000006a/K01XJ6P07
01/K6`0301XJ6P0K6a/06a/K00<06a/K00<06QXJ01/K6`0K6a/00P0K6a/00`0F5QH06a/K01/K6`04
01/K6`0501DE5@0K6a/06ATI01/K6`0H61P00`0K6a/00`0I6AT06QXJ01/K6`0701/K6`0401XJ6P0K
6a/06a/K01XJ6P<06a/K00@06ATI01XJ6P0K6a/06QXJ200K6a/00`0I6AT030`<01/K6`0501/K6`03
01TI6@0K6a/03Ph>00806a/K00<06QXJ01/K6`0J6QX00P0K6a/01@0J6QX00`<301/K6`0K6a/06ATI
00<06a/K00<06QXJ01/K6`0K6a/00`0K6a/20?ooo`030000003oool0oooo0080oooo000=0?ooo`03
0000000K6a/06QXJ00L06a/K00<06ATI01XJ6P0K6a/00P0J6QX0100K6a/06QXJ01/K6`0K6a/201XJ
6P0301HF5P0J6QX06QXJ00<06a/K00H06QXJ01DE5@0K6a/06ATI01/K6`0H61P301/K6`0301TI6@0J
6QX06a/K00806a/K0`0J6QX201/K6`0401TI6@0K6a/06a/K01XJ6P<06a/K00@061PH01TI6@0K6a/0
6ATI0`0J6QX201/K6`0501XJ6P0K6a/06a/K01TI6@0<30`00`0K6a/01P0J6QX06a/K01/K6`0I6AT0
6a/K00h>3P806a/K00<06QXJ01/K6`0I6AT00P0K6a/02@0J6QX00`<301XJ6P0J6QX06ATI01/K6`0J
6QX06a/K01XJ6P0501/K6`80oooo00<000000?ooo`3oool00P3oool000d0oooo00<0000001XJ6P0I
6AT01`0J6QX00`0I6AT06QXJ01XJ6P0301XJ6P0301TI6@0J6QX06QXJ00806QXJ00<05QHF01XJ6P0J
6QX0100J6QX01@0E5AD06QXJ01PH600J6QX05aLG00<06QXJ00<06ATI01XJ6P0J6QX01`0J6QX0100I
6AT06QXJ01XJ6P0I6AT301XJ6P0401PH600I6AT06QXJ01TI6@P06QXJ00<061PH00`<300J6QX01@0J
6QX00`0I6AT06QXJ00h>3P0401XJ6P0501TI6@0J6QX06QXJ01XJ6P030`<00P0J6QX00`0I6AT06QXJ
01XJ6P0701XJ6P80oooo00<000000?ooo`3oool00P3oool000d0oooo00<0000001XJ6P0I6AT01`0J
6QX00`0I6AT06QXJ01XJ6P0301XJ6P0301TI6@0J6QX06QXJ00806QXJ00<05QHF01XJ6P0I6AT0100J
6QX01@0D51@06QXJ01PH600J6QX05aLG00<06QXJ00<061PH01TI6@0J6QX01`0J6QX0100I6AT06QXJ
01XJ6P0I6AT301XJ6P8061PH00<06QXJ01TI6@0J6QX01`0J6QX00`0H61P030`<01XJ6P0501XJ6P03
01PH600J6QX03@d=00806QXJ00<06ATI01XJ6P0I6AT00P0J6QX01@0I6AT00`<301XJ6P0J6QX061PH
00<06QXJ00<06ATI01XJ6P0J6QX00`0J6QX20?ooo`030000003oool0oooo0080oooo000=0?ooo`03
0000000J6QX06ATI00L06QXJ00@061PH01XJ6P0J6QX06ATI0P0J6QX00`0I6AT06QXJ01XJ6P0201XJ
6P0301DE5@0I6AT06ATI00<06QXJ00H06ATI01@D500J6QX061PH01XJ6P0G5aL301XJ6P0301PH600I
6AT06QXJ00806QXJ00<06ATI01XJ6P0J6QX00P0J6QX0100I6AT06QXJ01XJ6P0I6AT301XJ6P0601LG
5`0H61P06QXJ01TI6@0J6QX06ATI1P0J6QX00`0H61P030`<01XJ6P0201XJ6P0601TI6@0J6QX06QXJ
01PH600J6QX03@d=0P0J6QX00`0I6AT06QXJ01TI6@0201XJ6P0901TI6@030`<06ATI01XJ6P0H61P0
6QXJ01TI6@0J6QX06ATI00D06QXJ0P3oool00`000000oooo0?ooo`020?ooo`003@3oool010000000
6ATI01TI6@0I6AT601XJ6P0301PH600I6AT06QXJ00806ATI00@06QXJ01TI6@0J6QX06QXJ0P0I6AT0
0`0E5AD06ATI01TI6@0301XJ6P0601TI6@0D51@06QXJ01PH600J6QX05aLG0`0J6QX00`0H61P06ATI
01XJ6P0201XJ6P<06ATI0P0J6QX02`0H61P06QXJ01XJ6P0I6AT06QXJ01TI6@0J6QX05aLG01PH600I
6AT061PH00H06ATI0P0J6QX00`0H61P030`<01XJ6P0201XJ6P0?01TI6@0J6QX06QXJ01PH600J6QX0
3@d=01TI6@0J6QX06ATI01XJ6P0H61P06ATI01XJ6P0I6AT00`<300806ATI00<061PH01XJ6P0I6AT0
0P0I6AT201XJ6P806ATI00@06QXJ0?ooo`3oool00000103oool000d0oooo00<0000001TI6@0H61P0
1`0I6AT00`0H61P06ATI01TI6@0301TI6@0301PH600I6AT06ATI00806ATI00<05ADE01TI6@0I6AT0
100I6AT01@0D51@06ATI01LG5`0I6AT05aLG00<06ATI00<061PH01TI6@0I6AT01`0I6AT0100H61P0
6ATI01TI6@0H61P301TI6@0401LG5`0H61P06ATI01PH60P06ATI00<05aLG00`<300I6AT01@0I6AT0
0`0H61P06ATI00d=3@0401TI6@0501PH600I6AT06ATI01TI6@030`<00P0I6AT00`0H61P06ATI01TI
6@0701TI6@80oooo00<000000?ooo`3oool00P3oool000d0oooo00<0000001TI6@0H61P01`0I6AT0
100H61P06ATI01TI6@0H61P201TI6@0301PH600I6AT06ATI00806ATI00<05ADE01TI6@0H61P0100I
6AT01@0D51@06ATI01LG5`0I6AT05QHF00<06ATI00<05aLG01PH600I6AT01`0I6AT0100H61P06ATI
01TI6@0H61P301TI6@0401LG5`0H61P06ATI01PH60P06ATI00<05aLG00`<300I6AT01@0I6AT00`0G
5aL06ATI00d=3@0201TI6@0301PH600I6AT061PH00806ATI00D061PH00<30`0I6AT06ATI01LG5`03
01TI6@0301PH600I6AT06ATI00<06ATI0P3oool00`000000oooo0?ooo`020?ooo`00103oool60000
00<0oooo00<0000001TI6@0H61P01`0I6AT0100G5aL06ATI01TI6@0H61P201TI6@0601PH600I6AT0
6ATI01PH600I6AT05ADE0P0H61P301TI6@0601PH600D51@06ATI01LG5`0I6AT05QHF0`0I6AT00`0G
5aL061PH01TI6@0201TI6@0301PH600I6AT06ATI00806ATI00@061PH01TI6@0I6AT061PH0`0I6AT2
01LG5`0301TI6@0H61P06ATI008061PH1@0I6AT00`0G5aL030`<01TI6@0201TI6@0601PH600I6AT0
6ATI01LG5`0I6AT03@d=0P0I6AT00`0H61P06ATI01PH600201TI6@0901PH60030`<061PH01TI6@0G
5aL06ATI01PH600I6AT061PH00D06ATI0P3oool00`000000oooo0?ooo`020?ooo`000P3oool01000
0000oooo0000003oool2000000030?ooo`000000oooo0080oooo00@0000001PH600H61P061PH0`0I
6AT201PH600401TI6@0G5aL061PH01TI6@8061PH00@06ATI01PH600H61P06ATI0P0H61P00`0E5AD0
61PH01PH600301TI6@0;01PH600C4a<06ATI01LG5`0H61P05QHF01TI6@0H61P06ATI01LG5`0H61P0
0`0I6AT301PH60806ATI00/05aLG01PH600I6AT061PH01TI6@0H61P06ATI01HF5P0G5aL061PH01LG
5`0601PH60806ATI00<05aLG00/;2`0I6AT00P0I6AT03`0H61P06ATI01PH600G5aL06ATI00d=3@0H
61P06ATI01PH600I6AT05aLG01PH600I6AT061PH00<30`0201PH600301LG5`0I6AT061PH008061PH
0P0I6AT201PH600401TI6@3oool00000000000@0oooo00020?ooo`040000003oool000000?ooo`80
000000<0oooo0000003oool00P3oool00`00000061PH01LG5`0701PH600301LG5`0H61P061PH00<0
61PH00<05aLG01PH600H61P00P0H61P00`0D51@061PH01PH600401PH600501<C4`0H61P05aLG01PH
600F5QH00`0H61P00`0G5aL061PH01PH600701PH600401LG5`0H61P061PH01LG5`<061PH00@05QHF
01LG5`0H61P05aLG200H61P00`0G5aL02`/;01PH600501PH600301LG5`0H61P03@d=00@061PH00D0
5aLG01PH600H61P061PH00<30`0201PH600301LG5`0H61P061PH00L061PH0P3oool00`000000oooo
0?ooo`020?ooo`000P3oool00`000000oooo00000005000000<0oooo0P00000C0?ooo`030000003o
ool0oooo0100oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0@0?ooo`030000003o
ool0oooo0100oooo00<000000?ooo`000000103oool000d0ooooI00000040?ooo`00M@3oool007D0
oooo001e0?ooo`00M@3oool00001\
\>"],
  ImageRangeCache->{{{153, 269.438}, {253.813, 137.375}} -> {-175.644, \
130.007, 0.648459, 0.654944}},
  CellTags->"IPM3.Sol.8.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Here is the linear congruential generator.", "SolutionItem",
  CounterAssignments->{{"SolutionItem", 10}},
  CellTags->"IPM3.Sol.8.2"],

Cell["linearCongruential[x_,m_,b_] := Mod[b x + 1, m]", "Input",
  CellLabel->"In[35]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell["\<\
With modulus 100 and multiplier 15, this generator quickly gets into a cycle.\
\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(NestList[linearCongruential[#, 100, 15] &, 5, 10]\)], "Input",
  CellLabel->"In[36]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \({5, 76, 41, 16, 41, 16, 41, 16, 41, 16, 41}\)], "Output",
  CellLabel->"Out[36]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell["\<\
With a larger modulus and multiplier, it appears as if this generator is \
doing better.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell["Here are the first 60 terms starting with a seed of 0.", \
"SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(data = NestList[linearCongruential[#, 381, 15] &, 0, 60]\)], "Input",
  CellLabel->"In[37]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \({0, 1, 16, 241, 187, 139, 181, 49, 355, 373, 262, 121, 292, 190, 184, 
      94, 268, 211, 118, 247, 277, 346, 238, 142, 226, 343, 193, 229, 7, 106, 
      67, 244, 232, 52, 19, 286, 100, 358, 37, 175, 340, 148, 316, 169, 250, 
      322, 259, 76, 379, 352, 328, 349, 283, 55, 64, 199, 319, 214, 163, 160, 
      115}\)], "Output",
  CellLabel->"Out[37]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[TextData[{
  "Sometimes it is hard to see if your generator is getting into a rut. \
Graphical analysis can help by allowing you to see patterns over larger \
domains. Here is a ",
  StyleBox["ListPlot", "MR"],
  " of this sequence taken out to 5,000 terms."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ListPlot[
        NestList[linearCongruential[#, 381, 15] &, 0.0, 5000]];\)\)], "Input",\

  CellLabel->"In[38]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.000190438 0.0147151 0.00155304 [
[.21425 .00222 -12 -11.875 ]
[.21425 .00222 12 0 ]
[.40469 .00222 -12 -11.875 ]
[.40469 .00222 12 0 ]
[.59512 .00222 -12 -11.875 ]
[.59512 .00222 12 0 ]
[.78556 .00222 -12 -11.875 ]
[.78556 .00222 12 0 ]
[.976 .00222 -12 -11.875 ]
[.976 .00222 12 0 ]
[.01131 .09237 -14 -5.9375 ]
[.01131 .09237 0 5.9375 ]
[.01131 .17002 -19 -5.9375 ]
[.01131 .17002 0 5.9375 ]
[.01131 .24767 -19 -5.9375 ]
[.01131 .24767 0 5.9375 ]
[.01131 .32532 -19 -5.9375 ]
[.01131 .32532 0 5.9375 ]
[.01131 .40298 -19 -5.9375 ]
[.01131 .40298 0 5.9375 ]
[.01131 .48063 -19 -5.9375 ]
[.01131 .48063 0 5.9375 ]
[.01131 .55828 -19 -5.9375 ]
[.01131 .55828 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.21425 .01472 m
.21425 .02097 L
s
gsave
.21425 .00222 -73 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1000) show
1.000 setlinewidth
grestore
.40469 .01472 m
.40469 .02097 L
s
gsave
.40469 .00222 -73 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2000) show
1.000 setlinewidth
grestore
.59512 .01472 m
.59512 .02097 L
s
gsave
.59512 .00222 -73 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(3000) show
1.000 setlinewidth
grestore
.78556 .01472 m
.78556 .02097 L
s
gsave
.78556 .00222 -73 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4000) show
1.000 setlinewidth
grestore
.976 .01472 m
.976 .02097 L
s
gsave
.976 .00222 -73 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(5000) show
1.000 setlinewidth
grestore
.125 Mabswid
.0619 .01472 m
.0619 .01847 L
s
.09998 .01472 m
.09998 .01847 L
s
.13807 .01472 m
.13807 .01847 L
s
.17616 .01472 m
.17616 .01847 L
s
.25234 .01472 m
.25234 .01847 L
s
.29042 .01472 m
.29042 .01847 L
s
.32851 .01472 m
.32851 .01847 L
s
.3666 .01472 m
.3666 .01847 L
s
.44277 .01472 m
.44277 .01847 L
s
.48086 .01472 m
.48086 .01847 L
s
.51895 .01472 m
.51895 .01847 L
s
.55704 .01472 m
.55704 .01847 L
s
.63321 .01472 m
.63321 .01847 L
s
.6713 .01472 m
.6713 .01847 L
s
.70939 .01472 m
.70939 .01847 L
s
.74747 .01472 m
.74747 .01847 L
s
.82365 .01472 m
.82365 .01847 L
s
.86174 .01472 m
.86174 .01847 L
s
.89982 .01472 m
.89982 .01847 L
s
.93791 .01472 m
.93791 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .09237 m
.03006 .09237 L
s
gsave
.01131 .09237 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(50) show
1.000 setlinewidth
grestore
.02381 .17002 m
.03006 .17002 L
s
gsave
.01131 .17002 -80 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(100) show
1.000 setlinewidth
grestore
.02381 .24767 m
.03006 .24767 L
s
gsave
.01131 .24767 -80 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(150) show
1.000 setlinewidth
grestore
.02381 .32532 m
.03006 .32532 L
s
gsave
.01131 .32532 -80 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(200) show
1.000 setlinewidth
grestore
.02381 .40298 m
.03006 .40298 L
s
gsave
.01131 .40298 -80 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(250) show
1.000 setlinewidth
grestore
.02381 .48063 m
.03006 .48063 L
s
gsave
.01131 .48063 -80 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(300) show
1.000 setlinewidth
grestore
.02381 .55828 m
.03006 .55828 L
s
gsave
.01131 .55828 -80 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(350) show
1.000 setlinewidth
grestore
.125 Mabswid
.02381 .03025 m
.02756 .03025 L
s
.02381 .04578 m
.02756 .04578 L
s
.02381 .06131 m
.02756 .06131 L
s
.02381 .07684 m
.02756 .07684 L
s
.02381 .1079 m
.02756 .1079 L
s
.02381 .12343 m
.02756 .12343 L
s
.02381 .13896 m
.02756 .13896 L
s
.02381 .15449 m
.02756 .15449 L
s
.02381 .18555 m
.02756 .18555 L
s
.02381 .20108 m
.02756 .20108 L
s
.02381 .21661 m
.02756 .21661 L
s
.02381 .23214 m
.02756 .23214 L
s
.02381 .2632 m
.02756 .2632 L
s
.02381 .27873 m
.02756 .27873 L
s
.02381 .29426 m
.02756 .29426 L
s
.02381 .30979 m
.02756 .30979 L
s
.02381 .34085 m
.02756 .34085 L
s
.02381 .35638 m
.02756 .35638 L
s
.02381 .37192 m
.02756 .37192 L
s
.02381 .38745 m
.02756 .38745 L
s
.02381 .41851 m
.02756 .41851 L
s
.02381 .43404 m
.02756 .43404 L
s
.02381 .44957 m
.02756 .44957 L
s
.02381 .4651 m
.02756 .4651 L
s
.02381 .49616 m
.02756 .49616 L
s
.02381 .51169 m
.02756 .51169 L
s
.02381 .52722 m
.02756 .52722 L
s
.02381 .54275 m
.02756 .54275 L
s
.02381 .57381 m
.02756 .57381 L
s
.02381 .58934 m
.02756 .58934 L
s
.02381 .60487 m
.02756 .60487 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.008 w
.024 .01472 Mdot
.02419 .01627 Mdot
.02438 .03956 Mdot
.02457 .389 Mdot
.02476 .30513 Mdot
.02495 .23059 Mdot
.02514 .29582 Mdot
.02533 .09081 Mdot
.02552 .56605 Mdot
.02571 .594 Mdot
.0259 .42161 Mdot
.02609 .20263 Mdot
.02629 .4682 Mdot
.02648 .30979 Mdot
.02667 .30048 Mdot
.02686 .1607 Mdot
.02705 .43093 Mdot
.02724 .34241 Mdot
.02743 .19797 Mdot
.02762 .39832 Mdot
.02781 .44491 Mdot
.028 .55207 Mdot
.02819 .38434 Mdot
.02838 .23525 Mdot
.02857 .3657 Mdot
.02876 .54741 Mdot
.02895 .31445 Mdot
.02914 .37036 Mdot
.02933 .02559 Mdot
.02952 .17934 Mdot
.02971 .11877 Mdot
.0299 .39366 Mdot
.03009 .37502 Mdot
.03028 .09547 Mdot
.03047 .04422 Mdot
.03067 .45889 Mdot
.03086 .17002 Mdot
.03105 .5707 Mdot
.03124 .07218 Mdot
.03143 .2865 Mdot
.03162 .54275 Mdot
.03181 .24457 Mdot
.032 .50548 Mdot
.03219 .27718 Mdot
.03238 .40298 Mdot
.03257 .5148 Mdot
.03276 .41695 Mdot
.03295 .13275 Mdot
.03314 .60332 Mdot
.03333 .56139 Mdot
.03352 .52411 Mdot
.03371 .55673 Mdot
.0339 .45423 Mdot
.03409 .10013 Mdot
.03428 .11411 Mdot
.03447 .32377 Mdot
.03466 .51014 Mdot
.03485 .34707 Mdot
.03505 .26786 Mdot
.03524 .2632 Mdot
.03543 .19332 Mdot
.03562 .32843 Mdot
.03581 .58002 Mdot
.036 .21195 Mdot
.03619 .01627 Mdot
.03638 .03956 Mdot
.03657 .389 Mdot
.03676 .30513 Mdot
.03695 .23059 Mdot
.03714 .29582 Mdot
.03733 .09081 Mdot
.03752 .56605 Mdot
.03771 .594 Mdot
.0379 .42161 Mdot
.03809 .20263 Mdot
.03828 .4682 Mdot
.03847 .30979 Mdot
.03866 .30048 Mdot
.03885 .1607 Mdot
.03904 .43093 Mdot
.03924 .34241 Mdot
.03943 .19797 Mdot
.03962 .39832 Mdot
.03981 .44491 Mdot
.04 .55207 Mdot
.04019 .38434 Mdot
.04038 .23525 Mdot
.04057 .3657 Mdot
.04076 .54741 Mdot
.04095 .31445 Mdot
.04114 .37036 Mdot
.04133 .02559 Mdot
.04152 .17934 Mdot
.04171 .11877 Mdot
.0419 .39366 Mdot
.04209 .37502 Mdot
.04228 .09547 Mdot
.04247 .04422 Mdot
.04266 .45889 Mdot
.04285 .17002 Mdot
.04304 .5707 Mdot
.04323 .07218 Mdot
.04342 .2865 Mdot
.04362 .54275 Mdot
.04381 .24457 Mdot
.044 .50548 Mdot
.04419 .27718 Mdot
.04438 .40298 Mdot
.04457 .5148 Mdot
.04476 .41695 Mdot
.04495 .13275 Mdot
.04514 .60332 Mdot
.04533 .56139 Mdot
.04552 .52411 Mdot
.04571 .55673 Mdot
.0459 .45423 Mdot
.04609 .10013 Mdot
.04628 .11411 Mdot
.04647 .32377 Mdot
.04666 .51014 Mdot
.04685 .34707 Mdot
.04704 .26786 Mdot
.04723 .2632 Mdot
.04742 .19332 Mdot
.04761 .32843 Mdot
.0478 .58002 Mdot
.048 .21195 Mdot
.04819 .01627 Mdot
.04838 .03956 Mdot
.04857 .389 Mdot
.04876 .30513 Mdot
.04895 .23059 Mdot
.04914 .29582 Mdot
.04933 .09081 Mdot
.04952 .56605 Mdot
.04971 .594 Mdot
.0499 .42161 Mdot
.05009 .20263 Mdot
.05028 .4682 Mdot
.05047 .30979 Mdot
.05066 .30048 Mdot
.05085 .1607 Mdot
.05104 .43093 Mdot
.05123 .34241 Mdot
.05142 .19797 Mdot
.05161 .39832 Mdot
.0518 .44491 Mdot
.05199 .55207 Mdot
.05218 .38434 Mdot
.05238 .23525 Mdot
.05257 .3657 Mdot
.05276 .54741 Mdot
.05295 .31445 Mdot
.05314 .37036 Mdot
.05333 .02559 Mdot
.05352 .17934 Mdot
.05371 .11877 Mdot
.0539 .39366 Mdot
.05409 .37502 Mdot
.05428 .09547 Mdot
.05447 .04422 Mdot
.05466 .45889 Mdot
.05485 .17002 Mdot
.05504 .5707 Mdot
.05523 .07218 Mdot
.05542 .2865 Mdot
.05561 .54275 Mdot
.0558 .24457 Mdot
.05599 .50548 Mdot
.05618 .27718 Mdot
.05637 .40298 Mdot
.05656 .5148 Mdot
.05676 .41695 Mdot
.05695 .13275 Mdot
.05714 .60332 Mdot
.05733 .56139 Mdot
.05752 .52411 Mdot
.05771 .55673 Mdot
.0579 .45423 Mdot
.05809 .10013 Mdot
.05828 .11411 Mdot
.05847 .32377 Mdot
.05866 .51014 Mdot
.05885 .34707 Mdot
.05904 .26786 Mdot
.05923 .2632 Mdot
.05942 .19332 Mdot
.05961 .32843 Mdot
.0598 .58002 Mdot
.05999 .21195 Mdot
.06018 .01627 Mdot
.06037 .03956 Mdot
.06056 .389 Mdot
.06075 .30513 Mdot
.06094 .23059 Mdot
.06114 .29582 Mdot
.06133 .09081 Mdot
.06152 .56605 Mdot
.06171 .594 Mdot
.0619 .42161 Mdot
.06209 .20263 Mdot
.06228 .4682 Mdot
.06247 .30979 Mdot
.06266 .30048 Mdot
.06285 .1607 Mdot
.06304 .43093 Mdot
.06323 .34241 Mdot
.06342 .19797 Mdot
.06361 .39832 Mdot
.0638 .44491 Mdot
.06399 .55207 Mdot
.06418 .38434 Mdot
.06437 .23525 Mdot
.06456 .3657 Mdot
.06475 .54741 Mdot
.06494 .31445 Mdot
.06513 .37036 Mdot
.06533 .02559 Mdot
.06552 .17934 Mdot
.06571 .11877 Mdot
.0659 .39366 Mdot
.06609 .37502 Mdot
.06628 .09547 Mdot
.06647 .04422 Mdot
.06666 .45889 Mdot
.06685 .17002 Mdot
.06704 .5707 Mdot
.06723 .07218 Mdot
.06742 .2865 Mdot
.06761 .54275 Mdot
.0678 .24457 Mdot
.06799 .50548 Mdot
.06818 .27718 Mdot
.06837 .40298 Mdot
.06856 .5148 Mdot
.06875 .41695 Mdot
.06894 .13275 Mdot
.06913 .60332 Mdot
.06932 .56139 Mdot
.06951 .52411 Mdot
.06971 .55673 Mdot
.0699 .45423 Mdot
.07009 .10013 Mdot
.07028 .11411 Mdot
.07047 .32377 Mdot
.07066 .51014 Mdot
.07085 .34707 Mdot
.07104 .26786 Mdot
.07123 .2632 Mdot
.07142 .19332 Mdot
.07161 .32843 Mdot
.0718 .58002 Mdot
.07199 .21195 Mdot
.07218 .01627 Mdot
.07237 .03956 Mdot
.07256 .389 Mdot
.07275 .30513 Mdot
.07294 .23059 Mdot
.07313 .29582 Mdot
.07332 .09081 Mdot
.07351 .56605 Mdot
.0737 .594 Mdot
.07389 .42161 Mdot
.07409 .20263 Mdot
.07428 .4682 Mdot
.07447 .30979 Mdot
.07466 .30048 Mdot
.07485 .1607 Mdot
.07504 .43093 Mdot
.07523 .34241 Mdot
.07542 .19797 Mdot
.07561 .39832 Mdot
.0758 .44491 Mdot
.07599 .55207 Mdot
.07618 .38434 Mdot
.07637 .23525 Mdot
.07656 .3657 Mdot
.07675 .54741 Mdot
.07694 .31445 Mdot
.07713 .37036 Mdot
.07732 .02559 Mdot
.07751 .17934 Mdot
.0777 .11877 Mdot
.07789 .39366 Mdot
.07808 .37502 Mdot
.07827 .09547 Mdot
.07847 .04422 Mdot
.07866 .45889 Mdot
.07885 .17002 Mdot
.07904 .5707 Mdot
.07923 .07218 Mdot
.07942 .2865 Mdot
.07961 .54275 Mdot
.0798 .24457 Mdot
.07999 .50548 Mdot
.08018 .27718 Mdot
.08037 .40298 Mdot
.08056 .5148 Mdot
.08075 .41695 Mdot
.08094 .13275 Mdot
.08113 .60332 Mdot
.08132 .56139 Mdot
.08151 .52411 Mdot
.0817 .55673 Mdot
.08189 .45423 Mdot
.08208 .10013 Mdot
.08227 .11411 Mdot
.08246 .32377 Mdot
.08265 .51014 Mdot
.08285 .34707 Mdot
.08304 .26786 Mdot
.08323 .2632 Mdot
.08342 .19332 Mdot
.08361 .32843 Mdot
.0838 .58002 Mdot
.08399 .21195 Mdot
.08418 .01627 Mdot
.08437 .03956 Mdot
.08456 .389 Mdot
.08475 .30513 Mdot
.08494 .23059 Mdot
.08513 .29582 Mdot
.08532 .09081 Mdot
.08551 .56605 Mdot
.0857 .594 Mdot
.08589 .42161 Mdot
.08608 .20263 Mdot
.08627 .4682 Mdot
.08646 .30979 Mdot
.08665 .30048 Mdot
.08684 .1607 Mdot
.08703 .43093 Mdot
.08723 .34241 Mdot
.08742 .19797 Mdot
.08761 .39832 Mdot
.0878 .44491 Mdot
.08799 .55207 Mdot
.08818 .38434 Mdot
.08837 .23525 Mdot
.08856 .3657 Mdot
.08875 .54741 Mdot
.08894 .31445 Mdot
.08913 .37036 Mdot
.08932 .02559 Mdot
.08951 .17934 Mdot
.0897 .11877 Mdot
.08989 .39366 Mdot
.09008 .37502 Mdot
.09027 .09547 Mdot
.09046 .04422 Mdot
.09065 .45889 Mdot
.09084 .17002 Mdot
.09103 .5707 Mdot
.09122 .07218 Mdot
.09142 .2865 Mdot
.09161 .54275 Mdot
.0918 .24457 Mdot
.09199 .50548 Mdot
.09218 .27718 Mdot
.09237 .40298 Mdot
.09256 .5148 Mdot
.09275 .41695 Mdot
.09294 .13275 Mdot
.09313 .60332 Mdot
.09332 .56139 Mdot
.09351 .52411 Mdot
.0937 .55673 Mdot
.09389 .45423 Mdot
.09408 .10013 Mdot
.09427 .11411 Mdot
.09446 .32377 Mdot
.09465 .51014 Mdot
.09484 .34707 Mdot
.09503 .26786 Mdot
.09522 .2632 Mdot
.09541 .19332 Mdot
.0956 .32843 Mdot
.0958 .58002 Mdot
.09599 .21195 Mdot
.09618 .01627 Mdot
.09637 .03956 Mdot
.09656 .389 Mdot
.09675 .30513 Mdot
.09694 .23059 Mdot
.09713 .29582 Mdot
.09732 .09081 Mdot
.09751 .56605 Mdot
.0977 .594 Mdot
.09789 .42161 Mdot
.09808 .20263 Mdot
.09827 .4682 Mdot
.09846 .30979 Mdot
.09865 .30048 Mdot
.09884 .1607 Mdot
.09903 .43093 Mdot
.09922 .34241 Mdot
.09941 .19797 Mdot
.0996 .39832 Mdot
.09979 .44491 Mdot
.09998 .55207 Mdot
.10018 .38434 Mdot
.10037 .23525 Mdot
.10056 .3657 Mdot
.10075 .54741 Mdot
.10094 .31445 Mdot
.10113 .37036 Mdot
.10132 .02559 Mdot
.10151 .17934 Mdot
.1017 .11877 Mdot
.10189 .39366 Mdot
.10208 .37502 Mdot
.10227 .09547 Mdot
.10246 .04422 Mdot
.10265 .45889 Mdot
.10284 .17002 Mdot
.10303 .5707 Mdot
.10322 .07218 Mdot
.10341 .2865 Mdot
.1036 .54275 Mdot
.10379 .24457 Mdot
.10398 .50548 Mdot
.10417 .27718 Mdot
.10436 .40298 Mdot
.10456 .5148 Mdot
.10475 .41695 Mdot
.10494 .13275 Mdot
.10513 .60332 Mdot
.10532 .56139 Mdot
.10551 .52411 Mdot
.1057 .55673 Mdot
.10589 .45423 Mdot
.10608 .10013 Mdot
.10627 .11411 Mdot
.10646 .32377 Mdot
.10665 .51014 Mdot
.10684 .34707 Mdot
.10703 .26786 Mdot
.10722 .2632 Mdot
.10741 .19332 Mdot
.1076 .32843 Mdot
.10779 .58002 Mdot
.10798 .21195 Mdot
.10817 .01627 Mdot
.10836 .03956 Mdot
.10855 .389 Mdot
.10874 .30513 Mdot
.10894 .23059 Mdot
.10913 .29582 Mdot
.10932 .09081 Mdot
.10951 .56605 Mdot
.1097 .594 Mdot
.10989 .42161 Mdot
.11008 .20263 Mdot
.11027 .4682 Mdot
.11046 .30979 Mdot
.11065 .30048 Mdot
.11084 .1607 Mdot
.11103 .43093 Mdot
.11122 .34241 Mdot
.11141 .19797 Mdot
.1116 .39832 Mdot
.11179 .44491 Mdot
.11198 .55207 Mdot
.11217 .38434 Mdot
.11236 .23525 Mdot
.11255 .3657 Mdot
.11274 .54741 Mdot
.11293 .31445 Mdot
.11312 .37036 Mdot
.11332 .02559 Mdot
.11351 .17934 Mdot
.1137 .11877 Mdot
.11389 .39366 Mdot
.11408 .37502 Mdot
.11427 .09547 Mdot
.11446 .04422 Mdot
.11465 .45889 Mdot
.11484 .17002 Mdot
.11503 .5707 Mdot
.11522 .07218 Mdot
.11541 .2865 Mdot
.1156 .54275 Mdot
.11579 .24457 Mdot
.11598 .50548 Mdot
.11617 .27718 Mdot
.11636 .40298 Mdot
.11655 .5148 Mdot
.11674 .41695 Mdot
.11693 .13275 Mdot
.11712 .60332 Mdot
.11731 .56139 Mdot
.11751 .52411 Mdot
.1177 .55673 Mdot
.11789 .45423 Mdot
.11808 .10013 Mdot
.11827 .11411 Mdot
.11846 .32377 Mdot
.11865 .51014 Mdot
.11884 .34707 Mdot
.11903 .26786 Mdot
.11922 .2632 Mdot
.11941 .19332 Mdot
.1196 .32843 Mdot
.11979 .58002 Mdot
.11998 .21195 Mdot
.12017 .01627 Mdot
.12036 .03956 Mdot
.12055 .389 Mdot
.12074 .30513 Mdot
.12093 .23059 Mdot
.12112 .29582 Mdot
.12131 .09081 Mdot
.1215 .56605 Mdot
.12169 .594 Mdot
.12189 .42161 Mdot
.12208 .20263 Mdot
.12227 .4682 Mdot
.12246 .30979 Mdot
.12265 .30048 Mdot
.12284 .1607 Mdot
.12303 .43093 Mdot
.12322 .34241 Mdot
.12341 .19797 Mdot
.1236 .39832 Mdot
.12379 .44491 Mdot
.12398 .55207 Mdot
.12417 .38434 Mdot
.12436 .23525 Mdot
.12455 .3657 Mdot
.12474 .54741 Mdot
.12493 .31445 Mdot
.12512 .37036 Mdot
.12531 .02559 Mdot
.1255 .17934 Mdot
.12569 .11877 Mdot
.12588 .39366 Mdot
.12607 .37502 Mdot
.12627 .09547 Mdot
.12646 .04422 Mdot
.12665 .45889 Mdot
.12684 .17002 Mdot
.12703 .5707 Mdot
.12722 .07218 Mdot
.12741 .2865 Mdot
.1276 .54275 Mdot
.12779 .24457 Mdot
.12798 .50548 Mdot
.12817 .27718 Mdot
.12836 .40298 Mdot
.12855 .5148 Mdot
.12874 .41695 Mdot
.12893 .13275 Mdot
.12912 .60332 Mdot
.12931 .56139 Mdot
.1295 .52411 Mdot
.12969 .55673 Mdot
.12988 .45423 Mdot
.13007 .10013 Mdot
.13026 .11411 Mdot
.13045 .32377 Mdot
.13065 .51014 Mdot
.13084 .34707 Mdot
.13103 .26786 Mdot
.13122 .2632 Mdot
.13141 .19332 Mdot
.1316 .32843 Mdot
.13179 .58002 Mdot
.13198 .21195 Mdot
.13217 .01627 Mdot
.13236 .03956 Mdot
.13255 .389 Mdot
.13274 .30513 Mdot
.13293 .23059 Mdot
.13312 .29582 Mdot
.13331 .09081 Mdot
.1335 .56605 Mdot
.13369 .594 Mdot
.13388 .42161 Mdot
.13407 .20263 Mdot
.13426 .4682 Mdot
.13445 .30979 Mdot
.13464 .30048 Mdot
.13483 .1607 Mdot
.13503 .43093 Mdot
.13522 .34241 Mdot
.13541 .19797 Mdot
.1356 .39832 Mdot
.13579 .44491 Mdot
.13598 .55207 Mdot
.13617 .38434 Mdot
.13636 .23525 Mdot
.13655 .3657 Mdot
.13674 .54741 Mdot
.13693 .31445 Mdot
.13712 .37036 Mdot
.13731 .02559 Mdot
.1375 .17934 Mdot
.13769 .11877 Mdot
.13788 .39366 Mdot
.13807 .37502 Mdot
.13826 .09547 Mdot
.13845 .04422 Mdot
.13864 .45889 Mdot
.13883 .17002 Mdot
.13902 .5707 Mdot
.13922 .07218 Mdot
.13941 .2865 Mdot
.1396 .54275 Mdot
.13979 .24457 Mdot
.13998 .50548 Mdot
.14017 .27718 Mdot
.14036 .40298 Mdot
.14055 .5148 Mdot
.14074 .41695 Mdot
.14093 .13275 Mdot
.14112 .60332 Mdot
.14131 .56139 Mdot
.1415 .52411 Mdot
.14169 .55673 Mdot
.14188 .45423 Mdot
.14207 .10013 Mdot
.14226 .11411 Mdot
.14245 .32377 Mdot
.14264 .51014 Mdot
.14283 .34707 Mdot
.14302 .26786 Mdot
.14321 .2632 Mdot
.1434 .19332 Mdot
.1436 .32843 Mdot
.14379 .58002 Mdot
.14398 .21195 Mdot
.14417 .01627 Mdot
.14436 .03956 Mdot
.14455 .389 Mdot
.14474 .30513 Mdot
.14493 .23059 Mdot
.14512 .29582 Mdot
.14531 .09081 Mdot
.1455 .56605 Mdot
.14569 .594 Mdot
.14588 .42161 Mdot
.14607 .20263 Mdot
.14626 .4682 Mdot
.14645 .30979 Mdot
.14664 .30048 Mdot
.14683 .1607 Mdot
.14702 .43093 Mdot
.14721 .34241 Mdot
.1474 .19797 Mdot
.14759 .39832 Mdot
.14778 .44491 Mdot
.14798 .55207 Mdot
.14817 .38434 Mdot
.14836 .23525 Mdot
.14855 .3657 Mdot
.14874 .54741 Mdot
.14893 .31445 Mdot
.14912 .37036 Mdot
.14931 .02559 Mdot
.1495 .17934 Mdot
.14969 .11877 Mdot
.14988 .39366 Mdot
.15007 .37502 Mdot
.15026 .09547 Mdot
.15045 .04422 Mdot
.15064 .45889 Mdot
.15083 .17002 Mdot
.15102 .5707 Mdot
.15121 .07218 Mdot
.1514 .2865 Mdot
.15159 .54275 Mdot
.15178 .24457 Mdot
.15197 .50548 Mdot
.15216 .27718 Mdot
.15236 .40298 Mdot
.15255 .5148 Mdot
.15274 .41695 Mdot
.15293 .13275 Mdot
.15312 .60332 Mdot
.15331 .56139 Mdot
.1535 .52411 Mdot
.15369 .55673 Mdot
.15388 .45423 Mdot
.15407 .10013 Mdot
.15426 .11411 Mdot
.15445 .32377 Mdot
.15464 .51014 Mdot
.15483 .34707 Mdot
.15502 .26786 Mdot
.15521 .2632 Mdot
.1554 .19332 Mdot
.15559 .32843 Mdot
.15578 .58002 Mdot
.15597 .21195 Mdot
.15616 .01627 Mdot
.15635 .03956 Mdot
.15654 .389 Mdot
.15674 .30513 Mdot
.15693 .23059 Mdot
.15712 .29582 Mdot
.15731 .09081 Mdot
.1575 .56605 Mdot
.15769 .594 Mdot
.15788 .42161 Mdot
.15807 .20263 Mdot
.15826 .4682 Mdot
.15845 .30979 Mdot
.15864 .30048 Mdot
.15883 .1607 Mdot
.15902 .43093 Mdot
.15921 .34241 Mdot
.1594 .19797 Mdot
.15959 .39832 Mdot
.15978 .44491 Mdot
.15997 .55207 Mdot
.16016 .38434 Mdot
.16035 .23525 Mdot
.16054 .3657 Mdot
.16073 .54741 Mdot
.16092 .31445 Mdot
.16112 .37036 Mdot
.16131 .02559 Mdot
.1615 .17934 Mdot
.16169 .11877 Mdot
.16188 .39366 Mdot
.16207 .37502 Mdot
.16226 .09547 Mdot
.16245 .04422 Mdot
.16264 .45889 Mdot
.16283 .17002 Mdot
.16302 .5707 Mdot
.16321 .07218 Mdot
.1634 .2865 Mdot
.16359 .54275 Mdot
.16378 .24457 Mdot
.16397 .50548 Mdot
.16416 .27718 Mdot
.16435 .40298 Mdot
.16454 .5148 Mdot
.16473 .41695 Mdot
.16492 .13275 Mdot
.16511 .60332 Mdot
.16531 .56139 Mdot
.1655 .52411 Mdot
.16569 .55673 Mdot
.16588 .45423 Mdot
.16607 .10013 Mdot
.16626 .11411 Mdot
.16645 .32377 Mdot
.16664 .51014 Mdot
.16683 .34707 Mdot
.16702 .26786 Mdot
.16721 .2632 Mdot
.1674 .19332 Mdot
.16759 .32843 Mdot
.16778 .58002 Mdot
.16797 .21195 Mdot
.16816 .01627 Mdot
.16835 .03956 Mdot
.16854 .389 Mdot
.16873 .30513 Mdot
.16892 .23059 Mdot
.16911 .29582 Mdot
.1693 .09081 Mdot
.16949 .56605 Mdot
.16969 .594 Mdot
.16988 .42161 Mdot
.17007 .20263 Mdot
.17026 .4682 Mdot
.17045 .30979 Mdot
.17064 .30048 Mdot
.17083 .1607 Mdot
.17102 .43093 Mdot
.17121 .34241 Mdot
.1714 .19797 Mdot
.17159 .39832 Mdot
.17178 .44491 Mdot
.17197 .55207 Mdot
.17216 .38434 Mdot
.17235 .23525 Mdot
.17254 .3657 Mdot
.17273 .54741 Mdot
.17292 .31445 Mdot
.17311 .37036 Mdot
.1733 .02559 Mdot
.17349 .17934 Mdot
.17368 .11877 Mdot
.17387 .39366 Mdot
.17407 .37502 Mdot
.17426 .09547 Mdot
.17445 .04422 Mdot
.17464 .45889 Mdot
.17483 .17002 Mdot
.17502 .5707 Mdot
.17521 .07218 Mdot
.1754 .2865 Mdot
.17559 .54275 Mdot
.17578 .24457 Mdot
.17597 .50548 Mdot
.17616 .27718 Mdot
.17635 .40298 Mdot
.17654 .5148 Mdot
.17673 .41695 Mdot
.17692 .13275 Mdot
.17711 .60332 Mdot
.1773 .56139 Mdot
.17749 .52411 Mdot
.17768 .55673 Mdot
.17787 .45423 Mdot
.17806 .10013 Mdot
.17825 .11411 Mdot
.17845 .32377 Mdot
.17864 .51014 Mdot
.17883 .34707 Mdot
.17902 .26786 Mdot
.17921 .2632 Mdot
.1794 .19332 Mdot
.17959 .32843 Mdot
.17978 .58002 Mdot
.17997 .21195 Mdot
.18016 .01627 Mdot
.18035 .03956 Mdot
.18054 .389 Mdot
.18073 .30513 Mdot
.18092 .23059 Mdot
.18111 .29582 Mdot
.1813 .09081 Mdot
.18149 .56605 Mdot
.18168 .594 Mdot
.18187 .42161 Mdot
.18206 .20263 Mdot
.18225 .4682 Mdot
.18244 .30979 Mdot
.18263 .30048 Mdot
.18283 .1607 Mdot
.18302 .43093 Mdot
.18321 .34241 Mdot
.1834 .19797 Mdot
.18359 .39832 Mdot
.18378 .44491 Mdot
.18397 .55207 Mdot
.18416 .38434 Mdot
.18435 .23525 Mdot
.18454 .3657 Mdot
.18473 .54741 Mdot
.18492 .31445 Mdot
.18511 .37036 Mdot
.1853 .02559 Mdot
.18549 .17934 Mdot
.18568 .11877 Mdot
.18587 .39366 Mdot
.18606 .37502 Mdot
.18625 .09547 Mdot
.18644 .04422 Mdot
.18663 .45889 Mdot
.18682 .17002 Mdot
.18701 .5707 Mdot
.18721 .07218 Mdot
.1874 .2865 Mdot
.18759 .54275 Mdot
.18778 .24457 Mdot
.18797 .50548 Mdot
.18816 .27718 Mdot
.18835 .40298 Mdot
.18854 .5148 Mdot
.18873 .41695 Mdot
.18892 .13275 Mdot
.18911 .60332 Mdot
.1893 .56139 Mdot
.18949 .52411 Mdot
.18968 .55673 Mdot
.18987 .45423 Mdot
.19006 .10013 Mdot
.19025 .11411 Mdot
.19044 .32377 Mdot
.19063 .51014 Mdot
.19082 .34707 Mdot
.19101 .26786 Mdot
.1912 .2632 Mdot
.1914 .19332 Mdot
.19159 .32843 Mdot
.19178 .58002 Mdot
.19197 .21195 Mdot
.19216 .01627 Mdot
.19235 .03956 Mdot
.19254 .389 Mdot
.19273 .30513 Mdot
.19292 .23059 Mdot
.19311 .29582 Mdot
.1933 .09081 Mdot
.19349 .56605 Mdot
.19368 .594 Mdot
.19387 .42161 Mdot
.19406 .20263 Mdot
.19425 .4682 Mdot
.19444 .30979 Mdot
.19463 .30048 Mdot
.19482 .1607 Mdot
.19501 .43093 Mdot
.1952 .34241 Mdot
.19539 .19797 Mdot
.19558 .39832 Mdot
.19578 .44491 Mdot
.19597 .55207 Mdot
.19616 .38434 Mdot
.19635 .23525 Mdot
.19654 .3657 Mdot
.19673 .54741 Mdot
.19692 .31445 Mdot
.19711 .37036 Mdot
.1973 .02559 Mdot
.19749 .17934 Mdot
.19768 .11877 Mdot
.19787 .39366 Mdot
.19806 .37502 Mdot
.19825 .09547 Mdot
.19844 .04422 Mdot
.19863 .45889 Mdot
.19882 .17002 Mdot
.19901 .5707 Mdot
.1992 .07218 Mdot
.19939 .2865 Mdot
.19958 .54275 Mdot
.19977 .24457 Mdot
.19996 .50548 Mdot
.20016 .27718 Mdot
.20035 .40298 Mdot
.20054 .5148 Mdot
.20073 .41695 Mdot
.20092 .13275 Mdot
.20111 .60332 Mdot
.2013 .56139 Mdot
.20149 .52411 Mdot
.20168 .55673 Mdot
.20187 .45423 Mdot
.20206 .10013 Mdot
.20225 .11411 Mdot
.20244 .32377 Mdot
.20263 .51014 Mdot
.20282 .34707 Mdot
.20301 .26786 Mdot
.2032 .2632 Mdot
.20339 .19332 Mdot
.20358 .32843 Mdot
.20377 .58002 Mdot
.20396 .21195 Mdot
.20415 .01627 Mdot
.20434 .03956 Mdot
.20454 .389 Mdot
.20473 .30513 Mdot
.20492 .23059 Mdot
.20511 .29582 Mdot
.2053 .09081 Mdot
.20549 .56605 Mdot
.20568 .594 Mdot
.20587 .42161 Mdot
.20606 .20263 Mdot
.20625 .4682 Mdot
.20644 .30979 Mdot
.20663 .30048 Mdot
.20682 .1607 Mdot
.20701 .43093 Mdot
.2072 .34241 Mdot
.20739 .19797 Mdot
.20758 .39832 Mdot
.20777 .44491 Mdot
.20796 .55207 Mdot
.20815 .38434 Mdot
.20834 .23525 Mdot
.20853 .3657 Mdot
.20872 .54741 Mdot
.20892 .31445 Mdot
.20911 .37036 Mdot
.2093 .02559 Mdot
.20949 .17934 Mdot
.20968 .11877 Mdot
.20987 .39366 Mdot
.21006 .37502 Mdot
.21025 .09547 Mdot
.21044 .04422 Mdot
.21063 .45889 Mdot
.21082 .17002 Mdot
.21101 .5707 Mdot
.2112 .07218 Mdot
.21139 .2865 Mdot
.21158 .54275 Mdot
.21177 .24457 Mdot
.21196 .50548 Mdot
.21215 .27718 Mdot
.21234 .40298 Mdot
.21253 .5148 Mdot
.21272 .41695 Mdot
.21291 .13275 Mdot
.2131 .60332 Mdot
.2133 .56139 Mdot
.21349 .52411 Mdot
.21368 .55673 Mdot
.21387 .45423 Mdot
.21406 .10013 Mdot
.21425 .11411 Mdot
.21444 .32377 Mdot
.21463 .51014 Mdot
.21482 .34707 Mdot
.21501 .26786 Mdot
.2152 .2632 Mdot
.21539 .19332 Mdot
.21558 .32843 Mdot
.21577 .58002 Mdot
.21596 .21195 Mdot
.21615 .01627 Mdot
.21634 .03956 Mdot
.21653 .389 Mdot
.21672 .30513 Mdot
.21691 .23059 Mdot
.2171 .29582 Mdot
.21729 .09081 Mdot
.21749 .56605 Mdot
.21768 .594 Mdot
.21787 .42161 Mdot
.21806 .20263 Mdot
.21825 .4682 Mdot
.21844 .30979 Mdot
.21863 .30048 Mdot
.21882 .1607 Mdot
.21901 .43093 Mdot
.2192 .34241 Mdot
.21939 .19797 Mdot
.21958 .39832 Mdot
.21977 .44491 Mdot
.21996 .55207 Mdot
.22015 .38434 Mdot
.22034 .23525 Mdot
.22053 .3657 Mdot
.22072 .54741 Mdot
.22091 .31445 Mdot
.2211 .37036 Mdot
.22129 .02559 Mdot
.22148 .17934 Mdot
.22167 .11877 Mdot
.22187 .39366 Mdot
.22206 .37502 Mdot
.22225 .09547 Mdot
.22244 .04422 Mdot
.22263 .45889 Mdot
.22282 .17002 Mdot
.22301 .5707 Mdot
.2232 .07218 Mdot
.22339 .2865 Mdot
.22358 .54275 Mdot
.22377 .24457 Mdot
.22396 .50548 Mdot
.22415 .27718 Mdot
.22434 .40298 Mdot
.22453 .5148 Mdot
.22472 .41695 Mdot
.22491 .13275 Mdot
.2251 .60332 Mdot
.22529 .56139 Mdot
.22548 .52411 Mdot
.22567 .55673 Mdot
.22586 .45423 Mdot
.22605 .10013 Mdot
.22625 .11411 Mdot
.22644 .32377 Mdot
.22663 .51014 Mdot
.22682 .34707 Mdot
.22701 .26786 Mdot
.2272 .2632 Mdot
.22739 .19332 Mdot
.22758 .32843 Mdot
.22777 .58002 Mdot
.22796 .21195 Mdot
.22815 .01627 Mdot
.22834 .03956 Mdot
.22853 .389 Mdot
.22872 .30513 Mdot
.22891 .23059 Mdot
.2291 .29582 Mdot
.22929 .09081 Mdot
.22948 .56605 Mdot
.22967 .594 Mdot
.22986 .42161 Mdot
.23005 .20263 Mdot
.23024 .4682 Mdot
.23043 .30979 Mdot
.23063 .30048 Mdot
.23082 .1607 Mdot
.23101 .43093 Mdot
.2312 .34241 Mdot
.23139 .19797 Mdot
.23158 .39832 Mdot
.23177 .44491 Mdot
.23196 .55207 Mdot
.23215 .38434 Mdot
.23234 .23525 Mdot
.23253 .3657 Mdot
.23272 .54741 Mdot
.23291 .31445 Mdot
.2331 .37036 Mdot
.23329 .02559 Mdot
.23348 .17934 Mdot
.23367 .11877 Mdot
.23386 .39366 Mdot
.23405 .37502 Mdot
.23424 .09547 Mdot
.23443 .04422 Mdot
.23462 .45889 Mdot
.23481 .17002 Mdot
.23501 .5707 Mdot
.2352 .07218 Mdot
.23539 .2865 Mdot
.23558 .54275 Mdot
.23577 .24457 Mdot
.23596 .50548 Mdot
.23615 .27718 Mdot
.23634 .40298 Mdot
.23653 .5148 Mdot
.23672 .41695 Mdot
.23691 .13275 Mdot
.2371 .60332 Mdot
.23729 .56139 Mdot
.23748 .52411 Mdot
.23767 .55673 Mdot
.23786 .45423 Mdot
.23805 .10013 Mdot
.23824 .11411 Mdot
.23843 .32377 Mdot
.23862 .51014 Mdot
.23881 .34707 Mdot
.239 .26786 Mdot
.2392 .2632 Mdot
.23939 .19332 Mdot
.23958 .32843 Mdot
.23977 .58002 Mdot
.23996 .21195 Mdot
.24015 .01627 Mdot
.24034 .03956 Mdot
.24053 .389 Mdot
.24072 .30513 Mdot
.24091 .23059 Mdot
.2411 .29582 Mdot
.24129 .09081 Mdot
.24148 .56605 Mdot
.24167 .594 Mdot
.24186 .42161 Mdot
.24205 .20263 Mdot
.24224 .4682 Mdot
.24243 .30979 Mdot
.24262 .30048 Mdot
.24281 .1607 Mdot
.243 .43093 Mdot
.24319 .34241 Mdot
.24338 .19797 Mdot
.24358 .39832 Mdot
.24377 .44491 Mdot
.24396 .55207 Mdot
.24415 .38434 Mdot
.24434 .23525 Mdot
.24453 .3657 Mdot
.24472 .54741 Mdot
.24491 .31445 Mdot
.2451 .37036 Mdot
.24529 .02559 Mdot
.24548 .17934 Mdot
.24567 .11877 Mdot
.24586 .39366 Mdot
.24605 .37502 Mdot
.24624 .09547 Mdot
.24643 .04422 Mdot
.24662 .45889 Mdot
.24681 .17002 Mdot
.247 .5707 Mdot
.24719 .07218 Mdot
.24738 .2865 Mdot
.24757 .54275 Mdot
.24776 .24457 Mdot
.24796 .50548 Mdot
.24815 .27718 Mdot
.24834 .40298 Mdot
.24853 .5148 Mdot
.24872 .41695 Mdot
.24891 .13275 Mdot
.2491 .60332 Mdot
.24929 .56139 Mdot
.24948 .52411 Mdot
.24967 .55673 Mdot
.24986 .45423 Mdot
.25005 .10013 Mdot
.25024 .11411 Mdot
.25043 .32377 Mdot
.25062 .51014 Mdot
.25081 .34707 Mdot
.251 .26786 Mdot
.25119 .2632 Mdot
.25138 .19332 Mdot
.25157 .32843 Mdot
.25176 .58002 Mdot
.25195 .21195 Mdot
.25214 .01627 Mdot
.25234 .03956 Mdot
.25253 .389 Mdot
.25272 .30513 Mdot
.25291 .23059 Mdot
.2531 .29582 Mdot
.25329 .09081 Mdot
.25348 .56605 Mdot
.25367 .594 Mdot
.25386 .42161 Mdot
.25405 .20263 Mdot
.25424 .4682 Mdot
.25443 .30979 Mdot
.25462 .30048 Mdot
.25481 .1607 Mdot
.255 .43093 Mdot
.25519 .34241 Mdot
.25538 .19797 Mdot
.25557 .39832 Mdot
.25576 .44491 Mdot
.25595 .55207 Mdot
.25614 .38434 Mdot
.25633 .23525 Mdot
.25652 .3657 Mdot
.25672 .54741 Mdot
.25691 .31445 Mdot
.2571 .37036 Mdot
.25729 .02559 Mdot
.25748 .17934 Mdot
.25767 .11877 Mdot
.25786 .39366 Mdot
.25805 .37502 Mdot
.25824 .09547 Mdot
.25843 .04422 Mdot
.25862 .45889 Mdot
.25881 .17002 Mdot
.259 .5707 Mdot
.25919 .07218 Mdot
.25938 .2865 Mdot
.25957 .54275 Mdot
.25976 .24457 Mdot
.25995 .50548 Mdot
.26014 .27718 Mdot
.26033 .40298 Mdot
.26052 .5148 Mdot
.26071 .41695 Mdot
.2609 .13275 Mdot
.2611 .60332 Mdot
.26129 .56139 Mdot
.26148 .52411 Mdot
.26167 .55673 Mdot
.26186 .45423 Mdot
.26205 .10013 Mdot
.26224 .11411 Mdot
.26243 .32377 Mdot
.26262 .51014 Mdot
.26281 .34707 Mdot
.263 .26786 Mdot
.26319 .2632 Mdot
.26338 .19332 Mdot
.26357 .32843 Mdot
.26376 .58002 Mdot
.26395 .21195 Mdot
.26414 .01627 Mdot
.26433 .03956 Mdot
.26452 .389 Mdot
.26471 .30513 Mdot
.2649 .23059 Mdot
.26509 .29582 Mdot
.26529 .09081 Mdot
.26548 .56605 Mdot
.26567 .594 Mdot
.26586 .42161 Mdot
.26605 .20263 Mdot
.26624 .4682 Mdot
.26643 .30979 Mdot
.26662 .30048 Mdot
.26681 .1607 Mdot
.267 .43093 Mdot
.26719 .34241 Mdot
.26738 .19797 Mdot
.26757 .39832 Mdot
.26776 .44491 Mdot
.26795 .55207 Mdot
.26814 .38434 Mdot
.26833 .23525 Mdot
.26852 .3657 Mdot
.26871 .54741 Mdot
.2689 .31445 Mdot
.26909 .37036 Mdot
.26928 .02559 Mdot
.26947 .17934 Mdot
.26967 .11877 Mdot
.26986 .39366 Mdot
.27005 .37502 Mdot
.27024 .09547 Mdot
.27043 .04422 Mdot
.27062 .45889 Mdot
.27081 .17002 Mdot
.271 .5707 Mdot
.27119 .07218 Mdot
.27138 .2865 Mdot
.27157 .54275 Mdot
.27176 .24457 Mdot
.27195 .50548 Mdot
.27214 .27718 Mdot
.27233 .40298 Mdot
.27252 .5148 Mdot
.27271 .41695 Mdot
.2729 .13275 Mdot
.27309 .60332 Mdot
.27328 .56139 Mdot
.27347 .52411 Mdot
.27366 .55673 Mdot
.27385 .45423 Mdot
.27405 .10013 Mdot
.27424 .11411 Mdot
.27443 .32377 Mdot
.27462 .51014 Mdot
.27481 .34707 Mdot
.275 .26786 Mdot
.27519 .2632 Mdot
.27538 .19332 Mdot
.27557 .32843 Mdot
.27576 .58002 Mdot
.27595 .21195 Mdot
.27614 .01627 Mdot
.27633 .03956 Mdot
.27652 .389 Mdot
.27671 .30513 Mdot
.2769 .23059 Mdot
.27709 .29582 Mdot
.27728 .09081 Mdot
.27747 .56605 Mdot
.27766 .594 Mdot
.27785 .42161 Mdot
.27804 .20263 Mdot
.27823 .4682 Mdot
.27843 .30979 Mdot
.27862 .30048 Mdot
.27881 .1607 Mdot
.279 .43093 Mdot
.27919 .34241 Mdot
.27938 .19797 Mdot
.27957 .39832 Mdot
.27976 .44491 Mdot
.27995 .55207 Mdot
.28014 .38434 Mdot
.28033 .23525 Mdot
.28052 .3657 Mdot
.28071 .54741 Mdot
.2809 .31445 Mdot
.28109 .37036 Mdot
.28128 .02559 Mdot
.28147 .17934 Mdot
.28166 .11877 Mdot
.28185 .39366 Mdot
.28204 .37502 Mdot
.28223 .09547 Mdot
.28242 .04422 Mdot
.28261 .45889 Mdot
.28281 .17002 Mdot
.283 .5707 Mdot
.28319 .07218 Mdot
.28338 .2865 Mdot
.28357 .54275 Mdot
.28376 .24457 Mdot
.28395 .50548 Mdot
.28414 .27718 Mdot
.28433 .40298 Mdot
.28452 .5148 Mdot
.28471 .41695 Mdot
.2849 .13275 Mdot
.28509 .60332 Mdot
.28528 .56139 Mdot
.28547 .52411 Mdot
.28566 .55673 Mdot
.28585 .45423 Mdot
.28604 .10013 Mdot
.28623 .11411 Mdot
.28642 .32377 Mdot
.28661 .51014 Mdot
.2868 .34707 Mdot
.28699 .26786 Mdot
.28719 .2632 Mdot
.28738 .19332 Mdot
.28757 .32843 Mdot
.28776 .58002 Mdot
.28795 .21195 Mdot
.28814 .01627 Mdot
.28833 .03956 Mdot
.28852 .389 Mdot
.28871 .30513 Mdot
.2889 .23059 Mdot
.28909 .29582 Mdot
.28928 .09081 Mdot
.28947 .56605 Mdot
.28966 .594 Mdot
.28985 .42161 Mdot
.29004 .20263 Mdot
.29023 .4682 Mdot
.29042 .30979 Mdot
.29061 .30048 Mdot
.2908 .1607 Mdot
.29099 .43093 Mdot
.29118 .34241 Mdot
.29138 .19797 Mdot
.29157 .39832 Mdot
.29176 .44491 Mdot
.29195 .55207 Mdot
.29214 .38434 Mdot
.29233 .23525 Mdot
.29252 .3657 Mdot
.29271 .54741 Mdot
.2929 .31445 Mdot
.29309 .37036 Mdot
.29328 .02559 Mdot
.29347 .17934 Mdot
.29366 .11877 Mdot
.29385 .39366 Mdot
.29404 .37502 Mdot
.29423 .09547 Mdot
.29442 .04422 Mdot
.29461 .45889 Mdot
.2948 .17002 Mdot
.29499 .5707 Mdot
.29518 .07218 Mdot
.29537 .2865 Mdot
.29556 .54275 Mdot
.29576 .24457 Mdot
.29595 .50548 Mdot
.29614 .27718 Mdot
.29633 .40298 Mdot
.29652 .5148 Mdot
.29671 .41695 Mdot
.2969 .13275 Mdot
.29709 .60332 Mdot
.29728 .56139 Mdot
.29747 .52411 Mdot
.29766 .55673 Mdot
.29785 .45423 Mdot
.29804 .10013 Mdot
.29823 .11411 Mdot
.29842 .32377 Mdot
.29861 .51014 Mdot
.2988 .34707 Mdot
.29899 .26786 Mdot
.29918 .2632 Mdot
.29937 .19332 Mdot
.29956 .32843 Mdot
.29975 .58002 Mdot
.29994 .21195 Mdot
.30014 .01627 Mdot
.30033 .03956 Mdot
.30052 .389 Mdot
.30071 .30513 Mdot
.3009 .23059 Mdot
.30109 .29582 Mdot
.30128 .09081 Mdot
.30147 .56605 Mdot
.30166 .594 Mdot
.30185 .42161 Mdot
.30204 .20263 Mdot
.30223 .4682 Mdot
.30242 .30979 Mdot
.30261 .30048 Mdot
.3028 .1607 Mdot
.30299 .43093 Mdot
.30318 .34241 Mdot
.30337 .19797 Mdot
.30356 .39832 Mdot
.30375 .44491 Mdot
.30394 .55207 Mdot
.30413 .38434 Mdot
.30432 .23525 Mdot
.30452 .3657 Mdot
.30471 .54741 Mdot
.3049 .31445 Mdot
.30509 .37036 Mdot
.30528 .02559 Mdot
.30547 .17934 Mdot
.30566 .11877 Mdot
.30585 .39366 Mdot
.30604 .37502 Mdot
.30623 .09547 Mdot
.30642 .04422 Mdot
.30661 .45889 Mdot
.3068 .17002 Mdot
.30699 .5707 Mdot
.30718 .07218 Mdot
.30737 .2865 Mdot
.30756 .54275 Mdot
.30775 .24457 Mdot
.30794 .50548 Mdot
.30813 .27718 Mdot
.30832 .40298 Mdot
.30851 .5148 Mdot
.3087 .41695 Mdot
.3089 .13275 Mdot
.30909 .60332 Mdot
.30928 .56139 Mdot
.30947 .52411 Mdot
.30966 .55673 Mdot
.30985 .45423 Mdot
.31004 .10013 Mdot
.31023 .11411 Mdot
.31042 .32377 Mdot
.31061 .51014 Mdot
.3108 .34707 Mdot
.31099 .26786 Mdot
.31118 .2632 Mdot
.31137 .19332 Mdot
.31156 .32843 Mdot
.31175 .58002 Mdot
.31194 .21195 Mdot
.31213 .01627 Mdot
.31232 .03956 Mdot
.31251 .389 Mdot
.3127 .30513 Mdot
.31289 .23059 Mdot
.31309 .29582 Mdot
.31328 .09081 Mdot
.31347 .56605 Mdot
.31366 .594 Mdot
.31385 .42161 Mdot
.31404 .20263 Mdot
.31423 .4682 Mdot
.31442 .30979 Mdot
.31461 .30048 Mdot
.3148 .1607 Mdot
.31499 .43093 Mdot
.31518 .34241 Mdot
.31537 .19797 Mdot
.31556 .39832 Mdot
.31575 .44491 Mdot
.31594 .55207 Mdot
.31613 .38434 Mdot
.31632 .23525 Mdot
.31651 .3657 Mdot
.3167 .54741 Mdot
.31689 .31445 Mdot
.31708 .37036 Mdot
.31727 .02559 Mdot
.31747 .17934 Mdot
.31766 .11877 Mdot
.31785 .39366 Mdot
.31804 .37502 Mdot
.31823 .09547 Mdot
.31842 .04422 Mdot
.31861 .45889 Mdot
.3188 .17002 Mdot
.31899 .5707 Mdot
.31918 .07218 Mdot
.31937 .2865 Mdot
.31956 .54275 Mdot
.31975 .24457 Mdot
.31994 .50548 Mdot
.32013 .27718 Mdot
.32032 .40298 Mdot
.32051 .5148 Mdot
.3207 .41695 Mdot
.32089 .13275 Mdot
.32108 .60332 Mdot
.32127 .56139 Mdot
.32146 .52411 Mdot
.32165 .55673 Mdot
.32185 .45423 Mdot
.32204 .10013 Mdot
.32223 .11411 Mdot
.32242 .32377 Mdot
.32261 .51014 Mdot
.3228 .34707 Mdot
.32299 .26786 Mdot
.32318 .2632 Mdot
.32337 .19332 Mdot
.32356 .32843 Mdot
.32375 .58002 Mdot
.32394 .21195 Mdot
.32413 .01627 Mdot
.32432 .03956 Mdot
.32451 .389 Mdot
.3247 .30513 Mdot
.32489 .23059 Mdot
.32508 .29582 Mdot
.32527 .09081 Mdot
.32546 .56605 Mdot
.32565 .594 Mdot
.32584 .42161 Mdot
.32603 .20263 Mdot
.32623 .4682 Mdot
.32642 .30979 Mdot
.32661 .30048 Mdot
.3268 .1607 Mdot
.32699 .43093 Mdot
.32718 .34241 Mdot
.32737 .19797 Mdot
.32756 .39832 Mdot
.32775 .44491 Mdot
.32794 .55207 Mdot
.32813 .38434 Mdot
.32832 .23525 Mdot
.32851 .3657 Mdot
.3287 .54741 Mdot
.32889 .31445 Mdot
.32908 .37036 Mdot
.32927 .02559 Mdot
.32946 .17934 Mdot
.32965 .11877 Mdot
.32984 .39366 Mdot
.33003 .37502 Mdot
.33022 .09547 Mdot
.33041 .04422 Mdot
.33061 .45889 Mdot
.3308 .17002 Mdot
.33099 .5707 Mdot
.33118 .07218 Mdot
.33137 .2865 Mdot
.33156 .54275 Mdot
.33175 .24457 Mdot
.33194 .50548 Mdot
.33213 .27718 Mdot
.33232 .40298 Mdot
.33251 .5148 Mdot
.3327 .41695 Mdot
.33289 .13275 Mdot
.33308 .60332 Mdot
.33327 .56139 Mdot
.33346 .52411 Mdot
.33365 .55673 Mdot
.33384 .45423 Mdot
.33403 .10013 Mdot
.33422 .11411 Mdot
.33441 .32377 Mdot
.3346 .51014 Mdot
.33479 .34707 Mdot
.33499 .26786 Mdot
.33518 .2632 Mdot
.33537 .19332 Mdot
.33556 .32843 Mdot
.33575 .58002 Mdot
.33594 .21195 Mdot
.33613 .01627 Mdot
.33632 .03956 Mdot
.33651 .389 Mdot
.3367 .30513 Mdot
.33689 .23059 Mdot
.33708 .29582 Mdot
.33727 .09081 Mdot
.33746 .56605 Mdot
.33765 .594 Mdot
.33784 .42161 Mdot
.33803 .20263 Mdot
.33822 .4682 Mdot
.33841 .30979 Mdot
.3386 .30048 Mdot
.33879 .1607 Mdot
.33898 .43093 Mdot
.33918 .34241 Mdot
.33937 .19797 Mdot
.33956 .39832 Mdot
.33975 .44491 Mdot
.33994 .55207 Mdot
.34013 .38434 Mdot
.34032 .23525 Mdot
.34051 .3657 Mdot
.3407 .54741 Mdot
.34089 .31445 Mdot
.34108 .37036 Mdot
.34127 .02559 Mdot
.34146 .17934 Mdot
.34165 .11877 Mdot
.34184 .39366 Mdot
.34203 .37502 Mdot
.34222 .09547 Mdot
.34241 .04422 Mdot
.3426 .45889 Mdot
.34279 .17002 Mdot
.34298 .5707 Mdot
.34317 .07218 Mdot
.34336 .2865 Mdot
.34356 .54275 Mdot
.34375 .24457 Mdot
.34394 .50548 Mdot
.34413 .27718 Mdot
.34432 .40298 Mdot
.34451 .5148 Mdot
.3447 .41695 Mdot
.34489 .13275 Mdot
.34508 .60332 Mdot
.34527 .56139 Mdot
.34546 .52411 Mdot
.34565 .55673 Mdot
.34584 .45423 Mdot
.34603 .10013 Mdot
.34622 .11411 Mdot
.34641 .32377 Mdot
.3466 .51014 Mdot
.34679 .34707 Mdot
.34698 .26786 Mdot
.34717 .2632 Mdot
.34736 .19332 Mdot
.34755 .32843 Mdot
.34774 .58002 Mdot
.34794 .21195 Mdot
.34813 .01627 Mdot
.34832 .03956 Mdot
.34851 .389 Mdot
.3487 .30513 Mdot
.34889 .23059 Mdot
.34908 .29582 Mdot
.34927 .09081 Mdot
.34946 .56605 Mdot
.34965 .594 Mdot
.34984 .42161 Mdot
.35003 .20263 Mdot
.35022 .4682 Mdot
.35041 .30979 Mdot
.3506 .30048 Mdot
.35079 .1607 Mdot
.35098 .43093 Mdot
.35117 .34241 Mdot
.35136 .19797 Mdot
.35155 .39832 Mdot
.35174 .44491 Mdot
.35193 .55207 Mdot
.35212 .38434 Mdot
.35232 .23525 Mdot
.35251 .3657 Mdot
.3527 .54741 Mdot
.35289 .31445 Mdot
.35308 .37036 Mdot
.35327 .02559 Mdot
.35346 .17934 Mdot
.35365 .11877 Mdot
.35384 .39366 Mdot
.35403 .37502 Mdot
.35422 .09547 Mdot
.35441 .04422 Mdot
.3546 .45889 Mdot
.35479 .17002 Mdot
.35498 .5707 Mdot
.35517 .07218 Mdot
.35536 .2865 Mdot
.35555 .54275 Mdot
.35574 .24457 Mdot
.35593 .50548 Mdot
.35612 .27718 Mdot
.35631 .40298 Mdot
.3565 .5148 Mdot
.3567 .41695 Mdot
.35689 .13275 Mdot
.35708 .60332 Mdot
.35727 .56139 Mdot
.35746 .52411 Mdot
.35765 .55673 Mdot
.35784 .45423 Mdot
.35803 .10013 Mdot
.35822 .11411 Mdot
.35841 .32377 Mdot
.3586 .51014 Mdot
.35879 .34707 Mdot
.35898 .26786 Mdot
.35917 .2632 Mdot
.35936 .19332 Mdot
.35955 .32843 Mdot
.35974 .58002 Mdot
.35993 .21195 Mdot
.36012 .01627 Mdot
.36031 .03956 Mdot
.3605 .389 Mdot
.36069 .30513 Mdot
.36088 .23059 Mdot
.36108 .29582 Mdot
.36127 .09081 Mdot
.36146 .56605 Mdot
.36165 .594 Mdot
.36184 .42161 Mdot
.36203 .20263 Mdot
.36222 .4682 Mdot
.36241 .30979 Mdot
.3626 .30048 Mdot
.36279 .1607 Mdot
.36298 .43093 Mdot
.36317 .34241 Mdot
.36336 .19797 Mdot
.36355 .39832 Mdot
.36374 .44491 Mdot
.36393 .55207 Mdot
.36412 .38434 Mdot
.36431 .23525 Mdot
.3645 .3657 Mdot
.36469 .54741 Mdot
.36488 .31445 Mdot
.36507 .37036 Mdot
.36527 .02559 Mdot
.36546 .17934 Mdot
.36565 .11877 Mdot
.36584 .39366 Mdot
.36603 .37502 Mdot
.36622 .09547 Mdot
.36641 .04422 Mdot
.3666 .45889 Mdot
.36679 .17002 Mdot
.36698 .5707 Mdot
.36717 .07218 Mdot
.36736 .2865 Mdot
.36755 .54275 Mdot
.36774 .24457 Mdot
.36793 .50548 Mdot
.36812 .27718 Mdot
.36831 .40298 Mdot
.3685 .5148 Mdot
.36869 .41695 Mdot
.36888 .13275 Mdot
.36907 .60332 Mdot
.36926 .56139 Mdot
.36945 .52411 Mdot
.36965 .55673 Mdot
.36984 .45423 Mdot
.37003 .10013 Mdot
.37022 .11411 Mdot
.37041 .32377 Mdot
.3706 .51014 Mdot
.37079 .34707 Mdot
.37098 .26786 Mdot
.37117 .2632 Mdot
.37136 .19332 Mdot
.37155 .32843 Mdot
.37174 .58002 Mdot
.37193 .21195 Mdot
.37212 .01627 Mdot
.37231 .03956 Mdot
.3725 .389 Mdot
.37269 .30513 Mdot
.37288 .23059 Mdot
.37307 .29582 Mdot
.37326 .09081 Mdot
.37345 .56605 Mdot
.37364 .594 Mdot
.37383 .42161 Mdot
.37403 .20263 Mdot
.37422 .4682 Mdot
.37441 .30979 Mdot
.3746 .30048 Mdot
.37479 .1607 Mdot
.37498 .43093 Mdot
.37517 .34241 Mdot
.37536 .19797 Mdot
.37555 .39832 Mdot
.37574 .44491 Mdot
.37593 .55207 Mdot
.37612 .38434 Mdot
.37631 .23525 Mdot
.3765 .3657 Mdot
.37669 .54741 Mdot
.37688 .31445 Mdot
.37707 .37036 Mdot
.37726 .02559 Mdot
.37745 .17934 Mdot
.37764 .11877 Mdot
.37783 .39366 Mdot
.37802 .37502 Mdot
.37821 .09547 Mdot
.37841 .04422 Mdot
.3786 .45889 Mdot
.37879 .17002 Mdot
.37898 .5707 Mdot
.37917 .07218 Mdot
.37936 .2865 Mdot
.37955 .54275 Mdot
.37974 .24457 Mdot
.37993 .50548 Mdot
.38012 .27718 Mdot
.38031 .40298 Mdot
.3805 .5148 Mdot
.38069 .41695 Mdot
.38088 .13275 Mdot
.38107 .60332 Mdot
.38126 .56139 Mdot
.38145 .52411 Mdot
.38164 .55673 Mdot
.38183 .45423 Mdot
.38202 .10013 Mdot
.38221 .11411 Mdot
.3824 .32377 Mdot
.38259 .51014 Mdot
.38279 .34707 Mdot
.38298 .26786 Mdot
.38317 .2632 Mdot
.38336 .19332 Mdot
.38355 .32843 Mdot
.38374 .58002 Mdot
.38393 .21195 Mdot
.38412 .01627 Mdot
.38431 .03956 Mdot
.3845 .389 Mdot
.38469 .30513 Mdot
.38488 .23059 Mdot
.38507 .29582 Mdot
.38526 .09081 Mdot
.38545 .56605 Mdot
.38564 .594 Mdot
.38583 .42161 Mdot
.38602 .20263 Mdot
.38621 .4682 Mdot
.3864 .30979 Mdot
.38659 .30048 Mdot
.38678 .1607 Mdot
.38697 .43093 Mdot
.38717 .34241 Mdot
.38736 .19797 Mdot
.38755 .39832 Mdot
.38774 .44491 Mdot
.38793 .55207 Mdot
.38812 .38434 Mdot
.38831 .23525 Mdot
.3885 .3657 Mdot
.38869 .54741 Mdot
.38888 .31445 Mdot
.38907 .37036 Mdot
.38926 .02559 Mdot
.38945 .17934 Mdot
.38964 .11877 Mdot
.38983 .39366 Mdot
.39002 .37502 Mdot
.39021 .09547 Mdot
.3904 .04422 Mdot
.39059 .45889 Mdot
.39078 .17002 Mdot
.39097 .5707 Mdot
.39116 .07218 Mdot
.39136 .2865 Mdot
.39155 .54275 Mdot
.39174 .24457 Mdot
.39193 .50548 Mdot
.39212 .27718 Mdot
.39231 .40298 Mdot
.3925 .5148 Mdot
.39269 .41695 Mdot
.39288 .13275 Mdot
.39307 .60332 Mdot
.39326 .56139 Mdot
.39345 .52411 Mdot
.39364 .55673 Mdot
.39383 .45423 Mdot
.39402 .10013 Mdot
.39421 .11411 Mdot
.3944 .32377 Mdot
.39459 .51014 Mdot
.39478 .34707 Mdot
.39497 .26786 Mdot
.39516 .2632 Mdot
.39535 .19332 Mdot
.39554 .32843 Mdot
.39574 .58002 Mdot
.39593 .21195 Mdot
.39612 .01627 Mdot
.39631 .03956 Mdot
.3965 .389 Mdot
.39669 .30513 Mdot
.39688 .23059 Mdot
.39707 .29582 Mdot
.39726 .09081 Mdot
.39745 .56605 Mdot
.39764 .594 Mdot
.39783 .42161 Mdot
.39802 .20263 Mdot
.39821 .4682 Mdot
.3984 .30979 Mdot
.39859 .30048 Mdot
.39878 .1607 Mdot
.39897 .43093 Mdot
.39916 .34241 Mdot
.39935 .19797 Mdot
.39954 .39832 Mdot
.39973 .44491 Mdot
.39992 .55207 Mdot
.40012 .38434 Mdot
.40031 .23525 Mdot
.4005 .3657 Mdot
.40069 .54741 Mdot
.40088 .31445 Mdot
.40107 .37036 Mdot
.40126 .02559 Mdot
.40145 .17934 Mdot
.40164 .11877 Mdot
.40183 .39366 Mdot
.40202 .37502 Mdot
.40221 .09547 Mdot
.4024 .04422 Mdot
.40259 .45889 Mdot
.40278 .17002 Mdot
.40297 .5707 Mdot
.40316 .07218 Mdot
.40335 .2865 Mdot
.40354 .54275 Mdot
.40373 .24457 Mdot
.40392 .50548 Mdot
.40411 .27718 Mdot
.4043 .40298 Mdot
.4045 .5148 Mdot
.40469 .41695 Mdot
.40488 .13275 Mdot
.40507 .60332 Mdot
.40526 .56139 Mdot
.40545 .52411 Mdot
.40564 .55673 Mdot
.40583 .45423 Mdot
.40602 .10013 Mdot
.40621 .11411 Mdot
.4064 .32377 Mdot
.40659 .51014 Mdot
.40678 .34707 Mdot
.40697 .26786 Mdot
.40716 .2632 Mdot
.40735 .19332 Mdot
.40754 .32843 Mdot
.40773 .58002 Mdot
.40792 .21195 Mdot
.40811 .01627 Mdot
.4083 .03956 Mdot
.40849 .389 Mdot
.40868 .30513 Mdot
.40888 .23059 Mdot
.40907 .29582 Mdot
.40926 .09081 Mdot
.40945 .56605 Mdot
.40964 .594 Mdot
.40983 .42161 Mdot
.41002 .20263 Mdot
.41021 .4682 Mdot
.4104 .30979 Mdot
.41059 .30048 Mdot
.41078 .1607 Mdot
.41097 .43093 Mdot
.41116 .34241 Mdot
.41135 .19797 Mdot
.41154 .39832 Mdot
.41173 .44491 Mdot
.41192 .55207 Mdot
.41211 .38434 Mdot
.4123 .23525 Mdot
.41249 .3657 Mdot
.41268 .54741 Mdot
.41287 .31445 Mdot
.41307 .37036 Mdot
.41326 .02559 Mdot
.41345 .17934 Mdot
.41364 .11877 Mdot
.41383 .39366 Mdot
.41402 .37502 Mdot
.41421 .09547 Mdot
.4144 .04422 Mdot
.41459 .45889 Mdot
.41478 .17002 Mdot
.41497 .5707 Mdot
.41516 .07218 Mdot
.41535 .2865 Mdot
.41554 .54275 Mdot
.41573 .24457 Mdot
.41592 .50548 Mdot
.41611 .27718 Mdot
.4163 .40298 Mdot
.41649 .5148 Mdot
.41668 .41695 Mdot
.41687 .13275 Mdot
.41706 .60332 Mdot
.41725 .56139 Mdot
.41745 .52411 Mdot
.41764 .55673 Mdot
.41783 .45423 Mdot
.41802 .10013 Mdot
.41821 .11411 Mdot
.4184 .32377 Mdot
.41859 .51014 Mdot
.41878 .34707 Mdot
.41897 .26786 Mdot
.41916 .2632 Mdot
.41935 .19332 Mdot
.41954 .32843 Mdot
.41973 .58002 Mdot
.41992 .21195 Mdot
.42011 .01627 Mdot
.4203 .03956 Mdot
.42049 .389 Mdot
.42068 .30513 Mdot
.42087 .23059 Mdot
.42106 .29582 Mdot
.42125 .09081 Mdot
.42144 .56605 Mdot
.42163 .594 Mdot
.42183 .42161 Mdot
.42202 .20263 Mdot
.42221 .4682 Mdot
.4224 .30979 Mdot
.42259 .30048 Mdot
.42278 .1607 Mdot
.42297 .43093 Mdot
.42316 .34241 Mdot
.42335 .19797 Mdot
.42354 .39832 Mdot
.42373 .44491 Mdot
.42392 .55207 Mdot
.42411 .38434 Mdot
.4243 .23525 Mdot
.42449 .3657 Mdot
.42468 .54741 Mdot
.42487 .31445 Mdot
.42506 .37036 Mdot
.42525 .02559 Mdot
.42544 .17934 Mdot
.42563 .11877 Mdot
.42582 .39366 Mdot
.42601 .37502 Mdot
.42621 .09547 Mdot
.4264 .04422 Mdot
.42659 .45889 Mdot
.42678 .17002 Mdot
.42697 .5707 Mdot
.42716 .07218 Mdot
.42735 .2865 Mdot
.42754 .54275 Mdot
.42773 .24457 Mdot
.42792 .50548 Mdot
.42811 .27718 Mdot
.4283 .40298 Mdot
.42849 .5148 Mdot
.42868 .41695 Mdot
.42887 .13275 Mdot
.42906 .60332 Mdot
.42925 .56139 Mdot
.42944 .52411 Mdot
.42963 .55673 Mdot
.42982 .45423 Mdot
.43001 .10013 Mdot
.4302 .11411 Mdot
.43039 .32377 Mdot
.43059 .51014 Mdot
.43078 .34707 Mdot
.43097 .26786 Mdot
.43116 .2632 Mdot
.43135 .19332 Mdot
.43154 .32843 Mdot
.43173 .58002 Mdot
.43192 .21195 Mdot
.43211 .01627 Mdot
.4323 .03956 Mdot
.43249 .389 Mdot
.43268 .30513 Mdot
.43287 .23059 Mdot
.43306 .29582 Mdot
.43325 .09081 Mdot
.43344 .56605 Mdot
.43363 .594 Mdot
.43382 .42161 Mdot
.43401 .20263 Mdot
.4342 .4682 Mdot
.43439 .30979 Mdot
.43458 .30048 Mdot
.43477 .1607 Mdot
.43497 .43093 Mdot
.43516 .34241 Mdot
.43535 .19797 Mdot
.43554 .39832 Mdot
.43573 .44491 Mdot
.43592 .55207 Mdot
.43611 .38434 Mdot
.4363 .23525 Mdot
.43649 .3657 Mdot
.43668 .54741 Mdot
.43687 .31445 Mdot
.43706 .37036 Mdot
.43725 .02559 Mdot
.43744 .17934 Mdot
.43763 .11877 Mdot
.43782 .39366 Mdot
.43801 .37502 Mdot
.4382 .09547 Mdot
.43839 .04422 Mdot
.43858 .45889 Mdot
.43877 .17002 Mdot
.43896 .5707 Mdot
.43916 .07218 Mdot
.43935 .2865 Mdot
.43954 .54275 Mdot
.43973 .24457 Mdot
.43992 .50548 Mdot
.44011 .27718 Mdot
.4403 .40298 Mdot
.44049 .5148 Mdot
.44068 .41695 Mdot
.44087 .13275 Mdot
.44106 .60332 Mdot
.44125 .56139 Mdot
.44144 .52411 Mdot
.44163 .55673 Mdot
.44182 .45423 Mdot
.44201 .10013 Mdot
.4422 .11411 Mdot
.44239 .32377 Mdot
.44258 .51014 Mdot
.44277 .34707 Mdot
.44296 .26786 Mdot
.44315 .2632 Mdot
.44334 .19332 Mdot
.44354 .32843 Mdot
.44373 .58002 Mdot
.44392 .21195 Mdot
.44411 .01627 Mdot
.4443 .03956 Mdot
.44449 .389 Mdot
.44468 .30513 Mdot
.44487 .23059 Mdot
.44506 .29582 Mdot
.44525 .09081 Mdot
.44544 .56605 Mdot
.44563 .594 Mdot
.44582 .42161 Mdot
.44601 .20263 Mdot
.4462 .4682 Mdot
.44639 .30979 Mdot
.44658 .30048 Mdot
.44677 .1607 Mdot
.44696 .43093 Mdot
.44715 .34241 Mdot
.44734 .19797 Mdot
.44753 .39832 Mdot
.44772 .44491 Mdot
.44792 .55207 Mdot
.44811 .38434 Mdot
.4483 .23525 Mdot
.44849 .3657 Mdot
.44868 .54741 Mdot
.44887 .31445 Mdot
.44906 .37036 Mdot
.44925 .02559 Mdot
.44944 .17934 Mdot
.44963 .11877 Mdot
.44982 .39366 Mdot
.45001 .37502 Mdot
.4502 .09547 Mdot
.45039 .04422 Mdot
.45058 .45889 Mdot
.45077 .17002 Mdot
.45096 .5707 Mdot
.45115 .07218 Mdot
.45134 .2865 Mdot
.45153 .54275 Mdot
.45172 .24457 Mdot
.45191 .50548 Mdot
.4521 .27718 Mdot
.4523 .40298 Mdot
.45249 .5148 Mdot
.45268 .41695 Mdot
.45287 .13275 Mdot
.45306 .60332 Mdot
.45325 .56139 Mdot
.45344 .52411 Mdot
.45363 .55673 Mdot
.45382 .45423 Mdot
.45401 .10013 Mdot
.4542 .11411 Mdot
.45439 .32377 Mdot
.45458 .51014 Mdot
.45477 .34707 Mdot
.45496 .26786 Mdot
.45515 .2632 Mdot
.45534 .19332 Mdot
.45553 .32843 Mdot
.45572 .58002 Mdot
.45591 .21195 Mdot
.4561 .01627 Mdot
.45629 .03956 Mdot
.45648 .389 Mdot
.45668 .30513 Mdot
.45687 .23059 Mdot
.45706 .29582 Mdot
.45725 .09081 Mdot
.45744 .56605 Mdot
.45763 .594 Mdot
.45782 .42161 Mdot
.45801 .20263 Mdot
.4582 .4682 Mdot
.45839 .30979 Mdot
.45858 .30048 Mdot
.45877 .1607 Mdot
.45896 .43093 Mdot
.45915 .34241 Mdot
.45934 .19797 Mdot
.45953 .39832 Mdot
.45972 .44491 Mdot
.45991 .55207 Mdot
.4601 .38434 Mdot
.46029 .23525 Mdot
.46048 .3657 Mdot
.46067 .54741 Mdot
.46086 .31445 Mdot
.46106 .37036 Mdot
.46125 .02559 Mdot
.46144 .17934 Mdot
.46163 .11877 Mdot
.46182 .39366 Mdot
.46201 .37502 Mdot
.4622 .09547 Mdot
.46239 .04422 Mdot
.46258 .45889 Mdot
.46277 .17002 Mdot
.46296 .5707 Mdot
.46315 .07218 Mdot
.46334 .2865 Mdot
.46353 .54275 Mdot
.46372 .24457 Mdot
.46391 .50548 Mdot
.4641 .27718 Mdot
.46429 .40298 Mdot
.46448 .5148 Mdot
.46467 .41695 Mdot
.46486 .13275 Mdot
.46505 .60332 Mdot
.46525 .56139 Mdot
.46544 .52411 Mdot
.46563 .55673 Mdot
.46582 .45423 Mdot
.46601 .10013 Mdot
.4662 .11411 Mdot
.46639 .32377 Mdot
.46658 .51014 Mdot
.46677 .34707 Mdot
.46696 .26786 Mdot
.46715 .2632 Mdot
.46734 .19332 Mdot
.46753 .32843 Mdot
.46772 .58002 Mdot
.46791 .21195 Mdot
.4681 .01627 Mdot
.46829 .03956 Mdot
.46848 .389 Mdot
.46867 .30513 Mdot
.46886 .23059 Mdot
.46905 .29582 Mdot
.46924 .09081 Mdot
.46943 .56605 Mdot
.46963 .594 Mdot
.46982 .42161 Mdot
.47001 .20263 Mdot
.4702 .4682 Mdot
.47039 .30979 Mdot
.47058 .30048 Mdot
.47077 .1607 Mdot
.47096 .43093 Mdot
.47115 .34241 Mdot
.47134 .19797 Mdot
.47153 .39832 Mdot
.47172 .44491 Mdot
.47191 .55207 Mdot
.4721 .38434 Mdot
.47229 .23525 Mdot
.47248 .3657 Mdot
.47267 .54741 Mdot
.47286 .31445 Mdot
.47305 .37036 Mdot
.47324 .02559 Mdot
.47343 .17934 Mdot
.47362 .11877 Mdot
.47381 .39366 Mdot
.47401 .37502 Mdot
.4742 .09547 Mdot
.47439 .04422 Mdot
.47458 .45889 Mdot
.47477 .17002 Mdot
.47496 .5707 Mdot
.47515 .07218 Mdot
.47534 .2865 Mdot
.47553 .54275 Mdot
.47572 .24457 Mdot
.47591 .50548 Mdot
.4761 .27718 Mdot
.47629 .40298 Mdot
.47648 .5148 Mdot
.47667 .41695 Mdot
.47686 .13275 Mdot
.47705 .60332 Mdot
.47724 .56139 Mdot
.47743 .52411 Mdot
.47762 .55673 Mdot
.47781 .45423 Mdot
.478 .10013 Mdot
.47819 .11411 Mdot
.47839 .32377 Mdot
.47858 .51014 Mdot
.47877 .34707 Mdot
.47896 .26786 Mdot
.47915 .2632 Mdot
.47934 .19332 Mdot
.47953 .32843 Mdot
.47972 .58002 Mdot
.47991 .21195 Mdot
.4801 .01627 Mdot
.48029 .03956 Mdot
.48048 .389 Mdot
.48067 .30513 Mdot
.48086 .23059 Mdot
.48105 .29582 Mdot
.48124 .09081 Mdot
.48143 .56605 Mdot
.48162 .594 Mdot
.48181 .42161 Mdot
.482 .20263 Mdot
.48219 .4682 Mdot
.48238 .30979 Mdot
.48257 .30048 Mdot
.48277 .1607 Mdot
.48296 .43093 Mdot
.48315 .34241 Mdot
.48334 .19797 Mdot
.48353 .39832 Mdot
.48372 .44491 Mdot
.48391 .55207 Mdot
.4841 .38434 Mdot
.48429 .23525 Mdot
.48448 .3657 Mdot
.48467 .54741 Mdot
.48486 .31445 Mdot
.48505 .37036 Mdot
.48524 .02559 Mdot
.48543 .17934 Mdot
.48562 .11877 Mdot
.48581 .39366 Mdot
.486 .37502 Mdot
.48619 .09547 Mdot
.48638 .04422 Mdot
.48657 .45889 Mdot
.48676 .17002 Mdot
.48695 .5707 Mdot
.48715 .07218 Mdot
.48734 .2865 Mdot
.48753 .54275 Mdot
.48772 .24457 Mdot
.48791 .50548 Mdot
.4881 .27718 Mdot
.48829 .40298 Mdot
.48848 .5148 Mdot
.48867 .41695 Mdot
.48886 .13275 Mdot
.48905 .60332 Mdot
.48924 .56139 Mdot
.48943 .52411 Mdot
.48962 .55673 Mdot
.48981 .45423 Mdot
.49 .10013 Mdot
.49019 .11411 Mdot
.49038 .32377 Mdot
.49057 .51014 Mdot
.49076 .34707 Mdot
.49095 .26786 Mdot
.49114 .2632 Mdot
.49134 .19332 Mdot
.49153 .32843 Mdot
.49172 .58002 Mdot
.49191 .21195 Mdot
.4921 .01627 Mdot
.49229 .03956 Mdot
.49248 .389 Mdot
.49267 .30513 Mdot
.49286 .23059 Mdot
.49305 .29582 Mdot
.49324 .09081 Mdot
.49343 .56605 Mdot
.49362 .594 Mdot
.49381 .42161 Mdot
.494 .20263 Mdot
.49419 .4682 Mdot
.49438 .30979 Mdot
.49457 .30048 Mdot
.49476 .1607 Mdot
.49495 .43093 Mdot
.49514 .34241 Mdot
.49533 .19797 Mdot
.49552 .39832 Mdot
.49572 .44491 Mdot
.49591 .55207 Mdot
.4961 .38434 Mdot
.49629 .23525 Mdot
.49648 .3657 Mdot
.49667 .54741 Mdot
.49686 .31445 Mdot
.49705 .37036 Mdot
.49724 .02559 Mdot
.49743 .17934 Mdot
.49762 .11877 Mdot
.49781 .39366 Mdot
.498 .37502 Mdot
.49819 .09547 Mdot
.49838 .04422 Mdot
.49857 .45889 Mdot
.49876 .17002 Mdot
.49895 .5707 Mdot
.49914 .07218 Mdot
.49933 .2865 Mdot
.49952 .54275 Mdot
.49971 .24457 Mdot
.4999 .50548 Mdot
.5001 .27718 Mdot
.50029 .40298 Mdot
.50048 .5148 Mdot
.50067 .41695 Mdot
.50086 .13275 Mdot
.50105 .60332 Mdot
.50124 .56139 Mdot
.50143 .52411 Mdot
.50162 .55673 Mdot
.50181 .45423 Mdot
.502 .10013 Mdot
.50219 .11411 Mdot
.50238 .32377 Mdot
.50257 .51014 Mdot
.50276 .34707 Mdot
.50295 .26786 Mdot
.50314 .2632 Mdot
.50333 .19332 Mdot
.50352 .32843 Mdot
.50371 .58002 Mdot
.5039 .21195 Mdot
.50409 .01627 Mdot
.50428 .03956 Mdot
.50448 .389 Mdot
.50467 .30513 Mdot
.50486 .23059 Mdot
.50505 .29582 Mdot
.50524 .09081 Mdot
.50543 .56605 Mdot
.50562 .594 Mdot
.50581 .42161 Mdot
.506 .20263 Mdot
.50619 .4682 Mdot
.50638 .30979 Mdot
.50657 .30048 Mdot
.50676 .1607 Mdot
.50695 .43093 Mdot
.50714 .34241 Mdot
.50733 .19797 Mdot
.50752 .39832 Mdot
.50771 .44491 Mdot
.5079 .55207 Mdot
.50809 .38434 Mdot
.50828 .23525 Mdot
.50847 .3657 Mdot
.50866 .54741 Mdot
.50886 .31445 Mdot
.50905 .37036 Mdot
.50924 .02559 Mdot
.50943 .17934 Mdot
.50962 .11877 Mdot
.50981 .39366 Mdot
.51 .37502 Mdot
.51019 .09547 Mdot
.51038 .04422 Mdot
.51057 .45889 Mdot
.51076 .17002 Mdot
.51095 .5707 Mdot
.51114 .07218 Mdot
.51133 .2865 Mdot
.51152 .54275 Mdot
.51171 .24457 Mdot
.5119 .50548 Mdot
.51209 .27718 Mdot
.51228 .40298 Mdot
.51247 .5148 Mdot
.51266 .41695 Mdot
.51285 .13275 Mdot
.51305 .60332 Mdot
.51324 .56139 Mdot
.51343 .52411 Mdot
.51362 .55673 Mdot
.51381 .45423 Mdot
.514 .10013 Mdot
.51419 .11411 Mdot
.51438 .32377 Mdot
.51457 .51014 Mdot
.51476 .34707 Mdot
.51495 .26786 Mdot
.51514 .2632 Mdot
.51533 .19332 Mdot
.51552 .32843 Mdot
.51571 .58002 Mdot
.5159 .21195 Mdot
.51609 .01627 Mdot
.51628 .03956 Mdot
.51647 .389 Mdot
.51666 .30513 Mdot
.51685 .23059 Mdot
.51704 .29582 Mdot
.51723 .09081 Mdot
.51743 .56605 Mdot
.51762 .594 Mdot
.51781 .42161 Mdot
.518 .20263 Mdot
.51819 .4682 Mdot
.51838 .30979 Mdot
.51857 .30048 Mdot
.51876 .1607 Mdot
.51895 .43093 Mdot
.51914 .34241 Mdot
.51933 .19797 Mdot
.51952 .39832 Mdot
.51971 .44491 Mdot
.5199 .55207 Mdot
.52009 .38434 Mdot
.52028 .23525 Mdot
.52047 .3657 Mdot
.52066 .54741 Mdot
.52085 .31445 Mdot
.52104 .37036 Mdot
.52123 .02559 Mdot
.52142 .17934 Mdot
.52161 .11877 Mdot
.52181 .39366 Mdot
.522 .37502 Mdot
.52219 .09547 Mdot
.52238 .04422 Mdot
.52257 .45889 Mdot
.52276 .17002 Mdot
.52295 .5707 Mdot
.52314 .07218 Mdot
.52333 .2865 Mdot
.52352 .54275 Mdot
.52371 .24457 Mdot
.5239 .50548 Mdot
.52409 .27718 Mdot
.52428 .40298 Mdot
.52447 .5148 Mdot
.52466 .41695 Mdot
.52485 .13275 Mdot
.52504 .60332 Mdot
.52523 .56139 Mdot
.52542 .52411 Mdot
.52561 .55673 Mdot
.5258 .45423 Mdot
.52599 .10013 Mdot
.52619 .11411 Mdot
.52638 .32377 Mdot
.52657 .51014 Mdot
.52676 .34707 Mdot
.52695 .26786 Mdot
.52714 .2632 Mdot
.52733 .19332 Mdot
.52752 .32843 Mdot
.52771 .58002 Mdot
.5279 .21195 Mdot
.52809 .01627 Mdot
.52828 .03956 Mdot
.52847 .389 Mdot
.52866 .30513 Mdot
.52885 .23059 Mdot
.52904 .29582 Mdot
.52923 .09081 Mdot
.52942 .56605 Mdot
.52961 .594 Mdot
.5298 .42161 Mdot
.52999 .20263 Mdot
.53018 .4682 Mdot
.53037 .30979 Mdot
.53057 .30048 Mdot
.53076 .1607 Mdot
.53095 .43093 Mdot
.53114 .34241 Mdot
.53133 .19797 Mdot
.53152 .39832 Mdot
.53171 .44491 Mdot
.5319 .55207 Mdot
.53209 .38434 Mdot
.53228 .23525 Mdot
.53247 .3657 Mdot
.53266 .54741 Mdot
.53285 .31445 Mdot
.53304 .37036 Mdot
.53323 .02559 Mdot
.53342 .17934 Mdot
.53361 .11877 Mdot
.5338 .39366 Mdot
.53399 .37502 Mdot
.53418 .09547 Mdot
.53437 .04422 Mdot
.53456 .45889 Mdot
.53475 .17002 Mdot
.53495 .5707 Mdot
.53514 .07218 Mdot
.53533 .2865 Mdot
.53552 .54275 Mdot
.53571 .24457 Mdot
.5359 .50548 Mdot
.53609 .27718 Mdot
.53628 .40298 Mdot
.53647 .5148 Mdot
.53666 .41695 Mdot
.53685 .13275 Mdot
.53704 .60332 Mdot
.53723 .56139 Mdot
.53742 .52411 Mdot
.53761 .55673 Mdot
.5378 .45423 Mdot
.53799 .10013 Mdot
.53818 .11411 Mdot
.53837 .32377 Mdot
.53856 .51014 Mdot
.53875 .34707 Mdot
.53894 .26786 Mdot
.53914 .2632 Mdot
.53933 .19332 Mdot
.53952 .32843 Mdot
.53971 .58002 Mdot
.5399 .21195 Mdot
.54009 .01627 Mdot
.54028 .03956 Mdot
.54047 .389 Mdot
.54066 .30513 Mdot
.54085 .23059 Mdot
.54104 .29582 Mdot
.54123 .09081 Mdot
.54142 .56605 Mdot
.54161 .594 Mdot
.5418 .42161 Mdot
.54199 .20263 Mdot
.54218 .4682 Mdot
.54237 .30979 Mdot
.54256 .30048 Mdot
.54275 .1607 Mdot
.54294 .43093 Mdot
.54313 .34241 Mdot
.54332 .19797 Mdot
.54352 .39832 Mdot
.54371 .44491 Mdot
.5439 .55207 Mdot
.54409 .38434 Mdot
.54428 .23525 Mdot
.54447 .3657 Mdot
.54466 .54741 Mdot
.54485 .31445 Mdot
.54504 .37036 Mdot
.54523 .02559 Mdot
.54542 .17934 Mdot
.54561 .11877 Mdot
.5458 .39366 Mdot
.54599 .37502 Mdot
.54618 .09547 Mdot
.54637 .04422 Mdot
.54656 .45889 Mdot
.54675 .17002 Mdot
.54694 .5707 Mdot
.54713 .07218 Mdot
.54732 .2865 Mdot
.54751 .54275 Mdot
.5477 .24457 Mdot
.5479 .50548 Mdot
.54809 .27718 Mdot
.54828 .40298 Mdot
.54847 .5148 Mdot
.54866 .41695 Mdot
.54885 .13275 Mdot
.54904 .60332 Mdot
.54923 .56139 Mdot
.54942 .52411 Mdot
.54961 .55673 Mdot
.5498 .45423 Mdot
.54999 .10013 Mdot
.55018 .11411 Mdot
.55037 .32377 Mdot
.55056 .51014 Mdot
.55075 .34707 Mdot
.55094 .26786 Mdot
.55113 .2632 Mdot
.55132 .19332 Mdot
.55151 .32843 Mdot
.5517 .58002 Mdot
.55189 .21195 Mdot
.55208 .01627 Mdot
.55228 .03956 Mdot
.55247 .389 Mdot
.55266 .30513 Mdot
.55285 .23059 Mdot
.55304 .29582 Mdot
.55323 .09081 Mdot
.55342 .56605 Mdot
.55361 .594 Mdot
.5538 .42161 Mdot
.55399 .20263 Mdot
.55418 .4682 Mdot
.55437 .30979 Mdot
.55456 .30048 Mdot
.55475 .1607 Mdot
.55494 .43093 Mdot
.55513 .34241 Mdot
.55532 .19797 Mdot
.55551 .39832 Mdot
.5557 .44491 Mdot
.55589 .55207 Mdot
.55608 .38434 Mdot
.55627 .23525 Mdot
.55646 .3657 Mdot
.55666 .54741 Mdot
.55685 .31445 Mdot
.55704 .37036 Mdot
.55723 .02559 Mdot
.55742 .17934 Mdot
.55761 .11877 Mdot
.5578 .39366 Mdot
.55799 .37502 Mdot
.55818 .09547 Mdot
.55837 .04422 Mdot
.55856 .45889 Mdot
.55875 .17002 Mdot
.55894 .5707 Mdot
.55913 .07218 Mdot
.55932 .2865 Mdot
.55951 .54275 Mdot
.5597 .24457 Mdot
.55989 .50548 Mdot
.56008 .27718 Mdot
.56027 .40298 Mdot
.56046 .5148 Mdot
.56065 .41695 Mdot
.56084 .13275 Mdot
.56104 .60332 Mdot
.56123 .56139 Mdot
.56142 .52411 Mdot
.56161 .55673 Mdot
.5618 .45423 Mdot
.56199 .10013 Mdot
.56218 .11411 Mdot
.56237 .32377 Mdot
.56256 .51014 Mdot
.56275 .34707 Mdot
.56294 .26786 Mdot
.56313 .2632 Mdot
.56332 .19332 Mdot
.56351 .32843 Mdot
.5637 .58002 Mdot
.56389 .21195 Mdot
.56408 .01627 Mdot
.56427 .03956 Mdot
.56446 .389 Mdot
.56465 .30513 Mdot
.56484 .23059 Mdot
.56503 .29582 Mdot
.56523 .09081 Mdot
.56542 .56605 Mdot
.56561 .594 Mdot
.5658 .42161 Mdot
.56599 .20263 Mdot
.56618 .4682 Mdot
.56637 .30979 Mdot
.56656 .30048 Mdot
.56675 .1607 Mdot
.56694 .43093 Mdot
.56713 .34241 Mdot
.56732 .19797 Mdot
.56751 .39832 Mdot
.5677 .44491 Mdot
.56789 .55207 Mdot
.56808 .38434 Mdot
.56827 .23525 Mdot
.56846 .3657 Mdot
.56865 .54741 Mdot
.56884 .31445 Mdot
.56903 .37036 Mdot
.56922 .02559 Mdot
.56941 .17934 Mdot
.56961 .11877 Mdot
.5698 .39366 Mdot
.56999 .37502 Mdot
.57018 .09547 Mdot
.57037 .04422 Mdot
.57056 .45889 Mdot
.57075 .17002 Mdot
.57094 .5707 Mdot
.57113 .07218 Mdot
.57132 .2865 Mdot
.57151 .54275 Mdot
.5717 .24457 Mdot
.57189 .50548 Mdot
.57208 .27718 Mdot
.57227 .40298 Mdot
.57246 .5148 Mdot
.57265 .41695 Mdot
.57284 .13275 Mdot
.57303 .60332 Mdot
.57322 .56139 Mdot
.57341 .52411 Mdot
.5736 .55673 Mdot
.57379 .45423 Mdot
.57399 .10013 Mdot
.57418 .11411 Mdot
.57437 .32377 Mdot
.57456 .51014 Mdot
.57475 .34707 Mdot
.57494 .26786 Mdot
.57513 .2632 Mdot
.57532 .19332 Mdot
.57551 .32843 Mdot
.5757 .58002 Mdot
.57589 .21195 Mdot
.57608 .01627 Mdot
.57627 .03956 Mdot
.57646 .389 Mdot
.57665 .30513 Mdot
.57684 .23059 Mdot
.57703 .29582 Mdot
.57722 .09081 Mdot
.57741 .56605 Mdot
.5776 .594 Mdot
.57779 .42161 Mdot
.57798 .20263 Mdot
.57817 .4682 Mdot
.57837 .30979 Mdot
.57856 .30048 Mdot
.57875 .1607 Mdot
.57894 .43093 Mdot
.57913 .34241 Mdot
.57932 .19797 Mdot
.57951 .39832 Mdot
.5797 .44491 Mdot
.57989 .55207 Mdot
.58008 .38434 Mdot
.58027 .23525 Mdot
.58046 .3657 Mdot
.58065 .54741 Mdot
.58084 .31445 Mdot
.58103 .37036 Mdot
.58122 .02559 Mdot
.58141 .17934 Mdot
.5816 .11877 Mdot
.58179 .39366 Mdot
.58198 .37502 Mdot
.58217 .09547 Mdot
.58236 .04422 Mdot
.58255 .45889 Mdot
.58275 .17002 Mdot
.58294 .5707 Mdot
.58313 .07218 Mdot
.58332 .2865 Mdot
.58351 .54275 Mdot
.5837 .24457 Mdot
.58389 .50548 Mdot
.58408 .27718 Mdot
.58427 .40298 Mdot
.58446 .5148 Mdot
.58465 .41695 Mdot
.58484 .13275 Mdot
.58503 .60332 Mdot
.58522 .56139 Mdot
.58541 .52411 Mdot
.5856 .55673 Mdot
.58579 .45423 Mdot
.58598 .10013 Mdot
.58617 .11411 Mdot
.58636 .32377 Mdot
.58655 .51014 Mdot
.58674 .34707 Mdot
.58693 .26786 Mdot
.58713 .2632 Mdot
.58732 .19332 Mdot
.58751 .32843 Mdot
.5877 .58002 Mdot
.58789 .21195 Mdot
.58808 .01627 Mdot
.58827 .03956 Mdot
.58846 .389 Mdot
.58865 .30513 Mdot
.58884 .23059 Mdot
.58903 .29582 Mdot
.58922 .09081 Mdot
.58941 .56605 Mdot
.5896 .594 Mdot
.58979 .42161 Mdot
.58998 .20263 Mdot
.59017 .4682 Mdot
.59036 .30979 Mdot
.59055 .30048 Mdot
.59074 .1607 Mdot
.59093 .43093 Mdot
.59112 .34241 Mdot
.59132 .19797 Mdot
.59151 .39832 Mdot
.5917 .44491 Mdot
.59189 .55207 Mdot
.59208 .38434 Mdot
.59227 .23525 Mdot
.59246 .3657 Mdot
.59265 .54741 Mdot
.59284 .31445 Mdot
.59303 .37036 Mdot
.59322 .02559 Mdot
.59341 .17934 Mdot
.5936 .11877 Mdot
.59379 .39366 Mdot
.59398 .37502 Mdot
.59417 .09547 Mdot
.59436 .04422 Mdot
.59455 .45889 Mdot
.59474 .17002 Mdot
.59493 .5707 Mdot
.59512 .07218 Mdot
.59531 .2865 Mdot
.5955 .54275 Mdot
.5957 .24457 Mdot
.59589 .50548 Mdot
.59608 .27718 Mdot
.59627 .40298 Mdot
.59646 .5148 Mdot
.59665 .41695 Mdot
.59684 .13275 Mdot
.59703 .60332 Mdot
.59722 .56139 Mdot
.59741 .52411 Mdot
.5976 .55673 Mdot
.59779 .45423 Mdot
.59798 .10013 Mdot
.59817 .11411 Mdot
.59836 .32377 Mdot
.59855 .51014 Mdot
.59874 .34707 Mdot
.59893 .26786 Mdot
.59912 .2632 Mdot
.59931 .19332 Mdot
.5995 .32843 Mdot
.59969 .58002 Mdot
.59988 .21195 Mdot
.60008 .01627 Mdot
.60027 .03956 Mdot
.60046 .389 Mdot
.60065 .30513 Mdot
.60084 .23059 Mdot
.60103 .29582 Mdot
.60122 .09081 Mdot
.60141 .56605 Mdot
.6016 .594 Mdot
.60179 .42161 Mdot
.60198 .20263 Mdot
.60217 .4682 Mdot
.60236 .30979 Mdot
.60255 .30048 Mdot
.60274 .1607 Mdot
.60293 .43093 Mdot
.60312 .34241 Mdot
.60331 .19797 Mdot
.6035 .39832 Mdot
.60369 .44491 Mdot
.60388 .55207 Mdot
.60407 .38434 Mdot
.60426 .23525 Mdot
.60446 .3657 Mdot
.60465 .54741 Mdot
.60484 .31445 Mdot
.60503 .37036 Mdot
.60522 .02559 Mdot
.60541 .17934 Mdot
.6056 .11877 Mdot
.60579 .39366 Mdot
.60598 .37502 Mdot
.60617 .09547 Mdot
.60636 .04422 Mdot
.60655 .45889 Mdot
.60674 .17002 Mdot
.60693 .5707 Mdot
.60712 .07218 Mdot
.60731 .2865 Mdot
.6075 .54275 Mdot
.60769 .24457 Mdot
.60788 .50548 Mdot
.60807 .27718 Mdot
.60826 .40298 Mdot
.60845 .5148 Mdot
.60864 .41695 Mdot
.60884 .13275 Mdot
.60903 .60332 Mdot
.60922 .56139 Mdot
.60941 .52411 Mdot
.6096 .55673 Mdot
.60979 .45423 Mdot
.60998 .10013 Mdot
.61017 .11411 Mdot
.61036 .32377 Mdot
.61055 .51014 Mdot
.61074 .34707 Mdot
.61093 .26786 Mdot
.61112 .2632 Mdot
.61131 .19332 Mdot
.6115 .32843 Mdot
.61169 .58002 Mdot
.61188 .21195 Mdot
.61207 .01627 Mdot
.61226 .03956 Mdot
.61245 .389 Mdot
.61264 .30513 Mdot
.61283 .23059 Mdot
.61303 .29582 Mdot
.61322 .09081 Mdot
.61341 .56605 Mdot
.6136 .594 Mdot
.61379 .42161 Mdot
.61398 .20263 Mdot
.61417 .4682 Mdot
.61436 .30979 Mdot
.61455 .30048 Mdot
.61474 .1607 Mdot
.61493 .43093 Mdot
.61512 .34241 Mdot
.61531 .19797 Mdot
.6155 .39832 Mdot
.61569 .44491 Mdot
.61588 .55207 Mdot
.61607 .38434 Mdot
.61626 .23525 Mdot
.61645 .3657 Mdot
.61664 .54741 Mdot
.61683 .31445 Mdot
.61702 .37036 Mdot
.61721 .02559 Mdot
.61741 .17934 Mdot
.6176 .11877 Mdot
.61779 .39366 Mdot
.61798 .37502 Mdot
.61817 .09547 Mdot
.61836 .04422 Mdot
.61855 .45889 Mdot
.61874 .17002 Mdot
.61893 .5707 Mdot
.61912 .07218 Mdot
.61931 .2865 Mdot
.6195 .54275 Mdot
.61969 .24457 Mdot
.61988 .50548 Mdot
.62007 .27718 Mdot
.62026 .40298 Mdot
.62045 .5148 Mdot
.62064 .41695 Mdot
.62083 .13275 Mdot
.62102 .60332 Mdot
.62121 .56139 Mdot
.6214 .52411 Mdot
.62159 .55673 Mdot
.62179 .45423 Mdot
.62198 .10013 Mdot
.62217 .11411 Mdot
.62236 .32377 Mdot
.62255 .51014 Mdot
.62274 .34707 Mdot
.62293 .26786 Mdot
.62312 .2632 Mdot
.62331 .19332 Mdot
.6235 .32843 Mdot
.62369 .58002 Mdot
.62388 .21195 Mdot
.62407 .01627 Mdot
.62426 .03956 Mdot
.62445 .389 Mdot
.62464 .30513 Mdot
.62483 .23059 Mdot
.62502 .29582 Mdot
.62521 .09081 Mdot
.6254 .56605 Mdot
.62559 .594 Mdot
.62578 .42161 Mdot
.62597 .20263 Mdot
.62617 .4682 Mdot
.62636 .30979 Mdot
.62655 .30048 Mdot
.62674 .1607 Mdot
.62693 .43093 Mdot
.62712 .34241 Mdot
.62731 .19797 Mdot
.6275 .39832 Mdot
.62769 .44491 Mdot
.62788 .55207 Mdot
.62807 .38434 Mdot
.62826 .23525 Mdot
.62845 .3657 Mdot
.62864 .54741 Mdot
.62883 .31445 Mdot
.62902 .37036 Mdot
.62921 .02559 Mdot
.6294 .17934 Mdot
.62959 .11877 Mdot
.62978 .39366 Mdot
.62997 .37502 Mdot
.63016 .09547 Mdot
.63035 .04422 Mdot
.63055 .45889 Mdot
.63074 .17002 Mdot
.63093 .5707 Mdot
.63112 .07218 Mdot
.63131 .2865 Mdot
.6315 .54275 Mdot
.63169 .24457 Mdot
.63188 .50548 Mdot
.63207 .27718 Mdot
.63226 .40298 Mdot
.63245 .5148 Mdot
.63264 .41695 Mdot
.63283 .13275 Mdot
.63302 .60332 Mdot
.63321 .56139 Mdot
.6334 .52411 Mdot
.63359 .55673 Mdot
.63378 .45423 Mdot
.63397 .10013 Mdot
.63416 .11411 Mdot
.63435 .32377 Mdot
.63454 .51014 Mdot
.63473 .34707 Mdot
.63493 .26786 Mdot
.63512 .2632 Mdot
.63531 .19332 Mdot
.6355 .32843 Mdot
.63569 .58002 Mdot
.63588 .21195 Mdot
.63607 .01627 Mdot
.63626 .03956 Mdot
.63645 .389 Mdot
.63664 .30513 Mdot
.63683 .23059 Mdot
.63702 .29582 Mdot
.63721 .09081 Mdot
.6374 .56605 Mdot
.63759 .594 Mdot
.63778 .42161 Mdot
.63797 .20263 Mdot
.63816 .4682 Mdot
.63835 .30979 Mdot
.63854 .30048 Mdot
.63873 .1607 Mdot
.63892 .43093 Mdot
.63912 .34241 Mdot
.63931 .19797 Mdot
.6395 .39832 Mdot
.63969 .44491 Mdot
.63988 .55207 Mdot
.64007 .38434 Mdot
.64026 .23525 Mdot
.64045 .3657 Mdot
.64064 .54741 Mdot
.64083 .31445 Mdot
.64102 .37036 Mdot
.64121 .02559 Mdot
.6414 .17934 Mdot
.64159 .11877 Mdot
.64178 .39366 Mdot
.64197 .37502 Mdot
.64216 .09547 Mdot
.64235 .04422 Mdot
.64254 .45889 Mdot
.64273 .17002 Mdot
.64292 .5707 Mdot
.64311 .07218 Mdot
.6433 .2865 Mdot
.6435 .54275 Mdot
.64369 .24457 Mdot
.64388 .50548 Mdot
.64407 .27718 Mdot
.64426 .40298 Mdot
.64445 .5148 Mdot
.64464 .41695 Mdot
.64483 .13275 Mdot
.64502 .60332 Mdot
.64521 .56139 Mdot
.6454 .52411 Mdot
.64559 .55673 Mdot
.64578 .45423 Mdot
.64597 .10013 Mdot
.64616 .11411 Mdot
.64635 .32377 Mdot
.64654 .51014 Mdot
.64673 .34707 Mdot
.64692 .26786 Mdot
.64711 .2632 Mdot
.6473 .19332 Mdot
.64749 .32843 Mdot
.64768 .58002 Mdot
.64788 .21195 Mdot
.64807 .01627 Mdot
.64826 .03956 Mdot
.64845 .389 Mdot
.64864 .30513 Mdot
.64883 .23059 Mdot
.64902 .29582 Mdot
.64921 .09081 Mdot
.6494 .56605 Mdot
.64959 .594 Mdot
.64978 .42161 Mdot
.64997 .20263 Mdot
.65016 .4682 Mdot
.65035 .30979 Mdot
.65054 .30048 Mdot
.65073 .1607 Mdot
.65092 .43093 Mdot
.65111 .34241 Mdot
.6513 .19797 Mdot
.65149 .39832 Mdot
.65168 .44491 Mdot
.65187 .55207 Mdot
.65206 .38434 Mdot
.65226 .23525 Mdot
.65245 .3657 Mdot
.65264 .54741 Mdot
.65283 .31445 Mdot
.65302 .37036 Mdot
.65321 .02559 Mdot
.6534 .17934 Mdot
.65359 .11877 Mdot
.65378 .39366 Mdot
.65397 .37502 Mdot
.65416 .09547 Mdot
.65435 .04422 Mdot
.65454 .45889 Mdot
.65473 .17002 Mdot
.65492 .5707 Mdot
.65511 .07218 Mdot
.6553 .2865 Mdot
.65549 .54275 Mdot
.65568 .24457 Mdot
.65587 .50548 Mdot
.65606 .27718 Mdot
.65625 .40298 Mdot
.65644 .5148 Mdot
.65664 .41695 Mdot
.65683 .13275 Mdot
.65702 .60332 Mdot
.65721 .56139 Mdot
.6574 .52411 Mdot
.65759 .55673 Mdot
.65778 .45423 Mdot
.65797 .10013 Mdot
.65816 .11411 Mdot
.65835 .32377 Mdot
.65854 .51014 Mdot
.65873 .34707 Mdot
.65892 .26786 Mdot
.65911 .2632 Mdot
.6593 .19332 Mdot
.65949 .32843 Mdot
.65968 .58002 Mdot
.65987 .21195 Mdot
.66006 .01627 Mdot
.66025 .03956 Mdot
.66044 .389 Mdot
.66063 .30513 Mdot
.66082 .23059 Mdot
.66102 .29582 Mdot
.66121 .09081 Mdot
.6614 .56605 Mdot
.66159 .594 Mdot
.66178 .42161 Mdot
.66197 .20263 Mdot
.66216 .4682 Mdot
.66235 .30979 Mdot
.66254 .30048 Mdot
.66273 .1607 Mdot
.66292 .43093 Mdot
.66311 .34241 Mdot
.6633 .19797 Mdot
.66349 .39832 Mdot
.66368 .44491 Mdot
.66387 .55207 Mdot
.66406 .38434 Mdot
.66425 .23525 Mdot
.66444 .3657 Mdot
.66463 .54741 Mdot
.66482 .31445 Mdot
.66501 .37036 Mdot
.66521 .02559 Mdot
.6654 .17934 Mdot
.66559 .11877 Mdot
.66578 .39366 Mdot
.66597 .37502 Mdot
.66616 .09547 Mdot
.66635 .04422 Mdot
.66654 .45889 Mdot
.66673 .17002 Mdot
.66692 .5707 Mdot
.66711 .07218 Mdot
.6673 .2865 Mdot
.66749 .54275 Mdot
.66768 .24457 Mdot
.66787 .50548 Mdot
.66806 .27718 Mdot
.66825 .40298 Mdot
.66844 .5148 Mdot
.66863 .41695 Mdot
.66882 .13275 Mdot
.66901 .60332 Mdot
.6692 .56139 Mdot
.66939 .52411 Mdot
.66959 .55673 Mdot
.66978 .45423 Mdot
.66997 .10013 Mdot
.67016 .11411 Mdot
.67035 .32377 Mdot
.67054 .51014 Mdot
.67073 .34707 Mdot
.67092 .26786 Mdot
.67111 .2632 Mdot
.6713 .19332 Mdot
.67149 .32843 Mdot
.67168 .58002 Mdot
.67187 .21195 Mdot
.67206 .01627 Mdot
.67225 .03956 Mdot
.67244 .389 Mdot
.67263 .30513 Mdot
.67282 .23059 Mdot
.67301 .29582 Mdot
.6732 .09081 Mdot
.67339 .56605 Mdot
.67358 .594 Mdot
.67377 .42161 Mdot
.67397 .20263 Mdot
.67416 .4682 Mdot
.67435 .30979 Mdot
.67454 .30048 Mdot
.67473 .1607 Mdot
.67492 .43093 Mdot
.67511 .34241 Mdot
.6753 .19797 Mdot
.67549 .39832 Mdot
.67568 .44491 Mdot
.67587 .55207 Mdot
.67606 .38434 Mdot
.67625 .23525 Mdot
.67644 .3657 Mdot
.67663 .54741 Mdot
.67682 .31445 Mdot
.67701 .37036 Mdot
.6772 .02559 Mdot
.67739 .17934 Mdot
.67758 .11877 Mdot
.67777 .39366 Mdot
.67796 .37502 Mdot
.67815 .09547 Mdot
.67835 .04422 Mdot
.67854 .45889 Mdot
.67873 .17002 Mdot
.67892 .5707 Mdot
.67911 .07218 Mdot
.6793 .2865 Mdot
.67949 .54275 Mdot
.67968 .24457 Mdot
.67987 .50548 Mdot
.68006 .27718 Mdot
.68025 .40298 Mdot
.68044 .5148 Mdot
.68063 .41695 Mdot
.68082 .13275 Mdot
.68101 .60332 Mdot
.6812 .56139 Mdot
.68139 .52411 Mdot
.68158 .55673 Mdot
.68177 .45423 Mdot
.68196 .10013 Mdot
.68215 .11411 Mdot
.68234 .32377 Mdot
.68253 .51014 Mdot
.68273 .34707 Mdot
.68292 .26786 Mdot
.68311 .2632 Mdot
.6833 .19332 Mdot
.68349 .32843 Mdot
.68368 .58002 Mdot
.68387 .21195 Mdot
.68406 .01627 Mdot
.68425 .03956 Mdot
.68444 .389 Mdot
.68463 .30513 Mdot
.68482 .23059 Mdot
.68501 .29582 Mdot
.6852 .09081 Mdot
.68539 .56605 Mdot
.68558 .594 Mdot
.68577 .42161 Mdot
.68596 .20263 Mdot
.68615 .4682 Mdot
.68634 .30979 Mdot
.68653 .30048 Mdot
.68672 .1607 Mdot
.68691 .43093 Mdot
.68711 .34241 Mdot
.6873 .19797 Mdot
.68749 .39832 Mdot
.68768 .44491 Mdot
.68787 .55207 Mdot
.68806 .38434 Mdot
.68825 .23525 Mdot
.68844 .3657 Mdot
.68863 .54741 Mdot
.68882 .31445 Mdot
.68901 .37036 Mdot
.6892 .02559 Mdot
.68939 .17934 Mdot
.68958 .11877 Mdot
.68977 .39366 Mdot
.68996 .37502 Mdot
.69015 .09547 Mdot
.69034 .04422 Mdot
.69053 .45889 Mdot
.69072 .17002 Mdot
.69091 .5707 Mdot
.6911 .07218 Mdot
.6913 .2865 Mdot
.69149 .54275 Mdot
.69168 .24457 Mdot
.69187 .50548 Mdot
.69206 .27718 Mdot
.69225 .40298 Mdot
.69244 .5148 Mdot
.69263 .41695 Mdot
.69282 .13275 Mdot
.69301 .60332 Mdot
.6932 .56139 Mdot
.69339 .52411 Mdot
.69358 .55673 Mdot
.69377 .45423 Mdot
.69396 .10013 Mdot
.69415 .11411 Mdot
.69434 .32377 Mdot
.69453 .51014 Mdot
.69472 .34707 Mdot
.69491 .26786 Mdot
.6951 .2632 Mdot
.69529 .19332 Mdot
.69548 .32843 Mdot
.69568 .58002 Mdot
.69587 .21195 Mdot
.69606 .01627 Mdot
.69625 .03956 Mdot
.69644 .389 Mdot
.69663 .30513 Mdot
.69682 .23059 Mdot
.69701 .29582 Mdot
.6972 .09081 Mdot
.69739 .56605 Mdot
.69758 .594 Mdot
.69777 .42161 Mdot
.69796 .20263 Mdot
.69815 .4682 Mdot
.69834 .30979 Mdot
.69853 .30048 Mdot
.69872 .1607 Mdot
.69891 .43093 Mdot
.6991 .34241 Mdot
.69929 .19797 Mdot
.69948 .39832 Mdot
.69967 .44491 Mdot
.69986 .55207 Mdot
.70006 .38434 Mdot
.70025 .23525 Mdot
.70044 .3657 Mdot
.70063 .54741 Mdot
.70082 .31445 Mdot
.70101 .37036 Mdot
.7012 .02559 Mdot
.70139 .17934 Mdot
.70158 .11877 Mdot
.70177 .39366 Mdot
.70196 .37502 Mdot
.70215 .09547 Mdot
.70234 .04422 Mdot
.70253 .45889 Mdot
.70272 .17002 Mdot
.70291 .5707 Mdot
.7031 .07218 Mdot
.70329 .2865 Mdot
.70348 .54275 Mdot
.70367 .24457 Mdot
.70386 .50548 Mdot
.70405 .27718 Mdot
.70424 .40298 Mdot
.70444 .5148 Mdot
.70463 .41695 Mdot
.70482 .13275 Mdot
.70501 .60332 Mdot
.7052 .56139 Mdot
.70539 .52411 Mdot
.70558 .55673 Mdot
.70577 .45423 Mdot
.70596 .10013 Mdot
.70615 .11411 Mdot
.70634 .32377 Mdot
.70653 .51014 Mdot
.70672 .34707 Mdot
.70691 .26786 Mdot
.7071 .2632 Mdot
.70729 .19332 Mdot
.70748 .32843 Mdot
.70767 .58002 Mdot
.70786 .21195 Mdot
.70805 .01627 Mdot
.70824 .03956 Mdot
.70843 .389 Mdot
.70862 .30513 Mdot
.70882 .23059 Mdot
.70901 .29582 Mdot
.7092 .09081 Mdot
.70939 .56605 Mdot
.70958 .594 Mdot
.70977 .42161 Mdot
.70996 .20263 Mdot
.71015 .4682 Mdot
.71034 .30979 Mdot
.71053 .30048 Mdot
.71072 .1607 Mdot
.71091 .43093 Mdot
.7111 .34241 Mdot
.71129 .19797 Mdot
.71148 .39832 Mdot
.71167 .44491 Mdot
.71186 .55207 Mdot
.71205 .38434 Mdot
.71224 .23525 Mdot
.71243 .3657 Mdot
.71262 .54741 Mdot
.71281 .31445 Mdot
.71301 .37036 Mdot
.7132 .02559 Mdot
.71339 .17934 Mdot
.71358 .11877 Mdot
.71377 .39366 Mdot
.71396 .37502 Mdot
.71415 .09547 Mdot
.71434 .04422 Mdot
.71453 .45889 Mdot
.71472 .17002 Mdot
.71491 .5707 Mdot
.7151 .07218 Mdot
.71529 .2865 Mdot
.71548 .54275 Mdot
.71567 .24457 Mdot
.71586 .50548 Mdot
.71605 .27718 Mdot
.71624 .40298 Mdot
.71643 .5148 Mdot
.71662 .41695 Mdot
.71681 .13275 Mdot
.717 .60332 Mdot
.71719 .56139 Mdot
.71739 .52411 Mdot
.71758 .55673 Mdot
.71777 .45423 Mdot
.71796 .10013 Mdot
.71815 .11411 Mdot
.71834 .32377 Mdot
.71853 .51014 Mdot
.71872 .34707 Mdot
.71891 .26786 Mdot
.7191 .2632 Mdot
.71929 .19332 Mdot
.71948 .32843 Mdot
.71967 .58002 Mdot
.71986 .21195 Mdot
.72005 .01627 Mdot
.72024 .03956 Mdot
.72043 .389 Mdot
.72062 .30513 Mdot
.72081 .23059 Mdot
.721 .29582 Mdot
.72119 .09081 Mdot
.72138 .56605 Mdot
.72157 .594 Mdot
.72177 .42161 Mdot
.72196 .20263 Mdot
.72215 .4682 Mdot
.72234 .30979 Mdot
.72253 .30048 Mdot
.72272 .1607 Mdot
.72291 .43093 Mdot
.7231 .34241 Mdot
.72329 .19797 Mdot
.72348 .39832 Mdot
.72367 .44491 Mdot
.72386 .55207 Mdot
.72405 .38434 Mdot
.72424 .23525 Mdot
.72443 .3657 Mdot
.72462 .54741 Mdot
.72481 .31445 Mdot
.725 .37036 Mdot
.72519 .02559 Mdot
.72538 .17934 Mdot
.72557 .11877 Mdot
.72576 .39366 Mdot
.72595 .37502 Mdot
.72615 .09547 Mdot
.72634 .04422 Mdot
.72653 .45889 Mdot
.72672 .17002 Mdot
.72691 .5707 Mdot
.7271 .07218 Mdot
.72729 .2865 Mdot
.72748 .54275 Mdot
.72767 .24457 Mdot
.72786 .50548 Mdot
.72805 .27718 Mdot
.72824 .40298 Mdot
.72843 .5148 Mdot
.72862 .41695 Mdot
.72881 .13275 Mdot
.729 .60332 Mdot
.72919 .56139 Mdot
.72938 .52411 Mdot
.72957 .55673 Mdot
.72976 .45423 Mdot
.72995 .10013 Mdot
.73014 .11411 Mdot
.73033 .32377 Mdot
.73053 .51014 Mdot
.73072 .34707 Mdot
.73091 .26786 Mdot
.7311 .2632 Mdot
.73129 .19332 Mdot
.73148 .32843 Mdot
.73167 .58002 Mdot
.73186 .21195 Mdot
.73205 .01627 Mdot
.73224 .03956 Mdot
.73243 .389 Mdot
.73262 .30513 Mdot
.73281 .23059 Mdot
.733 .29582 Mdot
.73319 .09081 Mdot
.73338 .56605 Mdot
.73357 .594 Mdot
.73376 .42161 Mdot
.73395 .20263 Mdot
.73414 .4682 Mdot
.73433 .30979 Mdot
.73452 .30048 Mdot
.73471 .1607 Mdot
.73491 .43093 Mdot
.7351 .34241 Mdot
.73529 .19797 Mdot
.73548 .39832 Mdot
.73567 .44491 Mdot
.73586 .55207 Mdot
.73605 .38434 Mdot
.73624 .23525 Mdot
.73643 .3657 Mdot
.73662 .54741 Mdot
.73681 .31445 Mdot
.737 .37036 Mdot
.73719 .02559 Mdot
.73738 .17934 Mdot
.73757 .11877 Mdot
.73776 .39366 Mdot
.73795 .37502 Mdot
.73814 .09547 Mdot
.73833 .04422 Mdot
.73852 .45889 Mdot
.73871 .17002 Mdot
.7389 .5707 Mdot
.7391 .07218 Mdot
.73929 .2865 Mdot
.73948 .54275 Mdot
.73967 .24457 Mdot
.73986 .50548 Mdot
.74005 .27718 Mdot
.74024 .40298 Mdot
.74043 .5148 Mdot
.74062 .41695 Mdot
.74081 .13275 Mdot
.741 .60332 Mdot
.74119 .56139 Mdot
.74138 .52411 Mdot
.74157 .55673 Mdot
.74176 .45423 Mdot
.74195 .10013 Mdot
.74214 .11411 Mdot
.74233 .32377 Mdot
.74252 .51014 Mdot
.74271 .34707 Mdot
.7429 .26786 Mdot
.74309 .2632 Mdot
.74328 .19332 Mdot
.74348 .32843 Mdot
.74367 .58002 Mdot
.74386 .21195 Mdot
.74405 .01627 Mdot
.74424 .03956 Mdot
.74443 .389 Mdot
.74462 .30513 Mdot
.74481 .23059 Mdot
.745 .29582 Mdot
.74519 .09081 Mdot
.74538 .56605 Mdot
.74557 .594 Mdot
.74576 .42161 Mdot
.74595 .20263 Mdot
.74614 .4682 Mdot
.74633 .30979 Mdot
.74652 .30048 Mdot
.74671 .1607 Mdot
.7469 .43093 Mdot
.74709 .34241 Mdot
.74728 .19797 Mdot
.74747 .39832 Mdot
.74766 .44491 Mdot
.74786 .55207 Mdot
.74805 .38434 Mdot
.74824 .23525 Mdot
.74843 .3657 Mdot
.74862 .54741 Mdot
.74881 .31445 Mdot
.749 .37036 Mdot
.74919 .02559 Mdot
.74938 .17934 Mdot
.74957 .11877 Mdot
.74976 .39366 Mdot
.74995 .37502 Mdot
.75014 .09547 Mdot
.75033 .04422 Mdot
.75052 .45889 Mdot
.75071 .17002 Mdot
.7509 .5707 Mdot
.75109 .07218 Mdot
.75128 .2865 Mdot
.75147 .54275 Mdot
.75166 .24457 Mdot
.75185 .50548 Mdot
.75204 .27718 Mdot
.75224 .40298 Mdot
.75243 .5148 Mdot
.75262 .41695 Mdot
.75281 .13275 Mdot
.753 .60332 Mdot
.75319 .56139 Mdot
.75338 .52411 Mdot
.75357 .55673 Mdot
.75376 .45423 Mdot
.75395 .10013 Mdot
.75414 .11411 Mdot
.75433 .32377 Mdot
.75452 .51014 Mdot
.75471 .34707 Mdot
.7549 .26786 Mdot
.75509 .2632 Mdot
.75528 .19332 Mdot
.75547 .32843 Mdot
.75566 .58002 Mdot
.75585 .21195 Mdot
.75604 .01627 Mdot
.75623 .03956 Mdot
.75642 .389 Mdot
.75662 .30513 Mdot
.75681 .23059 Mdot
.757 .29582 Mdot
.75719 .09081 Mdot
.75738 .56605 Mdot
.75757 .594 Mdot
.75776 .42161 Mdot
.75795 .20263 Mdot
.75814 .4682 Mdot
.75833 .30979 Mdot
.75852 .30048 Mdot
.75871 .1607 Mdot
.7589 .43093 Mdot
.75909 .34241 Mdot
.75928 .19797 Mdot
.75947 .39832 Mdot
.75966 .44491 Mdot
.75985 .55207 Mdot
.76004 .38434 Mdot
.76023 .23525 Mdot
.76042 .3657 Mdot
.76061 .54741 Mdot
.7608 .31445 Mdot
.761 .37036 Mdot
.76119 .02559 Mdot
.76138 .17934 Mdot
.76157 .11877 Mdot
.76176 .39366 Mdot
.76195 .37502 Mdot
.76214 .09547 Mdot
.76233 .04422 Mdot
.76252 .45889 Mdot
.76271 .17002 Mdot
.7629 .5707 Mdot
.76309 .07218 Mdot
.76328 .2865 Mdot
.76347 .54275 Mdot
.76366 .24457 Mdot
.76385 .50548 Mdot
.76404 .27718 Mdot
.76423 .40298 Mdot
.76442 .5148 Mdot
.76461 .41695 Mdot
.7648 .13275 Mdot
.76499 .60332 Mdot
.76519 .56139 Mdot
.76538 .52411 Mdot
.76557 .55673 Mdot
.76576 .45423 Mdot
.76595 .10013 Mdot
.76614 .11411 Mdot
.76633 .32377 Mdot
.76652 .51014 Mdot
.76671 .34707 Mdot
.7669 .26786 Mdot
.76709 .2632 Mdot
.76728 .19332 Mdot
.76747 .32843 Mdot
.76766 .58002 Mdot
.76785 .21195 Mdot
.76804 .01627 Mdot
.76823 .03956 Mdot
.76842 .389 Mdot
.76861 .30513 Mdot
.7688 .23059 Mdot
.76899 .29582 Mdot
.76918 .09081 Mdot
.76937 .56605 Mdot
.76957 .594 Mdot
.76976 .42161 Mdot
.76995 .20263 Mdot
.77014 .4682 Mdot
.77033 .30979 Mdot
.77052 .30048 Mdot
.77071 .1607 Mdot
.7709 .43093 Mdot
.77109 .34241 Mdot
.77128 .19797 Mdot
.77147 .39832 Mdot
.77166 .44491 Mdot
.77185 .55207 Mdot
.77204 .38434 Mdot
.77223 .23525 Mdot
.77242 .3657 Mdot
.77261 .54741 Mdot
.7728 .31445 Mdot
.77299 .37036 Mdot
.77318 .02559 Mdot
.77337 .17934 Mdot
.77356 .11877 Mdot
.77375 .39366 Mdot
.77395 .37502 Mdot
.77414 .09547 Mdot
.77433 .04422 Mdot
.77452 .45889 Mdot
.77471 .17002 Mdot
.7749 .5707 Mdot
.77509 .07218 Mdot
.77528 .2865 Mdot
.77547 .54275 Mdot
.77566 .24457 Mdot
.77585 .50548 Mdot
.77604 .27718 Mdot
.77623 .40298 Mdot
.77642 .5148 Mdot
.77661 .41695 Mdot
.7768 .13275 Mdot
.77699 .60332 Mdot
.77718 .56139 Mdot
.77737 .52411 Mdot
.77756 .55673 Mdot
.77775 .45423 Mdot
.77794 .10013 Mdot
.77813 .11411 Mdot
.77833 .32377 Mdot
.77852 .51014 Mdot
.77871 .34707 Mdot
.7789 .26786 Mdot
.77909 .2632 Mdot
.77928 .19332 Mdot
.77947 .32843 Mdot
.77966 .58002 Mdot
.77985 .21195 Mdot
.78004 .01627 Mdot
.78023 .03956 Mdot
.78042 .389 Mdot
.78061 .30513 Mdot
.7808 .23059 Mdot
.78099 .29582 Mdot
.78118 .09081 Mdot
.78137 .56605 Mdot
.78156 .594 Mdot
.78175 .42161 Mdot
.78194 .20263 Mdot
.78213 .4682 Mdot
.78232 .30979 Mdot
.78251 .30048 Mdot
.78271 .1607 Mdot
.7829 .43093 Mdot
.78309 .34241 Mdot
.78328 .19797 Mdot
.78347 .39832 Mdot
.78366 .44491 Mdot
.78385 .55207 Mdot
.78404 .38434 Mdot
.78423 .23525 Mdot
.78442 .3657 Mdot
.78461 .54741 Mdot
.7848 .31445 Mdot
.78499 .37036 Mdot
.78518 .02559 Mdot
.78537 .17934 Mdot
.78556 .11877 Mdot
.78575 .39366 Mdot
.78594 .37502 Mdot
.78613 .09547 Mdot
.78632 .04422 Mdot
.78651 .45889 Mdot
.7867 .17002 Mdot
.7869 .5707 Mdot
.78709 .07218 Mdot
.78728 .2865 Mdot
.78747 .54275 Mdot
.78766 .24457 Mdot
.78785 .50548 Mdot
.78804 .27718 Mdot
.78823 .40298 Mdot
.78842 .5148 Mdot
.78861 .41695 Mdot
.7888 .13275 Mdot
.78899 .60332 Mdot
.78918 .56139 Mdot
.78937 .52411 Mdot
.78956 .55673 Mdot
.78975 .45423 Mdot
.78994 .10013 Mdot
.79013 .11411 Mdot
.79032 .32377 Mdot
.79051 .51014 Mdot
.7907 .34707 Mdot
.79089 .26786 Mdot
.79108 .2632 Mdot
.79128 .19332 Mdot
.79147 .32843 Mdot
.79166 .58002 Mdot
.79185 .21195 Mdot
.79204 .01627 Mdot
.79223 .03956 Mdot
.79242 .389 Mdot
.79261 .30513 Mdot
.7928 .23059 Mdot
.79299 .29582 Mdot
.79318 .09081 Mdot
.79337 .56605 Mdot
.79356 .594 Mdot
.79375 .42161 Mdot
.79394 .20263 Mdot
.79413 .4682 Mdot
.79432 .30979 Mdot
.79451 .30048 Mdot
.7947 .1607 Mdot
.79489 .43093 Mdot
.79508 .34241 Mdot
.79527 .19797 Mdot
.79546 .39832 Mdot
.79566 .44491 Mdot
.79585 .55207 Mdot
.79604 .38434 Mdot
.79623 .23525 Mdot
.79642 .3657 Mdot
.79661 .54741 Mdot
.7968 .31445 Mdot
.79699 .37036 Mdot
.79718 .02559 Mdot
.79737 .17934 Mdot
.79756 .11877 Mdot
.79775 .39366 Mdot
.79794 .37502 Mdot
.79813 .09547 Mdot
.79832 .04422 Mdot
.79851 .45889 Mdot
.7987 .17002 Mdot
.79889 .5707 Mdot
.79908 .07218 Mdot
.79927 .2865 Mdot
.79946 .54275 Mdot
.79965 .24457 Mdot
.79984 .50548 Mdot
.80004 .27718 Mdot
.80023 .40298 Mdot
.80042 .5148 Mdot
.80061 .41695 Mdot
.8008 .13275 Mdot
.80099 .60332 Mdot
.80118 .56139 Mdot
.80137 .52411 Mdot
.80156 .55673 Mdot
.80175 .45423 Mdot
.80194 .10013 Mdot
.80213 .11411 Mdot
.80232 .32377 Mdot
.80251 .51014 Mdot
.8027 .34707 Mdot
.80289 .26786 Mdot
.80308 .2632 Mdot
.80327 .19332 Mdot
.80346 .32843 Mdot
.80365 .58002 Mdot
.80384 .21195 Mdot
.80403 .01627 Mdot
.80422 .03956 Mdot
.80442 .389 Mdot
.80461 .30513 Mdot
.8048 .23059 Mdot
.80499 .29582 Mdot
.80518 .09081 Mdot
.80537 .56605 Mdot
.80556 .594 Mdot
.80575 .42161 Mdot
.80594 .20263 Mdot
.80613 .4682 Mdot
.80632 .30979 Mdot
.80651 .30048 Mdot
.8067 .1607 Mdot
.80689 .43093 Mdot
.80708 .34241 Mdot
.80727 .19797 Mdot
.80746 .39832 Mdot
.80765 .44491 Mdot
.80784 .55207 Mdot
.80803 .38434 Mdot
.80822 .23525 Mdot
.80841 .3657 Mdot
.8086 .54741 Mdot
.8088 .31445 Mdot
.80899 .37036 Mdot
.80918 .02559 Mdot
.80937 .17934 Mdot
.80956 .11877 Mdot
.80975 .39366 Mdot
.80994 .37502 Mdot
.81013 .09547 Mdot
.81032 .04422 Mdot
.81051 .45889 Mdot
.8107 .17002 Mdot
.81089 .5707 Mdot
.81108 .07218 Mdot
.81127 .2865 Mdot
.81146 .54275 Mdot
.81165 .24457 Mdot
.81184 .50548 Mdot
.81203 .27718 Mdot
.81222 .40298 Mdot
.81241 .5148 Mdot
.8126 .41695 Mdot
.81279 .13275 Mdot
.81299 .60332 Mdot
.81318 .56139 Mdot
.81337 .52411 Mdot
.81356 .55673 Mdot
.81375 .45423 Mdot
.81394 .10013 Mdot
.81413 .11411 Mdot
.81432 .32377 Mdot
.81451 .51014 Mdot
.8147 .34707 Mdot
.81489 .26786 Mdot
.81508 .2632 Mdot
.81527 .19332 Mdot
.81546 .32843 Mdot
.81565 .58002 Mdot
.81584 .21195 Mdot
.81603 .01627 Mdot
.81622 .03956 Mdot
.81641 .389 Mdot
.8166 .30513 Mdot
.81679 .23059 Mdot
.81698 .29582 Mdot
.81717 .09081 Mdot
.81737 .56605 Mdot
.81756 .594 Mdot
.81775 .42161 Mdot
.81794 .20263 Mdot
.81813 .4682 Mdot
.81832 .30979 Mdot
.81851 .30048 Mdot
.8187 .1607 Mdot
.81889 .43093 Mdot
.81908 .34241 Mdot
.81927 .19797 Mdot
.81946 .39832 Mdot
.81965 .44491 Mdot
.81984 .55207 Mdot
.82003 .38434 Mdot
.82022 .23525 Mdot
.82041 .3657 Mdot
.8206 .54741 Mdot
.82079 .31445 Mdot
.82098 .37036 Mdot
.82117 .02559 Mdot
.82136 .17934 Mdot
.82155 .11877 Mdot
.82175 .39366 Mdot
.82194 .37502 Mdot
.82213 .09547 Mdot
.82232 .04422 Mdot
.82251 .45889 Mdot
.8227 .17002 Mdot
.82289 .5707 Mdot
.82308 .07218 Mdot
.82327 .2865 Mdot
.82346 .54275 Mdot
.82365 .24457 Mdot
.82384 .50548 Mdot
.82403 .27718 Mdot
.82422 .40298 Mdot
.82441 .5148 Mdot
.8246 .41695 Mdot
.82479 .13275 Mdot
.82498 .60332 Mdot
.82517 .56139 Mdot
.82536 .52411 Mdot
.82555 .55673 Mdot
.82574 .45423 Mdot
.82593 .10013 Mdot
.82613 .11411 Mdot
.82632 .32377 Mdot
.82651 .51014 Mdot
.8267 .34707 Mdot
.82689 .26786 Mdot
.82708 .2632 Mdot
.82727 .19332 Mdot
.82746 .32843 Mdot
.82765 .58002 Mdot
.82784 .21195 Mdot
.82803 .01627 Mdot
.82822 .03956 Mdot
.82841 .389 Mdot
.8286 .30513 Mdot
.82879 .23059 Mdot
.82898 .29582 Mdot
.82917 .09081 Mdot
.82936 .56605 Mdot
.82955 .594 Mdot
.82974 .42161 Mdot
.82993 .20263 Mdot
.83012 .4682 Mdot
.83031 .30979 Mdot
.83051 .30048 Mdot
.8307 .1607 Mdot
.83089 .43093 Mdot
.83108 .34241 Mdot
.83127 .19797 Mdot
.83146 .39832 Mdot
.83165 .44491 Mdot
.83184 .55207 Mdot
.83203 .38434 Mdot
.83222 .23525 Mdot
.83241 .3657 Mdot
.8326 .54741 Mdot
.83279 .31445 Mdot
.83298 .37036 Mdot
.83317 .02559 Mdot
.83336 .17934 Mdot
.83355 .11877 Mdot
.83374 .39366 Mdot
.83393 .37502 Mdot
.83412 .09547 Mdot
.83431 .04422 Mdot
.8345 .45889 Mdot
.83469 .17002 Mdot
.83489 .5707 Mdot
.83508 .07218 Mdot
.83527 .2865 Mdot
.83546 .54275 Mdot
.83565 .24457 Mdot
.83584 .50548 Mdot
.83603 .27718 Mdot
.83622 .40298 Mdot
.83641 .5148 Mdot
.8366 .41695 Mdot
.83679 .13275 Mdot
.83698 .60332 Mdot
.83717 .56139 Mdot
.83736 .52411 Mdot
.83755 .55673 Mdot
.83774 .45423 Mdot
.83793 .10013 Mdot
.83812 .11411 Mdot
.83831 .32377 Mdot
.8385 .51014 Mdot
.83869 .34707 Mdot
.83888 .26786 Mdot
.83908 .2632 Mdot
.83927 .19332 Mdot
.83946 .32843 Mdot
.83965 .58002 Mdot
.83984 .21195 Mdot
.84003 .01627 Mdot
.84022 .03956 Mdot
.84041 .389 Mdot
.8406 .30513 Mdot
.84079 .23059 Mdot
.84098 .29582 Mdot
.84117 .09081 Mdot
.84136 .56605 Mdot
.84155 .594 Mdot
.84174 .42161 Mdot
.84193 .20263 Mdot
.84212 .4682 Mdot
.84231 .30979 Mdot
.8425 .30048 Mdot
.84269 .1607 Mdot
.84288 .43093 Mdot
.84307 .34241 Mdot
.84326 .19797 Mdot
.84346 .39832 Mdot
.84365 .44491 Mdot
.84384 .55207 Mdot
.84403 .38434 Mdot
.84422 .23525 Mdot
.84441 .3657 Mdot
.8446 .54741 Mdot
.84479 .31445 Mdot
.84498 .37036 Mdot
.84517 .02559 Mdot
.84536 .17934 Mdot
.84555 .11877 Mdot
.84574 .39366 Mdot
.84593 .37502 Mdot
.84612 .09547 Mdot
.84631 .04422 Mdot
.8465 .45889 Mdot
.84669 .17002 Mdot
.84688 .5707 Mdot
.84707 .07218 Mdot
.84726 .2865 Mdot
.84745 .54275 Mdot
.84764 .24457 Mdot
.84784 .50548 Mdot
.84803 .27718 Mdot
.84822 .40298 Mdot
.84841 .5148 Mdot
.8486 .41695 Mdot
.84879 .13275 Mdot
.84898 .60332 Mdot
.84917 .56139 Mdot
.84936 .52411 Mdot
.84955 .55673 Mdot
.84974 .45423 Mdot
.84993 .10013 Mdot
.85012 .11411 Mdot
.85031 .32377 Mdot
.8505 .51014 Mdot
.85069 .34707 Mdot
.85088 .26786 Mdot
.85107 .2632 Mdot
.85126 .19332 Mdot
.85145 .32843 Mdot
.85164 .58002 Mdot
.85183 .21195 Mdot
.85202 .01627 Mdot
.85222 .03956 Mdot
.85241 .389 Mdot
.8526 .30513 Mdot
.85279 .23059 Mdot
.85298 .29582 Mdot
.85317 .09081 Mdot
.85336 .56605 Mdot
.85355 .594 Mdot
.85374 .42161 Mdot
.85393 .20263 Mdot
.85412 .4682 Mdot
.85431 .30979 Mdot
.8545 .30048 Mdot
.85469 .1607 Mdot
.85488 .43093 Mdot
.85507 .34241 Mdot
.85526 .19797 Mdot
.85545 .39832 Mdot
.85564 .44491 Mdot
.85583 .55207 Mdot
.85602 .38434 Mdot
.85621 .23525 Mdot
.8564 .3657 Mdot
.8566 .54741 Mdot
.85679 .31445 Mdot
.85698 .37036 Mdot
.85717 .02559 Mdot
.85736 .17934 Mdot
.85755 .11877 Mdot
.85774 .39366 Mdot
.85793 .37502 Mdot
.85812 .09547 Mdot
.85831 .04422 Mdot
.8585 .45889 Mdot
.85869 .17002 Mdot
.85888 .5707 Mdot
.85907 .07218 Mdot
.85926 .2865 Mdot
.85945 .54275 Mdot
.85964 .24457 Mdot
.85983 .50548 Mdot
.86002 .27718 Mdot
.86021 .40298 Mdot
.8604 .5148 Mdot
.86059 .41695 Mdot
.86078 .13275 Mdot
.86098 .60332 Mdot
.86117 .56139 Mdot
.86136 .52411 Mdot
.86155 .55673 Mdot
.86174 .45423 Mdot
.86193 .10013 Mdot
.86212 .11411 Mdot
.86231 .32377 Mdot
.8625 .51014 Mdot
.86269 .34707 Mdot
.86288 .26786 Mdot
.86307 .2632 Mdot
.86326 .19332 Mdot
.86345 .32843 Mdot
.86364 .58002 Mdot
.86383 .21195 Mdot
.86402 .01627 Mdot
.86421 .03956 Mdot
.8644 .389 Mdot
.86459 .30513 Mdot
.86478 .23059 Mdot
.86497 .29582 Mdot
.86517 .09081 Mdot
.86536 .56605 Mdot
.86555 .594 Mdot
.86574 .42161 Mdot
.86593 .20263 Mdot
.86612 .4682 Mdot
.86631 .30979 Mdot
.8665 .30048 Mdot
.86669 .1607 Mdot
.86688 .43093 Mdot
.86707 .34241 Mdot
.86726 .19797 Mdot
.86745 .39832 Mdot
.86764 .44491 Mdot
.86783 .55207 Mdot
.86802 .38434 Mdot
.86821 .23525 Mdot
.8684 .3657 Mdot
.86859 .54741 Mdot
.86878 .31445 Mdot
.86897 .37036 Mdot
.86916 .02559 Mdot
.86935 .17934 Mdot
.86955 .11877 Mdot
.86974 .39366 Mdot
.86993 .37502 Mdot
.87012 .09547 Mdot
.87031 .04422 Mdot
.8705 .45889 Mdot
.87069 .17002 Mdot
.87088 .5707 Mdot
.87107 .07218 Mdot
.87126 .2865 Mdot
.87145 .54275 Mdot
.87164 .24457 Mdot
.87183 .50548 Mdot
.87202 .27718 Mdot
.87221 .40298 Mdot
.8724 .5148 Mdot
.87259 .41695 Mdot
.87278 .13275 Mdot
.87297 .60332 Mdot
.87316 .56139 Mdot
.87335 .52411 Mdot
.87354 .55673 Mdot
.87373 .45423 Mdot
.87393 .10013 Mdot
.87412 .11411 Mdot
.87431 .32377 Mdot
.8745 .51014 Mdot
.87469 .34707 Mdot
.87488 .26786 Mdot
.87507 .2632 Mdot
.87526 .19332 Mdot
.87545 .32843 Mdot
.87564 .58002 Mdot
.87583 .21195 Mdot
.87602 .01627 Mdot
.87621 .03956 Mdot
.8764 .389 Mdot
.87659 .30513 Mdot
.87678 .23059 Mdot
.87697 .29582 Mdot
.87716 .09081 Mdot
.87735 .56605 Mdot
.87754 .594 Mdot
.87773 .42161 Mdot
.87792 .20263 Mdot
.87811 .4682 Mdot
.87831 .30979 Mdot
.8785 .30048 Mdot
.87869 .1607 Mdot
.87888 .43093 Mdot
.87907 .34241 Mdot
.87926 .19797 Mdot
.87945 .39832 Mdot
.87964 .44491 Mdot
.87983 .55207 Mdot
.88002 .38434 Mdot
.88021 .23525 Mdot
.8804 .3657 Mdot
.88059 .54741 Mdot
.88078 .31445 Mdot
.88097 .37036 Mdot
.88116 .02559 Mdot
.88135 .17934 Mdot
.88154 .11877 Mdot
.88173 .39366 Mdot
.88192 .37502 Mdot
.88211 .09547 Mdot
.8823 .04422 Mdot
.88249 .45889 Mdot
.88269 .17002 Mdot
.88288 .5707 Mdot
.88307 .07218 Mdot
.88326 .2865 Mdot
.88345 .54275 Mdot
.88364 .24457 Mdot
.88383 .50548 Mdot
.88402 .27718 Mdot
.88421 .40298 Mdot
.8844 .5148 Mdot
.88459 .41695 Mdot
.88478 .13275 Mdot
.88497 .60332 Mdot
.88516 .56139 Mdot
.88535 .52411 Mdot
.88554 .55673 Mdot
.88573 .45423 Mdot
.88592 .10013 Mdot
.88611 .11411 Mdot
.8863 .32377 Mdot
.88649 .51014 Mdot
.88668 .34707 Mdot
.88688 .26786 Mdot
.88707 .2632 Mdot
.88726 .19332 Mdot
.88745 .32843 Mdot
.88764 .58002 Mdot
.88783 .21195 Mdot
.88802 .01627 Mdot
.88821 .03956 Mdot
.8884 .389 Mdot
.88859 .30513 Mdot
.88878 .23059 Mdot
.88897 .29582 Mdot
.88916 .09081 Mdot
.88935 .56605 Mdot
.88954 .594 Mdot
.88973 .42161 Mdot
.88992 .20263 Mdot
.89011 .4682 Mdot
.8903 .30979 Mdot
.89049 .30048 Mdot
.89068 .1607 Mdot
.89087 .43093 Mdot
.89106 .34241 Mdot
.89126 .19797 Mdot
.89145 .39832 Mdot
.89164 .44491 Mdot
.89183 .55207 Mdot
.89202 .38434 Mdot
.89221 .23525 Mdot
.8924 .3657 Mdot
.89259 .54741 Mdot
.89278 .31445 Mdot
.89297 .37036 Mdot
.89316 .02559 Mdot
.89335 .17934 Mdot
.89354 .11877 Mdot
.89373 .39366 Mdot
.89392 .37502 Mdot
.89411 .09547 Mdot
.8943 .04422 Mdot
.89449 .45889 Mdot
.89468 .17002 Mdot
.89487 .5707 Mdot
.89506 .07218 Mdot
.89525 .2865 Mdot
.89544 .54275 Mdot
.89564 .24457 Mdot
.89583 .50548 Mdot
.89602 .27718 Mdot
.89621 .40298 Mdot
.8964 .5148 Mdot
.89659 .41695 Mdot
.89678 .13275 Mdot
.89697 .60332 Mdot
.89716 .56139 Mdot
.89735 .52411 Mdot
.89754 .55673 Mdot
.89773 .45423 Mdot
.89792 .10013 Mdot
.89811 .11411 Mdot
.8983 .32377 Mdot
.89849 .51014 Mdot
.89868 .34707 Mdot
.89887 .26786 Mdot
.89906 .2632 Mdot
.89925 .19332 Mdot
.89944 .32843 Mdot
.89963 .58002 Mdot
.89982 .21195 Mdot
.90002 .01627 Mdot
.90021 .03956 Mdot
.9004 .389 Mdot
.90059 .30513 Mdot
.90078 .23059 Mdot
.90097 .29582 Mdot
.90116 .09081 Mdot
.90135 .56605 Mdot
.90154 .594 Mdot
.90173 .42161 Mdot
.90192 .20263 Mdot
.90211 .4682 Mdot
.9023 .30979 Mdot
.90249 .30048 Mdot
.90268 .1607 Mdot
.90287 .43093 Mdot
.90306 .34241 Mdot
.90325 .19797 Mdot
.90344 .39832 Mdot
.90363 .44491 Mdot
.90382 .55207 Mdot
.90401 .38434 Mdot
.9042 .23525 Mdot
.9044 .3657 Mdot
.90459 .54741 Mdot
.90478 .31445 Mdot
.90497 .37036 Mdot
.90516 .02559 Mdot
.90535 .17934 Mdot
.90554 .11877 Mdot
.90573 .39366 Mdot
.90592 .37502 Mdot
.90611 .09547 Mdot
.9063 .04422 Mdot
.90649 .45889 Mdot
.90668 .17002 Mdot
.90687 .5707 Mdot
.90706 .07218 Mdot
.90725 .2865 Mdot
.90744 .54275 Mdot
.90763 .24457 Mdot
.90782 .50548 Mdot
.90801 .27718 Mdot
.9082 .40298 Mdot
.90839 .5148 Mdot
.90858 .41695 Mdot
.90878 .13275 Mdot
.90897 .60332 Mdot
.90916 .56139 Mdot
.90935 .52411 Mdot
.90954 .55673 Mdot
.90973 .45423 Mdot
.90992 .10013 Mdot
.91011 .11411 Mdot
.9103 .32377 Mdot
.91049 .51014 Mdot
.91068 .34707 Mdot
.91087 .26786 Mdot
.91106 .2632 Mdot
.91125 .19332 Mdot
.91144 .32843 Mdot
.91163 .58002 Mdot
.91182 .21195 Mdot
.91201 .01627 Mdot
.9122 .03956 Mdot
.91239 .389 Mdot
.91258 .30513 Mdot
.91277 .23059 Mdot
.91297 .29582 Mdot
.91316 .09081 Mdot
.91335 .56605 Mdot
.91354 .594 Mdot
.91373 .42161 Mdot
.91392 .20263 Mdot
.91411 .4682 Mdot
.9143 .30979 Mdot
.91449 .30048 Mdot
.91468 .1607 Mdot
.91487 .43093 Mdot
.91506 .34241 Mdot
.91525 .19797 Mdot
.91544 .39832 Mdot
.91563 .44491 Mdot
.91582 .55207 Mdot
.91601 .38434 Mdot
.9162 .23525 Mdot
.91639 .3657 Mdot
.91658 .54741 Mdot
.91677 .31445 Mdot
.91696 .37036 Mdot
.91715 .02559 Mdot
.91735 .17934 Mdot
.91754 .11877 Mdot
.91773 .39366 Mdot
.91792 .37502 Mdot
.91811 .09547 Mdot
.9183 .04422 Mdot
.91849 .45889 Mdot
.91868 .17002 Mdot
.91887 .5707 Mdot
.91906 .07218 Mdot
.91925 .2865 Mdot
.91944 .54275 Mdot
.91963 .24457 Mdot
.91982 .50548 Mdot
.92001 .27718 Mdot
.9202 .40298 Mdot
.92039 .5148 Mdot
.92058 .41695 Mdot
.92077 .13275 Mdot
.92096 .60332 Mdot
.92115 .56139 Mdot
.92134 .52411 Mdot
.92153 .55673 Mdot
.92173 .45423 Mdot
.92192 .10013 Mdot
.92211 .11411 Mdot
.9223 .32377 Mdot
.92249 .51014 Mdot
.92268 .34707 Mdot
.92287 .26786 Mdot
.92306 .2632 Mdot
.92325 .19332 Mdot
.92344 .32843 Mdot
.92363 .58002 Mdot
.92382 .21195 Mdot
.92401 .01627 Mdot
.9242 .03956 Mdot
.92439 .389 Mdot
.92458 .30513 Mdot
.92477 .23059 Mdot
.92496 .29582 Mdot
.92515 .09081 Mdot
.92534 .56605 Mdot
.92553 .594 Mdot
.92572 .42161 Mdot
.92591 .20263 Mdot
.92611 .4682 Mdot
.9263 .30979 Mdot
.92649 .30048 Mdot
.92668 .1607 Mdot
.92687 .43093 Mdot
.92706 .34241 Mdot
.92725 .19797 Mdot
.92744 .39832 Mdot
.92763 .44491 Mdot
.92782 .55207 Mdot
.92801 .38434 Mdot
.9282 .23525 Mdot
.92839 .3657 Mdot
.92858 .54741 Mdot
.92877 .31445 Mdot
.92896 .37036 Mdot
.92915 .02559 Mdot
.92934 .17934 Mdot
.92953 .11877 Mdot
.92972 .39366 Mdot
.92991 .37502 Mdot
.9301 .09547 Mdot
.93029 .04422 Mdot
.93049 .45889 Mdot
.93068 .17002 Mdot
.93087 .5707 Mdot
.93106 .07218 Mdot
.93125 .2865 Mdot
.93144 .54275 Mdot
.93163 .24457 Mdot
.93182 .50548 Mdot
.93201 .27718 Mdot
.9322 .40298 Mdot
.93239 .5148 Mdot
.93258 .41695 Mdot
.93277 .13275 Mdot
.93296 .60332 Mdot
.93315 .56139 Mdot
.93334 .52411 Mdot
.93353 .55673 Mdot
.93372 .45423 Mdot
.93391 .10013 Mdot
.9341 .11411 Mdot
.93429 .32377 Mdot
.93448 .51014 Mdot
.93467 .34707 Mdot
.93487 .26786 Mdot
.93506 .2632 Mdot
.93525 .19332 Mdot
.93544 .32843 Mdot
.93563 .58002 Mdot
.93582 .21195 Mdot
.93601 .01627 Mdot
.9362 .03956 Mdot
.93639 .389 Mdot
.93658 .30513 Mdot
.93677 .23059 Mdot
.93696 .29582 Mdot
.93715 .09081 Mdot
.93734 .56605 Mdot
.93753 .594 Mdot
.93772 .42161 Mdot
.93791 .20263 Mdot
.9381 .4682 Mdot
.93829 .30979 Mdot
.93848 .30048 Mdot
.93867 .1607 Mdot
.93886 .43093 Mdot
.93906 .34241 Mdot
.93925 .19797 Mdot
.93944 .39832 Mdot
.93963 .44491 Mdot
.93982 .55207 Mdot
.94001 .38434 Mdot
.9402 .23525 Mdot
.94039 .3657 Mdot
.94058 .54741 Mdot
.94077 .31445 Mdot
.94096 .37036 Mdot
.94115 .02559 Mdot
.94134 .17934 Mdot
.94153 .11877 Mdot
.94172 .39366 Mdot
.94191 .37502 Mdot
.9421 .09547 Mdot
.94229 .04422 Mdot
.94248 .45889 Mdot
.94267 .17002 Mdot
.94286 .5707 Mdot
.94305 .07218 Mdot
.94324 .2865 Mdot
.94344 .54275 Mdot
.94363 .24457 Mdot
.94382 .50548 Mdot
.94401 .27718 Mdot
.9442 .40298 Mdot
.94439 .5148 Mdot
.94458 .41695 Mdot
.94477 .13275 Mdot
.94496 .60332 Mdot
.94515 .56139 Mdot
.94534 .52411 Mdot
.94553 .55673 Mdot
.94572 .45423 Mdot
.94591 .10013 Mdot
.9461 .11411 Mdot
.94629 .32377 Mdot
.94648 .51014 Mdot
.94667 .34707 Mdot
.94686 .26786 Mdot
.94705 .2632 Mdot
.94724 .19332 Mdot
.94743 .32843 Mdot
.94762 .58002 Mdot
.94782 .21195 Mdot
.94801 .01627 Mdot
.9482 .03956 Mdot
.94839 .389 Mdot
.94858 .30513 Mdot
.94877 .23059 Mdot
.94896 .29582 Mdot
.94915 .09081 Mdot
.94934 .56605 Mdot
.94953 .594 Mdot
.94972 .42161 Mdot
.94991 .20263 Mdot
.9501 .4682 Mdot
.95029 .30979 Mdot
.95048 .30048 Mdot
.95067 .1607 Mdot
.95086 .43093 Mdot
.95105 .34241 Mdot
.95124 .19797 Mdot
.95143 .39832 Mdot
.95162 .44491 Mdot
.95181 .55207 Mdot
.952 .38434 Mdot
.9522 .23525 Mdot
.95239 .3657 Mdot
.95258 .54741 Mdot
.95277 .31445 Mdot
.95296 .37036 Mdot
.95315 .02559 Mdot
.95334 .17934 Mdot
.95353 .11877 Mdot
.95372 .39366 Mdot
.95391 .37502 Mdot
.9541 .09547 Mdot
.95429 .04422 Mdot
.95448 .45889 Mdot
.95467 .17002 Mdot
.95486 .5707 Mdot
.95505 .07218 Mdot
.95524 .2865 Mdot
.95543 .54275 Mdot
.95562 .24457 Mdot
.95581 .50548 Mdot
.956 .27718 Mdot
.95619 .40298 Mdot
.95638 .5148 Mdot
.95658 .41695 Mdot
.95677 .13275 Mdot
.95696 .60332 Mdot
.95715 .56139 Mdot
.95734 .52411 Mdot
.95753 .55673 Mdot
.95772 .45423 Mdot
.95791 .10013 Mdot
.9581 .11411 Mdot
.95829 .32377 Mdot
.95848 .51014 Mdot
.95867 .34707 Mdot
.95886 .26786 Mdot
.95905 .2632 Mdot
.95924 .19332 Mdot
.95943 .32843 Mdot
.95962 .58002 Mdot
.95981 .21195 Mdot
.96 .01627 Mdot
.96019 .03956 Mdot
.96038 .389 Mdot
.96057 .30513 Mdot
.96076 .23059 Mdot
.96096 .29582 Mdot
.96115 .09081 Mdot
.96134 .56605 Mdot
.96153 .594 Mdot
.96172 .42161 Mdot
.96191 .20263 Mdot
.9621 .4682 Mdot
.96229 .30979 Mdot
.96248 .30048 Mdot
.96267 .1607 Mdot
.96286 .43093 Mdot
.96305 .34241 Mdot
.96324 .19797 Mdot
.96343 .39832 Mdot
.96362 .44491 Mdot
.96381 .55207 Mdot
.964 .38434 Mdot
.96419 .23525 Mdot
.96438 .3657 Mdot
.96457 .54741 Mdot
.96476 .31445 Mdot
.96495 .37036 Mdot
.96515 .02559 Mdot
.96534 .17934 Mdot
.96553 .11877 Mdot
.96572 .39366 Mdot
.96591 .37502 Mdot
.9661 .09547 Mdot
.96629 .04422 Mdot
.96648 .45889 Mdot
.96667 .17002 Mdot
.96686 .5707 Mdot
.96705 .07218 Mdot
.96724 .2865 Mdot
.96743 .54275 Mdot
.96762 .24457 Mdot
.96781 .50548 Mdot
.968 .27718 Mdot
.96819 .40298 Mdot
.96838 .5148 Mdot
.96857 .41695 Mdot
.96876 .13275 Mdot
.96895 .60332 Mdot
.96914 .56139 Mdot
.96933 .52411 Mdot
.96953 .55673 Mdot
.96972 .45423 Mdot
.96991 .10013 Mdot
.9701 .11411 Mdot
.97029 .32377 Mdot
.97048 .51014 Mdot
.97067 .34707 Mdot
.97086 .26786 Mdot
.97105 .2632 Mdot
.97124 .19332 Mdot
.97143 .32843 Mdot
.97162 .58002 Mdot
.97181 .21195 Mdot
.972 .01627 Mdot
.97219 .03956 Mdot
.97238 .389 Mdot
.97257 .30513 Mdot
.97276 .23059 Mdot
.97295 .29582 Mdot
.97314 .09081 Mdot
.97333 .56605 Mdot
.97352 .594 Mdot
.97371 .42161 Mdot
.97391 .20263 Mdot
.9741 .4682 Mdot
.97429 .30979 Mdot
.97448 .30048 Mdot
.97467 .1607 Mdot
.97486 .43093 Mdot
.97505 .34241 Mdot
.97524 .19797 Mdot
.97543 .39832 Mdot
.97562 .44491 Mdot
.97581 .55207 Mdot
.976 .38434 Mdot
.97619 .23525 Mdot
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[38]:=",
  ImageSize->{244, 150.75},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003d0000UR000`400?l00000o`00003om03oool0
0?@0oooo003d0?ooo`00m03oool00?@0oooo000g0?ooo`030000003oool0oooo00<000000P3oool3
00000080oooo0`00000H0?ooo`@0000000@0oooo00000000000000000P3oool300000080oooo0`00
000I0?ooo`8000000P3oool300000080oooo0`0000020?ooo`<000006`3oool00`000000oooo0000
000200000080oooo0`0000020?ooo`<000006@3oool200000080oooo0`0000020?ooo`<000000P3o
ool3000000D0oooo000g0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`0000000P3o
ool00`000000oooo000000020?ooo`030000003oool0oooo01H0oooo00D000000?ooo`3oool0oooo
000000020?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo
0?ooo`0E0?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?oo
o`030000003oool000000080oooo00<000000?ooo`3oool0603oool00`000000oooo000000020?oo
o`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`0E0?oo
o`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`030000003o
ool000000080oooo00<000000?ooo`3oool00P3oool003L0oooo00@000000?ooo`3oool000000P3o
ool00`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool05`3o
ool010000000oooo0?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`000000
0P3oool00`000000oooo0?ooo`0H0?ooo`030000003oool000000080oooo00<000000?ooo`000000
0P3oool00`000000oooo000000020?ooo`030000003oool0oooo01D0oooo1P0000020?ooo`030000
003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`0H0?ooo`030000
003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000
003oool0oooo0080oooo000g0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`000000
0P3oool00`000000oooo000000020?ooo`030000003oool0oooo01L0oooo00@000000?ooo`3oool0
00000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3o
ool05`3oool010000000oooo0?ooo`0000020?ooo`030000003oool000000080oooo00<000000?oo
o`0000000P3oool00`000000oooo0?ooo`0E0?ooo`060000003oool0oooo0000003oool000000P3o
ool00`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool05@3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool00`000000
oooo000000020?ooo`030000003oool0oooo0080oooo000g0?ooo`040000003oool0oooo00000080
oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo01P0
oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool000000080
oooo00<000000?ooo`3oool0603oool00`000000oooo000000020?ooo`030000003oool000000080
oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`0F0?ooo`050000003oool000000?oo
o`0000000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?oo
o`3oool05@3oool300000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003o
ool000000080oooo00<000000?ooo`3oool00P3oool003H0oooo0P0000020?ooo`060000003oool0
oooo0000003oool000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo01D0oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00<000000?oo
o`0000000P3oool00`000000oooo0?ooo`0E0?ooo`060000003oool0oooo0000003oool000000P3o
ool00`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool05`3o
ool2000000070?ooo`000000oooo0?ooo`000000oooo000000020?ooo`030000003oool000000080
oooo00<000000?ooo`3oool05P3oool01@000000oooo0?ooo`3oool000000080oooo00<000000?oo
o`0000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo0080oooo000g0?ooo`04
0000003oool0oooo0?ooo`8000000`3oool2000000<0oooo0P00000I0?ooo`8000000`3oool20000
00<0oooo0P0000030?ooo`8000006@3oool2000000<0oooo0P0000030?ooo`8000000`3oool20000
01/0oooo00<000000?ooo`3oool00P0000030?ooo`8000000`3oool2000001T0oooo0`0000020?oo
o`8000000`3oool2000000<0oooo0P0000050?ooo`005@3oool00`000000oooo0?ooo`3L0?ooo`00
5@3oool00`000000oooo0?ooo`3L0?ooo`005@3oool00`000000oooo0?ooo`3L0?ooo`005@3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003o
ool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<00000
0?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0000
00020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000
oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000
003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo
0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`060000003oool0oooo0000003oool000003P3oool00100oooog@0000070?ooo`00
5@3oool200000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H0
00000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo00<000000P3oool01P000000
oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo
0000003oool000000P3oool300000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`06
0000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo0P000000103o
ool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo
000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00D000000?ooo`3oool000000?ooo`02000000040?ooo`000000oooo00000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool00000
0P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01000
0000oooo0?ooo`0000020?ooo`030000003oool0oooo00X0oooo000E0?ooo`030000003oool0oooo
0=`0oooo000E0?ooo`800000g@3oool001D0oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003o
ool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003o
ool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000
003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<0
00000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo
000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000
oooo000000h0oooo000E0?ooo`030000003oool0oooo0=`0oooo000E0?ooo`8000000P3oool01P00
0000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`03
0000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0
oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?oo
o`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo00000002
0?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H0
00000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo
0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003o
ool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000
003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`030000003oool0oooo00d0oooo000E0?ooo`030000003oool0oooo0=`0oooo000E0?oo
o`030000003oool0oooo0=`0oooo000E0?ooo`030000003oool0oooo0=`0oooo000E0?ooo`800000
g@3oool001D0oooo00<000000?ooo`3oool0g03oool001D0oooo00D000000?ooo`000000oooo0000
00020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`06
0000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000
oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool00000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003o
ool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?oo
o`000000oooo000000l0oooo000E0?ooo`800000g@3oool001D0oooo00<000000?ooo`3oool0g03o
ool000P0oooo0P0000020?ooo`<000001P3oool00`000000oooo0?ooo`3L0?ooo`001`3oool01P00
0000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3oool00`3oool01P000000oooo0?oo
o`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0
oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?oo
o`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo00000002
0?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H0
00000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo
0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003o
ool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000
003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00<000000?ooo`0000003P3oool000X0oooo00<000000?ooo`0000000P3oool00`00
0000oooo0?ooo`030?ooo`<0000000L0oooo0000003oool0oooo0000003oool000000080oooo00<0
00000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo
000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool00000
0P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P00
0000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`06
0000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0
oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo00d0oooo0007
0?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0?ooo`030?ooo`030000
003oool000000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003o
ool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<00000
0?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0000
00020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000
oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000
003oool0oooo0000003oool000000P3oool00`000000oooo0?ooo`0<0?ooo`001`3oool300000080
oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`3L0?ooo`00203oool01@000000
oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool00`3oool200000=d0oooo00080?ooo`<0
00000P3oool2000000H0oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`06
0000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000
oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo
0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool0
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080
oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`00
0000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0
oooo00`0oooo000E0?ooo`8000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo
0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool00000
0P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P00
0000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`03
0000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0
oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?oo
o`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo00000002
0?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo00d0oooo000E
0?ooo`030000003oool0oooo0=`0oooo000E0?ooo`800000g@3oool001D0oooo00<000000?ooo`00
00000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo
0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000
003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool00000
0P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`06
0000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000
oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool00000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool010000000oooo0?ooo`00000>0?ooo`005@3oool00`000000oooo0?ooo`3L0?ooo`00
5@3oool200000=d0oooo000E0?ooo`030000003oool0oooo0=`0oooo000E0?ooo`030000003oool0
oooo0=`0oooo000E0?ooo`800000g@3oool001D0oooo0P0000001`3oool000000?ooo`3oool00000
0?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0000
00020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000
oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000
003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo
0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool00000
0P3oool00`000000oooo0?ooo`0;0?ooo`00103oool00`000000oooo0?ooo`0300000080oooo0`00
00060?ooo`030000003oool0oooo0=`0oooo00040?ooo`040000003oool0oooo00000080oooo00<0
00000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`8000000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0
oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003o
ool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H0
00000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool0
0`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo
0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003o
ool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000
003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`000000
0P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`03
0000003oool0oooo00d0oooo00040?ooo`040000003oool0oooo00000080oooo00<000000?ooo`00
00000P3oool00`000000oooo0?ooo`030?ooo`<00000g03oool000@0oooo00@000000?ooo`3oool0
00000P3oool00`000000oooo000000020?ooo`030000003oool0oooo00<0oooo0P0000020?ooo`03
0000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0
oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003o
ool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H0
00000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo
0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003o
ool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000
003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00<000000?ooo`3oool03@3oool000@0oooo00@000000?ooo`3oool000000P3oool0
0`000000oooo000000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0g03oool0
00<0oooo0P0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0?oo
o`030?ooo`800000g@3oool000@0oooo00@000000?ooo`3oool0oooo0P0000030?ooo`8000001P3o
ool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000
oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000
003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo
0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`00
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?oo
o`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P00
0000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0
oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003o
ool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool0303oool001D0oooo
0P0000001@3oool000000?ooo`3oool000000080oooo00<000000?ooo`0000000P3oool00`000000
oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool00000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003o
ool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0
00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003o
ool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3oool02`3oool001D0oooo
00@000000?ooo`3oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000
003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool00000
0P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`06
0000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000
oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool00000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003o
ool0oooo0000003oool000000P3oool010000000oooo0?ooo`00000=0?ooo`005@3oool200000=d0
oooo000E0?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?oo
o`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P00
0000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0
oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003o
ool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H0
00000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool0
0`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo
0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`00000>0?ooo`005@3oool0
0`000000oooo0?ooo`3L0?ooo`005@3oool200000=d0oooo000E0?ooo`030000003oool0oooo0=`0
oooo000E0?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool00000
0P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P00
0000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`06
0000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0
oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`060000003oool0oooo0000003oool000000P3oool00`000000oooo0000000>0?ooo`005@3oool2
00000080oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`060000003oool0
oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003o
ool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<00000
0?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0000
00020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00H000000?ooo`3oool000000?ooo`00000=0?ooo`005@3oool00`000000oooo0?oo
o`3L0?ooo`00103oool010000000oooo0?ooo`3oool200000080oooo0`0000060?ooo`030000003o
ool0oooo0=`0oooo00040?ooo`040000003oool0oooo00000080oooo00<000000?ooo`0000000P3o
ool00`000000oooo0?ooo`030?ooo`050000003oool000000?ooo`0000000P3oool01P000000oooo
0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000
003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool00000
0P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`06
0000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000
oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool00000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`00000?0?oo
o`00103oool00`000000oooo0?ooo`030?ooo`030000003oool000000080oooo00<000000?ooo`3o
ool00`3oool300000=`0oooo00040?ooo`040000003oool0oooo00000080oooo00<000000?ooo`00
00000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0=`0oooo00040?ooo`030000
003oool0oooo00<000000P3oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo0=`0
oooo00030?ooo`8000000`3oool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3o
ool00`3oool300000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0
oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003o
ool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H0
00000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool0
0`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo
0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003o
ool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000
003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`000000
0P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`06
0000003oool0oooo0000003oool000000P3oool00`000000oooo0?ooo`0<0?ooo`00103oool01000
0000oooo0?ooo`3oool300000080oooo0P0000060?ooo`030000003oool000000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`00
0000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0
00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003o
ool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000
003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H0
00000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo
0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000
003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool00000
0P3oool00`000000oooo0?ooo`0<0?ooo`005@3oool00`000000oooo0?ooo`3L0?ooo`005@3oool0
1@000000oooo0000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`06
0000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0
oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003o
ool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<00000
0?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0000
00020?ooo`060000003oool0oooo0000003oool000003`3oool001D0oooo0P00003M0?ooo`005@3o
ool01@000000oooo0000003oool000000080oooo00<000000?ooo`0000000P3oool01P000000oooo
0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003o
ool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000
003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3o
ool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000
oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000
003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo
0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`00
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`060000003oool0oooo0000003oool000003`3oool001D0oooo00<000000?ooo`3o
ool0g03oool001D0oooo0P000000103oool000000?ooo`0000020?ooo`060000003oool0oooo0000
003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3o
ool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000
oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000
003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo
0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`00
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?oo
o`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0000000h0oooo000E0?oo
o`80000000L0oooo0000003oool0oooo0000003oool000000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003o
ool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<00000
0?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0000
00020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3oool02`3oool001D0oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000
oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000
003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo
0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool00000
0P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P00
0000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`03
0000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0
oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?oo
o`0000000P3oool01P000000oooo0?ooo`000000oooo000000h0oooo000E0?ooo`80000000L0oooo
0000003oool0oooo0000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003o
ool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003o
ool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000
003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<0
00000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo
000000020?ooo`040000003oool0oooo000000d0oooo000E0?ooo`8000000P3oool00`000000oooo
000000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?oo
o`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P00
0000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0
oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003o
ool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H0
00000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool0
0`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool010000000oooo
0?ooo`00000?0?ooo`000P3oool4000000040?ooo`000000000000000080oooo0`0000060?ooo`03
0000003oool0oooo0=`0oooo00030?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000
oooo000000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`0000000P3oool00`000000
oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool00000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003o
ool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0
00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003o
ool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`030000003oool0oooo00`0oooo00040?ooo`040000003oool0oooo00000080oooo00<00000
0?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`<000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo
0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool0
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080
oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`00
0000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0
00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003o
ool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`030000
003oool0oooo00`0oooo00040?ooo`040000003oool0oooo00000080oooo00<000000?ooo`000000
0P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0=`0oooo00050?ooo`030000003o
ool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo0=`0oooo00020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo
000000020?ooo`030000003oool0oooo00<0oooo0P0000001@3oool000000?ooo`3oool000000080
oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000
003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3o
ool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000
oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000
003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo
0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`00
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?oo
o`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080
oooo00<000000?ooo`3oool02`3oool000<0oooo0P0000030?ooo`8000000`3oool2000000H0oooo
00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?oo
o`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo00000002
0?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H0
00000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo
0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003o
ool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000
003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo00`0oooo000E0?ooo`03
0000003oool0oooo0=`0oooo000E0?ooo`030000003oool0oooo0=`0oooo000E0?ooo`800000g@3o
ool001D0oooo0P0000020?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003o
ool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003o
ool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000
003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<0
00000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`040000003oool0oooo000000l0oooo000E0?ooo`8000000P3oool0
0`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo
0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000
003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool00000
0P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`06
0000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000
oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool00000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool0
10000000oooo0?ooo`00000?0?ooo`005@3oool200000080oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080
oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`00
0000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0
00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003o
ool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000
003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H0
00000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo
0?ooo`0=0?ooo`005@3oool00`000000oooo0?ooo`3L0?ooo`005@3oool2000000050?ooo`000000
oooo0?ooo`0000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool0
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003o
ool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003o
ool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000
003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<0
00000?ooo`0000000P3oool00`000000oooo0?ooo`0;0?ooo`005@3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool00000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080
oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`00
0000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0
00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003o
ool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000
003oool0oooo0000003oool000003P3oool001D0oooo0P0000020?ooo`030000003oool000000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool00000
0P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P00
0000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`06
0000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0
oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003o
ool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<00000
0?ooo`3oool03@3oool00080oooo100000020?ooo`8000000P3oool3000000H0oooo0P0000001@3o
ool000000?ooo`3oool000000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003o
ool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<00000
0?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0000
00020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000
oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3oool02`3oool000<0oooo00D000000?oo
o`3oool0oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool00`3oool0
1@000000oooo0000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`06
0000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0
oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003o
ool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<00000
0?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00<000000?ooo`0000003`3oool000@0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo000000020?ooo`030000003oool0oooo00<0oooo0`00003L0?ooo`00103o
ool010000000oooo0?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`3L0?ooo`001@3oool00`000000oooo0000000200000080oooo00@0
00000?ooo`3oool000001@3oool01@000000oooo0000003oool000000080oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo
0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000
003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool00000
0P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`06
0000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000
oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool00000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000003`3oool0
0080oooo00@000000?ooo`3oool000000P3oool01@000000oooo0?ooo`3oool000000080oooo00<0
00000?ooo`3oool00`3oool2000000070?ooo`000000oooo0?ooo`000000oooo000000020?ooo`06
0000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0
oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003o
ool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<00000
0?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0000
00020?ooo`060000003oool0oooo0000003oool000000P3oool010000000oooo0?ooo`00000=0?oo
o`000`3oool2000000<0oooo0`0000020?ooo`8000001P3oool00`000000oooo0?ooo`3L0?ooo`00
5@3oool2000000070?ooo`000000oooo0?ooo`000000oooo000000020?ooo`060000003oool0oooo
0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool00000
0P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P00
0000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`06
0000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0
oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo00/0oooo000E
0?ooo`030000003oool0oooo0=`0oooo000E0?ooo`800000g@3oool001D0oooo00<000000?ooo`3o
ool0g03oool001D0oooo0P0000001@3oool000000?ooo`3oool000000080oooo00<000000?ooo`00
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003o
ool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003o
ool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000
003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<0
00000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3o
ool02`3oool001D0oooo0P00003M0?ooo`005@3oool00`000000oooo000000020?ooo`030000003o
ool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000
003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool00000
0P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`06
0000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000
oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool00000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`040000003o
ool0oooo000000h0oooo000E0?ooo`8000000P3oool01P000000oooo0?ooo`000000oooo00000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P00
0000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0
oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003o
ool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H0
00000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool0
0`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo
0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003o
ool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo00d0
oooo000E0?ooo`030000003oool0oooo0=`0oooo000E0?ooo`80000000L0oooo0000003oool0oooo
0000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0
oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003o
ool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H0
00000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool0
0`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo
0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003o
ool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000
003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`000000
0P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`04
0000003oool0oooo000000d0oooo00030?ooo`8000000P3oool300000080oooo0`0000060?ooo`03
0000003oool0oooo0=`0oooo00020?ooo`060000003oool0oooo0000003oool000000P3oool00`00
0000oooo000000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0g03oool000D0
oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo00<0
oooo0`00003L0?ooo`00103oool010000000oooo0?ooo`0000020?ooo`030000003oool000000080
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`3L0?ooo`001@3oool00`000000oooo
000000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`3L0?ooo`000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`00
00000P3oool00`000000oooo0?ooo`030?ooo`800000g@3oool000<0oooo0P0000030?ooo`800000
0`3oool2000000H0oooo00<000000?ooo`3oool0g03oool001D0oooo00D000000?ooo`000000oooo
000000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?oo
o`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P00
0000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0
oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003o
ool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo00000002
0?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H0
00000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo
0?ooo`000000oooo000000l0oooo000E0?ooo`030000003oool000000080oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool00000
0P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P00
0000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`03
0000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0
oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?oo
o`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo00000002
0?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H0
00000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool0
0`000000oooo0?ooo`0<0?ooo`005@3oool3000000050?ooo`000000oooo0?ooo`0000000P3oool0
0`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo
0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000
003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool00000
0P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`06
0000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000
oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool00000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000003`3oool0
01D0oooo00<000000?ooo`3oool0g03oool001D0oooo00<000000?ooo`0000000P3oool00`000000
oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo00000002
0?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H0
00000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo
0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003o
ool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000
003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3o
ool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool010000000
oooo0?ooo`00000>0?ooo`005@3oool200000=d0oooo000E0?ooo`030000003oool0oooo0=`0oooo
000E0?ooo`030000003oool0oooo0=`0oooo000E0?ooo`050000003oool000000?ooo`0000000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000
oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000
003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo
0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool00000
0P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P00
0000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`03
0000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0
oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?oo
o`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool00000
0?ooo`00000?0?ooo`005@3oool200000080oooo00<000000?ooo`0000000P3oool01P000000oooo
0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000
003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool00000
0P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`06
0000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000
oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool00000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00@000000?ooo`3oool000003`3oool000<0oooo
0P0000030?ooo`8000000P3oool3000000H0oooo0P0000001@3oool000000?ooo`3oool000000080
oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003o
ool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000
003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<0
00000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo
000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080
oooo00<000000?ooo`3oool02`3oool00080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`030000003oool000000080oooo00<000000?ooo`3oool00`3oool00`000000oooo000000020?oo
o`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003o
ool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000
003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3o
ool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000
oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000
003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo
0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`00
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?oo
o`040000003oool0oooo000000h0oooo00050?ooo`030000003oool0oooo0080oooo00<000000?oo
o`0000000P3oool00`000000oooo0?ooo`030?ooo`<000000P3oool00`000000oooo000000020?oo
o`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003o
ool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003o
ool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000
003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<0
00000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo
000000020?ooo`060000003oool0oooo0000003oool000000P3oool010000000oooo0?ooo`00000>
0?ooo`00103oool010000000oooo0?ooo`0000020?ooo`030000003oool000000080oooo00<00000
0?ooo`3oool00`3oool010000000oooo0?ooo`0000020?ooo`030000003oool000000080oooo00<0
00000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo
000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool00000
0P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P00
0000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`06
0000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0
oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`040000003oool0oooo000000d0oooo
00050?ooo`030000003oool00000008000000P3oool010000000oooo0?ooo`0000050?ooo`800000
0P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`06
0000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000
oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo
0000003oool000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool0
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080
oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`00
0000oooo000000020?ooo`030000003oool0oooo00d0oooo00020?ooo`040000003oool0oooo0000
0080oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool0g03oool000<0oooo0P0000030?ooo`<000000P3oool2000000H0oooo0P000000103o
ool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool00000
0P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P00
0000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`03
0000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0
oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?oo
o`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo00000002
0?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H0
00000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool0
1P000000oooo0?ooo`000000oooo000000h0oooo000E0?ooo`030000003oool0oooo0=`0oooo000E
0?ooo`030000003oool0oooo0=`0oooo000E0?ooo`80000000L0oooo0000003oool0oooo0000003o
ool000000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool00000
0P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01P00
0000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`03
0000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0
oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?oo
o`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo00000002
0?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H0
00000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo
0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`040000003o
ool0oooo000000d0oooo000E0?ooo`030000003oool0oooo0=`0oooo000E0?ooo`030000003oool0
00000080oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`060000003oool0
oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003o
ool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<00000
0?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0000
00020?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00@000000?ooo`3oool000003P3oool001D0oooo0P00003M0?ooo`005@3oool00`00
0000oooo0?ooo`3L0?ooo`005@3oool00`000000oooo0?ooo`3L0?ooo`005@3oool00`000000oooo
0?ooo`3L0?ooo`00m03oool00001\
\>"],
  ImageRangeCache->{{{153.125, 303.375}, {622.313, 529.875}} -> {-6440.98, \
2465.61, 23.9695, 2.93921}},
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell["\<\
It appears as if certain numbers are repeating. Looking at the plot of the \
Fourier data shows peaks at certain frequencies, indicating a periodic nature \
to the data.\
\>", "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell["\<\
ListPlot[Abs[Fourier[
NestList[linearCongruential[#,381,15]&,0.0,5000]]]];\
\>", "Input",
  CellLabel->"In[39]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.000190438 0.0147151 0.0106744 [
[.21425 .00222 -12 -11.875 ]
[.21425 .00222 12 0 ]
[.40469 .00222 -12 -11.875 ]
[.40469 .00222 12 0 ]
[.59512 .00222 -12 -11.875 ]
[.59512 .00222 12 0 ]
[.78556 .00222 -12 -11.875 ]
[.78556 .00222 12 0 ]
[.976 .00222 -12 -11.875 ]
[.976 .00222 12 0 ]
[.01131 .12146 -14 -5.9375 ]
[.01131 .12146 0 5.9375 ]
[.01131 .2282 -14 -5.9375 ]
[.01131 .2282 0 5.9375 ]
[.01131 .33495 -14 -5.9375 ]
[.01131 .33495 0 5.9375 ]
[.01131 .44169 -14 -5.9375 ]
[.01131 .44169 0 5.9375 ]
[.01131 .54844 -14 -5.9375 ]
[.01131 .54844 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.21425 .01472 m
.21425 .02097 L
s
gsave
.21425 .00222 -73 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1000) show
1.000 setlinewidth
grestore
.40469 .01472 m
.40469 .02097 L
s
gsave
.40469 .00222 -73 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2000) show
1.000 setlinewidth
grestore
.59512 .01472 m
.59512 .02097 L
s
gsave
.59512 .00222 -73 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(3000) show
1.000 setlinewidth
grestore
.78556 .01472 m
.78556 .02097 L
s
gsave
.78556 .00222 -73 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4000) show
1.000 setlinewidth
grestore
.976 .01472 m
.976 .02097 L
s
gsave
.976 .00222 -73 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(5000) show
1.000 setlinewidth
grestore
.125 Mabswid
.0619 .01472 m
.0619 .01847 L
s
.09998 .01472 m
.09998 .01847 L
s
.13807 .01472 m
.13807 .01847 L
s
.17616 .01472 m
.17616 .01847 L
s
.25234 .01472 m
.25234 .01847 L
s
.29042 .01472 m
.29042 .01847 L
s
.32851 .01472 m
.32851 .01847 L
s
.3666 .01472 m
.3666 .01847 L
s
.44277 .01472 m
.44277 .01847 L
s
.48086 .01472 m
.48086 .01847 L
s
.51895 .01472 m
.51895 .01847 L
s
.55704 .01472 m
.55704 .01847 L
s
.63321 .01472 m
.63321 .01847 L
s
.6713 .01472 m
.6713 .01847 L
s
.70939 .01472 m
.70939 .01847 L
s
.74747 .01472 m
.74747 .01847 L
s
.82365 .01472 m
.82365 .01847 L
s
.86174 .01472 m
.86174 .01847 L
s
.89982 .01472 m
.89982 .01847 L
s
.93791 .01472 m
.93791 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .12146 m
.03006 .12146 L
s
gsave
.01131 .12146 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(10) show
1.000 setlinewidth
grestore
.02381 .2282 m
.03006 .2282 L
s
gsave
.01131 .2282 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(20) show
1.000 setlinewidth
grestore
.02381 .33495 m
.03006 .33495 L
s
gsave
.01131 .33495 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(30) show
1.000 setlinewidth
grestore
.02381 .44169 m
.03006 .44169 L
s
gsave
.01131 .44169 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(40) show
1.000 setlinewidth
grestore
.02381 .54844 m
.03006 .54844 L
s
gsave
.01131 .54844 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(50) show
1.000 setlinewidth
grestore
.125 Mabswid
.02381 .03606 m
.02756 .03606 L
s
.02381 .05741 m
.02756 .05741 L
s
.02381 .07876 m
.02756 .07876 L
s
.02381 .10011 m
.02756 .10011 L
s
.02381 .14281 m
.02756 .14281 L
s
.02381 .16416 m
.02756 .16416 L
s
.02381 .18551 m
.02756 .18551 L
s
.02381 .20685 m
.02756 .20685 L
s
.02381 .24955 m
.02756 .24955 L
s
.02381 .2709 m
.02756 .2709 L
s
.02381 .29225 m
.02756 .29225 L
s
.02381 .3136 m
.02756 .3136 L
s
.02381 .3563 m
.02756 .3563 L
s
.02381 .37764 m
.02756 .37764 L
s
.02381 .39899 m
.02756 .39899 L
s
.02381 .42034 m
.02756 .42034 L
s
.02381 .46304 m
.02756 .46304 L
s
.02381 .48439 m
.02756 .48439 L
s
.02381 .50574 m
.02756 .50574 L
s
.02381 .52709 m
.02756 .52709 L
s
.02381 .56978 m
.02756 .56978 L
s
.02381 .59113 m
.02756 .59113 L
s
.02381 .61248 m
.02756 .61248 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.008 w
.02419 .06431 Mdot
.02438 .06433 Mdot
.02457 .06434 Mdot
.02476 .06437 Mdot
.02495 .0644 Mdot
.02514 .06444 Mdot
.02533 .06449 Mdot
.02552 .06454 Mdot
.02571 .0646 Mdot
.0259 .06467 Mdot
.02609 .06475 Mdot
.02629 .06484 Mdot
.02648 .06493 Mdot
.02667 .06503 Mdot
.02686 .06514 Mdot
.02705 .06526 Mdot
.02724 .06539 Mdot
.02743 .06553 Mdot
.02762 .06568 Mdot
.02781 .06584 Mdot
.028 .06601 Mdot
.02819 .06619 Mdot
.02838 .06638 Mdot
.02857 .06659 Mdot
.02876 .06681 Mdot
.02895 .06704 Mdot
.02914 .06729 Mdot
.02933 .06755 Mdot
.02952 .06782 Mdot
.02971 .06812 Mdot
.0299 .06843 Mdot
.03009 .06876 Mdot
.03028 .06911 Mdot
.03047 .06948 Mdot
.03067 .06987 Mdot
.03086 .07029 Mdot
.03105 .07074 Mdot
.03124 .07121 Mdot
.03143 .07171 Mdot
.03162 .07225 Mdot
.03181 .07282 Mdot
.032 .07343 Mdot
.03219 .07408 Mdot
.03238 .07478 Mdot
.03257 .07552 Mdot
.03276 .07632 Mdot
.03295 .07718 Mdot
.03314 .07811 Mdot
.03333 .07911 Mdot
.03352 .08019 Mdot
.03371 .08136 Mdot
.0339 .08263 Mdot
.03409 .08402 Mdot
.03428 .08553 Mdot
.03447 .08719 Mdot
.03466 .08901 Mdot
.03485 .09101 Mdot
.03505 .09324 Mdot
.03524 .09571 Mdot
.03543 .09847 Mdot
.03562 .10157 Mdot
.03581 .10508 Mdot
.036 .10906 Mdot
.03619 .11361 Mdot
.03638 .11887 Mdot
.03657 .12499 Mdot
.03676 .13218 Mdot
.03695 .14075 Mdot
.03714 .15109 Mdot
.03733 .16377 Mdot
.03752 .17966 Mdot
.03771 .20007 Mdot
.0379 .22714 Mdot
.03809 .26459 Mdot
.03828 .31958 Mdot
.03847 .4077 Mdot
.03866 .57073 Mdot
.03962 .52473 Mdot
.03981 .38666 Mdot
.04 .309 Mdot
.04019 .25951 Mdot
.04038 .22543 Mdot
.04057 .20071 Mdot
.04076 .18209 Mdot
.04095 .16768 Mdot
.04114 .1563 Mdot
.04133 .14716 Mdot
.04152 .13974 Mdot
.04171 .13366 Mdot
.0419 .12865 Mdot
.04209 .12452 Mdot
.04228 .12109 Mdot
.04247 .11827 Mdot
.04266 .11595 Mdot
.04285 .11406 Mdot
.04304 .11255 Mdot
.04323 .11136 Mdot
.04342 .11046 Mdot
.04362 .10983 Mdot
.04381 .10942 Mdot
.044 .10923 Mdot
.04419 .10923 Mdot
.04438 .10941 Mdot
.04457 .10976 Mdot
.04476 .11028 Mdot
.04495 .11095 Mdot
.04514 .11178 Mdot
.04533 .11275 Mdot
.04552 .11387 Mdot
.04571 .11513 Mdot
.0459 .11654 Mdot
.04609 .1181 Mdot
.04628 .11981 Mdot
.04647 .12167 Mdot
.04666 .1237 Mdot
.04685 .1259 Mdot
.04704 .12827 Mdot
.04723 .13083 Mdot
.04742 .13359 Mdot
.04761 .13656 Mdot
.0478 .13976 Mdot
.048 .1432 Mdot
.04819 .14691 Mdot
.04838 .1509 Mdot
.04857 .1552 Mdot
.04876 .15985 Mdot
.04895 .16487 Mdot
.04914 .17032 Mdot
.04933 .17622 Mdot
.04952 .18264 Mdot
.04971 .18964 Mdot
.0499 .1973 Mdot
.05009 .2057 Mdot
.05028 .21495 Mdot
.05047 .22517 Mdot
.05066 .23652 Mdot
.05085 .24919 Mdot
.05104 .26341 Mdot
.05123 .27948 Mdot
.05142 .29777 Mdot
.05161 .31875 Mdot
.0518 .34307 Mdot
.05199 .37158 Mdot
.05218 .40542 Mdot
.05238 .44625 Mdot
.05257 .49646 Mdot
.05276 .55965 Mdot
.0558 .5506 Mdot
.05599 .49403 Mdot
.05618 .44853 Mdot
.05637 .41112 Mdot
.05656 .37983 Mdot
.05676 .35327 Mdot
.05695 .33044 Mdot
.05714 .3106 Mdot
.05733 .29321 Mdot
.05752 .27782 Mdot
.05771 .26412 Mdot
.0579 .25183 Mdot
.05809 .24075 Mdot
.05828 .23071 Mdot
.05847 .22155 Mdot
.05866 .21317 Mdot
.05885 .20547 Mdot
.05904 .19837 Mdot
.05923 .19179 Mdot
.05942 .18568 Mdot
.05961 .17999 Mdot
.0598 .17466 Mdot
.05999 .16967 Mdot
.06018 .16498 Mdot
.06037 .16055 Mdot
.06056 .15637 Mdot
.06075 .15241 Mdot
.06094 .14865 Mdot
.06114 .14507 Mdot
.06133 .14165 Mdot
.06152 .13837 Mdot
.06171 .13524 Mdot
.0619 .13222 Mdot
.06209 .12931 Mdot
.06228 .1265 Mdot
.06247 .12378 Mdot
.06266 .12113 Mdot
.06285 .11855 Mdot
.06304 .11604 Mdot
.06323 .11357 Mdot
.06342 .11115 Mdot
.06361 .10876 Mdot
.0638 .1064 Mdot
.06399 .10406 Mdot
.06418 .10173 Mdot
.06437 .0994 Mdot
.06456 .09706 Mdot
.06475 .0947 Mdot
.06494 .09232 Mdot
.06513 .0899 Mdot
.06533 .08744 Mdot
.06552 .08492 Mdot
.06571 .08233 Mdot
.0659 .07966 Mdot
.06609 .07691 Mdot
.06628 .07408 Mdot
.06647 .07117 Mdot
.06666 .06822 Mdot
.06685 .06528 Mdot
.06704 .06251 Mdot
.06723 .06017 Mdot
.06742 .05875 Mdot
.06761 .05907 Mdot
.0678 .06232 Mdot
.06799 .07001 Mdot
.06818 .08391 Mdot
.06837 .10661 Mdot
.06856 .1432 Mdot
.06875 .20557 Mdot
.06894 .3285 Mdot
.06971 .54433 Mdot
.0699 .3868 Mdot
.07009 .31095 Mdot
.07028 .26631 Mdot
.07047 .23686 Mdot
.07066 .21596 Mdot
.07085 .20033 Mdot
.07104 .18818 Mdot
.07123 .17846 Mdot
.07142 .17049 Mdot
.07161 .16383 Mdot
.0718 .15817 Mdot
.07199 .1533 Mdot
.07218 .14907 Mdot
.07237 .14535 Mdot
.07256 .14205 Mdot
.07275 .13911 Mdot
.07294 .13647 Mdot
.07313 .13408 Mdot
.07332 .13192 Mdot
.07351 .12994 Mdot
.0737 .12814 Mdot
.07389 .1265 Mdot
.07409 .12498 Mdot
.07428 .12359 Mdot
.07447 .12231 Mdot
.07466 .12113 Mdot
.07485 .12005 Mdot
.07504 .11906 Mdot
.07523 .11814 Mdot
.07542 .11731 Mdot
.07561 .11655 Mdot
.0758 .11587 Mdot
.07599 .11525 Mdot
.07618 .11471 Mdot
.07637 .11423 Mdot
.07656 .11383 Mdot
.07675 .11349 Mdot
.07694 .11323 Mdot
.07713 .11304 Mdot
.07732 .11293 Mdot
.07751 .1129 Mdot
.0777 .11296 Mdot
.07789 .11312 Mdot
.07808 .11337 Mdot
.07827 .11373 Mdot
.07847 .11421 Mdot
.07866 .11482 Mdot
.07885 .11557 Mdot
.07904 .11648 Mdot
.07923 .11757 Mdot
.07942 .11885 Mdot
.07961 .12036 Mdot
.0798 .12212 Mdot
.07999 .12417 Mdot
.08018 .12656 Mdot
.08037 .12932 Mdot
.08056 .13251 Mdot
.08075 .13622 Mdot
.08094 .14053 Mdot
.08113 .14554 Mdot
.08132 .15138 Mdot
.08151 .15822 Mdot
.0817 .16627 Mdot
.08189 .17581 Mdot
.08208 .18718 Mdot
.08227 .20087 Mdot
.08246 .21755 Mdot
.08265 .23814 Mdot
.08285 .26403 Mdot
.08304 .29731 Mdot
.08323 .34138 Mdot
.08342 .40209 Mdot
.08361 .49043 Mdot
.08532 .55209 Mdot
.08551 .46153 Mdot
.0857 .39928 Mdot
.08589 .35395 Mdot
.08608 .31955 Mdot
.08627 .2926 Mdot
.08646 .27096 Mdot
.08665 .25322 Mdot
.08684 .23846 Mdot
.08703 .22599 Mdot
.08723 .21534 Mdot
.08742 .20614 Mdot
.08761 .19814 Mdot
.0878 .19112 Mdot
.08799 .18492 Mdot
.08818 .17941 Mdot
.08837 .17448 Mdot
.08856 .17006 Mdot
.08875 .16608 Mdot
.08894 .16248 Mdot
.08913 .1592 Mdot
.08932 .15622 Mdot
.08951 .15349 Mdot
.0897 .15099 Mdot
.08989 .1487 Mdot
.09008 .1466 Mdot
.09027 .14465 Mdot
.09046 .14286 Mdot
.09065 .14121 Mdot
.09084 .13968 Mdot
.09103 .13827 Mdot
.09122 .13697 Mdot
.09142 .13576 Mdot
.09161 .13465 Mdot
.0918 .13362 Mdot
.09199 .13267 Mdot
.09218 .13181 Mdot
.09237 .13102 Mdot
.09256 .1303 Mdot
.09275 .12965 Mdot
.09294 .12907 Mdot
.09313 .12856 Mdot
.09332 .12812 Mdot
.09351 .12774 Mdot
.0937 .12744 Mdot
.09389 .12722 Mdot
.09408 .12707 Mdot
.09427 .127 Mdot
.09446 .12702 Mdot
.09465 .12714 Mdot
.09484 .12736 Mdot
.09503 .1277 Mdot
.09522 .12818 Mdot
.09541 .12881 Mdot
.0956 .12962 Mdot
.0958 .13063 Mdot
.09599 .13188 Mdot
.09618 .13342 Mdot
.09637 .13531 Mdot
.09656 .13762 Mdot
.09675 .14046 Mdot
.09694 .14396 Mdot
.09713 .14828 Mdot
.09732 .15367 Mdot
.09751 .16046 Mdot
.0977 .16912 Mdot
.09789 .18031 Mdot
.09808 .19508 Mdot
.09827 .21506 Mdot
.09846 .24296 Mdot
.09865 .28374 Mdot
.09884 .3474 Mdot
.09903 .45769 Mdot
.10018 .46198 Mdot
.10037 .36312 Mdot
.10056 .30428 Mdot
.10075 .26569 Mdot
.10094 .23871 Mdot
.10113 .21898 Mdot
.10132 .20405 Mdot
.10151 .19247 Mdot
.1017 .1833 Mdot
.10189 .17592 Mdot
.10208 .16989 Mdot
.10227 .16491 Mdot
.10246 .16077 Mdot
.10265 .15729 Mdot
.10284 .15436 Mdot
.10303 .15188 Mdot
.10322 .14977 Mdot
.10341 .14797 Mdot
.1036 .14645 Mdot
.10379 .14515 Mdot
.10398 .14406 Mdot
.10417 .14315 Mdot
.10436 .14239 Mdot
.10456 .14177 Mdot
.10475 .14129 Mdot
.10494 .14092 Mdot
.10513 .14065 Mdot
.10532 .14049 Mdot
.10551 .14042 Mdot
.1057 .14044 Mdot
.10589 .14055 Mdot
.10608 .14074 Mdot
.10627 .14101 Mdot
.10646 .14136 Mdot
.10665 .14179 Mdot
.10684 .1423 Mdot
.10703 .14289 Mdot
.10722 .14357 Mdot
.10741 .14433 Mdot
.1076 .14518 Mdot
.10779 .14612 Mdot
.10798 .14716 Mdot
.10817 .1483 Mdot
.10836 .14955 Mdot
.10855 .15092 Mdot
.10874 .15241 Mdot
.10894 .15404 Mdot
.10913 .15582 Mdot
.10932 .15775 Mdot
.10951 .15987 Mdot
.1097 .16218 Mdot
.10989 .16471 Mdot
.11008 .16748 Mdot
.11027 .17053 Mdot
.11046 .17389 Mdot
.11065 .1776 Mdot
.11084 .18171 Mdot
.11103 .18628 Mdot
.11122 .1914 Mdot
.11141 .19715 Mdot
.1116 .20365 Mdot
.11179 .21104 Mdot
.11198 .21952 Mdot
.11217 .22933 Mdot
.11236 .2408 Mdot
.11255 .25436 Mdot
.11274 .27062 Mdot
.11293 .29047 Mdot
.11312 .31521 Mdot
.11332 .34684 Mdot
.11351 .38867 Mdot
.1137 .44648 Mdot
.11389 .53148 Mdot
.11541 .47617 Mdot
.1156 .36632 Mdot
.11579 .29522 Mdot
.11598 .24559 Mdot
.11617 .2091 Mdot
.11636 .18125 Mdot
.11655 .15939 Mdot
.11674 .14187 Mdot
.11693 .1276 Mdot
.11712 .11582 Mdot
.11731 .10602 Mdot
.11751 .09781 Mdot
.1177 .09091 Mdot
.11789 .08509 Mdot
.11808 .08019 Mdot
.11827 .07606 Mdot
.11846 .0726 Mdot
.11865 .06972 Mdot
.11884 .06733 Mdot
.11903 .06538 Mdot
.11922 .0638 Mdot
.11941 .06254 Mdot
.1196 .06156 Mdot
.11979 .06082 Mdot
.11998 .06028 Mdot
.12017 .05992 Mdot
.12036 .0597 Mdot
.12055 .05962 Mdot
.12074 .05964 Mdot
.12093 .05975 Mdot
.12112 .05994 Mdot
.12131 .0602 Mdot
.1215 .06051 Mdot
.12169 .06088 Mdot
.12189 .06129 Mdot
.12208 .06173 Mdot
.12227 .06222 Mdot
.12246 .06273 Mdot
.12265 .06328 Mdot
.12284 .06386 Mdot
.12303 .06448 Mdot
.12322 .06512 Mdot
.12341 .0658 Mdot
.1236 .06652 Mdot
.12379 .06727 Mdot
.12398 .06808 Mdot
.12417 .06893 Mdot
.12436 .06984 Mdot
.12455 .07082 Mdot
.12474 .07187 Mdot
.12493 .07301 Mdot
.12512 .07426 Mdot
.12531 .07562 Mdot
.1255 .07711 Mdot
.12569 .07877 Mdot
.12588 .08062 Mdot
.12607 .08269 Mdot
.12627 .08503 Mdot
.12646 .08769 Mdot
.12665 .09074 Mdot
.12684 .09425 Mdot
.12703 .09835 Mdot
.12722 .10316 Mdot
.12741 .10886 Mdot
.1276 .1157 Mdot
.12779 .12401 Mdot
.12798 .13427 Mdot
.12817 .14716 Mdot
.12836 .16373 Mdot
.12855 .18566 Mdot
.12874 .21578 Mdot
.12893 .25939 Mdot
.12912 .32754 Mdot
.12931 .44785 Mdot
.13026 .54443 Mdot
.13045 .39272 Mdot
.13065 .31159 Mdot
.13084 .26132 Mdot
.13103 .22727 Mdot
.13122 .20279 Mdot
.13141 .18443 Mdot
.1316 .1702 Mdot
.13179 .15889 Mdot
.13198 .14973 Mdot
.13217 .14218 Mdot
.13236 .13587 Mdot
.13255 .13054 Mdot
.13274 .12598 Mdot
.13293 .12206 Mdot
.13312 .11865 Mdot
.13331 .11568 Mdot
.1335 .11306 Mdot
.13369 .11074 Mdot
.13388 .10868 Mdot
.13407 .10684 Mdot
.13426 .10519 Mdot
.13445 .1037 Mdot
.13464 .10236 Mdot
.13483 .10114 Mdot
.13503 .10003 Mdot
.13522 .09901 Mdot
.13541 .09809 Mdot
.1356 .09723 Mdot
.13579 .09644 Mdot
.13598 .09572 Mdot
.13617 .09504 Mdot
.13636 .09442 Mdot
.13655 .09383 Mdot
.13674 .09328 Mdot
.13693 .09277 Mdot
.13712 .09229 Mdot
.13731 .09183 Mdot
.1375 .09139 Mdot
.13769 .09098 Mdot
.13788 .09059 Mdot
.13807 .09021 Mdot
.13826 .08985 Mdot
.13845 .08949 Mdot
.13864 .08915 Mdot
.13883 .08882 Mdot
.13902 .08849 Mdot
.13922 .08816 Mdot
.13941 .08784 Mdot
.1396 .08752 Mdot
.13979 .08719 Mdot
.13998 .08687 Mdot
.14017 .08654 Mdot
.14036 .0862 Mdot
.14055 .08585 Mdot
.14074 .08549 Mdot
.14093 .08511 Mdot
.14112 .08472 Mdot
.14131 .0843 Mdot
.1415 .08387 Mdot
.14169 .0834 Mdot
.14188 .08291 Mdot
.14207 .08239 Mdot
.14226 .08183 Mdot
.14245 .08124 Mdot
.14264 .08062 Mdot
.14283 .07999 Mdot
.14302 .07936 Mdot
.14321 .0788 Mdot
.1434 .07841 Mdot
.1436 .07845 Mdot
.14379 .0794 Mdot
.14398 .08238 Mdot
.14417 .08988 Mdot
.14436 .108 Mdot
.14455 .15406 Mdot
.14474 .3079 Mdot
.14512 .4312 Mdot
.14531 .24799 Mdot
.1455 .1907 Mdot
.14569 .16332 Mdot
.14588 .1475 Mdot
.14607 .1373 Mdot
.14626 .13023 Mdot
.14645 .12506 Mdot
.14664 .12114 Mdot
.14683 .11806 Mdot
.14702 .1156 Mdot
.14721 .11358 Mdot
.1474 .1119 Mdot
.14759 .11048 Mdot
.14778 .10926 Mdot
.14798 .10821 Mdot
.14817 .1073 Mdot
.14836 .10649 Mdot
.14855 .10577 Mdot
.14874 .10513 Mdot
.14893 .10455 Mdot
.14912 .10403 Mdot
.14931 .10355 Mdot
.1495 .10311 Mdot
.14969 .10271 Mdot
.14988 .10233 Mdot
.15007 .10198 Mdot
.15026 .10165 Mdot
.15045 .10133 Mdot
.15064 .10103 Mdot
.15083 .10075 Mdot
.15102 .10047 Mdot
.15121 .1002 Mdot
.1514 .09994 Mdot
.15159 .09968 Mdot
.15178 .09942 Mdot
.15197 .09916 Mdot
.15216 .0989 Mdot
.15236 .09865 Mdot
.15255 .09838 Mdot
.15274 .09811 Mdot
.15293 .09784 Mdot
.15312 .09756 Mdot
.15331 .09726 Mdot
.1535 .09696 Mdot
.15369 .09665 Mdot
.15388 .09632 Mdot
.15407 .09597 Mdot
.15426 .09561 Mdot
.15445 .09523 Mdot
.15464 .09484 Mdot
.15483 .09442 Mdot
.15502 .09398 Mdot
.15521 .09352 Mdot
.1554 .09304 Mdot
.15559 .09255 Mdot
.15578 .09203 Mdot
.15597 .0915 Mdot
.15616 .09097 Mdot
.15635 .09045 Mdot
.15654 .08995 Mdot
.15674 .08951 Mdot
.15693 .08916 Mdot
.15712 .08895 Mdot
.15731 .08899 Mdot
.1575 .08939 Mdot
.15769 .09035 Mdot
.15788 .09214 Mdot
.15807 .09517 Mdot
.15826 .10004 Mdot
.15845 .10759 Mdot
.15864 .11912 Mdot
.15883 .13657 Mdot
.15902 .16322 Mdot
.15921 .20507 Mdot
.1594 .27503 Mdot
.15959 .40714 Mdot
.16054 .54747 Mdot
.16073 .42601 Mdot
.16092 .35848 Mdot
.16112 .31578 Mdot
.16131 .28653 Mdot
.1615 .26536 Mdot
.16169 .24942 Mdot
.16188 .23707 Mdot
.16207 .22727 Mdot
.16226 .21935 Mdot
.16245 .21287 Mdot
.16264 .2075 Mdot
.16283 .20301 Mdot
.16302 .19924 Mdot
.16321 .19605 Mdot
.1634 .19335 Mdot
.16359 .19105 Mdot
.16378 .18911 Mdot
.16397 .18747 Mdot
.16416 .18608 Mdot
.16435 .18493 Mdot
.16454 .18399 Mdot
.16473 .18322 Mdot
.16492 .18263 Mdot
.16511 .18218 Mdot
.16531 .18187 Mdot
.1655 .18169 Mdot
.16569 .18163 Mdot
.16588 .18168 Mdot
.16607 .18184 Mdot
.16626 .18211 Mdot
.16645 .18247 Mdot
.16664 .18293 Mdot
.16683 .18349 Mdot
.16702 .18414 Mdot
.16721 .18489 Mdot
.1674 .18573 Mdot
.16759 .18667 Mdot
.16778 .18771 Mdot
.16797 .18885 Mdot
.16816 .19009 Mdot
.16835 .19145 Mdot
.16854 .19291 Mdot
.16873 .1945 Mdot
.16892 .19621 Mdot
.16911 .19806 Mdot
.1693 .20006 Mdot
.16949 .20221 Mdot
.16969 .20453 Mdot
.16988 .20704 Mdot
.17007 .20975 Mdot
.17026 .21268 Mdot
.17045 .21587 Mdot
.17064 .21932 Mdot
.17083 .22309 Mdot
.17102 .2272 Mdot
.17121 .23171 Mdot
.1714 .23668 Mdot
.17159 .24216 Mdot
.17178 .24826 Mdot
.17197 .25507 Mdot
.17216 .26272 Mdot
.17235 .27138 Mdot
.17254 .28128 Mdot
.17273 .29269 Mdot
.17292 .30599 Mdot
.17311 .32171 Mdot
.1733 .34058 Mdot
.17349 .36367 Mdot
.17368 .39259 Mdot
.17387 .42992 Mdot
.17407 .47997 Mdot
.17426 .55069 Mdot
.17578 .49943 Mdot
.17597 .35205 Mdot
.17616 .26131 Mdot
.17635 .19978 Mdot
.17654 .15531 Mdot
.17673 .12171 Mdot
.17692 .09552 Mdot
.17711 .07472 Mdot
.1773 .05818 Mdot
.17749 .04552 Mdot
.17768 .0373 Mdot
.17787 .03482 Mdot
.17806 .03761 Mdot
.17825 .04297 Mdot
.17845 .04906 Mdot
.17864 .05515 Mdot
.17883 .061 Mdot
.17902 .06655 Mdot
.17921 .07179 Mdot
.1794 .07674 Mdot
.17959 .08143 Mdot
.17978 .08588 Mdot
.17997 .09013 Mdot
.18016 .0942 Mdot
.18035 .09811 Mdot
.18054 .10188 Mdot
.18073 .10554 Mdot
.18092 .1091 Mdot
.18111 .11258 Mdot
.1813 .11599 Mdot
.18149 .11935 Mdot
.18168 .12267 Mdot
.18187 .12596 Mdot
.18206 .12924 Mdot
.18225 .1325 Mdot
.18244 .13578 Mdot
.18263 .13907 Mdot
.18283 .14239 Mdot
.18302 .14575 Mdot
.18321 .14916 Mdot
.1834 .15264 Mdot
.18359 .15618 Mdot
.18378 .15982 Mdot
.18397 .16356 Mdot
.18416 .16742 Mdot
.18435 .17141 Mdot
.18454 .17555 Mdot
.18473 .17987 Mdot
.18492 .18439 Mdot
.18511 .18912 Mdot
.1853 .19411 Mdot
.18549 .19939 Mdot
.18568 .20498 Mdot
.18587 .21095 Mdot
.18606 .21734 Mdot
.18625 .22422 Mdot
.18644 .23165 Mdot
.18663 .23974 Mdot
.18682 .24858 Mdot
.18701 .25832 Mdot
.18721 .26912 Mdot
.1874 .28119 Mdot
.18759 .2948 Mdot
.18778 .31031 Mdot
.18797 .32819 Mdot
.18816 .34906 Mdot
.18835 .37381 Mdot
.18854 .40371 Mdot
.18873 .44065 Mdot
.18892 .48755 Mdot
.18911 .54926 Mdot
.19101 .61302 Mdot
.1912 .46473 Mdot
.1914 .36715 Mdot
.19159 .29796 Mdot
.19178 .24628 Mdot
.19197 .20619 Mdot
.19216 .17417 Mdot
.19235 .14805 Mdot
.19254 .12642 Mdot
.19273 .10832 Mdot
.19292 .09314 Mdot
.19311 .08052 Mdot
.1933 .07026 Mdot
.19349 .06236 Mdot
.19368 .0569 Mdot
.19387 .05398 Mdot
.19406 .05345 Mdot
.19425 .05493 Mdot
.19444 .05787 Mdot
.19463 .06178 Mdot
.19482 .06626 Mdot
.19501 .07109 Mdot
.1952 .07611 Mdot
.19539 .08122 Mdot
.19558 .08638 Mdot
.19578 .09156 Mdot
.19597 .09675 Mdot
.19616 .10194 Mdot
.19635 .10714 Mdot
.19654 .11236 Mdot
.19673 .11761 Mdot
.19692 .1229 Mdot
.19711 .12824 Mdot
.1973 .13364 Mdot
.19749 .13913 Mdot
.19768 .14472 Mdot
.19787 .15043 Mdot
.19806 .15628 Mdot
.19825 .16228 Mdot
.19844 .16847 Mdot
.19863 .17485 Mdot
.19882 .18147 Mdot
.19901 .18835 Mdot
.1992 .19552 Mdot
.19939 .20301 Mdot
.19958 .21087 Mdot
.19977 .21914 Mdot
.19996 .22787 Mdot
.20016 .23711 Mdot
.20035 .24693 Mdot
.20054 .25741 Mdot
.20073 .26862 Mdot
.20092 .28067 Mdot
.20111 .29368 Mdot
.2013 .30778 Mdot
.20149 .32314 Mdot
.20168 .33996 Mdot
.20187 .35848 Mdot
.20206 .37899 Mdot
.20225 .40186 Mdot
.20244 .42755 Mdot
.20263 .45664 Mdot
.20282 .4899 Mdot
.20301 .52832 Mdot
.2032 .57325 Mdot
.20758 .56539 Mdot
.20777 .5197 Mdot
.20796 .48078 Mdot
.20815 .44722 Mdot
.20834 .41797 Mdot
.20853 .39226 Mdot
.20872 .36948 Mdot
.20892 .34914 Mdot
.20911 .33088 Mdot
.2093 .31439 Mdot
.20949 .29943 Mdot
.20968 .28579 Mdot
.20987 .2733 Mdot
.21006 .26182 Mdot
.21025 .25124 Mdot
.21044 .24146 Mdot
.21063 .23238 Mdot
.21082 .22394 Mdot
.21101 .21608 Mdot
.2112 .20873 Mdot
.21139 .20185 Mdot
.21158 .1954 Mdot
.21177 .18934 Mdot
.21196 .18363 Mdot
.21215 .17826 Mdot
.21234 .17319 Mdot
.21253 .1684 Mdot
.21272 .16387 Mdot
.21291 .15959 Mdot
.2131 .15553 Mdot
.2133 .15169 Mdot
.21349 .14804 Mdot
.21368 .14458 Mdot
.21387 .1413 Mdot
.21406 .13819 Mdot
.21425 .13525 Mdot
.21444 .13245 Mdot
.21463 .1298 Mdot
.21482 .1273 Mdot
.21501 .12493 Mdot
.2152 .1227 Mdot
.21539 .1206 Mdot
.21558 .11864 Mdot
.21577 .1168 Mdot
.21596 .11509 Mdot
.21615 .11352 Mdot
.21634 .11208 Mdot
.21653 .11078 Mdot
.21672 .10963 Mdot
.21691 .10863 Mdot
.2171 .1078 Mdot
.21729 .10716 Mdot
.21749 .10673 Mdot
.21768 .10653 Mdot
.21787 .10661 Mdot
.21806 .10702 Mdot
.21825 .10782 Mdot
.21844 .10914 Mdot
.21863 .11111 Mdot
.21882 .11394 Mdot
.21901 .11799 Mdot
.2192 .12378 Mdot
.21939 .13224 Mdot
.21958 .14504 Mdot
.21977 .1656 Mdot
.21996 .20199 Mdot
.22015 .27892 Mdot
.22034 .52497 Mdot
.22072 .44536 Mdot
.22091 .23319 Mdot
.2211 .16328 Mdot
.22129 .13008 Mdot
.22148 .11161 Mdot
.22167 .10041 Mdot
.22187 .09324 Mdot
.22206 .08849 Mdot
.22225 .08528 Mdot
.22244 .0831 Mdot
.22263 .08162 Mdot
.22282 .08065 Mdot
.22301 .08005 Mdot
.2232 .07975 Mdot
.22339 .07966 Mdot
.22358 .07977 Mdot
.22377 .08002 Mdot
.22396 .08041 Mdot
.22415 .08091 Mdot
.22434 .08152 Mdot
.22453 .08223 Mdot
.22472 .08302 Mdot
.22491 .0839 Mdot
.2251 .08487 Mdot
.22529 .08592 Mdot
.22548 .08704 Mdot
.22567 .08825 Mdot
.22586 .08954 Mdot
.22605 .09091 Mdot
.22625 .09236 Mdot
.22644 .0939 Mdot
.22663 .09553 Mdot
.22682 .09725 Mdot
.22701 .09907 Mdot
.2272 .10099 Mdot
.22739 .10301 Mdot
.22758 .10514 Mdot
.22777 .10739 Mdot
.22796 .10976 Mdot
.22815 .11227 Mdot
.22834 .11491 Mdot
.22853 .11771 Mdot
.22872 .12067 Mdot
.22891 .1238 Mdot
.2291 .12712 Mdot
.22929 .13064 Mdot
.22948 .13438 Mdot
.22967 .13837 Mdot
.22986 .14261 Mdot
.23005 .14715 Mdot
.23024 .15201 Mdot
.23043 .15722 Mdot
.23063 .16283 Mdot
.23082 .16888 Mdot
.23101 .17542 Mdot
.2312 .18251 Mdot
.23139 .19024 Mdot
.23158 .19868 Mdot
.23177 .20794 Mdot
.23196 .21815 Mdot
.23215 .22947 Mdot
.23234 .24208 Mdot
.23253 .25622 Mdot
.23272 .27219 Mdot
.23291 .29037 Mdot
.2331 .31127 Mdot
.23329 .33553 Mdot
.23348 .36405 Mdot
.23367 .39807 Mdot
.23386 .43935 Mdot
.23405 .49051 Mdot
.23424 .55558 Mdot
.23691 .60836 Mdot
.2371 .53059 Mdot
.23729 .47074 Mdot
.23748 .42324 Mdot
.23767 .38464 Mdot
.23786 .35263 Mdot
.23805 .32566 Mdot
.23824 .30262 Mdot
.23843 .28271 Mdot
.23862 .26533 Mdot
.23881 .25003 Mdot
.239 .23645 Mdot
.2392 .22432 Mdot
.23939 .21342 Mdot
.23958 .20356 Mdot
.23977 .19462 Mdot
.23996 .18646 Mdot
.24015 .17899 Mdot
.24034 .17213 Mdot
.24053 .16581 Mdot
.24072 .15996 Mdot
.24091 .15455 Mdot
.2411 .14951 Mdot
.24129 .14483 Mdot
.24148 .14046 Mdot
.24167 .13638 Mdot
.24186 .13256 Mdot
.24205 .12899 Mdot
.24224 .12564 Mdot
.24243 .1225 Mdot
.24262 .11956 Mdot
.24281 .1168 Mdot
.243 .11422 Mdot
.24319 .1118 Mdot
.24338 .10954 Mdot
.24358 .10744 Mdot
.24377 .10548 Mdot
.24396 .10367 Mdot
.24415 .102 Mdot
.24434 .10048 Mdot
.24453 .09911 Mdot
.24472 .09788 Mdot
.24491 .0968 Mdot
.2451 .09588 Mdot
.24529 .09513 Mdot
.24548 .09454 Mdot
.24567 .09415 Mdot
.24586 .09396 Mdot
.24605 .09398 Mdot
.24624 .09425 Mdot
.24643 .09478 Mdot
.24662 .0956 Mdot
.24681 .09676 Mdot
.247 .0983 Mdot
.24719 .10026 Mdot
.24738 .10272 Mdot
.24757 .10575 Mdot
.24776 .10946 Mdot
.24796 .11396 Mdot
.24815 .11944 Mdot
.24834 .12609 Mdot
.24853 .1342 Mdot
.24872 .14417 Mdot
.24891 .15653 Mdot
.2491 .17211 Mdot
.24929 .19211 Mdot
.24948 .21848 Mdot
.24967 .25454 Mdot
.24986 .30638 Mdot
.25005 .38673 Mdot
.25024 .52701 Mdot
.25138 .46373 Mdot
.25157 .36322 Mdot
.25176 .30092 Mdot
.25195 .25857 Mdot
.25214 .22795 Mdot
.25234 .20481 Mdot
.25253 .18672 Mdot
.25272 .17221 Mdot
.25291 .16032 Mdot
.2531 .15041 Mdot
.25329 .14203 Mdot
.25348 .13486 Mdot
.25367 .12867 Mdot
.25386 .12327 Mdot
.25405 .11852 Mdot
.25424 .11432 Mdot
.25443 .11059 Mdot
.25462 .10725 Mdot
.25481 .10426 Mdot
.255 .10156 Mdot
.25519 .09912 Mdot
.25538 .09692 Mdot
.25557 .09492 Mdot
.25576 .0931 Mdot
.25595 .09146 Mdot
.25614 .08996 Mdot
.25633 .0886 Mdot
.25652 .08736 Mdot
.25672 .08625 Mdot
.25691 .08524 Mdot
.2571 .08434 Mdot
.25729 .08353 Mdot
.25748 .08282 Mdot
.25767 .08219 Mdot
.25786 .08165 Mdot
.25805 .0812 Mdot
.25824 .08082 Mdot
.25843 .08053 Mdot
.25862 .08031 Mdot
.25881 .08017 Mdot
.259 .08012 Mdot
.25919 .08014 Mdot
.25938 .08025 Mdot
.25957 .08044 Mdot
.25976 .08072 Mdot
.25995 .0811 Mdot
.26014 .08157 Mdot
.26033 .08215 Mdot
.26052 .08284 Mdot
.26071 .08365 Mdot
.2609 .08458 Mdot
.2611 .08566 Mdot
.26129 .0869 Mdot
.26148 .08831 Mdot
.26167 .08991 Mdot
.26186 .09173 Mdot
.26205 .09379 Mdot
.26224 .09614 Mdot
.26243 .09882 Mdot
.26262 .10187 Mdot
.26281 .10538 Mdot
.263 .10942 Mdot
.26319 .1141 Mdot
.26338 .11958 Mdot
.26357 .12605 Mdot
.26376 .13377 Mdot
.26395 .1431 Mdot
.26414 .15459 Mdot
.26433 .16902 Mdot
.26452 .18763 Mdot
.26471 .2125 Mdot
.2649 .24729 Mdot
.26509 .29926 Mdot
.26529 .38509 Mdot
.26548 .55323 Mdot
.26624 .57343 Mdot
.26643 .37629 Mdot
.26662 .28034 Mdot
.26681 .2237 Mdot
.267 .1864 Mdot
.26719 .16004 Mdot
.26738 .14047 Mdot
.26757 .1254 Mdot
.26776 .11349 Mdot
.26795 .10385 Mdot
.26814 .09592 Mdot
.26833 .08931 Mdot
.26852 .08374 Mdot
.26871 .07899 Mdot
.2689 .07492 Mdot
.26909 .07141 Mdot
.26928 .06836 Mdot
.26947 .06571 Mdot
.26967 .0634 Mdot
.26986 .06137 Mdot
.27005 .0596 Mdot
.27024 .05805 Mdot
.27043 .05669 Mdot
.27062 .0555 Mdot
.27081 .05447 Mdot
.271 .05358 Mdot
.27119 .05281 Mdot
.27138 .05215 Mdot
.27157 .05159 Mdot
.27176 .05113 Mdot
.27195 .05075 Mdot
.27214 .05044 Mdot
.27233 .05021 Mdot
.27252 .05005 Mdot
.27271 .04995 Mdot
.2729 .04991 Mdot
.27309 .04993 Mdot
.27328 .04999 Mdot
.27347 .05011 Mdot
.27366 .05028 Mdot
.27385 .05049 Mdot
.27405 .05075 Mdot
.27424 .05105 Mdot
.27443 .0514 Mdot
.27462 .05179 Mdot
.27481 .05223 Mdot
.275 .05272 Mdot
.27519 .05325 Mdot
.27538 .05384 Mdot
.27557 .05447 Mdot
.27576 .05516 Mdot
.27595 .05591 Mdot
.27614 .05673 Mdot
.27633 .05761 Mdot
.27652 .05857 Mdot
.27671 .05962 Mdot
.2769 .06076 Mdot
.27709 .06201 Mdot
.27728 .06337 Mdot
.27747 .06488 Mdot
.27766 .06654 Mdot
.27785 .0684 Mdot
.27804 .07048 Mdot
.27823 .07283 Mdot
.27843 .0755 Mdot
.27862 .07857 Mdot
.27881 .08216 Mdot
.279 .08639 Mdot
.27919 .09148 Mdot
.27938 .09773 Mdot
.27957 .10559 Mdot
.27976 .11583 Mdot
.27995 .12973 Mdot
.28014 .14975 Mdot
.28033 .18118 Mdot
.28052 .23785 Mdot
.28071 .37104 Mdot
.28128 .30651 Mdot
.28147 .17999 Mdot
.28166 .12527 Mdot
.28185 .09476 Mdot
.28204 .07537 Mdot
.28223 .06203 Mdot
.28242 .05238 Mdot
.28261 .04521 Mdot
.28281 .03982 Mdot
.283 .03582 Mdot
.28319 .03298 Mdot
.28338 .03112 Mdot
.28357 .03011 Mdot
.28376 .02979 Mdot
.28395 .02999 Mdot
.28414 .03056 Mdot
.28433 .03137 Mdot
.28452 .03233 Mdot
.28471 .03338 Mdot
.2849 .03448 Mdot
.28509 .0356 Mdot
.28528 .03673 Mdot
.28547 .03786 Mdot
.28566 .03899 Mdot
.28585 .04011 Mdot
.28604 .04122 Mdot
.28623 .04233 Mdot
.28642 .04344 Mdot
.28661 .04455 Mdot
.2868 .04565 Mdot
.28699 .04676 Mdot
.28719 .04788 Mdot
.28738 .04901 Mdot
.28757 .05014 Mdot
.28776 .05129 Mdot
.28795 .05246 Mdot
.28814 .05365 Mdot
.28833 .05486 Mdot
.28852 .0561 Mdot
.28871 .05737 Mdot
.2889 .05868 Mdot
.28909 .06003 Mdot
.28928 .06142 Mdot
.28947 .06286 Mdot
.28966 .06436 Mdot
.28985 .06592 Mdot
.29004 .06755 Mdot
.29023 .06926 Mdot
.29042 .07106 Mdot
.29061 .07295 Mdot
.2908 .07495 Mdot
.29099 .07707 Mdot
.29118 .07933 Mdot
.29138 .08174 Mdot
.29157 .08432 Mdot
.29176 .08711 Mdot
.29195 .09012 Mdot
.29214 .09339 Mdot
.29233 .09697 Mdot
.29252 .1009 Mdot
.29271 .10524 Mdot
.2929 .11006 Mdot
.29309 .11547 Mdot
.29328 .12158 Mdot
.29347 .12854 Mdot
.29366 .13656 Mdot
.29385 .1459 Mdot
.29404 .15694 Mdot
.29423 .17019 Mdot
.29442 .18642 Mdot
.29461 .20676 Mdot
.2948 .23301 Mdot
.29499 .26822 Mdot
.29518 .31794 Mdot
.29537 .39345 Mdot
.29556 .52186 Mdot
.29671 .45564 Mdot
.2969 .3472 Mdot
.29709 .28112 Mdot
.29728 .23673 Mdot
.29747 .20494 Mdot
.29766 .18113 Mdot
.29785 .1627 Mdot
.29804 .14807 Mdot
.29823 .13625 Mdot
.29842 .12654 Mdot
.29861 .11848 Mdot
.2988 .11174 Mdot
.29899 .10607 Mdot
.29918 .10128 Mdot
.29937 .09722 Mdot
.29956 .09379 Mdot
.29975 .0909 Mdot
.29994 .08847 Mdot
.30014 .08646 Mdot
.30033 .0848 Mdot
.30052 .08346 Mdot
.30071 .08241 Mdot
.3009 .08161 Mdot
.30109 .08105 Mdot
.30128 .08071 Mdot
.30147 .08056 Mdot
.30166 .08059 Mdot
.30185 .08078 Mdot
.30204 .08114 Mdot
.30223 .08164 Mdot
.30242 .08229 Mdot
.30261 .08307 Mdot
.3028 .08398 Mdot
.30299 .08501 Mdot
.30318 .08618 Mdot
.30337 .08746 Mdot
.30356 .08888 Mdot
.30375 .09041 Mdot
.30394 .09208 Mdot
.30413 .09388 Mdot
.30432 .09581 Mdot
.30452 .09789 Mdot
.30471 .10011 Mdot
.3049 .1025 Mdot
.30509 .10506 Mdot
.30528 .10779 Mdot
.30547 .11073 Mdot
.30566 .11388 Mdot
.30585 .11726 Mdot
.30604 .1209 Mdot
.30623 .12482 Mdot
.30642 .12906 Mdot
.30661 .13365 Mdot
.3068 .13863 Mdot
.30699 .14406 Mdot
.30718 .15 Mdot
.30737 .15651 Mdot
.30756 .1637 Mdot
.30775 .17166 Mdot
.30794 .18054 Mdot
.30813 .19049 Mdot
.30832 .20174 Mdot
.30851 .21454 Mdot
.3087 .22926 Mdot
.3089 .24636 Mdot
.30909 .26647 Mdot
.30928 .29048 Mdot
.30947 .31965 Mdot
.30966 .35585 Mdot
.30985 .40201 Mdot
.31004 .4629 Mdot
.31023 .54697 Mdot
.31213 .57859 Mdot
.31232 .47847 Mdot
.31251 .4079 Mdot
.3127 .35543 Mdot
.31289 .31488 Mdot
.31309 .28258 Mdot
.31328 .25623 Mdot
.31347 .23431 Mdot
.31366 .21578 Mdot
.31385 .1999 Mdot
.31404 .18612 Mdot
.31423 .17405 Mdot
.31442 .16339 Mdot
.31461 .15389 Mdot
.3148 .14536 Mdot
.31499 .13766 Mdot
.31518 .13067 Mdot
.31537 .12429 Mdot
.31556 .11844 Mdot
.31575 .11304 Mdot
.31594 .10806 Mdot
.31613 .10343 Mdot
.31632 .09911 Mdot
.31651 .09508 Mdot
.3167 .09131 Mdot
.31689 .08776 Mdot
.31708 .08441 Mdot
.31727 .08125 Mdot
.31747 .07827 Mdot
.31766 .07543 Mdot
.31785 .07275 Mdot
.31804 .07019 Mdot
.31823 .06776 Mdot
.31842 .06545 Mdot
.31861 .06326 Mdot
.3188 .06117 Mdot
.31899 .05918 Mdot
.31918 .05731 Mdot
.31937 .05554 Mdot
.31956 .05388 Mdot
.31975 .05234 Mdot
.31994 .05092 Mdot
.32013 .04964 Mdot
.32032 .0485 Mdot
.32051 .04753 Mdot
.3207 .04675 Mdot
.32089 .04617 Mdot
.32108 .04583 Mdot
.32127 .04575 Mdot
.32146 .04595 Mdot
.32165 .04647 Mdot
.32185 .04733 Mdot
.32204 .04854 Mdot
.32223 .05015 Mdot
.32242 .05216 Mdot
.32261 .05462 Mdot
.3228 .05754 Mdot
.32299 .06099 Mdot
.32318 .065 Mdot
.32337 .06967 Mdot
.32356 .07509 Mdot
.32375 .0814 Mdot
.32394 .08878 Mdot
.32413 .09749 Mdot
.32432 .10787 Mdot
.32451 .12044 Mdot
.3247 .13593 Mdot
.32489 .15548 Mdot
.32508 .1809 Mdot
.32527 .21533 Mdot
.32546 .26459 Mdot
.32565 .34096 Mdot
.32584 .47549 Mdot
.3268 .57317 Mdot
.32699 .41479 Mdot
.32718 .32858 Mdot
.32737 .27431 Mdot
.32756 .23696 Mdot
.32775 .20966 Mdot
.32794 .18881 Mdot
.32813 .17235 Mdot
.32832 .159 Mdot
.32851 .14796 Mdot
.3287 .13865 Mdot
.32889 .1307 Mdot
.32908 .12382 Mdot
.32927 .1178 Mdot
.32946 .11249 Mdot
.32965 .10776 Mdot
.32984 .10352 Mdot
.33003 .09969 Mdot
.33022 .09622 Mdot
.33041 .09305 Mdot
.33061 .09014 Mdot
.3308 .08747 Mdot
.33099 .085 Mdot
.33118 .0827 Mdot
.33137 .08057 Mdot
.33156 .07858 Mdot
.33175 .07671 Mdot
.33194 .07496 Mdot
.33213 .07332 Mdot
.33232 .07177 Mdot
.33251 .0703 Mdot
.3327 .06891 Mdot
.33289 .0676 Mdot
.33308 .06635 Mdot
.33327 .06516 Mdot
.33346 .06403 Mdot
.33365 .06295 Mdot
.33384 .06191 Mdot
.33403 .06093 Mdot
.33422 .05998 Mdot
.33441 .05908 Mdot
.3346 .05821 Mdot
.33479 .05738 Mdot
.33499 .05658 Mdot
.33518 .05581 Mdot
.33537 .05507 Mdot
.33556 .05436 Mdot
.33575 .05368 Mdot
.33594 .05302 Mdot
.33613 .05238 Mdot
.33632 .05177 Mdot
.33651 .05118 Mdot
.3367 .05062 Mdot
.33689 .05007 Mdot
.33708 .04954 Mdot
.33727 .04903 Mdot
.33746 .04855 Mdot
.33765 .04808 Mdot
.33784 .04762 Mdot
.33803 .04719 Mdot
.33822 .04677 Mdot
.33841 .04637 Mdot
.3386 .04598 Mdot
.33879 .04561 Mdot
.33898 .04526 Mdot
.33918 .04493 Mdot
.33937 .04461 Mdot
.33956 .0443 Mdot
.33975 .04402 Mdot
.33994 .04374 Mdot
.34013 .04349 Mdot
.34032 .04325 Mdot
.34051 .04303 Mdot
.3407 .04282 Mdot
.34089 .04263 Mdot
.34108 .04246 Mdot
.34127 .04231 Mdot
.34165 .04205 Mdot
.34184 .04195 Mdot
.34203 .04187 Mdot
.34222 .04181 Mdot
.34241 .04177 Mdot
.3426 .04175 Mdot
.34279 .04175 Mdot
.34298 .04177 Mdot
.34317 .04182 Mdot
.34336 .04189 Mdot
.34356 .04198 Mdot
.34375 .04209 Mdot
.34394 .04224 Mdot
.34413 .0424 Mdot
.34432 .0426 Mdot
.34451 .04282 Mdot
.3447 .04307 Mdot
.34489 .04336 Mdot
.34508 .04367 Mdot
.34527 .04401 Mdot
.34546 .04439 Mdot
.34565 .04481 Mdot
.34584 .04526 Mdot
.34603 .04574 Mdot
.34622 .04627 Mdot
.34641 .04684 Mdot
.3466 .04744 Mdot
.34679 .0481 Mdot
.34698 .0488 Mdot
.34717 .04955 Mdot
.34736 .05035 Mdot
.34755 .0512 Mdot
.34774 .05211 Mdot
.34794 .05308 Mdot
.34813 .05411 Mdot
.34832 .05521 Mdot
.34851 .05638 Mdot
.3487 .05763 Mdot
.34889 .05896 Mdot
.34908 .06037 Mdot
.34927 .06187 Mdot
.34946 .06348 Mdot
.34965 .06519 Mdot
.34984 .06702 Mdot
.35003 .06897 Mdot
.35022 .07106 Mdot
.35041 .07329 Mdot
.3506 .07568 Mdot
.35079 .07826 Mdot
.35098 .08102 Mdot
.35117 .084 Mdot
.35136 .08722 Mdot
.35155 .0907 Mdot
.35174 .09448 Mdot
.35193 .09859 Mdot
.35212 .10307 Mdot
.35232 .10797 Mdot
.35251 .11336 Mdot
.3527 .1193 Mdot
.35289 .12587 Mdot
.35308 .13319 Mdot
.35327 .14138 Mdot
.35346 .1506 Mdot
.35365 .16104 Mdot
.35384 .17298 Mdot
.35403 .18674 Mdot
.35422 .20276 Mdot
.35441 .22164 Mdot
.3546 .2442 Mdot
.35479 .27164 Mdot
.35498 .30568 Mdot
.35517 .34902 Mdot
.35536 .40602 Mdot
.35555 .48432 Mdot
.35574 .5985 Mdot
.35765 .53046 Mdot
.35784 .45828 Mdot
.35803 .40514 Mdot
.35822 .36444 Mdot
.35841 .33228 Mdot
.3586 .30627 Mdot
.35879 .28481 Mdot
.35898 .26683 Mdot
.35917 .25157 Mdot
.35936 .23846 Mdot
.35955 .2271 Mdot
.35974 .21718 Mdot
.35993 .20845 Mdot
.36012 .20072 Mdot
.36031 .19385 Mdot
.3605 .18771 Mdot
.36069 .1822 Mdot
.36088 .17725 Mdot
.36108 .17278 Mdot
.36127 .16874 Mdot
.36146 .16508 Mdot
.36165 .16177 Mdot
.36184 .15876 Mdot
.36203 .15604 Mdot
.36222 .15356 Mdot
.36241 .15133 Mdot
.3626 .14931 Mdot
.36279 .14749 Mdot
.36298 .14585 Mdot
.36317 .1444 Mdot
.36336 .1431 Mdot
.36355 .14197 Mdot
.36374 .14099 Mdot
.36393 .14015 Mdot
.36412 .13945 Mdot
.36431 .13889 Mdot
.3645 .13847 Mdot
.36469 .13817 Mdot
.36488 .13801 Mdot
.36507 .13799 Mdot
.36527 .1381 Mdot
.36546 .13835 Mdot
.36565 .13874 Mdot
.36584 .13927 Mdot
.36603 .13996 Mdot
.36622 .14081 Mdot
.36641 .14183 Mdot
.3666 .14304 Mdot
.36679 .14444 Mdot
.36698 .14606 Mdot
.36717 .14791 Mdot
.36736 .15002 Mdot
.36755 .15242 Mdot
.36774 .15514 Mdot
.36793 .15823 Mdot
.36812 .16174 Mdot
.36831 .16574 Mdot
.3685 .1703 Mdot
.36869 .17552 Mdot
.36888 .18154 Mdot
.36907 .18852 Mdot
.36926 .19669 Mdot
.36945 .20632 Mdot
.36965 .21784 Mdot
.36984 .23181 Mdot
.37003 .24906 Mdot
.37022 .27085 Mdot
.37041 .29918 Mdot
.3706 .33745 Mdot
.37079 .39191 Mdot
.37098 .47545 Mdot
.37231 .41665 Mdot
.3725 .3074 Mdot
.37269 .23985 Mdot
.37288 .19396 Mdot
.37307 .16072 Mdot
.37326 .13554 Mdot
.37345 .11578 Mdot
.37364 .09986 Mdot
.37383 .08674 Mdot
.37403 .07574 Mdot
.37422 .06637 Mdot
.37441 .0583 Mdot
.3746 .05125 Mdot
.37479 .04505 Mdot
.37498 .03956 Mdot
.37517 .03467 Mdot
.37536 .03032 Mdot
.37555 .02648 Mdot
.37574 .02322 Mdot
.37593 .02082 Mdot
.37612 .01992 Mdot
.37631 .0208 Mdot
.3765 .02269 Mdot
.37669 .02492 Mdot
.37688 .02723 Mdot
.37707 .02952 Mdot
.37726 .03177 Mdot
.37745 .03397 Mdot
.37764 .03613 Mdot
.37783 .03824 Mdot
.37802 .04031 Mdot
.37821 .04235 Mdot
.37841 .04437 Mdot
.3786 .04638 Mdot
.37879 .04838 Mdot
.37898 .05038 Mdot
.37917 .05239 Mdot
.37936 .05442 Mdot
.37955 .05647 Mdot
.37974 .05856 Mdot
.37993 .06069 Mdot
.38012 .06286 Mdot
.38031 .0651 Mdot
.3805 .06741 Mdot
.38069 .0698 Mdot
.38088 .07229 Mdot
.38107 .07488 Mdot
.38126 .0776 Mdot
.38145 .08046 Mdot
.38164 .08348 Mdot
.38183 .08667 Mdot
.38202 .09008 Mdot
.38221 .09372 Mdot
.3824 .09763 Mdot
.38259 .10184 Mdot
.38279 .10641 Mdot
.38298 .11139 Mdot
.38317 .11685 Mdot
.38336 .12287 Mdot
.38355 .12955 Mdot
.38374 .13702 Mdot
.38393 .14543 Mdot
.38412 .155 Mdot
.38431 .16598 Mdot
.3845 .17873 Mdot
.38469 .19372 Mdot
.38488 .21164 Mdot
.38507 .23344 Mdot
.38526 .26056 Mdot
.38545 .29523 Mdot
.38564 .34114 Mdot
.38583 .40488 Mdot
.38602 .49935 Mdot
.38755 .53766 Mdot
.38774 .43036 Mdot
.38793 .35976 Mdot
.38812 .30981 Mdot
.38831 .27262 Mdot
.3885 .2439 Mdot
.38869 .22105 Mdot
.38888 .20248 Mdot
.38907 .1871 Mdot
.38926 .17418 Mdot
.38945 .16319 Mdot
.38964 .15374 Mdot
.38983 .14556 Mdot
.39002 .13842 Mdot
.39021 .13215 Mdot
.3904 .12663 Mdot
.39059 .12174 Mdot
.39078 .1174 Mdot
.39097 .11355 Mdot
.39116 .11012 Mdot
.39136 .10707 Mdot
.39155 .10436 Mdot
.39174 .10196 Mdot
.39193 .09984 Mdot
.39212 .09798 Mdot
.39231 .09636 Mdot
.3925 .09496 Mdot
.39269 .09377 Mdot
.39288 .09278 Mdot
.39307 .09198 Mdot
.39326 .09136 Mdot
.39345 .09091 Mdot
.39364 .09064 Mdot
.39383 .09053 Mdot
.39402 .09058 Mdot
.39421 .09079 Mdot
.3944 .09117 Mdot
.39459 .09171 Mdot
.39478 .09241 Mdot
.39497 .09328 Mdot
.39516 .09432 Mdot
.39535 .09553 Mdot
.39554 .09693 Mdot
.39574 .09852 Mdot
.39593 .10032 Mdot
.39612 .10232 Mdot
.39631 .10456 Mdot
.3965 .10704 Mdot
.39669 .10978 Mdot
.39688 .11282 Mdot
.39707 .11617 Mdot
.39726 .11986 Mdot
.39745 .12395 Mdot
.39764 .12847 Mdot
.39783 .13347 Mdot
.39802 .13903 Mdot
.39821 .14523 Mdot
.3984 .15215 Mdot
.39859 .15993 Mdot
.39878 .16871 Mdot
.39897 .17868 Mdot
.39916 .19009 Mdot
.39935 .20324 Mdot
.39954 .21856 Mdot
.39973 .23659 Mdot
.39992 .25812 Mdot
.40012 .28423 Mdot
.40031 .31655 Mdot
.4005 .35752 Mdot
.40069 .41113 Mdot
.40088 .48425 Mdot
.40107 .5898 Mdot
.40278 .61611 Mdot
.40297 .50847 Mdot
.40316 .43413 Mdot
.40335 .37973 Mdot
.40354 .3382 Mdot
.40373 .30548 Mdot
.40392 .27904 Mdot
.40411 .25724 Mdot
.4043 .23897 Mdot
.4045 .22344 Mdot
.40469 .21008 Mdot
.40488 .19848 Mdot
.40507 .18831 Mdot
.40526 .17933 Mdot
.40545 .17135 Mdot
.40564 .16422 Mdot
.40583 .1578 Mdot
.40602 .15201 Mdot
.40621 .14676 Mdot
.4064 .14198 Mdot
.40659 .13762 Mdot
.40678 .13363 Mdot
.40697 .12996 Mdot
.40716 .12659 Mdot
.40735 .12348 Mdot
.40754 .12062 Mdot
.40773 .11796 Mdot
.40792 .11551 Mdot
.40811 .11324 Mdot
.4083 .11114 Mdot
.40849 .10919 Mdot
.40868 .10738 Mdot
.40888 .10571 Mdot
.40907 .10417 Mdot
.40926 .10275 Mdot
.40945 .10143 Mdot
.40964 .10023 Mdot
.40983 .09913 Mdot
.41002 .09813 Mdot
.41021 .09723 Mdot
.4104 .09642 Mdot
.41059 .09571 Mdot
.41078 .09509 Mdot
.41097 .09456 Mdot
.41116 .09412 Mdot
.41135 .09378 Mdot
.41154 .09353 Mdot
.41173 .09338 Mdot
.41192 .09334 Mdot
.41211 .09341 Mdot
.4123 .09359 Mdot
.41249 .0939 Mdot
.41268 .09434 Mdot
.41287 .09493 Mdot
.41307 .09568 Mdot
.41326 .09662 Mdot
.41345 .09776 Mdot
.41364 .09913 Mdot
.41383 .10077 Mdot
.41402 .10273 Mdot
.41421 .10505 Mdot
.4144 .10783 Mdot
.41459 .11116 Mdot
.41478 .11516 Mdot
.41497 .12002 Mdot
.41516 .12599 Mdot
.41535 .13344 Mdot
.41554 .14293 Mdot
.41573 .15534 Mdot
.41592 .17212 Mdot
.41611 .19597 Mdot
.4163 .23228 Mdot
.41649 .29392 Mdot
.41668 .42075 Mdot
.41745 .316 Mdot
.41764 .20779 Mdot
.41783 .1526 Mdot
.41802 .1192 Mdot
.41821 .09686 Mdot
.4184 .08091 Mdot
.41859 .06896 Mdot
.41878 .05971 Mdot
.41897 .05233 Mdot
.41916 .04634 Mdot
.41935 .04137 Mdot
.41954 .0372 Mdot
.41973 .03365 Mdot
.41992 .0306 Mdot
.42011 .02796 Mdot
.4203 .02566 Mdot
.42049 .02365 Mdot
.42068 .02188 Mdot
.42087 .02034 Mdot
.42106 .01903 Mdot
.42125 .01797 Mdot
.42144 .01725 Mdot
.42163 .01702 Mdot
.42183 .01726 Mdot
.42202 .01779 Mdot
.42221 .01844 Mdot
.4224 .01913 Mdot
.42259 .01981 Mdot
.42278 .02047 Mdot
.42297 .02112 Mdot
.42316 .02174 Mdot
.42335 .02234 Mdot
.42354 .02293 Mdot
.42373 .0235 Mdot
.42392 .02405 Mdot
.42411 .0246 Mdot
.4243 .02513 Mdot
.42449 .02567 Mdot
.42468 .0262 Mdot
.42487 .02673 Mdot
.42506 .02727 Mdot
.42525 .02781 Mdot
.42544 .02837 Mdot
.42563 .02893 Mdot
.42582 .02952 Mdot
.42601 .03012 Mdot
.42621 .03075 Mdot
.4264 .03141 Mdot
.42659 .0321 Mdot
.42678 .03282 Mdot
.42697 .0336 Mdot
.42716 .03442 Mdot
.42735 .0353 Mdot
.42754 .03626 Mdot
.42773 .03728 Mdot
.42792 .0384 Mdot
.42811 .03963 Mdot
.4283 .04097 Mdot
.42849 .04246 Mdot
.42868 .04411 Mdot
.42887 .04596 Mdot
.42906 .04805 Mdot
.42925 .05042 Mdot
.42944 .05313 Mdot
.42963 .05627 Mdot
.42982 .05994 Mdot
.43001 .06429 Mdot
.4302 .06951 Mdot
.43039 .07589 Mdot
.43059 .08385 Mdot
.43078 .09405 Mdot
.43097 .10757 Mdot
.43116 .12628 Mdot
.43135 .15384 Mdot
.43154 .19833 Mdot
.43173 .28198 Mdot
.43192 .49621 Mdot
.43249 .39239 Mdot
.43268 .25725 Mdot
.43287 .19509 Mdot
.43306 .15947 Mdot
.43325 .13647 Mdot
.43344 .12045 Mdot
.43363 .10871 Mdot
.43382 .09978 Mdot
.43401 .0928 Mdot
.4342 .08722 Mdot
.43439 .0827 Mdot
.43458 .07898 Mdot
.43477 .0759 Mdot
.43497 .07334 Mdot
.43516 .07118 Mdot
.43535 .06938 Mdot
.43554 .06787 Mdot
.43573 .06661 Mdot
.43592 .06556 Mdot
.43611 .06471 Mdot
.4363 .06402 Mdot
.43649 .06348 Mdot
.43668 .06308 Mdot
.43687 .06281 Mdot
.43706 .06265 Mdot
.43725 .0626 Mdot
.43744 .06264 Mdot
.43763 .06279 Mdot
.43782 .06302 Mdot
.43801 .06335 Mdot
.4382 .06377 Mdot
.43839 .06427 Mdot
.43858 .06485 Mdot
.43877 .06553 Mdot
.43896 .06629 Mdot
.43916 .06713 Mdot
.43935 .06807 Mdot
.43954 .0691 Mdot
.43973 .07023 Mdot
.43992 .07147 Mdot
.44011 .0728 Mdot
.4403 .07425 Mdot
.44049 .07582 Mdot
.44068 .07752 Mdot
.44087 .07935 Mdot
.44106 .08133 Mdot
.44125 .08347 Mdot
.44144 .08577 Mdot
.44163 .08827 Mdot
.44182 .09097 Mdot
.44201 .0939 Mdot
.4422 .09708 Mdot
.44239 .10054 Mdot
.44258 .10431 Mdot
.44277 .10843 Mdot
.44296 .11294 Mdot
.44315 .11789 Mdot
.44334 .12336 Mdot
.44354 .12942 Mdot
.44373 .13616 Mdot
.44392 .14369 Mdot
.44411 .15216 Mdot
.4443 .16175 Mdot
.44449 .17268 Mdot
.44468 .18525 Mdot
.44487 .19984 Mdot
.44506 .21698 Mdot
.44525 .23738 Mdot
.44544 .26205 Mdot
.44563 .29246 Mdot
.44582 .33088 Mdot
.44601 .38088 Mdot
.4462 .44862 Mdot
.44639 .54549 Mdot
.4483 .51776 Mdot
.44849 .44197 Mdot
.44868 .38692 Mdot
.44887 .34513 Mdot
.44906 .31234 Mdot
.44925 .28594 Mdot
.44944 .26425 Mdot
.44963 .2461 Mdot
.44982 .23072 Mdot
.45001 .21752 Mdot
.4502 .20606 Mdot
.45039 .19605 Mdot
.45058 .18721 Mdot
.45077 .17937 Mdot
.45096 .17236 Mdot
.45115 .16607 Mdot
.45134 .16039 Mdot
.45153 .15525 Mdot
.45172 .15057 Mdot
.45191 .14629 Mdot
.4521 .14238 Mdot
.4523 .13878 Mdot
.45249 .13547 Mdot
.45268 .13241 Mdot
.45287 .12958 Mdot
.45306 .12696 Mdot
.45325 .12452 Mdot
.45344 .12226 Mdot
.45363 .12015 Mdot
.45382 .11818 Mdot
.45401 .11634 Mdot
.4542 .11462 Mdot
.45439 .11301 Mdot
.45458 .11151 Mdot
.45477 .11009 Mdot
.45496 .10877 Mdot
.45515 .10753 Mdot
.45534 .10637 Mdot
.45553 .10527 Mdot
.45572 .10425 Mdot
.45591 .10329 Mdot
.4561 .10238 Mdot
.45629 .10154 Mdot
.45648 .10075 Mdot
.45668 .1 Mdot
.45687 .09931 Mdot
.45706 .09866 Mdot
.45725 .09805 Mdot
.45744 .09749 Mdot
.45763 .09696 Mdot
.45782 .09648 Mdot
.45801 .09603 Mdot
.4582 .09561 Mdot
.45839 .09524 Mdot
.45858 .09489 Mdot
.45877 .09458 Mdot
.45896 .09431 Mdot
.45915 .09407 Mdot
.45934 .09388 Mdot
.45953 .09372 Mdot
.45972 .09361 Mdot
.45991 .09356 Mdot
.4601 .09357 Mdot
.46029 .09368 Mdot
.46048 .09392 Mdot
.46067 .09434 Mdot
.46086 .09504 Mdot
.46106 .09621 Mdot
.46125 .0982 Mdot
.46144 .10172 Mdot
.46163 .1084 Mdot
.46182 .12242 Mdot
.46201 .15693 Mdot
.4622 .27642 Mdot
.46258 .3413 Mdot
.46277 .19837 Mdot
.46296 .15638 Mdot
.46315 .13771 Mdot
.46334 .12772 Mdot
.46353 .1218 Mdot
.46372 .11805 Mdot
.46391 .11559 Mdot
.4641 .11396 Mdot
.46429 .11288 Mdot
.46448 .11221 Mdot
.46467 .11183 Mdot
.46486 .11167 Mdot
.46505 .11171 Mdot
.46525 .11189 Mdot
.46544 .1122 Mdot
.46563 .11262 Mdot
.46582 .11314 Mdot
.46601 .11376 Mdot
.4662 .11446 Mdot
.46639 .11525 Mdot
.46658 .11611 Mdot
.46677 .11705 Mdot
.46696 .11807 Mdot
.46715 .11916 Mdot
.46734 .12033 Mdot
.46753 .12158 Mdot
.46772 .1229 Mdot
.46791 .12431 Mdot
.4681 .12581 Mdot
.46829 .1274 Mdot
.46848 .12907 Mdot
.46867 .13085 Mdot
.46886 .13273 Mdot
.46905 .13471 Mdot
.46924 .13681 Mdot
.46943 .13903 Mdot
.46963 .14138 Mdot
.46982 .14387 Mdot
.47001 .14651 Mdot
.4702 .1493 Mdot
.47039 .15226 Mdot
.47058 .15541 Mdot
.47077 .15875 Mdot
.47096 .16231 Mdot
.47115 .1661 Mdot
.47134 .17015 Mdot
.47153 .17447 Mdot
.47172 .1791 Mdot
.47191 .18407 Mdot
.4721 .1894 Mdot
.47229 .19515 Mdot
.47248 .20135 Mdot
.47267 .20806 Mdot
.47286 .21535 Mdot
.47305 .22328 Mdot
.47324 .23194 Mdot
.47343 .24143 Mdot
.47362 .25188 Mdot
.47381 .26343 Mdot
.47401 .27626 Mdot
.4742 .29059 Mdot
.47439 .3067 Mdot
.47458 .32492 Mdot
.47477 .34571 Mdot
.47496 .36962 Mdot
.47515 .39743 Mdot
.47534 .43014 Mdot
.47553 .46917 Mdot
.47572 .51653 Mdot
.47591 .57518 Mdot
.47915 .55936 Mdot
.47934 .50257 Mdot
.47953 .45657 Mdot
.47972 .41857 Mdot
.47991 .38665 Mdot
.4801 .35948 Mdot
.48029 .33608 Mdot
.48048 .31572 Mdot
.48067 .29785 Mdot
.48086 .28205 Mdot
.48105 .26798 Mdot
.48124 .25538 Mdot
.48143 .24404 Mdot
.48162 .23378 Mdot
.48181 .22446 Mdot
.482 .21596 Mdot
.48219 .20818 Mdot
.48238 .20103 Mdot
.48257 .19446 Mdot
.48277 .18839 Mdot
.48296 .18277 Mdot
.48315 .17757 Mdot
.48334 .17273 Mdot
.48353 .16823 Mdot
.48372 .16404 Mdot
.48391 .16012 Mdot
.4841 .15647 Mdot
.48429 .15305 Mdot
.48448 .14986 Mdot
.48467 .14686 Mdot
.48486 .14406 Mdot
.48505 .14143 Mdot
.48524 .13898 Mdot
.48543 .13668 Mdot
.48562 .13453 Mdot
.48581 .13252 Mdot
.486 .13064 Mdot
.48619 .1289 Mdot
.48638 .12728 Mdot
.48657 .12579 Mdot
.48676 .12441 Mdot
.48695 .12315 Mdot
.48715 .12201 Mdot
.48734 .12098 Mdot
.48753 .12007 Mdot
.48772 .11927 Mdot
.48791 .1186 Mdot
.4881 .11805 Mdot
.48829 .11764 Mdot
.48848 .11737 Mdot
.48867 .11725 Mdot
.48886 .11729 Mdot
.48905 .11751 Mdot
.48924 .11793 Mdot
.48943 .11858 Mdot
.48962 .11949 Mdot
.48981 .12071 Mdot
.49 .1223 Mdot
.49019 .12432 Mdot
.49038 .12689 Mdot
.49057 .13015 Mdot
.49076 .1343 Mdot
.49095 .13963 Mdot
.49114 .14659 Mdot
.49134 .1559 Mdot
.49153 .16875 Mdot
.49172 .18735 Mdot
.49191 .21625 Mdot
.4921 .26643 Mdot
.49229 .37322 Mdot
.49286 .42407 Mdot
.49305 .21518 Mdot
.49324 .13837 Mdot
.49343 .09926 Mdot
.49362 .07627 Mdot
.49381 .06181 Mdot
.494 .05254 Mdot
.49419 .0467 Mdot
.49438 .04325 Mdot
.49457 .04143 Mdot
.49476 .04068 Mdot
.49495 .04059 Mdot
.49514 .04088 Mdot
.49533 .04137 Mdot
.49552 .04195 Mdot
.49572 .04256 Mdot
.49591 .04317 Mdot
.4961 .04374 Mdot
.49629 .04429 Mdot
.49648 .04479 Mdot
.49667 .04525 Mdot
.49686 .04567 Mdot
.49705 .04605 Mdot
.49724 .04639 Mdot
.49743 .0467 Mdot
.49762 .04697 Mdot
.49781 .04722 Mdot
.498 .04744 Mdot
.49819 .04764 Mdot
.49838 .04781 Mdot
.49857 .04796 Mdot
.49876 .04809 Mdot
.49895 .0482 Mdot
.49914 .0483 Mdot
.49933 .04837 Mdot
.49952 .04844 Mdot
.49971 .04848 Mdot
.4999 .04851 Mdot
.5001 .04852 Mdot
.50029 .04852 Mdot
.50048 .04851 Mdot
.50067 .04848 Mdot
.50086 .04844 Mdot
.50105 .04837 Mdot
.50124 .0483 Mdot
.50143 .0482 Mdot
.50162 .04809 Mdot
.50181 .04796 Mdot
.502 .04781 Mdot
.50219 .04764 Mdot
.50238 .04744 Mdot
.50257 .04722 Mdot
.50276 .04697 Mdot
.50295 .0467 Mdot
.50314 .04639 Mdot
.50333 .04605 Mdot
.50352 .04567 Mdot
.50371 .04525 Mdot
.5039 .04479 Mdot
.50409 .04429 Mdot
.50428 .04374 Mdot
.50448 .04317 Mdot
.50467 .04256 Mdot
.50486 .04195 Mdot
.50505 .04137 Mdot
.50524 .04088 Mdot
.50543 .04059 Mdot
.50562 .04068 Mdot
.50581 .04143 Mdot
.506 .04325 Mdot
.50619 .0467 Mdot
.50638 .05254 Mdot
.50657 .06181 Mdot
.50676 .07627 Mdot
.50695 .09926 Mdot
.50714 .13837 Mdot
.50733 .21518 Mdot
.50752 .42407 Mdot
.50809 .37322 Mdot
.50828 .26643 Mdot
.50847 .21625 Mdot
.50866 .18735 Mdot
.50886 .16875 Mdot
.50905 .1559 Mdot
.50924 .14659 Mdot
.50943 .13963 Mdot
.50962 .1343 Mdot
.50981 .13015 Mdot
.51 .12689 Mdot
.51019 .12432 Mdot
.51038 .1223 Mdot
.51057 .12071 Mdot
.51076 .11949 Mdot
.51095 .11858 Mdot
.51114 .11793 Mdot
.51133 .11751 Mdot
.51152 .11729 Mdot
.51171 .11725 Mdot
.5119 .11737 Mdot
.51209 .11764 Mdot
.51228 .11805 Mdot
.51247 .1186 Mdot
.51266 .11927 Mdot
.51285 .12007 Mdot
.51305 .12098 Mdot
.51324 .12201 Mdot
.51343 .12315 Mdot
.51362 .12441 Mdot
.51381 .12579 Mdot
.514 .12728 Mdot
.51419 .1289 Mdot
.51438 .13064 Mdot
.51457 .13252 Mdot
.51476 .13453 Mdot
.51495 .13668 Mdot
.51514 .13898 Mdot
.51533 .14143 Mdot
.51552 .14406 Mdot
.51571 .14686 Mdot
.5159 .14986 Mdot
.51609 .15305 Mdot
.51628 .15647 Mdot
.51647 .16012 Mdot
.51666 .16404 Mdot
.51685 .16823 Mdot
.51704 .17273 Mdot
.51723 .17757 Mdot
.51743 .18277 Mdot
.51762 .18839 Mdot
.51781 .19446 Mdot
.518 .20103 Mdot
.51819 .20818 Mdot
.51838 .21596 Mdot
.51857 .22446 Mdot
.51876 .23378 Mdot
.51895 .24404 Mdot
.51914 .25538 Mdot
.51933 .26798 Mdot
.51952 .28205 Mdot
.51971 .29785 Mdot
.5199 .31572 Mdot
.52009 .33608 Mdot
.52028 .35948 Mdot
.52047 .38665 Mdot
.52066 .41857 Mdot
.52085 .45657 Mdot
.52104 .50257 Mdot
.52123 .55936 Mdot
.52447 .57518 Mdot
.52466 .51653 Mdot
.52485 .46917 Mdot
.52504 .43014 Mdot
.52523 .39743 Mdot
.52542 .36962 Mdot
.52561 .34571 Mdot
.5258 .32492 Mdot
.52599 .3067 Mdot
.52619 .29059 Mdot
.52638 .27626 Mdot
.52657 .26343 Mdot
.52676 .25188 Mdot
.52695 .24143 Mdot
.52714 .23194 Mdot
.52733 .22328 Mdot
.52752 .21535 Mdot
.52771 .20806 Mdot
.5279 .20135 Mdot
.52809 .19515 Mdot
.52828 .1894 Mdot
.52847 .18407 Mdot
.52866 .1791 Mdot
.52885 .17447 Mdot
.52904 .17015 Mdot
.52923 .1661 Mdot
.52942 .16231 Mdot
.52961 .15875 Mdot
.5298 .15541 Mdot
.52999 .15226 Mdot
.53018 .1493 Mdot
.53037 .14651 Mdot
.53057 .14387 Mdot
.53076 .14138 Mdot
.53095 .13903 Mdot
.53114 .13681 Mdot
.53133 .13471 Mdot
.53152 .13273 Mdot
.53171 .13085 Mdot
.5319 .12907 Mdot
.53209 .1274 Mdot
.53228 .12581 Mdot
.53247 .12431 Mdot
.53266 .1229 Mdot
.53285 .12158 Mdot
.53304 .12033 Mdot
.53323 .11916 Mdot
.53342 .11807 Mdot
.53361 .11705 Mdot
.5338 .11611 Mdot
.53399 .11525 Mdot
.53418 .11446 Mdot
.53437 .11376 Mdot
.53456 .11314 Mdot
.53475 .11262 Mdot
.53495 .1122 Mdot
.53514 .11189 Mdot
.53533 .11171 Mdot
.53552 .11167 Mdot
.53571 .11183 Mdot
.5359 .11221 Mdot
.53609 .11288 Mdot
.53628 .11396 Mdot
.53647 .11559 Mdot
.53666 .11805 Mdot
.53685 .1218 Mdot
.53704 .12772 Mdot
.53723 .13771 Mdot
.53742 .15638 Mdot
.53761 .19837 Mdot
.5378 .3413 Mdot
.53818 .27642 Mdot
.53837 .15693 Mdot
.53856 .12242 Mdot
.53875 .1084 Mdot
.53894 .10172 Mdot
.53914 .0982 Mdot
.53933 .09621 Mdot
.53952 .09504 Mdot
.53971 .09434 Mdot
.5399 .09392 Mdot
.54009 .09368 Mdot
.54028 .09357 Mdot
.54047 .09356 Mdot
.54066 .09361 Mdot
.54085 .09372 Mdot
.54104 .09388 Mdot
.54123 .09407 Mdot
.54142 .09431 Mdot
.54161 .09458 Mdot
.5418 .09489 Mdot
.54199 .09524 Mdot
.54218 .09561 Mdot
.54237 .09603 Mdot
.54256 .09648 Mdot
.54275 .09696 Mdot
.54294 .09749 Mdot
.54313 .09805 Mdot
.54332 .09866 Mdot
.54352 .09931 Mdot
.54371 .1 Mdot
.5439 .10075 Mdot
.54409 .10154 Mdot
.54428 .10238 Mdot
.54447 .10329 Mdot
.54466 .10425 Mdot
.54485 .10527 Mdot
.54504 .10637 Mdot
.54523 .10753 Mdot
.54542 .10877 Mdot
.54561 .11009 Mdot
.5458 .11151 Mdot
.54599 .11301 Mdot
.54618 .11462 Mdot
.54637 .11634 Mdot
.54656 .11818 Mdot
.54675 .12015 Mdot
.54694 .12226 Mdot
.54713 .12452 Mdot
.54732 .12696 Mdot
.54751 .12958 Mdot
.5477 .13241 Mdot
.5479 .13547 Mdot
.54809 .13878 Mdot
.54828 .14238 Mdot
.54847 .14629 Mdot
.54866 .15057 Mdot
.54885 .15525 Mdot
.54904 .16039 Mdot
.54923 .16607 Mdot
.54942 .17236 Mdot
.54961 .17937 Mdot
.5498 .18721 Mdot
.54999 .19605 Mdot
.55018 .20606 Mdot
.55037 .21752 Mdot
.55056 .23072 Mdot
.55075 .2461 Mdot
.55094 .26425 Mdot
.55113 .28594 Mdot
.55132 .31234 Mdot
.55151 .34513 Mdot
.5517 .38692 Mdot
.55189 .44197 Mdot
.55208 .51776 Mdot
.55399 .54549 Mdot
.55418 .44862 Mdot
.55437 .38088 Mdot
.55456 .33088 Mdot
.55475 .29246 Mdot
.55494 .26205 Mdot
.55513 .23738 Mdot
.55532 .21698 Mdot
.55551 .19984 Mdot
.5557 .18525 Mdot
.55589 .17268 Mdot
.55608 .16175 Mdot
.55627 .15216 Mdot
.55646 .14369 Mdot
.55666 .13616 Mdot
.55685 .12942 Mdot
.55704 .12336 Mdot
.55723 .11789 Mdot
.55742 .11294 Mdot
.55761 .10843 Mdot
.5578 .10431 Mdot
.55799 .10054 Mdot
.55818 .09708 Mdot
.55837 .0939 Mdot
.55856 .09097 Mdot
.55875 .08827 Mdot
.55894 .08577 Mdot
.55913 .08347 Mdot
.55932 .08133 Mdot
.55951 .07935 Mdot
.5597 .07752 Mdot
.55989 .07582 Mdot
.56008 .07425 Mdot
.56027 .0728 Mdot
.56046 .07147 Mdot
.56065 .07023 Mdot
.56084 .0691 Mdot
.56104 .06807 Mdot
.56123 .06713 Mdot
.56142 .06629 Mdot
.56161 .06553 Mdot
.5618 .06485 Mdot
.56199 .06427 Mdot
.56218 .06377 Mdot
.56237 .06335 Mdot
.56256 .06302 Mdot
.56275 .06279 Mdot
.56294 .06264 Mdot
.56313 .0626 Mdot
.56332 .06265 Mdot
.56351 .06281 Mdot
.5637 .06308 Mdot
.56389 .06348 Mdot
.56408 .06402 Mdot
.56427 .06471 Mdot
.56446 .06556 Mdot
.56465 .06661 Mdot
.56484 .06787 Mdot
.56503 .06938 Mdot
.56523 .07118 Mdot
.56542 .07334 Mdot
.56561 .0759 Mdot
.5658 .07898 Mdot
.56599 .0827 Mdot
.56618 .08722 Mdot
.56637 .0928 Mdot
.56656 .09978 Mdot
.56675 .10871 Mdot
.56694 .12045 Mdot
.56713 .13647 Mdot
.56732 .15947 Mdot
.56751 .19509 Mdot
.5677 .25725 Mdot
.56789 .39239 Mdot
.56846 .49621 Mdot
.56865 .28198 Mdot
.56884 .19833 Mdot
.56903 .15384 Mdot
.56922 .12628 Mdot
.56941 .10757 Mdot
.56961 .09405 Mdot
.5698 .08385 Mdot
.56999 .07589 Mdot
.57018 .06951 Mdot
.57037 .06429 Mdot
.57056 .05994 Mdot
.57075 .05627 Mdot
.57094 .05313 Mdot
.57113 .05042 Mdot
.57132 .04805 Mdot
.57151 .04596 Mdot
.5717 .04411 Mdot
.57189 .04246 Mdot
.57208 .04097 Mdot
.57227 .03963 Mdot
.57246 .0384 Mdot
.57265 .03728 Mdot
.57284 .03626 Mdot
.57303 .0353 Mdot
.57322 .03442 Mdot
.57341 .0336 Mdot
.5736 .03282 Mdot
.57379 .0321 Mdot
.57399 .03141 Mdot
.57418 .03075 Mdot
.57437 .03012 Mdot
.57456 .02952 Mdot
.57475 .02893 Mdot
.57494 .02837 Mdot
.57513 .02781 Mdot
.57532 .02727 Mdot
.57551 .02673 Mdot
.5757 .0262 Mdot
.57589 .02567 Mdot
.57608 .02513 Mdot
.57627 .0246 Mdot
.57646 .02405 Mdot
.57665 .0235 Mdot
.57684 .02293 Mdot
.57703 .02234 Mdot
.57722 .02174 Mdot
.57741 .02112 Mdot
.5776 .02047 Mdot
.57779 .01981 Mdot
.57798 .01913 Mdot
.57817 .01844 Mdot
.57837 .01779 Mdot
.57856 .01726 Mdot
.57875 .01702 Mdot
.57894 .01725 Mdot
.57913 .01797 Mdot
.57932 .01903 Mdot
.57951 .02034 Mdot
.5797 .02188 Mdot
.57989 .02365 Mdot
.58008 .02566 Mdot
.58027 .02796 Mdot
.58046 .0306 Mdot
.58065 .03365 Mdot
.58084 .0372 Mdot
.58103 .04137 Mdot
.58122 .04634 Mdot
.58141 .05233 Mdot
.5816 .05971 Mdot
.58179 .06896 Mdot
.58198 .08091 Mdot
.58217 .09686 Mdot
.58236 .1192 Mdot
.58255 .1526 Mdot
.58275 .20779 Mdot
.58294 .316 Mdot
.5837 .42075 Mdot
.58389 .29392 Mdot
.58408 .23228 Mdot
.58427 .19597 Mdot
.58446 .17212 Mdot
.58465 .15534 Mdot
.58484 .14293 Mdot
.58503 .13344 Mdot
.58522 .12599 Mdot
.58541 .12002 Mdot
.5856 .11516 Mdot
.58579 .11116 Mdot
.58598 .10783 Mdot
.58617 .10505 Mdot
.58636 .10273 Mdot
.58655 .10077 Mdot
.58674 .09913 Mdot
.58693 .09776 Mdot
.58713 .09662 Mdot
.58732 .09568 Mdot
.58751 .09493 Mdot
.5877 .09434 Mdot
.58789 .0939 Mdot
.58808 .09359 Mdot
.58827 .09341 Mdot
.58846 .09334 Mdot
.58865 .09338 Mdot
.58884 .09353 Mdot
.58903 .09378 Mdot
.58922 .09412 Mdot
.58941 .09456 Mdot
.5896 .09509 Mdot
.58979 .09571 Mdot
.58998 .09642 Mdot
.59017 .09723 Mdot
.59036 .09813 Mdot
.59055 .09913 Mdot
.59074 .10023 Mdot
.59093 .10143 Mdot
.59112 .10275 Mdot
.59132 .10417 Mdot
.59151 .10571 Mdot
.5917 .10738 Mdot
.59189 .10919 Mdot
.59208 .11114 Mdot
.59227 .11324 Mdot
.59246 .11551 Mdot
.59265 .11796 Mdot
.59284 .12062 Mdot
.59303 .12348 Mdot
.59322 .12659 Mdot
.59341 .12996 Mdot
.5936 .13363 Mdot
.59379 .13762 Mdot
.59398 .14198 Mdot
.59417 .14676 Mdot
.59436 .15201 Mdot
.59455 .1578 Mdot
.59474 .16422 Mdot
.59493 .17135 Mdot
.59512 .17933 Mdot
.59531 .18831 Mdot
.5955 .19848 Mdot
.5957 .21008 Mdot
.59589 .22344 Mdot
.59608 .23897 Mdot
.59627 .25724 Mdot
.59646 .27904 Mdot
.59665 .30548 Mdot
.59684 .3382 Mdot
.59703 .37973 Mdot
.59722 .43413 Mdot
.59741 .50847 Mdot
.5976 .61611 Mdot
.59931 .5898 Mdot
.5995 .48425 Mdot
.59969 .41113 Mdot
.59988 .35752 Mdot
.60008 .31655 Mdot
.60027 .28423 Mdot
.60046 .25812 Mdot
.60065 .23659 Mdot
.60084 .21856 Mdot
.60103 .20324 Mdot
.60122 .19009 Mdot
.60141 .17868 Mdot
.6016 .16871 Mdot
.60179 .15993 Mdot
.60198 .15215 Mdot
.60217 .14523 Mdot
.60236 .13903 Mdot
.60255 .13347 Mdot
.60274 .12847 Mdot
.60293 .12395 Mdot
.60312 .11986 Mdot
.60331 .11617 Mdot
.6035 .11282 Mdot
.60369 .10978 Mdot
.60388 .10704 Mdot
.60407 .10456 Mdot
.60426 .10232 Mdot
.60446 .10032 Mdot
.60465 .09852 Mdot
.60484 .09693 Mdot
.60503 .09553 Mdot
.60522 .09432 Mdot
.60541 .09328 Mdot
.6056 .09241 Mdot
.60579 .09171 Mdot
.60598 .09117 Mdot
.60617 .09079 Mdot
.60636 .09058 Mdot
.60655 .09053 Mdot
.60674 .09064 Mdot
.60693 .09091 Mdot
.60712 .09136 Mdot
.60731 .09198 Mdot
.6075 .09278 Mdot
.60769 .09377 Mdot
.60788 .09496 Mdot
.60807 .09636 Mdot
.60826 .09798 Mdot
.60845 .09984 Mdot
.60864 .10196 Mdot
.60884 .10436 Mdot
.60903 .10707 Mdot
.60922 .11012 Mdot
.60941 .11355 Mdot
.6096 .1174 Mdot
.60979 .12174 Mdot
.60998 .12663 Mdot
.61017 .13215 Mdot
.61036 .13842 Mdot
.61055 .14556 Mdot
.61074 .15374 Mdot
.61093 .16319 Mdot
.61112 .17418 Mdot
.61131 .1871 Mdot
.6115 .20248 Mdot
.61169 .22105 Mdot
.61188 .2439 Mdot
.61207 .27262 Mdot
.61226 .30981 Mdot
.61245 .35976 Mdot
.61264 .43036 Mdot
.61283 .53766 Mdot
.61436 .49935 Mdot
.61455 .40488 Mdot
.61474 .34114 Mdot
.61493 .29523 Mdot
.61512 .26056 Mdot
.61531 .23344 Mdot
.6155 .21164 Mdot
.61569 .19372 Mdot
.61588 .17873 Mdot
.61607 .16598 Mdot
.61626 .155 Mdot
.61645 .14543 Mdot
.61664 .13702 Mdot
.61683 .12955 Mdot
.61702 .12287 Mdot
.61721 .11685 Mdot
.61741 .11139 Mdot
.6176 .10641 Mdot
.61779 .10184 Mdot
.61798 .09763 Mdot
.61817 .09372 Mdot
.61836 .09008 Mdot
.61855 .08667 Mdot
.61874 .08348 Mdot
.61893 .08046 Mdot
.61912 .0776 Mdot
.61931 .07488 Mdot
.6195 .07229 Mdot
.61969 .0698 Mdot
.61988 .06741 Mdot
.62007 .0651 Mdot
.62026 .06286 Mdot
.62045 .06069 Mdot
.62064 .05856 Mdot
.62083 .05647 Mdot
.62102 .05442 Mdot
.62121 .05239 Mdot
.6214 .05038 Mdot
.62159 .04838 Mdot
.62179 .04638 Mdot
.62198 .04437 Mdot
.62217 .04235 Mdot
.62236 .04031 Mdot
.62255 .03824 Mdot
.62274 .03613 Mdot
.62293 .03397 Mdot
.62312 .03177 Mdot
.62331 .02952 Mdot
.6235 .02723 Mdot
.62369 .02492 Mdot
.62388 .02269 Mdot
.62407 .0208 Mdot
.62426 .01992 Mdot
.62445 .02082 Mdot
.62464 .02322 Mdot
.62483 .02648 Mdot
.62502 .03032 Mdot
.62521 .03467 Mdot
.6254 .03956 Mdot
.62559 .04505 Mdot
.62578 .05125 Mdot
.62597 .0583 Mdot
.62617 .06637 Mdot
.62636 .07574 Mdot
.62655 .08674 Mdot
.62674 .09986 Mdot
.62693 .11578 Mdot
.62712 .13554 Mdot
.62731 .16072 Mdot
.6275 .19396 Mdot
.62769 .23985 Mdot
.62788 .3074 Mdot
.62807 .41665 Mdot
.6294 .47545 Mdot
.62959 .39191 Mdot
.62978 .33745 Mdot
.62997 .29918 Mdot
.63016 .27085 Mdot
.63035 .24906 Mdot
.63055 .23181 Mdot
.63074 .21784 Mdot
.63093 .20632 Mdot
.63112 .19669 Mdot
.63131 .18852 Mdot
.6315 .18154 Mdot
.63169 .17552 Mdot
.63188 .1703 Mdot
.63207 .16574 Mdot
.63226 .16174 Mdot
.63245 .15823 Mdot
.63264 .15514 Mdot
.63283 .15242 Mdot
.63302 .15002 Mdot
.63321 .14791 Mdot
.6334 .14606 Mdot
.63359 .14444 Mdot
.63378 .14304 Mdot
.63397 .14183 Mdot
.63416 .14081 Mdot
.63435 .13996 Mdot
.63454 .13927 Mdot
.63473 .13874 Mdot
.63493 .13835 Mdot
.63512 .1381 Mdot
.63531 .13799 Mdot
.6355 .13801 Mdot
.63569 .13817 Mdot
.63588 .13847 Mdot
.63607 .13889 Mdot
.63626 .13945 Mdot
.63645 .14015 Mdot
.63664 .14099 Mdot
.63683 .14197 Mdot
.63702 .1431 Mdot
.63721 .1444 Mdot
.6374 .14585 Mdot
.63759 .14749 Mdot
.63778 .14931 Mdot
.63797 .15133 Mdot
.63816 .15356 Mdot
.63835 .15604 Mdot
.63854 .15876 Mdot
.63873 .16177 Mdot
.63892 .16508 Mdot
.63912 .16874 Mdot
.63931 .17278 Mdot
.6395 .17725 Mdot
.63969 .1822 Mdot
.63988 .18771 Mdot
.64007 .19385 Mdot
.64026 .20072 Mdot
.64045 .20845 Mdot
.64064 .21718 Mdot
.64083 .2271 Mdot
.64102 .23846 Mdot
.64121 .25157 Mdot
.6414 .26683 Mdot
.64159 .28481 Mdot
.64178 .30627 Mdot
.64197 .33228 Mdot
.64216 .36444 Mdot
.64235 .40514 Mdot
.64254 .45828 Mdot
.64273 .53046 Mdot
.64464 .5985 Mdot
.64483 .48432 Mdot
.64502 .40602 Mdot
.64521 .34902 Mdot
.6454 .30568 Mdot
.64559 .27164 Mdot
.64578 .2442 Mdot
.64597 .22164 Mdot
.64616 .20276 Mdot
.64635 .18674 Mdot
.64654 .17298 Mdot
.64673 .16104 Mdot
.64692 .1506 Mdot
.64711 .14138 Mdot
.6473 .13319 Mdot
.64749 .12587 Mdot
.64768 .1193 Mdot
.64788 .11336 Mdot
.64807 .10797 Mdot
.64826 .10307 Mdot
.64845 .09859 Mdot
.64864 .09448 Mdot
.64883 .0907 Mdot
.64902 .08722 Mdot
.64921 .084 Mdot
.6494 .08102 Mdot
.64959 .07826 Mdot
.64978 .07568 Mdot
.64997 .07329 Mdot
.65016 .07106 Mdot
.65035 .06897 Mdot
.65054 .06702 Mdot
.65073 .06519 Mdot
.65092 .06348 Mdot
.65111 .06187 Mdot
.6513 .06037 Mdot
.65149 .05896 Mdot
.65168 .05763 Mdot
.65187 .05638 Mdot
.65206 .05521 Mdot
.65226 .05411 Mdot
.65245 .05308 Mdot
.65264 .05211 Mdot
.65283 .0512 Mdot
.65302 .05035 Mdot
.65321 .04955 Mdot
.6534 .0488 Mdot
.65359 .0481 Mdot
.65378 .04744 Mdot
.65397 .04684 Mdot
.65416 .04627 Mdot
.65435 .04574 Mdot
.65454 .04526 Mdot
.65473 .04481 Mdot
.65492 .04439 Mdot
.65511 .04401 Mdot
.6553 .04367 Mdot
.65549 .04336 Mdot
.65568 .04307 Mdot
.65587 .04282 Mdot
.65606 .0426 Mdot
.65625 .0424 Mdot
.65644 .04224 Mdot
.65664 .04209 Mdot
.65683 .04198 Mdot
.65702 .04189 Mdot
.65721 .04182 Mdot
.6574 .04177 Mdot
.65759 .04175 Mdot
.65778 .04175 Mdot
.65797 .04177 Mdot
.65816 .04181 Mdot
.65835 .04187 Mdot
.65854 .04195 Mdot
.65873 .04205 Mdot
.65911 .04231 Mdot
.6593 .04246 Mdot
.65949 .04263 Mdot
.65968 .04282 Mdot
.65987 .04303 Mdot
.66006 .04325 Mdot
.66025 .04349 Mdot
.66044 .04374 Mdot
.66063 .04402 Mdot
.66082 .0443 Mdot
.66102 .04461 Mdot
.66121 .04493 Mdot
.6614 .04526 Mdot
.66159 .04561 Mdot
.66178 .04598 Mdot
.66197 .04637 Mdot
.66216 .04677 Mdot
.66235 .04719 Mdot
.66254 .04762 Mdot
.66273 .04808 Mdot
.66292 .04855 Mdot
.66311 .04903 Mdot
.6633 .04954 Mdot
.66349 .05007 Mdot
.66368 .05062 Mdot
.66387 .05118 Mdot
.66406 .05177 Mdot
.66425 .05238 Mdot
.66444 .05302 Mdot
.66463 .05368 Mdot
.66482 .05436 Mdot
.66501 .05507 Mdot
.66521 .05581 Mdot
.6654 .05658 Mdot
.66559 .05738 Mdot
.66578 .05821 Mdot
.66597 .05908 Mdot
.66616 .05998 Mdot
.66635 .06093 Mdot
.66654 .06191 Mdot
.66673 .06295 Mdot
.66692 .06403 Mdot
.66711 .06516 Mdot
.6673 .06635 Mdot
.66749 .0676 Mdot
.66768 .06891 Mdot
.66787 .0703 Mdot
.66806 .07177 Mdot
.66825 .07332 Mdot
.66844 .07496 Mdot
.66863 .07671 Mdot
.66882 .07858 Mdot
.66901 .08057 Mdot
.6692 .0827 Mdot
.66939 .085 Mdot
.66959 .08747 Mdot
.66978 .09014 Mdot
.66997 .09305 Mdot
.67016 .09622 Mdot
.67035 .09969 Mdot
.67054 .10352 Mdot
.67073 .10776 Mdot
.67092 .11249 Mdot
.67111 .1178 Mdot
.6713 .12382 Mdot
.67149 .1307 Mdot
.67168 .13865 Mdot
.67187 .14796 Mdot
.67206 .159 Mdot
.67225 .17235 Mdot
.67244 .18881 Mdot
.67263 .20966 Mdot
.67282 .23696 Mdot
.67301 .27431 Mdot
.6732 .32858 Mdot
.67339 .41479 Mdot
.67358 .57317 Mdot
.67454 .47549 Mdot
.67473 .34096 Mdot
.67492 .26459 Mdot
.67511 .21533 Mdot
.6753 .1809 Mdot
.67549 .15548 Mdot
.67568 .13593 Mdot
.67587 .12044 Mdot
.67606 .10787 Mdot
.67625 .09749 Mdot
.67644 .08878 Mdot
.67663 .0814 Mdot
.67682 .07509 Mdot
.67701 .06967 Mdot
.6772 .065 Mdot
.67739 .06099 Mdot
.67758 .05754 Mdot
.67777 .05462 Mdot
.67796 .05216 Mdot
.67815 .05015 Mdot
.67835 .04854 Mdot
.67854 .04733 Mdot
.67873 .04647 Mdot
.67892 .04595 Mdot
.67911 .04575 Mdot
.6793 .04583 Mdot
.67949 .04617 Mdot
.67968 .04675 Mdot
.67987 .04753 Mdot
.68006 .0485 Mdot
.68025 .04964 Mdot
.68044 .05092 Mdot
.68063 .05234 Mdot
.68082 .05388 Mdot
.68101 .05554 Mdot
.6812 .05731 Mdot
.68139 .05918 Mdot
.68158 .06117 Mdot
.68177 .06326 Mdot
.68196 .06545 Mdot
.68215 .06776 Mdot
.68234 .07019 Mdot
.68253 .07275 Mdot
.68273 .07543 Mdot
.68292 .07827 Mdot
.68311 .08125 Mdot
.6833 .08441 Mdot
.68349 .08776 Mdot
.68368 .09131 Mdot
.68387 .09508 Mdot
.68406 .09911 Mdot
.68425 .10343 Mdot
.68444 .10806 Mdot
.68463 .11304 Mdot
.68482 .11844 Mdot
.68501 .12429 Mdot
.6852 .13067 Mdot
.68539 .13766 Mdot
.68558 .14536 Mdot
.68577 .15389 Mdot
.68596 .16339 Mdot
.68615 .17405 Mdot
.68634 .18612 Mdot
.68653 .1999 Mdot
.68672 .21578 Mdot
.68691 .23431 Mdot
.68711 .25623 Mdot
.6873 .28258 Mdot
.68749 .31488 Mdot
.68768 .35543 Mdot
.68787 .4079 Mdot
.68806 .47847 Mdot
.68825 .57859 Mdot
.69015 .54697 Mdot
.69034 .4629 Mdot
.69053 .40201 Mdot
.69072 .35585 Mdot
.69091 .31965 Mdot
.6911 .29048 Mdot
.6913 .26647 Mdot
.69149 .24636 Mdot
.69168 .22926 Mdot
.69187 .21454 Mdot
.69206 .20174 Mdot
.69225 .19049 Mdot
.69244 .18054 Mdot
.69263 .17166 Mdot
.69282 .1637 Mdot
.69301 .15651 Mdot
.6932 .15 Mdot
.69339 .14406 Mdot
.69358 .13863 Mdot
.69377 .13365 Mdot
.69396 .12906 Mdot
.69415 .12482 Mdot
.69434 .1209 Mdot
.69453 .11726 Mdot
.69472 .11388 Mdot
.69491 .11073 Mdot
.6951 .10779 Mdot
.69529 .10506 Mdot
.69548 .1025 Mdot
.69568 .10011 Mdot
.69587 .09789 Mdot
.69606 .09581 Mdot
.69625 .09388 Mdot
.69644 .09208 Mdot
.69663 .09041 Mdot
.69682 .08888 Mdot
.69701 .08746 Mdot
.6972 .08618 Mdot
.69739 .08501 Mdot
.69758 .08398 Mdot
.69777 .08307 Mdot
.69796 .08229 Mdot
.69815 .08164 Mdot
.69834 .08114 Mdot
.69853 .08078 Mdot
.69872 .08059 Mdot
.69891 .08056 Mdot
.6991 .08071 Mdot
.69929 .08105 Mdot
.69948 .08161 Mdot
.69967 .08241 Mdot
.69986 .08346 Mdot
.70006 .0848 Mdot
.70025 .08646 Mdot
.70044 .08847 Mdot
.70063 .0909 Mdot
.70082 .09379 Mdot
.70101 .09722 Mdot
.7012 .10128 Mdot
.70139 .10607 Mdot
.70158 .11174 Mdot
.70177 .11848 Mdot
.70196 .12654 Mdot
.70215 .13625 Mdot
.70234 .14807 Mdot
.70253 .1627 Mdot
.70272 .18113 Mdot
.70291 .20494 Mdot
.7031 .23673 Mdot
.70329 .28112 Mdot
.70348 .3472 Mdot
.70367 .45564 Mdot
.70482 .52186 Mdot
.70501 .39345 Mdot
.7052 .31794 Mdot
.70539 .26822 Mdot
.70558 .23301 Mdot
.70577 .20676 Mdot
.70596 .18642 Mdot
.70615 .17019 Mdot
.70634 .15694 Mdot
.70653 .1459 Mdot
.70672 .13656 Mdot
.70691 .12854 Mdot
.7071 .12158 Mdot
.70729 .11547 Mdot
.70748 .11006 Mdot
.70767 .10524 Mdot
.70786 .1009 Mdot
.70805 .09697 Mdot
.70824 .09339 Mdot
.70843 .09012 Mdot
.70862 .08711 Mdot
.70882 .08432 Mdot
.70901 .08174 Mdot
.7092 .07933 Mdot
.70939 .07707 Mdot
.70958 .07495 Mdot
.70977 .07295 Mdot
.70996 .07106 Mdot
.71015 .06926 Mdot
.71034 .06755 Mdot
.71053 .06592 Mdot
.71072 .06436 Mdot
.71091 .06286 Mdot
.7111 .06142 Mdot
.71129 .06003 Mdot
.71148 .05868 Mdot
.71167 .05737 Mdot
.71186 .0561 Mdot
.71205 .05486 Mdot
.71224 .05365 Mdot
.71243 .05246 Mdot
.71262 .05129 Mdot
.71281 .05014 Mdot
.71301 .04901 Mdot
.7132 .04788 Mdot
.71339 .04676 Mdot
.71358 .04565 Mdot
.71377 .04455 Mdot
.71396 .04344 Mdot
.71415 .04233 Mdot
.71434 .04122 Mdot
.71453 .04011 Mdot
.71472 .03899 Mdot
.71491 .03786 Mdot
.7151 .03673 Mdot
.71529 .0356 Mdot
.71548 .03448 Mdot
.71567 .03338 Mdot
.71586 .03233 Mdot
.71605 .03137 Mdot
.71624 .03056 Mdot
.71643 .02999 Mdot
.71662 .02979 Mdot
.71681 .03011 Mdot
.717 .03112 Mdot
.71719 .03298 Mdot
.71739 .03582 Mdot
.71758 .03982 Mdot
.71777 .04521 Mdot
.71796 .05238 Mdot
.71815 .06203 Mdot
.71834 .07537 Mdot
.71853 .09476 Mdot
.71872 .12527 Mdot
.71891 .17999 Mdot
.7191 .30651 Mdot
.71967 .37104 Mdot
.71986 .23785 Mdot
.72005 .18118 Mdot
.72024 .14975 Mdot
.72043 .12973 Mdot
.72062 .11583 Mdot
.72081 .10559 Mdot
.721 .09773 Mdot
.72119 .09148 Mdot
.72138 .08639 Mdot
.72157 .08216 Mdot
.72177 .07857 Mdot
.72196 .0755 Mdot
.72215 .07283 Mdot
.72234 .07048 Mdot
.72253 .0684 Mdot
.72272 .06654 Mdot
.72291 .06488 Mdot
.7231 .06337 Mdot
.72329 .06201 Mdot
.72348 .06076 Mdot
.72367 .05962 Mdot
.72386 .05857 Mdot
.72405 .05761 Mdot
.72424 .05673 Mdot
.72443 .05591 Mdot
.72462 .05516 Mdot
.72481 .05447 Mdot
.725 .05384 Mdot
.72519 .05325 Mdot
.72538 .05272 Mdot
.72557 .05223 Mdot
.72576 .05179 Mdot
.72595 .0514 Mdot
.72615 .05105 Mdot
.72634 .05075 Mdot
.72653 .05049 Mdot
.72672 .05028 Mdot
.72691 .05011 Mdot
.7271 .04999 Mdot
.72729 .04993 Mdot
.72748 .04991 Mdot
.72767 .04995 Mdot
.72786 .05005 Mdot
.72805 .05021 Mdot
.72824 .05044 Mdot
.72843 .05075 Mdot
.72862 .05113 Mdot
.72881 .05159 Mdot
.729 .05215 Mdot
.72919 .05281 Mdot
.72938 .05358 Mdot
.72957 .05447 Mdot
.72976 .0555 Mdot
.72995 .05669 Mdot
.73014 .05805 Mdot
.73033 .0596 Mdot
.73053 .06137 Mdot
.73072 .0634 Mdot
.73091 .06571 Mdot
.7311 .06836 Mdot
.73129 .07141 Mdot
.73148 .07492 Mdot
.73167 .07899 Mdot
.73186 .08374 Mdot
.73205 .08931 Mdot
.73224 .09592 Mdot
.73243 .10385 Mdot
.73262 .11349 Mdot
.73281 .1254 Mdot
.733 .14047 Mdot
.73319 .16004 Mdot
.73338 .1864 Mdot
.73357 .2237 Mdot
.73376 .28034 Mdot
.73395 .37629 Mdot
.73414 .57343 Mdot
.73491 .55323 Mdot
.7351 .38509 Mdot
.73529 .29926 Mdot
.73548 .24729 Mdot
.73567 .2125 Mdot
.73586 .18763 Mdot
.73605 .16902 Mdot
.73624 .15459 Mdot
.73643 .1431 Mdot
.73662 .13377 Mdot
.73681 .12605 Mdot
.737 .11958 Mdot
.73719 .1141 Mdot
.73738 .10942 Mdot
.73757 .10538 Mdot
.73776 .10187 Mdot
.73795 .09882 Mdot
.73814 .09614 Mdot
.73833 .09379 Mdot
.73852 .09173 Mdot
.73871 .08991 Mdot
.7389 .08831 Mdot
.7391 .0869 Mdot
.73929 .08566 Mdot
.73948 .08458 Mdot
.73967 .08365 Mdot
.73986 .08284 Mdot
.74005 .08215 Mdot
.74024 .08157 Mdot
.74043 .0811 Mdot
.74062 .08072 Mdot
.74081 .08044 Mdot
.741 .08025 Mdot
.74119 .08014 Mdot
.74138 .08012 Mdot
.74157 .08017 Mdot
.74176 .08031 Mdot
.74195 .08053 Mdot
.74214 .08082 Mdot
.74233 .0812 Mdot
.74252 .08165 Mdot
.74271 .08219 Mdot
.7429 .08282 Mdot
.74309 .08353 Mdot
.74328 .08434 Mdot
.74348 .08524 Mdot
.74367 .08625 Mdot
.74386 .08736 Mdot
.74405 .0886 Mdot
.74424 .08996 Mdot
.74443 .09146 Mdot
.74462 .0931 Mdot
.74481 .09492 Mdot
.745 .09692 Mdot
.74519 .09912 Mdot
.74538 .10156 Mdot
.74557 .10426 Mdot
.74576 .10725 Mdot
.74595 .11059 Mdot
.74614 .11432 Mdot
.74633 .11852 Mdot
.74652 .12327 Mdot
.74671 .12867 Mdot
.7469 .13486 Mdot
.74709 .14203 Mdot
.74728 .15041 Mdot
.74747 .16032 Mdot
.74766 .17221 Mdot
.74786 .18672 Mdot
.74805 .20481 Mdot
.74824 .22795 Mdot
.74843 .25857 Mdot
.74862 .30092 Mdot
.74881 .36322 Mdot
.749 .46373 Mdot
.75014 .52701 Mdot
.75033 .38673 Mdot
.75052 .30638 Mdot
.75071 .25454 Mdot
.7509 .21848 Mdot
.75109 .19211 Mdot
.75128 .17211 Mdot
.75147 .15653 Mdot
.75166 .14417 Mdot
.75185 .1342 Mdot
.75204 .12609 Mdot
.75224 .11944 Mdot
.75243 .11396 Mdot
.75262 .10946 Mdot
.75281 .10575 Mdot
.753 .10272 Mdot
.75319 .10026 Mdot
.75338 .0983 Mdot
.75357 .09676 Mdot
.75376 .0956 Mdot
.75395 .09478 Mdot
.75414 .09425 Mdot
.75433 .09398 Mdot
.75452 .09396 Mdot
.75471 .09415 Mdot
.7549 .09454 Mdot
.75509 .09513 Mdot
.75528 .09588 Mdot
.75547 .0968 Mdot
.75566 .09788 Mdot
.75585 .09911 Mdot
.75604 .10048 Mdot
.75623 .102 Mdot
.75642 .10367 Mdot
.75662 .10548 Mdot
.75681 .10744 Mdot
.757 .10954 Mdot
.75719 .1118 Mdot
.75738 .11422 Mdot
.75757 .1168 Mdot
.75776 .11956 Mdot
.75795 .1225 Mdot
.75814 .12564 Mdot
.75833 .12899 Mdot
.75852 .13256 Mdot
.75871 .13638 Mdot
.7589 .14046 Mdot
.75909 .14483 Mdot
.75928 .14951 Mdot
.75947 .15455 Mdot
.75966 .15996 Mdot
.75985 .16581 Mdot
.76004 .17213 Mdot
.76023 .17899 Mdot
.76042 .18646 Mdot
.76061 .19462 Mdot
.7608 .20356 Mdot
.761 .21342 Mdot
.76119 .22432 Mdot
.76138 .23645 Mdot
.76157 .25003 Mdot
.76176 .26533 Mdot
.76195 .28271 Mdot
.76214 .30262 Mdot
.76233 .32566 Mdot
.76252 .35263 Mdot
.76271 .38464 Mdot
.7629 .42324 Mdot
.76309 .47074 Mdot
.76328 .53059 Mdot
.76347 .60836 Mdot
.76614 .55558 Mdot
.76633 .49051 Mdot
.76652 .43935 Mdot
.76671 .39807 Mdot
.7669 .36405 Mdot
.76709 .33553 Mdot
.76728 .31127 Mdot
.76747 .29037 Mdot
.76766 .27219 Mdot
.76785 .25622 Mdot
.76804 .24208 Mdot
.76823 .22947 Mdot
.76842 .21815 Mdot
.76861 .20794 Mdot
.7688 .19868 Mdot
.76899 .19024 Mdot
.76918 .18251 Mdot
.76937 .17542 Mdot
.76957 .16888 Mdot
.76976 .16283 Mdot
.76995 .15722 Mdot
.77014 .15201 Mdot
.77033 .14715 Mdot
.77052 .14261 Mdot
.77071 .13837 Mdot
.7709 .13438 Mdot
.77109 .13064 Mdot
.77128 .12712 Mdot
.77147 .1238 Mdot
.77166 .12067 Mdot
.77185 .11771 Mdot
.77204 .11491 Mdot
.77223 .11227 Mdot
.77242 .10976 Mdot
.77261 .10739 Mdot
.7728 .10514 Mdot
.77299 .10301 Mdot
.77318 .10099 Mdot
.77337 .09907 Mdot
.77356 .09725 Mdot
.77375 .09553 Mdot
.77395 .0939 Mdot
.77414 .09236 Mdot
.77433 .09091 Mdot
.77452 .08954 Mdot
.77471 .08825 Mdot
.7749 .08704 Mdot
.77509 .08592 Mdot
.77528 .08487 Mdot
.77547 .0839 Mdot
.77566 .08302 Mdot
.77585 .08223 Mdot
.77604 .08152 Mdot
.77623 .08091 Mdot
.77642 .08041 Mdot
.77661 .08002 Mdot
.7768 .07977 Mdot
.77699 .07966 Mdot
.77718 .07975 Mdot
.77737 .08005 Mdot
.77756 .08065 Mdot
.77775 .08162 Mdot
.77794 .0831 Mdot
.77813 .08528 Mdot
.77833 .08849 Mdot
.77852 .09324 Mdot
.77871 .10041 Mdot
.7789 .11161 Mdot
.77909 .13008 Mdot
.77928 .16328 Mdot
.77947 .23319 Mdot
.77966 .44536 Mdot
.78004 .52497 Mdot
.78023 .27892 Mdot
.78042 .20199 Mdot
.78061 .1656 Mdot
.7808 .14504 Mdot
.78099 .13224 Mdot
.78118 .12378 Mdot
.78137 .11799 Mdot
.78156 .11394 Mdot
.78175 .11111 Mdot
.78194 .10914 Mdot
.78213 .10782 Mdot
.78232 .10702 Mdot
.78251 .10661 Mdot
.78271 .10653 Mdot
.7829 .10673 Mdot
.78309 .10716 Mdot
.78328 .1078 Mdot
.78347 .10863 Mdot
.78366 .10963 Mdot
.78385 .11078 Mdot
.78404 .11208 Mdot
.78423 .11352 Mdot
.78442 .11509 Mdot
.78461 .1168 Mdot
.7848 .11864 Mdot
.78499 .1206 Mdot
.78518 .1227 Mdot
.78537 .12493 Mdot
.78556 .1273 Mdot
.78575 .1298 Mdot
.78594 .13245 Mdot
.78613 .13525 Mdot
.78632 .13819 Mdot
.78651 .1413 Mdot
.7867 .14458 Mdot
.7869 .14804 Mdot
.78709 .15169 Mdot
.78728 .15553 Mdot
.78747 .15959 Mdot
.78766 .16387 Mdot
.78785 .1684 Mdot
.78804 .17319 Mdot
.78823 .17826 Mdot
.78842 .18363 Mdot
.78861 .18934 Mdot
.7888 .1954 Mdot
.78899 .20185 Mdot
.78918 .20873 Mdot
.78937 .21608 Mdot
.78956 .22394 Mdot
.78975 .23238 Mdot
.78994 .24146 Mdot
.79013 .25124 Mdot
.79032 .26182 Mdot
.79051 .2733 Mdot
.7907 .28579 Mdot
.79089 .29943 Mdot
.79108 .31439 Mdot
.79128 .33088 Mdot
.79147 .34914 Mdot
.79166 .36948 Mdot
.79185 .39226 Mdot
.79204 .41797 Mdot
.79223 .44722 Mdot
.79242 .48078 Mdot
.79261 .5197 Mdot
.7928 .56539 Mdot
.79718 .57325 Mdot
.79737 .52832 Mdot
.79756 .4899 Mdot
.79775 .45664 Mdot
.79794 .42755 Mdot
.79813 .40186 Mdot
.79832 .37899 Mdot
.79851 .35848 Mdot
.7987 .33996 Mdot
.79889 .32314 Mdot
.79908 .30778 Mdot
.79927 .29368 Mdot
.79946 .28067 Mdot
.79965 .26862 Mdot
.79984 .25741 Mdot
.80004 .24693 Mdot
.80023 .23711 Mdot
.80042 .22787 Mdot
.80061 .21914 Mdot
.8008 .21087 Mdot
.80099 .20301 Mdot
.80118 .19552 Mdot
.80137 .18835 Mdot
.80156 .18147 Mdot
.80175 .17485 Mdot
.80194 .16847 Mdot
.80213 .16228 Mdot
.80232 .15628 Mdot
.80251 .15043 Mdot
.8027 .14472 Mdot
.80289 .13913 Mdot
.80308 .13364 Mdot
.80327 .12824 Mdot
.80346 .1229 Mdot
.80365 .11761 Mdot
.80384 .11236 Mdot
.80403 .10714 Mdot
.80422 .10194 Mdot
.80442 .09675 Mdot
.80461 .09156 Mdot
.8048 .08638 Mdot
.80499 .08122 Mdot
.80518 .07611 Mdot
.80537 .07109 Mdot
.80556 .06626 Mdot
.80575 .06178 Mdot
.80594 .05787 Mdot
.80613 .05493 Mdot
.80632 .05345 Mdot
.80651 .05398 Mdot
.8067 .0569 Mdot
.80689 .06236 Mdot
.80708 .07026 Mdot
.80727 .08052 Mdot
.80746 .09314 Mdot
.80765 .10832 Mdot
.80784 .12642 Mdot
.80803 .14805 Mdot
.80822 .17417 Mdot
.80841 .20619 Mdot
.8086 .24628 Mdot
.8088 .29796 Mdot
.80899 .36715 Mdot
.80918 .46473 Mdot
.80937 .61302 Mdot
.81127 .54926 Mdot
.81146 .48755 Mdot
.81165 .44065 Mdot
.81184 .40371 Mdot
.81203 .37381 Mdot
.81222 .34906 Mdot
.81241 .32819 Mdot
.8126 .31031 Mdot
.81279 .2948 Mdot
.81299 .28119 Mdot
.81318 .26912 Mdot
.81337 .25832 Mdot
.81356 .24858 Mdot
.81375 .23974 Mdot
.81394 .23165 Mdot
.81413 .22422 Mdot
.81432 .21734 Mdot
.81451 .21095 Mdot
.8147 .20498 Mdot
.81489 .19939 Mdot
.81508 .19411 Mdot
.81527 .18912 Mdot
.81546 .18439 Mdot
.81565 .17987 Mdot
.81584 .17555 Mdot
.81603 .17141 Mdot
.81622 .16742 Mdot
.81641 .16356 Mdot
.8166 .15982 Mdot
.81679 .15618 Mdot
.81698 .15264 Mdot
.81717 .14916 Mdot
.81737 .14575 Mdot
.81756 .14239 Mdot
.81775 .13907 Mdot
.81794 .13578 Mdot
.81813 .1325 Mdot
.81832 .12924 Mdot
.81851 .12596 Mdot
.8187 .12267 Mdot
.81889 .11935 Mdot
.81908 .11599 Mdot
.81927 .11258 Mdot
.81946 .1091 Mdot
.81965 .10554 Mdot
.81984 .10188 Mdot
.82003 .09811 Mdot
.82022 .0942 Mdot
.82041 .09013 Mdot
.8206 .08588 Mdot
.82079 .08143 Mdot
.82098 .07674 Mdot
.82117 .07179 Mdot
.82136 .06655 Mdot
.82155 .061 Mdot
.82175 .05515 Mdot
.82194 .04906 Mdot
.82213 .04297 Mdot
.82232 .03761 Mdot
.82251 .03482 Mdot
.8227 .0373 Mdot
.82289 .04552 Mdot
.82308 .05818 Mdot
.82327 .07472 Mdot
.82346 .09552 Mdot
.82365 .12171 Mdot
.82384 .15531 Mdot
.82403 .19978 Mdot
.82422 .26131 Mdot
.82441 .35205 Mdot
.8246 .49943 Mdot
.82613 .55069 Mdot
.82632 .47997 Mdot
.82651 .42992 Mdot
.8267 .39259 Mdot
.82689 .36367 Mdot
.82708 .34058 Mdot
.82727 .32171 Mdot
.82746 .30599 Mdot
.82765 .29269 Mdot
.82784 .28128 Mdot
.82803 .27138 Mdot
.82822 .26272 Mdot
.82841 .25507 Mdot
.8286 .24826 Mdot
.82879 .24216 Mdot
.82898 .23668 Mdot
.82917 .23171 Mdot
.82936 .2272 Mdot
.82955 .22309 Mdot
.82974 .21932 Mdot
.82993 .21587 Mdot
.83012 .21268 Mdot
.83031 .20975 Mdot
.83051 .20704 Mdot
.8307 .20453 Mdot
.83089 .20221 Mdot
.83108 .20006 Mdot
.83127 .19806 Mdot
.83146 .19621 Mdot
.83165 .1945 Mdot
.83184 .19291 Mdot
.83203 .19145 Mdot
.83222 .19009 Mdot
.83241 .18885 Mdot
.8326 .18771 Mdot
.83279 .18667 Mdot
.83298 .18573 Mdot
.83317 .18489 Mdot
.83336 .18414 Mdot
.83355 .18349 Mdot
.83374 .18293 Mdot
.83393 .18247 Mdot
.83412 .18211 Mdot
.83431 .18184 Mdot
.8345 .18168 Mdot
.83469 .18163 Mdot
.83489 .18169 Mdot
.83508 .18187 Mdot
.83527 .18218 Mdot
.83546 .18263 Mdot
.83565 .18322 Mdot
.83584 .18399 Mdot
.83603 .18493 Mdot
.83622 .18608 Mdot
.83641 .18747 Mdot
.8366 .18911 Mdot
.83679 .19105 Mdot
.83698 .19335 Mdot
.83717 .19605 Mdot
.83736 .19924 Mdot
.83755 .20301 Mdot
.83774 .2075 Mdot
.83793 .21287 Mdot
.83812 .21935 Mdot
.83831 .22727 Mdot
.8385 .23707 Mdot
.83869 .24942 Mdot
.83888 .26536 Mdot
.83908 .28653 Mdot
.83927 .31578 Mdot
.83946 .35848 Mdot
.83965 .42601 Mdot
.83984 .54747 Mdot
.84079 .40714 Mdot
.84098 .27503 Mdot
.84117 .20507 Mdot
.84136 .16322 Mdot
.84155 .13657 Mdot
.84174 .11912 Mdot
.84193 .10759 Mdot
.84212 .10004 Mdot
.84231 .09517 Mdot
.8425 .09214 Mdot
.84269 .09035 Mdot
.84288 .08939 Mdot
.84307 .08899 Mdot
.84326 .08895 Mdot
.84346 .08916 Mdot
.84365 .08951 Mdot
.84384 .08995 Mdot
.84403 .09045 Mdot
.84422 .09097 Mdot
.84441 .0915 Mdot
.8446 .09203 Mdot
.84479 .09255 Mdot
.84498 .09304 Mdot
.84517 .09352 Mdot
.84536 .09398 Mdot
.84555 .09442 Mdot
.84574 .09484 Mdot
.84593 .09523 Mdot
.84612 .09561 Mdot
.84631 .09597 Mdot
.8465 .09632 Mdot
.84669 .09665 Mdot
.84688 .09696 Mdot
.84707 .09726 Mdot
.84726 .09756 Mdot
.84745 .09784 Mdot
.84764 .09811 Mdot
.84784 .09838 Mdot
.84803 .09865 Mdot
.84822 .0989 Mdot
.84841 .09916 Mdot
.8486 .09942 Mdot
.84879 .09968 Mdot
.84898 .09994 Mdot
.84917 .1002 Mdot
.84936 .10047 Mdot
.84955 .10075 Mdot
.84974 .10103 Mdot
.84993 .10133 Mdot
.85012 .10165 Mdot
.85031 .10198 Mdot
.8505 .10233 Mdot
.85069 .10271 Mdot
.85088 .10311 Mdot
.85107 .10355 Mdot
.85126 .10403 Mdot
.85145 .10455 Mdot
.85164 .10513 Mdot
.85183 .10577 Mdot
.85202 .10649 Mdot
.85222 .1073 Mdot
.85241 .10821 Mdot
.8526 .10926 Mdot
.85279 .11048 Mdot
.85298 .1119 Mdot
.85317 .11358 Mdot
.85336 .1156 Mdot
.85355 .11806 Mdot
.85374 .12114 Mdot
.85393 .12506 Mdot
.85412 .13023 Mdot
.85431 .1373 Mdot
.8545 .1475 Mdot
.85469 .16332 Mdot
.85488 .1907 Mdot
.85507 .24799 Mdot
.85526 .4312 Mdot
.85564 .3079 Mdot
.85583 .15406 Mdot
.85602 .108 Mdot
.85621 .08988 Mdot
.8564 .08238 Mdot
.8566 .0794 Mdot
.85679 .07845 Mdot
.85698 .07841 Mdot
.85717 .0788 Mdot
.85736 .07936 Mdot
.85755 .07999 Mdot
.85774 .08062 Mdot
.85793 .08124 Mdot
.85812 .08183 Mdot
.85831 .08239 Mdot
.8585 .08291 Mdot
.85869 .0834 Mdot
.85888 .08387 Mdot
.85907 .0843 Mdot
.85926 .08472 Mdot
.85945 .08511 Mdot
.85964 .08549 Mdot
.85983 .08585 Mdot
.86002 .0862 Mdot
.86021 .08654 Mdot
.8604 .08687 Mdot
.86059 .08719 Mdot
.86078 .08752 Mdot
.86098 .08784 Mdot
.86117 .08816 Mdot
.86136 .08849 Mdot
.86155 .08882 Mdot
.86174 .08915 Mdot
.86193 .08949 Mdot
.86212 .08985 Mdot
.86231 .09021 Mdot
.8625 .09059 Mdot
.86269 .09098 Mdot
.86288 .09139 Mdot
.86307 .09183 Mdot
.86326 .09229 Mdot
.86345 .09277 Mdot
.86364 .09328 Mdot
.86383 .09383 Mdot
.86402 .09442 Mdot
.86421 .09504 Mdot
.8644 .09572 Mdot
.86459 .09644 Mdot
.86478 .09723 Mdot
.86497 .09809 Mdot
.86517 .09901 Mdot
.86536 .10003 Mdot
.86555 .10114 Mdot
.86574 .10236 Mdot
.86593 .1037 Mdot
.86612 .10519 Mdot
.86631 .10684 Mdot
.8665 .10868 Mdot
.86669 .11074 Mdot
.86688 .11306 Mdot
.86707 .11568 Mdot
.86726 .11865 Mdot
.86745 .12206 Mdot
.86764 .12598 Mdot
.86783 .13054 Mdot
.86802 .13587 Mdot
.86821 .14218 Mdot
.8684 .14973 Mdot
.86859 .15889 Mdot
.86878 .1702 Mdot
.86897 .18443 Mdot
.86916 .20279 Mdot
.86935 .22727 Mdot
.86955 .26132 Mdot
.86974 .31159 Mdot
.86993 .39272 Mdot
.87012 .54443 Mdot
.87107 .44785 Mdot
.87126 .32754 Mdot
.87145 .25939 Mdot
.87164 .21578 Mdot
.87183 .18566 Mdot
.87202 .16373 Mdot
.87221 .14716 Mdot
.8724 .13427 Mdot
.87259 .12401 Mdot
.87278 .1157 Mdot
.87297 .10886 Mdot
.87316 .10316 Mdot
.87335 .09835 Mdot
.87354 .09425 Mdot
.87373 .09074 Mdot
.87393 .08769 Mdot
.87412 .08503 Mdot
.87431 .08269 Mdot
.8745 .08062 Mdot
.87469 .07877 Mdot
.87488 .07711 Mdot
.87507 .07562 Mdot
.87526 .07426 Mdot
.87545 .07301 Mdot
.87564 .07187 Mdot
.87583 .07082 Mdot
.87602 .06984 Mdot
.87621 .06893 Mdot
.8764 .06808 Mdot
.87659 .06727 Mdot
.87678 .06652 Mdot
.87697 .0658 Mdot
.87716 .06512 Mdot
.87735 .06448 Mdot
.87754 .06386 Mdot
.87773 .06328 Mdot
.87792 .06273 Mdot
.87811 .06222 Mdot
.87831 .06173 Mdot
.8785 .06129 Mdot
.87869 .06088 Mdot
.87888 .06051 Mdot
.87907 .0602 Mdot
.87926 .05994 Mdot
.87945 .05975 Mdot
.87964 .05964 Mdot
.87983 .05962 Mdot
.88002 .0597 Mdot
.88021 .05992 Mdot
.8804 .06028 Mdot
.88059 .06082 Mdot
.88078 .06156 Mdot
.88097 .06254 Mdot
.88116 .0638 Mdot
.88135 .06538 Mdot
.88154 .06733 Mdot
.88173 .06972 Mdot
.88192 .0726 Mdot
.88211 .07606 Mdot
.8823 .08019 Mdot
.88249 .08509 Mdot
.88269 .09091 Mdot
.88288 .09781 Mdot
.88307 .10602 Mdot
.88326 .11582 Mdot
.88345 .1276 Mdot
.88364 .14187 Mdot
.88383 .15939 Mdot
.88402 .18125 Mdot
.88421 .2091 Mdot
.8844 .24559 Mdot
.88459 .29522 Mdot
.88478 .36632 Mdot
.88497 .47617 Mdot
.88649 .53148 Mdot
.88668 .44648 Mdot
.88688 .38867 Mdot
.88707 .34684 Mdot
.88726 .31521 Mdot
.88745 .29047 Mdot
.88764 .27062 Mdot
.88783 .25436 Mdot
.88802 .2408 Mdot
.88821 .22933 Mdot
.8884 .21952 Mdot
.88859 .21104 Mdot
.88878 .20365 Mdot
.88897 .19715 Mdot
.88916 .1914 Mdot
.88935 .18628 Mdot
.88954 .18171 Mdot
.88973 .1776 Mdot
.88992 .17389 Mdot
.89011 .17053 Mdot
.8903 .16748 Mdot
.89049 .16471 Mdot
.89068 .16218 Mdot
.89087 .15987 Mdot
.89106 .15775 Mdot
.89126 .15582 Mdot
.89145 .15404 Mdot
.89164 .15241 Mdot
.89183 .15092 Mdot
.89202 .14955 Mdot
.89221 .1483 Mdot
.8924 .14716 Mdot
.89259 .14612 Mdot
.89278 .14518 Mdot
.89297 .14433 Mdot
.89316 .14357 Mdot
.89335 .14289 Mdot
.89354 .1423 Mdot
.89373 .14179 Mdot
.89392 .14136 Mdot
.89411 .14101 Mdot
.8943 .14074 Mdot
.89449 .14055 Mdot
.89468 .14044 Mdot
.89487 .14042 Mdot
.89506 .14049 Mdot
.89525 .14065 Mdot
.89544 .14092 Mdot
.89564 .14129 Mdot
.89583 .14177 Mdot
.89602 .14239 Mdot
.89621 .14315 Mdot
.8964 .14406 Mdot
.89659 .14515 Mdot
.89678 .14645 Mdot
.89697 .14797 Mdot
.89716 .14977 Mdot
.89735 .15188 Mdot
.89754 .15436 Mdot
.89773 .15729 Mdot
.89792 .16077 Mdot
.89811 .16491 Mdot
.8983 .16989 Mdot
.89849 .17592 Mdot
.89868 .1833 Mdot
.89887 .19247 Mdot
.89906 .20405 Mdot
.89925 .21898 Mdot
.89944 .23871 Mdot
.89963 .26569 Mdot
.89982 .30428 Mdot
.90002 .36312 Mdot
.90021 .46198 Mdot
.90135 .45769 Mdot
.90154 .3474 Mdot
.90173 .28374 Mdot
.90192 .24296 Mdot
.90211 .21506 Mdot
.9023 .19508 Mdot
.90249 .18031 Mdot
.90268 .16912 Mdot
.90287 .16046 Mdot
.90306 .15367 Mdot
.90325 .14828 Mdot
.90344 .14396 Mdot
.90363 .14046 Mdot
.90382 .13762 Mdot
.90401 .13531 Mdot
.9042 .13342 Mdot
.9044 .13188 Mdot
.90459 .13063 Mdot
.90478 .12962 Mdot
.90497 .12881 Mdot
.90516 .12818 Mdot
.90535 .1277 Mdot
.90554 .12736 Mdot
.90573 .12714 Mdot
.90592 .12702 Mdot
.90611 .127 Mdot
.9063 .12707 Mdot
.90649 .12722 Mdot
.90668 .12744 Mdot
.90687 .12774 Mdot
.90706 .12812 Mdot
.90725 .12856 Mdot
.90744 .12907 Mdot
.90763 .12965 Mdot
.90782 .1303 Mdot
.90801 .13102 Mdot
.9082 .13181 Mdot
.90839 .13267 Mdot
.90858 .13362 Mdot
.90878 .13465 Mdot
.90897 .13576 Mdot
.90916 .13697 Mdot
.90935 .13827 Mdot
.90954 .13968 Mdot
.90973 .14121 Mdot
.90992 .14286 Mdot
.91011 .14465 Mdot
.9103 .1466 Mdot
.91049 .1487 Mdot
.91068 .15099 Mdot
.91087 .15349 Mdot
.91106 .15622 Mdot
.91125 .1592 Mdot
.91144 .16248 Mdot
.91163 .16608 Mdot
.91182 .17006 Mdot
.91201 .17448 Mdot
.9122 .17941 Mdot
.91239 .18492 Mdot
.91258 .19112 Mdot
.91277 .19814 Mdot
.91297 .20614 Mdot
.91316 .21534 Mdot
.91335 .22599 Mdot
.91354 .23846 Mdot
.91373 .25322 Mdot
.91392 .27096 Mdot
.91411 .2926 Mdot
.9143 .31955 Mdot
.91449 .35395 Mdot
.91468 .39928 Mdot
.91487 .46153 Mdot
.91506 .55209 Mdot
.91677 .49043 Mdot
.91696 .40209 Mdot
.91715 .34138 Mdot
.91735 .29731 Mdot
.91754 .26403 Mdot
.91773 .23814 Mdot
.91792 .21755 Mdot
.91811 .20087 Mdot
.9183 .18718 Mdot
.91849 .17581 Mdot
.91868 .16627 Mdot
.91887 .15822 Mdot
.91906 .15138 Mdot
.91925 .14554 Mdot
.91944 .14053 Mdot
.91963 .13622 Mdot
.91982 .13251 Mdot
.92001 .12932 Mdot
.9202 .12656 Mdot
.92039 .12417 Mdot
.92058 .12212 Mdot
.92077 .12036 Mdot
.92096 .11885 Mdot
.92115 .11757 Mdot
.92134 .11648 Mdot
.92153 .11557 Mdot
.92173 .11482 Mdot
.92192 .11421 Mdot
.92211 .11373 Mdot
.9223 .11337 Mdot
.92249 .11312 Mdot
.92268 .11296 Mdot
.92287 .1129 Mdot
.92306 .11293 Mdot
.92325 .11304 Mdot
.92344 .11323 Mdot
.92363 .11349 Mdot
.92382 .11383 Mdot
.92401 .11423 Mdot
.9242 .11471 Mdot
.92439 .11525 Mdot
.92458 .11587 Mdot
.92477 .11655 Mdot
.92496 .11731 Mdot
.92515 .11814 Mdot
.92534 .11906 Mdot
.92553 .12005 Mdot
.92572 .12113 Mdot
.92591 .12231 Mdot
.92611 .12359 Mdot
.9263 .12498 Mdot
.92649 .1265 Mdot
.92668 .12814 Mdot
.92687 .12994 Mdot
.92706 .13192 Mdot
.92725 .13408 Mdot
.92744 .13647 Mdot
.92763 .13911 Mdot
.92782 .14205 Mdot
.92801 .14535 Mdot
.9282 .14907 Mdot
.92839 .1533 Mdot
.92858 .15817 Mdot
.92877 .16383 Mdot
.92896 .17049 Mdot
.92915 .17846 Mdot
.92934 .18818 Mdot
.92953 .20033 Mdot
.92972 .21596 Mdot
.92991 .23686 Mdot
.9301 .26631 Mdot
.93029 .31095 Mdot
.93049 .3868 Mdot
.93068 .54433 Mdot
.93144 .3285 Mdot
.93163 .20557 Mdot
.93182 .1432 Mdot
.93201 .10661 Mdot
.9322 .08391 Mdot
.93239 .07001 Mdot
.93258 .06232 Mdot
.93277 .05907 Mdot
.93296 .05875 Mdot
.93315 .06017 Mdot
.93334 .06251 Mdot
.93353 .06528 Mdot
.93372 .06822 Mdot
.93391 .07117 Mdot
.9341 .07408 Mdot
.93429 .07691 Mdot
.93448 .07966 Mdot
.93467 .08233 Mdot
.93487 .08492 Mdot
.93506 .08744 Mdot
.93525 .0899 Mdot
.93544 .09232 Mdot
.93563 .0947 Mdot
.93582 .09706 Mdot
.93601 .0994 Mdot
.9362 .10173 Mdot
.93639 .10406 Mdot
.93658 .1064 Mdot
.93677 .10876 Mdot
.93696 .11115 Mdot
.93715 .11357 Mdot
.93734 .11604 Mdot
.93753 .11855 Mdot
.93772 .12113 Mdot
.93791 .12378 Mdot
.9381 .1265 Mdot
.93829 .12931 Mdot
.93848 .13222 Mdot
.93867 .13524 Mdot
.93886 .13837 Mdot
.93906 .14165 Mdot
.93925 .14507 Mdot
.93944 .14865 Mdot
.93963 .15241 Mdot
.93982 .15637 Mdot
.94001 .16055 Mdot
.9402 .16498 Mdot
.94039 .16967 Mdot
.94058 .17466 Mdot
.94077 .17999 Mdot
.94096 .18568 Mdot
.94115 .19179 Mdot
.94134 .19837 Mdot
.94153 .20547 Mdot
.94172 .21317 Mdot
.94191 .22155 Mdot
.9421 .23071 Mdot
.94229 .24075 Mdot
.94248 .25183 Mdot
.94267 .26412 Mdot
.94286 .27782 Mdot
.94305 .29321 Mdot
.94324 .3106 Mdot
.94344 .33044 Mdot
.94363 .35327 Mdot
.94382 .37983 Mdot
.94401 .41112 Mdot
.9442 .44853 Mdot
.94439 .49403 Mdot
.94458 .5506 Mdot
.94762 .55965 Mdot
.94782 .49646 Mdot
.94801 .44625 Mdot
.9482 .40542 Mdot
.94839 .37158 Mdot
.94858 .34307 Mdot
.94877 .31875 Mdot
.94896 .29777 Mdot
.94915 .27948 Mdot
.94934 .26341 Mdot
.94953 .24919 Mdot
.94972 .23652 Mdot
.94991 .22517 Mdot
.9501 .21495 Mdot
.95029 .2057 Mdot
.95048 .1973 Mdot
.95067 .18964 Mdot
.95086 .18264 Mdot
.95105 .17622 Mdot
.95124 .17032 Mdot
.95143 .16487 Mdot
.95162 .15985 Mdot
.95181 .1552 Mdot
.952 .1509 Mdot
.9522 .14691 Mdot
.95239 .1432 Mdot
.95258 .13976 Mdot
.95277 .13656 Mdot
.95296 .13359 Mdot
.95315 .13083 Mdot
.95334 .12827 Mdot
.95353 .1259 Mdot
.95372 .1237 Mdot
.95391 .12167 Mdot
.9541 .11981 Mdot
.95429 .1181 Mdot
.95448 .11654 Mdot
.95467 .11513 Mdot
.95486 .11387 Mdot
.95505 .11275 Mdot
.95524 .11178 Mdot
.95543 .11095 Mdot
.95562 .11028 Mdot
.95581 .10976 Mdot
.956 .10941 Mdot
.95619 .10923 Mdot
.95638 .10923 Mdot
.95658 .10942 Mdot
.95677 .10983 Mdot
.95696 .11046 Mdot
.95715 .11136 Mdot
.95734 .11255 Mdot
.95753 .11406 Mdot
.95772 .11595 Mdot
.95791 .11827 Mdot
.9581 .12109 Mdot
.95829 .12452 Mdot
.95848 .12865 Mdot
.95867 .13366 Mdot
.95886 .13974 Mdot
.95905 .14716 Mdot
.95924 .1563 Mdot
.95943 .16768 Mdot
.95962 .18209 Mdot
.95981 .20071 Mdot
.96 .22543 Mdot
.96019 .25951 Mdot
.96038 .309 Mdot
.96057 .38666 Mdot
.96076 .52473 Mdot
.96172 .57073 Mdot
.96191 .4077 Mdot
.9621 .31958 Mdot
.96229 .26459 Mdot
.96248 .22714 Mdot
.96267 .20007 Mdot
.96286 .17966 Mdot
.96305 .16377 Mdot
.96324 .15109 Mdot
.96343 .14075 Mdot
.96362 .13218 Mdot
.96381 .12499 Mdot
.964 .11887 Mdot
.96419 .11361 Mdot
.96438 .10906 Mdot
.96457 .10508 Mdot
.96476 .10157 Mdot
.96495 .09847 Mdot
.96515 .09571 Mdot
.96534 .09324 Mdot
.96553 .09101 Mdot
.96572 .08901 Mdot
.96591 .08719 Mdot
.9661 .08553 Mdot
.96629 .08402 Mdot
.96648 .08263 Mdot
.96667 .08136 Mdot
.96686 .08019 Mdot
.96705 .07911 Mdot
.96724 .07811 Mdot
.96743 .07718 Mdot
.96762 .07632 Mdot
.96781 .07552 Mdot
.968 .07478 Mdot
.96819 .07408 Mdot
.96838 .07343 Mdot
.96857 .07282 Mdot
.96876 .07225 Mdot
.96895 .07171 Mdot
.96914 .07121 Mdot
.96933 .07074 Mdot
.96953 .07029 Mdot
.96972 .06987 Mdot
.96991 .06948 Mdot
.9701 .06911 Mdot
.97029 .06876 Mdot
.97048 .06843 Mdot
.97067 .06812 Mdot
.97086 .06782 Mdot
.97105 .06755 Mdot
.97124 .06729 Mdot
.97143 .06704 Mdot
.97162 .06681 Mdot
.97181 .06659 Mdot
.972 .06638 Mdot
.97219 .06619 Mdot
.97238 .06601 Mdot
.97257 .06584 Mdot
.97276 .06568 Mdot
.97295 .06553 Mdot
.97314 .06539 Mdot
.97333 .06526 Mdot
.97352 .06514 Mdot
.97371 .06503 Mdot
.97391 .06493 Mdot
.9741 .06484 Mdot
.97429 .06475 Mdot
.97448 .06467 Mdot
.97467 .0646 Mdot
.97486 .06454 Mdot
.97505 .06449 Mdot
.97524 .06444 Mdot
.97543 .0644 Mdot
.97562 .06437 Mdot
.97581 .06434 Mdot
.976 .06433 Mdot
.97619 .06431 Mdot
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[39]:=",
  ImageSize->{244.813, 151.313},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003d0000Ub000`400?l00000o`00003om03oool0
0?@0oooo003d0?ooo`00m03oool003@0oooo00<000000?ooo`3oool00`0000020?ooo`<000000P3o
ool3000001P0oooo10000000103oool000000000000000020?ooo`<000000P3oool3000001X0oooo
0P0000020?ooo`<000000P3oool300000080oooo0`00000L0?ooo`030000003oool0000000800000
0P3oool300000080oooo0`00000J0?ooo`8000000P3oool300000080oooo0`0000020?ooo`<00000
1@3oool003@0oooo00@000000?ooo`3oool000000P3oool00`000000oooo000000020?ooo`030000
003oool000000080oooo00<000000?ooo`3oool05P3oool01@000000oooo0?ooo`3oool000000080
oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo01H0
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00<00000
0?ooo`0000000P3oool00`000000oooo0?ooo`0I0?ooo`030000003oool000000080oooo00<00000
0?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo01H0oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`000000
0P3oool00`000000oooo0?ooo`020?ooo`00=03oool010000000oooo0?ooo`0000020?ooo`030000
003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`0G0?ooo`040000
003oool0oooo00000080oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`03
0000003oool0oooo01T0oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`03
0000003oool000000080oooo00<000000?ooo`3oool05P3oool600000080oooo00<000000?ooo`00
00000P3oool00`000000oooo000000020?ooo`030000003oool0oooo01T0oooo00<000000?ooo`00
00000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3o
ool00P3oool003@0oooo00@000000?ooo`3oool000000P3oool00`000000oooo000000020?ooo`03
0000003oool000000080oooo00<000000?ooo`3oool05`3oool010000000oooo0?ooo`0000020?oo
o`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`0H0?oo
o`040000003oool0oooo00000080oooo00<000000?ooo`0000000P3oool00`000000oooo00000002
0?ooo`030000003oool0oooo01H0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000
003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`0F0?ooo`060000
003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`030000003oool00000
0080oooo00<000000?ooo`3oool00P3oool003@0oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool0603oool00`00
0000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`00
0000oooo0?ooo`0I0?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`00
0000oooo000000020?ooo`030000003oool0oooo01L0oooo00D000000?ooo`000000oooo00000002
0?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`0F
0?ooo`<000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`000000
0P3oool00`000000oooo0?ooo`020?ooo`00<`3oool200000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool05@3oool01P000000
oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool00`000000oooo00000002
0?ooo`030000003oool0oooo01H0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000
003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`0H0?ooo`800000
00L0oooo0000003oool0oooo0000003oool000000080oooo00<000000?ooo`0000000P3oool00`00
0000oooo0?ooo`0G0?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo00000002
0?ooo`030000003oool000000080oooo00<000000?ooo`3oool00P3oool003@0oooo00@000000?oo
o`3oool0oooo0P0000030?ooo`8000000`3oool2000001T0oooo0P0000030?ooo`8000000`3oool2
000000<0oooo0P00000J0?ooo`8000000`3oool2000000<0oooo0P0000030?ooo`800000703oool0
0`000000oooo0?ooo`02000000<0oooo0P0000030?ooo`8000006P3oool300000080oooo0P000003
0?ooo`8000000`3oool2000000D0oooo003d0?ooo`004@3oool00`000000oooo0?ooo`3P0?ooo`00
4@3oool00`000000oooo0?ooo`3P0?ooo`004@3oool00`000000oooo0?ooo`3P0?ooo`002`3ooooR
000000L0oooo000A0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0000000D0oooo00D000000?ooo`3oool0oooo00000004
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`06
0?ooo`050000003oool0oooo0?ooo`0000000`3oool00`000000oooo0?ooo`030?ooo`040000003o
ool0oooo000000L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00X0oooo000A0?ooo`030000003oool0oooo04/0oooo0P0000090?ooo`800000803o
ool3000000P0oooo0P00001K0?ooo`004@3oool00`000000oooo0?ooo`0g0?ooo`030000003oool0
oooo0140oooo0P0000080?ooo`030000003oool000000200oooo00<000000?ooo`000000203oool2
000001<0oooo00<000000?ooo`3oool0A@3oool00140oooo00<000000?ooo`3oool07`3oool00`00
0000oooo0?ooo`0E0?ooo`030000003oool0oooo0140oooo0P0000080?ooo`030000003oool00000
0200oooo00<000000?ooo`000000203oool2000001<0oooo00<000000?ooo`3oool05@3oool00`00
0000oooo0?ooo`0]0?ooo`004@3oool2000003P0oooo00<000000?ooo`3oool02P3oool00`000000
oooo0?ooo`040?ooo`800000203oool00`000000oooo0000000>0?ooo`040000003oool0oooo0000
00h0oooo00<000000?ooo`000000203oool2000000H0oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`150?ooo`004@3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo01D0
oooo0P0000060?ooo`040000003oool0oooo0?ooo`<000001@3oool2000000P0oooo00<000000?oo
o`0000003P3oool4000000h0oooo00<000000?ooo`000000203oool2000000D0oooo0`0000030?oo
o`030000003oool0oooo00@0oooo0P00000G0?ooo`030000003oool0oooo02d0oooo000A0?ooo`03
0000003oool0oooo01l0oooo00<000000?ooo`3oool04P3oool200000080oooo00<000000?ooo`3o
ool0103oool01`000000oooo0?ooo`3oool000000?ooo`0000001@3oool2000000/0oooo00<00000
0?ooo`3oool0303oool2000000h0oooo00<000000?ooo`3oool02@3oool2000000D0oooo00<00000
0?ooo`0000000`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00800000503oool0
0`000000oooo0?ooo`0]0?ooo`004@3oool00`000000oooo0?ooo`0O0?ooo`050000003oool0oooo
0?ooo`000000403oool2000000030?ooo`000000000000H0oooo0P0000001@3oool000000000003o
ool0000000H0oooo00<000000?ooo`3oool01P3oool010000000oooo0?ooo`00000=0?ooo`040000
003oool0oooo000000d0oooo00@000000?ooo`3oool00000203oool00`000000oooo0?ooo`040?oo
o`050000003oool000000000003oool00P0000060?ooo`80000000<0oooo000000000000403oool0
1@000000oooo0?ooo`3oool0000002l0oooo000A0?ooo`8000001`3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00X0oooo00D000000?ooo`3oool0oooo0000000@0?ooo`8000000P3o
ool00`000000oooo0?ooo`040?ooo`80000000D0oooo0000003oool0oooo000000050?ooo`800000
203oool010000000oooo0?ooo`00000N0?ooo`040000003oool0oooo000000P0oooo0P0000050?oo
o`050000003oool0oooo0000003oool00P0000060?ooo`030000003oool0oooo00800000403oool0
1@000000oooo0?ooo`3oool0000000`0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`0D0?ooo`00403oool2000000P0oooo00<000000?ooo`3oool02@3oool2000000/0oooo00D00000
0?ooo`3oool0oooo0000000@0?ooo`80000000<0oooo0000000000001P3oool2000000030?ooo`00
0000oooo0080oooo00<000000?ooo`3oool00`3oool2000000X0oooo0`00000;0?ooo`040000003o
ool0oooo000000/0oooo0`00000:0?ooo`8000001@3oool01P000000oooo0?ooo`3oool000000?oo
o`8000001P3oool00`000000oooo0000000200000100oooo00D000000?ooo`3oool0oooo0000000;
0?ooo`8000002`3oool00`000000oooo0?ooo`060?ooo`800000303oool00140oooo0P0000070?oo
o`030000003oool0oooo00T0oooo0P00000;0?ooo`050000003oool0oooo0?ooo`000000403oool3
000000030?ooo`000000oooo00D0oooo0P0000000`3oool000000?ooo`020?ooo`030000003oool0
oooo0080oooo00<000000?ooo`0000001`3oool010000000oooo0?ooo`3oool2000001X0oooo0P00
00030?ooo`030000003oool0oooo00D0oooo00<000000?ooo`000000103oool01P000000oooo0?oo
o`3oool000000?ooo`8000001P3oool00`000000oooo0000000200000100oooo00D000000?ooo`3o
ool0oooo0000000;0?ooo`8000002`3oool00`000000oooo0?ooo`050?ooo`8000003@3oool00140
oooo0P0000070?ooo`030000003oool0oooo00T0oooo0P00000;0?ooo`050000003oool0oooo0?oo
o`000000403oool01@000000oooo0000003oool0000000H0oooo0P0000000`3oool000000?ooo`02
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool3000001X0oooo0`00000:
0?ooo`030000003oool0oooo00@0oooo00H000000?ooo`3oool0oooo0000003oool2000000H0oooo
00D000000?ooo`000000oooo0000000@0?ooo`050000003oool0oooo0?ooo`0000002`3oool20000
00/0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0<0?ooo`004@3oool3000000H0
oooo00<000000?ooo`3oool02@3oool2000000/0oooo00D000000?ooo`3oool0oooo0000000@0?oo
o`050000003oool000000?ooo`0000001@3oool01@000000oooo0000003oool0000000<0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0000000:0?ooo`<000002`3oool010000000oooo0?oo
o`00000;0?ooo`<000002P3oool00`000000oooo000000040?ooo`090000003oool0oooo0?ooo`00
0000oooo0000003oool0000000D0oooo00D000000?ooo`000000oooo0000000@0?ooo`050000003o
ool0oooo0?ooo`0000002`3oool2000000/0oooo00<000000?ooo`3oool0103oool2000000h0oooo
000A0?ooo`<000001P3oool00`000000oooo0?ooo`090?ooo`8000000`3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo008000001@3oool2000000H0oooo0`0000020?ooo`060000003o
ool0oooo0000003oool000000P3oool01@000000oooo0000003oool0000000<0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`050?ooo`040000003oool0oooo0?ooo`8000006P3oool2
000000<0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`090000003oool0
oooo0?ooo`000000oooo0000003oool000000080oooo00<000000?ooo`0000000P3oool00`000000
oooo0?ooo`03000000H0oooo0P0000050?ooo`8000000P3oool00`000000oooo0?ooo`050?ooo`04
0000003oool0oooo0?ooo`8000002`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00d0oooo000A0?ooo`030000003oool0000000H0oooo00<000000?ooo`3oool02@3oool2000000<0
oooo00<000000?ooo`3oool01@3oool01@000000oooo0?ooo`3oool0000000D0oooo0P0000060?oo
o`<000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3oool00P00
00030?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000002P3oool3000001X0oooo0`00
000:0?ooo`030000003oool0000000@0oooo00@000000?ooo`3oool0oooo0P0000020?ooo`060000
003oool0oooo0000003oool000000P3oool00`000000oooo0?ooo`03000000H0oooo0P0000050?oo
o`050000003oool0oooo0?ooo`0000001`3oool010000000oooo0?ooo`3oool2000000/0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`0=0?ooo`004@3oool00`000000oooo00000006
0?ooo`030000003oool0oooo00T0oooo0`0000000`3oool00000000000020?ooo`800000103oool0
0`000000oooo0?ooo`060?ooo`8000001P3oool3000000D0oooo0`0000020?ooo`040000003oool0
0000000000@0oooo00<000000?ooo`3oool0103oool010000000oooo0000000000080?ooo`800000
6P3oool2000000P0oooo0P0000000`3oool000000?ooo`050?ooo`030000003oool0oooo0080oooo
0P000000103oool000000?ooo`3oool3000000D0oooo0`0000060?ooo`800000203oool00`000000
oooo0?ooo`020?ooo`8000000P3oool2000000040?ooo`0000000000000000/0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`0=0?ooo`004@3oool00`000000oooo000000060?ooo`03
0000003oool0oooo00/0oooo00<000000?ooo`0000000`3oool2000000<0oooo0P0000000`3oool0
0000000000050?ooo`8000000`3oool00`000000oooo0?ooo`02000000<0oooo00<000000?ooo`3o
ool00`0000020?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool0103oool01000
0000oooo0000000000020?ooo`8000000`3oool3000000<0oooo0P00000@0?ooo`8000000`3oool3
000000<0oooo0P0000020?ooo`80000000<0oooo0000003oool01@3oool00`000000oooo0?ooo`02
0?ooo`040000003oool0oooo00000080oooo0`0000020?ooo`040000003oool0oooo0?ooo`800000
0P3oool010000000oooo0?ooo`3oool2000000D0oooo0P0000000`3oool00000000000030?ooo`80
00000`3oool00`000000oooo0000000=0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool03@3oool00140oooo00<000000?ooo`0000001P3oool00`000000oooo0?ooo`080?ooo`030000
003oool0oooo00<000000P3oool3000000@0oooo00@000000?ooo`3oool000001P3oool010000000
oooo0?ooo`3oool3000000030?ooo`00000000000080oooo00<000000?ooo`3oool00P0000001@3o
ool000000?ooo`000000oooo00800000103oool00`000000oooo0?ooo`020?ooo`040000003oool0
00000?ooo`8000000P3oool3000000<0oooo0P0000030?ooo`8000001P3oool010000000oooo0?oo
o`0000060?ooo`8000000`3oool2000000<0oooo0`0000020?ooo`80000000@0oooo0000003oool0
0000103oool00`000000oooo0?ooo`020?ooo`80000000D0oooo0000003oool000000?ooo`020000
0080oooo00<000000?ooo`3oool00P000000103oool000000000000000030?ooo`030000003oool0
oooo00@0oooo00@000000?ooo`3oool00000103oool300000080oooo0`0000020?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0=0?ooo`004@3oool3
000000D0oooo00<000000?ooo`3oool0303oool2000000<0oooo00<000000?ooo`3oool0103oool0
10000000oooo0?ooo`0000050?ooo`8000000`3oool3000000030?ooo`000000000000D0oooo0P00
0000103oool000000?ooo`0000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
103oool010000000oooo0000000000020?ooo`8000001P3oool00`000000oooo0?ooo`0200000100
oooo0P0000020?ooo`030000003oool0oooo00@0oooo0P0000020?ooo`80000000<0oooo0000003o
ool01@3oool00`000000oooo0?ooo`020?ooo`070000003oool0oooo0000003oool000000?ooo`02
000000D0oooo0P000000103oool000000000000000030?ooo`8000001@3oool010000000oooo0?oo
o`0000060?ooo`040000003oool0oooo0?ooo`8000003P3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00d0oooo000A0?ooo`050000003oool000000?ooo`0000000`3oool2000000X0
oooo00<000000?ooo`3oool00P0000020?ooo`040000003oool0oooo000000@0oooo00@000000?oo
o`0000000000103oool00`000000oooo000000030?ooo`<0000000<0oooo0000003oool00P3oool0
0`000000oooo0?ooo`02000000050?ooo`000000oooo0000003oool00P0000040?ooo`030000003o
ool0oooo00@0oooo00@000000?ooo`00000000000P3oool2000000<0oooo0P0000001P3oool00000
0?ooo`000000oooo00000100oooo00H000000?ooo`000000oooo0000003oool2000000<0oooo0P00
00020?ooo`80000000<0oooo0000003oool01@3oool00`000000oooo0?ooo`020?ooo`80000000D0
oooo0000003oool000000?ooo`0200000080oooo00H000000?ooo`3oool0oooo0000003oool30000
00<0oooo00<000000?ooo`000000103oool2000000030?ooo`000000oooo00<0oooo00@000000?oo
o`3oool000000P3oool200000080oooo00<000000?ooo`3oool0203oool2000000<0oooo00<00000
0?ooo`0000003`3oool00140oooo00D000000?ooo`000000oooo000000030?ooo`030000003oool0
oooo008000002`3oool010000000oooo0?ooo`0000070?ooo`040000003oool0oooo000000@0oooo
0`0000030?ooo`<0000000<0oooo0000000000001@3oool2000000040?ooo`000000oooo00000080
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`040000003oool000000000
0080oooo0P0000060?ooo`040000003oool000000?ooo`8000003P3oool2000000040?ooo`000000
oooo000000H0oooo0P0000020?ooo`80000000<0oooo0000003oool01@3oool00`000000oooo0?oo
o`020?ooo`070000003oool0oooo0000003oool000000?ooo`02000000D0oooo0P000000103oool0
00000000000000030?ooo`<00000103oool010000000oooo0?ooo`0000070?ooo`040000003oool0
oooo000000/0oooo0P0000020?ooo`070000003oool0oooo0?ooo`000000oooo0000000?0?ooo`00
103oool00`000000oooo0?ooo`03000000L0oooo00D000000?ooo`3oool0oooo000000030?ooo`03
0000003oool0oooo008000001`3oool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`3o
ool01@3oool010000000oooo0?ooo`0000040?ooo`030000003oool0000000<0oooo0`0000000`3o
ool000000?ooo`020?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`070?ooo`040000003oool000000?ooo`8000000P3oool2000000H0oooo00@0
00000?ooo`000000oooo0P0000040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
0P3oool2000000040?ooo`000000oooo000000H0oooo0P0000020?ooo`80000000@0oooo0000003o
ool000002@3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo00000080oooo00H00000
0?ooo`3oool0oooo0000003oool3000000<0oooo00<000000?ooo`000000103oool010000000oooo
0?ooo`0000070?ooo`030000003oool0oooo008000000P3oool00`000000oooo0?ooo`050?ooo`80
00000P3oool01@000000oooo0?ooo`3oool000000140oooo00040?ooo`040000003oool0oooo0000
0080oooo00<000000?ooo`3oool0103oool010000000oooo0000003oool200000080oooo00<00000
0?ooo`3oool00P00000;0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool0oooo
0P0000060?ooo`80000000<0oooo0000003oool00P3oool3000000030?ooo`000000oooo00D0oooo
0P0000001P3oool000000?ooo`000000oooo000000D0oooo00<000000?ooo`3oool01P3oool20000
0080oooo0`0000020?ooo`030000003oool0oooo0080oooo00@000000?ooo`0000000000103oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo0P0000000`3oool000000?ooo`03
0?ooo`030000003oool0oooo00<000000P3oool2000000P0oooo00<000000?ooo`3oool00`3oool0
1P000000oooo0000003oool000000?ooo`8000001P3oool00`000000oooo00000002000000<0oooo
00@000000?ooo`00000000001P3oool2000000<0oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo0?ooo`090?ooo`8000000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000003`3o
ool000@0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`040?ooo`<0000000<0
oooo0000000000000P3oool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`3oool01@3o
ool200000080oooo00<000000?ooo`3oool01@3oool010000000oooo0000000000030?ooo`800000
0P3oool00`000000oooo0?ooo`03000000030?ooo`00000000000080oooo00T000000?ooo`3oool0
oooo0000003oool000000?ooo`0000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo00@0oooo00@000000?ooo`00000000000P3oool2000000<0oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`040000003oool0oooo0?ooo`800000103oool2000000<0oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`040000003oool0oooo0?ooo`8000000P3oool2000000030?oo
o`000000oooo00D0oooo00<000000?ooo`3oool00P3oool020000000oooo0?ooo`000000oooo0000
003oool000000`3oool00`000000oooo0?ooo`02000000040?ooo`000000000000000080oooo00<0
00000?ooo`3oool00P0000030?ooo`80000000<0oooo0000003oool01P3oool00`000000oooo0?oo
o`02000000L0oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool0oooo0080000000<0
oooo0000003oool03P3oool000@0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?oo
o`040?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0?ooo`0200000080
oooo0P0000030?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`050?oo
o`040000003oool0oooo000000<0oooo00L000000?ooo`000000oooo0000003oool000000080oooo
00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000020?ooo`030000003oool000000080
oooo00<000000?ooo`3oool02@3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo
00D0oooo00@000000?ooo`000000oooo0P0000030?ooo`800000103oool2000000<0oooo0P000000
103oool000000?ooo`0000070?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0
2@3oool01P000000oooo0?ooo`000000oooo00000080oooo00@000000?ooo`3oool000001@3oool0
2P000000oooo0?ooo`000000oooo0000003oool000000?ooo`0000030?ooo`040000003oool0oooo
000000L0oooo00@000000?ooo`3oool000000`3oool010000000oooo0?ooo`3oool200000080oooo
0P0000020?ooo`060000003oool0oooo0000003oool00000403oool000@0oooo00@000000?ooo`3o
ool000000P3oool00`000000oooo0?ooo`040?ooo`060000003oool000000000003oool000000P3o
ool00`000000oooo0000000200000080oooo0P0000060?ooo`8000002P3oool010000000oooo0?oo
o`0000030?ooo`8000000P3oool010000000oooo0000003oool2000000030?ooo`000000oooo00P0
oooo00D000000?ooo`3oool0oooo000000050?ooo`030000003oool0oooo0080oooo00@000000?oo
o`3oool0oooo0P0000020?ooo`800000203oool00`000000oooo0?ooo`0200000080oooo0P000004
0?ooo`8000000`3oool010000000oooo0?ooo`0000080?ooo`040000003oool000000?ooo`800000
0`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3oool0
oooo000000090?ooo`080000003oool000000000003oool000000?ooo`0000020?ooo`8000000`3o
ool010000000oooo0?ooo`00000:0?ooo`8000001P3oool200000080oooo0`0000001P3oool00000
0?ooo`3oool000000?ooo`8000003`3oool000<0oooo0P0000020?ooo`040000003oool0oooo0000
00H0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool000000?ooo`000000
oooo0`00000:0?ooo`040000003oool0oooo000000@0oooo00@000000?ooo`3oool000000`3oool0
1`000000oooo0?ooo`3oool000000?ooo`0000002`3oool2000000040?ooo`000000oooo00000080
oooo00<000000?ooo`3oool01@3oool020000000oooo0?ooo`3oool000000?ooo`000000oooo0P00
00050?ooo`0:0000003oool0oooo0000003oool000000?ooo`000000oooo00000080oooo0`000002
0?ooo`<000000P3oool01`000000oooo0000003oool000000?ooo`0000000P3oool00`000000oooo
0?ooo`030?ooo`80000000@0oooo0000003oool000000`3oool00`000000oooo0?ooo`050?ooo`07
0000003oool0oooo0000003oool000000?ooo`02000000/0oooo00<000000?ooo`0000000`3oool0
1@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool00P3oool010000000oooo0?oo
o`00000:0?ooo`<0000000H0oooo0000003oool000000?ooo`0000020?ooo`030000003oool00000
0100oooo00040?ooo`040000003oool0oooo0?ooo`8000001`3oool00`000000oooo000000020?oo
o`030000003oool0oooo00<0000000D0oooo0000003oool000000?ooo`03000000030?ooo`000000
oooo0080oooo00<000000?ooo`3oool0203oool010000000oooo0?ooo`0000030?ooo`080000003o
ool0oooo0?ooo`000000oooo0000003oool2000000030?ooo`000000000000P0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`02000000L0oooo00<000000?ooo`0000001P3oool00`00
0000oooo000000030?ooo`040000003oool0oooo000000H0oooo00@000000?ooo`3oool000000`3o
ool00`000000oooo000000060?ooo`030000003oool0000000L0oooo0P0000020?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool01P3oool2000000070?ooo`00000000000?ooo`000000
oooo000000030?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`080?oo
o`060000003oool0oooo0?ooo`000000oooo0`0000001@3oool000000?ooo`000000oooo00<00000
0P3oool010000000oooo0?ooo`00000?0?ooo`004@3oool2000000040?ooo`000000oooo00000080
oooo00P000000?ooo`000000oooo0000003oool000000?ooo`<00000103oool01@000000oooo0?oo
o`3oool0000000L0oooo00<000000?ooo`000000103oool200000080oooo00<000000?ooo`3oool0
2`3oool2000000<0oooo00@000000?ooo`3oool000001`3oool200000080oooo00@000000?ooo`00
0000oooo0P00000:0?ooo`050000003oool0oooo0?ooo`0000000P3oool2000000@0oooo0P000002
0?ooo`050000003oool0oooo0?ooo`0000002P3oool2000000040?ooo`000000oooo00000080oooo
0P0000070?ooo`040000003oool0oooo000000<0oooo0P00000=0?ooo`030000003oool0oooo0080
0000103oool00`000000oooo000000070?ooo`050000003oool0oooo0?ooo`000000103oool30000
00080?ooo`000000oooo0000003oool000000?ooo`0000020?ooo`030000003oool000000100oooo
000A0?ooo`030000003oool000000080oooo00/000000?ooo`3oool000000?ooo`000000oooo0000
003oool000000?ooo`04000000@0oooo00<000000?ooo`3oool0203oool01@000000oooo0?ooo`3o
ool000000080oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00P0oooo100000040?ooo`04
0000003oool0000000000080oooo00<000000?ooo`3oool00`3oool00`000000oooo000000030?oo
o`040000003oool0oooo000000H0oooo00@000000?ooo`3oool000000`3oool00`000000oooo0000
00050?ooo`030000003oool0oooo0080000000<0oooo0000003oool00`3oool4000000X0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`060000003oool0oooo0000003oool0
00000`3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool00`3oool3000000080?ooo`000000oooo0000003oool000000?ooo`0000020?ooo`040000
003oool0oooo000000l0oooo000A0?ooo`060000003oool0oooo0000003oool000000P3oool00`00
0000oooo000000030?ooo`060000003oool0oooo0000003oool000001`3oool00`000000oooo0?oo
o`040?ooo`8000000`3oool010000000oooo0?ooo`0000030?ooo`050000003oool000000?ooo`00
00000P3oool00`000000oooo0?ooo`040?ooo`080000003oool0oooo0000003oool000000?ooo`00
00070?ooo`030000003oool000000080oooo00<000000?ooo`3oool00P3oool010000000oooo0?oo
o`0000020?ooo`030000003oool0oooo0080oooo00D000000?ooo`000000oooo000000020?ooo`03
0000003oool000000080oooo00<000000?ooo`0000000P3oool01@000000oooo0000003oool00000
00@0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`020?ooo`060000003oool0
oooo0000003oool000001`3oool01@000000oooo0000003oool000000080oooo00<000000?ooo`3o
ool0103oool020000000oooo0?ooo`000000oooo0000003oool000000`3oool010000000oooo0?oo
o`0000030?ooo`8000001P3oool00`000000oooo0?ooo`050?ooo`030000003oool000000080oooo
00L000000?ooo`3oool0oooo0000003oool000000080oooo00<000000?ooo`000000403oool00140
oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000030?ooo`040000003oool00000
0?ooo`80000000<0oooo0000000000000`3oool00`000000oooo0?ooo`080?ooo`050000003oool0
oooo0?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo00000080oooo
00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`030?ooo`80000000<0oooo000000000000
1@3oool00`000000oooo0?ooo`040?ooo`060000003oool0oooo0000003oool000000`3oool01000
0000oooo0?ooo`0000060?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`0000000P3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo0P0000000`3oool000000000
00050?ooo`030000003oool0oooo00/0oooo00@000000?ooo`3oool000000P3oool00`000000oooo
0?ooo`030?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool0203oool010000000
oooo0?ooo`3oool2000000070?ooo`00000000000?ooo`000000oooo000000030?ooo`040000003o
ool0oooo00000180oooo000A0?ooo`<000000P3oool02P000000oooo0?ooo`000000oooo0000003o
ool000000?ooo`0000020?ooo`030000003oool0000000<0oooo00D000000?ooo`3oool0oooo0000
00020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool3000000040?ooo`00
0000oooo000000`0oooo00D000000?ooo`000000oooo000000090?ooo`030000003oool000000080
oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0080
oooo00@000000?ooo`3oool000001P3oool010000000oooo0?ooo`0000040?ooo`030000003oool0
oooo00L0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0000000T0oooo
00D000000?ooo`000000oooo0000000<0?ooo`040000003oool000000?ooo`<000001P3oool00`00
0000oooo0?ooo`020?ooo`040000003oool0oooo000000<0oooo00L000000?ooo`3oool0oooo0000
003oool000000080oooo00L000000?ooo`000000oooo0000003oool000000080oooo00@000000?oo
o`3oool000003`3oool00140oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003o
ool0000000<0oooo00H000000?ooo`00000000000?ooo`0000040?ooo`030000003oool0oooo00P0
oooo0P0000020?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00`0oooo00<000000?ooo`0000001P3oool20000
00h0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00<0
00000?ooo`3oool0303oool2000000H0oooo00<000000?ooo`0000003P3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00D000000?ooo`3oool0oooo000000020?ooo`050000
003oool0oooo0?ooo`0000002P3oool00`000000oooo0?ooo`020?ooo`060000003oool000000000
003oool000000`3oool00`000000oooo000000020?ooo`030000003oool000000100oooo000A0?oo
o`030000003oool0oooo00D0oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo00<0
00000?ooo`000000403oool2000000050?ooo`000000oooo0?ooo`0000000`3oool010000000oooo
0000003oool2000000/0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`80
000000<0oooo0000003oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0
oooo0P0000040?ooo`040000003oool0oooo000000H0oooo00@000000?ooo`3oool00000103oool2
000000D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`040000003oool0
0000000000D0oooo00H000000?ooo`3oool000000?ooo`00000;0?ooo`80000000@0oooo0000003o
ool000000`3oool01@000000oooo0?ooo`000000oooo00800000403oool00`000000oooo00000002
0?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool04P3oool00140oooo00<000000?oo
o`0000000P3oool00`000000oooo000000020?ooo`070000003oool0oooo0?ooo`000000oooo0000
00020?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?oo
o`020?ooo`040000003oool0oooo0?ooo`8000002@3oool00`000000oooo0?ooo`020?ooo`040000
003oool0oooo000000H0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`070?oo
o`8000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00l0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool03P3oool01P000000oooo0?ooo`000000oooo000000<0oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`030000003oool0oooo00d0oooo000A0?ooo`060000003oool0oooo0000003o
ool000002`3oool010000000oooo0000000000030?ooo`030000003oool0oooo00@0oooo0P000003
0?ooo`040000003oool0oooo00000080oooo00D000000?ooo`3oool0oooo0000000:0?ooo`070000
003oool0oooo0?ooo`000000oooo000000030?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`0000005P3oool010000000oooo0?ooo`0000060?ooo`040000003oool0oooo000001H0oooo00<0
00000?ooo`0000001`3oool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool00`000000
oooo0?ooo`080?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`000003
0?ooo`8000001P3oool010000000oooo0?ooo`3oool2000000030?ooo`000000oooo00X0oooo00<0
00000?ooo`000000403oool00140oooo0P0000050?ooo`040000003oool0oooo00000080oooo0P00
00040?ooo`050000003oool0oooo0?ooo`0000001`3oool2000000<0oooo00@000000?ooo`3oool0
0000203oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool00P3oool010000000oooo0?ooo`0000050?ooo`80000000<0oooo0000003oool00`3oool0
10000000oooo0?ooo`0000080?ooo`8000001`3oool00`000000oooo000000020?ooo`030000003o
ool0000000L0oooo0P0000080?ooo`040000003oool0oooo000000@0oooo00@000000?ooo`000000
00001@3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo00<0oooo00@000000?oo
o`3oool000000P3oool00`000000oooo0?ooo`060?ooo`040000003oool0oooo000000<0oooo0P00
00070?ooo`050000003oool0oooo0?ooo`000000103oool200000080oooo00@000000?ooo`3oool0
0000503oool00140oooo00<000000?ooo`3oool00P3oool00`000000oooo000000060?ooo`060000
003oool0oooo0000003oool000001`3oool010000000oooo0?ooo`3oool2000000T0oooo00D00000
0?ooo`3oool0oooo000000030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool03`3o
ool010000000oooo0?ooo`00000?0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
3@3oool010000000oooo0?ooo`00000A0?ooo`030000003oool0oooo00X0oooo00D000000?ooo`3o
ool0oooo000000030?ooo`030000003oool0oooo00L0oooo0P0000030?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`040?ooo`030000003oool00000
0180oooo000A0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01P3oool00`000000
oooo000000020?ooo`030000003oool0oooo00T0oooo0P0000030?ooo`040000003oool0oooo0000
0080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0H0?ooo`040000003oool00000
000000T0oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`020?ooo`040000003o
ool0oooo000000H0oooo00@000000?ooo`3oool00000103oool01@000000oooo0?ooo`3oool00000
0080oooo00<000000?ooo`3oool01`3oool2000000030?ooo`000000oooo01T0oooo00<000000?oo
o`3oool00`3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo0?ooo`8000002`3o
ool01P000000oooo0?ooo`000000oooo000000P0oooo00<000000?ooo`3oool0403oool00140oooo
00@000000?ooo`3oool000000`3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo
00l0oooo0P000000103oool000000?ooo`0000050?ooo`050000003oool000000?ooo`000000403o
ool00`000000oooo000000090?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3oool0oooo
000000050?ooo`040000003oool0oooo000000<0oooo00D000000?ooo`000000oooo000000080?oo
o`050000003oool000000?ooo`0000000`3oool010000000oooo0?ooo`0000050?ooo`050000003o
ool0oooo0?ooo`0000001@3oool00`000000oooo0?ooo`070?ooo`030000003oool000000100oooo
00D000000?ooo`000000oooo000000050?ooo`040000003oool000000?ooo`8000004@3oool01000
0000oooo0?ooo`0000020?ooo`050000003oool0oooo0?ooo`000000403oool00140oooo00<00000
0?ooo`3oool00P3oool00`000000oooo000000020?ooo`050000003oool0oooo0?ooo`0000000P3o
ool00`000000oooo000000040?ooo`030000003oool0oooo00<0oooo0`0000030?ooo`80000000<0
oooo0000003oool01`3oool010000000oooo0?ooo`0000080?ooo`800000303oool010000000oooo
0?ooo`0000060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0503oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00@000000?ooo`3oool00000303oool20000
00P0oooo00@000000?ooo`3oool00000203oool010000000oooo0000000000030?ooo`<000001@3o
ool00`000000oooo0?ooo`020?ooo`030000003oool000000080oooo00D000000?ooo`3oool0oooo
000000020?ooo`030000003oool000000180oooo000A0?ooo`8000004@3oool2000000X0oooo0P00
00030?ooo`040000003oool0oooo00000080oooo00D000000?ooo`3oool0oooo0000000E0?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool01`3oool010000000oooo0?ooo`00000;0?oo
o`030000003oool0000000P0oooo00<000000?ooo`0000002`3oool010000000oooo0?ooo`000009
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool04`3oool01@000000oooo0?ooo`3o
ool000000080oooo00@000000?ooo`3oool000000`3oool2000000X0oooo0P00000P0?ooo`004@3o
ool00`000000oooo0?ooo`020?ooo`030000003oool000000080oooo00L000000?ooo`3oool0oooo
0000003oool0000000H0oooo00<000000?ooo`3oool01@3oool2000000l0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`060?ooo`050000003oool000000?ooo`0000003@3oool00`00
0000oooo0?ooo`0@0?ooo`030000003oool000000080oooo00@000000?ooo`3oool000000P3oool0
0`000000oooo0000000B0?ooo`030000003oool0oooo00/0oooo00D000000?ooo`000000oooo0000
00080?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool03@3oool2000000L0oooo00<0
00000?ooo`3oool0103oool00`000000oooo000000030?ooo`060000003oool0oooo0000003oool0
00004P3oool00140oooo00<000000?ooo`3oool02P3oool01`000000oooo0?ooo`3oool000000?oo
o`0000002`3oool2000000<0oooo00H000000?ooo`3oool000000?ooo`0000040?ooo`050000003o
ool0oooo0?ooo`000000603oool00`000000oooo000000060?ooo`030000003oool0oooo00L0oooo
0P0000090?ooo`040000003oool0oooo000000T0oooo0P0000090?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`000000603oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?oo
o`0000000P3oool010000000oooo0?ooo`3oool2000000/0oooo00<000000?ooo`0000000`3oool0
0`000000oooo0?ooo`0H0?ooo`000P3oool4000000040?ooo`0000000000000000L0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`0F0?ooo`050000003oool0oooo0?ooo`000000103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool04@3o
ool00`000000oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`0000003P3oool00`000000oooo
000000080?ooo`030000003oool0000000h0oooo00D000000?ooo`3oool0oooo000000060?ooo`03
0000003oool0oooo0140oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo0080oooo00D000000?ooo`3oool0oooo0000000H0?ooo`030000003oool0oooo
0180oooo00030?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`040?oo
o`060000003oool0oooo0000003oool00000203oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000050?ooo`030000
003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo03`0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`000000oooo000000050?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`060?ooo`030000
003oool000000100oooo00040?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0
103oool2000000D0oooo00<000000?ooo`3oool05`3oool010000000oooo0?ooo`0000040?ooo`06
0000003oool0oooo0000003oool000003@3oool00`000000oooo0?ooo`0>0?ooo`050000003oool0
oooo0?ooo`0000001P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`000000203oool00`000000oooo000000040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool01@000000oooo0?ooo`3oool000000100oooo00<000000?ooo`3oool0
2`3oool00`000000oooo000000020?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool0
00006@3oool00`000000oooo0?ooo`0B0?ooo`00103oool010000000oooo0?ooo`0000020?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`04
0000003oool0oooo00000100oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo000000030?ooo`040000003o
ool0oooo000000l0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0F0?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool03@3oool010000000oooo0?ooo`0000030?ooo`05
0000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00<0oooo00@000000?ooo`3oool00000403oool010000000oooo0?ooo`0000040?ooo`030000003o
ool0oooo0100oooo00050?ooo`030000003oool000000080oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00H000000?ooo`3oool000000?oo
o`00000=0?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`0J0?ooo`040000003oool0oooo000000H0oooo00<000000?ooo`3oool0303oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0103oool01000
0000oooo0?ooo`00000L0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool0
10000000oooo0?ooo`00000=0?ooo`030000003oool000000080oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`0B0?ooo`000P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0=0?ooo`050000003oool0oooo0?ooo`00
0000403oool00`000000oooo0000000G0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo01D0oooo00<000000?ooo`00
0000403oool01@000000oooo0?ooo`3oool0000001d0oooo00030?ooo`8000000`3oool2000000L0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0C0?ooo`040000003oool0oooo0000
0080oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool04P3oool00`000000oooo0000000j0?ooo`030000003oool0
000001@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo0080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00000E0?ooo`030000
003oool0oooo0100oooo000A0?ooo`8000001@3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0oooo0300oooo0P0000080?ooo`800000<P3oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0oooo00/0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo0180oooo000A0?ooo`040000003oool0oooo000001<0oooo00<000000?ooo`3oool02P3o
ool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
2P3oool00`000000oooo0?ooo`0A0?ooo`8000001@3oool00`000000oooo0?ooo`0L0?ooo`030000
003oool0oooo00<0oooo0P00000C0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`040?ooo`040000003oool0oooo000000`0oooo00<000000?ooo`3o
ool04@3oool00`000000oooo0?ooo`0>0?ooo`004@3oool010000000oooo0?ooo`0000020?ooo`80
00001@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo0P0000060?ooo`03
0000003oool0oooo01L0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`80
00001@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00<0oooo0P00000<0?ooo`03
0000003oool0oooo00/0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`040?ooo`80
00002@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00<0oooo0P0000020?ooo`03
0000003oool0oooo00h0oooo000A0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool0
0000203oool00`000000oooo0?ooo`090?ooo`050000003oool0oooo0?ooo`0000002P3oool00`00
0000oooo0?ooo`0H0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000006P3o
ool00`000000oooo0?ooo`080?ooo`050000003oool0oooo0?ooo`0000002`3oool00`000000oooo
0?ooo`060?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool02P3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo01D0oooo000A0?ooo`8000002`3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo01T0oooo00@000000?ooo`3oool000000`3oool00`000000
oooo0?ooo`0`0?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`0I0?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0;0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool0603oool00140oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3o
ool06`3oool010000000oooo0?ooo`00000:0?ooo`040000003oool0oooo000001d0oooo00<00000
0?ooo`3oool08`3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo0180oooo000A0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool0603oool010000000oooo0?ooo`000002
0?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo000000050?ooo`030000003o
ool0oooo00@0oooo00@000000?ooo`3oool00000503oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`080?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool04P3oool010000000oooo0?ooo`0000060?ooo`03
0000003oool0oooo00<0oooo00D000000?ooo`3oool0oooo000000040?ooo`040000003oool0oooo
00000080oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0A0?ooo`004@3oool00`00
0000oooo0?ooo`0=0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`0O0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`0O0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool02`3oool00`00
0000oooo0?ooo`0K0?ooo`004@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo01P0
oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo01P0
oooo00<000000?ooo`3oool07P3oool00140oooo0P0000050?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0:0?ooo`040000003oool0oooo00000080
oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool09`3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
0180oooo000A0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`0E0?ooo`050000003oool0oooo0?ooo`000000303oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo01H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0F0?oo
o`030000003oool0oooo01@0oooo00<000000?ooo`3oool02P3oool01@000000oooo0?ooo`3oool0
000001L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0A0?ooo`004@3oool00`00
0000oooo0?ooo`0>0?ooo`030000003oool0oooo01`0oooo00@000000?ooo`3oool00000KP3oool0
10000000oooo0?ooo`00000N0?ooo`030000003oool0oooo01`0oooo000A0?ooo`040000003oool0
oooo000001L0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0>0?ooo`8000000P3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00P00
000@0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`0>0?ooo`004@3oool00`000000oooo0?ooo`040?ooo`040000003oool0oooo000000`0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0200oooo00<0
00000?ooo`3oool02`3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool0803oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool02P3oool010000000oooo0?ooo`00000D0?ooo`004@3oool200000140oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0100oooo00D0
00000?ooo`3oool0oooo0000000C0?ooo`050000003oool0oooo0?ooo`0000003@3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00/0oooo00D000000?ooo`3oool0oooo0000000C0?oo
o`050000003oool0oooo0?ooo`0000004P3oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool07P3oool00140oooo00@000000?ooo`3oool000000P3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0703oool0
0`000000oooo0?ooo`1B0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool04@3oool0
0`000000oooo0?ooo`040?ooo`040000003oool0oooo00000100oooo000A0?ooo`030000003oool0
oooo02@0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo0380oooo00030?ooo`8000000P3oool3000000L0oooo00<000000?ooo`3oool0103oool01000
0000oooo0?ooo`00000<0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`0H0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool05P3oool0
0`000000oooo0?ooo`0G0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00X0oooo00@000000?ooo`3oool00000503o
ool00080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo01P0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo01X0oooo
00<000000?ooo`3oool0>@3oool000D0oooo00<000000?ooo`0000000P3oool00`000000oooo0?oo
o`040?ooo`8000009@3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0:03oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02<0oooo00<0
00000?ooo`3oool0<P3oool000@0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`0A0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?oo
o`0>0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?oo
o`0;0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo0140oooo00050?ooo`030000003oool000000080oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`0=0?ooo`050000003oool0oooo0?ooo`0000003`3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool03@3o
ool01@000000oooo0?ooo`3oool0000001d0oooo00020?ooo`060000003oool0oooo0000003oool0
00000P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0603oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0780oooo00<000000?ooo`3o
ool02`3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0180oooo00030?ooo`800000
0`3oool2000000L0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0`0?ooo`030000
003oool0oooo0140oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`0A0?ooo`030000
003oool0oooo0300oooo00<000000?ooo`3oool0603oool00140oooo0P00000L0?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`0B0?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0W0?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool0:@3oool00140oooo00<000000?ooo`3oool03P3oool0
10000000oooo0?ooo`00000<0?ooo`050000003oool0oooo0?ooo`0000002@3oool01@000000oooo
0?ooo`3oool0000001L0oooo00<000000?ooo`3oool0?03oool00`000000oooo0?ooo`0E0?ooo`05
0000003oool0oooo0?ooo`0000002@3oool01@000000oooo0?ooo`3oool0000000`0oooo00@00000
0?ooo`3oool000007P3oool00140oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0P
0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0P
0?ooo`030000003oool0oooo0140oooo000A0?ooo`030000003oool0oooo0240oooo00<000000?oo
o`3oool0@P3oool010000000oooo0?ooo`0000140?ooo`030000003oool0oooo02l0oooo000A0?oo
o`8000001@3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00`0oooo00<000000?oo
o`3oool0703oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo01`0oooo00<000000?oo
o`3oool0303oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo0180oooo000A0?ooo`03
0000003oool0oooo02`0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0F0?ooo`03
0000003oool0oooo02`0oooo00<000000?ooo`3oool0>P3oool00140oooo00@000000?ooo`3oool0
00001P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo01/0oooo00D000000?ooo`3o
ool0oooo0000000X0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo02H0oooo00D000000?ooo`3oool0oooo0000000M
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0>
0?ooo`004@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00L0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool02`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo00/0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`0R0?ooo`004@3oool00`000000oooo0?ooo`0/0?ooo`03
0000003oool0oooo03<0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0c0?ooo`03
0000003oool0oooo03X0oooo000A0?ooo`8000002`3oool00`000000oooo0?ooo`0H0?ooo`030000
003oool0oooo01D0oooo00<000000?ooo`3oool0DP3oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo01P0oooo00<000000?ooo`3oool0603oool00140oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool08`3o
ool2000000D0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`030?ooo`8000009@3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool04@3o
ool00140oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`0f0?ooo`030000003o
ool0oooo0140oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`0A0?ooo`030000003o
ool0oooo03H0oooo00D000000?ooo`3oool0oooo0000000@0?ooo`004@3oool00`000000oooo0?oo
o`110?ooo`030000003oool0oooo04X0oooo00<000000?ooo`3oool0C`3oool00140oooo00<00000
0?ooo`3oool09P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo01D0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0280oooo00<00000
0?ooo`3oool0=03oool00140oooo0P00000]0?ooo`030000003oool0oooo02H0oooo00<000000?oo
o`3oool03P3oool010000000oooo0?ooo`00000@0?ooo`030000003oool0oooo02H0oooo00<00000
0?ooo`3oool0>P3oool00140oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo0880oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0Y0?oo
o`004@3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool0;@3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool04@3oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool09P3oool000D0oooo00<000000?ooo`0000000P0000070?ooo`030000003oool0oooo0580oooo
00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`1P0?ooo`001@3oool00`000000oooo0000
00020?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool0503oool00`000000oooo0?oo
o`0]0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0;`3oool00080oooo1P000002
0?ooo`030000003oool0oooo00@0oooo0P0000040?ooo`030000003oool0oooo00/0oooo00<00000
0?ooo`3oool04P3oool010000000oooo0?ooo`00001l0?ooo`040000003oool0oooo000001@0oooo
00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0A0?ooo`000P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool0A03oool00`000000oooo0?ooo`0F0?ooo`03
0000003oool0oooo04@0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0B0?ooo`00
0`3oool01@000000oooo0000003oool000000080oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`0j0?ooo`030000003oool0oooo05P0oooo00<000000?ooo`3oool0B03oool000@0oooo
0P0000001@3oool000000?ooo`3oool0000000H0oooo00<000000?ooo`3oool03@3oool00`000000
oooo0?ooo`0E0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0603oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool07`3oool00`000000
oooo0?ooo`0E0?ooo`030000003oool0oooo01/0oooo00050?ooo`030000003oool0oooo00800000
1`3oool00`000000oooo0?ooo`0:0?ooo`050000003oool0oooo0?ooo`0000004`3oool00`000000
oooo0?ooo`0;0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0DP3oool00`000000
oooo0?ooo`0:0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool04@3oool01@000000
oooo0?ooo`3oool0000001X0oooo000A0?ooo`800000H`3oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo0700oooo000A0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool0
M03oool00`000000oooo0?ooo`0j0?ooo`004@3oool00`000000oooo0?ooo`0A0?ooo`030000003o
ool0oooo02T0oooo00@000000?ooo`3oool000002@3oool00`000000oooo0?ooo`0h0?ooo`030000
003oool0oooo00L0oooo00@000000?ooo`3oool00000:`3oool00`000000oooo0?ooo`0O0?ooo`00
4@3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
P03oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02`0oooo000A0?ooo`800000B03o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`1E0?ooo`004@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo01D0oooo00@000000?ooo`3oool000001P3oool00`000000oooo0?ooo`1d0?ooo`030000003o
ool0oooo00@0oooo00@000000?ooo`3oool000005`3oool00`000000oooo0?ooo`0H0?ooo`004@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0540oooo00<000000?ooo`3oool0703o
ool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo0180oooo000A0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0
oooo0300oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0I0?ooo`030000003oool0
oooo0140oooo000A0?ooo`030000003oool0oooo06<0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`1a0?ooo`004@3oool2000005<0oooo00<000000?ooo`3oool0:03oool00`000000
oooo0?ooo`1P0?ooo`004@3oool00`000000oooo0?ooo`3P0?ooo`004@3oool00`000000oooo0?oo
o`1L0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo06X0oooo000A0?ooo`030000003oool0oooo02H0oooo00<00000
0?ooo`3oool04@3oool00`000000oooo0?ooo`1I0?ooo`030000003oool0oooo0100oooo00<00000
0?ooo`3oool0=03oool00140oooo00@000000?ooo`3oool00000:03oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo06h0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0V
0?ooo`030000003oool0oooo00h0oooo000A0?ooo`8000004P3oool00`000000oooo0?ooo`0A0?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0n0?oo
o`030000003oool0oooo01P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0A0?oo
o`030000003oool0oooo01l0oooo000A0?ooo`030000003oool0oooo0>00oooo000A0?ooo`030000
003oool0oooo04h0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`1L0?ooo`000`3o
ool200000080oooo0`0000070?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`2T0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool05@3o
ool00080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01P0oooo
00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo01/0oooo
00<000000?ooo`3oool0603oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo02T0oooo
00050?ooo`030000003oool000000080oooo00<000000?ooo`3oool0103oool2000000D0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0180oooo00<0
00000?ooo`3oool0IP3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo0140oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`0B0?ooo`000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0/0?ooo`030000
003oool0oooo07@0oooo00<000000?ooo`3oool0>P3oool00080oooo0`0000020?ooo`040000003o
ool0oooo000000H0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1M0?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool0G@3oool00`000000oooo0?ooo`0A0?ooo`000`3o
ool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`0V0?ooo`030000003oool0oooo0800oooo00<000000?ooo`3oool0=03oool000<0oooo0`00
00020?ooo`8000001`3oool010000000oooo0?ooo`00003>0?ooo`030000003oool0oooo00h0oooo
000A0?ooo`8000009P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool07P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo01h0oooo00<0
00000?ooo`3oool02`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo03<0oooo000A
0?ooo`030000003oool0oooo03d0oooo00<000000?ooo`3oool0DP3oool00`000000oooo0?ooo`1;
0?ooo`004@3oool00`000000oooo0?ooo`3P0?ooo`004@3oool00`000000oooo0?ooo`3P0?ooo`00
4@3oool200000580oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`1O0?ooo`004@3o
ool00`000000oooo0?ooo`170?ooo`030000003oool0oooo03h0oooo00<000000?ooo`3oool0E@3o
ool00140oooo00<000000?ooo`3oool0h03oool00140oooo00<000000?ooo`3oool0h03oool00140
oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`1d0?ooo`030000003oool0oooo03X0
oooo000A0?ooo`8000008`3oool00`000000oooo0?ooo`280?ooo`030000003oool0oooo0300oooo
000A0?ooo`030000003oool0oooo0580oooo00<000000?ooo`3oool0:03oool00`000000oooo0?oo
o`1P0?ooo`00\
\>"],
  ImageRangeCache->{{{153.125, 303.875}, {263.688, 170.875}} -> {-6203.4, \
109.223, 23.4627, 0.418588}},
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell["\<\
Using a much larger modulus and multiplier (chosen carefully), you can keep \
your generator from getting in such short loops.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ListPlot[\[IndentingNewLine]data = 
          NestList[linearCongruential[#, 2\^16, 27421] &, 0.0, 
            5000]];\)\)], "Input",
  CellLabel->"In[40]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.000190438 0.0147151 8.98549e-006 [
[.21425 .00222 -12 -11.875 ]
[.21425 .00222 12 0 ]
[.40469 .00222 -12 -11.875 ]
[.40469 .00222 12 0 ]
[.59512 .00222 -12 -11.875 ]
[.59512 .00222 12 0 ]
[.78556 .00222 -12 -11.875 ]
[.78556 .00222 12 0 ]
[.976 .00222 -12 -11.875 ]
[.976 .00222 12 0 ]
[.01131 .10457 -29 -5.9375 ]
[.01131 .10457 0 5.9375 ]
[.01131 .19442 -29 -5.9375 ]
[.01131 .19442 0 5.9375 ]
[.01131 .28428 -29 -5.9375 ]
[.01131 .28428 0 5.9375 ]
[.01131 .37413 -29 -5.9375 ]
[.01131 .37413 0 5.9375 ]
[.01131 .46399 -29 -5.9375 ]
[.01131 .46399 0 5.9375 ]
[.01131 .55384 -29 -5.9375 ]
[.01131 .55384 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.21425 .01472 m
.21425 .02097 L
s
gsave
.21425 .00222 -73 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1000) show
1.000 setlinewidth
grestore
.40469 .01472 m
.40469 .02097 L
s
gsave
.40469 .00222 -73 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2000) show
1.000 setlinewidth
grestore
.59512 .01472 m
.59512 .02097 L
s
gsave
.59512 .00222 -73 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(3000) show
1.000 setlinewidth
grestore
.78556 .01472 m
.78556 .02097 L
s
gsave
.78556 .00222 -73 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4000) show
1.000 setlinewidth
grestore
.976 .01472 m
.976 .02097 L
s
gsave
.976 .00222 -73 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(5000) show
1.000 setlinewidth
grestore
.125 Mabswid
.0619 .01472 m
.0619 .01847 L
s
.09998 .01472 m
.09998 .01847 L
s
.13807 .01472 m
.13807 .01847 L
s
.17616 .01472 m
.17616 .01847 L
s
.25234 .01472 m
.25234 .01847 L
s
.29042 .01472 m
.29042 .01847 L
s
.32851 .01472 m
.32851 .01847 L
s
.3666 .01472 m
.3666 .01847 L
s
.44277 .01472 m
.44277 .01847 L
s
.48086 .01472 m
.48086 .01847 L
s
.51895 .01472 m
.51895 .01847 L
s
.55704 .01472 m
.55704 .01847 L
s
.63321 .01472 m
.63321 .01847 L
s
.6713 .01472 m
.6713 .01847 L
s
.70939 .01472 m
.70939 .01847 L
s
.74747 .01472 m
.74747 .01847 L
s
.82365 .01472 m
.82365 .01847 L
s
.86174 .01472 m
.86174 .01847 L
s
.89982 .01472 m
.89982 .01847 L
s
.93791 .01472 m
.93791 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .10457 m
.03006 .10457 L
s
gsave
.01131 .10457 -90 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(10000) show
1.000 setlinewidth
grestore
.02381 .19442 m
.03006 .19442 L
s
gsave
.01131 .19442 -90 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(20000) show
1.000 setlinewidth
grestore
.02381 .28428 m
.03006 .28428 L
s
gsave
.01131 .28428 -90 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(30000) show
1.000 setlinewidth
grestore
.02381 .37413 m
.03006 .37413 L
s
gsave
.01131 .37413 -90 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(40000) show
1.000 setlinewidth
grestore
.02381 .46399 m
.03006 .46399 L
s
gsave
.01131 .46399 -90 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(50000) show
1.000 setlinewidth
grestore
.02381 .55384 m
.03006 .55384 L
s
gsave
.01131 .55384 -90 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(60000) show
1.000 setlinewidth
grestore
.125 Mabswid
.02381 .03269 m
.02756 .03269 L
s
.02381 .05066 m
.02756 .05066 L
s
.02381 .06863 m
.02756 .06863 L
s
.02381 .0866 m
.02756 .0866 L
s
.02381 .12254 m
.02756 .12254 L
s
.02381 .14051 m
.02756 .14051 L
s
.02381 .15848 m
.02756 .15848 L
s
.02381 .17645 m
.02756 .17645 L
s
.02381 .2124 m
.02756 .2124 L
s
.02381 .23037 m
.02756 .23037 L
s
.02381 .24834 m
.02756 .24834 L
s
.02381 .26631 m
.02756 .26631 L
s
.02381 .30225 m
.02756 .30225 L
s
.02381 .32022 m
.02756 .32022 L
s
.02381 .33819 m
.02756 .33819 L
s
.02381 .35616 m
.02756 .35616 L
s
.02381 .39211 m
.02756 .39211 L
s
.02381 .41008 m
.02756 .41008 L
s
.02381 .42805 m
.02756 .42805 L
s
.02381 .44602 m
.02756 .44602 L
s
.02381 .48196 m
.02756 .48196 L
s
.02381 .49993 m
.02756 .49993 L
s
.02381 .5179 m
.02756 .5179 L
s
.02381 .53587 m
.02756 .53587 L
s
.02381 .57182 m
.02756 .57182 L
s
.02381 .58979 m
.02756 .58979 L
s
.02381 .60776 m
.02756 .60776 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.008 w
.024 .01472 Mdot
.02419 .01472 Mdot
.02438 .26112 Mdot
.02457 .41129 Mdot
.02476 .3567 Mdot
.02495 .44599 Mdot
.02514 .30033 Mdot
.02533 .37991 Mdot
.02552 .30247 Mdot
.02571 .13369 Mdot
.0259 .12274 Mdot
.02609 .09723 Mdot
.02629 .17405 Mdot
.02648 .17276 Mdot
.02667 .27122 Mdot
.02686 .58457 Mdot
.02705 .14626 Mdot
.02724 .33317 Mdot
.02743 .55253 Mdot
.02762 .36054 Mdot
.02781 .24672 Mdot
.028 .23767 Mdot
.02819 .03738 Mdot
.02838 .15204 Mdot
.02857 .3558 Mdot
.02876 .53955 Mdot
.02895 .59358 Mdot
.02914 .53874 Mdot
.02933 .20668 Mdot
.02952 .56712 Mdot
.02971 .40851 Mdot
.0299 .18647 Mdot
.03009 .56305 Mdot
.03028 .09035 Mdot
.03047 .4667 Mdot
.03067 .55822 Mdot
.03086 .27476 Mdot
.03105 .49861 Mdot
.03124 .42771 Mdot
.03143 .02538 Mdot
.03162 .39994 Mdot
.03181 .0897 Mdot
.032 .39273 Mdot
.03219 .34537 Mdot
.03238 .0829 Mdot
.03257 .54742 Mdot
.03276 .31578 Mdot
.03295 .18403 Mdot
.03314 .08732 Mdot
.03333 .464 Mdot
.03352 .5925 Mdot
.03371 .41546 Mdot
.0339 .44081 Mdot
.03409 .05106 Mdot
.03428 .29357 Mdot
.03447 .58881 Mdot
.03466 .43488 Mdot
.03485 .55076 Mdot
.03505 .10908 Mdot
.03524 .106 Mdot
.03543 .39157 Mdot
.03562 .11367 Mdot
.03581 .5819 Mdot
.036 .57723 Mdot
.03619 .4857 Mdot
.03638 .27638 Mdot
.03657 .34105 Mdot
.03676 .52113 Mdot
.03695 .156 Mdot
.03714 .07277 Mdot
.03733 .22384 Mdot
.03752 .0757 Mdot
.03771 .46061 Mdot
.0379 .15612 Mdot
.03809 .33149 Mdot
.03828 .40949 Mdot
.03847 .54382 Mdot
.03866 .44362 Mdot
.03885 .02911 Mdot
.03904 .18834 Mdot
.03924 .58044 Mdot
.03943 .11637 Mdot
.03962 .30123 Mdot
.03981 .28636 Mdot
.04 .59809 Mdot
.04019 .56374 Mdot
.04038 .21852 Mdot
.04057 .25268 Mdot
.04076 .47714 Mdot
.04095 .08352 Mdot
.04114 .47109 Mdot
.04133 .07811 Mdot
.04152 .53965 Mdot
.04171 .35952 Mdot
.0419 .42404 Mdot
.04209 .1951 Mdot
.04228 .37155 Mdot
.04247 .57283 Mdot
.04266 .47303 Mdot
.04285 .30001 Mdot
.04304 .58932 Mdot
.04323 .34622 Mdot
.04342 .27761 Mdot
.04362 .53087 Mdot
.04381 .48448 Mdot
.044 .33295 Mdot
.04419 .52788 Mdot
.04438 .28959 Mdot
.04457 .37906 Mdot
.04476 .45023 Mdot
.04495 .58894 Mdot
.04514 .59751 Mdot
.04533 .44789 Mdot
.04552 .46802 Mdot
.04571 .26758 Mdot
.0459 .5621 Mdot
.04609 .12969 Mdot
.04628 .59795 Mdot
.04647 .40111 Mdot
.04666 .3214 Mdot
.04685 .48261 Mdot
.04704 .31556 Mdot
.04723 .50185 Mdot
.04742 .45507 Mdot
.04761 .06205 Mdot
.0478 .1269 Mdot
.048 .52382 Mdot
.04819 .21781 Mdot
.04838 .22059 Mdot
.04857 .39082 Mdot
.04876 .27377 Mdot
.04895 .48375 Mdot
.04914 .39696 Mdot
.04933 .1412 Mdot
.04952 .58901 Mdot
.04971 .21314 Mdot
.0499 .47154 Mdot
.05009 .03133 Mdot
.05028 .39302 Mdot
.05047 .57454 Mdot
.05066 .1775 Mdot
.05085 .56726 Mdot
.05104 .22866 Mdot
.05123 .23377 Mdot
.05142 .27853 Mdot
.05161 .34122 Mdot
.0518 .49158 Mdot
.05199 .06495 Mdot
.05218 .21337 Mdot
.05238 .15371 Mdot
.05257 .25245 Mdot
.05276 .2061 Mdot
.05295 .45127 Mdot
.05314 .06914 Mdot
.05333 .20138 Mdot
.05352 .05913 Mdot
.05371 .13652 Mdot
.0539 .59357 Mdot
.05409 .29235 Mdot
.05428 .05651 Mdot
.05447 .03283 Mdot
.05466 .31922 Mdot
.05485 .33214 Mdot
.05504 .48346 Mdot
.05523 .16779 Mdot
.05542 .0466 Mdot
.05561 .56917 Mdot
.0558 .30027 Mdot
.05599 .42179 Mdot
.05618 .42899 Mdot
.05637 .5158 Mdot
.05656 .08659 Mdot
.05676 .528 Mdot
.05695 .20583 Mdot
.05714 .12601 Mdot
.05733 .27489 Mdot
.05752 .07237 Mdot
.05771 .32483 Mdot
.0579 .38432 Mdot
.05809 .56153 Mdot
.05828 .26023 Mdot
.05847 .40876 Mdot
.05866 .36143 Mdot
.05885 .49565 Mdot
.05904 .38312 Mdot
.05923 .52201 Mdot
.05942 .15854 Mdot
.05961 .06804 Mdot
.0598 .17419 Mdot
.05999 .58178 Mdot
.06018 .31851 Mdot
.06037 .30005 Mdot
.06056 .39714 Mdot
.06075 .35804 Mdot
.06094 .05927 Mdot
.06114 .29915 Mdot
.06133 .49069 Mdot
.06152 .06242 Mdot
.06171 .21809 Mdot
.0619 .20337 Mdot
.06209 .33525 Mdot
.06228 .34819 Mdot
.06247 .30734 Mdot
.06266 .59237 Mdot
.06285 .25283 Mdot
.06304 .54368 Mdot
.06323 .28099 Mdot
.06342 .13198 Mdot
.06361 .41827 Mdot
.0638 .41886 Mdot
.06399 .53471 Mdot
.06418 .28521 Mdot
.06437 .2703 Mdot
.06456 .18534 Mdot
.06475 .13916 Mdot
.06494 .60117 Mdot
.06513 .27817 Mdot
.06533 .49642 Mdot
.06552 .37333 Mdot
.06571 .48181 Mdot
.0659 .17505 Mdot
.06609 .09153 Mdot
.06628 .60231 Mdot
.06647 .35957 Mdot
.06666 .13577 Mdot
.06685 .50727 Mdot
.06704 .04403 Mdot
.06723 .51969 Mdot
.06742 .18792 Mdot
.06761 .18865 Mdot
.0678 .12464 Mdot
.06799 .51132 Mdot
.06818 .21189 Mdot
.06837 .37781 Mdot
.06856 .35651 Mdot
.06875 .32524 Mdot
.06894 .52973 Mdot
.06913 .40308 Mdot
.06932 .10473 Mdot
.06951 .39393 Mdot
.06971 .1385 Mdot
.0699 .03442 Mdot
.07009 .35385 Mdot
.07028 .41373 Mdot
.07047 .24356 Mdot
.07066 .07234 Mdot
.07085 .17453 Mdot
.07104 .52267 Mdot
.07123 .13641 Mdot
.07142 .58124 Mdot
.07161 .25687 Mdot
.0718 .12268 Mdot
.07199 .13911 Mdot
.07218 .30057 Mdot
.07237 .55487 Mdot
.07256 .23507 Mdot
.07275 .42647 Mdot
.07294 .17804 Mdot
.07313 .28642 Mdot
.07332 .55621 Mdot
.07351 .43721 Mdot
.0737 .42529 Mdot
.07389 .28883 Mdot
.07409 .04637 Mdot
.07428 .05174 Mdot
.07447 .51784 Mdot
.07466 .07443 Mdot
.07485 .46297 Mdot
.07504 .18095 Mdot
.07523 .37289 Mdot
.07542 .1861 Mdot
.07561 .47185 Mdot
.0758 .4108 Mdot
.07599 .34927 Mdot
.07618 .43062 Mdot
.07637 .35824 Mdot
.07656 .18001 Mdot
.07675 .06975 Mdot
.07694 .46753 Mdot
.07713 .26015 Mdot
.07732 .54673 Mdot
.07751 .1876 Mdot
.0777 .39805 Mdot
.07789 .16839 Mdot
.07808 .06636 Mdot
.07827 .03115 Mdot
.07847 .17618 Mdot
.07866 .51541 Mdot
.07885 .09149 Mdot
.07904 .5481 Mdot
.07923 .19757 Mdot
.07942 .4087 Mdot
.07961 .06083 Mdot
.0798 .18347 Mdot
.07999 .12177 Mdot
.08018 .57515 Mdot
.08037 .44365 Mdot
.08056 .17941 Mdot
.08075 .04999 Mdot
.08094 .41668 Mdot
.08113 .38423 Mdot
.08132 .45311 Mdot
.08151 .52511 Mdot
.0817 .36575 Mdot
.08189 .05741 Mdot
.08208 .18566 Mdot
.08227 .17615 Mdot
.08246 .11872 Mdot
.08265 .07966 Mdot
.08285 .17758 Mdot
.08304 .42929 Mdot
.08323 .40248 Mdot
.08342 .33136 Mdot
.08361 .49326 Mdot
.0838 .20799 Mdot
.08399 .03009 Mdot
.08418 .54569 Mdot
.08437 .46102 Mdot
.08456 .05513 Mdot
.08475 .02286 Mdot
.08494 .30858 Mdot
.08513 .4397 Mdot
.08532 .36635 Mdot
.08551 .07717 Mdot
.0857 .23651 Mdot
.08589 .05207 Mdot
.08608 .21234 Mdot
.08627 .33103 Mdot
.08646 .20988 Mdot
.08665 .54027 Mdot
.08684 .28318 Mdot
.08703 .18636 Mdot
.08723 .55072 Mdot
.08742 .05487 Mdot
.08761 .53287 Mdot
.0878 .07563 Mdot
.08799 .2561 Mdot
.08818 .13247 Mdot
.08837 .17931 Mdot
.08856 .28406 Mdot
.08875 .53138 Mdot
.08894 .39582 Mdot
.08913 .0598 Mdot
.08932 .36079 Mdot
.08951 .0792 Mdot
.0897 .32045 Mdot
.08989 .27556 Mdot
.09008 .29663 Mdot
.09027 .39933 Mdot
.09046 .41242 Mdot
.09065 .19171 Mdot
.09084 .52404 Mdot
.09103 .48886 Mdot
.09122 .44171 Mdot
.09142 .2039 Mdot
.09161 .15049 Mdot
.0918 .37539 Mdot
.09199 .03108 Mdot
.09218 .56055 Mdot
.09237 .49176 Mdot
.09256 .52818 Mdot
.09275 .42267 Mdot
.09294 .18513 Mdot
.09313 .3609 Mdot
.09332 .09152 Mdot
.09351 .35592 Mdot
.0937 .20939 Mdot
.09389 .19035 Mdot
.09408 .41798 Mdot
.09427 .18969 Mdot
.09446 .44011 Mdot
.09465 .26537 Mdot
.09484 .35742 Mdot
.09503 .1356 Mdot
.09522 .53683 Mdot
.09541 .13508 Mdot
.0956 .37909 Mdot
.0958 .25805 Mdot
.09599 .60077 Mdot
.09618 .37916 Mdot
.09637 .21617 Mdot
.09656 .47424 Mdot
.09675 .58592 Mdot
.09694 .25232 Mdot
.09713 .04347 Mdot
.09732 .55414 Mdot
.09751 .29907 Mdot
.0977 .03979 Mdot
.09789 .47747 Mdot
.09808 .1205 Mdot
.09827 .57751 Mdot
.09846 .46847 Mdot
.09865 .22081 Mdot
.09884 .41548 Mdot
.09903 .34472 Mdot
.09922 .35141 Mdot
.09941 .1844 Mdot
.0996 .17851 Mdot
.09979 .14355 Mdot
.09998 .12106 Mdot
.10018 .54306 Mdot
.10037 .35732 Mdot
.10056 .36966 Mdot
.10075 .06265 Mdot
.10094 .14666 Mdot
.10113 .57466 Mdot
.10132 .09373 Mdot
.10151 .31421 Mdot
.1017 .05332 Mdot
.10189 .30607 Mdot
.10208 .59473 Mdot
.10227 .27766 Mdot
.10246 .58508 Mdot
.10265 .0576 Mdot
.10284 .06002 Mdot
.10303 .38545 Mdot
.10322 .15014 Mdot
.10341 .18811 Mdot
.1036 .063 Mdot
.10379 .33394 Mdot
.10398 .54274 Mdot
.10417 .32034 Mdot
.10436 .26324 Mdot
.10456 .26116 Mdot
.10475 .4655 Mdot
.10494 .5187 Mdot
.10513 .17306 Mdot
.10532 .1579 Mdot
.10551 .24047 Mdot
.1057 .11152 Mdot
.10589 .33534 Mdot
.10608 .45661 Mdot
.10627 .04246 Mdot
.10646 .0465 Mdot
.10665 .55685 Mdot
.10684 .26479 Mdot
.10703 .48796 Mdot
.10722 .53527 Mdot
.10741 .49715 Mdot
.1076 .30932 Mdot
.10779 .27961 Mdot
.10798 .4645 Mdot
.10817 .25745 Mdot
.10836 .58101 Mdot
.10855 .32831 Mdot
.10874 .34025 Mdot
.10894 .38062 Mdot
.10913 .33455 Mdot
.10932 .22002 Mdot
.10951 .52136 Mdot
.1097 .08457 Mdot
.10989 .44407 Mdot
.11008 .5712 Mdot
.11027 .04172 Mdot
.11046 .20659 Mdot
.11065 .4587 Mdot
.11084 .08451 Mdot
.11103 .14347 Mdot
.11122 .25903 Mdot
.11141 .36924 Mdot
.1116 .25973 Mdot
.11179 .15493 Mdot
.11198 .19588 Mdot
.11217 .01927 Mdot
.11236 .09393 Mdot
.11255 .43496 Mdot
.11274 .41279 Mdot
.11293 .28291 Mdot
.11312 .20359 Mdot
.11332 .01742 Mdot
.11351 .56932 Mdot
.1137 .12041 Mdot
.11389 .46909 Mdot
.11408 .14447 Mdot
.11427 .1778 Mdot
.11446 .11146 Mdot
.11465 .03473 Mdot
.11484 .14444 Mdot
.11503 .36998 Mdot
.11522 .09964 Mdot
.11541 .25308 Mdot
.1156 .37616 Mdot
.11579 .36377 Mdot
.11598 .37017 Mdot
.11617 .56287 Mdot
.11636 .46238 Mdot
.11655 .40758 Mdot
.11674 .47221 Mdot
.11693 .2556 Mdot
.11712 .46752 Mdot
.11731 .60264 Mdot
.11751 .39655 Mdot
.1177 .24219 Mdot
.11789 .30877 Mdot
.11808 .31406 Mdot
.11827 .57565 Mdot
.11846 .1086 Mdot
.11865 .34496 Mdot
.11884 .52637 Mdot
.11903 .117 Mdot
.11922 .47129 Mdot
.11941 .19885 Mdot
.1196 .31025 Mdot
.11979 .33635 Mdot
.11998 .0329 Mdot
.12017 .52373 Mdot
.12036 .35579 Mdot
.12055 .04677 Mdot
.12074 .29323 Mdot
.12093 .05904 Mdot
.12112 .0281 Mdot
.12131 .26957 Mdot
.1215 .24934 Mdot
.12169 .34136 Mdot
.12189 .31172 Mdot
.12208 .11225 Mdot
.12227 .51772 Mdot
.12246 .40459 Mdot
.12265 .27733 Mdot
.12284 .3017 Mdot
.12303 .38988 Mdot
.12322 .31311 Mdot
.12341 .02613 Mdot
.1236 .23985 Mdot
.12379 .18785 Mdot
.12398 .57301 Mdot
.12417 .10099 Mdot
.12436 .35914 Mdot
.12455 .08646 Mdot
.12474 .36537 Mdot
.12493 .3087 Mdot
.12512 .35594 Mdot
.12531 .1133 Mdot
.1255 .4907 Mdot
.12569 .30881 Mdot
.12588 .36827 Mdot
.12607 .14878 Mdot
.12627 .42453 Mdot
.12646 .20253 Mdot
.12665 .38692 Mdot
.12684 .51492 Mdot
.12703 .08406 Mdot
.12722 .53273 Mdot
.12741 .25548 Mdot
.1276 .2088 Mdot
.12779 .41699 Mdot
.12798 .51731 Mdot
.12817 .25918 Mdot
.12836 .43578 Mdot
.12855 .45721 Mdot
.12874 .4047 Mdot
.12893 .53604 Mdot
.12912 .48735 Mdot
.12931 .26912 Mdot
.1295 .29612 Mdot
.12969 .48799 Mdot
.12988 .0967 Mdot
.13007 .3588 Mdot
.13026 .14556 Mdot
.13045 .54747 Mdot
.13065 .02751 Mdot
.13084 .4962 Mdot
.13103 .34867 Mdot
.13122 .41086 Mdot
.13141 .30739 Mdot
.1316 .30409 Mdot
.13179 .565 Mdot
.13198 .21616 Mdot
.13217 .22785 Mdot
.13236 .43575 Mdot
.13255 .30691 Mdot
.13274 .54305 Mdot
.13293 .11093 Mdot
.13312 .21949 Mdot
.13331 .11724 Mdot
.1335 .05737 Mdot
.13369 .13145 Mdot
.13388 .60302 Mdot
.13407 .39166 Mdot
.13426 .22209 Mdot
.13445 .31702 Mdot
.13464 .03137 Mdot
.13483 .20084 Mdot
.13503 .58636 Mdot
.13522 .54802 Mdot
.13541 .33554 Mdot
.1356 .23488 Mdot
.13579 .55211 Mdot
.13598 .55762 Mdot
.13617 .255 Mdot
.13636 .44776 Mdot
.13655 .55179 Mdot
.13674 .52063 Mdot
.13693 .14857 Mdot
.13712 .0574 Mdot
.13731 .28176 Mdot
.1375 .46467 Mdot
.13769 .2279 Mdot
.13788 .48996 Mdot
.13807 .4689 Mdot
.13826 .27012 Mdot
.13845 .55738 Mdot
.13864 .08004 Mdot
.13883 .51516 Mdot
.13902 .25901 Mdot
.13922 .46533 Mdot
.13941 .54826 Mdot
.1396 .26411 Mdot
.13979 .0173 Mdot
.13998 .3106 Mdot
.14017 .52364 Mdot
.14036 .58985 Mdot
.14055 .16147 Mdot
.14074 .30481 Mdot
.14093 .25461 Mdot
.14112 .45266 Mdot
.14131 .57189 Mdot
.1415 .51238 Mdot
.14169 .43126 Mdot
.14188 .43221 Mdot
.14207 .39286 Mdot
.14226 .26161 Mdot
.14245 .41872 Mdot
.14264 .37208 Mdot
.14283 .38808 Mdot
.14302 .50023 Mdot
.14321 .02375 Mdot
.1434 .5575 Mdot
.1436 .58515 Mdot
.14379 .26211 Mdot
.14398 .08367 Mdot
.14417 .53763 Mdot
.14436 .27558 Mdot
.14455 .20054 Mdot
.14474 .11081 Mdot
.14493 .30325 Mdot
.14512 .37029 Mdot
.14531 .23271 Mdot
.1455 .05916 Mdot
.14569 .28682 Mdot
.14588 .45522 Mdot
.14607 .12859 Mdot
.14626 .32437 Mdot
.14645 .18471 Mdot
.14664 .55798 Mdot
.14683 .0998 Mdot
.14702 .56601 Mdot
.14721 .13493 Mdot
.1474 .55895 Mdot
.14759 .21075 Mdot
.14778 .29641 Mdot
.14798 .12828 Mdot
.14817 .1913 Mdot
.14836 .37864 Mdot
.14855 .05844 Mdot
.14874 .59722 Mdot
.14893 .21872 Mdot
.14912 .37343 Mdot
.14931 .24774 Mdot
.1495 .06035 Mdot
.14969 .07995 Mdot
.14988 .40674 Mdot
.15007 .52389 Mdot
.15026 .42232 Mdot
.15045 .24424 Mdot
.15064 .543 Mdot
.15083 .3992 Mdot
.15102 .49618 Mdot
.15121 .44476 Mdot
.1514 .11051 Mdot
.15159 .41656 Mdot
.15178 .12552 Mdot
.15197 .26746 Mdot
.15216 .05699 Mdot
.15236 .38274 Mdot
.15255 .18442 Mdot
.15274 .32881 Mdot
.15293 .59407 Mdot
.15312 .54617 Mdot
.15331 .22206 Mdot
.1535 .5092 Mdot
.15369 .01954 Mdot
.15388 .41919 Mdot
.15407 .22921 Mdot
.15426 .5418 Mdot
.15445 .0172 Mdot
.15464 .54466 Mdot
.15483 .04946 Mdot
.15502 .60143 Mdot
.15521 .35704 Mdot
.1554 .14049 Mdot
.15559 .55693 Mdot
.15578 .12682 Mdot
.15597 .07291 Mdot
.15616 .04399 Mdot
.15635 .123 Mdot
.15654 .17609 Mdot
.15674 .40699 Mdot
.15693 .35636 Mdot
.15712 .5051 Mdot
.15731 .48243 Mdot
.1575 .09872 Mdot
.15769 .44273 Mdot
.15788 .36906 Mdot
.15807 .04289 Mdot
.15826 .09581 Mdot
.15845 .10987 Mdot
.15864 .58899 Mdot
.15883 .06284 Mdot
.15902 .02101 Mdot
.15921 .19509 Mdot
.1594 .12516 Mdot
.15959 .42266 Mdot
.15978 .52762 Mdot
.15997 .21072 Mdot
.16016 .14611 Mdot
.16035 .26663 Mdot
.16054 .35506 Mdot
.16073 .11077 Mdot
.16092 .49543 Mdot
.16112 .35846 Mdot
.16131 .45106 Mdot
.1615 .29088 Mdot
.16169 .2806 Mdot
.16188 .13688 Mdot
.16207 .43837 Mdot
.16226 .4106 Mdot
.16245 .22852 Mdot
.16264 .07114 Mdot
.16283 .3814 Mdot
.16302 .57115 Mdot
.16321 .32999 Mdot
.1634 .48329 Mdot
.16359 .19735 Mdot
.16378 .13765 Mdot
.16397 .42858 Mdot
.16416 .3704 Mdot
.16435 .24504 Mdot
.16454 .09463 Mdot
.16473 .22065 Mdot
.16492 .34894 Mdot
.16511 .14724 Mdot
.16531 .10164 Mdot
.1655 .43311 Mdot
.16569 .2993 Mdot
.16588 .55723 Mdot
.16607 .25989 Mdot
.16626 .46786 Mdot
.16645 .54353 Mdot
.16664 .21445 Mdot
.16683 .52338 Mdot
.16702 .1685 Mdot
.16721 .07869 Mdot
.1674 .06662 Mdot
.16759 .11002 Mdot
.16778 .40913 Mdot
.16797 .11014 Mdot
.16816 .32537 Mdot
.16835 .44596 Mdot
.16854 .15003 Mdot
.16873 .51826 Mdot
.16892 .46623 Mdot
.16911 .4547 Mdot
.1693 .55973 Mdot
.16949 .44735 Mdot
.16969 .40638 Mdot
.16988 .09021 Mdot
.17007 .30407 Mdot
.17026 .07222 Mdot
.17045 .50469 Mdot
.17064 .33702 Mdot
.17083 .25717 Mdot
.17102 .59823 Mdot
.17121 .38388 Mdot
.1714 .26582 Mdot
.17159 .55703 Mdot
.17178 .13915 Mdot
.17197 .10839 Mdot
.17216 .56669 Mdot
.17235 .01672 Mdot
.17254 .19475 Mdot
.17273 .18426 Mdot
.17292 .01588 Mdot
.17311 .24642 Mdot
.1733 .35099 Mdot
.17349 .38148 Mdot
.17368 .18679 Mdot
.17387 .35364 Mdot
.17407 .0466 Mdot
.17426 .32278 Mdot
.17445 .15009 Mdot
.17464 .47638 Mdot
.17483 .3397 Mdot
.17502 .07259 Mdot
.17521 .59588 Mdot
.1754 .01658 Mdot
.17559 .3746 Mdot
.17578 .13696 Mdot
.17597 .3004 Mdot
.17616 .58442 Mdot
.17635 .32612 Mdot
.17654 .28587 Mdot
.17673 .24818 Mdot
.17692 .10966 Mdot
.17711 .22185 Mdot
.1773 .14207 Mdot
.17749 .09877 Mdot
.17768 .49694 Mdot
.17787 .53106 Mdot
.17806 .35883 Mdot
.17825 .54225 Mdot
.17845 .5593 Mdot
.17864 .39804 Mdot
.17883 .26448 Mdot
.17902 .35489 Mdot
.17921 .14032 Mdot
.1794 .58648 Mdot
.17959 .21787 Mdot
.17978 .52119 Mdot
.17997 .11412 Mdot
.18016 .53512 Mdot
.18035 .43061 Mdot
.18054 .11185 Mdot
.18073 .02984 Mdot
.18092 .12434 Mdot
.18111 .37824 Mdot
.1813 .40582 Mdot
.18149 .46714 Mdot
.18168 .26505 Mdot
.18187 .56683 Mdot
.18206 .17935 Mdot
.18225 .09187 Mdot
.18244 .54321 Mdot
.18263 .17747 Mdot
.18283 .41696 Mdot
.18302 .36701 Mdot
.18321 .39753 Mdot
.1834 .59954 Mdot
.18359 .18934 Mdot
.18378 .25282 Mdot
.18397 .29729 Mdot
.18416 .13082 Mdot
.18435 .18657 Mdot
.18454 .32898 Mdot
.18473 .56452 Mdot
.18492 .45512 Mdot
.18511 .36265 Mdot
.1853 .43907 Mdot
.18549 .19629 Mdot
.18568 .16467 Mdot
.18587 .52435 Mdot
.18606 .27945 Mdot
.18625 .39796 Mdot
.18644 .05998 Mdot
.18663 .33124 Mdot
.18682 .57702 Mdot
.18701 .46104 Mdot
.18721 .20543 Mdot
.1874 .47339 Mdot
.18759 .14482 Mdot
.18778 .1187 Mdot
.18797 .51824 Mdot
.18816 .31593 Mdot
.18835 .59305 Mdot
.18854 .13462 Mdot
.18873 .17948 Mdot
.18892 .2545 Mdot
.18911 .44033 Mdot
.1893 .53641 Mdot
.18949 .57855 Mdot
.18968 .53755 Mdot
.18987 .41355 Mdot
.19006 .02672 Mdot
.19025 .60209 Mdot
.19044 .08852 Mdot
.19063 .50352 Mdot
.19082 .10532 Mdot
.19101 .1673 Mdot
.1912 .03917 Mdot
.1914 .5538 Mdot
.19159 .35818 Mdot
.19178 .22189 Mdot
.19197 .19628 Mdot
.19216 .26076 Mdot
.19235 .22401 Mdot
.19254 .38863 Mdot
.19273 .21939 Mdot
.19292 .3513 Mdot
.19311 .17207 Mdot
.1933 .14304 Mdot
.19349 .20972 Mdot
.19368 .22734 Mdot
.19387 .52441 Mdot
.19406 .58006 Mdot
.19425 .12127 Mdot
.19444 .32133 Mdot
.19463 .2781 Mdot
.19482 .29191 Mdot
.19501 .34968 Mdot
.1952 .32963 Mdot
.19539 .04961 Mdot
.19558 .0791 Mdot
.19578 .55451 Mdot
.19597 .39026 Mdot
.19616 .30822 Mdot
.19635 .5949 Mdot
.19654 .2481 Mdot
.19673 .49403 Mdot
.19692 .1982 Mdot
.19711 .57876 Mdot
.1973 .5622 Mdot
.19749 .4845 Mdot
.19768 .48325 Mdot
.19787 .38953 Mdot
.19806 .12583 Mdot
.19825 .05805 Mdot
.19844 .60211 Mdot
.19863 .23882 Mdot
.19882 .36517 Mdot
.19901 .53044 Mdot
.1992 .43516 Mdot
.19939 .19106 Mdot
.19958 .20368 Mdot
.19977 .12584 Mdot
.19996 .30444 Mdot
.20016 .16342 Mdot
.20035 .18424 Mdot
.20054 .45446 Mdot
.20073 .38477 Mdot
.20092 .51475 Mdot
.20111 .11361 Mdot
.2013 .03491 Mdot
.20149 .11489 Mdot
.20168 .27893 Mdot
.20187 .24023 Mdot
.20206 .18295 Mdot
.20225 .55291 Mdot
.20244 .10925 Mdot
.20263 .07645 Mdot
.20282 .30052 Mdot
.20301 .25427 Mdot
.2032 .51177 Mdot
.20339 .16511 Mdot
.20358 .23118 Mdot
.20377 .57153 Mdot
.20396 .0787 Mdot
.20415 .31302 Mdot
.20434 .26019 Mdot
.20454 .35455 Mdot
.20473 .19943 Mdot
.20492 .17971 Mdot
.20511 .52555 Mdot
.2053 .07258 Mdot
.20549 .34949 Mdot
.20568 .45527 Mdot
.20587 .42919 Mdot
.20606 .04767 Mdot
.20625 .44606 Mdot
.20644 .50484 Mdot
.20663 .40356 Mdot
.20682 .45464 Mdot
.20701 .25913 Mdot
.2072 .13517 Mdot
.20739 .14503 Mdot
.20758 .14335 Mdot
.20777 .58918 Mdot
.20796 .18359 Mdot
.20815 .38049 Mdot
.20834 .17193 Mdot
.20853 .32289 Mdot
.20872 .16242 Mdot
.20892 .51186 Mdot
.20911 .27353 Mdot
.2093 .55518 Mdot
.20949 .02566 Mdot
.20968 .38272 Mdot
.20987 .03412 Mdot
.21006 .46716 Mdot
.21025 .16896 Mdot
.21044 .2783 Mdot
.21063 .07017 Mdot
.21082 .27045 Mdot
.21101 .25188 Mdot
.2112 .33664 Mdot
.21139 .26207 Mdot
.21158 .02946 Mdot
.21177 .37563 Mdot
.21196 .54852 Mdot
.21215 .34297 Mdot
.21234 .25025 Mdot
.21253 .4942 Mdot
.21272 .16865 Mdot
.21291 .48771 Mdot
.2131 .11392 Mdot
.2133 .41437 Mdot
.21349 .07114 Mdot
.21368 .13501 Mdot
.21387 .42098 Mdot
.21406 .38458 Mdot
.21425 .394 Mdot
.21444 .34301 Mdot
.21463 .05807 Mdot
.21482 .50602 Mdot
.21501 .53917 Mdot
.2152 .25599 Mdot
.21539 .12014 Mdot
.21558 .14384 Mdot
.21577 .35022 Mdot
.21596 .04879 Mdot
.21615 .37716 Mdot
.21634 .28254 Mdot
.21653 .1124 Mdot
.21672 .33787 Mdot
.21691 .45189 Mdot
.2171 .58168 Mdot
.21729 .55258 Mdot
.21749 .41475 Mdot
.21768 .40872 Mdot
.21787 .55361 Mdot
.21806 .48382 Mdot
.21825 .60147 Mdot
.21844 .16485 Mdot
.21863 .15232 Mdot
.21882 .33858 Mdot
.21901 .48397 Mdot
.2192 .07913 Mdot
.21939 .36233 Mdot
.21958 .40209 Mdot
.21977 .08987 Mdot
.21996 .36318 Mdot
.22015 .25432 Mdot
.22034 .22349 Mdot
.22053 .47729 Mdot
.22072 .49254 Mdot
.22091 .51839 Mdot
.2211 .38246 Mdot
.22129 .20165 Mdot
.22148 .38439 Mdot
.22167 .51965 Mdot
.22187 .13371 Mdot
.22206 .02665 Mdot
.22225 .39758 Mdot
.22244 .06487 Mdot
.22263 .35134 Mdot
.22282 .56876 Mdot
.22301 .15486 Mdot
.2232 .58024 Mdot
.22339 .58449 Mdot
.22358 .53063 Mdot
.22377 .30952 Mdot
.22396 .40035 Mdot
.22415 .2351 Mdot
.22434 .23428 Mdot
.22453 .18987 Mdot
.22472 .06807 Mdot
.22491 .32449 Mdot
.2251 .44343 Mdot
.22529 .15475 Mdot
.22548 .56792 Mdot
.22567 .54902 Mdot
.22586 .5968 Mdot
.22605 .4158 Mdot
.22625 .3817 Mdot
.22644 .45783 Mdot
.22663 .57476 Mdot
.22682 .44854 Mdot
.22701 .19951 Mdot
.2272 .04173 Mdot
.22739 .1105 Mdot
.22758 .17017 Mdot
.22777 .56421 Mdot
.22796 .32205 Mdot
.22815 .55658 Mdot
.22834 .52841 Mdot
.22853 .10484 Mdot
.22872 .40626 Mdot
.22891 .17397 Mdot
.2291 .55712 Mdot
.22929 .24757 Mdot
.22948 .43239 Mdot
.22967 .02083 Mdot
.22986 .32073 Mdot
.23005 .50473 Mdot
.23024 .39123 Mdot
.23043 .41917 Mdot
.23063 .3253 Mdot
.23082 .24146 Mdot
.23101 .12638 Mdot
.2312 .36608 Mdot
.23139 .34079 Mdot
.23158 .44226 Mdot
.23177 .51193 Mdot
.23196 .47804 Mdot
.23215 .57883 Mdot
.23234 .17784 Mdot
.23253 .50815 Mdot
.23272 .04656 Mdot
.23291 .51496 Mdot
.2331 .13827 Mdot
.23329 .10585 Mdot
.23348 .57142 Mdot
.23367 .06637 Mdot
.23386 .27754 Mdot
.23405 .32636 Mdot
.23424 .46083 Mdot
.23443 .18078 Mdot
.23462 .40244 Mdot
.23481 .27715 Mdot
.23501 .33126 Mdot
.2352 .48093 Mdot
.23539 .17252 Mdot
.23558 .09626 Mdot
.23577 .06309 Mdot
.23596 .44236 Mdot
.23615 .27786 Mdot
.23634 .36334 Mdot
.23653 .56725 Mdot
.23672 .57114 Mdot
.23691 .0836 Mdot
.2371 .33312 Mdot
.23729 .25193 Mdot
.23748 .04837 Mdot
.23767 .57424 Mdot
.23786 .29081 Mdot
.23805 .32249 Mdot
.23824 .26341 Mdot
.23843 .23161 Mdot
.23862 .37445 Mdot
.23881 .07043 Mdot
.239 .10293 Mdot
.2392 .33465 Mdot
.23939 .57483 Mdot
.23958 .40666 Mdot
.23977 .07299 Mdot
.23996 .2485 Mdot
.24015 .14665 Mdot
.24034 .32827 Mdot
.24053 .53243 Mdot
.24072 .3688 Mdot
.24091 .5529 Mdot
.2411 .45173 Mdot
.24129 .51514 Mdot
.24148 .3551 Mdot
.24167 .16498 Mdot
.24186 .06856 Mdot
.24205 .08553 Mdot
.24224 .30863 Mdot
.24243 .15143 Mdot
.24262 .08965 Mdot
.24281 .33853 Mdot
.243 .18337 Mdot
.24319 .35583 Mdot
.24338 .10098 Mdot
.24358 .45523 Mdot
.24377 .37498 Mdot
.24396 .47455 Mdot
.24415 .13012 Mdot
.24434 .05839 Mdot
.24453 .54301 Mdot
.24472 .05672 Mdot
.24491 .05749 Mdot
.2451 .39017 Mdot
.24529 .1998 Mdot
.24548 .2709 Mdot
.24567 .2051 Mdot
.24586 .19001 Mdot
.24605 .47709 Mdot
.24624 .37179 Mdot
.24643 .15891 Mdot
.24662 .40563 Mdot
.24681 .59279 Mdot
.247 .05575 Mdot
.24719 .53541 Mdot
.24738 .0709 Mdot
.24757 .20645 Mdot
.24776 .04968 Mdot
.24796 .03721 Mdot
.24815 .42798 Mdot
.24834 .59703 Mdot
.24853 .34437 Mdot
.24872 .16413 Mdot
.24891 .21632 Mdot
.2491 .54078 Mdot
.24929 .19452 Mdot
.24948 .50209 Mdot
.24967 .38363 Mdot
.24986 .43335 Mdot
.25005 .47426 Mdot
.25024 .48983 Mdot
.25043 .55267 Mdot
.25062 .52317 Mdot
.25081 .14385 Mdot
.251 .59662 Mdot
.25119 .19896 Mdot
.25138 .32258 Mdot
.25157 .37183 Mdot
.25176 .55561 Mdot
.25195 .41745 Mdot
.25214 .37444 Mdot
.25234 .41291 Mdot
.25253 .54162 Mdot
.25272 .38924 Mdot
.25291 .48554 Mdot
.2531 .55233 Mdot
.25329 .58227 Mdot
.25348 .32595 Mdot
.25367 .31542 Mdot
.25386 .33923 Mdot
.25405 .55794 Mdot
.25424 .29198 Mdot
.25443 .55419 Mdot
.25462 .35328 Mdot
.25481 .20179 Mdot
.255 .20453 Mdot
.25519 .56695 Mdot
.25538 .43807 Mdot
.25557 .27752 Mdot
.25576 .42245 Mdot
.25595 .16048 Mdot
.25614 .28995 Mdot
.25633 .22386 Mdot
.25652 .56848 Mdot
.25672 .17209 Mdot
.25691 .04695 Mdot
.2571 .51007 Mdot
.25729 .11817 Mdot
.25748 .11411 Mdot
.25767 .28873 Mdot
.25786 .28043 Mdot
.25805 .16644 Mdot
.25824 .52942 Mdot
.25843 .27 Mdot
.25862 .29866 Mdot
.25881 .48326 Mdot
.259 .04704 Mdot
.25919 .276 Mdot
.25938 .59234 Mdot
.25957 .10253 Mdot
.25976 .09316 Mdot
.25995 .44475 Mdot
.26014 .45299 Mdot
.26033 .26639 Mdot
.26052 .1801 Mdot
.26071 .17817 Mdot
.2609 .20266 Mdot
.2611 .30316 Mdot
.26129 .26187 Mdot
.26148 .49759 Mdot
.26167 .01615 Mdot
.26186 .57168 Mdot
.26205 .14524 Mdot
.26224 .51049 Mdot
.26243 .50996 Mdot
.26262 .10584 Mdot
.26281 .07864 Mdot
.263 .3549 Mdot
.26319 .38671 Mdot
.26338 .14778 Mdot
.26357 .16328 Mdot
.26376 .02161 Mdot
.26395 .55733 Mdot
.26414 .02583 Mdot
.26433 .35316 Mdot
.26452 .53195 Mdot
.26471 .01888 Mdot
.2649 .09883 Mdot
.26509 .45506 Mdot
.26529 .40453 Mdot
.26548 .5656 Mdot
.26567 .5784 Mdot
.26586 .12853 Mdot
.26605 .36625 Mdot
.26624 .31124 Mdot
.26643 .35121 Mdot
.26662 .06365 Mdot
.26681 .40791 Mdot
.267 .16671 Mdot
.26719 .5122 Mdot
.26738 .21443 Mdot
.26757 .37308 Mdot
.26776 .30685 Mdot
.26795 .24245 Mdot
.26814 .38763 Mdot
.26833 .54701 Mdot
.26852 .17038 Mdot
.26871 .34248 Mdot
.2689 .24282 Mdot
.26909 .47882 Mdot
.26928 .22656 Mdot
.26947 .28781 Mdot
.26967 .47008 Mdot
.26986 .15934 Mdot
.27005 .20855 Mdot
.27024 .58451 Mdot
.27043 .43454 Mdot
.27062 .021 Mdot
.27081 .29118 Mdot
.271 .41368 Mdot
.27119 .53183 Mdot
.27138 .34904 Mdot
.27157 .50205 Mdot
.27176 .57581 Mdot
.27195 .42152 Mdot
.27214 .10373 Mdot
.27233 .13268 Mdot
.27252 .54645 Mdot
.27271 .20483 Mdot
.2729 .45363 Mdot
.27309 .09397 Mdot
.27328 .24278 Mdot
.27347 .42462 Mdot
.27366 .06456 Mdot
.27385 .56075 Mdot
.27405 .02364 Mdot
.27424 .29878 Mdot
.27443 .3995 Mdot
.27462 .38287 Mdot
.27481 .10066 Mdot
.275 .07576 Mdot
.27519 .41873 Mdot
.27538 .0296 Mdot
.27557 .53825 Mdot
.27576 .44564 Mdot
.27595 .11304 Mdot
.27614 .41184 Mdot
.27633 .07586 Mdot
.27652 .18467 Mdot
.27671 .50377 Mdot
.2769 .52667 Mdot
.27709 .25007 Mdot
.27728 .27736 Mdot
.27747 .10952 Mdot
.27766 .4017 Mdot
.27785 .09477 Mdot
.27804 .38328 Mdot
.27823 .24606 Mdot
.27843 .50619 Mdot
.27862 .26323 Mdot
.27881 .01477 Mdot
.279 .31532 Mdot
.27919 .57329 Mdot
.27938 .08377 Mdot
.27957 .30356 Mdot
.27976 .16088 Mdot
.27995 .18896 Mdot
.28014 .50411 Mdot
.28033 .46757 Mdot
.28052 .06797 Mdot
.28071 .55855 Mdot
.2809 .55813 Mdot
.28109 .16634 Mdot
.28128 .17461 Mdot
.28147 .3847 Mdot
.28166 .31024 Mdot
.28185 .08996 Mdot
.28204 .4716 Mdot
.28223 .57832 Mdot
.28242 .2665 Mdot
.28261 .19243 Mdot
.28281 .21364 Mdot
.283 .13649 Mdot
.28319 .19688 Mdot
.28338 .28052 Mdot
.28357 .27485 Mdot
.28376 .26455 Mdot
.28395 .31301 Mdot
.28414 .60267 Mdot
.28433 .20437 Mdot
.28452 .25402 Mdot
.28471 .09042 Mdot
.2849 .08234 Mdot
.28509 .58187 Mdot
.28528 .42693 Mdot
.28547 .03518 Mdot
.28566 .44014 Mdot
.28585 .07318 Mdot
.28604 .36925 Mdot
.28623 .50612 Mdot
.28642 .30511 Mdot
.28661 .14129 Mdot
.2868 .10856 Mdot
.28699 .53714 Mdot
.28719 .51454 Mdot
.28738 .33534 Mdot
.28757 .11413 Mdot
.28776 .19264 Mdot
.28795 .58078 Mdot
.28814 .05726 Mdot
.28833 .11913 Mdot
.28852 .56755 Mdot
.28871 .45783 Mdot
.2889 .32837 Mdot
.28909 .29837 Mdot
.28928 .2541 Mdot
.28947 .54132 Mdot
.28966 .25616 Mdot
.28985 .09059 Mdot
.29004 .05279 Mdot
.29023 .49082 Mdot
.29042 .56753 Mdot
.29061 .55392 Mdot
.2908 .02802 Mdot
.29099 .40754 Mdot
.29118 .07552 Mdot
.29138 .24377 Mdot
.29157 .097 Mdot
.29176 .24548 Mdot
.29195 .39034 Mdot
.29214 .51273 Mdot
.29233 .02968 Mdot
.29252 .40028 Mdot
.29271 .03059 Mdot
.2929 .21063 Mdot
.29309 .03769 Mdot
.29328 .53151 Mdot
.29347 .31205 Mdot
.29366 .39563 Mdot
.29385 .18545 Mdot
.29404 .15149 Mdot
.29423 .04777 Mdot
.29442 .212 Mdot
.29461 .39014 Mdot
.2948 .39198 Mdot
.29499 .25908 Mdot
.29518 .42345 Mdot
.29537 .42173 Mdot
.29556 .47087 Mdot
.29576 .05345 Mdot
.29595 .4687 Mdot
.29614 .49185 Mdot
.29633 .04773 Mdot
.29652 .15779 Mdot
.29671 .22814 Mdot
.2969 .07604 Mdot
.29709 .4015 Mdot
.29728 .56289 Mdot
.29747 .02381 Mdot
.29766 .26923 Mdot
.29785 .30845 Mdot
.29804 .52346 Mdot
.29823 .03053 Mdot
.29842 .25252 Mdot
.29861 .16422 Mdot
.2988 .32474 Mdot
.29899 .27591 Mdot
.29918 .23753 Mdot
.29937 .21723 Mdot
.29956 .10474 Mdot
.29975 .05145 Mdot
.29994 .28867 Mdot
.30014 .56871 Mdot
.30033 .44313 Mdot
.30052 .26807 Mdot
.30071 .32314 Mdot
.3009 .58377 Mdot
.30109 .59463 Mdot
.30128 .51172 Mdot
.30147 .1109 Mdot
.30166 .06919 Mdot
.30185 .25559 Mdot
.30204 .22113 Mdot
.30223 .45246 Mdot
.30242 .45114 Mdot
.30261 .1529 Mdot
.3028 .45443 Mdot
.30299 .23447 Mdot
.30318 .06423 Mdot
.30337 .27737 Mdot
.30356 .35591 Mdot
.30375 .55188 Mdot
.30394 .04018 Mdot
.30413 .47257 Mdot
.30432 .1004 Mdot
.30452 .58577 Mdot
.30471 .18578 Mdot
.3049 .43487 Mdot
.30509 .30437 Mdot
.30528 .54778 Mdot
.30547 .16059 Mdot
.30566 .30228 Mdot
.30585 .25934 Mdot
.30604 .50231 Mdot
.30623 .06581 Mdot
.30642 .0656 Mdot
.30661 .28733 Mdot
.3068 .36656 Mdot
.30699 .44431 Mdot
.30718 .15729 Mdot
.30737 .56319 Mdot
.30756 .49937 Mdot
.30775 .514 Mdot
.30794 .2737 Mdot
.30813 .52563 Mdot
.30832 .52348 Mdot
.30851 .52331 Mdot
.3087 .55287 Mdot
.3089 .05504 Mdot
.30909 .50332 Mdot
.30928 .57345 Mdot
.30947 .3967 Mdot
.30966 .06234 Mdot
.30985 .35607 Mdot
.31004 .02954 Mdot
.31023 .23765 Mdot
.31042 .13347 Mdot
.31061 .44056 Mdot
.3108 .46498 Mdot
.31099 .36097 Mdot
.31118 .29603 Mdot
.31137 .37957 Mdot
.31156 .36157 Mdot
.31175 .31579 Mdot
.31194 .43042 Mdot
.31213 .23749 Mdot
.31232 .40941 Mdot
.31251 .09292 Mdot
.3127 .2698 Mdot
.31289 .52039 Mdot
.31309 .56249 Mdot
.31328 .1248 Mdot
.31347 .57785 Mdot
.31366 .40937 Mdot
.31385 .03871 Mdot
.31404 .1078 Mdot
.31423 .20445 Mdot
.31442 .11604 Mdot
.31461 .26424 Mdot
.3148 .17993 Mdot
.31499 .20772 Mdot
.31518 .29371 Mdot
.31537 .16256 Mdot
.31556 .332 Mdot
.31575 .32083 Mdot
.31594 .27067 Mdot
.31613 .27653 Mdot
.31632 .40759 Mdot
.31651 .12973 Mdot
.3167 .40577 Mdot
.31689 .41293 Mdot
.31708 .10305 Mdot
.31727 .25089 Mdot
.31747 .32178 Mdot
.31766 .23132 Mdot
.31785 .14528 Mdot
.31804 .5647 Mdot
.31823 .08309 Mdot
.31842 .42178 Mdot
.31861 .52508 Mdot
.3188 .21545 Mdot
.31899 .19576 Mdot
.31918 .34942 Mdot
.31937 .49716 Mdot
.31956 .55571 Mdot
.31975 .42978 Mdot
.31994 .40992 Mdot
.32013 .34674 Mdot
.32032 .43534 Mdot
.32051 .40789 Mdot
.3207 .2628 Mdot
.32089 .21185 Mdot
.32108 .3236 Mdot
.32127 .19451 Mdot
.32146 .59818 Mdot
.32165 .08328 Mdot
.32185 .54252 Mdot
.32204 .29568 Mdot
.32223 .19229 Mdot
.32242 .3935 Mdot
.32261 .08919 Mdot
.3228 .48139 Mdot
.32299 .02965 Mdot
.32318 .24998 Mdot
.32337 .16894 Mdot
.32356 .3744 Mdot
.32375 .3587 Mdot
.32394 .37963 Mdot
.32413 .0733 Mdot
.32432 .03909 Mdot
.32451 .1029 Mdot
.3247 .18435 Mdot
.32489 .1243 Mdot
.32508 .57042 Mdot
.32527 .39399 Mdot
.32546 .09662 Mdot
.32565 .49677 Mdot
.32584 .56061 Mdot
.32603 .44988 Mdot
.32623 .40166 Mdot
.32642 .04056 Mdot
.32661 .22128 Mdot
.3268 .519 Mdot
.32699 .05974 Mdot
.32718 .40267 Mdot
.32737 .20572 Mdot
.32756 .11368 Mdot
.32775 .23942 Mdot
.32794 .13854 Mdot
.32813 .43111 Mdot
.32832 .36567 Mdot
.32851 .19539 Mdot
.3287 .60071 Mdot
.32889 .07856 Mdot
.32908 .49287 Mdot
.32927 .21289 Mdot
.32946 .05019 Mdot
.32965 .53743 Mdot
.32984 .15483 Mdot
.33003 .42994 Mdot
.33022 .13397 Mdot
.33041 .10551 Mdot
.33061 .04165 Mdot
.3308 .24847 Mdot
.33099 .58522 Mdot
.33118 .46662 Mdot
.33137 .10732 Mdot
.33156 .10093 Mdot
.33175 .40102 Mdot
.33194 .21298 Mdot
.33213 .15861 Mdot
.33232 .27255 Mdot
.33251 .19784 Mdot
.3327 .14509 Mdot
.33289 .44395 Mdot
.33308 .31249 Mdot
.33327 .44494 Mdot
.33346 .32735 Mdot
.33365 .47569 Mdot
.33384 .21152 Mdot
.33403 .28662 Mdot
.33422 .08808 Mdot
.33441 .20781 Mdot
.3346 .40212 Mdot
.33479 .48656 Mdot
.33499 .37501 Mdot
.33518 .03597 Mdot
.33537 .58065 Mdot
.33556 .48351 Mdot
.33575 .222 Mdot
.33594 .2086 Mdot
.33613 .29624 Mdot
.33632 .15784 Mdot
.33651 .28235 Mdot
.3367 .23804 Mdot
.33689 .12857 Mdot
.33708 .42046 Mdot
.33727 .47324 Mdot
.33746 .07828 Mdot
.33765 .51009 Mdot
.33784 .26847 Mdot
.33803 .56464 Mdot
.33822 .12497 Mdot
.33841 .5483 Mdot
.3386 .31832 Mdot
.33879 .1793 Mdot
.33898 .03766 Mdot
.33918 .38121 Mdot
.33937 .4504 Mdot
.33956 .55939 Mdot
.33975 .50646 Mdot
.33994 .58848 Mdot
.34013 .39789 Mdot
.34032 .44434 Mdot
.34051 .30759 Mdot
.3407 .42484 Mdot
.34089 .33561 Mdot
.34108 .193 Mdot
.34127 .42559 Mdot
.34146 .17551 Mdot
.34165 .29114 Mdot
.34184 .01699 Mdot
.34203 .52001 Mdot
.34222 .56739 Mdot
.34241 .1449 Mdot
.3426 .5696 Mdot
.34279 .10319 Mdot
.34298 .41352 Mdot
.34317 .2189 Mdot
.34336 .59026 Mdot
.34356 .30687 Mdot
.34375 .14636 Mdot
.34394 .09911 Mdot
.34413 .43783 Mdot
.34432 .34896 Mdot
.34451 .05115 Mdot
.3447 .40199 Mdot
.34489 .32393 Mdot
.34508 .47788 Mdot
.34527 .2659 Mdot
.34546 .41906 Mdot
.34565 .31297 Mdot
.34584 .20598 Mdot
.34603 .19255 Mdot
.34622 .47236 Mdot
.34641 .32214 Mdot
.3466 .07612 Mdot
.34679 .26353 Mdot
.34698 .14784 Mdot
.34717 .1214 Mdot
.34736 .48396 Mdot
.34755 .17522 Mdot
.34774 .06198 Mdot
.34794 .51126 Mdot
.34813 .50017 Mdot
.34832 .06564 Mdot
.34851 .09515 Mdot
.3487 .37839 Mdot
.34889 .22596 Mdot
.34908 .51444 Mdot
.34927 .56941 Mdot
.34946 .22883 Mdot
.34965 .20422 Mdot
.34984 .18748 Mdot
.35003 .48182 Mdot
.35022 .42144 Mdot
.35041 .24171 Mdot
.3506 .54773 Mdot
.35079 .44886 Mdot
.35098 .57898 Mdot
.35117 .58686 Mdot
.35136 .55545 Mdot
.35155 .35092 Mdot
.35174 .17697 Mdot
.35193 .16314 Mdot
.35212 .20146 Mdot
.35232 .51003 Mdot
.35251 .31035 Mdot
.3527 .10229 Mdot
.35289 .50708 Mdot
.35308 .51215 Mdot
.35327 .16022 Mdot
.35346 .21108 Mdot
.35365 .57979 Mdot
.35384 .38488 Mdot
.35403 .52708 Mdot
.35422 .14908 Mdot
.35441 .55761 Mdot
.3546 .59748 Mdot
.35479 .29759 Mdot
.35498 .0175 Mdot
.35517 .43135 Mdot
.35536 .29424 Mdot
.35555 .56669 Mdot
.35574 .3592 Mdot
.35593 .04457 Mdot
.35612 .23885 Mdot
.35631 .51547 Mdot
.3565 .39209 Mdot
.3567 .2714 Mdot
.35689 .45892 Mdot
.35708 .35556 Mdot
.35727 .36459 Mdot
.35746 .07211 Mdot
.35765 .24597 Mdot
.35784 .15138 Mdot
.35803 .37793 Mdot
.35822 .02635 Mdot
.35841 .51089 Mdot
.3586 .40897 Mdot
.35879 .38609 Mdot
.35898 .5666 Mdot
.35917 .25078 Mdot
.35936 .30945 Mdot
.35955 .19584 Mdot
.35974 .21145 Mdot
.35993 .08211 Mdot
.36012 .06443 Mdot
.36031 .05564 Mdot
.3605 .27669 Mdot
.36069 .47413 Mdot
.36088 .3272 Mdot
.36108 .06667 Mdot
.36127 .16422 Mdot
.36146 .57113 Mdot
.36165 .42608 Mdot
.36184 .18294 Mdot
.36203 .30652 Mdot
.36222 .54795 Mdot
.36241 .13103 Mdot
.3626 .21123 Mdot
.36279 .39993 Mdot
.36298 .43218 Mdot
.36317 .24256 Mdot
.36336 .39996 Mdot
.36355 .58248 Mdot
.36374 .10421 Mdot
.36393 .2362 Mdot
.36412 .26147 Mdot
.36431 .25609 Mdot
.3645 .47495 Mdot
.36469 .02914 Mdot
.36488 .33864 Mdot
.36507 .44209 Mdot
.36527 .54148 Mdot
.36546 .56909 Mdot
.36565 .43824 Mdot
.36584 .24797 Mdot
.36603 .3314 Mdot
.36622 .30107 Mdot
.36641 .21982 Mdot
.3666 .40062 Mdot
.36679 .31397 Mdot
.36698 .46723 Mdot
.36717 .37347 Mdot
.36736 .30195 Mdot
.36755 .22235 Mdot
.36774 .39589 Mdot
.36793 .26431 Mdot
.36812 .38444 Mdot
.36831 .23137 Mdot
.3685 .44588 Mdot
.36869 .288 Mdot
.36888 .34444 Mdot
.36907 .36864 Mdot
.36926 .23997 Mdot
.36945 .10408 Mdot
.36965 .31996 Mdot
.36984 .51452 Mdot
.37003 .43144 Mdot
.37022 .40265 Mdot
.37041 .30181 Mdot
.3706 .40221 Mdot
.37079 .34859 Mdot
.37098 .54883 Mdot
.37117 .13357 Mdot
.37136 .2065 Mdot
.37155 .35028 Mdot
.37174 .34939 Mdot
.37193 .10046 Mdot
.37212 .54389 Mdot
.37231 .05926 Mdot
.3725 .05276 Mdot
.37269 .34052 Mdot
.37288 .11701 Mdot
.37307 .1288 Mdot
.37326 .34903 Mdot
.37345 .25566 Mdot
.37364 .42564 Mdot
.37383 .47611 Mdot
.37403 .60332 Mdot
.37422 .27834 Mdot
.37441 .46687 Mdot
.3746 .28228 Mdot
.37479 .03353 Mdot
.37498 .10492 Mdot
.37517 .26829 Mdot
.37536 .3478 Mdot
.37555 .06584 Mdot
.37574 .46229 Mdot
.37593 .29916 Mdot
.37612 .14821 Mdot
.37631 .21259 Mdot
.3765 .16351 Mdot
.37669 .29265 Mdot
.37688 .18958 Mdot
.37707 .42778 Mdot
.37726 .22989 Mdot
.37745 .42359 Mdot
.37764 .24188 Mdot
.37783 .51817 Mdot
.37802 .35781 Mdot
.37821 .1307 Mdot
.37841 .51673 Mdot
.3786 .14333 Mdot
.37879 .0964 Mdot
.37898 .47211 Mdot
.37917 .48966 Mdot
.37936 .58222 Mdot
.37955 .02534 Mdot
.37974 .59212 Mdot
.37993 .07787 Mdot
.38012 .02221 Mdot
.38031 .57709 Mdot
.3805 .07668 Mdot
.38069 .22908 Mdot
.38088 .03669 Mdot
.38107 .27025 Mdot
.38126 .13113 Mdot
.38145 .56604 Mdot
.38164 .28523 Mdot
.38183 .4206 Mdot
.38202 .04699 Mdot
.38221 .56428 Mdot
.3824 .28016 Mdot
.38259 .43005 Mdot
.38279 .1463 Mdot
.38298 .14099 Mdot
.38317 .56436 Mdot
.38336 .14219 Mdot
.38355 .015 Mdot
.38374 .24389 Mdot
.38393 .35571 Mdot
.38412 .43113 Mdot
.38431 .26958 Mdot
.3845 .49574 Mdot
.38469 .49154 Mdot
.38488 .25713 Mdot
.38507 .20154 Mdot
.38526 .37206 Mdot
.38545 .48417 Mdot
.38564 .19988 Mdot
.38583 .13293 Mdot
.38602 .37892 Mdot
.38621 .2876 Mdot
.3864 .10294 Mdot
.38659 .23856 Mdot
.38678 .2863 Mdot
.38697 .29749 Mdot
.38717 .25156 Mdot
.38736 .54605 Mdot
.38755 .30582 Mdot
.38774 .17338 Mdot
.38793 .19488 Mdot
.38812 .34689 Mdot
.38831 .50188 Mdot
.3885 .01649 Mdot
.38869 .51257 Mdot
.38888 .55201 Mdot
.38907 .20281 Mdot
.38926 .3697 Mdot
.38945 .45934 Mdot
.38964 .15848 Mdot
.38983 .35632 Mdot
.39002 .45089 Mdot
.39021 .32043 Mdot
.3904 .37165 Mdot
.39059 .58516 Mdot
.39078 .5085 Mdot
.39097 .23384 Mdot
.39116 .48304 Mdot
.39136 .36487 Mdot
.39155 .05488 Mdot
.39174 .19039 Mdot
.39193 .2258 Mdot
.39212 .20151 Mdot
.39231 .22176 Mdot
.3925 .03365 Mdot
.39269 .36364 Mdot
.39288 .45394 Mdot
.39307 .22704 Mdot
.39326 .04885 Mdot
.39345 .33528 Mdot
.39364 .15601 Mdot
.39383 .31916 Mdot
.39402 .37402 Mdot
.39421 .02111 Mdot
.3944 .5499 Mdot
.39459 .59933 Mdot
.39478 .41107 Mdot
.39497 .33205 Mdot
.39516 .37504 Mdot
.39535 .43267 Mdot
.39554 .59247 Mdot
.39574 .26516 Mdot
.39593 .57916 Mdot
.39612 .21482 Mdot
.39631 .0257 Mdot
.3965 .43693 Mdot
.39669 .19612 Mdot
.39688 .19423 Mdot
.39707 .02653 Mdot
.39726 .13886 Mdot
.39745 .4681 Mdot
.39764 .47209 Mdot
.39783 .58575 Mdot
.39802 .28187 Mdot
.39821 .13452 Mdot
.3984 .41355 Mdot
.39859 .3692 Mdot
.39878 .45191 Mdot
.39897 .14311 Mdot
.39916 .41423 Mdot
.39935 .25099 Mdot
.39954 .08771 Mdot
.39973 .11662 Mdot
.39992 .1337 Mdot
.40012 .36913 Mdot
.40031 .2474 Mdot
.4005 .11946 Mdot
.40069 .26205 Mdot
.40088 .12555 Mdot
.40107 .07528 Mdot
.40126 .06882 Mdot
.40145 .1644 Mdot
.40164 .54158 Mdot
.40183 .33503 Mdot
.40202 .32354 Mdot
.40221 .23639 Mdot
.4024 .13583 Mdot
.40259 .46539 Mdot
.40278 .50637 Mdot
.40297 .13758 Mdot
.40316 .22407 Mdot
.40335 .34675 Mdot
.40354 .09286 Mdot
.40373 .55807 Mdot
.40392 .20822 Mdot
.40411 .30114 Mdot
.4043 .17794 Mdot
.4045 .27409 Mdot
.40469 .52073 Mdot
.40488 .50338 Mdot
.40507 .53157 Mdot
.40526 .27017 Mdot
.40545 .2691 Mdot
.40564 .39221 Mdot
.40583 .18764 Mdot
.40602 .20587 Mdot
.40621 .18022 Mdot
.4064 .43689 Mdot
.40659 .3883 Mdot
.40678 .1824 Mdot
.40697 .24488 Mdot
.40716 .37058 Mdot
.40735 .46188 Mdot
.40754 .15376 Mdot
.40773 .30666 Mdot
.40792 .3681 Mdot
.40811 .17833 Mdot
.4083 .51558 Mdot
.40849 .06193 Mdot
.40868 .45705 Mdot
.40888 .33817 Mdot
.40907 .33857 Mdot
.40926 .23758 Mdot
.40945 .51783 Mdot
.40964 .41691 Mdot
.40983 .3128 Mdot
.41002 .23553 Mdot
.41021 .2836 Mdot
.4104 .33177 Mdot
.41059 .39227 Mdot
.41078 .48824 Mdot
.41097 .51805 Mdot
.41116 .44157 Mdot
.41135 .38375 Mdot
.41154 .1032 Mdot
.41173 .07104 Mdot
.41192 .36908 Mdot
.41211 .53568 Mdot
.4123 .39616 Mdot
.41249 .58957 Mdot
.41268 .17869 Mdot
.41287 .36039 Mdot
.41307 .18018 Mdot
.41326 .0402 Mdot
.41345 .37648 Mdot
.41364 .40075 Mdot
.41383 .4766 Mdot
.41402 .36436 Mdot
.41421 .14354 Mdot
.4144 .46354 Mdot
.41459 .39289 Mdot
.41478 .41191 Mdot
.41497 .28037 Mdot
.41516 .20832 Mdot
.41535 .06707 Mdot
.41554 .06324 Mdot
.41573 .26251 Mdot
.41592 .32516 Mdot
.41611 .07883 Mdot
.4163 .22925 Mdot
.41649 .59601 Mdot
.41668 .1792 Mdot
.41687 .27173 Mdot
.41706 .49591 Mdot
.41725 .46199 Mdot
.41745 .16608 Mdot
.41764 .34214 Mdot
.41783 .30193 Mdot
.41802 .07205 Mdot
.41821 .53424 Mdot
.4184 .42807 Mdot
.41859 .11657 Mdot
.41878 .07949 Mdot
.41897 .20713 Mdot
.41916 .52034 Mdot
.41935 .26189 Mdot
.41954 .4015 Mdot
.41973 .3165 Mdot
.41992 .46251 Mdot
.42011 .32382 Mdot
.4203 .21916 Mdot
.42049 .08026 Mdot
.42068 .53982 Mdot
.42087 .32996 Mdot
.42106 .33299 Mdot
.42125 .33569 Mdot
.42144 .30142 Mdot
.42163 .16071 Mdot
.42183 .21852 Mdot
.42202 .59516 Mdot
.42221 .32697 Mdot
.4224 .1381 Mdot
.42259 .3818 Mdot
.42278 .22377 Mdot
.42297 .46006 Mdot
.42316 .43696 Mdot
.42335 .59281 Mdot
.42354 .20605 Mdot
.42373 .39706 Mdot
.42392 .49601 Mdot
.42411 .47431 Mdot
.4243 .20156 Mdot
.42449 .27597 Mdot
.42468 .19565 Mdot
.42487 .09071 Mdot
.42506 .31151 Mdot
.42525 .0876 Mdot
.42544 .44677 Mdot
.42563 .53693 Mdot
.42582 .48989 Mdot
.42601 .2644 Mdot
.42621 .24647 Mdot
.4264 .4052 Mdot
.42659 .54348 Mdot
.42678 .50273 Mdot
.42697 .21121 Mdot
.42716 .49602 Mdot
.42735 .13183 Mdot
.42754 .35173 Mdot
.42773 .22138 Mdot
.42792 .28494 Mdot
.42811 .53391 Mdot
.4283 .39109 Mdot
.42849 .59902 Mdot
.42868 .278 Mdot
.42887 .52597 Mdot
.42906 .46438 Mdot
.42925 .34121 Mdot
.42944 .24518 Mdot
.42963 .50365 Mdot
.42982 .26795 Mdot
.43001 .06442 Mdot
.4302 .39812 Mdot
.43039 .12651 Mdot
.43059 .52871 Mdot
.43078 .23791 Mdot
.43097 .21233 Mdot
.43116 .08464 Mdot
.43135 .05971 Mdot
.43154 .59485 Mdot
.43173 .19389 Mdot
.43192 .33203 Mdot
.43211 .47113 Mdot
.4323 .13232 Mdot
.43249 .11277 Mdot
.43268 .08658 Mdot
.43287 .28161 Mdot
.43306 .05565 Mdot
.43325 .1806 Mdot
.43344 .1856 Mdot
.43363 .21803 Mdot
.43382 .24525 Mdot
.43401 .46177 Mdot
.4342 .14143 Mdot
.43439 .27119 Mdot
.43458 .43427 Mdot
.43477 .28461 Mdot
.43497 .49693 Mdot
.43516 .28467 Mdot
.43535 .20866 Mdot
.43554 .59684 Mdot
.43573 .47001 Mdot
.43592 .5437 Mdot
.43611 .1849 Mdot
.4363 .43233 Mdot
.43649 .3091 Mdot
.43668 .59743 Mdot
.43687 .24338 Mdot
.43706 .44437 Mdot
.43725 .11541 Mdot
.43744 .43666 Mdot
.43763 .11726 Mdot
.43782 .55015 Mdot
.43801 .4318 Mdot
.4382 .49385 Mdot
.43839 .57023 Mdot
.43858 .51964 Mdot
.43877 .47619 Mdot
.43896 .46535 Mdot
.43916 .45216 Mdot
.43935 .56446 Mdot
.43954 .497 Mdot
.43973 .48918 Mdot
.43992 .23231 Mdot
.44011 .16015 Mdot
.4403 .59545 Mdot
.44049 .55614 Mdot
.44068 .2327 Mdot
.44087 .40164 Mdot
.44106 .13665 Mdot
.44125 .50981 Mdot
.44144 .0393 Mdot
.44163 .47004 Mdot
.44182 .10513 Mdot
.44201 .04655 Mdot
.4422 .26857 Mdot
.44239 .57696 Mdot
.44258 .16044 Mdot
.44277 .48213 Mdot
.44296 .21204 Mdot
.44315 .19796 Mdot
.44334 .4038 Mdot
.44354 .04073 Mdot
.44373 .19173 Mdot
.44392 .42795 Mdot
.44411 .20034 Mdot
.4443 .33254 Mdot
.44449 .38247 Mdot
.44468 .44804 Mdot
.44487 .53456 Mdot
.44506 .46506 Mdot
.44525 .223 Mdot
.44544 .46986 Mdot
.44563 .47716 Mdot
.44582 .5763 Mdot
.44601 .18256 Mdot
.4462 .55781 Mdot
.44639 .12935 Mdot
.44658 .06819 Mdot
.44677 .58321 Mdot
.44696 .04021 Mdot
.44715 .034 Mdot
.44734 .55092 Mdot
.44753 .42201 Mdot
.44772 .45365 Mdot
.44792 .58675 Mdot
.44811 .54313 Mdot
.4483 .31544 Mdot
.44849 .24314 Mdot
.44868 .26942 Mdot
.44887 .18281 Mdot
.44906 .14389 Mdot
.44925 .06195 Mdot
.44944 .36096 Mdot
.44963 .04964 Mdot
.44982 .2294 Mdot
.45001 .41616 Mdot
.4502 .2265 Mdot
.45039 .57608 Mdot
.45058 .15791 Mdot
.45077 .48686 Mdot
.45096 .26169 Mdot
.45115 .28075 Mdot
.45134 .5459 Mdot
.45153 .48567 Mdot
.45172 .12608 Mdot
.45191 .4794 Mdot
.4521 .09602 Mdot
.4523 .47701 Mdot
.45249 .50976 Mdot
.45268 .57396 Mdot
.45287 .30804 Mdot
.45306 .37806 Mdot
.45325 .18898 Mdot
.45344 .40802 Mdot
.45363 .17904 Mdot
.45382 .54767 Mdot
.45401 .14826 Mdot
.4542 .2668 Mdot
.45439 .32551 Mdot
.45458 .01972 Mdot
.45477 .04715 Mdot
.45496 .28833 Mdot
.45515 .03894 Mdot
.45534 .03636 Mdot
.45553 .57575 Mdot
.45572 .46341 Mdot
.45591 .23026 Mdot
.4561 .51478 Mdot
.45629 .5103 Mdot
.45648 .04673 Mdot
.45668 .48541 Mdot
.45687 .04722 Mdot
.45706 .24645 Mdot
.45725 .50129 Mdot
.45744 .24313 Mdot
.45763 .02303 Mdot
.45782 .03263 Mdot
.45801 .19848 Mdot
.4582 .56154 Mdot
.45839 .50663 Mdot
.45858 .55893 Mdot
.45877 .30684 Mdot
.45896 .58493 Mdot
.45915 .23746 Mdot
.45934 .60159 Mdot
.45953 .08109 Mdot
.45972 .48814 Mdot
.45991 .16324 Mdot
.4601 .55627 Mdot
.46029 .39533 Mdot
.46048 .29876 Mdot
.46067 .49559 Mdot
.46086 .08252 Mdot
.46106 .20984 Mdot
.46125 .48606 Mdot
.46144 .12118 Mdot
.46163 .4593 Mdot
.46182 .10427 Mdot
.46201 .19432 Mdot
.4622 .13495 Mdot
.46239 .46286 Mdot
.46258 .5111 Mdot
.46277 .18724 Mdot
.46296 .30686 Mdot
.46315 .48884 Mdot
.46334 .53781 Mdot
.46353 .49242 Mdot
.46372 .25967 Mdot
.46391 .19682 Mdot
.4641 .32241 Mdot
.46429 .40138 Mdot
.46448 .05778 Mdot
.46467 .27686 Mdot
.46486 .44457 Mdot
.46505 .23615 Mdot
.46525 .20727 Mdot
.46544 .09409 Mdot
.46563 .15901 Mdot
.46582 .17157 Mdot
.46601 .47809 Mdot
.4662 .04417 Mdot
.46639 .33984 Mdot
.46658 .23522 Mdot
.46677 .493 Mdot
.46696 .37552 Mdot
.46715 .53619 Mdot
.46734 .3075 Mdot
.46753 .31642 Mdot
.46772 .60048 Mdot
.46791 .14999 Mdot
.4681 .12157 Mdot
.46829 .4544 Mdot
.46848 .08417 Mdot
.46867 .20257 Mdot
.46886 .44113 Mdot
.46905 .08805 Mdot
.46924 .4 Mdot
.46943 .3903 Mdot
.46963 .11604 Mdot
.46982 .01785 Mdot
.47001 .02976 Mdot
.4702 .26231 Mdot
.47039 .20442 Mdot
.47058 .30823 Mdot
.47077 .25242 Mdot
.47096 .39828 Mdot
.47115 .43944 Mdot
.47134 .28749 Mdot
.47153 .4331 Mdot
.47172 .05291 Mdot
.47191 .40706 Mdot
.4721 .31448 Mdot
.47229 .37857 Mdot
.47248 .10032 Mdot
.47267 .13487 Mdot
.47286 .60083 Mdot
.47305 .33728 Mdot
.47324 .08965 Mdot
.47343 .09213 Mdot
.47362 .0332 Mdot
.47381 .41042 Mdot
.47401 .60056 Mdot
.4742 .60089 Mdot
.47439 .29539 Mdot
.47458 .55199 Mdot
.47477 .2989 Mdot
.47496 .06935 Mdot
.47515 .56852 Mdot
.47534 .56878 Mdot
.47553 .05877 Mdot
.47572 .29172 Mdot
.47591 .47532 Mdot
.4761 .12033 Mdot
.47629 .01819 Mdot
.47648 .55952 Mdot
.47667 .08021 Mdot
.47686 .48561 Mdot
.47705 .16796 Mdot
.47724 .01705 Mdot
.47743 .47812 Mdot
.47762 .44086 Mdot
.47781 .35166 Mdot
.478 .01687 Mdot
.47819 .26129 Mdot
.47839 .38174 Mdot
.47858 .26565 Mdot
.47877 .58659 Mdot
.47896 .2302 Mdot
.47915 .55667 Mdot
.47934 .04795 Mdot
.47953 .42884 Mdot
.47972 .44926 Mdot
.47991 .47799 Mdot
.4801 .27823 Mdot
.48029 .45454 Mdot
.48048 .2468 Mdot
.48067 .0997 Mdot
.48086 .2112 Mdot
.48105 .24963 Mdot
.48124 .57053 Mdot
.48143 .40632 Mdot
.48162 .13209 Mdot
.48181 .4306 Mdot
.482 .45433 Mdot
.48219 .46854 Mdot
.48238 .17893 Mdot
.48257 .28895 Mdot
.48277 .55148 Mdot
.48296 .38756 Mdot
.48315 .3425 Mdot
.48334 .14673 Mdot
.48353 .1903 Mdot
.48372 .11738 Mdot
.48391 .46639 Mdot
.4841 .17875 Mdot
.48429 .31851 Mdot
.48448 .05366 Mdot
.48467 .24696 Mdot
.48486 .41263 Mdot
.48505 .55885 Mdot
.48524 .44481 Mdot
.48543 .41111 Mdot
.48562 .13987 Mdot
.48581 .38687 Mdot
.486 .21432 Mdot
.48619 .36076 Mdot
.48638 .27138 Mdot
.48657 .30862 Mdot
.48676 .49391 Mdot
.48695 .52835 Mdot
.48715 .39311 Mdot
.48734 .09408 Mdot
.48753 .5015 Mdot
.48772 .02139 Mdot
.48791 .53267 Mdot
.4881 .54375 Mdot
.48829 .4855 Mdot
.48848 .15563 Mdot
.48867 .57045 Mdot
.48886 .54429 Mdot
.48905 .54714 Mdot
.48924 .33301 Mdot
.48943 .2396 Mdot
.48962 .60176 Mdot
.48981 .05154 Mdot
.49 .39709 Mdot
.49019 .30383 Mdot
.49038 .48614 Mdot
.49057 .57209 Mdot
.49076 .04425 Mdot
.49095 .20186 Mdot
.49114 .40904 Mdot
.49134 .5906 Mdot
.49153 .59024 Mdot
.49172 .40296 Mdot
.49191 .43489 Mdot
.4921 .20828 Mdot
.49229 .25926 Mdot
.49248 .05141 Mdot
.49267 .48086 Mdot
.49286 .55688 Mdot
.49305 .07261 Mdot
.49324 .49979 Mdot
.49343 .31692 Mdot
.49362 .26543 Mdot
.49381 .31554 Mdot
.494 .59795 Mdot
.49419 .15472 Mdot
.49438 .17122 Mdot
.49457 .53719 Mdot
.49476 .22627 Mdot
.49495 .05865 Mdot
.49514 .37548 Mdot
.49533 .1395 Mdot
.49552 .29567 Mdot
.49572 .53477 Mdot
.49591 .24332 Mdot
.4961 .14377 Mdot
.49629 .39211 Mdot
.49648 .17531 Mdot
.49667 .1704 Mdot
.49686 .24639 Mdot
.49705 .54317 Mdot
.49724 .36965 Mdot
.49743 .40513 Mdot
.49762 .58536 Mdot
.49781 .04038 Mdot
.498 .59332 Mdot
.49819 .45987 Mdot
.49838 .56261 Mdot
.49857 .38352 Mdot
.49876 .17463 Mdot
.49895 .28861 Mdot
.49914 .02171 Mdot
.49933 .56966 Mdot
.49952 .0613 Mdot
.49971 .28699 Mdot
.4999 .42567 Mdot
.5001 .03754 Mdot
.50029 .46497 Mdot
.50048 .11458 Mdot
.50067 .14586 Mdot
.50086 .43416 Mdot
.50105 .27228 Mdot
.50124 .46146 Mdot
.50143 .35084 Mdot
.50162 .31494 Mdot
.50181 .57819 Mdot
.502 .10387 Mdot
.50219 .29531 Mdot
.50238 .44357 Mdot
.50257 .56377 Mdot
.50276 .02634 Mdot
.50295 .2645 Mdot
.50314 .2588 Mdot
.50333 .44067 Mdot
.50352 .47731 Mdot
.50371 .39645 Mdot
.5039 .22986 Mdot
.50409 .27329 Mdot
.50428 .38023 Mdot
.50448 .09306 Mdot
.50467 .08994 Mdot
.50486 .56769 Mdot
.50505 .27797 Mdot
.50524 .37567 Mdot
.50543 .60273 Mdot
.50562 .50497 Mdot
.50581 .56619 Mdot
.506 .35177 Mdot
.50619 .0292 Mdot
.50638 .29676 Mdot
.50657 .31557 Mdot
.50676 .15937 Mdot
.50695 .01637 Mdot
.50714 .59634 Mdot
.50733 .21619 Mdot
.50752 .37815 Mdot
.50771 .2974 Mdot
.5079 .14314 Mdot
.50809 .22205 Mdot
.50828 .26281 Mdot
.50847 .45824 Mdot
.50866 .47378 Mdot
.50886 .13992 Mdot
.50905 .09859 Mdot
.50924 .52649 Mdot
.50943 .03323 Mdot
.50962 .21824 Mdot
.50981 .02351 Mdot
.51 .38255 Mdot
.51019 .06368 Mdot
.51038 .55821 Mdot
.51057 .02836 Mdot
.51076 .34844 Mdot
.51095 .48229 Mdot
.51114 .52497 Mdot
.51133 .54561 Mdot
.51152 .59899 Mdot
.51171 .47018 Mdot
.5119 .51415 Mdot
.51209 .09385 Mdot
.51228 .57293 Mdot
.51247 .23897 Mdot
.51266 .18531 Mdot
.51285 .57774 Mdot
.51305 .15065 Mdot
.51324 .44193 Mdot
.51343 .22855 Mdot
.51362 .22144 Mdot
.51381 .24305 Mdot
.514 .40739 Mdot
.51419 .59786 Mdot
.51438 .0463 Mdot
.51457 .4361 Mdot
.51476 .49419 Mdot
.51495 .51113 Mdot
.51514 .33754 Mdot
.51533 .16851 Mdot
.51552 .32508 Mdot
.51571 .2168 Mdot
.5159 .05543 Mdot
.51609 .49842 Mdot
.51628 .55335 Mdot
.51647 .40496 Mdot
.51666 .36852 Mdot
.51685 .57013 Mdot
.51704 .50731 Mdot
.51723 .44072 Mdot
.51743 .53152 Mdot
.51762 .55845 Mdot
.51781 .5458 Mdot
.518 .13086 Mdot
.51819 .24078 Mdot
.51838 .49098 Mdot
.51857 .29159 Mdot
.51876 .31269 Mdot
.51895 .22321 Mdot
.51914 .24812 Mdot
.51933 .39794 Mdot
.51952 .49855 Mdot
.51971 .46959 Mdot
.5199 .15191 Mdot
.52009 .19318 Mdot
.52028 .05355 Mdot
.52047 .23464 Mdot
.52066 .37715 Mdot
.52085 .03615 Mdot
.52104 .5511 Mdot
.52123 .39246 Mdot
.52142 .3626 Mdot
.52161 .13847 Mdot
.52181 .47299 Mdot
.522 .4922 Mdot
.52219 .57749 Mdot
.52238 .56456 Mdot
.52257 .50933 Mdot
.52276 .52465 Mdot
.52295 .16614 Mdot
.52314 .05386 Mdot
.52333 .02523 Mdot
.52352 .3334 Mdot
.52371 .4811 Mdot
.5239 .14297 Mdot
.52409 .59408 Mdot
.52428 .20369 Mdot
.52447 .37223 Mdot
.52466 .45462 Mdot
.52485 .10883 Mdot
.52504 .27352 Mdot
.52523 .30879 Mdot
.52542 .46436 Mdot
.52561 .4373 Mdot
.5258 .53371 Mdot
.52599 .02395 Mdot
.52619 .08938 Mdot
.52638 .35575 Mdot
.52657 .23895 Mdot
.52676 .2814 Mdot
.52695 .27739 Mdot
.52714 .25982 Mdot
.52733 .26335 Mdot
.52752 .51988 Mdot
.52771 .06228 Mdot
.5279 .39795 Mdot
.52809 .15607 Mdot
.52828 .03089 Mdot
.52847 .09732 Mdot
.52866 .28246 Mdot
.52885 .49676 Mdot
.52904 .31422 Mdot
.52923 .29971 Mdot
.52942 .45624 Mdot
.52961 .54014 Mdot
.5298 .36695 Mdot
.52999 .43941 Mdot
.53018 .13719 Mdot
.53037 .57145 Mdot
.53057 .21667 Mdot
.53076 .13919 Mdot
.53095 .1626 Mdot
.53114 .13982 Mdot
.53133 .33266 Mdot
.53152 .05232 Mdot
.53171 .04482 Mdot
.5319 .41381 Mdot
.53209 .44807 Mdot
.53228 .09599 Mdot
.53247 .32671 Mdot
.53266 .05924 Mdot
.53285 .14885 Mdot
.53304 .04017 Mdot
.53323 .22618 Mdot
.53342 .5391 Mdot
.53361 .05148 Mdot
.5338 .09649 Mdot
.53399 .58053 Mdot
.53418 .22479 Mdot
.53437 .03635 Mdot
.53456 .32936 Mdot
.53475 .31323 Mdot
.53495 .28485 Mdot
.53514 .4255 Mdot
.53533 .06709 Mdot
.53552 .55602 Mdot
.53571 .56286 Mdot
.5359 .21599 Mdot
.53609 .2574 Mdot
.53628 .5268 Mdot
.53647 .16631 Mdot
.53666 .02431 Mdot
.53685 .52305 Mdot
.53704 .474 Mdot
.53723 .41097 Mdot
.53742 .31972 Mdot
.53761 .33957 Mdot
.5378 .49884 Mdot
.53799 .10988 Mdot
.53818 .2465 Mdot
.53837 .21302 Mdot
.53856 .5553 Mdot
.53875 .28438 Mdot
.53894 .56837 Mdot
.53914 .50224 Mdot
.53933 .45017 Mdot
.53952 .04195 Mdot
.53971 .13516 Mdot
.5399 .24112 Mdot
.54009 .43188 Mdot
.54028 .10949 Mdot
.54047 .59388 Mdot
.54066 .08294 Mdot
.54085 .60163 Mdot
.54104 .47778 Mdot
.54123 .49997 Mdot
.54142 .53376 Mdot
.54161 .32455 Mdot
.5418 .40155 Mdot
.54199 .02823 Mdot
.54218 .18581 Mdot
.54237 .58517 Mdot
.54256 .16602 Mdot
.54275 .38402 Mdot
.54294 .42845 Mdot
.54313 .45416 Mdot
.54332 .49809 Mdot
.54352 .26998 Mdot
.54371 .14836 Mdot
.5439 .03274 Mdot
.54409 .21081 Mdot
.54428 .59701 Mdot
.54447 .44046 Mdot
.54466 .45265 Mdot
.54485 .3255 Mdot
.54504 .3622 Mdot
.54523 .48585 Mdot
.54542 .34292 Mdot
.54561 .53852 Mdot
.5458 .18203 Mdot
.54599 .49617 Mdot
.54618 .54085 Mdot
.54637 .39903 Mdot
.54656 .52574 Mdot
.54675 .53581 Mdot
.54694 .55879 Mdot
.54713 .4867 Mdot
.54732 .53763 Mdot
.54751 .52197 Mdot
.5477 .35072 Mdot
.5479 .05622 Mdot
.54809 .39254 Mdot
.54828 .22463 Mdot
.54847 .3123 Mdot
.54866 .57058 Mdot
.54885 .11805 Mdot
.54904 .44427 Mdot
.54923 .10308 Mdot
.54942 .40119 Mdot
.54961 .18343 Mdot
.5498 .06756 Mdot
.54999 .41315 Mdot
.55018 .12771 Mdot
.55037 .32184 Mdot
.55056 .18944 Mdot
.55075 .01876 Mdot
.55094 .18259 Mdot
.55113 .11923 Mdot
.55132 .57988 Mdot
.55151 .4933 Mdot
.5517 .2622 Mdot
.55189 .19209 Mdot
.55208 .27275 Mdot
.55228 .31859 Mdot
.55247 .50456 Mdot
.55266 .42079 Mdot
.55285 .51022 Mdot
.55304 .1847 Mdot
.55323 .31159 Mdot
.55342 .5385 Mdot
.55361 .03172 Mdot
.5538 .04564 Mdot
.55399 .11574 Mdot
.55418 .13117 Mdot
.55437 .37386 Mdot
.55456 .29706 Mdot
.55475 .20225 Mdot
.55494 .40415 Mdot
.55513 .57049 Mdot
.55532 .5985 Mdot
.55551 .12027 Mdot
.5557 .06007 Mdot
.55589 .09717 Mdot
.55608 .46232 Mdot
.55627 .44946 Mdot
.55646 .59874 Mdot
.55666 .04883 Mdot
.55685 .43137 Mdot
.55704 .44454 Mdot
.55723 .42834 Mdot
.55742 .19544 Mdot
.55761 .31244 Mdot
.5578 .39073 Mdot
.55799 .16535 Mdot
.55818 .15975 Mdot
.55837 .35395 Mdot
.55856 .42606 Mdot
.55875 .27903 Mdot
.55894 .59504 Mdot
.55913 .06825 Mdot
.55932 .54133 Mdot
.55951 .50256 Mdot
.5597 .24076 Mdot
.55989 .58707 Mdot
.56008 .58011 Mdot
.56027 .42187 Mdot
.56046 .04463 Mdot
.56065 .53945 Mdot
.56084 .23877 Mdot
.56104 .06457 Mdot
.56123 .21826 Mdot
.56142 .17381 Mdot
.56161 .2442 Mdot
.5618 .48879 Mdot
.56199 .2372 Mdot
.56218 .18025 Mdot
.56237 .58719 Mdot
.56256 .24996 Mdot
.56275 .01864 Mdot
.56294 .51275 Mdot
.56313 .52246 Mdot
.56332 .11176 Mdot
.56351 .51029 Mdot
.5637 .38921 Mdot
.56389 .33524 Mdot
.56408 .1018 Mdot
.56427 .15716 Mdot
.56446 .05808 Mdot
.56465 .16354 Mdot
.56484 .10047 Mdot
.56503 .20141 Mdot
.56523 .20943 Mdot
.56542 .58705 Mdot
.56561 .42981 Mdot
.5658 .56022 Mdot
.56599 .20839 Mdot
.56618 .27158 Mdot
.56637 .08689 Mdot
.56656 .41469 Mdot
.56675 .4506 Mdot
.56694 .09126 Mdot
.56713 .27706 Mdot
.56732 .56532 Mdot
.56751 .59563 Mdot
.5677 .1841 Mdot
.56789 .29183 Mdot
.56808 .48765 Mdot
.56827 .15581 Mdot
.56846 .5409 Mdot
.56865 .45324 Mdot
.56884 .09886 Mdot
.56903 .26288 Mdot
.56922 .41636 Mdot
.56941 .34725 Mdot
.56961 .34668 Mdot
.5698 .13474 Mdot
.56999 .09572 Mdot
.57018 .59033 Mdot
.57037 .26499 Mdot
.57056 .01984 Mdot
.57075 .30587 Mdot
.57094 .47398 Mdot
.57113 .50706 Mdot
.57132 .01937 Mdot
.57151 .44874 Mdot
.5717 .32026 Mdot
.57189 .40121 Mdot
.57208 .08734 Mdot
.57227 .36791 Mdot
.57246 .30398 Mdot
.57265 .30629 Mdot
.57284 .03051 Mdot
.57303 .34861 Mdot
.57322 .45274 Mdot
.57341 .43392 Mdot
.5736 .09733 Mdot
.57379 .52886 Mdot
.57399 .05806 Mdot
.57418 .25963 Mdot
.57437 .389 Mdot
.57456 .31058 Mdot
.57475 .03085 Mdot
.57494 .2895 Mdot
.57513 .27064 Mdot
.57532 .12623 Mdot
.57551 .54594 Mdot
.5757 .29349 Mdot
.57589 .13791 Mdot
.57608 .26105 Mdot
.57627 .45317 Mdot
.57646 .48323 Mdot
.57665 .23923 Mdot
.57684 .26418 Mdot
.57703 .22181 Mdot
.57722 .33425 Mdot
.57741 .08694 Mdot
.5776 .12641 Mdot
.57779 .1739 Mdot
.57798 .35261 Mdot
.57817 .22392 Mdot
.57837 .28021 Mdot
.57856 .48426 Mdot
.57875 .3083 Mdot
.57894 .45693 Mdot
.57913 .42193 Mdot
.57932 .59162 Mdot
.57951 .41293 Mdot
.5797 .44553 Mdot
.57989 .10072 Mdot
.58008 .37636 Mdot
.58027 .14203 Mdot
.58046 .29095 Mdot
.58065 .48511 Mdot
.58084 .16053 Mdot
.58103 .59055 Mdot
.58122 .53604 Mdot
.58141 .24096 Mdot
.5816 .11895 Mdot
.58179 .35071 Mdot
.58198 .3987 Mdot
.58217 .24236 Mdot
.58236 .27921 Mdot
.58255 .22301 Mdot
.58275 .12738 Mdot
.58294 .03846 Mdot
.58313 .52171 Mdot
.58332 .27185 Mdot
.58351 .41214 Mdot
.5837 .20894 Mdot
.58389 .57962 Mdot
.58408 .41443 Mdot
.58427 .02925 Mdot
.58446 .59736 Mdot
.58465 .03887 Mdot
.58484 .42072 Mdot
.58503 .5521 Mdot
.58522 .31123 Mdot
.58541 .10482 Mdot
.5856 .50235 Mdot
.58579 .4625 Mdot
.58598 .07742 Mdot
.58617 .06899 Mdot
.58636 .13484 Mdot
.58655 .45053 Mdot
.58674 .47563 Mdot
.58693 .25341 Mdot
.58713 .41314 Mdot
.58732 .47019 Mdot
.58751 .17166 Mdot
.5877 .24402 Mdot
.58789 .51834 Mdot
.58808 .32825 Mdot
.58827 .03965 Mdot
.58846 .06845 Mdot
.58865 .0732 Mdot
.58884 .27316 Mdot
.58903 .2176 Mdot
.58922 .19593 Mdot
.58941 .31987 Mdot
.5896 .40611 Mdot
.58979 .10744 Mdot
.58998 .35965 Mdot
.59017 .58667 Mdot
.59036 .09222 Mdot
.59055 .14162 Mdot
.59074 .14554 Mdot
.59093 .05469 Mdot
.59112 .31603 Mdot
.59132 .0165 Mdot
.59151 .17009 Mdot
.5917 .11331 Mdot
.59189 .14822 Mdot
.59208 .45898 Mdot
.59227 .31368 Mdot
.59246 .23807 Mdot
.59265 .27887 Mdot
.59284 .28211 Mdot
.59303 .30948 Mdot
.59322 .34615 Mdot
.59341 .0731 Mdot
.5936 .50722 Mdot
.59379 .3323 Mdot
.59398 .20752 Mdot
.59417 .51544 Mdot
.59436 .24179 Mdot
.59455 .40975 Mdot
.59474 .03381 Mdot
.59493 .0877 Mdot
.59512 .21271 Mdot
.59531 .42223 Mdot
.5955 .4783 Mdot
.5957 .06883 Mdot
.59589 .41079 Mdot
.59608 .10288 Mdot
.59627 .28044 Mdot
.59646 .41283 Mdot
.59665 .09072 Mdot
.59684 .21542 Mdot
.59703 .38795 Mdot
.59722 .3376 Mdot
.59741 .12663 Mdot
.5976 .19856 Mdot
.59779 .42356 Mdot
.59798 .09158 Mdot
.59817 .06765 Mdot
.59836 .52157 Mdot
.59855 .45171 Mdot
.59874 .36484 Mdot
.59893 .49345 Mdot
.59912 .32874 Mdot
.59931 .38956 Mdot
.5995 .52252 Mdot
.59969 .06988 Mdot
.59988 .38377 Mdot
.60008 .59598 Mdot
.60027 .37139 Mdot
.60046 .2599 Mdot
.60065 .12538 Mdot
.60084 .10483 Mdot
.60103 .15987 Mdot
.60122 .0238 Mdot
.60141 .02284 Mdot
.6016 .15828 Mdot
.60179 .57805 Mdot
.60198 .53011 Mdot
.60217 .39818 Mdot
.60236 .08463 Mdot
.60255 .40219 Mdot
.60274 .44468 Mdot
.60293 .24848 Mdot
.60312 .24274 Mdot
.60331 .02792 Mdot
.6035 .05273 Mdot
.60369 .19022 Mdot
.60388 .25536 Mdot
.60407 .29256 Mdot
.60426 .08116 Mdot
.60446 .10378 Mdot
.60465 .18689 Mdot
.60484 .11958 Mdot
.60503 .52077 Mdot
.60522 .3112 Mdot
.60541 .54339 Mdot
.6056 .05183 Mdot
.60579 .03739 Mdot
.60598 .39843 Mdot
.60617 .50598 Mdot
.60636 .48496 Mdot
.60655 .09399 Mdot
.60674 .39308 Mdot
.60693 .28627 Mdot
.60712 .48967 Mdot
.60731 .23974 Mdot
.6075 .17552 Mdot
.60769 .53754 Mdot
.60788 .16716 Mdot
.60807 .46542 Mdot
.60826 .0678 Mdot
.60845 .58811 Mdot
.60864 .06031 Mdot
.60884 .02574 Mdot
.60903 .24474 Mdot
.60922 .20795 Mdot
.60941 .56475 Mdot
.6096 .38369 Mdot
.60979 .14508 Mdot
.60998 .19756 Mdot
.61017 .16231 Mdot
.61036 .49953 Mdot
.61055 .23806 Mdot
.61074 .03248 Mdot
.61093 .13194 Mdot
.61112 .36406 Mdot
.61131 .25686 Mdot
.6115 .21877 Mdot
.61169 .42763 Mdot
.61188 .40974 Mdot
.61207 .37629 Mdot
.61226 .52639 Mdot
.61245 .2673 Mdot
.61264 .33294 Mdot
.61283 .03509 Mdot
.61303 .57811 Mdot
.61322 .48823 Mdot
.61341 .27166 Mdot
.6136 .2914 Mdot
.61379 .43834 Mdot
.61398 .60278 Mdot
.61417 .2167 Mdot
.61436 .28949 Mdot
.61455 .02425 Mdot
.61474 .56493 Mdot
.61493 .60052 Mdot
.61512 .2042 Mdot
.61531 .28357 Mdot
.6155 .18147 Mdot
.61569 .53062 Mdot
.61588 .06313 Mdot
.61607 .25018 Mdot
.61626 .28969 Mdot
.61645 .145 Mdot
.61664 .33553 Mdot
.61683 .57736 Mdot
.61702 .40194 Mdot
.61721 .02333 Mdot
.61741 .16571 Mdot
.6176 .59343 Mdot
.61779 .4722 Mdot
.61798 .59808 Mdot
.61817 .31735 Mdot
.61836 .06835 Mdot
.61855 .30726 Mdot
.61874 .38786 Mdot
.61893 .22918 Mdot
.61912 .3915 Mdot
.61931 .15555 Mdot
.6195 .11955 Mdot
.61969 .37047 Mdot
.61988 .44955 Mdot
.62007 .11828 Mdot
.62026 .37283 Mdot
.62045 .47438 Mdot
.62064 .15968 Mdot
.62083 .14944 Mdot
.62102 .40241 Mdot
.62121 .12685 Mdot
.6214 .46961 Mdot
.62159 .05581 Mdot
.62179 .49353 Mdot
.62198 .53325 Mdot
.62217 .41321 Mdot
.62236 .08583 Mdot
.62255 .19531 Mdot
.62274 .3962 Mdot
.62293 .05491 Mdot
.62312 .34069 Mdot
.62331 .08745 Mdot
.6235 .03775 Mdot
.62369 .48963 Mdot
.62388 .18553 Mdot
.62407 .60239 Mdot
.62426 .2216 Mdot
.62445 .30959 Mdot
.62464 .01599 Mdot
.62483 .25875 Mdot
.62502 .38646 Mdot
.62521 .31531 Mdot
.6254 .08051 Mdot
.62559 .37229 Mdot
.62578 .41274 Mdot
.62597 .57118 Mdot
.62617 .48029 Mdot
.62636 .34494 Mdot
.62655 .03358 Mdot
.62674 .40552 Mdot
.62693 .58046 Mdot
.62712 .02028 Mdot
.62731 .60158 Mdot
.6275 .17718 Mdot
.62769 .18779 Mdot
.62788 .27241 Mdot
.62807 .37769 Mdot
.62826 .09779 Mdot
.62845 .1396 Mdot
.62864 .06161 Mdot
.62883 .42007 Mdot
.62902 .23174 Mdot
.62921 .53708 Mdot
.6294 .55642 Mdot
.62959 .46187 Mdot
.62978 .49624 Mdot
.62997 .15649 Mdot
.63016 .42268 Mdot
.63035 .08904 Mdot
.63055 .07238 Mdot
.63074 .57122 Mdot
.63093 .5345 Mdot
.63112 .50694 Mdot
.63131 .34952 Mdot
.6315 .26309 Mdot
.63169 .44101 Mdot
.63188 .4182 Mdot
.63207 .21435 Mdot
.63226 .51106 Mdot
.63245 .13303 Mdot
.63264 .14486 Mdot
.63283 .1729 Mdot
.63302 .09136 Mdot
.63321 .04299 Mdot
.6334 .45062 Mdot
.63359 .58405 Mdot
.63378 .5774 Mdot
.63397 .45615 Mdot
.63416 .18533 Mdot
.63435 .48165 Mdot
.63454 .451 Mdot
.63473 .33276 Mdot
.63493 .40713 Mdot
.63512 .51899 Mdot
.63531 .40222 Mdot
.6355 .2525 Mdot
.63569 .26031 Mdot
.63588 .02439 Mdot
.63607 .38508 Mdot
.63626 .05895 Mdot
.63645 .50856 Mdot
.63664 .53445 Mdot
.63683 .20634 Mdot
.63702 .03735 Mdot
.63721 .59061 Mdot
.6374 .49415 Mdot
.63759 .11444 Mdot
.63778 .32571 Mdot
.63797 .38686 Mdot
.63816 .5568 Mdot
.63835 .21058 Mdot
.63854 .32596 Mdot
.63873 .21933 Mdot
.63892 .0507 Mdot
.63912 .44877 Mdot
.63931 .47056 Mdot
.6395 .26286 Mdot
.63969 .51245 Mdot
.63988 .0469 Mdot
.64007 .45586 Mdot
.64026 .54504 Mdot
.64045 .38705 Mdot
.64064 .43116 Mdot
.64083 .41988 Mdot
.64102 .35739 Mdot
.64121 .32778 Mdot
.6414 .525 Mdot
.64159 .35342 Mdot
.64178 .02194 Mdot
.64197 .25183 Mdot
.64216 .28243 Mdot
.64235 .10007 Mdot
.64254 .30239 Mdot
.64273 .51806 Mdot
.64292 .09909 Mdot
.64311 .53392 Mdot
.6433 .04861 Mdot
.6435 .16033 Mdot
.64369 .22341 Mdot
.64388 .02639 Mdot
.64407 .31871 Mdot
.64426 .4208 Mdot
.64445 .16774 Mdot
.64464 .33488 Mdot
.64483 .257 Mdot
.64502 .03891 Mdot
.64521 .47493 Mdot
.6454 .12523 Mdot
.64559 .03829 Mdot
.64578 .55127 Mdot
.64597 .3629 Mdot
.64616 .27155 Mdot
.64635 .27907 Mdot
.64654 .40286 Mdot
.64673 .08008 Mdot
.64692 .32298 Mdot
.64711 .27084 Mdot
.6473 .24698 Mdot
.64749 .31654 Mdot
.64768 .27033 Mdot
.64788 .33564 Mdot
.64807 .58969 Mdot
.64826 .43741 Mdot
.64845 .54604 Mdot
.64864 .05943 Mdot
.64883 .02321 Mdot
.64902 .24947 Mdot
.64921 .2576 Mdot
.6494 .05867 Mdot
.64959 .52578 Mdot
.64978 .59002 Mdot
.64997 .13191 Mdot
.65016 .21376 Mdot
.65035 .39521 Mdot
.65054 .38253 Mdot
.65073 .15977 Mdot
.65092 .25786 Mdot
.65111 .13754 Mdot
.6513 .16986 Mdot
.65149 .18475 Mdot
.65168 .3658 Mdot
.65187 .11162 Mdot
.65206 .34766 Mdot
.65226 .49209 Mdot
.65245 .56517 Mdot
.65264 .52909 Mdot
.65283 .5755 Mdot
.65302 .04206 Mdot
.65321 .14748 Mdot
.6534 .2766 Mdot
.65359 .36571 Mdot
.65378 .59208 Mdot
.65397 .02366 Mdot
.65416 .44908 Mdot
.65435 .26115 Mdot
.65454 .21911 Mdot
.65473 .36853 Mdot
.65492 .22764 Mdot
.65511 .06861 Mdot
.6553 .38613 Mdot
.65549 .03193 Mdot
.65568 .41278 Mdot
.65587 .03651 Mdot
.65606 .05342 Mdot
.65625 .07201 Mdot
.65644 .48003 Mdot
.65664 .26608 Mdot
.65683 .38951 Mdot
.65702 .22192 Mdot
.65721 .34658 Mdot
.6574 .12242 Mdot
.65759 .06024 Mdot
.65778 .06762 Mdot
.65797 .37127 Mdot
.65816 .59006 Mdot
.65835 .5286 Mdot
.65854 .22559 Mdot
.65873 .17686 Mdot
.65892 .15081 Mdot
.65911 .16599 Mdot
.6593 .5762 Mdot
.65949 .41663 Mdot
.65968 .08363 Mdot
.65987 .14093 Mdot
.66006 .26376 Mdot
.66025 .41889 Mdot
.66044 .34252 Mdot
.66063 .29703 Mdot
.66082 .05195 Mdot
.66102 .5425 Mdot
.66121 .14538 Mdot
.6614 .33064 Mdot
.66159 .55726 Mdot
.66178 .41019 Mdot
.66197 .32951 Mdot
.66216 .37977 Mdot
.66235 .48232 Mdot
.66254 .08639 Mdot
.66273 .40726 Mdot
.66292 .43523 Mdot
.66311 .14917 Mdot
.6633 .07716 Mdot
.66349 .3326 Mdot
.66368 .34059 Mdot
.66387 .32152 Mdot
.66406 .15245 Mdot
.66425 .50121 Mdot
.66444 .3811 Mdot
.66463 .43808 Mdot
.66482 .52391 Mdot
.66501 .57262 Mdot
.66521 .10589 Mdot
.6654 .37924 Mdot
.66559 .0782 Mdot
.66578 .05919 Mdot
.66597 .09464 Mdot
.66616 .46704 Mdot
.66635 .49911 Mdot
.66654 .09266 Mdot
.66673 .19093 Mdot
.66692 .28744 Mdot
.66711 .37889 Mdot
.6673 .47979 Mdot
.66749 .09112 Mdot
.66768 .45691 Mdot
.66787 .51802 Mdot
.66806 .29127 Mdot
.66825 .5221 Mdot
.66844 .26696 Mdot
.66863 .39204 Mdot
.66882 .21719 Mdot
.66901 .29692 Mdot
.6692 .03962 Mdot
.66939 .50702 Mdot
.66959 .21155 Mdot
.66978 .43692 Mdot
.66997 .53861 Mdot
.67016 .04405 Mdot
.67035 .08112 Mdot
.67054 .04957 Mdot
.67073 .02489 Mdot
.67092 .39251 Mdot
.67111 .07432 Mdot
.6713 .45065 Mdot
.67149 .14547 Mdot
.67168 .43906 Mdot
.67187 .29238 Mdot
.67206 .4532 Mdot
.67225 .04465 Mdot
.67244 .10088 Mdot
.67263 .10042 Mdot
.67282 .48968 Mdot
.67301 .48613 Mdot
.6732 .32569 Mdot
.67339 .48295 Mdot
.67358 .25645 Mdot
.67377 .31975 Mdot
.67397 .14739 Mdot
.67416 .51066 Mdot
.67435 .48041 Mdot
.67454 .01479 Mdot
.67473 .21923 Mdot
.67492 .28477 Mdot
.67511 .56347 Mdot
.6753 .48214 Mdot
.67549 .45843 Mdot
.67568 .34813 Mdot
.67587 .34922 Mdot
.67606 .13002 Mdot
.67625 .04607 Mdot
.67644 .50753 Mdot
.67663 .12289 Mdot
.67682 .16377 Mdot
.67701 .37152 Mdot
.6772 .42253 Mdot
.67739 .02251 Mdot
.67758 .46377 Mdot
.67777 .32145 Mdot
.67796 .19434 Mdot
.67815 .03886 Mdot
.67835 .17433 Mdot
.67854 .40193 Mdot
.67873 .36581 Mdot
.67892 .01553 Mdot
.67911 .05914 Mdot
.6793 .38291 Mdot
.67949 .15487 Mdot
.67968 .23776 Mdot
.67987 .1458 Mdot
.68006 .47604 Mdot
.68025 .39881 Mdot
.68044 .25469 Mdot
.68063 .31469 Mdot
.68082 .15684 Mdot
.68101 .02109 Mdot
.6812 .05712 Mdot
.68139 .29898 Mdot
.68158 .52025 Mdot
.68177 .15347 Mdot
.68196 .0775 Mdot
.68215 .2735 Mdot
.68234 .15849 Mdot
.68253 .60271 Mdot
.68273 .60106 Mdot
.68292 .26584 Mdot
.68311 .46094 Mdot
.6833 .4395 Mdot
.68349 .58809 Mdot
.68368 .1564 Mdot
.68387 .31426 Mdot
.68406 .35392 Mdot
.68425 .02937 Mdot
.68444 .26721 Mdot
.68463 .22452 Mdot
.68482 .29997 Mdot
.68501 .53511 Mdot
.6852 .18422 Mdot
.68539 .55055 Mdot
.68558 .08442 Mdot
.68577 .03505 Mdot
.68596 .52391 Mdot
.68615 .32623 Mdot
.68634 .54459 Mdot
.68653 .43383 Mdot
.68672 .57778 Mdot
.68691 .20486 Mdot
.68711 .01506 Mdot
.6873 .54449 Mdot
.68749 .07902 Mdot
.68768 .10361 Mdot
.68787 .21644 Mdot
.68806 .21063 Mdot
.68825 .38017 Mdot
.68844 .38133 Mdot
.68863 .36664 Mdot
.68882 .30634 Mdot
.68901 .33111 Mdot
.6892 .07191 Mdot
.68939 .12522 Mdot
.68958 .38078 Mdot
.68977 .40109 Mdot
.68996 .41749 Mdot
.69015 .18226 Mdot
.69034 .42473 Mdot
.69053 .32328 Mdot
.69072 .15752 Mdot
.69091 .49175 Mdot
.6911 .28179 Mdot
.6913 .27249 Mdot
.69149 .23972 Mdot
.69168 .27161 Mdot
.69187 .23719 Mdot
.69206 .27634 Mdot
.69225 .28684 Mdot
.69244 .35913 Mdot
.69263 .42894 Mdot
.69282 .2152 Mdot
.69301 .36329 Mdot
.6932 .26665 Mdot
.69339 .25897 Mdot
.69358 .41112 Mdot
.69377 .38626 Mdot
.69396 .53704 Mdot
.69415 .15973 Mdot
.69434 .45004 Mdot
.69453 .12571 Mdot
.69472 .38821 Mdot
.69491 .41647 Mdot
.6951 .35958 Mdot
.69529 .38216 Mdot
.69548 .06857 Mdot
.69568 .57831 Mdot
.69587 .02011 Mdot
.69606 .04226 Mdot
.69625 .26823 Mdot
.69644 .0472 Mdot
.69663 .34254 Mdot
.69682 .20094 Mdot
.69701 .3523 Mdot
.6972 .43332 Mdot
.69739 .32396 Mdot
.69758 .03931 Mdot
.69777 .12755 Mdot
.69796 .2553 Mdot
.69815 .58084 Mdot
.69834 .35786 Mdot
.69853 .4313 Mdot
.69872 .24003 Mdot
.69891 .40469 Mdot
.6991 .04326 Mdot
.69929 .187 Mdot
.69948 .3783 Mdot
.69967 .11755 Mdot
.69986 .19044 Mdot
.70006 .5264 Mdot
.70025 .51369 Mdot
.70044 .48311 Mdot
.70063 .56938 Mdot
.70082 .07853 Mdot
.70101 .34257 Mdot
.7012 .35124 Mdot
.70139 .21395 Mdot
.70158 .26956 Mdot
.70177 .59183 Mdot
.70196 .19119 Mdot
.70215 .36631 Mdot
.70234 .02296 Mdot
.70253 .07451 Mdot
.70272 .325 Mdot
.70291 .35477 Mdot
.7031 .47048 Mdot
.70329 .40083 Mdot
.70348 .33862 Mdot
.70367 .53818 Mdot
.70386 .24113 Mdot
.70405 .08939 Mdot
.70424 .25966 Mdot
.70444 .5393 Mdot
.70463 .17223 Mdot
.70482 .45597 Mdot
.70501 .55737 Mdot
.7052 .42252 Mdot
.70539 .36499 Mdot
.70558 .3136 Mdot
.70577 .37604 Mdot
.70596 .10505 Mdot
.70615 .18452 Mdot
.70634 .09475 Mdot
.70653 .47937 Mdot
.70672 .53459 Mdot
.70691 .02649 Mdot
.7071 .08465 Mdot
.70729 .3061 Mdot
.70748 .15616 Mdot
.70767 .13931 Mdot
.70786 .42132 Mdot
.70805 .32547 Mdot
.70824 .2119 Mdot
.70843 .03533 Mdot
.70862 .50668 Mdot
.70882 .27066 Mdot
.70901 .03014 Mdot
.7092 .25741 Mdot
.70939 .18432 Mdot
.70958 .31648 Mdot
.70977 .5586 Mdot
.70996 .02347 Mdot
.71015 .32834 Mdot
.71034 .49055 Mdot
.71053 .24227 Mdot
.71072 .17079 Mdot
.71091 .48788 Mdot
.7111 .08437 Mdot
.71129 .32332 Mdot
.71148 .21173 Mdot
.71167 .06488 Mdot
.71186 .59773 Mdot
.71205 .13006 Mdot
.71224 .10027 Mdot
.71243 .08066 Mdot
.71262 .43883 Mdot
.71281 .02134 Mdot
.71301 .23207 Mdot
.7132 .23158 Mdot
.71339 .22415 Mdot
.71358 .20877 Mdot
.71377 .26669 Mdot
.71396 .06679 Mdot
.71415 .42294 Mdot
.71434 .16791 Mdot
.71453 .30532 Mdot
.71472 .16595 Mdot
.71491 .17951 Mdot
.7151 .4048 Mdot
.71529 .30198 Mdot
.71548 .37265 Mdot
.71567 .25754 Mdot
.71586 .10055 Mdot
.71605 .06343 Mdot
.71624 .38326 Mdot
.71643 .09576 Mdot
.71662 .05566 Mdot
.71681 .42699 Mdot
.717 .33578 Mdot
.71719 .16344 Mdot
.71739 .33454 Mdot
.71758 .31611 Mdot
.71777 .22101 Mdot
.71796 .19374 Mdot
.71815 .26549 Mdot
.71834 .27366 Mdot
.71853 .47142 Mdot
.71872 .36148 Mdot
.71891 .20737 Mdot
.7191 .10642 Mdot
.71929 .19449 Mdot
.71948 .1054 Mdot
.71967 .37181 Mdot
.71986 .06282 Mdot
.72005 .1171 Mdot
.72024 .48361 Mdot
.72043 .23433 Mdot
.72062 .24408 Mdot
.72081 .23007 Mdot
.721 .05156 Mdot
.72119 .301 Mdot
.72138 .01531 Mdot
.72157 .37697 Mdot
.72177 .16179 Mdot
.72196 .3418 Mdot
.72215 .36103 Mdot
.72234 .25415 Mdot
.72253 .25305 Mdot
.72272 .56834 Mdot
.72291 .35194 Mdot
.7231 .58852 Mdot
.72329 .20571 Mdot
.72348 .45616 Mdot
.72367 .08924 Mdot
.72386 .19312 Mdot
.72405 .34182 Mdot
.72424 .51133 Mdot
.72443 .1158 Mdot
.72462 .08929 Mdot
.72481 .24733 Mdot
.725 .50382 Mdot
.72519 .2384 Mdot
.72538 .56225 Mdot
.72557 .53871 Mdot
.72576 .05638 Mdot
.72595 .11659 Mdot
.72615 .57227 Mdot
.72634 .50748 Mdot
.72653 .41116 Mdot
.72672 .44047 Mdot
.72691 .11017 Mdot
.7271 .47567 Mdot
.72729 .30762 Mdot
.72748 .57514 Mdot
.72767 .19726 Mdot
.72786 .02924 Mdot
.72805 .10458 Mdot
.72824 .32739 Mdot
.72843 .5299 Mdot
.72862 .37352 Mdot
.72881 .60256 Mdot
.729 .53453 Mdot
.72919 .06837 Mdot
.72938 .21117 Mdot
.72957 .09933 Mdot
.72976 .12001 Mdot
.72995 .57008 Mdot
.73014 .4531 Mdot
.73033 .27872 Mdot
.73053 .21558 Mdot
.73072 .112 Mdot
.73091 .09638 Mdot
.7311 .32181 Mdot
.73129 .03914 Mdot
.73148 .15711 Mdot
.73167 .34635 Mdot
.73186 .44024 Mdot
.73205 .42799 Mdot
.73224 .25455 Mdot
.73243 .49454 Mdot
.73262 .10954 Mdot
.73281 .30561 Mdot
.733 .39512 Mdot
.73319 .27411 Mdot
.73338 .42464 Mdot
.73357 .21486 Mdot
.73376 .4224 Mdot
.73395 .44875 Mdot
.73414 .56665 Mdot
.73433 .55138 Mdot
.73452 .03275 Mdot
.73471 .4572 Mdot
.73491 .15831 Mdot
.7351 .38587 Mdot
.73529 .54194 Mdot
.73548 .17983 Mdot
.73567 .44179 Mdot
.73586 .40841 Mdot
.73605 .17414 Mdot
.73624 .52757 Mdot
.73643 .15652 Mdot
.73662 .57298 Mdot
.73681 .53957 Mdot
.737 .49749 Mdot
.73719 .25022 Mdot
.73738 .09751 Mdot
.73757 .15682 Mdot
.73776 .11719 Mdot
.73795 .34564 Mdot
.73814 .40815 Mdot
.73833 .34167 Mdot
.73852 .4448 Mdot
.73871 .5072 Mdot
.7389 .42839 Mdot
.7391 .49604 Mdot
.73929 .03574 Mdot
.73948 .06321 Mdot
.73967 .11221 Mdot
.73986 .46351 Mdot
.74005 .24259 Mdot
.74024 .55026 Mdot
.74043 .44413 Mdot
.74062 .52932 Mdot
.74081 .50407 Mdot
.741 .41336 Mdot
.74119 .49485 Mdot
.74138 .24261 Mdot
.74157 .11169 Mdot
.74176 .30578 Mdot
.74195 .36556 Mdot
.74214 .18306 Mdot
.74233 .56524 Mdot
.74252 .14473 Mdot
.74271 .59915 Mdot
.7429 .19424 Mdot
.74309 .27292 Mdot
.74328 .28903 Mdot
.74348 .41351 Mdot
.74367 .56138 Mdot
.74386 .44009 Mdot
.74405 .36146 Mdot
.74424 .05707 Mdot
.74443 .24477 Mdot
.74462 .35825 Mdot
.74481 .4264 Mdot
.745 .21993 Mdot
.74519 .41294 Mdot
.74538 .34944 Mdot
.74557 .40106 Mdot
.74576 .26719 Mdot
.74595 .32061 Mdot
.74614 .58849 Mdot
.74633 .05541 Mdot
.74652 .59451 Mdot
.74671 .253 Mdot
.7469 .51413 Mdot
.74709 .18994 Mdot
.74728 .27258 Mdot
.74747 .34814 Mdot
.74766 .59561 Mdot
.74786 .28019 Mdot
.74805 .58035 Mdot
.74824 .59682 Mdot
.74843 .5661 Mdot
.74862 .24335 Mdot
.74881 .29407 Mdot
.749 .25376 Mdot
.74919 .60043 Mdot
.74938 .43826 Mdot
.74957 .39827 Mdot
.74976 .19305 Mdot
.74995 .13731 Mdot
.75014 .48768 Mdot
.75033 .5525 Mdot
.75052 .55272 Mdot
.75071 .2349 Mdot
.7509 .45602 Mdot
.75109 .26909 Mdot
.75128 .14582 Mdot
.75147 .03747 Mdot
.75166 .26046 Mdot
.75185 .09093 Mdot
.75204 .58255 Mdot
.75224 .30872 Mdot
.75243 .25985 Mdot
.75262 .41365 Mdot
.75281 .38153 Mdot
.753 .48739 Mdot
.75319 .07694 Mdot
.75338 .30795 Mdot
.75357 .26964 Mdot
.75376 .45385 Mdot
.75395 .36501 Mdot
.75414 .4639 Mdot
.75433 .23769 Mdot
.75452 .53016 Mdot
.75471 .45239 Mdot
.7549 .24663 Mdot
.75509 .12925 Mdot
.75528 .30225 Mdot
.75547 .10904 Mdot
.75566 .05179 Mdot
.75585 .22957 Mdot
.75604 .38661 Mdot
.75623 .13545 Mdot
.75642 .12781 Mdot
.75662 .08778 Mdot
.75681 .07474 Mdot
.757 .59605 Mdot
.75719 .5759 Mdot
.75738 .28355 Mdot
.75757 .27756 Mdot
.75776 .23027 Mdot
.75795 .1723 Mdot
.75814 .0716 Mdot
.75833 .58102 Mdot
.75852 .5747 Mdot
.75871 .49043 Mdot
.7589 .32604 Mdot
.75909 .42384 Mdot
.75928 .07435 Mdot
.75947 .60095 Mdot
.75966 .596 Mdot
.75985 .27529 Mdot
.76004 .56025 Mdot
.76023 .01621 Mdot
.76042 .28341 Mdot
.76061 .45741 Mdot
.7608 .18297 Mdot
.761 .45682 Mdot
.76119 .4096 Mdot
.76138 .55615 Mdot
.76157 .47909 Mdot
.76176 .55181 Mdot
.76195 .08206 Mdot
.76214 .5991 Mdot
.76233 .48251 Mdot
.76252 .54962 Mdot
.76271 .02768 Mdot
.7629 .46665 Mdot
.76309 .25762 Mdot
.76328 .55145 Mdot
.76347 .23726 Mdot
.76366 .48085 Mdot
.76385 .31049 Mdot
.76404 .51131 Mdot
.76423 .55437 Mdot
.76442 .22764 Mdot
.76461 .41109 Mdot
.7648 .23596 Mdot
.76499 .08652 Mdot
.76519 .32349 Mdot
.76538 .18218 Mdot
.76557 .5627 Mdot
.76576 .14945 Mdot
.76595 .05993 Mdot
.76614 .27703 Mdot
.76633 .41502 Mdot
.76652 .1451 Mdot
.76671 .34786 Mdot
.7669 .02396 Mdot
.76709 .33577 Mdot
.76728 .50593 Mdot
.76747 .18436 Mdot
.76766 .37069 Mdot
.76785 .13172 Mdot
.76804 .33941 Mdot
.76823 .18591 Mdot
.76842 .35111 Mdot
.76861 .05132 Mdot
.7688 .37244 Mdot
.76899 .23288 Mdot
.76918 .0296 Mdot
.76937 .19577 Mdot
.76957 .59582 Mdot
.76976 .05846 Mdot
.76995 .50113 Mdot
.77014 .51907 Mdot
.77033 .26425 Mdot
.77052 .42632 Mdot
.77071 .3579 Mdot
.7709 .23912 Mdot
.77109 .25185 Mdot
.77128 .18634 Mdot
.77147 .40042 Mdot
.77166 .19322 Mdot
.77185 .10776 Mdot
.77204 .39663 Mdot
.77223 .10422 Mdot
.77242 .48259 Mdot
.77261 .41165 Mdot
.7728 .20151 Mdot
.77299 .56424 Mdot
.77318 .47235 Mdot
.77337 .41823 Mdot
.77356 .36465 Mdot
.77375 .37271 Mdot
.77395 .55814 Mdot
.77414 .41273 Mdot
.77433 .32479 Mdot
.77452 .33011 Mdot
.77471 .39953 Mdot
.7749 .53317 Mdot
.77509 .55119 Mdot
.77528 .50088 Mdot
.77547 .09772 Mdot
.77566 .18148 Mdot
.77585 .18814 Mdot
.77604 .2133 Mdot
.77623 .19559 Mdot
.77642 .37898 Mdot
.77661 .58821 Mdot
.7768 .41512 Mdot
.77699 .49991 Mdot
.77718 .23316 Mdot
.77737 .60125 Mdot
.77756 .1402 Mdot
.77775 .08137 Mdot
.77794 .47092 Mdot
.77813 .10766 Mdot
.77833 .04182 Mdot
.77852 .21892 Mdot
.77871 .49417 Mdot
.7789 .01835 Mdot
.77909 .03719 Mdot
.77928 .27768 Mdot
.77947 .14651 Mdot
.77966 .50813 Mdot
.77985 .48513 Mdot
.78004 .06444 Mdot
.78023 .30203 Mdot
.78042 .42686 Mdot
.78061 .41954 Mdot
.7808 .41649 Mdot
.78099 .50988 Mdot
.78118 .24381 Mdot
.78137 .49369 Mdot
.78156 .25731 Mdot
.78175 .17199 Mdot
.78194 .28101 Mdot
.78213 .03589 Mdot
.78232 .12975 Mdot
.78251 .30968 Mdot
.78271 .12441 Mdot
.7829 .58275 Mdot
.78309 .42947 Mdot
.78328 .03045 Mdot
.78347 .39049 Mdot
.78366 .57926 Mdot
.78385 .22715 Mdot
.78404 .06118 Mdot
.78423 .37076 Mdot
.78442 .08984 Mdot
.78461 .21288 Mdot
.7848 .39267 Mdot
.78499 .38725 Mdot
.78518 .20942 Mdot
.78537 .34065 Mdot
.78556 .27963 Mdot
.78575 .02593 Mdot
.78594 .1191 Mdot
.78613 .41725 Mdot
.78632 .59618 Mdot
.78651 .49213 Mdot
.7867 .0305 Mdot
.7869 .10222 Mdot
.78709 .30257 Mdot
.78728 .4885 Mdot
.78747 .59691 Mdot
.78766 .08565 Mdot
.78785 .56735 Mdot
.78804 .33708 Mdot
.78823 .55777 Mdot
.78842 .32153 Mdot
.78861 .05636 Mdot
.7888 .21268 Mdot
.78899 .27192 Mdot
.78918 .02778 Mdot
.78937 .23259 Mdot
.78956 .14292 Mdot
.78975 .53987 Mdot
.78994 .04169 Mdot
.79013 .05629 Mdot
.79032 .59705 Mdot
.79051 .24828 Mdot
.7907 .46448 Mdot
.79089 .10715 Mdot
.79108 .13048 Mdot
.79128 .49207 Mdot
.79147 .07238 Mdot
.79166 .22874 Mdot
.79185 .0958 Mdot
.79204 .45235 Mdot
.79223 .43881 Mdot
.79242 .11743 Mdot
.79261 .5206 Mdot
.7928 .34075 Mdot
.79299 .04557 Mdot
.79318 .5001 Mdot
.79337 .10752 Mdot
.79356 .22168 Mdot
.79375 .17162 Mdot
.79394 .18982 Mdot
.79413 .35634 Mdot
.79432 .60119 Mdot
.79451 .18208 Mdot
.7947 .20789 Mdot
.79489 .26415 Mdot
.79508 .07151 Mdot
.79527 .4726 Mdot
.79546 .2507 Mdot
.79566 .44742 Mdot
.79585 .02202 Mdot
.79604 .11386 Mdot
.79623 .45625 Mdot
.79642 .19766 Mdot
.79661 .51712 Mdot
.7968 .38483 Mdot
.79699 .22648 Mdot
.79718 .42578 Mdot
.79737 .29626 Mdot
.79756 .06175 Mdot
.79775 .5827 Mdot
.79794 .12887 Mdot
.79813 .30715 Mdot
.79832 .12914 Mdot
.79851 .04353 Mdot
.7987 .51226 Mdot
.79889 .17255 Mdot
.79908 .24656 Mdot
.79927 .51362 Mdot
.79946 .2786 Mdot
.79965 .54573 Mdot
.79984 .51523 Mdot
.80004 .21713 Mdot
.80023 .3388 Mdot
.80042 .16615 Mdot
.80061 .30026 Mdot
.8008 .1754 Mdot
.80099 .27882 Mdot
.80118 .57039 Mdot
.80137 .58617 Mdot
.80156 .08479 Mdot
.80175 .12624 Mdot
.80194 .20346 Mdot
.80213 .44366 Mdot
.80232 .08332 Mdot
.80251 .35034 Mdot
.8027 .30751 Mdot
.80289 .56281 Mdot
.80308 .16178 Mdot
.80327 .0954 Mdot
.80346 .21086 Mdot
.80365 .30874 Mdot
.80384 .16376 Mdot
.80403 .12513 Mdot
.80422 .27236 Mdot
.80442 .07709 Mdot
.80461 .37449 Mdot
.8048 .46712 Mdot
.80499 .11475 Mdot
.80518 .11631 Mdot
.80537 .34311 Mdot
.80556 .41288 Mdot
.80575 .39132 Mdot
.80594 .52759 Mdot
.80613 .06042 Mdot
.80632 .28446 Mdot
.80651 .43039 Mdot
.8067 .08719 Mdot
.80689 .54776 Mdot
.80708 .25668 Mdot
.80727 .5908 Mdot
.80746 .36851 Mdot
.80765 .32374 Mdot
.80784 .35713 Mdot
.80803 .4953 Mdot
.80822 .44223 Mdot
.80841 .11524 Mdot
.8086 .46622 Mdot
.8088 .20831 Mdot
.80899 .40956 Mdot
.80918 .50194 Mdot
.80937 .31709 Mdot
.80956 .23588 Mdot
.80975 .22449 Mdot
.80994 .14967 Mdot
.81013 .08459 Mdot
.81032 .34798 Mdot
.81051 .28268 Mdot
.8107 .52142 Mdot
.81089 .38517 Mdot
.81108 .16737 Mdot
.81127 .24368 Mdot
.81146 .57745 Mdot
.81165 .51035 Mdot
.81184 .34733 Mdot
.81203 .20871 Mdot
.81222 .30857 Mdot
.81241 .19331 Mdot
.8126 .21618 Mdot
.81279 .13176 Mdot
.81299 .14722 Mdot
.81318 .19773 Mdot
.81337 .13276 Mdot
.81356 .40848 Mdot
.81375 .37865 Mdot
.81394 .55122 Mdot
.81413 .30869 Mdot
.81432 .10955 Mdot
.81451 .552 Mdot
.8147 .54529 Mdot
.81489 .21952 Mdot
.81508 .51393 Mdot
.81527 .06919 Mdot
.81546 .50198 Mdot
.81565 .3713 Mdot
.81584 .39787 Mdot
.81603 .54043 Mdot
.81622 .59611 Mdot
.81641 .53401 Mdot
.8166 .15703 Mdot
.81679 .48432 Mdot
.81698 .26642 Mdot
.81717 .3304 Mdot
.81737 .03982 Mdot
.81756 .0389 Mdot
.81775 .57103 Mdot
.81794 .41375 Mdot
.81813 .14747 Mdot
.81832 .37269 Mdot
.81851 .06536 Mdot
.8187 .11238 Mdot
.81889 .43396 Mdot
.81908 .15154 Mdot
.81927 .10198 Mdot
.81946 .374 Mdot
.81965 .1172 Mdot
.81984 .24955 Mdot
.82003 .11963 Mdot
.82022 .2325 Mdot
.82041 .0345 Mdot
.8206 .21587 Mdot
.82079 .58756 Mdot
.82098 .34115 Mdot
.82117 .28707 Mdot
.82136 .0413 Mdot
.82155 .06119 Mdot
.82175 .02827 Mdot
.82194 .24002 Mdot
.82213 .15829 Mdot
.82232 .48196 Mdot
.82251 .24159 Mdot
.8227 .28901 Mdot
.82289 .26321 Mdot
.82308 .11086 Mdot
.82327 .01498 Mdot
.82346 .09359 Mdot
.82365 .49406 Mdot
.82384 .59489 Mdot
.82403 .59059 Mdot
.82422 .34385 Mdot
.82441 .25279 Mdot
.8246 .48947 Mdot
.82479 .11899 Mdot
.82498 .40492 Mdot
.82517 .5607 Mdot
.82536 .5583 Mdot
.82555 .13678 Mdot
.82574 .08356 Mdot
.82593 .5253 Mdot
.82613 .24011 Mdot
.82632 .26671 Mdot
.82651 .21709 Mdot
.8267 .28459 Mdot
.82689 .59302 Mdot
.82708 .57319 Mdot
.82727 .31783 Mdot
.82746 .41826 Mdot
.82765 .17246 Mdot
.82784 .38453 Mdot
.82803 .33979 Mdot
.82822 .18101 Mdot
.82841 .331 Mdot
.8286 .05958 Mdot
.82879 .08974 Mdot
.82898 .44694 Mdot
.82917 .50737 Mdot
.82936 .39884 Mdot
.82955 .40499 Mdot
.82974 .17634 Mdot
.82993 .58195 Mdot
.83012 .28896 Mdot
.83031 .209 Mdot
.83051 .53773 Mdot
.8307 .28791 Mdot
.83089 .23602 Mdot
.83108 .04464 Mdot
.83127 .19697 Mdot
.83146 .38894 Mdot
.83165 .59885 Mdot
.83184 .30755 Mdot
.83203 .02815 Mdot
.83222 .32378 Mdot
.83241 .41134 Mdot
.8326 .06843 Mdot
.83279 .16929 Mdot
.83298 .56168 Mdot
.83317 .32677 Mdot
.83336 .01736 Mdot
.83355 .02233 Mdot
.83374 .24694 Mdot
.83393 .26233 Mdot
.83412 .10833 Mdot
.83431 .0197 Mdot
.8345 .14324 Mdot
.83469 .57686 Mdot
.83489 .14811 Mdot
.83508 .44666 Mdot
.83527 .27821 Mdot
.83546 .30424 Mdot
.83565 .38515 Mdot
.83584 .26346 Mdot
.83603 .53221 Mdot
.83622 .09775 Mdot
.83641 .33178 Mdot
.8366 .04979 Mdot
.83679 .04954 Mdot
.83698 .46346 Mdot
.83717 .53086 Mdot
.83736 .23809 Mdot
.83755 .18278 Mdot
.83774 .58246 Mdot
.83793 .2003 Mdot
.83812 .52472 Mdot
.83831 .37065 Mdot
.8385 .07751 Mdot
.83869 .17741 Mdot
.83888 .45884 Mdot
.83908 .49353 Mdot
.83927 .19077 Mdot
.83946 .56339 Mdot
.83965 .03124 Mdot
.83984 .2846 Mdot
.84003 .25054 Mdot
.84022 .13449 Mdot
.84041 .26324 Mdot
.8406 .50755 Mdot
.84079 .0268 Mdot
.84098 .46412 Mdot
.84117 .26235 Mdot
.84136 .60111 Mdot
.84155 .32005 Mdot
.84174 .03407 Mdot
.84193 .16656 Mdot
.84212 .44566 Mdot
.84231 .01695 Mdot
.8425 .12331 Mdot
.84269 .55556 Mdot
.84288 .36324 Mdot
.84307 .21244 Mdot
.84326 .09697 Mdot
.84346 .09518 Mdot
.84365 .52869 Mdot
.84384 .08761 Mdot
.84403 .35068 Mdot
.84422 .2484 Mdot
.84441 .38071 Mdot
.8446 .44297 Mdot
.84479 .54401 Mdot
.84498 .56437 Mdot
.84517 .38858 Mdot
.84536 .16518 Mdot
.84555 .1893 Mdot
.84574 .445 Mdot
.84593 .28547 Mdot
.84612 .34916 Mdot
.84631 .41829 Mdot
.8465 .32276 Mdot
.84669 .24618 Mdot
.84688 .17603 Mdot
.84707 .44888 Mdot
.84726 .48289 Mdot
.84745 .29833 Mdot
.84764 .44628 Mdot
.84784 .52949 Mdot
.84803 .47451 Mdot
.84822 .32231 Mdot
.84841 .04657 Mdot
.8486 .17248 Mdot
.84879 .28844 Mdot
.84898 .05127 Mdot
.84917 .07184 Mdot
.84936 .50958 Mdot
.84955 .35713 Mdot
.84974 .24891 Mdot
.84993 .29205 Mdot
.85012 .16982 Mdot
.85031 .37693 Mdot
.8505 .35397 Mdot
.85069 .32997 Mdot
.85088 .57938 Mdot
.85107 .48587 Mdot
.85126 .24683 Mdot
.85145 .25 Mdot
.85164 .07285 Mdot
.85183 .08587 Mdot
.85202 .24952 Mdot
.85222 .5582 Mdot
.85241 .37085 Mdot
.8526 .19826 Mdot
.85279 .53688 Mdot
.85298 .43568 Mdot
.85317 .1024 Mdot
.85336 .5194 Mdot
.85355 .54763 Mdot
.85374 .09405 Mdot
.85393 .1048 Mdot
.85412 .59844 Mdot
.85431 .16215 Mdot
.8545 .1866 Mdot
.85469 .47928 Mdot
.85488 .42617 Mdot
.85507 .29136 Mdot
.85526 .04164 Mdot
.85545 .59095 Mdot
.85564 .43505 Mdot
.85583 .52121 Mdot
.85602 .01803 Mdot
.85621 .24659 Mdot
.8564 .32143 Mdot
.8566 .29043 Mdot
.85679 .32738 Mdot
.85698 .28351 Mdot
.85717 .22335 Mdot
.85736 .06827 Mdot
.85755 .44524 Mdot
.85774 .21403 Mdot
.85793 .13159 Mdot
.85812 .17678 Mdot
.85831 .28878 Mdot
.8585 .58103 Mdot
.85869 .47861 Mdot
.85888 .2019 Mdot
.85907 .21686 Mdot
.85926 .60242 Mdot
.85945 .3719 Mdot
.85964 .17124 Mdot
.85983 .4411 Mdot
.86002 .52662 Mdot
.86021 .53834 Mdot
.8604 .55406 Mdot
.86059 .43704 Mdot
.86078 .45484 Mdot
.86098 .37988 Mdot
.86117 .49465 Mdot
.86136 .12187 Mdot
.86155 .34109 Mdot
.86174 .32895 Mdot
.86193 .16783 Mdot
.86212 .4433 Mdot
.86231 .581 Mdot
.8625 .08192 Mdot
.86269 .19008 Mdot
.86288 .43521 Mdot
.86307 .24526 Mdot
.86326 .36568 Mdot
.86345 .44178 Mdot
.86364 .16201 Mdot
.86383 .02397 Mdot
.86402 .58216 Mdot
.86421 .06723 Mdot
.8644 .12977 Mdot
.86459 .45998 Mdot
.86478 .57493 Mdot
.86497 .41899 Mdot
.86517 .10846 Mdot
.86536 .18233 Mdot
.86555 .04037 Mdot
.86574 .34693 Mdot
.86593 .3097 Mdot
.86612 .02832 Mdot
.86631 .29423 Mdot
.8665 .32029 Mdot
.86669 .20903 Mdot
.86688 .09916 Mdot
.86707 .14956 Mdot
.86726 .07226 Mdot
.86745 .3125 Mdot
.86764 .34885 Mdot
.86783 .03882 Mdot
.86802 .36652 Mdot
.86821 .3901 Mdot
.8684 .58416 Mdot
.86859 .24725 Mdot
.86878 .05292 Mdot
.86897 .06458 Mdot
.86916 .46465 Mdot
.86935 .32399 Mdot
.86955 .18961 Mdot
.86974 .57808 Mdot
.86993 .09154 Mdot
.87012 .25983 Mdot
.87031 .50974 Mdot
.8705 .08118 Mdot
.87069 .59656 Mdot
.87088 .48724 Mdot
.87107 .59928 Mdot
.87126 .11047 Mdot
.87145 .01987 Mdot
.87164 .11369 Mdot
.87183 .48581 Mdot
.87202 .28871 Mdot
.87221 .37653 Mdot
.8724 .45496 Mdot
.87259 .04972 Mdot
.87278 .09142 Mdot
.87297 .58998 Mdot
.87316 .32409 Mdot
.87335 .20194 Mdot
.87354 .02468 Mdot
.87373 .02537 Mdot
.87393 .15355 Mdot
.87412 .5284 Mdot
.87431 .44732 Mdot
.8745 .25608 Mdot
.87469 .22856 Mdot
.87488 .46784 Mdot
.87507 .39323 Mdot
.87526 .3528 Mdot
.87545 .09827 Mdot
.87564 .48951 Mdot
.87583 .51568 Mdot
.87602 .41674 Mdot
.87621 .34235 Mdot
.8764 .32658 Mdot
.87659 .143 Mdot
.87678 .4019 Mdot
.87697 .21551 Mdot
.87716 .15388 Mdot
.87735 .2229 Mdot
.87754 .11505 Mdot
.87773 .59186 Mdot
.87792 .58788 Mdot
.87811 .37813 Mdot
.87831 .39349 Mdot
.8785 .43167 Mdot
.87869 .33122 Mdot
.87888 .08424 Mdot
.87907 .16069 Mdot
.87926 .31461 Mdot
.87945 .29481 Mdot
.87964 .43614 Mdot
.87983 .5484 Mdot
.88002 .08425 Mdot
.88021 .0646 Mdot
.8804 .02608 Mdot
.88059 .18564 Mdot
.88078 .02585 Mdot
.88097 .25707 Mdot
.88116 .24342 Mdot
.88135 .49858 Mdot
.88154 .27741 Mdot
.88173 .16373 Mdot
.88192 .5637 Mdot
.88211 .41071 Mdot
.8823 .24085 Mdot
.88249 .10662 Mdot
.88269 .31523 Mdot
.88288 .46487 Mdot
.88307 .34864 Mdot
.88326 .26056 Mdot
.88345 .44574 Mdot
.88364 .46785 Mdot
.88383 .29714 Mdot
.88402 .06428 Mdot
.88421 .57797 Mdot
.8844 .07921 Mdot
.88459 .22436 Mdot
.88478 .57591 Mdot
.88497 .18746 Mdot
.88516 .57791 Mdot
.88535 .12109 Mdot
.88554 .35088 Mdot
.88573 .36915 Mdot
.88592 .15131 Mdot
.88611 .41981 Mdot
.8863 .15288 Mdot
.88649 .30413 Mdot
.88668 .37282 Mdot
.88688 .22799 Mdot
.88707 .59838 Mdot
.88726 .20403 Mdot
.88745 .31312 Mdot
.88764 .27252 Mdot
.88783 .39002 Mdot
.88802 .13326 Mdot
.88821 .07343 Mdot
.8884 .5442 Mdot
.88859 .43872 Mdot
.88878 .59788 Mdot
.88897 .1966 Mdot
.88916 .29775 Mdot
.88935 .33043 Mdot
.88954 .19012 Mdot
.88973 .48942 Mdot
.88992 .40726 Mdot
.89011 .09275 Mdot
.8903 .29935 Mdot
.89049 .02257 Mdot
.89068 .42189 Mdot
.89087 .19493 Mdot
.89106 .4011 Mdot
.89126 .07501 Mdot
.89145 .33243 Mdot
.89164 .37015 Mdot
.89183 .41257 Mdot
.89202 .60073 Mdot
.89221 .57134 Mdot
.8924 .20434 Mdot
.89259 .10372 Mdot
.89278 .22877 Mdot
.89297 .2461 Mdot
.89316 .314 Mdot
.89335 .27505 Mdot
.89354 .38529 Mdot
.89373 .08361 Mdot
.89392 .57951 Mdot
.89411 .40211 Mdot
.8943 .58265 Mdot
.89449 .07466 Mdot
.89468 .14515 Mdot
.89487 .40207 Mdot
.89506 .18596 Mdot
.89525 .06283 Mdot
.89544 .3635 Mdot
.89564 .04492 Mdot
.89583 .17974 Mdot
.89602 .33337 Mdot
.89621 .08441 Mdot
.8964 .13114 Mdot
.89659 .22356 Mdot
.89678 .43541 Mdot
.89697 .36601 Mdot
.89716 .13628 Mdot
.89735 .41861 Mdot
.89754 .35975 Mdot
.89773 .35261 Mdot
.89792 .5664 Mdot
.89811 .13003 Mdot
.8983 .53885 Mdot
.89849 .21901 Mdot
.89868 .60259 Mdot
.89887 .34234 Mdot
.89906 .08019 Mdot
.89925 .5817 Mdot
.89944 .45649 Mdot
.89963 .12623 Mdot
.89982 .29955 Mdot
.90002 .14332 Mdot
.90021 .19249 Mdot
.9004 .17176 Mdot
.90059 .59884 Mdot
.90078 .40364 Mdot
.90097 .31667 Mdot
.90116 .43295 Mdot
.90135 .23277 Mdot
.90154 .35976 Mdot
.90173 .599 Mdot
.90192 .1277 Mdot
.90211 .07545 Mdot
.9023 .03926 Mdot
.90249 .07335 Mdot
.90268 .0933 Mdot
.90287 .2649 Mdot
.90306 .50029 Mdot
.90325 .57075 Mdot
.90344 .43098 Mdot
.90363 .20304 Mdot
.90382 .29826 Mdot
.90401 .24177 Mdot
.9042 .50584 Mdot
.9044 .32233 Mdot
.90459 .19687 Mdot
.90478 .03413 Mdot
.90497 .12468 Mdot
.90516 .31913 Mdot
.90535 .22372 Mdot
.90554 .15946 Mdot
.90573 .12479 Mdot
.90592 .33146 Mdot
.90611 .25919 Mdot
.9063 .09329 Mdot
.90649 .01851 Mdot
.90668 .35012 Mdot
.90687 .03646 Mdot
.90706 .34169 Mdot
.90725 .34871 Mdot
.90744 .21868 Mdot
.90763 .31922 Mdot
.90782 .08575 Mdot
.90801 .33329 Mdot
.9082 .22238 Mdot
.90839 .54619 Mdot
.90858 .12596 Mdot
.90878 .22068 Mdot
.90897 .49924 Mdot
.90916 .59777 Mdot
.90935 .52675 Mdot
.90954 .1121 Mdot
.90973 .45119 Mdot
.90992 .20711 Mdot
.91011 .02756 Mdot
.9103 .55041 Mdot
.91049 .51067 Mdot
.91068 .13792 Mdot
.91087 .16496 Mdot
.91106 .16465 Mdot
.91125 .37405 Mdot
.91144 .4178 Mdot
.91163 .56173 Mdot
.91182 .38098 Mdot
.91201 .17936 Mdot
.9122 .33826 Mdot
.91239 .10451 Mdot
.91258 .12288 Mdot
.91277 .50625 Mdot
.91297 .22135 Mdot
.91316 .47712 Mdot
.91335 .52209 Mdot
.91354 .02056 Mdot
.91373 .24187 Mdot
.91392 .27178 Mdot
.91411 .20763 Mdot
.9143 .18529 Mdot
.91449 .42744 Mdot
.91468 .289 Mdot
.91487 .01682 Mdot
.91506 .54956 Mdot
.91525 .06956 Mdot
.91544 .59317 Mdot
.91563 .05085 Mdot
.91582 .51531 Mdot
.91601 .07916 Mdot
.9162 .51263 Mdot
.91639 .26374 Mdot
.91658 .51498 Mdot
.91677 .04217 Mdot
.91696 .4062 Mdot
.91715 .46225 Mdot
.91735 .24495 Mdot
.91754 .57509 Mdot
.91773 .48553 Mdot
.91792 .30593 Mdot
.91811 .4321 Mdot
.9183 .38053 Mdot
.91849 .22613 Mdot
.91868 .48489 Mdot
.91887 .47836 Mdot
.91906 .36943 Mdot
.91925 .13409 Mdot
.91944 .36423 Mdot
.91963 .2273 Mdot
.91982 .12772 Mdot
.92001 .56823 Mdot
.9202 .33961 Mdot
.92039 .55305 Mdot
.92058 .27188 Mdot
.92077 .56244 Mdot
.92096 .07059 Mdot
.92115 .41585 Mdot
.92134 .09343 Mdot
.92153 .18114 Mdot
.92173 .24724 Mdot
.92192 .3954 Mdot
.92211 .50327 Mdot
.9223 .51924 Mdot
.92249 .2347 Mdot
.92268 .33527 Mdot
.92287 .49849 Mdot
.92306 .16899 Mdot
.92325 .4286 Mdot
.92344 .5207 Mdot
.92363 .10669 Mdot
.92382 .51974 Mdot
.92401 .48852 Mdot
.9242 .50082 Mdot
.92439 .386 Mdot
.92458 .45818 Mdot
.92477 .51566 Mdot
.92496 .26644 Mdot
.92515 .4807 Mdot
.92534 .49034 Mdot
.92553 .46401 Mdot
.92572 .25002 Mdot
.92591 .56563 Mdot
.92611 .38622 Mdot
.9263 .14035 Mdot
.92649 .14791 Mdot
.92668 .07952 Mdot
.92687 .35743 Mdot
.92706 .38199 Mdot
.92725 .09813 Mdot
.92744 .08049 Mdot
.92763 .46838 Mdot
.92782 .11239 Mdot
.92801 .09148 Mdot
.9282 .30171 Mdot
.92839 .0474 Mdot
.92858 .46329 Mdot
.92877 .56041 Mdot
.92896 .32914 Mdot
.92915 .04218 Mdot
.92934 .06372 Mdot
.92953 .02355 Mdot
.92972 .19036 Mdot
.92991 .0755 Mdot
.9301 .33986 Mdot
.93029 .38552 Mdot
.93049 .35465 Mdot
.93068 .21176 Mdot
.93087 .21518 Mdot
.93106 .45938 Mdot
.93125 .55517 Mdot
.93144 .36814 Mdot
.93163 .23254 Mdot
.93182 .08871 Mdot
.93201 .37787 Mdot
.9322 .31462 Mdot
.93239 .19872 Mdot
.93258 .14762 Mdot
.93277 .43923 Mdot
.93296 .26283 Mdot
.93315 .36215 Mdot
.93334 .18525 Mdot
.93353 .03075 Mdot
.93372 .27717 Mdot
.93391 .23517 Mdot
.9341 .1924 Mdot
.93429 .06334 Mdot
.93448 .27484 Mdot
.93467 .36064 Mdot
.93487 .60153 Mdot
.93506 .12297 Mdot
.93525 .02579 Mdot
.93544 .54534 Mdot
.93563 .52012 Mdot
.93582 .23723 Mdot
.93601 .33055 Mdot
.9362 .44884 Mdot
.93639 .08619 Mdot
.93658 .28651 Mdot
.93677 .07575 Mdot
.93696 .17234 Mdot
.93715 .46829 Mdot
.93734 .59284 Mdot
.93753 .35635 Mdot
.93772 .25871 Mdot
.93791 .33225 Mdot
.9381 .15331 Mdot
.93829 .35344 Mdot
.93848 .51472 Mdot
.93867 .55218 Mdot
.93886 .17326 Mdot
.93906 .27865 Mdot
.93925 .59994 Mdot
.93944 .08835 Mdot
.93963 .53307 Mdot
.93982 .19637 Mdot
.94001 .0267 Mdot
.9402 .10931 Mdot
.94039 .37705 Mdot
.94058 .02382 Mdot
.94077 .51562 Mdot
.94096 .45863 Mdot
.94115 .46888 Mdot
.94134 .11982 Mdot
.94153 .10685 Mdot
.94172 .2438 Mdot
.94191 .2473 Mdot
.9421 .10713 Mdot
.94229 .22658 Mdot
.94248 .19172 Mdot
.94267 .18156 Mdot
.94286 .05016 Mdot
.94305 .38713 Mdot
.94324 .29318 Mdot
.94344 .5937 Mdot
.94363 .45498 Mdot
.94382 .54251 Mdot
.94401 .39177 Mdot
.9442 .48081 Mdot
.94439 .50267 Mdot
.94458 .49948 Mdot
.94477 .18385 Mdot
.94496 .45935 Mdot
.94515 .40487 Mdot
.94534 .50649 Mdot
.94553 .3963 Mdot
.94572 .40972 Mdot
.94591 .22599 Mdot
.9461 .07587 Mdot
.94629 .43106 Mdot
.94648 .06507 Mdot
.94667 .47209 Mdot
.94686 .33936 Mdot
.94705 .1317 Mdot
.94724 .18911 Mdot
.94743 .32426 Mdot
.94762 .51487 Mdot
.94782 .37233 Mdot
.94801 .22055 Mdot
.9482 .583 Mdot
.94839 .26194 Mdot
.94858 .11322 Mdot
.94877 .0398 Mdot
.94896 .13499 Mdot
.94915 .27068 Mdot
.94934 .52293 Mdot
.94953 .55776 Mdot
.94972 .07514 Mdot
.94991 .49506 Mdot
.9501 .26727 Mdot
.95029 .18264 Mdot
.95048 .17344 Mdot
.95067 .153 Mdot
.95086 .22037 Mdot
.95105 .11977 Mdot
.95124 .05264 Mdot
.95143 .0818 Mdot
.95162 .52023 Mdot
.95181 .24956 Mdot
.952 .36602 Mdot
.9522 .38267 Mdot
.95239 .56879 Mdot
.95258 .30516 Mdot
.95277 .44189 Mdot
.95296 .42073 Mdot
.95315 .20962 Mdot
.95334 .4614 Mdot
.95353 .05023 Mdot
.95372 .59164 Mdot
.95391 .31683 Mdot
.9541 .15701 Mdot
.95429 .58041 Mdot
.95448 .55494 Mdot
.95467 .43958 Mdot
.95486 .45012 Mdot
.95505 .33022 Mdot
.95524 .41186 Mdot
.95543 .56864 Mdot
.95562 .48502 Mdot
.95581 .39459 Mdot
.956 .11638 Mdot
.95619 .54762 Mdot
.95638 .43653 Mdot
.95658 .5435 Mdot
.95677 .06415 Mdot
.95696 .07286 Mdot
.95715 .33226 Mdot
.95734 .3997 Mdot
.95753 .50362 Mdot
.95772 .46014 Mdot
.95791 .0526 Mdot
.9581 .02759 Mdot
.95829 .35823 Mdot
.95848 .52249 Mdot
.95867 .50845 Mdot
.95886 .52212 Mdot
.95905 .17087 Mdot
.95924 .10352 Mdot
.95943 .10802 Mdot
.95962 .4755 Mdot
.95981 .33717 Mdot
.96 .07732 Mdot
.96019 .05666 Mdot
.96038 .09937 Mdot
.96057 .5167 Mdot
.96076 .58191 Mdot
.96096 .23475 Mdot
.96115 .047 Mdot
.96134 .22179 Mdot
.96153 .43034 Mdot
.96172 .37546 Mdot
.96191 .23559 Mdot
.9621 .5842 Mdot
.96229 .05507 Mdot
.96248 .06475 Mdot
.96267 .4351 Mdot
.96286 .23294 Mdot
.96305 .3302 Mdot
.96324 .50795 Mdot
.96343 .26829 Mdot
.96362 .59419 Mdot
.96381 .21602 Mdot
.964 .4077 Mdot
.96419 .38845 Mdot
.96438 .59142 Mdot
.96457 .29218 Mdot
.96476 .08606 Mdot
.96495 .12388 Mdot
.96515 .17863 Mdot
.96534 .40227 Mdot
.96553 .30671 Mdot
.96572 .42231 Mdot
.96591 .34033 Mdot
.9661 .24265 Mdot
.96629 .50838 Mdot
.96648 .31761 Mdot
.96667 .14722 Mdot
.96686 .54021 Mdot
.96705 .57146 Mdot
.96724 .46306 Mdot
.96743 .28937 Mdot
.96762 .10801 Mdot
.96781 .22911 Mdot
.968 .18699 Mdot
.96819 .1319 Mdot
.96838 .55624 Mdot
.96857 .24503 Mdot
.96876 .43711 Mdot
.96895 .07048 Mdot
.96914 .40353 Mdot
.96933 .05795 Mdot
.96953 .2473 Mdot
.96972 .35352 Mdot
.96991 .37675 Mdot
.9701 .13713 Mdot
.97029 .27085 Mdot
.97048 .49337 Mdot
.97067 .46671 Mdot
.97086 .21574 Mdot
.97105 .42493 Mdot
.97124 .44402 Mdot
.97143 .517 Mdot
.97162 .46859 Mdot
.97181 .47953 Mdot
.972 .60113 Mdot
.97219 .22396 Mdot
.97238 .33442 Mdot
.97257 .05739 Mdot
.97276 .03536 Mdot
.97295 .3145 Mdot
.97314 .28248 Mdot
.97333 .40067 Mdot
.97352 .0257 Mdot
.97371 .19053 Mdot
.97391 .04595 Mdot
.9741 .24881 Mdot
.97429 .52612 Mdot
.97448 .28452 Mdot
.97467 .38851 Mdot
.97486 .54954 Mdot
.97505 .16565 Mdot
.97524 .29283 Mdot
.97543 .16003 Mdot
.97562 .33673 Mdot
.97581 .37049 Mdot
.976 .35346 Mdot
.97619 .41863 Mdot
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[40]:=",
  ImageSize->{244, 150.75},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003d0000UR000`400?l00000o`00003om03oool0
0?@0oooo003d0?ooo`00m03oool00?@0oooo003d0?ooo`00m03oool00?@0oooo000o0?ooo`030000
003oool0oooo00<000000P3oool300000080oooo0`00000F0?ooo`@0000000@0oooo000000000000
00000P3oool300000080oooo0`00000G0?ooo`8000000P3oool300000080oooo0`0000020?ooo`<0
00006@3oool00`000000oooo0000000200000080oooo0`0000020?ooo`<000005`3oool200000080
oooo0`0000020?ooo`<000000P3oool3000000D0oooo000o0?ooo`040000003oool0oooo00000080
oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo01@0
oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool000000080oooo00<000000?oo
o`0000000P3oool00`000000oooo0?ooo`0C0?ooo`060000003oool0oooo0000003oool000000P3o
ool00`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool05P3o
ool00`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3o
ool00`000000oooo0?ooo`0C0?ooo`060000003oool0oooo0000003oool000000P3oool00`000000
oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool00P3oool003l0oooo
00@000000?ooo`3oool000000P3oool00`000000oooo000000020?ooo`030000003oool000000080
oooo00<000000?ooo`3oool05@3oool010000000oooo0?ooo`0000020?ooo`030000003oool00000
0080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool00000
0080oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo
01<0oooo1P0000020?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`00
0000oooo0?ooo`0F0?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`00
0000oooo000000020?ooo`030000003oool0oooo0080oooo000o0?ooo`040000003oool0oooo0000
0080oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo
01D0oooo00@000000?ooo`3oool000000P3oool00`000000oooo000000020?ooo`030000003oool0
00000080oooo00<000000?ooo`3oool05@3oool010000000oooo0?ooo`0000020?ooo`030000003o
ool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`0C0?ooo`060000003o
ool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`030000003oool000000080
oooo00<000000?ooo`3oool04`3oool01P000000oooo0?ooo`000000oooo00000080oooo00<00000
0?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo0080oooo000o0?oo
o`040000003oool0oooo00000080oooo00<000000?ooo`0000000P3oool00`000000oooo00000002
0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`0000000P3oool00`000000oooo00000002
0?ooo`030000003oool000000080oooo00<000000?ooo`3oool05P3oool00`000000oooo00000002
0?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`0D
0?ooo`050000003oool000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003o
ool000000080oooo00<000000?ooo`3oool04`3oool300000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool00P3oool003h0oooo
0P0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?oo
o`030000003oool0oooo01<0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003o
ool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`0C0?ooo`060000003o
ool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`030000003oool000000080
oooo00<000000?ooo`3oool05@3oool2000000070?ooo`000000oooo0?ooo`000000oooo00000002
0?ooo`030000003oool000000080oooo00<000000?ooo`3oool0503oool01@000000oooo0?ooo`3o
ool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003o
ool0oooo0080oooo000o0?ooo`040000003oool0oooo0?ooo`8000000`3oool2000000<0oooo0P00
000G0?ooo`8000000`3oool2000000<0oooo0P0000030?ooo`8000005`3oool2000000<0oooo0P00
00030?ooo`8000000`3oool2000001T0oooo00<000000?ooo`3oool00P0000030?ooo`8000000`3o
ool2000001L0oooo0`0000020?ooo`8000000`3oool2000000<0oooo0P0000050?ooo`00m03oool0
01l0oooo00<000000?ooo`3oool0dP3oool001l0oooo00<000000?ooo`3oool0dP3oool001l0oooo
00<000000?ooo`3oool0703oool200000140oooo00@000000?ooo`3oool00000303oool00`000000
oooo0?ooo`060?ooo`8000004P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00l0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`070?ooo`80000000<0oooo0000003o
ool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00X0oooo00D000000?ooo`3o
ool0oooo0000000>0?ooo`030000003oool0oooo01P0oooo000J0?ooom<000001`3oool001l0oooo
0P00000;0?ooo`030000003oool0oooo00D0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`80
00002@3oool00`000000oooo000000040?ooo`030000003oool0oooo00X0oooo00D000000?ooo`3o
ool0oooo000000030?ooo`030000003oool0000000X0oooo00<000000?ooo`3oool01P3oool01000
0000oooo0000003oool2000000030?ooo`000000oooo00/0oooo0`0000000`3oool000000?ooo`02
0?ooo`D000000P3oool00`000000oooo000000040?ooo`8000002`3oool010000000oooo0?ooo`3o
ool3000000L0oooo00<000000?ooo`3oool0103oool01P000000oooo000000000000oooo000000L0
oooo00@000000?ooo`00000000001P3oool2000000`0oooo000O0?ooo`060000003oool0oooo0000
003oool000001@3oool2000000030?ooo`000000oooo00@0oooo00<000000?ooo`0000002P3oool0
0`000000oooo000000030?ooo`030000003oool0000000X0oooo00@000000?ooo`3oool0oooo0P00
00020?ooo`030000003oool0000000P0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?oo
o`050?ooo`8000000P3oool010000000oooo0?ooo`0000060?ooo`030000003oool0000000<0oooo
00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`00
00001`3oool200000080oooo0P0000060?ooo`050000003oool000000?ooo`000000103oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000000P3oool00`00
0000oooo0?ooo`0?0?ooo`007`3oool2000000@0oooo00@000000?ooo`3oool000002@3oool20000
0080oooo00<000000?ooo`3oool02`3oool00`000000oooo0000000?0?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool01@3oool01@000000oooo0?ooo`3oool0000000X0oooo00@00000
0?ooo`3oool000000P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`0000001`3oool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
0`3oool2000000P0oooo00<000000?ooo`3oool01@3oool01@000000oooo0?ooo`3oool0000000`0
oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0;0?ooo`007`3oool2000000d0oooo
00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`80000000<0oooo0000003oool0
1`3oool2000000<0oooo00@000000?ooo`00000000002@3oool2000000<0oooo00@000000?ooo`3o
ool000000P3oool01@000000oooo0000003oool000000080oooo00<000000?ooo`0000000`3oool0
0`000000oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`0000001@3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00L0oooo0P0000060?ooo`8000001`3oool00`000000oooo0?oo
o`0A0?ooo`007`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo00@00000
0?ooo`00000000002@3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo01<0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo000000020?ooo`8000003P3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00800000103oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0000000800000103oool00`000000oooo000000040?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0000000G0?ooo`007`3oool00`000000oooo0?ooo`03
0?ooo`070000003oool0oooo0?ooo`000000oooo000000040?ooo`040000003oool0oooo000000H0
oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003oool000000?ooo`0000000`3oool2
000000040?ooo`000000oooo000000H0oooo0P0000060?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`0000002@3oool010000000oooo0000000000040?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0?0?ooo`800000103oool2000000@0oooo
00<000000?ooo`3oool06P3oool00`000000oooo000000050?ooo`030000003oool0oooo00P0oooo
00P000000?ooo`3oool000000?ooo`000000oooo00000080oooo00<000000?ooo`3oool02`3oool0
01l0oooo0`0000070?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool09@3oool3
000000030?ooo`000000oooo00D0oooo00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3o
ool000000100oooo00<000000?ooo`0000000P0000050?ooo`040000003oool00000000000/0oooo
00@000000?ooo`00000000000P3oool01@000000oooo0?ooo`3oool000000080oooo0P00000<0?oo
o`030000003oool0oooo00@0oooo00@000000?ooo`3oool00000403oool01@000000oooo0?ooo`3o
ool0000000T0oooo00<000000?ooo`3oool0103oool300000100oooo000O0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`0000000`3oool200000080oooo00D000000?ooo`3oool0oooo0000
00020?ooo`D000001P3oool00`000000oooo000000030?ooo`030000003oool0oooo00<0oooo0P00
00070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool010000000oooo0?oo
o`00000;0?ooo`8000001@3oool00`000000oooo000000030?ooo`030000003oool0oooo0080oooo
00@000000?ooo`3oool000000`3oool01P000000oooo0?ooo`000000oooo000000T0oooo00@00000
0?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`0000000`3oool010000000oooo0?ooo`3oool2000000<0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0000000h0oooo000O0?ooo`030000
003oool0oooo0080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`020?ooo`80
0000203oool00`000000oooo0000000?0?ooo`030000003oool0oooo00@0oooo0P0000050?ooo`03
0000003oool0000000L0oooo00<000000?ooo`0000002@3oool00`000000oooo000000020?ooo`05
0000003oool0oooo0?ooo`0000002@3oool010000000oooo0?ooo`0000020?ooo`030000003oool0
oooo00<0oooo0P0000090?ooo`050000003oool000000?ooo`0000001P3oool00`000000oooo0?oo
o`090?ooo`8000000`3oool00`000000oooo0?ooo`050?ooo`8000000P3oool00`000000oooo0000
00020?ooo`030000003oool0oooo00L0oooo00H000000?ooo`00000000000?ooo`0000060?ooo`80
0000103oool200000100oooo000O0?ooo`030000003oool0oooo00<0oooo0P0000030?ooo`030000
003oool0oooo0100oooo00<000000?ooo`3oool0203oool2000000030?ooo`000000000000P0oooo
00@000000?ooo`3oool0oooo0P0000080?ooo`030000003oool000000080oooo00<000000?ooo`3o
ool00`3oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool02P3oool01P000000oooo0?ooo`000000oooo000000D0oooo00L000000?ooo`000000oooo
0000003oool0000000L0oooo0P0000060?ooo`050000003oool0oooo0?ooo`0000000`3oool00`00
0000oooo0?ooo`0?0?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`000000403oool0
0`000000oooo0?ooo`0A0?ooo`007`3oool2000000030?ooo`000000oooo0080oooo00<000000?oo
o`3oool00P00000?0?ooo`030000003oool00000008000001P3oool3000000@0oooo00<000000?oo
o`0000001`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0203oool2000000l0oooo00<000000?ooo`3oool04@3oool3000000H0oooo00<000000?oo
o`3oool00P3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo00`0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`040000003oool0oooo000000@0oooo00P0
00000?ooo`3oool000000?ooo`000000oooo000000H0oooo00@000000?ooo`3oool000003P3oool0
01l0oooo00@000000?ooo`3oool000001P3oool010000000oooo0?ooo`00000@0?ooo`030000003o
ool0oooo00<0oooo0`00000;0?ooo`040000003oool0000000000080oooo0P0000060?ooo`800000
00<0oooo0000003oool01@3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000002<0
oooo00<000000?ooo`3oool03@3oool010000000oooo0?ooo`3oool200000080oooo00<000000?oo
o`3oool0203oool2000000P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`080?oo
o`80000000<0oooo0000003oool0103oool2000000050?ooo`00000000000?ooo`000000403oool0
01l0oooo00@000000?ooo`0000000000203oool00`000000oooo000000090?ooo`<000003P3oool0
10000000oooo0?ooo`0000080?ooo`8000001P3oool2000000L0oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`050?ooo`050000003oool0oooo0?ooo`000000303oool00`000000oooo
0?ooo`0:0?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo000000020?ooo`03
0000003oool0000000P0oooo00<000000?ooo`3oool01`3oool01@000000oooo0?ooo`3oool00000
00@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`030000003oool00000
0080oooo00@000000?ooo`00000000000`3oool00`000000oooo000000040?ooo`030000003oool0
oooo0100oooo000O0?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool0203oool01000
0000oooo0?ooo`00000=0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0403oool0
0`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo0P0000070?ooo`030000003oool0
oooo0140oooo00@000000?ooo`00000000000P3oool00`000000oooo000000030?ooo`030000003o
ool0oooo00H0oooo00D000000?ooo`3oool0oooo000000040?ooo`800000203oool00`000000oooo
000000040?ooo`030000003oool0oooo008000001`3oool2000000D0oooo00@000000?ooo`3oool0
00000P3oool00`000000oooo0?ooo`030?ooo`800000103oool00`000000oooo0?ooo`0=0?ooo`00
7`3oool2000000L0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`0=0?ooo`040000
003oool0oooo000000L0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000040?oo
o`030000003oool0000000<0oooo00<000000?ooo`000000403oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00H0oooo00L000000?ooo`3oool0oooo0000003oool0000000H0oooo00<0
00000?ooo`3oool0103oool2000000H0oooo00@000000?ooo`3oool0oooo0P0000040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`800000
0P3oool00`000000oooo0?ooo`0200000080oooo0`00000F0?ooo`00103oool00`000000oooo0?oo
o`0300000080oooo0`0000020?ooo`<000000P3oool3000000H0oooo00<000000?ooo`3oool03@3o
ool00`000000oooo000000030?ooo`030000003oool0oooo00<0oooo0P00000>0?ooo`030000003o
ool0oooo00D0oooo0P0000020?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00`0oooo00@000000?ooo`3oool00000
103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<000000`3oool00`000000oooo
0?ooo`02000000H0oooo00D000000?ooo`3oool0oooo000000070?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`0000000P3oool2000000L0oooo00L000000?ooo`3oool0oooo0000003oool0
000000<0oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool0oooo00`0oooo00<00000
0?ooo`3oool05@3oool000@0oooo00@000000?ooo`3oool000000P3oool00`000000oooo00000002
0?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`000000103oool010000000oooo00000000
00020?ooo`030000003oool0oooo00X0oooo0P0000020?ooo`80000000<0oooo0000003oool01@3o
ool010000000oooo0?ooo`3oool200000080oooo00<000000?ooo`0000000`3oool010000000oooo
0?ooo`00000A0?ooo`8000001@3oool00`000000oooo0?ooo`090?ooo`80000000<0oooo0000003o
ool00P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool01@3oool200000080oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00@0oooo00H000000?ooo`3oool000000?ooo`00000A0?ooo`030000003oool0
oooo00h0oooo00040?ooo`040000003oool0oooo00000080oooo00<000000?ooo`0000000P3oool0
0`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool00`3oool0
0`000000oooo000000060?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool01@3oool2
000000D0oooo00<000000?ooo`0000001@3oool010000000oooo0?ooo`0000020?ooo`040000003o
ool0oooo000000<0oooo0`0000070?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
103oool200000080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?ooo`090000
003oool0oooo0?ooo`000000oooo0000003oool0000000P0oooo0`0000000`3oool000000000000<
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`0000000`3oool00`000000oooo00000003
0?ooo`050000003oool0oooo0?ooo`000000403oool000@0oooo00@000000?ooo`3oool000000P3o
ool00`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3o
ool00`000000oooo0?ooo`030?ooo`<000003P3oool010000000oooo0000000000020?ooo`040000
003oool000000?ooo`80000000<0oooo0000000000000P0000030?ooo`060000003oool0oooo0000
003oool000002P3oool00`000000oooo000000020?ooo`040000003oool0oooo000002/0oooo00@0
00000?ooo`0000000000103oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00d0oooo
0P0000001@3oool000000?ooo`3oool0000000/0oooo0`0000000`3oool000000?ooo`050?ooo`80
00001`3oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool0oooo0P00000?
0?ooo`00103oool010000000oooo0?ooo`0000020?ooo`030000003oool000000080oooo00<00000
0?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo00<0oooo00@00000
0?ooo`0000000000403oool2000000030?ooo`000000oooo00P0oooo00L000000?ooo`3oool0oooo
0000003oool0000000T0oooo00L000000?ooo`3oool0oooo0000003oool0000000D0oooo00<00000
0?ooo`0000002@3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo00000080oooo0P00
00060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool03`3oool2000000030?ooo`00
0000oooo00/0oooo0`0000000`3oool000000?ooo`090?ooo`030000003oool0000000d0oooo00<0
00000?ooo`0000004@3oool000<0oooo0P0000020?ooo`060000003oool0oooo0000003oool00000
0P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo008000000P3oool00`000000oooo
0?ooo`0<0?ooo`800000103oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00T0oooo
00@000000?ooo`000000oooo0P00000=0?ooo`8000001@3oool01@000000oooo0?ooo`3oool00000
00<0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`0000001@3oool2000000H0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`090?ooo`030000003oool000000180oooo00040?ooo`040000003oool0oooo0?oo
o`8000000`3oool2000000<0oooo0P0000030?ooo`8000001P3oool2000000D0oooo00@000000?oo
o`0000000000403oool2000000@0oooo00<000000?ooo`3oool00P0000050?ooo`030000003oool0
oooo00h0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0:0?ooo`030000003o
ool0oooo00<0oooo00D000000?ooo`3oool0oooo0000000I0?ooo`8000000`3oool2000000<0oooo
00<000000?ooo`3oool00P3oool00`000000oooo000000040?ooo`040000003oool0000000000180
oooo00D000000?ooo`3oool0oooo000000070?ooo`030000003oool0oooo00T0oooo100000040?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool03@3oool001l0oooo00@000000?ooo`3o
ool0oooo0P00000A0?ooo`040000003oool00000000000H0oooo00<000000?ooo`3oool02P3oool0
1@000000oooo0?ooo`3oool0000000X0oooo00D000000?ooo`3oool0oooo000000050?ooo`030000
003oool0000000800000303oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00@0oooo
0P0000050?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool00P3oool010000000oooo
0?ooo`0000080?ooo`030000003oool0oooo00<0oooo0P0000000`3oool000000?ooo`0:0?ooo`03
0000003oool0000000H0oooo0P0000020?ooo`030000003oool0oooo01L0oooo000O0?ooo`030000
003oool0oooo00D0oooo0`0000020?ooo`030000003oool0000000X0oooo00<000000?ooo`3oool0
1@3oool01P000000oooo0?ooo`3oool000000?ooo`8000002P3oool00`000000oooo0?ooo`050?oo
o`050000003oool0oooo0?ooo`000000203oool01@000000oooo0?ooo`000000oooo00800000103o
ool2000000H0oooo00D000000?ooo`000000oooo0000000;0?ooo`030000003oool0oooo00<0oooo
00D000000?ooo`3oool0oooo000000040?ooo`050000003oool0oooo0?ooo`0000000`3oool00`00
0000oooo0?ooo`0C0?ooo`040000003oool0oooo000000P0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool00`3oool2
000000<0oooo00<000000?ooo`3oool0303oool001l0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0000000200000100oooo00@000000?ooo`000000oooo0P00000;0?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo008000000`3oool01@000000oooo0?ooo`3oool0000000T0oooo00D000000?ooo`000000oooo
000000020?ooo`030000003oool0000000P0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`020?ooo`030000003oool0000000T0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool03`3oool010000000oooo
0?ooo`0000080?ooo`030000003oool0oooo00`0oooo000O0?ooo`8000000`3oool00`000000oooo
0?ooo`080?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool01`3oool010000000
oooo0000000000020?ooo`030000003oool0000000H0oooo00@000000?ooo`3oool00000103oool0
0`000000oooo0?ooo`030?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0103o
ool200000080oooo00D000000?ooo`3oool0oooo000000030?ooo`040000003oool0oooo000000T0
oooo0`0000030?ooo`030000003oool0oooo00P0oooo00@000000?ooo`00000000000`3oool20000
0080oooo00<000000?ooo`3oool00`3oool01@000000oooo0000003oool0000000`0oooo00<00000
0?ooo`0000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool01@3oool010000000oooo0?ooo`3oool2000001d0oooo000O0?ooo`030000003oool0
oooo00/0oooo00<000000?ooo`000000103oool00`000000oooo000000040?ooo`@000003@3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00h0oooo00<000000?ooo`000000103oool2
000000h0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`030?ooo`050000003o
ool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool0103oool01@000000oooo0000003oool000000180oooo00@000000?ooo`3o
ool000001@3oool3000000<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0:0?oo
o`8000001P3oool00`000000oooo0?ooo`0=0?ooo`007`3oool2000000@0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`0D0?ooo`8000000`3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0000000D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo00l0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0J0?ooo`80
00000P3oool2000001/0oooo00<000000?ooo`3oool02@3oool00`000000oooo0000000:0?ooo`04
0000003oool0oooo00000180oooo000O0?ooo`040000003oool0oooo000000<0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool00`3oool00`000000oooo000000040?ooo`8000000`3oool00`000000oooo0?ooo`040?oo
o`8000002@3oool00`000000oooo000000020?ooo`030000003oool0oooo0080oooo00D000000?oo
o`3oool0oooo000000030?ooo`030000003oool0oooo00@0oooo0`0000060?ooo`070000003oool0
oooo0?ooo`000000oooo000000030?ooo`030000003oool0oooo00<0oooo100000020?ooo`030000
003oool0oooo0080oooo0P00000@0?ooo`800000403oool00`000000oooo0?ooo`080?ooo`050000
003oool0oooo0?ooo`0000003@3oool001l0oooo0P00000F0?ooo`030000003oool0oooo00L0oooo
00P000000?ooo`3oool000000?ooo`000000oooo000000<0oooo00H000000?ooo`00000000000?oo
o`0000020?ooo`090000003oool0oooo0?ooo`000000oooo0000003oool0000000L0oooo0P000003
0?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo000000030?ooo`050000003o
ool0oooo0?ooo`0000003P3oool00`000000oooo0?ooo`040?ooo`040000003oool0oooo000000H0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0
oooo0P00000@0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`0000000P3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo01P0oooo000O0?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0080oooo
00D000000?ooo`000000oooo000000090?ooo`030000003oool000000080oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool01@3oool200000080oooo0P0000030?ooo`030000003oool0oooo00L0oooo00<000000?ooo`00
00001@3oool010000000oooo0?ooo`00000:0?ooo`030000003oool0oooo00l0oooo00@000000?oo
o`3oool000000`3oool00`000000oooo00000002000000030?ooo`000000oooo00/0oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`0;0?ooo`007`3oool00`000000oooo0?ooo`040?oo
o`040000003oool0oooo000000H0oooo00<000000?ooo`3oool03`3oool010000000oooo0?ooo`00
00030?ooo`<00000103oool00`000000oooo000000020?ooo`030000003oool0oooo01<0oooo00<0
00000?ooo`3oool03@3oool00`000000oooo0?ooo`030?ooo`800000303oool01P000000oooo0?oo
o`3oool000000?ooo`8000001`3oool01@000000oooo0?ooo`3oool0000000D0oooo00<000000?oo
o`3oool00P3oool00`000000oooo000000040?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool00P3oool010000000oooo0000000000050?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`0000001`3oool00`000000oooo0?ooo`050?ooo`060000003oool0oooo0000003oool00000
403oool001l0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`3oool500000080oooo
00@000000?ooo`3oool00000203oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0000000X0
oooo100000070?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool000005P3oool01@00
0000oooo0?ooo`3oool0000000H0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`03
0?ooo`80000000D0oooo0000003oool0oooo0000000:0?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool03@3oool001l0oooo0`0000080?ooo`8000005@3oool00`000000oooo0?ooo`02
000000D0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool01P3oool2000000@0oooo00@000000?ooo`00000000004`3o
ool200000080oooo0P0000090?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool00`3o
ool010000000oooo0?ooo`3oool2000000<0oooo0P0000000`3oool000000?ooo`020?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`0000001@3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00<0oooo00@000000?ooo`3oool0oooo0`00000B0?ooo`000P3oool4000000040?oo
o`000000000000000080oooo0`0000020?ooo`<000000P3oool3000000H0oooo0P0000000`3oool0
00000?ooo`030?ooo`80000000<0oooo0000000000000P0000000`3oool000000?ooo`030?ooo`07
0000003oool0oooo0?ooo`000000oooo000000030?ooo`030000003oool0000000<0oooo00<00000
0?ooo`3oool03@3oool010000000oooo0?ooo`0000020?ooo`050000003oool0oooo0?ooo`000000
103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool0
00002@3oool010000000oooo0?ooo`3oool2000000050?ooo`000000oooo0?ooo`0000001P3oool0
1P000000oooo0?ooo`000000oooo000000`0oooo0P00000@0?ooo`030000003oool0oooo0080oooo
0P0000000`3oool000000?ooo`020?ooo`050000003oool0oooo0?ooo`0000001`3oool00`000000
oooo0?ooo`0<0?ooo`000`3oool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`00
00000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`0;0?ooo`8000002P3oool00`000000oooo0?ooo`040?ooo`05
0000003oool0oooo0?ooo`000000103oool01@000000oooo0?ooo`3oool0000000H0oooo0`000006
0?ooo`040000003oool0oooo0?ooo`8000001P3oool010000000oooo0?ooo`00000:0?ooo`030000
003oool0000000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`040?ooo`800000
0`3oool00`000000oooo0?ooo`020?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`050000
003oool0oooo0?ooo`0000001@3oool200000080oooo00<000000?ooo`0000000`3oool00`000000
oooo000000050?ooo`80000000<0oooo0000000000001@3oool00`000000oooo0?ooo`0;0?ooo`00
103oool010000000oooo0?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`00
00000P3oool00`000000oooo000000020?ooo`030000003oool0oooo00<0oooo0P0000020?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`070?ooo`80
000000@0oooo0000003oool0oooo0`00000:0?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool01@3oool00`000000oooo000000050?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`0000001@3oool200000080oooo00<000000?ooo`3oool00P00000C0?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0000000;0?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`800000103oool01000
0000oooo0?ooo`0000030?ooo`050000003oool0oooo0?ooo`0000001`3oool010000000oooo0?oo
o`0000070?ooo`030000003oool0oooo0180oooo00040?ooo`040000003oool0oooo00000080oooo
00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00/0oooo
0P000000103oool000000?ooo`00000<0?ooo`030000003oool0oooo008000000`3oool4000001<0
oooo00<000000?ooo`3oool00`3oool3000000H0oooo00D000000?ooo`3oool0oooo000000040?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool00`000000oooo000000060?oo
o`030000003oool0oooo0180oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0:0?oo
o`030000003oool0oooo0080oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo01@0oooo00050?ooo`030000003oool000000080oooo00<000000?oo
o`0000000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?oo
o`3oool00`3oool2000000@0oooo0`0000030?ooo`030000003oool0000000<0oooo0P00000>0?oo
o`040000003oool0oooo000000P0oooo0`0000030?ooo`030000003oool0000000H0oooo00H00000
0?ooo`000000oooo0000003oool2000000@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`02000000L0oooo0P00000;0?ooo`030000003oool0oooo00/0oooo00H000000?ooo`3oool0
00000?ooo`0000030?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool00`3oool20000
00h0oooo00<000000?ooo`0000004@3oool200000080oooo0P00000J0?ooo`000P3oool01P000000
oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool00`000000oooo00000002
0?ooo`030000003oool000000080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`06
0?ooo`040000003oool0oooo0?ooo`8000001`3oool01`000000oooo0?ooo`3oool000000?ooo`00
00001P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool00`3oool010000000oooo0?ooo`0000030?ooo`<000000P3oool00`000000oooo0?ooo`020?oo
o`050000003oool0oooo0000003oool00`0000001@3oool000000?ooo`3oool0000000@0oooo00<0
00000?ooo`0000002P3oool01@000000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`000000
203oool00`000000oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`0000000`3oool2000000<0
oooo00<000000?ooo`3oool0203oool200000080oooo0`0000030?ooo`030000003oool0000000@0
oooo00<000000?ooo`3oool02`3oool01@000000oooo0?ooo`3oool000000180oooo00030?ooo`80
00000`3oool2000000<0oooo0P0000030?ooo`8000000`3oool2000000H0oooo0P0000030?ooo`80
0000203oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool03P3oool01@000000oooo0?ooo`3oool000000080oooo00D000000?ooo`3oool0oooo00000003
0?ooo`030000003oool0000000d0oooo00<000000?ooo`3oool0403oool01`000000oooo0?ooo`3o
ool000000?ooo`0000000P3oool3000000T0oooo00<000000?ooo`0000000P3oool01@000000oooo
0?ooo`3oool0000000<0oooo00D000000?ooo`3oool0oooo000000030?ooo`80000000<0oooo0000
003oool0103oool00`000000oooo0?ooo`060?ooo`030000003oool000000080oooo00D000000?oo
o`3oool000000?ooo`02000000D0oooo0P0000020?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool0103oool2000000h0oooo000O0?ooo`060000003oool0oooo0000003oool000000P3o
ool00`000000oooo0?ooo`040?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool0
0P0000001@3oool000000?ooo`3oool000000080oooo00<000000?ooo`3oool0503oool00`000000
oooo0?ooo`020?ooo`050000003oool000000?ooo`000000103oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00<0oooo0P0000000`3oool000000?ooo`0=0?ooo`8000002@3oool01@00
0000oooo0?ooo`3oool0000000H0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?oo
o`0000030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`040?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool03`3oool010000000
oooo0000000000060?ooo`80000000<0oooo0000003oool03`3oool001l0oooo00@000000?ooo`3o
ool000007`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00@000000?oo
o`3oool00000403oool00`000000oooo0?ooo`060?ooo`030000003oool0000000<0oooo00<00000
0?ooo`3oool00P3oool2000000P0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`02
00000080oooo00<000000?ooo`3oool00`3oool2000000`0oooo00@000000?ooo`3oool00000103o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00`0oooo00H000000?ooo`3oool00000
0?ooo`0000090?ooo`030000003oool0oooo0080oooo0P0000020?ooo`8000000P3oool00`000000
oooo0?ooo`020?ooo`800000103oool00`000000oooo0?ooo`0<0?ooo`007`3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00d0oooo00<000000?ooo`0000000P3oool00`000000oooo
000000050?ooo`030000003oool0000000L0oooo00<000000?ooo`3oool02@3oool01@000000oooo
0?ooo`3oool0000000H0oooo00H000000?ooo`3oool0oooo0000003oool2000000H0oooo00<00000
0?ooo`3oool0103oool2000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0000000E
0?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0000
00060?ooo`030000003oool0000000D0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?oo
o`02000000@0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0=0?ooo`007`3oool2
000000@0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`000000403oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool00`3oool01@000000oooo0000003oool0000000D0oooo00<000000?ooo`3oool0
0P3oool2000000X0oooo00<000000?ooo`3oool09@3oool00`000000oooo000000050?ooo`030000
003oool0oooo0080000000@0oooo0000003oool000000`3oool01P000000oooo0?ooo`000000oooo
000000h0oooo00L000000?ooo`3oool0oooo0000003oool0000000D0oooo00<000000?ooo`3oool0
3P3oool001l0oooo0P00000?0?ooo`050000003oool0oooo0?ooo`0000003P3oool2000000D0oooo
00<000000?ooo`3oool02`3oool010000000oooo0?ooo`0000020?ooo`030000003oool0000000<0
oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo
0?ooo`0000001@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo0P000000
1@3oool000000?ooo`3oool0000000<0oooo00@000000?ooo`3oool0oooo0P000000103oool00000
0?ooo`3oool2000000d0oooo00<000000?ooo`3oool00`0000040?ooo`030000003oool0oooo00<0
oooo00@000000?ooo`00000000002P3oool2000000030?ooo`000000oooo00P0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`0C0?ooo`007`3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool0103oool010000000oooo0?ooo`00000E0?oo
o`<000000P3oool00`000000oooo0?ooo`090?ooo`040000003oool0000000000080oooo0P000004
0?ooo`030000003oool0oooo0080oooo0P0000020?ooo`030000003oool0000000L0oooo00@00000
0?ooo`3oool000002@3oool00`000000oooo0?ooo`020?ooo`<0000000<0oooo0000000000005@3o
ool00`000000oooo000000030?ooo`<000001@3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0000000@0oooo00D000000?ooo`3oool0oooo000000020?ooo`070000003oool0oooo0000003o
ool000000?ooo`02000000@0oooo00<000000?ooo`3oool00P3oool2000000h0oooo000O0?ooo`80
00004P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo0P0000030?ooo`04
0000003oool0oooo000000<0oooo00<000000?ooo`0000001`3oool00`000000oooo0?ooo`050?oo
o`80000000<0oooo0000003oool0103oool2000000H0oooo0P0000040?ooo`030000003oool0oooo
00@0oooo00@000000?ooo`3oool0oooo0P0000020?ooo`030000003oool0oooo0080oooo00D00000
0?ooo`3oool0oooo000000040?ooo`030000003oool0oooo00D0oooo00@000000?ooo`3oool00000
1@3oool2000000l0oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`040?ooo`<00000
0`3oool01@000000oooo0?ooo`000000oooo00@000000P3oool00`000000oooo0?ooo`080?ooo`80
00000P3oool00`000000oooo000000030?ooo`8000003@3oool001l0oooo0P0000001`3oool00000
0?ooo`3oool000000?ooo`0000001P3oool01@000000oooo0?ooo`3oool000000080oooo0`000008
0?ooo`8000000P3oool01@000000oooo0000003oool0000000<0oooo00<000000?ooo`3oool01P3o
ool2000000030?ooo`000000000000h0oooo00@000000?ooo`3oool00000403oool00`000000oooo
0?ooo`0F0?ooo`040000003oool0oooo000000H0oooo0P0000070?ooo`050000003oool0oooo0?oo
o`000000103oool00`000000oooo000000020?ooo`8000000`3oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo02/0oooo000O0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool00P0000001@3oool000000?ooo`000000oooo008000000`3oool00`000000oooo000000050?oo
o`8000001P3oool00`000000oooo0000000>0?ooo`050000003oool000000?ooo`0000002`3oool0
1@000000oooo0?ooo`3oool000000100oooo00<000000?ooo`3oool00`3oool00`000000oooo0000
00040?ooo`030000003oool0000000L0oooo00<000000?ooo`3oool00`3oool00`000000oooo0000
00020?ooo`040000003oool000000?ooo`800000103oool01P000000oooo0?ooo`3oool000000?oo
o`80000000<0oooo0000003oool01@3oool010000000oooo0?ooo`0000020?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool02P3oool4000000@0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`0C0?ooo`007`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo
00@0oooo0P0000060?ooo`80000000<0oooo0000003oool00P3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool00P0000060?ooo`800000103oool01000
0000oooo0?ooo`3oool2000000D0oooo0P0000020?ooo`<00000103oool01`000000oooo0?ooo`3o
ool000000?ooo`000000103oool2000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo
0?ooo`3oool3000000X0oooo00<000000?ooo`0000000P3oool2000001H0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`030?ooo`030000003oool0000000800000303oool010000000
oooo0?ooo`0000020?ooo`040000003oool0oooo000001<0oooo000O0?ooo`8000000P3oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo0080oooo00D000000?ooo`000000oooo00000002
0?ooo`8000000P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool00P0000000`3oool000000?ooo`040?ooo`8000001@3oool00`000000oooo00000004
0?ooo`030000003oool0oooo0080oooo00@000000?ooo`000000oooo0P0000040?ooo`040000003o
ool0oooo000000X0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`060?ooo`040000
003oool0oooo00000080oooo00<000000?ooo`0000000P0000000`3oool00000000000050?ooo`<0
0000303oool00`000000oooo0000000D0?ooo`030000003oool0oooo0080oooo00@000000?ooo`3o
ool000003`3oool001l0oooo0P0000030?ooo`040000003oool00000000001h0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo00<000000?oo
o`0000000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool00P3oool00`000000oooo000000030?ooo`030000003oool0oooo00P0oooo00@000000?oo
o`3oool00000103oool00`000000oooo0?ooo`020?ooo`070000003oool0oooo0000003oool00000
0?ooo`02000000@0oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`050?ooo`03
0000003oool000000080oooo00<000000?ooo`0000000P3oool010000000oooo0000000000080?oo
o`040000003oool0oooo00000140oooo00<000000?ooo`3oool00P3oool01@000000oooo0000003o
ool0000000<0oooo00D000000?ooo`3oool0oooo0000000>0?ooo`000`3oool200000080oooo0`00
00020?ooo`<000000P3oool300000080oooo0`0000060?ooo`090000003oool000000?ooo`000000
oooo0000003oool0000000D0oooo00@000000?ooo`00000000000`3oool01@000000oooo0?ooo`3o
ool0000000P0oooo00H000000?ooo`00000000000?ooo`0000040?ooo`040000003oool0oooo0?oo
o`8000000`3oool010000000oooo0?ooo`3oool200000080oooo00<000000?ooo`3oool01P3oool0
10000000oooo0?ooo`00000:0?ooo`8000001P3oool010000000oooo0?ooo`0000050?ooo`050000
003oool0oooo0?ooo`0000001P3oool00`000000oooo000000020?ooo`030000003oool0000000X0
oooo00<000000?ooo`0000001`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080
oooo0`0000020?ooo`8000000P3oool2000000H0oooo00<000000?ooo`3oool01P3oool010000000
oooo0?ooo`0000070?ooo`8000005@3oool00080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo00000002
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo00000002
0?ooo`030000003oool0oooo008000000P3oool01@000000oooo0?ooo`3oool0000000l0oooo0P00
00000`3oool000000?ooo`060?ooo`030000003oool0oooo008000000`3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0203oool010000000oooo0000
000000040?ooo`030000003oool0oooo0080oooo0P0000080?ooo`030000003oool0oooo01H0oooo
00<000000?ooo`3oool02`3oool000D0oooo00<000000?ooo`0000000P3oool00`000000oooo0000
00020?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?oo
o`030?ooo`80000000<0oooo0000003oool00`3oool00`000000oooo0000000>0?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool03P3oool00`000000oooo000000060?ooo`8000001@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo008000001`3oool00`000000oooo0000
00030?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`090?ooo`030000003oool0000000<0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0>0?ooo`<0000000P0oooo00000000
000000000?ooo`000000oooo000000P0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00/0oooo00040?ooo`040000003oool0oooo00000080oooo00<0
00000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<0
00000?ooo`3oool00`3oool01`000000oooo0000003oool000000?ooo`0000003@3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01P3oool010000000
oooo0?ooo`0000030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`080?ooo`<00000103oool010000000oooo00000000000:0?ooo`800000903oool2
00000140oooo00<000000?ooo`3oool00P3oool00`000000oooo0000000=0?ooo`001@3oool00`00
0000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`00
0000oooo000000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02`3oool00`00
0000oooo0?ooo`050?ooo`050000003oool0oooo0?ooo`0000001P3oool00`000000oooo0?ooo`0=
0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0000
00020?ooo`050000003oool0oooo0?ooo`0000001P3oool00`000000oooo0?ooo`0<0?ooo`040000
003oool0oooo000000@0oooo0`0000090?ooo`030000003oool0oooo01<0oooo00<000000?ooo`00
0000403oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo00D000000?ooo`3o
ool0oooo000000020?ooo`<000000P3oool00`000000oooo0?ooo`0J0?ooo`000P3oool01P000000
oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool00`000000oooo00000002
0?ooo`030000003oool000000080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`02
00000080oooo0P0000000`3oool000000?ooo`030?ooo`030000003oool0oooo00<0oooo00D00000
0?ooo`3oool0oooo000000040?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool02@3o
ool01@000000oooo0?ooo`3oool0000000D0oooo00<000000?ooo`3oool02P3oool00`000000oooo
000000040?ooo`030000003oool0oooo008000002P3oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo01@0oooo00<000000?ooo`3oool01@3oool2000000H0oooo0P0000060?ooo`030000
003oool0oooo0080oooo00D000000?ooo`000000oooo0000000B0?ooo`030000003oool0000000D0
oooo00<000000?ooo`3oool05@3oool000<0oooo0P0000030?ooo`8000000`3oool2000000<0oooo
0P0000030?ooo`8000001P3oool2000000H0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`030?ooo`<000001@3oool00`000000oooo0?ooo`030?ooo`8000003@3oool01@000000oooo
0?ooo`3oool0000000<0oooo00<000000?ooo`3oool0103oool2000000<0oooo00<000000?ooo`3o
ool00P3oool01@000000oooo0?ooo`3oool0000000T0oooo100000030?ooo`030000003oool0oooo
00h0oooo0`0000070?ooo`030000003oool0oooo00`0oooo00@000000?ooo`3oool0oooo0P000002
0?ooo`80000000D0oooo0000003oool0oooo000000080?ooo`8000001@3oool2000000T0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`040000003oool0oooo000000l0oooo
000O0?ooo`030000003oool0oooo00X0oooo00D000000?ooo`3oool0oooo000000020?ooo`800000
0P3oool00`000000oooo0?ooo`0;0?ooo`050000003oool0oooo0?ooo`0000000`3oool00`000000
oooo0?ooo`020?ooo`050000003oool0oooo0000003oool00P0000070?ooo`040000003oool00000
0?ooo`8000002P3oool01P000000oooo0?ooo`000000oooo000000X0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo000000040?ooo`<000000P3oool01@000000oooo0000003oool000000080
oooo00D000000?ooo`3oool0oooo0000000I0?ooo`040000003oool0oooo000000<0oooo00L00000
0?ooo`3oool0oooo0000003oool0000000X0oooo00<000000?ooo`3oool08P3oool001l0oooo00<0
00000?ooo`0000000P3oool00`000000oooo0?ooo`080?ooo`050000003oool0oooo0?ooo`000000
0P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
203oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo0?ooo`8000000`3oool010000000
oooo0000000000040?ooo`8000002`3oool00`000000oooo0?ooo`020?ooo`030000003oool00000
00<0oooo00<000000?ooo`3oool0103oool2000000@0oooo00<000000?ooo`0000004P3oool01@00
0000oooo0?ooo`3oool0000000X0oooo1@0000060?ooo`030000003oool0oooo0080oooo00D00000
0?ooo`000000oooo0000000=0?ooo`007`3oool00`000000oooo0?ooo`020?ooo`<000001P3oool0
10000000oooo0?ooo`00000B0?ooo`030000003oool0oooo00@0oooo00D000000?ooo`000000oooo
0000000=0?ooo`030000003oool0oooo0080oooo0P0000040?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool0303oool01@000000oooo0?ooo`3oool0000000X0oooo00@000000?ooo`3o
ool00000103oool010000000oooo0?ooo`00000;0?ooo`060000003oool0oooo0?ooo`000000oooo
0P00000:0?ooo`040000003oool0oooo000000P0oooo00<000000?ooo`3oool0203oool200000004
0?ooo`000000oooo000000L0oooo0P00000K0?ooo`007`3oool2000000D0oooo00<000000?ooo`00
00003`3oool00`000000oooo0?ooo`020?ooo`<000001@3oool010000000oooo0?ooo`3oool30000
00<0oooo00<000000?ooo`3oool01P3oool2000000<0oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00P0000060?ooo`030000003o
ool0oooo00X0oooo00D000000?ooo`3oool000000?ooo`0200000180oooo0`0000050?ooo`050000
003oool000000000003oool0100000020?ooo`030000003oool0oooo00@0oooo0P0000000`3oool0
00000?ooo`050?ooo`030000003oool0oooo0080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`8000003P3oool00`000000oooo0?ooo`0A0?ooo`007`3oool010000000oooo0?ooo`000002
0?ooo`030000003oool0oooo00<0oooo0P0000040?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`0000000`3oool2000000030?ooo`000000oooo00H0oooo0P0000090?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`040?ooo`080000003oool0
oooo0000003oool000000?ooo`00000E0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`00
0000203oool01@000000oooo0?ooo`3oool0000000D0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo00H0oooo00D000000?ooo`000000oooo00000002
0?ooo`030000003oool0000000<0oooo00<000000?ooo`0000000`3oool01`000000oooo0?ooo`3o
ool000000?ooo`0000000`3oool200000100oooo000O0?ooo`8000000P3oool01@000000oooo0?oo
o`3oool0000000P0oooo0P0000001@3oool000000?ooo`3oool0000000l0oooo00<000000?ooo`3o
ool00P3oool2000000T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`080?ooo`03
0000003oool0000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`0000001P3oool010000000oooo0?ooo`0000020?oo
o`040000003oool0oooo0?ooo`8000000`3oool00`000000oooo000000030?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0G0?ooo`8000000P3oool0
10000000oooo0?ooo`0000020?ooo`050000003oool0oooo0?ooo`0000000P3oool2000000d0oooo
000O0?ooo`<000000`3oool00`000000oooo0?ooo`090?ooo`030000003oool0000000X0oooo00<0
00000?ooo`3oool01P3oool2000000070?ooo`000000oooo0?ooo`000000oooo0000000F0?ooo`03
0000003oool0000000H0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0000000P0oooo00D000000?ooo`3oool0oooo0000000<0?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04000000@0oooo0P0000060?oo
o`030000003oool0oooo00L0oooo0P000000103oool000000?ooo`0000020?ooo`030000003oool0
oooo008000003`3oool001l0oooo00D000000?ooo`000000oooo0000000;0?ooo`050000003oool0
oooo0?ooo`0000004P3oool2000000H0oooo00D000000?ooo`3oool0oooo0000000D0?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00D0oooo0P0000030?ooo`040000003oool00000000000d0oooo00D000000?ooo`3o
ool0oooo0000000:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool06`3oool001l0
oooo00<000000?ooo`3oool01@3oool010000000oooo0?ooo`00000:0?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`0000000`3oool2000000040?ooo`000000oooo000000X0oooo0P000009
0?ooo`030000003oool0oooo0080oooo0P0000030?ooo`8000000P3oool010000000oooo0?ooo`00
000D0?ooo`030000003oool0000000L0oooo00@000000?ooo`3oool0oooo0P0000000`3oool00000
0?ooo`080?ooo`040000003oool0oooo0?ooo`8000000`3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00H0oooo00@000000?ooo`3oool0oooo0P0000060?ooo`<000001P3oool01@00
0000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0I
0?ooo`007`3oool2000000L0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000030?oo
o`8000001P3oool00`000000oooo0?ooo`02000000D0oooo00@000000?ooo`3oool000000`3oool2
000000040?ooo`000000oooo000000L0oooo00<000000?ooo`0000002@3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`030?ooo`050000003oool0oooo0?ooo`0000001P3oool01@000000oooo0?ooo`3oool0000000`0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`02000000<0oooo00<000000?ooo`3o
ool0603oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool0103oool2000000H0oooo0P00000=0?ooo`007`3oool200000080oooo00@000000?ooo`3oool0
oooo0P000000103oool000000?ooo`3oool3000000@0oooo0P0000040?ooo`<000000P3oool01000
0000oooo0?ooo`00000K0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo000000040?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool04P3oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo00P0oooo0P0000090?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000080?ooo`030000003o
ool0oooo00L0oooo0P0000040?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool03`3o
ool001l0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo0080oooo00<000000?ooo`000000303oool00`000000oooo000000040?ooo`040000003oool0
oooo000000l0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0<0?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool0203oool010000000oooo0?ooo`0000060?ooo`030000
003oool0oooo00L0oooo00D000000?ooo`3oool000000?ooo`02000000<0oooo0P0000000`3oool0
00000?ooo`020?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`020?ooo`040000003oool0oooo000001H0oooo00050?ooo`030000003oool000000080
00000P3oool300000080oooo0`0000020?ooo`<000001P3oool00`000000oooo0?ooo`090?ooo`80
00000P3oool01P000000oooo000000000000oooo000000<0oooo00<000000?ooo`3oool00P000003
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`0000001@3oool01@000000oooo0?ooo`3o
ool0000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`050?ooo`060000003o
ool0oooo0?ooo`000000oooo1000000A0?ooo`050000003oool0oooo0?ooo`0000000P3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo00d0oooo0P0000040?ooo`030000003oool00000
0080oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`090?ooo`8000000P3oool01000
0000oooo0000000000030?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool0403o
ool000D0oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0
00000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`050000003oool0
oooo0?ooo`000000103oool00`000000oooo0000000=0?ooo`8000001@3oool00`000000oooo0?oo
o`0:0?ooo`@000000P3oool00`000000oooo0?ooo`090?ooo`030000003oool0000000H0oooo00D0
00000?ooo`3oool000000?ooo`02000000030?ooo`000000oooo01L0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`070?ooo`040000003oool0oooo0?ooo`8000001P3oool01@000000
oooo0?ooo`3oool0000000L0oooo0`0000080?ooo`80000000<0oooo0000003oool00P3oool01000
0000oooo0?ooo`0000030?ooo`060000003oool0oooo0000003oool00000103oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`0;0?ooo`000P3oool600000080oooo00<000000?ooo`0000000P3oool00`000000oooo0000
00020?ooo`030000003oool000000080oooo00<000000?ooo`3oool00`3oool200000080oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`8000000`3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3oool2000001<0oooo00@0
00000?ooo`3oool00000103oool00`000000oooo000000050?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`02000000@0oooo00<000000?ooo`000000
0P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00@000000?ooo`3oool0
00001P3oool3000000D0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool01@3oool01`000000oooo0000003oool00000
0?ooo`0000002P3oool00`000000oooo000000030?ooo`030000003oool0000000h0oooo00020?oo
o`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`030000003o
ool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00H0oooo00D000000?ooo`000000oooo000000060?ooo`D00000103oool00`000000oooo
0?ooo`020?ooo`<000002`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`000000103oool00`000000oooo0?ooo`040?ooo`040000003oool0oooo0?ooo`80
000000<0oooo0000003oool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0000000P0
oooo00@000000?ooo`3oool000000P3oool010000000oooo0000000000040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool03@3oool01@000000oooo0?ooo`3oool0000000d0oooo0P00
00000`3oool000000?ooo`030?ooo`030000003oool0oooo0100oooo00030?ooo`050000003oool0
00000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<0
00000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00d0oooo00<0
00000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000T0oooo0`00000:0?ooo`040000
003oool0000000000140oooo0P0000090?ooo`030000003oool0oooo00d0oooo0P00000?0?ooo`03
0000003oool0000000@0oooo00P000000?ooo`3oool0oooo0000003oool000000?ooo`8000000P3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo
000000050?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool0oooo0P0000000`3o
ool000000?ooo`080?ooo`030000003oool0oooo00<0oooo0`0000000`3oool000000?ooo`030?oo
o`030000003oool0000000d0oooo00040?ooo`80000000L0oooo0000003oool0oooo0000003oool0
00000080oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`0000000P3oool01@000000oooo0?ooo`3oool0000000/0oooo00D0
00000?ooo`000000oooo0000000:0?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000
oooo0?ooo`0000090?ooo`800000103oool2000000D0oooo00<000000?ooo`3oool0203oool30000
0080oooo00<000000?ooo`3oool01@3oool01`000000oooo0?ooo`3oool000000?ooo`000000103o
ool00`000000oooo0?ooo`030?ooo`030000003oool0000000L0oooo00D000000?ooo`000000oooo
0000000:0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`0:0?ooo`<0000000<0oooo0000003oool02@3oool00`000000oooo0?ooo`0B0?ooo`001@3o
ool00`000000oooo0?ooo`02000000<0oooo0P0000030?ooo`8000000`3oool2000000H0oooo0P00
00030?ooo`040000003oool0oooo00000080oooo00<000000?ooo`0000001@3oool00`000000oooo
0?ooo`0:0?ooo`<000001P3oool00`000000oooo0?ooo`0<0?ooo`050000003oool0oooo0?ooo`00
00001@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool00P0000050?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool000000`3oool20000
00<0oooo00<000000?ooo`3oool01@3oool010000000oooo0?ooo`3oool200000080oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00P0oooo00D00000
0?ooo`3oool0oooo000000030?ooo`030000003oool0oooo00L0oooo00<000000?ooo`0000004`3o
ool00`000000oooo0?ooo`020?ooo`030000003oool000000140oooo000O0?ooo`8000000`3oool0
1@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`0000002`3oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo0080000000<0oooo0000003oool01P3oool200000080oooo0P00
00050?ooo`<0000000<0oooo0000003oool00P3oool2000000P0oooo00<000000?ooo`0000000`3o
ool2000000<0oooo0P0000040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`000000103o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo008000000P3oool00`000000oooo0000
00060?ooo`030000003oool000000080oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`020?ooo`800000503oool00`000000oooo0?ooo`03000000/0oooo00<000000?ooo`0000000P00
000=0?ooo`007`3oool200000140oooo0P0000000`3oool000000?ooo`020?ooo`050000003oool0
00000?ooo`0000000P3oool00`000000oooo0?ooo`070?ooo`040000003oool00000000000<0oooo
0P0000040?ooo`030000003oool0oooo0080oooo0P00000E0?ooo`030000003oool0oooo00<0oooo
00L000000?ooo`3oool0oooo0000003oool000000080oooo00<000000?ooo`3oool00P0000070?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo000000050?oo
o`030000003oool0oooo00@0oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003oool0
oooo00d0oooo00<000000?ooo`3oool00P00000;0?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool00`3oool01@000000oooo0?ooo`3oool0000000l0oooo000O0?ooo`80000000<0oooo
0000003oool00P3oool01@000000oooo0?ooo`3oool000000080oooo00D000000?ooo`3oool0oooo
000000030?ooo`030000003oool0oooo00@0oooo0P0000090?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`<000001`3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02@3oool01@000000oooo
0000003oool0000000P0oooo00@000000?ooo`3oool000001@3oool500000080oooo00@000000?oo
o`00000000001@3oool2000000H0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`02
00000080oooo0P0000000`3oool000000?ooo`040?ooo`800000103oool00`000000oooo0?ooo`08
0?ooo`030000003oool0000000X0oooo00<000000?ooo`0000004@3oool001l0oooo00<000000?oo
o`0000001`3oool00`000000oooo000000020?ooo`8000001@3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`0000000`3oool2000000030?ooo`000000oooo
00@0oooo00D000000?ooo`3oool0oooo0000000>0?ooo`030000003oool0oooo00P0oooo00@00000
0?ooo`3oool000001`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00@0oooo0P00
00020?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool00`3oool2000000X0oooo0P00
00020?ooo`030000003oool00000008000001P3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`000000603oool001l0oooo00<000000?ooo`3oool0103oool2
000000D0oooo00<000000?ooo`3oool0203oool4000000/0oooo00@000000?ooo`3oool00000103o
ool01@000000oooo0?ooo`3oool0000000@0oooo00D000000?ooo`3oool0oooo000000030?ooo`04
0000003oool00000000000H0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0C0?oo
o`8000000`3oool2000000030?ooo`000000oooo00D0oooo0P0000000`3oool00000000000020?oo
o`050000003oool0oooo0?ooo`000000103oool3000000<0oooo00<000000?ooo`3oool01P3oool2
000000T0oooo00D000000?ooo`3oool0oooo000000030?ooo`040000003oool0oooo0?ooo`800000
00<0oooo0000003oool02@3oool01P000000oooo0?ooo`000000oooo000000d0oooo000O0?ooo`80
00000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool0703oool01P000000oooo0?ooo`000000oooo000000P0oooo00<000000?ooo`3oool00P3oool0
10000000oooo00000000000H0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`050?ooo`040000003oool0oooo000000l0oooo00<000000?ooo`3oool0
0`3oool010000000oooo0?ooo`0000020?ooo`080000003oool0oooo0000003oool000000?ooo`00
00030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo00`0oooo000O0?ooo`8000001@3oool010000000oooo0?ooo`3o
ool2000000/0oooo0P0000030?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo
0?ooo`020?ooo`050000003oool0oooo0?ooo`000000303oool01@000000oooo0000003oool00000
00@0oooo00D000000?ooo`00000000000?ooo`02000000H0oooo00@000000?ooo`3oool0oooo0`00
00060?ooo`8000002`3oool2000000040?ooo`0000000000000000l0oooo00<000000?ooo`3oool0
203oool2000000H0oooo00<000000?ooo`000000203oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00`0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`02000000@0oooo
00@000000?ooo`3oool00000403oool001l0oooo00<000000?ooo`0000001`3oool00`000000oooo
0?ooo`050?ooo`040000003oool0oooo0?ooo`8000001@3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00L0oooo00D000000?ooo`3oool0oooo000000070?ooo`040000003oool0oooo
000000l0oooo00<000000?ooo`0000000P3oool010000000oooo0?ooo`0000070?ooo`070000003o
ool0oooo0?ooo`000000oooo000000020?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool0403oool2000000<0oooo00<000000?ooo`000000603oool00`000000oooo0?ooo`040?ooo`@0
00000P3oool010000000oooo0?ooo`3oool2000000X0oooo0P0000000`3oool000000?ooo`0=0?oo
o`007`3oool00`000000oooo0000000:0?ooo`<000003@3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo00/0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo00@0oooo00D000000?ooo`3oool0oooo000000090?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`000000103oool01@000000oooo000000000000oooo008000000P3oool0
0`000000oooo0?ooo`0;0?ooo`050000003oool0oooo0?ooo`0000000`3oool00`000000oooo0?oo
o`0200000080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`03000000030?ooo`00
0000000000P0oooo00<000000?ooo`3oool02`3oool2000000@0oooo00<000000?ooo`3oool01P3o
ool010000000oooo0?ooo`3oool200000140oooo000O0?ooo`040000003oool0oooo000000P0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`050?ooo`050000003oool000000?ooo`00
00001`3oool010000000oooo0?ooo`3oool3000000@0oooo00D000000?ooo`3oool0oooo00000004
0?ooo`8000001@3oool2000000@0oooo0P00000;0?ooo`030000003oool0000000D0oooo00D00000
0?ooo`3oool0oooo000000030?ooo`030000003oool0oooo00L0oooo0P0000040?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool06@3oool2000000`0oooo0P0000050?ooo`<0000000<0
oooo000000000000103oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00`0oooo000O
0?ooo`8000000P3oool00`000000oooo0000000@0?ooo`030000003oool0oooo00<0oooo0P00000;
0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool00P3oool01P000000oooo0?ooo`00
0000oooo000000L0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`0000000P3oool010000000oooo0000000000030?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`0000000P0000020?ooo`040000003oool0oooo0000
00@0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
00@0oooo00D000000?ooo`3oool0oooo000000050?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool00`3oool01@000000oooo0?ooo`3oool000000140oooo000O0?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`800000103oool0
1@000000oooo0?ooo`3oool000000080oooo0P0000000`3oool000000?ooo`030?ooo`8000000P3o
ool2000000030?ooo`000000oooo00@0oooo00<000000?ooo`3oool0403oool2000000P0oooo00<0
00000?ooo`0000000`3oool010000000oooo0000000000080?ooo`8000000P3oool00`000000oooo
0?ooo`020?ooo`800000103oool00`000000oooo0?ooo`050?ooo`8000001P3oool00`000000oooo
0?ooo`030?ooo`070000003oool0oooo0?ooo`000000oooo000000030?ooo`8000001`3oool20000
00`0oooo00<000000?ooo`0000003P3oool00`000000oooo0?ooo`0B0?ooo`000`3oool200000080
oooo0`0000020?ooo`<000000P3oool300000080oooo0`0000060?ooo`040000003oool0oooo0000
00P0oooo00<000000?ooo`3oool00P3oool2000000<0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0000000X0oooo00<000000?ooo`3oool0303oool00`00
0000oooo0?ooo`030?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`0000003P3oool010000000oooo0?ooo`00
000?0?ooo`80000000<0oooo0000003oool02@3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00d0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo0080oooo00@000000?ooo`000000oooo0P0000000`3oool000000?ooo`0@0?ooo`000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool00`000000
oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool00`3oool00`000000
oooo000000070?ooo`030000003oool0oooo00@0oooo00<000000?ooo`000000103oool00`000000
oooo0?ooo`0Q0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00`3oool200000004
0?ooo`00000000000?ooo`@0000000@0oooo0000003oool000001`3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0:
0?ooo`040000003oool0oooo000000H0oooo00<000000?ooo`3oool01`3oool2000000D0oooo00@0
00000?ooo`3oool000001P3oool00`000000oooo000000040?ooo`040000003oool0oooo000000l0
oooo00050?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo
000000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool00`3oool200000080oooo
00<000000?ooo`3oool0103oool01@000000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo000000D0oooo00<000000?oo
o`3oool02@3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool01@3oool2000000@0oooo00<000000?ooo`3oool01@3oool3000000L0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0000000=0?ooo`030000003oool0oooo00@0oooo00D00000
0?ooo`3oool0oooo000000040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`050?ooo`8000003@3oool00`000000oooo000000080?ooo`040000003o
ool00000000000D0oooo00<000000?ooo`3oool0303oool00080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`000000
oooo000000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`0000050?ooo`05
0000003oool0oooo0?ooo`0000000`3oool2000000d0oooo00<000000?ooo`3oool02@3oool20000
00H0oooo00H000000?ooo`3oool000000?ooo`0000050?ooo`030000003oool000000080oooo0P00
00020?ooo`050000003oool0oooo0?ooo`0000001@3oool2000000P0oooo00<000000?ooo`3oool0
103oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool01`3oool2000000@0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`090?ooo`80
00000P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0180oooo00<000000?ooo`3o
ool04@3oool00080oooo0`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`00
0000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool00`3oool01000
0000oooo0?ooo`00000;0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo000000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3oool0
0`000000oooo000000050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3oool4
000000050?ooo`000000oooo0?ooo`000000103oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`0000002`3oool01P000000oooo0?ooo`000000oooo000000D0
oooo00D000000?ooo`3oool0oooo000000060?ooo`030000003oool0oooo0140oooo0P00000:0?oo
o`800000203oool00`000000oooo0000000>0?ooo`000`3oool01@000000oooo0?ooo`3oool00000
0080oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool00000
0080oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`3oool300000080oooo00<00000
0?ooo`3oool0403oool2000000H0oooo00@000000?ooo`3oool0oooo0P0000020?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool02P3oool010000000oooo0?ooo`0000020?ooo`030000
003oool0oooo00D0oooo0P00000:0?ooo`030000003oool0oooo00L0oooo00L000000?ooo`3oool0
oooo0000003oool0000000/0oooo00<000000?ooo`3oool00`3oool01`000000oooo0?ooo`3oool0
00000?ooo`0000001@3oool00`000000oooo000000040?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool01@3oool2000000030?ooo`000000oooo00L0oooo0P0000040?ooo`030000003o
ool0oooo00`0oooo00<000000?ooo`0000000`3oool00`000000oooo0000000A0?ooo`000`3oool3
00000080oooo0P0000030?ooo`8000000`3oool2000000<0oooo0P0000060?ooo`<000002`3oool0
10000000oooo0?ooo`0000040?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`030?ooo`030000003oool0000000<000000P3oool010000000oooo0000
0000000:0?ooo`080000003oool0oooo0000003oool000000?ooo`0000050?ooo`80000000<0oooo
0000003oool02@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo000000060?ooo`030000003oool0oooo00<0oooo00@00000
0?ooo`3oool0oooo0P0000020?ooo`030000003oool0oooo00<0oooo0P00000H0?ooo`007`3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0000000<0oooo00<000000?ooo`0000001P3oool0
10000000oooo0?ooo`00000;0?ooo`060000003oool0oooo0000003oool000001@3oool00`000000
oooo0?ooo`060?ooo`8000001P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00H0
oooo00@000000?ooo`3oool00000103oool2000000<0oooo00<000000?ooo`3oool00`3oool20000
00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo
00000080oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`050000003oool0
oooo0?ooo`0000001@3oool01P000000oooo0?ooo`3oool000000?ooo`8000001@3oool01@000000
oooo0?ooo`3oool000000140oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0<0?oo
o`007`3oool2000000D0oooo00<000000?ooo`0000001`3oool00`000000oooo0?ooo`020?ooo`05
0000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`00000A0?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool00P00000;0?ooo`030000003oool0oooo00@0oooo00@00000
0?ooo`000000oooo0P0000030?ooo`030000003oool0oooo00T0oooo0P0000001@3oool000000000
003oool000000140oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0<0?ooo`800000
3@3oool00`000000oooo0?ooo`080?ooo`050000003oool0oooo0?ooo`0000001@3oool010000000
oooo0?ooo`0000050?ooo`030000003oool0oooo0100oooo000O0?ooo`8000000`3oool00`000000
oooo0?ooo`0A0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`020?ooo`8000001@3oool2000000L0oooo00<000000?ooo`3oool01@3oool01@000000
oooo0?ooo`3oool0000000<0oooo0P0000050?ooo`030000003oool0oooo00<0oooo0P0000090?oo
o`050000003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool02P3oool010000000oooo0?ooo`0000050?ooo`<000000P3o
ool01P000000oooo0?ooo`000000oooo00000140oooo00D000000?ooo`3oool0oooo000000040?oo
o`030000003oool000000140oooo000O0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool0403oool010000000oooo0?ooo`0000060?ooo`030000003oool000000080oooo0P0000080?oo
o`030000003oool0000000X0oooo00@000000?ooo`3oool000001`3oool00`000000oooo0000000;
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`0000001`3oool010000000oooo0?ooo`00
00040?ooo`040000003oool0oooo000000@0oooo0P0000060?ooo`8000001P3oool01@000000oooo
0?ooo`3oool000000080oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000090?oo
o`040000003oool0oooo000000`0oooo00<000000?ooo`0000001P3oool00`000000oooo0?ooo`02
000000l0oooo000O0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0303oool01000
0000oooo0?ooo`0000090?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool00`3oool3
000000@0oooo00<000000?ooo`0000001`3oool00`000000oooo00000002000000D0oooo00<00000
0?ooo`3oool0203oool01P000000oooo0?ooo`000000oooo000000X0oooo0P0000060?ooo`030000
003oool0000000d0oooo00<000000?ooo`0000001P3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool01P3oool010000000oooo0?ooo`0000030?ooo`04
0000003oool0oooo000000L0oooo00D000000?ooo`3oool0oooo000000070?ooo`030000003oool0
000001T0oooo000O0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00P0000080?oo
o`<0000000<0oooo0000003oool0103oool01@000000oooo0?ooo`3oool000000080oooo00D00000
0?ooo`3oool0oooo000000020?ooo`8000002@3oool01@000000oooo0?ooo`3oool0000000P0oooo
0P0000020?ooo`030000003oool0000000D0oooo0P0000080?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool03@3oool2000000T0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`0=0?ooo`030000003oool0oooo00P0oooo00@000000?ooo`3oool00000303oool00`000000
oooo0?ooo`060?ooo`8000000P3oool300000080oooo00<000000?ooo`0000003P3oool001l0oooo
0P0000000`3oool000000?ooo`020?ooo`040000003oool00000000000H0oooo0P0000040?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00X0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0;0?oo
o`040000003oool0oooo000000<0oooo00<000000?ooo`3oool03`3oool01@000000oooo0000003o
ool0000000<0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0000000D0oooo
00<000000?ooo`3oool0103oool010000000oooo0?ooo`00000A0?ooo`030000003oool0oooo0080
oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`0000000P3oool01P000000oooo0?ooo`000000oooo00000100oooo000O0?ooo`040000003oool0
oooo0?ooo`80000000<0oooo0000003oool00`3oool00`000000oooo000000050?ooo`0;0000003o
ool0oooo0?ooo`000000oooo0000003oool000000?ooo`0000000`3oool200000080oooo00<00000
0?ooo`3oool0303oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool03@3oool2000000070?oo
o`000000oooo0?ooo`000000oooo0000000=0?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`0000000P3oool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`0<0?ooo`070000003oool0oooo0?ooo`000000oooo000000040?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0;0?ooo`007`3o
ool01@000000oooo0?ooo`3oool0000000@0oooo00@000000?ooo`3oool0oooo0P0000060?ooo`03
0000003oool0oooo00P0oooo00D000000?ooo`3oool0oooo000000050?ooo`80000000<0oooo0000
003oool00P3oool2000000030?ooo`000000oooo0080oooo00<000000?ooo`3oool05@3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool000001P3oool0
0`000000oooo0000000=0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool03P3o
ool3000000D0oooo00<000000?ooo`3oool0803oool001l0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`020?ooo`050000003oool000000?ooo`000000103oool00`000000oooo0?oo
o`080?ooo`<000002`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool03P3oool2000000030?ooo`000000oooo0080oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`020?ooo`8000001@3oool00`000000oooo0?ooo`02000000L0oooo00<0
00000?ooo`3oool00P3oool01@000000oooo0?ooo`000000oooo00<00000203oool00`000000oooo
000000020?ooo`050000003oool0oooo0?ooo`0000002@3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0B0?ooo`00
7`3oool200000080oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`090?ooo`030000
003oool0000000@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`800000
103oool00`000000oooo0000000?0?ooo`030000003oool0oooo00D0oooo00D000000?ooo`3oool0
oooo000000080?ooo`030000003oool0oooo00/0oooo0P0000000`3oool000000?ooo`0200000003
0?ooo`000000oooo01<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`03
0000003oool0000000X0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000050?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0=0?oo
o`007`3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo008000000`3oool20000
00D0oooo00<000000?ooo`3oool00P0000020?ooo`040000003oool0oooo000000`0oooo00<00000
0?ooo`3oool00P3oool2000000T0oooo00<000000?ooo`3oool0203oool010000000oooo0?ooo`00
00070?ooo`030000003oool000000080oooo00<000000?ooo`3oool01@3oool00`000000oooo0000
00020?ooo`8000002`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00D0
00000?ooo`000000oooo000000050?ooo`030000003oool0oooo01@0oooo00@000000?ooo`3oool0
00001P3oool00`000000oooo0?ooo`060?ooo`050000003oool0oooo0?ooo`0000001@3oool20000
0080oooo00<000000?ooo`3oool03`3oool000<0oooo0P0000020?ooo`<000000P3oool300000080
oooo0`0000020?ooo`<000001P3oool00`000000oooo000000080?ooo`030000003oool0000000P0
oooo0`00000>0?ooo`040000003oool0oooo000000l0oooo0P0000060?ooo`030000003oool00000
0080oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`060?ooo`050000003oool00000
0?ooo`0000001@3oool2000000H0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00P0oooo0P0000030?ooo`80000000<0oooo0000003oool01@3oool2
000000P0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`800000203oool0
1@000000oooo0?ooo`3oool0000000d0oooo00020?ooo`060000003oool0oooo0000003oool00000
0P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`000000
0P3oool00`000000oooo0?ooo`030?ooo`800000203oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool02@3oool3000000030?ooo`00000000000080oooo
00@000000?ooo`000000oooo0P0000070?ooo`040000003oool0oooo00000080oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00D000000?oo
o`3oool0oooo000000020?ooo`8000001`3oool010000000oooo0?ooo`3oool2000000P0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`0F0?ooo`040000003oool00000000000T0oooo
00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3oool0000000`0oooo00@000000?ooo`00
000000000`3oool010000000oooo0?ooo`00000>0?ooo`000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003o
ool000000080oooo00<000000?ooo`3oool00`3oool2000000`0oooo00@000000?ooo`3oool00000
1@3oool500000080oooo0`00000:0?ooo`030000003oool0oooo0080oooo00L000000?ooo`000000
oooo0000003oool0000000P0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00H0oooo00@000000?ooo`3oool000000`3oool2000000030?ooo`00
0000oooo0080oooo0P0000050?ooo`050000003oool0oooo0?ooo`0000003P3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00H0oooo0P0000070?ooo`040000003oool0oooo00000080
oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00d0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0@0?ooo`000P3oool01P000000
oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool00`000000oooo00000002
0?ooo`030000003oool000000080oooo00<000000?ooo`3oool00`3oool2000000030?ooo`000000
00000080oooo00<000000?ooo`3oool02@3oool010000000oooo0?ooo`0000030?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`0000001P3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`0000000P0000040?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool02@3oool01@000000oooo0?ooo`3oool0000000L0oooo0`0000020?ooo`040000
003oool0oooo000000H0oooo00<000000?ooo`3oool01@3oool00`000000oooo000000060?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool0203oool01P000000oooo0?ooo`000000oooo
00000080oooo00<000000?ooo`0000001@3oool00`000000oooo0?ooo`030?ooo`040000003oool0
0000000000H0oooo00<000000?ooo`3oool0103oool010000000oooo00000000000G0?ooo`000P3o
ool300000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080
oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`8000000`3oool2000000`0
oooo00<000000?ooo`3oool02@3oool00`000000oooo000000070?ooo`80000000<0oooo0000003o
ool00P3oool2000000D0oooo0P0000000`3oool000000?ooo`030?ooo`030000003oool0oooo00H0
00003`3oool00`000000oooo0?ooo`040?ooo`0:0000003oool000000000003oool000000?ooo`00
0000oooo000000@0oooo00@000000?ooo`00000000007P3oool01P000000oooo0?ooo`3oool00000
0?ooo`8000002P3oool010000000oooo0?ooo`00000C0?ooo`8000000P3oool00`000000oooo0?oo
o`040?ooo`8000004@3oool00080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000
003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000
003oool0oooo00<0oooo0P0000020?ooo`8000001P3oool020000000oooo0?ooo`3oool000000?oo
o`000000oooo0P0000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`020?ooo`040000003oool00000000000@0oooo00@000000?ooo`3oool00000
1P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0
1@3oool01@000000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool04@3oool2000000@0
oooo00<000000?ooo`000000303oool00`000000oooo000000040?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`0000001`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0=0?ooo`000`3oool2000000<0oooo
0P0000030?ooo`8000000`3oool2000000<0oooo0P0000060?ooo`040000003oool00000000000/0
oooo00<000000?ooo`3oool0403oool3000000D0oooo0P0000060?ooo`050000003oool000000?oo
o`0000001@3oool00`000000oooo0?ooo`050?ooo`800000103oool01@000000oooo0?ooo`3oool0
000000P0oooo0`00000:0?ooo`050000003oool000000?ooo`0000000P3oool01P000000oooo0?oo
o`000000oooo000000@0oooo00H000000?ooo`3oool0oooo0000003oool2000000040?ooo`000000
oooo000000@0oooo00<000000?ooo`3oool00`3oool2000000X0oooo00<000000?ooo`0000001@3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool00000
0`3oool01P000000oooo0?ooo`000000oooo000000`0oooo00<000000?ooo`3oool03`3oool001l0
oooo00<000000?ooo`000000103oool010000000oooo0?ooo`0000050?ooo`030000003oool00000
00H0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool00000
00D0oooo00@000000?ooo`3oool000000`3oool010000000oooo0?ooo`0000050?ooo`8000001@3o
ool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00P0oooo00@000000?ooo`3oool0
0000403oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3o
ool0203oool00`000000oooo000000040?ooo`040000003oool0oooo000000H0oooo0P0000040?oo
o`<00000103oool2000000T0oooo00@000000?ooo`3oool00000403oool001l0oooo00@000000?oo
o`000000oooo0P0000090?ooo`030000003oool0oooo00D0oooo0P0000030?ooo`050000003oool0
oooo0?ooo`0000001@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`0000002@3oool010000000oooo0?ooo`0000070?ooo`030000003oool0oooo00<0oooo
00D000000?ooo`3oool0oooo0000000<0?ooo`800000103oool01@000000oooo0?ooo`3oool00000
00P0oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo
0?ooo`0000002P3oool200000240oooo000O0?ooo`<000000`3oool00`000000oooo000000070?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0:0?oo
o`030000003oool0000000P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`040?oo
o`050000003oool0oooo0?ooo`000000103oool00`000000oooo0000000<0?ooo`8000001@3oool0
10000000oooo0?ooo`0000050?ooo`030000003oool0000000L0oooo00D000000?ooo`3oool0oooo
000000030?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`0:0?ooo`030000003oool0oooo008000001@3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00D0oooo00@000000?ooo`3oool0oooo0P0000020?ooo`030000003oool0000000l0
oooo000O0?ooo`030000003oool0oooo00<00000503oool00`000000oooo0?ooo`020?ooo`<00000
0P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
303oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
0P3oool2000000040?ooo`0000000000000000X0oooo00<000000?ooo`3oool00P0000060?ooo`06
0000003oool000000000003oool000000P3oool010000000oooo0?ooo`0000030?ooo`030000003o
ool0oooo0140oooo00<000000?ooo`3oool00`3oool2000000050?ooo`00000000000?ooo`000000
0P3oool2000000D0oooo0P0000000`3oool000000?ooo`030?ooo`040000003oool0oooo000000<0
oooo00<000000?ooo`0000000P00000K0?ooo`007`3oool00`000000oooo0?ooo`050?ooo`800000
1@3oool01@000000oooo0?ooo`3oool0000000<0oooo00D000000?ooo`3oool0oooo000000070?oo
o`800000103oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00L0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`0?0?ooo`040000003oool0000000000080oooo00D00000
0?ooo`3oool0oooo000000060?ooo`030000003oool0oooo00`0oooo1000000;0?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000030?ooo`040000003o
ool0oooo000000T0oooo00D000000?ooo`3oool0oooo000000060?ooo`8000001`3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00`0oooo000O0?ooo`030000003oool0oooo0=80oooo
000O0?ooo`800000d`3oool001l0oooo00<000000?ooo`3oool0dP3oool001l0oooo00<000000?oo
o`3oool0dP3oool00?@0oooo003d0?ooo`00m03oool00?@0oooo0000\
\>"],
  ImageRangeCache->{{{153.125, 303.375}, {421.813, 329.375}} -> {-7009.22, \
273243, 25.16, 533.24}},
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ListPlot[Abs[Fourier[data]]];\)\)], "Input",
  CellLabel->"In[41]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.000190438 0.0147151 1.17082e-005 [
[.21425 .00222 -12 -11.875 ]
[.21425 .00222 12 0 ]
[.40469 .00222 -12 -11.875 ]
[.40469 .00222 12 0 ]
[.59512 .00222 -12 -11.875 ]
[.59512 .00222 12 0 ]
[.78556 .00222 -12 -11.875 ]
[.78556 .00222 12 0 ]
[.976 .00222 -12 -11.875 ]
[.976 .00222 12 0 ]
[.01131 .1318 -29 -5.9375 ]
[.01131 .1318 0 5.9375 ]
[.01131 .24888 -29 -5.9375 ]
[.01131 .24888 0 5.9375 ]
[.01131 .36596 -29 -5.9375 ]
[.01131 .36596 0 5.9375 ]
[.01131 .48304 -29 -5.9375 ]
[.01131 .48304 0 5.9375 ]
[.01131 .60013 -29 -5.9375 ]
[.01131 .60013 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.21425 .01472 m
.21425 .02097 L
s
gsave
.21425 .00222 -73 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1000) show
1.000 setlinewidth
grestore
.40469 .01472 m
.40469 .02097 L
s
gsave
.40469 .00222 -73 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2000) show
1.000 setlinewidth
grestore
.59512 .01472 m
.59512 .02097 L
s
gsave
.59512 .00222 -73 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(3000) show
1.000 setlinewidth
grestore
.78556 .01472 m
.78556 .02097 L
s
gsave
.78556 .00222 -73 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4000) show
1.000 setlinewidth
grestore
.976 .01472 m
.976 .02097 L
s
gsave
.976 .00222 -73 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(5000) show
1.000 setlinewidth
grestore
.125 Mabswid
.0619 .01472 m
.0619 .01847 L
s
.09998 .01472 m
.09998 .01847 L
s
.13807 .01472 m
.13807 .01847 L
s
.17616 .01472 m
.17616 .01847 L
s
.25234 .01472 m
.25234 .01847 L
s
.29042 .01472 m
.29042 .01847 L
s
.32851 .01472 m
.32851 .01847 L
s
.3666 .01472 m
.3666 .01847 L
s
.44277 .01472 m
.44277 .01847 L
s
.48086 .01472 m
.48086 .01847 L
s
.51895 .01472 m
.51895 .01847 L
s
.55704 .01472 m
.55704 .01847 L
s
.63321 .01472 m
.63321 .01847 L
s
.6713 .01472 m
.6713 .01847 L
s
.70939 .01472 m
.70939 .01847 L
s
.74747 .01472 m
.74747 .01847 L
s
.82365 .01472 m
.82365 .01847 L
s
.86174 .01472 m
.86174 .01847 L
s
.89982 .01472 m
.89982 .01847 L
s
.93791 .01472 m
.93791 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .1318 m
.03006 .1318 L
s
gsave
.01131 .1318 -90 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(10000) show
1.000 setlinewidth
grestore
.02381 .24888 m
.03006 .24888 L
s
gsave
.01131 .24888 -90 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(20000) show
1.000 setlinewidth
grestore
.02381 .36596 m
.03006 .36596 L
s
gsave
.01131 .36596 -90 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(30000) show
1.000 setlinewidth
grestore
.02381 .48304 m
.03006 .48304 L
s
gsave
.01131 .48304 -90 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(40000) show
1.000 setlinewidth
grestore
.02381 .60013 m
.03006 .60013 L
s
gsave
.01131 .60013 -90 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(50000) show
1.000 setlinewidth
grestore
.125 Mabswid
.02381 .03813 m
.02756 .03813 L
s
.02381 .06155 m
.02756 .06155 L
s
.02381 .08496 m
.02756 .08496 L
s
.02381 .10838 m
.02756 .10838 L
s
.02381 .15521 m
.02756 .15521 L
s
.02381 .17863 m
.02756 .17863 L
s
.02381 .20205 m
.02756 .20205 L
s
.02381 .22546 m
.02756 .22546 L
s
.02381 .2723 m
.02756 .2723 L
s
.02381 .29571 m
.02756 .29571 L
s
.02381 .31913 m
.02756 .31913 L
s
.02381 .34255 m
.02756 .34255 L
s
.02381 .38938 m
.02756 .38938 L
s
.02381 .41279 m
.02756 .41279 L
s
.02381 .43621 m
.02756 .43621 L
s
.02381 .45963 m
.02756 .45963 L
s
.02381 .50646 m
.02756 .50646 L
s
.02381 .52988 m
.02756 .52988 L
s
.02381 .55329 m
.02756 .55329 L
s
.02381 .57671 m
.02756 .57671 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.008 w
.02419 .27274 Mdot
.02438 .2446 Mdot
.02457 .24538 Mdot
.02476 .34093 Mdot
.02495 .1967 Mdot
.02514 .09047 Mdot
.02533 .12548 Mdot
.02552 .30186 Mdot
.02571 .45888 Mdot
.0259 .22748 Mdot
.02609 .19101 Mdot
.02629 .23081 Mdot
.02648 .14272 Mdot
.02667 .16983 Mdot
.02686 .41646 Mdot
.02705 .23211 Mdot
.02724 .16978 Mdot
.02743 .05604 Mdot
.02762 .22312 Mdot
.02781 .03307 Mdot
.028 .28345 Mdot
.02819 .35603 Mdot
.02838 .18817 Mdot
.02857 .187 Mdot
.02876 .1585 Mdot
.02895 .39268 Mdot
.02914 .21208 Mdot
.02933 .22683 Mdot
.02952 .08106 Mdot
.02971 .40349 Mdot
.0299 .15676 Mdot
.03009 .34943 Mdot
.03028 .26909 Mdot
.03047 .14565 Mdot
.03067 .11025 Mdot
.03086 .34439 Mdot
.03105 .13687 Mdot
.03124 .21666 Mdot
.03143 .16852 Mdot
.03162 .31607 Mdot
.03181 .10358 Mdot
.032 .16853 Mdot
.03219 .18045 Mdot
.03238 .11394 Mdot
.03257 .13171 Mdot
.03276 .21757 Mdot
.03295 .09623 Mdot
.03314 .22981 Mdot
.03333 .1063 Mdot
.03352 .31493 Mdot
.03371 .06335 Mdot
.0339 .19646 Mdot
.03409 .24879 Mdot
.03428 .27068 Mdot
.03447 .44613 Mdot
.03466 .30593 Mdot
.03485 .12757 Mdot
.03505 .20899 Mdot
.03524 .1303 Mdot
.03543 .30189 Mdot
.03562 .21218 Mdot
.03581 .31772 Mdot
.036 .20378 Mdot
.03619 .07321 Mdot
.03638 .2905 Mdot
.03657 .32189 Mdot
.03676 .08341 Mdot
.03695 .38408 Mdot
.03714 .33172 Mdot
.03733 .28467 Mdot
.03752 .26334 Mdot
.03771 .1189 Mdot
.0379 .17204 Mdot
.03809 .1951 Mdot
.03828 .17457 Mdot
.03847 .18784 Mdot
.03866 .53898 Mdot
.03885 .26899 Mdot
.03904 .19111 Mdot
.03924 .25243 Mdot
.03943 .12796 Mdot
.03962 .15818 Mdot
.03981 .17181 Mdot
.04 .43048 Mdot
.04019 .07872 Mdot
.04038 .39834 Mdot
.04057 .08404 Mdot
.04076 .28553 Mdot
.04095 .37099 Mdot
.04114 .26134 Mdot
.04133 .28293 Mdot
.04152 .22403 Mdot
.04171 .22789 Mdot
.0419 .19592 Mdot
.04209 .1944 Mdot
.04228 .32939 Mdot
.04247 .0934 Mdot
.04266 .20856 Mdot
.04285 .20143 Mdot
.04304 .11146 Mdot
.04323 .05065 Mdot
.04342 .1699 Mdot
.04362 .36045 Mdot
.04381 .06802 Mdot
.044 .22714 Mdot
.04419 .36395 Mdot
.04438 .26591 Mdot
.04457 .29215 Mdot
.04476 .32909 Mdot
.04495 .07379 Mdot
.04514 .12164 Mdot
.04533 .17478 Mdot
.04552 .34903 Mdot
.04571 .10225 Mdot
.0459 .17197 Mdot
.04609 .19 Mdot
.04628 .15058 Mdot
.04647 .06849 Mdot
.04666 .23426 Mdot
.04685 .1364 Mdot
.04704 .42269 Mdot
.04723 .12818 Mdot
.04742 .48555 Mdot
.04761 .12458 Mdot
.0478 .17317 Mdot
.048 .14891 Mdot
.04819 .12238 Mdot
.04838 .29461 Mdot
.04857 .08611 Mdot
.04876 .03077 Mdot
.04895 .26605 Mdot
.04914 .07885 Mdot
.04933 .28354 Mdot
.04952 .23787 Mdot
.04971 .25209 Mdot
.0499 .09945 Mdot
.05009 .30382 Mdot
.05028 .16799 Mdot
.05047 .27956 Mdot
.05066 .34352 Mdot
.05085 .27168 Mdot
.05104 .34357 Mdot
.05123 .06689 Mdot
.05142 .25215 Mdot
.05161 .28695 Mdot
.0518 .25149 Mdot
.05199 .20994 Mdot
.05218 .12688 Mdot
.05238 .21151 Mdot
.05257 .26407 Mdot
.05276 .30451 Mdot
.05295 .19017 Mdot
.05314 .05894 Mdot
.05333 .19378 Mdot
.05352 .11743 Mdot
.05371 .10734 Mdot
.0539 .11317 Mdot
.05409 .1345 Mdot
.05428 .34012 Mdot
.05447 .21603 Mdot
.05466 .24746 Mdot
.05485 .3189 Mdot
.05504 .20089 Mdot
.05523 .02908 Mdot
.05542 .07757 Mdot
.05561 .14028 Mdot
.0558 .06163 Mdot
.05599 .06126 Mdot
.05618 .14829 Mdot
.05637 .36301 Mdot
.05656 .37141 Mdot
.05676 .29042 Mdot
.05695 .12308 Mdot
.05714 .04804 Mdot
.05733 .10257 Mdot
.05752 .09238 Mdot
.05771 .17413 Mdot
.0579 .14191 Mdot
.05809 .22287 Mdot
.05828 .23693 Mdot
.05847 .09244 Mdot
.05866 .26868 Mdot
.05885 .15493 Mdot
.05904 .21786 Mdot
.05923 .24808 Mdot
.05942 .06193 Mdot
.05961 .1109 Mdot
.0598 .22061 Mdot
.05999 .1255 Mdot
.06018 .12267 Mdot
.06037 .12398 Mdot
.06056 .14735 Mdot
.06075 .24378 Mdot
.06094 .40096 Mdot
.06114 .20314 Mdot
.06133 .2746 Mdot
.06152 .23348 Mdot
.06171 .13775 Mdot
.0619 .191 Mdot
.06209 .2744 Mdot
.06228 .17809 Mdot
.06247 .08774 Mdot
.06266 .22779 Mdot
.06285 .20457 Mdot
.06304 .08703 Mdot
.06323 .17263 Mdot
.06342 .34497 Mdot
.06361 .11373 Mdot
.0638 .14992 Mdot
.06399 .34997 Mdot
.06418 .23078 Mdot
.06437 .05314 Mdot
.06456 .11826 Mdot
.06475 .24415 Mdot
.06494 .36438 Mdot
.06513 .16265 Mdot
.06533 .10315 Mdot
.06552 .06447 Mdot
.06571 .11198 Mdot
.0659 .13438 Mdot
.06609 .08733 Mdot
.06628 .0497 Mdot
.06647 .06919 Mdot
.06666 .06181 Mdot
.06685 .1413 Mdot
.06704 .09184 Mdot
.06723 .23592 Mdot
.06742 .15196 Mdot
.06761 .10803 Mdot
.0678 .23969 Mdot
.06799 .23335 Mdot
.06818 .17885 Mdot
.06837 .36866 Mdot
.06856 .14669 Mdot
.06875 .14302 Mdot
.06894 .27968 Mdot
.06913 .22025 Mdot
.06932 .18563 Mdot
.06951 .14847 Mdot
.06971 .30926 Mdot
.0699 .0742 Mdot
.07009 .21829 Mdot
.07028 .13474 Mdot
.07047 .29456 Mdot
.07066 .3391 Mdot
.07085 .54757 Mdot
.07104 .35287 Mdot
.07123 .14329 Mdot
.07142 .11188 Mdot
.07161 .13759 Mdot
.0718 .13882 Mdot
.07199 .24881 Mdot
.07218 .05505 Mdot
.07237 .20254 Mdot
.07256 .1812 Mdot
.07275 .13494 Mdot
.07294 .14757 Mdot
.07313 .16372 Mdot
.07332 .16864 Mdot
.07351 .15737 Mdot
.0737 .39616 Mdot
.07389 .31044 Mdot
.07409 .25029 Mdot
.07428 .34616 Mdot
.07447 .23106 Mdot
.07466 .13758 Mdot
.07485 .12527 Mdot
.07504 .26528 Mdot
.07523 .10473 Mdot
.07542 .13785 Mdot
.07561 .07757 Mdot
.0758 .36727 Mdot
.07599 .10659 Mdot
.07618 .10027 Mdot
.07637 .09127 Mdot
.07656 .16788 Mdot
.07675 .18407 Mdot
.07694 .18898 Mdot
.07713 .28283 Mdot
.07732 .23708 Mdot
.07751 .20936 Mdot
.0777 .06298 Mdot
.07789 .14116 Mdot
.07808 .50165 Mdot
.07827 .14187 Mdot
.07847 .31356 Mdot
.07866 .10885 Mdot
.07885 .05768 Mdot
.07904 .16483 Mdot
.07923 .1041 Mdot
.07942 .1131 Mdot
.07961 .12112 Mdot
.0798 .20531 Mdot
.07999 .23491 Mdot
.08018 .12613 Mdot
.08037 .12888 Mdot
.08056 .07483 Mdot
.08075 .22438 Mdot
.08094 .07227 Mdot
.08113 .27639 Mdot
.08132 .35372 Mdot
.08151 .08966 Mdot
.0817 .21653 Mdot
.08189 .21447 Mdot
.08208 .09883 Mdot
.08227 .16515 Mdot
.08246 .43052 Mdot
.08265 .27194 Mdot
.08285 .1055 Mdot
.08304 .38685 Mdot
.08323 .34212 Mdot
.08342 .16307 Mdot
.08361 .14306 Mdot
.0838 .43424 Mdot
.08399 .28072 Mdot
.08418 .18916 Mdot
.08437 .28377 Mdot
.08456 .16571 Mdot
.08475 .41281 Mdot
.08494 .22828 Mdot
.08513 .09245 Mdot
.08532 .2837 Mdot
.08551 .36931 Mdot
.0857 .29721 Mdot
.08589 .05354 Mdot
.08608 .11 Mdot
.08627 .30268 Mdot
.08646 .30818 Mdot
.08665 .29783 Mdot
.08684 .24666 Mdot
.08703 .19965 Mdot
.08723 .17403 Mdot
.08742 .24431 Mdot
.08761 .25488 Mdot
.0878 .27088 Mdot
.08799 .43775 Mdot
.08818 .42884 Mdot
.08837 .0948 Mdot
.08856 .04681 Mdot
.08875 .14444 Mdot
.08894 .05926 Mdot
.08913 .26787 Mdot
.08932 .23126 Mdot
.08951 .23948 Mdot
.0897 .39949 Mdot
.08989 .20032 Mdot
.09008 .50619 Mdot
.09027 .21838 Mdot
.09046 .33829 Mdot
.09065 .38076 Mdot
.09084 .18779 Mdot
.09103 .10762 Mdot
.09122 .15576 Mdot
.09142 .20136 Mdot
.09161 .29468 Mdot
.0918 .44682 Mdot
.09199 .25499 Mdot
.09218 .15423 Mdot
.09237 .1979 Mdot
.09256 .2198 Mdot
.09275 .33278 Mdot
.09294 .24478 Mdot
.09313 .10517 Mdot
.09332 .36949 Mdot
.09351 .17747 Mdot
.0937 .28406 Mdot
.09389 .04604 Mdot
.09408 .32574 Mdot
.09427 .38955 Mdot
.09446 .18545 Mdot
.09465 .15577 Mdot
.09484 .19168 Mdot
.09503 .18349 Mdot
.09522 .32875 Mdot
.09541 .13456 Mdot
.0956 .24794 Mdot
.0958 .14179 Mdot
.09599 .17507 Mdot
.09618 .25042 Mdot
.09637 .34164 Mdot
.09656 .16334 Mdot
.09675 .29339 Mdot
.09694 .20652 Mdot
.09713 .08618 Mdot
.09732 .18422 Mdot
.09751 .13393 Mdot
.0977 .0623 Mdot
.09789 .08642 Mdot
.09808 .18827 Mdot
.09827 .09259 Mdot
.09846 .2803 Mdot
.09865 .29907 Mdot
.09884 .22055 Mdot
.09903 .04247 Mdot
.09922 .34468 Mdot
.09941 .19312 Mdot
.0996 .23222 Mdot
.09979 .03485 Mdot
.09998 .26716 Mdot
.10018 .2771 Mdot
.10037 .19914 Mdot
.10056 .23952 Mdot
.10075 .16436 Mdot
.10094 .18554 Mdot
.10113 .16289 Mdot
.10132 .35915 Mdot
.10151 .26113 Mdot
.1017 .3957 Mdot
.10189 .27422 Mdot
.10208 .19366 Mdot
.10227 .33739 Mdot
.10246 .2464 Mdot
.10265 .03938 Mdot
.10284 .12038 Mdot
.10303 .2232 Mdot
.10322 .37888 Mdot
.10341 .19736 Mdot
.1036 .27854 Mdot
.10379 .27534 Mdot
.10398 .22089 Mdot
.10417 .25841 Mdot
.10436 .20232 Mdot
.10456 .40624 Mdot
.10475 .1331 Mdot
.10494 .22741 Mdot
.10513 .18056 Mdot
.10532 .23664 Mdot
.10551 .35935 Mdot
.1057 .14808 Mdot
.10589 .0945 Mdot
.10608 .11316 Mdot
.10627 .379 Mdot
.10646 .22516 Mdot
.10665 .35441 Mdot
.10684 .0622 Mdot
.10703 .06353 Mdot
.10722 .34299 Mdot
.10741 .1401 Mdot
.1076 .25691 Mdot
.10779 .19395 Mdot
.10798 .28179 Mdot
.10817 .48651 Mdot
.10836 .24827 Mdot
.10855 .26861 Mdot
.10874 .16829 Mdot
.10894 .22846 Mdot
.10913 .21659 Mdot
.10932 .22785 Mdot
.10951 .12993 Mdot
.1097 .24521 Mdot
.10989 .27705 Mdot
.11008 .27861 Mdot
.11027 .04367 Mdot
.11046 .238 Mdot
.11065 .27821 Mdot
.11084 .13525 Mdot
.11103 .28298 Mdot
.11122 .26371 Mdot
.11141 .08495 Mdot
.1116 .17843 Mdot
.11179 .15193 Mdot
.11198 .25864 Mdot
.11217 .07054 Mdot
.11236 .24874 Mdot
.11255 .16474 Mdot
.11274 .12106 Mdot
.11293 .25178 Mdot
.11312 .14518 Mdot
.11332 .0993 Mdot
.11351 .10747 Mdot
.1137 .22779 Mdot
.11389 .35587 Mdot
.11408 .31286 Mdot
.11427 .28581 Mdot
.11446 .25737 Mdot
.11465 .2514 Mdot
.11484 .04086 Mdot
.11503 .19202 Mdot
.11522 .19927 Mdot
.11541 .08456 Mdot
.1156 .18071 Mdot
.11579 .38483 Mdot
.11598 .12722 Mdot
.11617 .19166 Mdot
.11636 .1443 Mdot
.11655 .12923 Mdot
.11674 .08953 Mdot
.11693 .04334 Mdot
.11712 .27044 Mdot
.11731 .37979 Mdot
.11751 .39638 Mdot
.1177 .0341 Mdot
.11789 .11553 Mdot
.11808 .25892 Mdot
.11827 .30249 Mdot
.11846 .17618 Mdot
.11865 .29513 Mdot
.11884 .36253 Mdot
.11903 .17816 Mdot
.11922 .21322 Mdot
.11941 .32316 Mdot
.1196 .15712 Mdot
.11979 .15556 Mdot
.11998 .33124 Mdot
.12017 .39284 Mdot
.12036 .14938 Mdot
.12055 .2169 Mdot
.12074 .25157 Mdot
.12093 .17279 Mdot
.12112 .10112 Mdot
.12131 .23058 Mdot
.1215 .40045 Mdot
.12169 .09216 Mdot
.12189 .28263 Mdot
.12208 .27058 Mdot
.12227 .16167 Mdot
.12246 .16999 Mdot
.12265 .2454 Mdot
.12284 .07736 Mdot
.12303 .16614 Mdot
.12322 .22916 Mdot
.12341 .27713 Mdot
.1236 .31244 Mdot
.12379 .21269 Mdot
.12398 .1643 Mdot
.12417 .25129 Mdot
.12436 .2419 Mdot
.12455 .19343 Mdot
.12474 .15813 Mdot
.12493 .1767 Mdot
.12512 .18166 Mdot
.12531 .13721 Mdot
.1255 .22919 Mdot
.12569 .21497 Mdot
.12588 .09156 Mdot
.12607 .25244 Mdot
.12627 .16026 Mdot
.12646 .05824 Mdot
.12665 .07509 Mdot
.12684 .37558 Mdot
.12703 .21127 Mdot
.12722 .20553 Mdot
.12741 .47257 Mdot
.1276 .32092 Mdot
.12779 .11921 Mdot
.12798 .19242 Mdot
.12817 .11306 Mdot
.12836 .18521 Mdot
.12855 .18411 Mdot
.12874 .22822 Mdot
.12893 .23698 Mdot
.12912 .14039 Mdot
.12931 .13668 Mdot
.1295 .18944 Mdot
.12969 .17182 Mdot
.12988 .19688 Mdot
.13007 .04581 Mdot
.13026 .16658 Mdot
.13045 .36776 Mdot
.13065 .1315 Mdot
.13084 .31784 Mdot
.13103 .39031 Mdot
.13122 .35347 Mdot
.13141 .15245 Mdot
.1316 .20547 Mdot
.13179 .42222 Mdot
.13198 .58156 Mdot
.13217 .08395 Mdot
.13236 .35652 Mdot
.13255 .21255 Mdot
.13274 .24828 Mdot
.13293 .27627 Mdot
.13312 .33649 Mdot
.13331 .21411 Mdot
.1335 .17608 Mdot
.13369 .25256 Mdot
.13388 .10928 Mdot
.13407 .25214 Mdot
.13426 .07092 Mdot
.13445 .13559 Mdot
.13464 .06098 Mdot
.13483 .28618 Mdot
.13503 .12545 Mdot
.13522 .28865 Mdot
.13541 .06043 Mdot
.1356 .23293 Mdot
.13579 .18406 Mdot
.13598 .23983 Mdot
.13617 .28202 Mdot
.13636 .11149 Mdot
.13655 .06086 Mdot
.13674 .22807 Mdot
.13693 .20564 Mdot
.13712 .05535 Mdot
.13731 .26253 Mdot
.1375 .0823 Mdot
.13769 .22791 Mdot
.13788 .3123 Mdot
.13807 .1721 Mdot
.13826 .4546 Mdot
.13845 .15104 Mdot
.13864 .20798 Mdot
.13883 .07711 Mdot
.13902 .19679 Mdot
.13922 .30747 Mdot
.13941 .21616 Mdot
.1396 .10096 Mdot
.13979 .12209 Mdot
.13998 .41688 Mdot
.14017 .24887 Mdot
.14036 .2833 Mdot
.14055 .28094 Mdot
.14074 .14028 Mdot
.14093 .19191 Mdot
.14112 .43298 Mdot
.14131 .23509 Mdot
.1415 .10595 Mdot
.14169 .25204 Mdot
.14188 .10707 Mdot
.14207 .21496 Mdot
.14226 .2688 Mdot
.14245 .35875 Mdot
.14264 .23229 Mdot
.14283 .03533 Mdot
.14302 .12959 Mdot
.14321 .24198 Mdot
.1434 .29995 Mdot
.1436 .18195 Mdot
.14379 .35301 Mdot
.14398 .30633 Mdot
.14417 .34744 Mdot
.14436 .18199 Mdot
.14455 .22086 Mdot
.14474 .35648 Mdot
.14493 .08507 Mdot
.14512 .06467 Mdot
.14531 .20517 Mdot
.1455 .26416 Mdot
.14569 .3831 Mdot
.14588 .18968 Mdot
.14607 .0536 Mdot
.14626 .31004 Mdot
.14645 .18922 Mdot
.14664 .16962 Mdot
.14683 .12924 Mdot
.14702 .05285 Mdot
.14721 .05728 Mdot
.1474 .07124 Mdot
.14759 .28084 Mdot
.14778 .33174 Mdot
.14798 .14891 Mdot
.14817 .28756 Mdot
.14836 .1949 Mdot
.14855 .24836 Mdot
.14874 .13131 Mdot
.14893 .27925 Mdot
.14912 .3182 Mdot
.14931 .27458 Mdot
.1495 .12812 Mdot
.14969 .17192 Mdot
.14988 .14066 Mdot
.15007 .4471 Mdot
.15026 .1507 Mdot
.15045 .23788 Mdot
.15064 .12111 Mdot
.15083 .29028 Mdot
.15102 .18365 Mdot
.15121 .22001 Mdot
.1514 .23149 Mdot
.15159 .30965 Mdot
.15178 .41402 Mdot
.15197 .12517 Mdot
.15216 .08595 Mdot
.15236 .10806 Mdot
.15255 .11218 Mdot
.15274 .09053 Mdot
.15293 .14793 Mdot
.15312 .15646 Mdot
.15331 .18897 Mdot
.1535 .17464 Mdot
.15369 .12155 Mdot
.15388 .15702 Mdot
.15407 .2928 Mdot
.15426 .25518 Mdot
.15445 .25093 Mdot
.15464 .09289 Mdot
.15483 .27011 Mdot
.15502 .14582 Mdot
.15521 .29581 Mdot
.1554 .34472 Mdot
.15559 .08063 Mdot
.15578 .19019 Mdot
.15597 .29825 Mdot
.15616 .1197 Mdot
.15635 .16023 Mdot
.15654 .21607 Mdot
.15674 .16582 Mdot
.15693 .29283 Mdot
.15712 .16062 Mdot
.15731 .24038 Mdot
.1575 .3286 Mdot
.15769 .27637 Mdot
.15788 .20068 Mdot
.15807 .12189 Mdot
.15826 .13796 Mdot
.15845 .41898 Mdot
.15864 .2281 Mdot
.15883 .27525 Mdot
.15902 .16518 Mdot
.15921 .28544 Mdot
.1594 .34256 Mdot
.15959 .32623 Mdot
.15978 .07752 Mdot
.15997 .09008 Mdot
.16016 .12805 Mdot
.16035 .20889 Mdot
.16054 .13141 Mdot
.16073 .31351 Mdot
.16092 .18104 Mdot
.16112 .13038 Mdot
.16131 .16068 Mdot
.1615 .18948 Mdot
.16169 .19805 Mdot
.16188 .02429 Mdot
.16207 .14039 Mdot
.16226 .17918 Mdot
.16245 .05362 Mdot
.16264 .12492 Mdot
.16283 .05107 Mdot
.16302 .06908 Mdot
.16321 .24249 Mdot
.1634 .15746 Mdot
.16359 .06045 Mdot
.16378 .15416 Mdot
.16397 .10407 Mdot
.16416 .20126 Mdot
.16435 .02676 Mdot
.16454 .04189 Mdot
.16473 .228 Mdot
.16492 .38412 Mdot
.16511 .11895 Mdot
.16531 .0956 Mdot
.1655 .13137 Mdot
.16569 .31249 Mdot
.16588 .06671 Mdot
.16607 .26271 Mdot
.16626 .06782 Mdot
.16645 .25681 Mdot
.16664 .1829 Mdot
.16683 .20937 Mdot
.16702 .12873 Mdot
.16721 .17557 Mdot
.1674 .27042 Mdot
.16759 .29926 Mdot
.16778 .22819 Mdot
.16797 .15819 Mdot
.16816 .06548 Mdot
.16835 .27795 Mdot
.16854 .42768 Mdot
.16873 .49783 Mdot
.16892 .17529 Mdot
.16911 .04552 Mdot
.1693 .18506 Mdot
.16949 .15315 Mdot
.16969 .24498 Mdot
.16988 .31327 Mdot
.17007 .18437 Mdot
.17026 .05754 Mdot
.17045 .19693 Mdot
.17064 .22039 Mdot
.17083 .38243 Mdot
.17102 .25465 Mdot
.17121 .36297 Mdot
.1714 .40797 Mdot
.17159 .05573 Mdot
.17178 .15555 Mdot
.17197 .09269 Mdot
.17216 .34474 Mdot
.17235 .2841 Mdot
.17254 .27372 Mdot
.17273 .17758 Mdot
.17292 .26353 Mdot
.17311 .20268 Mdot
.1733 .29927 Mdot
.17349 .2596 Mdot
.17368 .36294 Mdot
.17387 .16 Mdot
.17407 .21925 Mdot
.17426 .02233 Mdot
.17445 .27087 Mdot
.17464 .21544 Mdot
.17483 .04663 Mdot
.17502 .08505 Mdot
.17521 .29298 Mdot
.1754 .27382 Mdot
.17559 .19297 Mdot
.17578 .10704 Mdot
.17597 .19436 Mdot
.17616 .18236 Mdot
.17635 .2009 Mdot
.17654 .09878 Mdot
.17673 .16525 Mdot
.17692 .15202 Mdot
.17711 .36469 Mdot
.1773 .28894 Mdot
.17749 .49676 Mdot
.17768 .38206 Mdot
.17787 .1058 Mdot
.17806 .11917 Mdot
.17825 .13211 Mdot
.17845 .26461 Mdot
.17864 .36434 Mdot
.17883 .23008 Mdot
.17902 .11007 Mdot
.17921 .21178 Mdot
.1794 .30252 Mdot
.17959 .13873 Mdot
.17978 .0855 Mdot
.17997 .16303 Mdot
.18016 .06735 Mdot
.18035 .18876 Mdot
.18054 .17444 Mdot
.18073 .3976 Mdot
.18092 .12879 Mdot
.18111 .44596 Mdot
.1813 .31106 Mdot
.18149 .30627 Mdot
.18168 .06565 Mdot
.18187 .27846 Mdot
.18206 .33427 Mdot
.18225 .12328 Mdot
.18244 .17078 Mdot
.18263 .42807 Mdot
.18283 .09717 Mdot
.18302 .15922 Mdot
.18321 .36583 Mdot
.1834 .35971 Mdot
.18359 .30405 Mdot
.18378 .39141 Mdot
.18397 .19808 Mdot
.18416 .37234 Mdot
.18435 .33419 Mdot
.18454 .19611 Mdot
.18473 .25022 Mdot
.18492 .24542 Mdot
.18511 .16963 Mdot
.1853 .30104 Mdot
.18549 .21626 Mdot
.18568 .06845 Mdot
.18587 .06583 Mdot
.18606 .11467 Mdot
.18625 .43274 Mdot
.18644 .26888 Mdot
.18663 .08235 Mdot
.18682 .10354 Mdot
.18701 .1883 Mdot
.18721 .39742 Mdot
.1874 .30448 Mdot
.18759 .10369 Mdot
.18778 .2221 Mdot
.18797 .20066 Mdot
.18816 .3982 Mdot
.18835 .29588 Mdot
.18854 .07159 Mdot
.18873 .16525 Mdot
.18892 .10565 Mdot
.18911 .29418 Mdot
.1893 .28957 Mdot
.18949 .25864 Mdot
.18968 .09942 Mdot
.18987 .11002 Mdot
.19006 .33351 Mdot
.19025 .25269 Mdot
.19044 .32981 Mdot
.19063 .19238 Mdot
.19082 .14174 Mdot
.19101 .17159 Mdot
.1912 .31708 Mdot
.1914 .2752 Mdot
.19159 .19842 Mdot
.19178 .32878 Mdot
.19197 .31505 Mdot
.19216 .21222 Mdot
.19235 .09979 Mdot
.19254 .14108 Mdot
.19273 .20176 Mdot
.19292 .15465 Mdot
.19311 .15112 Mdot
.1933 .28311 Mdot
.19349 .23474 Mdot
.19368 .26382 Mdot
.19387 .2105 Mdot
.19406 .24763 Mdot
.19425 .34302 Mdot
.19444 .02813 Mdot
.19463 .43305 Mdot
.19482 .22146 Mdot
.19501 .12327 Mdot
.1952 .16658 Mdot
.19539 .34838 Mdot
.19558 .15897 Mdot
.19578 .27841 Mdot
.19597 .11134 Mdot
.19616 .2089 Mdot
.19635 .16245 Mdot
.19654 .14377 Mdot
.19673 .11262 Mdot
.19692 .21557 Mdot
.19711 .30147 Mdot
.1973 .19813 Mdot
.19749 .30503 Mdot
.19768 .17857 Mdot
.19787 .15234 Mdot
.19806 .2314 Mdot
.19825 .22778 Mdot
.19844 .13787 Mdot
.19863 .13482 Mdot
.19882 .1402 Mdot
.19901 .09674 Mdot
.1992 .1679 Mdot
.19939 .13785 Mdot
.19958 .32289 Mdot
.19977 .09618 Mdot
.19996 .14979 Mdot
.20016 .26481 Mdot
.20035 .1281 Mdot
.20054 .37974 Mdot
.20073 .08436 Mdot
.20092 .45959 Mdot
.20111 .30053 Mdot
.2013 .08402 Mdot
.20149 .08959 Mdot
.20168 .34246 Mdot
.20187 .32388 Mdot
.20206 .29105 Mdot
.20225 .1665 Mdot
.20244 .15673 Mdot
.20263 .12356 Mdot
.20282 .35379 Mdot
.20301 .32081 Mdot
.2032 .33428 Mdot
.20339 .31531 Mdot
.20358 .20087 Mdot
.20377 .13696 Mdot
.20396 .39838 Mdot
.20415 .07053 Mdot
.20434 .03672 Mdot
.20454 .30722 Mdot
.20473 .13432 Mdot
.20492 .25068 Mdot
.20511 .20842 Mdot
.2053 .31465 Mdot
.20549 .16323 Mdot
.20568 .2583 Mdot
.20587 .1048 Mdot
.20606 .32019 Mdot
.20625 .20373 Mdot
.20644 .20884 Mdot
.20663 .2684 Mdot
.20682 .20576 Mdot
.20701 .16675 Mdot
.2072 .43401 Mdot
.20739 .32187 Mdot
.20758 .09761 Mdot
.20777 .0979 Mdot
.20796 .09672 Mdot
.20815 .39423 Mdot
.20834 .17707 Mdot
.20853 .07515 Mdot
.20872 .12016 Mdot
.20892 .44081 Mdot
.20911 .24641 Mdot
.2093 .33615 Mdot
.20949 .23102 Mdot
.20968 .19581 Mdot
.20987 .1765 Mdot
.21006 .15329 Mdot
.21025 .28385 Mdot
.21044 .31642 Mdot
.21063 .33279 Mdot
.21082 .12027 Mdot
.21101 .18342 Mdot
.2112 .32992 Mdot
.21139 .06611 Mdot
.21158 .17997 Mdot
.21177 .33276 Mdot
.21196 .15602 Mdot
.21215 .22927 Mdot
.21234 .17182 Mdot
.21253 .14162 Mdot
.21272 .13765 Mdot
.21291 .29808 Mdot
.2131 .11863 Mdot
.2133 .29139 Mdot
.21349 .42668 Mdot
.21368 .29223 Mdot
.21387 .39104 Mdot
.21406 .19108 Mdot
.21425 .19971 Mdot
.21444 .28502 Mdot
.21463 .29554 Mdot
.21482 .25645 Mdot
.21501 .32749 Mdot
.2152 .12865 Mdot
.21539 .27774 Mdot
.21558 .09785 Mdot
.21577 .32315 Mdot
.21596 .08253 Mdot
.21615 .22771 Mdot
.21634 .24835 Mdot
.21653 .1782 Mdot
.21672 .15985 Mdot
.21691 .2521 Mdot
.2171 .25167 Mdot
.21729 .13383 Mdot
.21749 .22714 Mdot
.21768 .10061 Mdot
.21787 .26531 Mdot
.21806 .33457 Mdot
.21825 .22607 Mdot
.21844 .17831 Mdot
.21863 .20662 Mdot
.21882 .1524 Mdot
.21901 .14568 Mdot
.2192 .11797 Mdot
.21939 .1539 Mdot
.21958 .27788 Mdot
.21977 .26139 Mdot
.21996 .15372 Mdot
.22015 .22561 Mdot
.22034 .17177 Mdot
.22053 .10272 Mdot
.22072 .22127 Mdot
.22091 .22303 Mdot
.2211 .1336 Mdot
.22129 .13988 Mdot
.22148 .46505 Mdot
.22167 .06246 Mdot
.22187 .21893 Mdot
.22206 .16433 Mdot
.22225 .37459 Mdot
.22244 .09968 Mdot
.22263 .24312 Mdot
.22282 .20931 Mdot
.22301 .47073 Mdot
.2232 .0674 Mdot
.22339 .22266 Mdot
.22358 .34254 Mdot
.22377 .16835 Mdot
.22396 .32264 Mdot
.22415 .08881 Mdot
.22434 .14959 Mdot
.22453 .11636 Mdot
.22472 .21361 Mdot
.22491 .18693 Mdot
.2251 .032 Mdot
.22529 .25963 Mdot
.22548 .15858 Mdot
.22567 .10706 Mdot
.22586 .48214 Mdot
.22605 .05988 Mdot
.22625 .24837 Mdot
.22644 .24322 Mdot
.22663 .1976 Mdot
.22682 .07854 Mdot
.22701 .10498 Mdot
.2272 .23377 Mdot
.22739 .32198 Mdot
.22758 .11337 Mdot
.22777 .24142 Mdot
.22796 .1606 Mdot
.22815 .05495 Mdot
.22834 .1404 Mdot
.22853 .02235 Mdot
.22872 .3921 Mdot
.22891 .1493 Mdot
.2291 .23827 Mdot
.22929 .05717 Mdot
.22948 .37843 Mdot
.22967 .28975 Mdot
.22986 .03897 Mdot
.23005 .13861 Mdot
.23024 .24884 Mdot
.23043 .11759 Mdot
.23063 .31132 Mdot
.23082 .08548 Mdot
.23101 .25868 Mdot
.2312 .12151 Mdot
.23139 .34949 Mdot
.23158 .17675 Mdot
.23177 .16448 Mdot
.23196 .19446 Mdot
.23215 .12323 Mdot
.23234 .29304 Mdot
.23253 .04891 Mdot
.23272 .15884 Mdot
.23291 .25994 Mdot
.2331 .19981 Mdot
.23329 .16543 Mdot
.23348 .2758 Mdot
.23367 .07362 Mdot
.23386 .04274 Mdot
.23405 .28135 Mdot
.23424 .30996 Mdot
.23443 .17615 Mdot
.23462 .17519 Mdot
.23481 .24901 Mdot
.23501 .07119 Mdot
.2352 .33515 Mdot
.23539 .31828 Mdot
.23558 .14381 Mdot
.23577 .12313 Mdot
.23596 .133 Mdot
.23615 .23644 Mdot
.23634 .2534 Mdot
.23653 .13657 Mdot
.23672 .24961 Mdot
.23691 .20103 Mdot
.2371 .4419 Mdot
.23729 .07441 Mdot
.23748 .2129 Mdot
.23767 .40271 Mdot
.23786 .2217 Mdot
.23805 .08387 Mdot
.23824 .08111 Mdot
.23843 .0493 Mdot
.23862 .229 Mdot
.23881 .19833 Mdot
.239 .07906 Mdot
.2392 .30955 Mdot
.23939 .18621 Mdot
.23958 .16057 Mdot
.23977 .05985 Mdot
.23996 .28512 Mdot
.24015 .16417 Mdot
.24034 .20712 Mdot
.24053 .30441 Mdot
.24072 .33004 Mdot
.24091 .26096 Mdot
.2411 .44558 Mdot
.24129 .35776 Mdot
.24148 .31581 Mdot
.24167 .16626 Mdot
.24186 .10274 Mdot
.24205 .11845 Mdot
.24224 .30186 Mdot
.24243 .08598 Mdot
.24262 .21723 Mdot
.24281 .09811 Mdot
.243 .17055 Mdot
.24319 .14897 Mdot
.24338 .30855 Mdot
.24358 .17482 Mdot
.24377 .12095 Mdot
.24396 .22649 Mdot
.24415 .2629 Mdot
.24434 .13487 Mdot
.24453 .16755 Mdot
.24472 .3483 Mdot
.24491 .12603 Mdot
.2451 .32701 Mdot
.24529 .08395 Mdot
.24548 .32502 Mdot
.24567 .60938 Mdot
.24586 .24787 Mdot
.24605 .1357 Mdot
.24624 .07993 Mdot
.24643 .45886 Mdot
.24662 .18229 Mdot
.24681 .15795 Mdot
.247 .22234 Mdot
.24719 .36756 Mdot
.24738 .14485 Mdot
.24757 .2992 Mdot
.24776 .20398 Mdot
.24796 .22349 Mdot
.24815 .13914 Mdot
.24834 .11828 Mdot
.24853 .14065 Mdot
.24872 .28961 Mdot
.24891 .32575 Mdot
.2491 .05729 Mdot
.24929 .39556 Mdot
.24948 .18439 Mdot
.24967 .10913 Mdot
.24986 .17207 Mdot
.25005 .07281 Mdot
.25024 .27254 Mdot
.25043 .12777 Mdot
.25062 .45121 Mdot
.25081 .06818 Mdot
.251 .24553 Mdot
.25119 .11954 Mdot
.25138 .13058 Mdot
.25157 .16497 Mdot
.25176 .35488 Mdot
.25195 .1916 Mdot
.25214 .0963 Mdot
.25234 .16163 Mdot
.25253 .18343 Mdot
.25272 .16587 Mdot
.25291 .29734 Mdot
.2531 .23566 Mdot
.25329 .17839 Mdot
.25348 .16617 Mdot
.25367 .23989 Mdot
.25386 .09737 Mdot
.25405 .14141 Mdot
.25424 .21819 Mdot
.25443 .13917 Mdot
.25462 .19168 Mdot
.25481 .19794 Mdot
.255 .0899 Mdot
.25519 .28052 Mdot
.25538 .23724 Mdot
.25557 .18945 Mdot
.25576 .18272 Mdot
.25595 .08705 Mdot
.25614 .26468 Mdot
.25633 .16967 Mdot
.25652 .39217 Mdot
.25672 .2215 Mdot
.25691 .28698 Mdot
.2571 .04973 Mdot
.25729 .33209 Mdot
.25748 .39283 Mdot
.25767 .30528 Mdot
.25786 .27957 Mdot
.25805 .10874 Mdot
.25824 .14588 Mdot
.25843 .17686 Mdot
.25862 .25371 Mdot
.25881 .13818 Mdot
.259 .11594 Mdot
.25919 .21344 Mdot
.25938 .29548 Mdot
.25957 .22856 Mdot
.25976 .18939 Mdot
.25995 .13348 Mdot
.26014 .28356 Mdot
.26033 .3075 Mdot
.26052 .20531 Mdot
.26071 .28098 Mdot
.2609 .08352 Mdot
.2611 .13276 Mdot
.26129 .13357 Mdot
.26148 .13186 Mdot
.26167 .28268 Mdot
.26186 .26948 Mdot
.26205 .11891 Mdot
.26224 .37374 Mdot
.26243 .31182 Mdot
.26262 .29269 Mdot
.26281 .18161 Mdot
.263 .11701 Mdot
.26319 .34958 Mdot
.26338 .22937 Mdot
.26357 .05997 Mdot
.26376 .28437 Mdot
.26395 .38727 Mdot
.26414 .1184 Mdot
.26433 .39331 Mdot
.26452 .08441 Mdot
.26471 .22451 Mdot
.2649 .25583 Mdot
.26509 .19876 Mdot
.26529 .1479 Mdot
.26548 .27458 Mdot
.26567 .12025 Mdot
.26586 .22294 Mdot
.26605 .12227 Mdot
.26624 .21594 Mdot
.26643 .09141 Mdot
.26662 .05857 Mdot
.26681 .21896 Mdot
.267 .12384 Mdot
.26719 .19107 Mdot
.26738 .18777 Mdot
.26757 .15041 Mdot
.26776 .36585 Mdot
.26795 .03926 Mdot
.26814 .25432 Mdot
.26833 .2602 Mdot
.26852 .17321 Mdot
.26871 .10236 Mdot
.2689 .46324 Mdot
.26909 .05299 Mdot
.26928 .1834 Mdot
.26947 .28246 Mdot
.26967 .39621 Mdot
.26986 .12205 Mdot
.27005 .16403 Mdot
.27024 .45886 Mdot
.27043 .19524 Mdot
.27062 .17536 Mdot
.27081 .23836 Mdot
.271 .08012 Mdot
.27119 .07208 Mdot
.27138 .37999 Mdot
.27157 .28826 Mdot
.27176 .27842 Mdot
.27195 .25568 Mdot
.27214 .0802 Mdot
.27233 .18376 Mdot
.27252 .10311 Mdot
.27271 .22058 Mdot
.2729 .19896 Mdot
.27309 .1475 Mdot
.27328 .3553 Mdot
.27347 .26328 Mdot
.27366 .43488 Mdot
.27385 .22017 Mdot
.27405 .1198 Mdot
.27424 .13854 Mdot
.27443 .02522 Mdot
.27462 .2539 Mdot
.27481 .13031 Mdot
.275 .22085 Mdot
.27519 .36819 Mdot
.27538 .14179 Mdot
.27557 .19492 Mdot
.27576 .1895 Mdot
.27595 .13696 Mdot
.27614 .28454 Mdot
.27633 .41168 Mdot
.27652 .11135 Mdot
.27671 .33226 Mdot
.2769 .10311 Mdot
.27709 .13569 Mdot
.27728 .28624 Mdot
.27747 .14172 Mdot
.27766 .09362 Mdot
.27785 .03947 Mdot
.27804 .36633 Mdot
.27823 .35518 Mdot
.27843 .13643 Mdot
.27862 .29772 Mdot
.27881 .11634 Mdot
.279 .36619 Mdot
.27919 .13022 Mdot
.27938 .09551 Mdot
.27957 .05059 Mdot
.27976 .17833 Mdot
.27995 .47188 Mdot
.28014 .06927 Mdot
.28033 .34274 Mdot
.28052 .33194 Mdot
.28071 .34461 Mdot
.2809 .44109 Mdot
.28109 .18355 Mdot
.28128 .29248 Mdot
.28147 .27493 Mdot
.28166 .20428 Mdot
.28185 .13499 Mdot
.28204 .17665 Mdot
.28223 .24966 Mdot
.28242 .38277 Mdot
.28261 .06103 Mdot
.28281 .22033 Mdot
.283 .23444 Mdot
.28319 .27205 Mdot
.28338 .128 Mdot
.28357 .07727 Mdot
.28376 .19895 Mdot
.28395 .08729 Mdot
.28414 .22557 Mdot
.28433 .38775 Mdot
.28452 .28089 Mdot
.28471 .12982 Mdot
.2849 .25111 Mdot
.28509 .15383 Mdot
.28528 .19857 Mdot
.28547 .19259 Mdot
.28566 .27233 Mdot
.28585 .16315 Mdot
.28604 .25763 Mdot
.28623 .24592 Mdot
.28642 .1301 Mdot
.28661 .1636 Mdot
.2868 .2858 Mdot
.28699 .30695 Mdot
.28719 .22932 Mdot
.28738 .32916 Mdot
.28757 .19017 Mdot
.28776 .13673 Mdot
.28795 .09457 Mdot
.28814 .10813 Mdot
.28833 .14445 Mdot
.28852 .1049 Mdot
.28871 .28817 Mdot
.2889 .25678 Mdot
.28909 .29876 Mdot
.28928 .1527 Mdot
.28947 .10671 Mdot
.28966 .05319 Mdot
.28985 .31286 Mdot
.29004 .17946 Mdot
.29023 .14189 Mdot
.29042 .27732 Mdot
.29061 .17741 Mdot
.2908 .03951 Mdot
.29099 .1811 Mdot
.29118 .20605 Mdot
.29138 .28941 Mdot
.29157 .28783 Mdot
.29176 .31863 Mdot
.29195 .1057 Mdot
.29214 .26888 Mdot
.29233 .33758 Mdot
.29252 .13266 Mdot
.29271 .13156 Mdot
.2929 .12662 Mdot
.29309 .15498 Mdot
.29328 .13917 Mdot
.29347 .0704 Mdot
.29366 .20403 Mdot
.29385 .0963 Mdot
.29404 .08705 Mdot
.29423 .3514 Mdot
.29442 .06866 Mdot
.29461 .12303 Mdot
.2948 .10577 Mdot
.29499 .12832 Mdot
.29518 .08043 Mdot
.29537 .12342 Mdot
.29556 .27076 Mdot
.29576 .11314 Mdot
.29595 .11825 Mdot
.29614 .14377 Mdot
.29633 .13591 Mdot
.29652 .18495 Mdot
.29671 .04076 Mdot
.2969 .14026 Mdot
.29709 .18195 Mdot
.29728 .03517 Mdot
.29747 .17328 Mdot
.29766 .24966 Mdot
.29785 .05667 Mdot
.29804 .18834 Mdot
.29823 .16101 Mdot
.29842 .26653 Mdot
.29861 .32057 Mdot
.2988 .24398 Mdot
.29899 .2377 Mdot
.29918 .29929 Mdot
.29937 .29472 Mdot
.29956 .19539 Mdot
.29975 .2838 Mdot
.29994 .07479 Mdot
.30014 .29192 Mdot
.30033 .156 Mdot
.30052 .20625 Mdot
.30071 .0939 Mdot
.3009 .32071 Mdot
.30109 .23942 Mdot
.30128 .0881 Mdot
.30147 .38721 Mdot
.30166 .2651 Mdot
.30185 .12592 Mdot
.30204 .15111 Mdot
.30223 .15659 Mdot
.30242 .19981 Mdot
.30261 .0993 Mdot
.3028 .29649 Mdot
.30299 .14473 Mdot
.30318 .32538 Mdot
.30337 .10635 Mdot
.30356 .22575 Mdot
.30375 .04849 Mdot
.30394 .09971 Mdot
.30413 .4195 Mdot
.30432 .03725 Mdot
.30452 .38382 Mdot
.30471 .16755 Mdot
.3049 .12179 Mdot
.30509 .21511 Mdot
.30528 .33708 Mdot
.30547 .1547 Mdot
.30566 .23555 Mdot
.30585 .09373 Mdot
.30604 .18381 Mdot
.30623 .11047 Mdot
.30642 .35468 Mdot
.30661 .22536 Mdot
.3068 .05869 Mdot
.30699 .25283 Mdot
.30718 .12524 Mdot
.30737 .0486 Mdot
.30756 .12421 Mdot
.30775 .13965 Mdot
.30794 .19481 Mdot
.30813 .06654 Mdot
.30832 .27609 Mdot
.30851 .16535 Mdot
.3087 .32289 Mdot
.3089 .24068 Mdot
.30909 .43878 Mdot
.30928 .20121 Mdot
.30947 .1143 Mdot
.30966 .35007 Mdot
.30985 .20973 Mdot
.31004 .22828 Mdot
.31023 .39626 Mdot
.31042 .1966 Mdot
.31061 .34284 Mdot
.3108 .33948 Mdot
.31099 .31807 Mdot
.31118 .17328 Mdot
.31137 .29422 Mdot
.31156 .37757 Mdot
.31175 .11923 Mdot
.31194 .19308 Mdot
.31213 .16512 Mdot
.31232 .21216 Mdot
.31251 .32346 Mdot
.3127 .2674 Mdot
.31289 .13569 Mdot
.31309 .16505 Mdot
.31328 .34438 Mdot
.31347 .07102 Mdot
.31366 .13231 Mdot
.31385 .19442 Mdot
.31404 .18218 Mdot
.31423 .18249 Mdot
.31442 .37435 Mdot
.31461 .16355 Mdot
.3148 .21341 Mdot
.31499 .39725 Mdot
.31518 .26329 Mdot
.31537 .15061 Mdot
.31556 .30344 Mdot
.31575 .07145 Mdot
.31594 .1861 Mdot
.31613 .27362 Mdot
.31632 .16432 Mdot
.31651 .21496 Mdot
.3167 .24131 Mdot
.31689 .13978 Mdot
.31708 .16395 Mdot
.31727 .29774 Mdot
.31747 .37618 Mdot
.31766 .18941 Mdot
.31785 .08475 Mdot
.31804 .22976 Mdot
.31823 .27389 Mdot
.31842 .14906 Mdot
.31861 .13453 Mdot
.3188 .46562 Mdot
.31899 .10618 Mdot
.31918 .1045 Mdot
.31937 .15807 Mdot
.31956 .32962 Mdot
.31975 .10511 Mdot
.31994 .11893 Mdot
.32013 .14943 Mdot
.32032 .25881 Mdot
.32051 .1063 Mdot
.3207 .19937 Mdot
.32089 .12598 Mdot
.32108 .32807 Mdot
.32127 .14552 Mdot
.32146 .19984 Mdot
.32165 .35621 Mdot
.32185 .22611 Mdot
.32204 .08693 Mdot
.32223 .14111 Mdot
.32242 .15262 Mdot
.32261 .2906 Mdot
.3228 .23419 Mdot
.32299 .25614 Mdot
.32318 .16844 Mdot
.32337 .33661 Mdot
.32356 .40192 Mdot
.32375 .24149 Mdot
.32394 .0889 Mdot
.32413 .23529 Mdot
.32432 .23086 Mdot
.32451 .14359 Mdot
.3247 .16288 Mdot
.32489 .14397 Mdot
.32508 .19507 Mdot
.32527 .09642 Mdot
.32546 .24533 Mdot
.32565 .11908 Mdot
.32584 .45693 Mdot
.32603 .38597 Mdot
.32623 .36155 Mdot
.32642 .13422 Mdot
.32661 .19853 Mdot
.3268 .31709 Mdot
.32699 .22702 Mdot
.32718 .06694 Mdot
.32737 .16415 Mdot
.32756 .21856 Mdot
.32775 .08399 Mdot
.32794 .31119 Mdot
.32813 .05527 Mdot
.32832 .27965 Mdot
.32851 .1616 Mdot
.3287 .21183 Mdot
.32889 .29853 Mdot
.32908 .13304 Mdot
.32927 .15519 Mdot
.32946 .19881 Mdot
.32965 .0727 Mdot
.32984 .35766 Mdot
.33003 .19826 Mdot
.33022 .39015 Mdot
.33041 .30199 Mdot
.33061 .18259 Mdot
.3308 .1339 Mdot
.33099 .18637 Mdot
.33118 .32372 Mdot
.33137 .25516 Mdot
.33156 .11013 Mdot
.33175 .27939 Mdot
.33194 .15861 Mdot
.33213 .18729 Mdot
.33232 .2789 Mdot
.33251 .15826 Mdot
.3327 .27324 Mdot
.33289 .51638 Mdot
.33308 .10652 Mdot
.33327 .22094 Mdot
.33346 .27163 Mdot
.33365 .0252 Mdot
.33384 .35581 Mdot
.33403 .10044 Mdot
.33422 .17256 Mdot
.33441 .49294 Mdot
.3346 .15332 Mdot
.33479 .32397 Mdot
.33499 .08393 Mdot
.33518 .32102 Mdot
.33537 .34405 Mdot
.33556 .16865 Mdot
.33575 .33567 Mdot
.33594 .26639 Mdot
.33613 .17954 Mdot
.33632 .26563 Mdot
.33651 .40624 Mdot
.3367 .4751 Mdot
.33689 .16668 Mdot
.33708 .25356 Mdot
.33727 .15751 Mdot
.33746 .1149 Mdot
.33765 .18488 Mdot
.33784 .27217 Mdot
.33803 .04885 Mdot
.33822 .24988 Mdot
.33841 .27348 Mdot
.3386 .02983 Mdot
.33879 .18866 Mdot
.33898 .16817 Mdot
.33918 .27572 Mdot
.33937 .27818 Mdot
.33956 .17259 Mdot
.33975 .33133 Mdot
.33994 .22893 Mdot
.34013 .2601 Mdot
.34032 .16143 Mdot
.34051 .22262 Mdot
.3407 .21786 Mdot
.34089 .09075 Mdot
.34108 .22359 Mdot
.34127 .17094 Mdot
.34146 .17283 Mdot
.34165 .14901 Mdot
.34184 .43821 Mdot
.34203 .27485 Mdot
.34222 .24273 Mdot
.34241 .19347 Mdot
.3426 .18288 Mdot
.34279 .49657 Mdot
.34298 .32191 Mdot
.34317 .097 Mdot
.34336 .16712 Mdot
.34356 .16746 Mdot
.34375 .26155 Mdot
.34394 .12472 Mdot
.34413 .17266 Mdot
.34432 .1867 Mdot
.34451 .37173 Mdot
.3447 .15063 Mdot
.34489 .23149 Mdot
.34508 .2242 Mdot
.34527 .32523 Mdot
.34546 .22924 Mdot
.34565 .18307 Mdot
.34584 .13638 Mdot
.34603 .19427 Mdot
.34622 .31298 Mdot
.34641 .2127 Mdot
.3466 .24996 Mdot
.34679 .24314 Mdot
.34698 .17732 Mdot
.34717 .08949 Mdot
.34736 .27254 Mdot
.34755 .10866 Mdot
.34774 .16089 Mdot
.34794 .34311 Mdot
.34813 .15727 Mdot
.34832 .32347 Mdot
.34851 .07993 Mdot
.3487 .21421 Mdot
.34889 .27233 Mdot
.34908 .2424 Mdot
.34927 .31945 Mdot
.34946 .23145 Mdot
.34965 .32866 Mdot
.34984 .20531 Mdot
.35003 .19091 Mdot
.35022 .24153 Mdot
.35041 .39913 Mdot
.3506 .41673 Mdot
.35079 .21746 Mdot
.35098 .21468 Mdot
.35117 .33022 Mdot
.35136 .14336 Mdot
.35155 .40376 Mdot
.35174 .07577 Mdot
.35193 .19466 Mdot
.35212 .24369 Mdot
.35232 .13608 Mdot
.35251 .23233 Mdot
.3527 .09273 Mdot
.35289 .46915 Mdot
.35308 .07878 Mdot
.35327 .10749 Mdot
.35346 .27144 Mdot
.35365 .18039 Mdot
.35384 .1147 Mdot
.35403 .13067 Mdot
.35422 .30555 Mdot
.35441 .11141 Mdot
.3546 .23193 Mdot
.35479 .45362 Mdot
.35498 .09139 Mdot
.35517 .2371 Mdot
.35536 .36171 Mdot
.35555 .07691 Mdot
.35574 .21065 Mdot
.35593 .54944 Mdot
.35612 .10722 Mdot
.35631 .35149 Mdot
.3565 .23951 Mdot
.3567 .2102 Mdot
.35689 .20227 Mdot
.35708 .3218 Mdot
.35727 .04474 Mdot
.35746 .13663 Mdot
.35765 .14898 Mdot
.35784 .17956 Mdot
.35803 .28049 Mdot
.35822 .10293 Mdot
.35841 .60613 Mdot
.3586 .35399 Mdot
.35879 .2541 Mdot
.35898 .09528 Mdot
.35917 .15523 Mdot
.35936 .16315 Mdot
.35955 .13204 Mdot
.35974 .16255 Mdot
.35993 .28766 Mdot
.36012 .32515 Mdot
.36031 .16472 Mdot
.3605 .13986 Mdot
.36069 .04653 Mdot
.36088 .20517 Mdot
.36108 .13365 Mdot
.36127 .26959 Mdot
.36146 .22175 Mdot
.36165 .15585 Mdot
.36184 .15691 Mdot
.36203 .08364 Mdot
.36222 .09698 Mdot
.36241 .07752 Mdot
.3626 .227 Mdot
.36279 .24696 Mdot
.36298 .07589 Mdot
.36317 .21357 Mdot
.36336 .17432 Mdot
.36355 .22091 Mdot
.36374 .32445 Mdot
.36393 .21637 Mdot
.36412 .09293 Mdot
.36431 .1032 Mdot
.3645 .25779 Mdot
.36469 .13766 Mdot
.36488 .08177 Mdot
.36507 .20269 Mdot
.36527 .10214 Mdot
.36546 .15656 Mdot
.36565 .3333 Mdot
.36584 .0506 Mdot
.36603 .21624 Mdot
.36622 .07383 Mdot
.36641 .12383 Mdot
.3666 .26063 Mdot
.36679 .19426 Mdot
.36698 .12669 Mdot
.36717 .12731 Mdot
.36736 .16011 Mdot
.36755 .19432 Mdot
.36774 .22612 Mdot
.36793 .1597 Mdot
.36812 .10437 Mdot
.36831 .0681 Mdot
.3685 .24823 Mdot
.36869 .27716 Mdot
.36888 .57427 Mdot
.36907 .07428 Mdot
.36926 .20284 Mdot
.36945 .14678 Mdot
.36965 .1648 Mdot
.36984 .3694 Mdot
.37003 .22479 Mdot
.37022 .19332 Mdot
.37041 .11429 Mdot
.3706 .28715 Mdot
.37079 .08278 Mdot
.37098 .34499 Mdot
.37117 .14773 Mdot
.37136 .19352 Mdot
.37155 .29326 Mdot
.37174 .21523 Mdot
.37193 .05761 Mdot
.37212 .22079 Mdot
.37231 .14932 Mdot
.3725 .16933 Mdot
.37269 .22575 Mdot
.37288 .03289 Mdot
.37307 .2354 Mdot
.37326 .28139 Mdot
.37345 .12627 Mdot
.37364 .13122 Mdot
.37383 .51745 Mdot
.37403 .05286 Mdot
.37422 .10698 Mdot
.37441 .17575 Mdot
.3746 .36445 Mdot
.37479 .52649 Mdot
.37498 .14435 Mdot
.37517 .09316 Mdot
.37536 .21459 Mdot
.37555 .037 Mdot
.37574 .1409 Mdot
.37593 .15412 Mdot
.37612 .12736 Mdot
.37631 .17009 Mdot
.3765 .14043 Mdot
.37669 .10139 Mdot
.37688 .29352 Mdot
.37707 .40339 Mdot
.37726 .13616 Mdot
.37745 .0817 Mdot
.37764 .17322 Mdot
.37783 .14771 Mdot
.37802 .12246 Mdot
.37821 .08438 Mdot
.37841 .05711 Mdot
.3786 .24766 Mdot
.37879 .26286 Mdot
.37898 .15728 Mdot
.37917 .1704 Mdot
.37936 .32992 Mdot
.37955 .12625 Mdot
.37974 .20227 Mdot
.37993 .39532 Mdot
.38012 .10323 Mdot
.38031 .39218 Mdot
.3805 .46542 Mdot
.38069 .12029 Mdot
.38088 .32096 Mdot
.38107 .23919 Mdot
.38126 .15232 Mdot
.38145 .09711 Mdot
.38164 .22954 Mdot
.38183 .07759 Mdot
.38202 .2533 Mdot
.38221 .24994 Mdot
.3824 .28601 Mdot
.38259 .23876 Mdot
.38279 .18551 Mdot
.38298 .15753 Mdot
.38317 .17009 Mdot
.38336 .16234 Mdot
.38355 .07377 Mdot
.38374 .088 Mdot
.38393 .151 Mdot
.38412 .39089 Mdot
.38431 .29692 Mdot
.3845 .20278 Mdot
.38469 .29189 Mdot
.38488 .10024 Mdot
.38507 .07354 Mdot
.38526 .18554 Mdot
.38545 .27173 Mdot
.38564 .30795 Mdot
.38583 .05179 Mdot
.38602 .30653 Mdot
.38621 .23865 Mdot
.3864 .25547 Mdot
.38659 .18866 Mdot
.38678 .19148 Mdot
.38697 .16255 Mdot
.38717 .26413 Mdot
.38736 .06028 Mdot
.38755 .31553 Mdot
.38774 .0962 Mdot
.38793 .10446 Mdot
.38812 .08053 Mdot
.38831 .14031 Mdot
.3885 .19688 Mdot
.38869 .13216 Mdot
.38888 .3281 Mdot
.38907 .2988 Mdot
.38926 .19742 Mdot
.38945 .25225 Mdot
.38964 .32485 Mdot
.38983 .42596 Mdot
.39002 .2995 Mdot
.39021 .12863 Mdot
.3904 .08775 Mdot
.39059 .33214 Mdot
.39078 .07223 Mdot
.39097 .26364 Mdot
.39116 .23385 Mdot
.39136 .28647 Mdot
.39155 .20226 Mdot
.39174 .22338 Mdot
.39193 .15876 Mdot
.39212 .02577 Mdot
.39231 .23599 Mdot
.3925 .18091 Mdot
.39269 .38288 Mdot
.39288 .21611 Mdot
.39307 .21044 Mdot
.39326 .20117 Mdot
.39345 .2525 Mdot
.39364 .44046 Mdot
.39383 .15737 Mdot
.39402 .10527 Mdot
.39421 .26497 Mdot
.3944 .16205 Mdot
.39459 .42625 Mdot
.39478 .10678 Mdot
.39497 .31627 Mdot
.39516 .06806 Mdot
.39535 .22947 Mdot
.39554 .26374 Mdot
.39574 .10299 Mdot
.39593 .33009 Mdot
.39612 .35809 Mdot
.39631 .10783 Mdot
.3965 .11229 Mdot
.39669 .12535 Mdot
.39688 .35235 Mdot
.39707 .10734 Mdot
.39726 .16093 Mdot
.39745 .13031 Mdot
.39764 .21187 Mdot
.39783 .12289 Mdot
.39802 .2248 Mdot
.39821 .22258 Mdot
.3984 .15569 Mdot
.39859 .09112 Mdot
.39878 .30456 Mdot
.39897 .45514 Mdot
.39916 .37365 Mdot
.39935 .18169 Mdot
.39954 .05973 Mdot
.39973 .1459 Mdot
.39992 .35608 Mdot
.40012 .09918 Mdot
.40031 .26527 Mdot
.4005 .06573 Mdot
.40069 .3894 Mdot
.40088 .17054 Mdot
.40107 .25585 Mdot
.40126 .25854 Mdot
.40145 .17913 Mdot
.40164 .08968 Mdot
.40183 .27191 Mdot
.40202 .07591 Mdot
.40221 .07667 Mdot
.4024 .12798 Mdot
.40259 .16862 Mdot
.40278 .32388 Mdot
.40297 .28415 Mdot
.40316 .54167 Mdot
.40335 .24036 Mdot
.40354 .1216 Mdot
.40373 .04725 Mdot
.40392 .21675 Mdot
.40411 .32013 Mdot
.4043 .3303 Mdot
.4045 .12025 Mdot
.40469 .15521 Mdot
.40488 .20115 Mdot
.40507 .34889 Mdot
.40526 .29976 Mdot
.40545 .17889 Mdot
.40564 .49676 Mdot
.40583 .25961 Mdot
.40602 .08159 Mdot
.40621 .28372 Mdot
.4064 .03036 Mdot
.40659 .05015 Mdot
.40678 .22537 Mdot
.40697 .10105 Mdot
.40716 .19873 Mdot
.40735 .15401 Mdot
.40754 .17527 Mdot
.40773 .16156 Mdot
.40792 .23582 Mdot
.40811 .21657 Mdot
.4083 .29415 Mdot
.40849 .17045 Mdot
.40868 .19386 Mdot
.40888 .13065 Mdot
.40907 .14802 Mdot
.40926 .41636 Mdot
.40945 .23577 Mdot
.40964 .36727 Mdot
.40983 .3607 Mdot
.41002 .22035 Mdot
.41021 .05208 Mdot
.4104 .26273 Mdot
.41059 .18238 Mdot
.41078 .32294 Mdot
.41097 .2529 Mdot
.41116 .17818 Mdot
.41135 .13629 Mdot
.41154 .20453 Mdot
.41173 .18626 Mdot
.41192 .23948 Mdot
.41211 .23143 Mdot
.4123 .43071 Mdot
.41249 .36512 Mdot
.41268 .24374 Mdot
.41287 .29891 Mdot
.41307 .31869 Mdot
.41326 .43924 Mdot
.41345 .32697 Mdot
.41364 .26793 Mdot
.41383 .27297 Mdot
.41402 .41576 Mdot
.41421 .40592 Mdot
.4144 .28142 Mdot
.41459 .07133 Mdot
.41478 .36143 Mdot
.41497 .19827 Mdot
.41516 .35008 Mdot
.41535 .19025 Mdot
.41554 .1886 Mdot
.41573 .34553 Mdot
.41592 .11104 Mdot
.41611 .24945 Mdot
.4163 .03059 Mdot
.41649 .22273 Mdot
.41668 .25896 Mdot
.41687 .21483 Mdot
.41706 .14207 Mdot
.41725 .16585 Mdot
.41745 .20953 Mdot
.41764 .1852 Mdot
.41783 .13636 Mdot
.41802 .08681 Mdot
.41821 .35647 Mdot
.4184 .2342 Mdot
.41859 .21447 Mdot
.41878 .157 Mdot
.41897 .14086 Mdot
.41916 .21512 Mdot
.41935 .24094 Mdot
.41954 .20881 Mdot
.41973 .16989 Mdot
.41992 .17658 Mdot
.42011 .37448 Mdot
.4203 .211 Mdot
.42049 .10064 Mdot
.42068 .44347 Mdot
.42087 .13782 Mdot
.42106 .17909 Mdot
.42125 .25965 Mdot
.42144 .35501 Mdot
.42163 .10929 Mdot
.42183 .25907 Mdot
.42202 .23087 Mdot
.42221 .11103 Mdot
.4224 .04002 Mdot
.42259 .12269 Mdot
.42278 .08294 Mdot
.42297 .13813 Mdot
.42316 .09859 Mdot
.42335 .21516 Mdot
.42354 .25601 Mdot
.42373 .35588 Mdot
.42392 .26388 Mdot
.42411 .36819 Mdot
.4243 .15364 Mdot
.42449 .41346 Mdot
.42468 .07715 Mdot
.42487 .41555 Mdot
.42506 .45218 Mdot
.42525 .24159 Mdot
.42544 .17916 Mdot
.42563 .15547 Mdot
.42582 .09015 Mdot
.42601 .38019 Mdot
.42621 .18358 Mdot
.4264 .2922 Mdot
.42659 .17104 Mdot
.42678 .18486 Mdot
.42697 .41246 Mdot
.42716 .12703 Mdot
.42735 .08386 Mdot
.42754 .43228 Mdot
.42773 .31847 Mdot
.42792 .22352 Mdot
.42811 .27118 Mdot
.4283 .18849 Mdot
.42849 .16938 Mdot
.42868 .15425 Mdot
.42887 .24521 Mdot
.42906 .23053 Mdot
.42925 .20479 Mdot
.42944 .24815 Mdot
.42963 .4305 Mdot
.42982 .18097 Mdot
.43001 .26612 Mdot
.4302 .24465 Mdot
.43039 .2238 Mdot
.43059 .27441 Mdot
.43078 .21631 Mdot
.43097 .18484 Mdot
.43116 .24124 Mdot
.43135 .08768 Mdot
.43154 .35533 Mdot
.43173 .41679 Mdot
.43192 .16908 Mdot
.43211 .35082 Mdot
.4323 .13831 Mdot
.43249 .07917 Mdot
.43268 .11064 Mdot
.43287 .10743 Mdot
.43306 .39652 Mdot
.43325 .24371 Mdot
.43344 .27353 Mdot
.43363 .1375 Mdot
.43382 .13273 Mdot
.43401 .10966 Mdot
.4342 .13221 Mdot
.43439 .19602 Mdot
.43458 .26229 Mdot
.43477 .21175 Mdot
.43497 .14071 Mdot
.43516 .20582 Mdot
.43535 .19112 Mdot
.43554 .47492 Mdot
.43573 .24066 Mdot
.43592 .30508 Mdot
.43611 .13678 Mdot
.4363 .26401 Mdot
.43649 .09483 Mdot
.43668 .19423 Mdot
.43687 .04011 Mdot
.43706 .11097 Mdot
.43725 .16118 Mdot
.43744 .20511 Mdot
.43763 .32011 Mdot
.43782 .19875 Mdot
.43801 .2812 Mdot
.4382 .1903 Mdot
.43839 .44922 Mdot
.43858 .31236 Mdot
.43877 .32117 Mdot
.43896 .06086 Mdot
.43916 .05406 Mdot
.43935 .24659 Mdot
.43954 .15034 Mdot
.43973 .20514 Mdot
.43992 .16645 Mdot
.44011 .13786 Mdot
.4403 .16963 Mdot
.44049 .04515 Mdot
.44068 .06389 Mdot
.44087 .11792 Mdot
.44106 .14451 Mdot
.44125 .12272 Mdot
.44144 .22736 Mdot
.44163 .18523 Mdot
.44182 .29966 Mdot
.44201 .21045 Mdot
.4422 .05498 Mdot
.44239 .13811 Mdot
.44258 .60956 Mdot
.44277 .07267 Mdot
.44296 .15568 Mdot
.44315 .07963 Mdot
.44334 .24138 Mdot
.44354 .1236 Mdot
.44373 .12381 Mdot
.44392 .31548 Mdot
.44411 .40713 Mdot
.4443 .2175 Mdot
.44449 .28319 Mdot
.44468 .2479 Mdot
.44487 .28933 Mdot
.44506 .12321 Mdot
.44525 .4063 Mdot
.44544 .16339 Mdot
.44563 .20619 Mdot
.44582 .04629 Mdot
.44601 .22499 Mdot
.4462 .29144 Mdot
.44639 .17735 Mdot
.44658 .15657 Mdot
.44677 .14811 Mdot
.44696 .17037 Mdot
.44715 .18273 Mdot
.44734 .12245 Mdot
.44753 .05371 Mdot
.44772 .36174 Mdot
.44792 .06654 Mdot
.44811 .28307 Mdot
.4483 .11406 Mdot
.44849 .19241 Mdot
.44868 .36239 Mdot
.44887 .3763 Mdot
.44906 .3904 Mdot
.44925 .05972 Mdot
.44944 .22319 Mdot
.44963 .16227 Mdot
.44982 .14702 Mdot
.45001 .10487 Mdot
.4502 .28987 Mdot
.45039 .31134 Mdot
.45058 .39289 Mdot
.45077 .31926 Mdot
.45096 .05281 Mdot
.45115 .2151 Mdot
.45134 .27076 Mdot
.45153 .27774 Mdot
.45172 .12025 Mdot
.45191 .20203 Mdot
.4521 .11311 Mdot
.4523 .31994 Mdot
.45249 .10072 Mdot
.45268 .07024 Mdot
.45287 .3519 Mdot
.45306 .17924 Mdot
.45325 .18427 Mdot
.45344 .24716 Mdot
.45363 .24953 Mdot
.45382 .11838 Mdot
.45401 .11871 Mdot
.4542 .22743 Mdot
.45439 .58458 Mdot
.45458 .22532 Mdot
.45477 .22138 Mdot
.45496 .1508 Mdot
.45515 .12336 Mdot
.45534 .15476 Mdot
.45553 .30649 Mdot
.45572 .30233 Mdot
.45591 .2508 Mdot
.4561 .22288 Mdot
.45629 .2051 Mdot
.45648 .17043 Mdot
.45668 .13243 Mdot
.45687 .10552 Mdot
.45706 .28101 Mdot
.45725 .33614 Mdot
.45744 .23117 Mdot
.45763 .2479 Mdot
.45782 .06332 Mdot
.45801 .10018 Mdot
.4582 .16535 Mdot
.45839 .14662 Mdot
.45858 .28656 Mdot
.45877 .18778 Mdot
.45896 .30512 Mdot
.45915 .29616 Mdot
.45934 .25492 Mdot
.45953 .27322 Mdot
.45972 .09005 Mdot
.45991 .24657 Mdot
.4601 .2784 Mdot
.46029 .31595 Mdot
.46048 .19824 Mdot
.46067 .22541 Mdot
.46086 .10667 Mdot
.46106 .19425 Mdot
.46125 .22564 Mdot
.46144 .16706 Mdot
.46163 .3265 Mdot
.46182 .26164 Mdot
.46201 .04632 Mdot
.4622 .30111 Mdot
.46239 .05742 Mdot
.46258 .11739 Mdot
.46277 .19131 Mdot
.46296 .13679 Mdot
.46315 .35651 Mdot
.46334 .2642 Mdot
.46353 .26613 Mdot
.46372 .05312 Mdot
.46391 .27034 Mdot
.4641 .19102 Mdot
.46429 .2931 Mdot
.46448 .24916 Mdot
.46467 .35596 Mdot
.46486 .24992 Mdot
.46505 .15495 Mdot
.46525 .2823 Mdot
.46544 .17963 Mdot
.46563 .11277 Mdot
.46582 .10549 Mdot
.46601 .25015 Mdot
.4662 .13754 Mdot
.46639 .26297 Mdot
.46658 .12767 Mdot
.46677 .05961 Mdot
.46696 .18728 Mdot
.46715 .34879 Mdot
.46734 .28826 Mdot
.46753 .06836 Mdot
.46772 .06669 Mdot
.46791 .24496 Mdot
.4681 .24462 Mdot
.46829 .31224 Mdot
.46848 .06698 Mdot
.46867 .09117 Mdot
.46886 .08273 Mdot
.46905 .19175 Mdot
.46924 .24248 Mdot
.46943 .20405 Mdot
.46963 .34115 Mdot
.46982 .28374 Mdot
.47001 .06429 Mdot
.4702 .27735 Mdot
.47039 .26879 Mdot
.47058 .1417 Mdot
.47077 .17553 Mdot
.47096 .15472 Mdot
.47115 .16486 Mdot
.47134 .2391 Mdot
.47153 .18603 Mdot
.47172 .40145 Mdot
.47191 .31072 Mdot
.4721 .245 Mdot
.47229 .32657 Mdot
.47248 .43135 Mdot
.47267 .40397 Mdot
.47286 .16443 Mdot
.47305 .36549 Mdot
.47324 .12764 Mdot
.47343 .14806 Mdot
.47362 .28139 Mdot
.47381 .19218 Mdot
.47401 .18091 Mdot
.4742 .3251 Mdot
.47439 .1218 Mdot
.47458 .10924 Mdot
.47477 .42505 Mdot
.47496 .16519 Mdot
.47515 .32574 Mdot
.47534 .24285 Mdot
.47553 .22986 Mdot
.47572 .15636 Mdot
.47591 .301 Mdot
.4761 .16276 Mdot
.47629 .2842 Mdot
.47648 .0417 Mdot
.47667 .29556 Mdot
.47686 .25865 Mdot
.47705 .26224 Mdot
.47724 .24148 Mdot
.47743 .13821 Mdot
.47762 .10942 Mdot
.47781 .16143 Mdot
.478 .26714 Mdot
.47819 .24174 Mdot
.47839 .31034 Mdot
.47858 .08383 Mdot
.47877 .12084 Mdot
.47896 .11467 Mdot
.47915 .27157 Mdot
.47934 .24999 Mdot
.47953 .04456 Mdot
.47972 .12965 Mdot
.47991 .08448 Mdot
.4801 .06532 Mdot
.48029 .10187 Mdot
.48048 .10243 Mdot
.48067 .25218 Mdot
.48086 .15576 Mdot
.48105 .19792 Mdot
.48124 .04189 Mdot
.48143 .26424 Mdot
.48162 .21254 Mdot
.48181 .45358 Mdot
.482 .16987 Mdot
.48219 .23079 Mdot
.48238 .22779 Mdot
.48257 .14272 Mdot
.48277 .21981 Mdot
.48296 .07315 Mdot
.48315 .1022 Mdot
.48334 .16244 Mdot
.48353 .07627 Mdot
.48372 .25274 Mdot
.48391 .06552 Mdot
.4841 .20812 Mdot
.48429 .18794 Mdot
.48448 .33121 Mdot
.48467 .20941 Mdot
.48486 .12882 Mdot
.48505 .23425 Mdot
.48524 .28669 Mdot
.48543 .20072 Mdot
.48562 .21016 Mdot
.48581 .14771 Mdot
.486 .20243 Mdot
.48619 .14565 Mdot
.48638 .15535 Mdot
.48657 .09307 Mdot
.48676 .08733 Mdot
.48695 .45026 Mdot
.48715 .2449 Mdot
.48734 .14825 Mdot
.48753 .15149 Mdot
.48772 .18046 Mdot
.48791 .11299 Mdot
.4881 .08367 Mdot
.48829 .11435 Mdot
.48848 .26934 Mdot
.48867 .23234 Mdot
.48886 .48301 Mdot
.48905 .21273 Mdot
.48924 .47641 Mdot
.48943 .29294 Mdot
.48962 .3405 Mdot
.48981 .11163 Mdot
.49 .21829 Mdot
.49019 .35578 Mdot
.49038 .21791 Mdot
.49057 .1861 Mdot
.49076 .18891 Mdot
.49095 .26006 Mdot
.49114 .33473 Mdot
.49134 .14732 Mdot
.49153 .08511 Mdot
.49172 .24829 Mdot
.49191 .16854 Mdot
.4921 .28761 Mdot
.49229 .18319 Mdot
.49248 .16881 Mdot
.49267 .22077 Mdot
.49286 .10961 Mdot
.49305 .26506 Mdot
.49324 .22708 Mdot
.49343 .115 Mdot
.49362 .17163 Mdot
.49381 .20036 Mdot
.494 .19228 Mdot
.49419 .1579 Mdot
.49438 .21654 Mdot
.49457 .24273 Mdot
.49476 .16321 Mdot
.49495 .44905 Mdot
.49514 .28657 Mdot
.49533 .19199 Mdot
.49552 .24984 Mdot
.49572 .12327 Mdot
.49591 .23496 Mdot
.4961 .33094 Mdot
.49629 .30004 Mdot
.49648 .12255 Mdot
.49667 .07604 Mdot
.49686 .25272 Mdot
.49705 .28428 Mdot
.49724 .36289 Mdot
.49743 .40194 Mdot
.49762 .36195 Mdot
.49781 .24737 Mdot
.498 .15237 Mdot
.49819 .25332 Mdot
.49838 .1591 Mdot
.49857 .32366 Mdot
.49876 .24699 Mdot
.49895 .13137 Mdot
.49914 .14051 Mdot
.49933 .19767 Mdot
.49952 .36329 Mdot
.49971 .149 Mdot
.4999 .09171 Mdot
.5001 .1129 Mdot
.50029 .1129 Mdot
.50048 .09171 Mdot
.50067 .149 Mdot
.50086 .36329 Mdot
.50105 .19767 Mdot
.50124 .14051 Mdot
.50143 .13137 Mdot
.50162 .24699 Mdot
.50181 .32366 Mdot
.502 .1591 Mdot
.50219 .25332 Mdot
.50238 .15237 Mdot
.50257 .24737 Mdot
.50276 .36195 Mdot
.50295 .40194 Mdot
.50314 .36289 Mdot
.50333 .28428 Mdot
.50352 .25272 Mdot
.50371 .07604 Mdot
.5039 .12255 Mdot
.50409 .30004 Mdot
.50428 .33094 Mdot
.50448 .23496 Mdot
.50467 .12327 Mdot
.50486 .24984 Mdot
.50505 .19199 Mdot
.50524 .28657 Mdot
.50543 .44905 Mdot
.50562 .16321 Mdot
.50581 .24273 Mdot
.506 .21654 Mdot
.50619 .1579 Mdot
.50638 .19228 Mdot
.50657 .20036 Mdot
.50676 .17163 Mdot
.50695 .115 Mdot
.50714 .22708 Mdot
.50733 .26506 Mdot
.50752 .10961 Mdot
.50771 .22077 Mdot
.5079 .16881 Mdot
.50809 .18319 Mdot
.50828 .28761 Mdot
.50847 .16854 Mdot
.50866 .24829 Mdot
.50886 .08511 Mdot
.50905 .14732 Mdot
.50924 .33473 Mdot
.50943 .26006 Mdot
.50962 .18891 Mdot
.50981 .1861 Mdot
.51 .21791 Mdot
.51019 .35578 Mdot
.51038 .21829 Mdot
.51057 .11163 Mdot
.51076 .3405 Mdot
.51095 .29294 Mdot
.51114 .47641 Mdot
.51133 .21273 Mdot
.51152 .48301 Mdot
.51171 .23234 Mdot
.5119 .26934 Mdot
.51209 .11435 Mdot
.51228 .08367 Mdot
.51247 .11299 Mdot
.51266 .18046 Mdot
.51285 .15149 Mdot
.51305 .14825 Mdot
.51324 .2449 Mdot
.51343 .45026 Mdot
.51362 .08733 Mdot
.51381 .09307 Mdot
.514 .15535 Mdot
.51419 .14565 Mdot
.51438 .20243 Mdot
.51457 .14771 Mdot
.51476 .21016 Mdot
.51495 .20072 Mdot
.51514 .28669 Mdot
.51533 .23425 Mdot
.51552 .12882 Mdot
.51571 .20941 Mdot
.5159 .33121 Mdot
.51609 .18794 Mdot
.51628 .20812 Mdot
.51647 .06552 Mdot
.51666 .25274 Mdot
.51685 .07627 Mdot
.51704 .16244 Mdot
.51723 .1022 Mdot
.51743 .07315 Mdot
.51762 .21981 Mdot
.51781 .14272 Mdot
.518 .22779 Mdot
.51819 .23079 Mdot
.51838 .16987 Mdot
.51857 .45358 Mdot
.51876 .21254 Mdot
.51895 .26424 Mdot
.51914 .04189 Mdot
.51933 .19792 Mdot
.51952 .15576 Mdot
.51971 .25218 Mdot
.5199 .10243 Mdot
.52009 .10187 Mdot
.52028 .06532 Mdot
.52047 .08448 Mdot
.52066 .12965 Mdot
.52085 .04456 Mdot
.52104 .24999 Mdot
.52123 .27157 Mdot
.52142 .11467 Mdot
.52161 .12084 Mdot
.52181 .08383 Mdot
.522 .31034 Mdot
.52219 .24174 Mdot
.52238 .26714 Mdot
.52257 .16143 Mdot
.52276 .10942 Mdot
.52295 .13821 Mdot
.52314 .24148 Mdot
.52333 .26224 Mdot
.52352 .25865 Mdot
.52371 .29556 Mdot
.5239 .0417 Mdot
.52409 .2842 Mdot
.52428 .16276 Mdot
.52447 .301 Mdot
.52466 .15636 Mdot
.52485 .22986 Mdot
.52504 .24285 Mdot
.52523 .32574 Mdot
.52542 .16519 Mdot
.52561 .42505 Mdot
.5258 .10924 Mdot
.52599 .1218 Mdot
.52619 .3251 Mdot
.52638 .18091 Mdot
.52657 .19218 Mdot
.52676 .28139 Mdot
.52695 .14806 Mdot
.52714 .12764 Mdot
.52733 .36549 Mdot
.52752 .16443 Mdot
.52771 .40397 Mdot
.5279 .43135 Mdot
.52809 .32657 Mdot
.52828 .245 Mdot
.52847 .31072 Mdot
.52866 .40145 Mdot
.52885 .18603 Mdot
.52904 .2391 Mdot
.52923 .16486 Mdot
.52942 .15472 Mdot
.52961 .17553 Mdot
.5298 .1417 Mdot
.52999 .26879 Mdot
.53018 .27735 Mdot
.53037 .06429 Mdot
.53057 .28374 Mdot
.53076 .34115 Mdot
.53095 .20405 Mdot
.53114 .24248 Mdot
.53133 .19175 Mdot
.53152 .08273 Mdot
.53171 .09117 Mdot
.5319 .06698 Mdot
.53209 .31224 Mdot
.53228 .24462 Mdot
.53247 .24496 Mdot
.53266 .06669 Mdot
.53285 .06836 Mdot
.53304 .28826 Mdot
.53323 .34879 Mdot
.53342 .18728 Mdot
.53361 .05961 Mdot
.5338 .12767 Mdot
.53399 .26297 Mdot
.53418 .13754 Mdot
.53437 .25015 Mdot
.53456 .10549 Mdot
.53475 .11277 Mdot
.53495 .17963 Mdot
.53514 .2823 Mdot
.53533 .15495 Mdot
.53552 .24992 Mdot
.53571 .35596 Mdot
.5359 .24916 Mdot
.53609 .2931 Mdot
.53628 .19102 Mdot
.53647 .27034 Mdot
.53666 .05312 Mdot
.53685 .26613 Mdot
.53704 .2642 Mdot
.53723 .35651 Mdot
.53742 .13679 Mdot
.53761 .19131 Mdot
.5378 .11739 Mdot
.53799 .05742 Mdot
.53818 .30111 Mdot
.53837 .04632 Mdot
.53856 .26164 Mdot
.53875 .3265 Mdot
.53894 .16706 Mdot
.53914 .22564 Mdot
.53933 .19425 Mdot
.53952 .10667 Mdot
.53971 .22541 Mdot
.5399 .19824 Mdot
.54009 .31595 Mdot
.54028 .2784 Mdot
.54047 .24657 Mdot
.54066 .09005 Mdot
.54085 .27322 Mdot
.54104 .25492 Mdot
.54123 .29616 Mdot
.54142 .30512 Mdot
.54161 .18778 Mdot
.5418 .28656 Mdot
.54199 .14662 Mdot
.54218 .16535 Mdot
.54237 .10018 Mdot
.54256 .06332 Mdot
.54275 .2479 Mdot
.54294 .23117 Mdot
.54313 .33614 Mdot
.54332 .28101 Mdot
.54352 .10552 Mdot
.54371 .13243 Mdot
.5439 .17043 Mdot
.54409 .2051 Mdot
.54428 .22288 Mdot
.54447 .2508 Mdot
.54466 .30233 Mdot
.54485 .30649 Mdot
.54504 .15476 Mdot
.54523 .12336 Mdot
.54542 .1508 Mdot
.54561 .22138 Mdot
.5458 .22532 Mdot
.54599 .58458 Mdot
.54618 .22743 Mdot
.54637 .11871 Mdot
.54656 .11838 Mdot
.54675 .24953 Mdot
.54694 .24716 Mdot
.54713 .18427 Mdot
.54732 .17924 Mdot
.54751 .3519 Mdot
.5477 .07024 Mdot
.5479 .10072 Mdot
.54809 .31994 Mdot
.54828 .11311 Mdot
.54847 .20203 Mdot
.54866 .12025 Mdot
.54885 .27774 Mdot
.54904 .27076 Mdot
.54923 .2151 Mdot
.54942 .05281 Mdot
.54961 .31926 Mdot
.5498 .39289 Mdot
.54999 .31134 Mdot
.55018 .28987 Mdot
.55037 .10487 Mdot
.55056 .14702 Mdot
.55075 .16227 Mdot
.55094 .22319 Mdot
.55113 .05972 Mdot
.55132 .3904 Mdot
.55151 .3763 Mdot
.5517 .36239 Mdot
.55189 .19241 Mdot
.55208 .11406 Mdot
.55228 .28307 Mdot
.55247 .06654 Mdot
.55266 .36174 Mdot
.55285 .05371 Mdot
.55304 .12245 Mdot
.55323 .18273 Mdot
.55342 .17037 Mdot
.55361 .14811 Mdot
.5538 .15657 Mdot
.55399 .17735 Mdot
.55418 .29144 Mdot
.55437 .22499 Mdot
.55456 .04629 Mdot
.55475 .20619 Mdot
.55494 .16339 Mdot
.55513 .4063 Mdot
.55532 .12321 Mdot
.55551 .28933 Mdot
.5557 .2479 Mdot
.55589 .28319 Mdot
.55608 .2175 Mdot
.55627 .40713 Mdot
.55646 .31548 Mdot
.55666 .12381 Mdot
.55685 .1236 Mdot
.55704 .24138 Mdot
.55723 .07963 Mdot
.55742 .15568 Mdot
.55761 .07267 Mdot
.5578 .60956 Mdot
.55799 .13811 Mdot
.55818 .05498 Mdot
.55837 .21045 Mdot
.55856 .29966 Mdot
.55875 .18523 Mdot
.55894 .22736 Mdot
.55913 .12272 Mdot
.55932 .14451 Mdot
.55951 .11792 Mdot
.5597 .06389 Mdot
.55989 .04515 Mdot
.56008 .16963 Mdot
.56027 .13786 Mdot
.56046 .16645 Mdot
.56065 .20514 Mdot
.56084 .15034 Mdot
.56104 .24659 Mdot
.56123 .05406 Mdot
.56142 .06086 Mdot
.56161 .32117 Mdot
.5618 .31236 Mdot
.56199 .44922 Mdot
.56218 .1903 Mdot
.56237 .2812 Mdot
.56256 .19875 Mdot
.56275 .32011 Mdot
.56294 .20511 Mdot
.56313 .16118 Mdot
.56332 .11097 Mdot
.56351 .04011 Mdot
.5637 .19423 Mdot
.56389 .09483 Mdot
.56408 .26401 Mdot
.56427 .13678 Mdot
.56446 .30508 Mdot
.56465 .24066 Mdot
.56484 .47492 Mdot
.56503 .19112 Mdot
.56523 .20582 Mdot
.56542 .14071 Mdot
.56561 .21175 Mdot
.5658 .26229 Mdot
.56599 .19602 Mdot
.56618 .13221 Mdot
.56637 .10966 Mdot
.56656 .13273 Mdot
.56675 .1375 Mdot
.56694 .27353 Mdot
.56713 .24371 Mdot
.56732 .39652 Mdot
.56751 .10743 Mdot
.5677 .11064 Mdot
.56789 .07917 Mdot
.56808 .13831 Mdot
.56827 .35082 Mdot
.56846 .16908 Mdot
.56865 .41679 Mdot
.56884 .35533 Mdot
.56903 .08768 Mdot
.56922 .24124 Mdot
.56941 .18484 Mdot
.56961 .21631 Mdot
.5698 .27441 Mdot
.56999 .2238 Mdot
.57018 .24465 Mdot
.57037 .26612 Mdot
.57056 .18097 Mdot
.57075 .4305 Mdot
.57094 .24815 Mdot
.57113 .20479 Mdot
.57132 .23053 Mdot
.57151 .24521 Mdot
.5717 .15425 Mdot
.57189 .16938 Mdot
.57208 .18849 Mdot
.57227 .27118 Mdot
.57246 .22352 Mdot
.57265 .31847 Mdot
.57284 .43228 Mdot
.57303 .08386 Mdot
.57322 .12703 Mdot
.57341 .41246 Mdot
.5736 .18486 Mdot
.57379 .17104 Mdot
.57399 .2922 Mdot
.57418 .18358 Mdot
.57437 .38019 Mdot
.57456 .09015 Mdot
.57475 .15547 Mdot
.57494 .17916 Mdot
.57513 .24159 Mdot
.57532 .45218 Mdot
.57551 .41555 Mdot
.5757 .07715 Mdot
.57589 .41346 Mdot
.57608 .15364 Mdot
.57627 .36819 Mdot
.57646 .26388 Mdot
.57665 .35588 Mdot
.57684 .25601 Mdot
.57703 .21516 Mdot
.57722 .09859 Mdot
.57741 .13813 Mdot
.5776 .08294 Mdot
.57779 .12269 Mdot
.57798 .04002 Mdot
.57817 .11103 Mdot
.57837 .23087 Mdot
.57856 .25907 Mdot
.57875 .10929 Mdot
.57894 .35501 Mdot
.57913 .25965 Mdot
.57932 .17909 Mdot
.57951 .13782 Mdot
.5797 .44347 Mdot
.57989 .10064 Mdot
.58008 .211 Mdot
.58027 .37448 Mdot
.58046 .17658 Mdot
.58065 .16989 Mdot
.58084 .20881 Mdot
.58103 .24094 Mdot
.58122 .21512 Mdot
.58141 .14086 Mdot
.5816 .157 Mdot
.58179 .21447 Mdot
.58198 .2342 Mdot
.58217 .35647 Mdot
.58236 .08681 Mdot
.58255 .13636 Mdot
.58275 .1852 Mdot
.58294 .20953 Mdot
.58313 .16585 Mdot
.58332 .14207 Mdot
.58351 .21483 Mdot
.5837 .25896 Mdot
.58389 .22273 Mdot
.58408 .03059 Mdot
.58427 .24945 Mdot
.58446 .11104 Mdot
.58465 .34553 Mdot
.58484 .1886 Mdot
.58503 .19025 Mdot
.58522 .35008 Mdot
.58541 .19827 Mdot
.5856 .36143 Mdot
.58579 .07133 Mdot
.58598 .28142 Mdot
.58617 .40592 Mdot
.58636 .41576 Mdot
.58655 .27297 Mdot
.58674 .26793 Mdot
.58693 .32697 Mdot
.58713 .43924 Mdot
.58732 .31869 Mdot
.58751 .29891 Mdot
.5877 .24374 Mdot
.58789 .36512 Mdot
.58808 .43071 Mdot
.58827 .23143 Mdot
.58846 .23948 Mdot
.58865 .18626 Mdot
.58884 .20453 Mdot
.58903 .13629 Mdot
.58922 .17818 Mdot
.58941 .2529 Mdot
.5896 .32294 Mdot
.58979 .18238 Mdot
.58998 .26273 Mdot
.59017 .05208 Mdot
.59036 .22035 Mdot
.59055 .3607 Mdot
.59074 .36727 Mdot
.59093 .23577 Mdot
.59112 .41636 Mdot
.59132 .14802 Mdot
.59151 .13065 Mdot
.5917 .19386 Mdot
.59189 .17045 Mdot
.59208 .29415 Mdot
.59227 .21657 Mdot
.59246 .23582 Mdot
.59265 .16156 Mdot
.59284 .17527 Mdot
.59303 .15401 Mdot
.59322 .19873 Mdot
.59341 .10105 Mdot
.5936 .22537 Mdot
.59379 .05015 Mdot
.59398 .03036 Mdot
.59417 .28372 Mdot
.59436 .08159 Mdot
.59455 .25961 Mdot
.59474 .49676 Mdot
.59493 .17889 Mdot
.59512 .29976 Mdot
.59531 .34889 Mdot
.5955 .20115 Mdot
.5957 .15521 Mdot
.59589 .12025 Mdot
.59608 .3303 Mdot
.59627 .32013 Mdot
.59646 .21675 Mdot
.59665 .04725 Mdot
.59684 .1216 Mdot
.59703 .24036 Mdot
.59722 .54167 Mdot
.59741 .28415 Mdot
.5976 .32388 Mdot
.59779 .16862 Mdot
.59798 .12798 Mdot
.59817 .07667 Mdot
.59836 .07591 Mdot
.59855 .27191 Mdot
.59874 .08968 Mdot
.59893 .17913 Mdot
.59912 .25854 Mdot
.59931 .25585 Mdot
.5995 .17054 Mdot
.59969 .3894 Mdot
.59988 .06573 Mdot
.60008 .26527 Mdot
.60027 .09918 Mdot
.60046 .35608 Mdot
.60065 .1459 Mdot
.60084 .05973 Mdot
.60103 .18169 Mdot
.60122 .37365 Mdot
.60141 .45514 Mdot
.6016 .30456 Mdot
.60179 .09112 Mdot
.60198 .15569 Mdot
.60217 .22258 Mdot
.60236 .2248 Mdot
.60255 .12289 Mdot
.60274 .21187 Mdot
.60293 .13031 Mdot
.60312 .16093 Mdot
.60331 .10734 Mdot
.6035 .35235 Mdot
.60369 .12535 Mdot
.60388 .11229 Mdot
.60407 .10783 Mdot
.60426 .35809 Mdot
.60446 .33009 Mdot
.60465 .10299 Mdot
.60484 .26374 Mdot
.60503 .22947 Mdot
.60522 .06806 Mdot
.60541 .31627 Mdot
.6056 .10678 Mdot
.60579 .42625 Mdot
.60598 .16205 Mdot
.60617 .26497 Mdot
.60636 .10527 Mdot
.60655 .15737 Mdot
.60674 .44046 Mdot
.60693 .2525 Mdot
.60712 .20117 Mdot
.60731 .21044 Mdot
.6075 .21611 Mdot
.60769 .38288 Mdot
.60788 .18091 Mdot
.60807 .23599 Mdot
.60826 .02577 Mdot
.60845 .15876 Mdot
.60864 .22338 Mdot
.60884 .20226 Mdot
.60903 .28647 Mdot
.60922 .23385 Mdot
.60941 .26364 Mdot
.6096 .07223 Mdot
.60979 .33214 Mdot
.60998 .08775 Mdot
.61017 .12863 Mdot
.61036 .2995 Mdot
.61055 .42596 Mdot
.61074 .32485 Mdot
.61093 .25225 Mdot
.61112 .19742 Mdot
.61131 .2988 Mdot
.6115 .3281 Mdot
.61169 .13216 Mdot
.61188 .19688 Mdot
.61207 .14031 Mdot
.61226 .08053 Mdot
.61245 .10446 Mdot
.61264 .0962 Mdot
.61283 .31553 Mdot
.61303 .06028 Mdot
.61322 .26413 Mdot
.61341 .16255 Mdot
.6136 .19148 Mdot
.61379 .18866 Mdot
.61398 .25547 Mdot
.61417 .23865 Mdot
.61436 .30653 Mdot
.61455 .05179 Mdot
.61474 .30795 Mdot
.61493 .27173 Mdot
.61512 .18554 Mdot
.61531 .07354 Mdot
.6155 .10024 Mdot
.61569 .29189 Mdot
.61588 .20278 Mdot
.61607 .29692 Mdot
.61626 .39089 Mdot
.61645 .151 Mdot
.61664 .088 Mdot
.61683 .07377 Mdot
.61702 .16234 Mdot
.61721 .17009 Mdot
.61741 .15753 Mdot
.6176 .18551 Mdot
.61779 .23876 Mdot
.61798 .28601 Mdot
.61817 .24994 Mdot
.61836 .2533 Mdot
.61855 .07759 Mdot
.61874 .22954 Mdot
.61893 .09711 Mdot
.61912 .15232 Mdot
.61931 .23919 Mdot
.6195 .32096 Mdot
.61969 .12029 Mdot
.61988 .46542 Mdot
.62007 .39218 Mdot
.62026 .10323 Mdot
.62045 .39532 Mdot
.62064 .20227 Mdot
.62083 .12625 Mdot
.62102 .32992 Mdot
.62121 .1704 Mdot
.6214 .15728 Mdot
.62159 .26286 Mdot
.62179 .24766 Mdot
.62198 .05711 Mdot
.62217 .08438 Mdot
.62236 .12246 Mdot
.62255 .14771 Mdot
.62274 .17322 Mdot
.62293 .0817 Mdot
.62312 .13616 Mdot
.62331 .40339 Mdot
.6235 .29352 Mdot
.62369 .10139 Mdot
.62388 .14043 Mdot
.62407 .17009 Mdot
.62426 .12736 Mdot
.62445 .15412 Mdot
.62464 .1409 Mdot
.62483 .037 Mdot
.62502 .21459 Mdot
.62521 .09316 Mdot
.6254 .14435 Mdot
.62559 .52649 Mdot
.62578 .36445 Mdot
.62597 .17575 Mdot
.62617 .10698 Mdot
.62636 .05286 Mdot
.62655 .51745 Mdot
.62674 .13122 Mdot
.62693 .12627 Mdot
.62712 .28139 Mdot
.62731 .2354 Mdot
.6275 .03289 Mdot
.62769 .22575 Mdot
.62788 .16933 Mdot
.62807 .14932 Mdot
.62826 .22079 Mdot
.62845 .05761 Mdot
.62864 .21523 Mdot
.62883 .29326 Mdot
.62902 .19352 Mdot
.62921 .14773 Mdot
.6294 .34499 Mdot
.62959 .08278 Mdot
.62978 .28715 Mdot
.62997 .11429 Mdot
.63016 .19332 Mdot
.63035 .22479 Mdot
.63055 .3694 Mdot
.63074 .1648 Mdot
.63093 .14678 Mdot
.63112 .20284 Mdot
.63131 .07428 Mdot
.6315 .57427 Mdot
.63169 .27716 Mdot
.63188 .24823 Mdot
.63207 .0681 Mdot
.63226 .10437 Mdot
.63245 .1597 Mdot
.63264 .22612 Mdot
.63283 .19432 Mdot
.63302 .16011 Mdot
.63321 .12731 Mdot
.6334 .12669 Mdot
.63359 .19426 Mdot
.63378 .26063 Mdot
.63397 .12383 Mdot
.63416 .07383 Mdot
.63435 .21624 Mdot
.63454 .0506 Mdot
.63473 .3333 Mdot
.63493 .15656 Mdot
.63512 .10214 Mdot
.63531 .20269 Mdot
.6355 .08177 Mdot
.63569 .13766 Mdot
.63588 .25779 Mdot
.63607 .1032 Mdot
.63626 .09293 Mdot
.63645 .21637 Mdot
.63664 .32445 Mdot
.63683 .22091 Mdot
.63702 .17432 Mdot
.63721 .21357 Mdot
.6374 .07589 Mdot
.63759 .24696 Mdot
.63778 .227 Mdot
.63797 .07752 Mdot
.63816 .09698 Mdot
.63835 .08364 Mdot
.63854 .15691 Mdot
.63873 .15585 Mdot
.63892 .22175 Mdot
.63912 .26959 Mdot
.63931 .13365 Mdot
.6395 .20517 Mdot
.63969 .04653 Mdot
.63988 .13986 Mdot
.64007 .16472 Mdot
.64026 .32515 Mdot
.64045 .28766 Mdot
.64064 .16255 Mdot
.64083 .13204 Mdot
.64102 .16315 Mdot
.64121 .15523 Mdot
.6414 .09528 Mdot
.64159 .2541 Mdot
.64178 .35399 Mdot
.64197 .60613 Mdot
.64216 .10293 Mdot
.64235 .28049 Mdot
.64254 .17956 Mdot
.64273 .14898 Mdot
.64292 .13663 Mdot
.64311 .04474 Mdot
.6433 .3218 Mdot
.6435 .20227 Mdot
.64369 .2102 Mdot
.64388 .23951 Mdot
.64407 .35149 Mdot
.64426 .10722 Mdot
.64445 .54944 Mdot
.64464 .21065 Mdot
.64483 .07691 Mdot
.64502 .36171 Mdot
.64521 .2371 Mdot
.6454 .09139 Mdot
.64559 .45362 Mdot
.64578 .23193 Mdot
.64597 .11141 Mdot
.64616 .30555 Mdot
.64635 .13067 Mdot
.64654 .1147 Mdot
.64673 .18039 Mdot
.64692 .27144 Mdot
.64711 .10749 Mdot
.6473 .07878 Mdot
.64749 .46915 Mdot
.64768 .09273 Mdot
.64788 .23233 Mdot
.64807 .13608 Mdot
.64826 .24369 Mdot
.64845 .19466 Mdot
.64864 .07577 Mdot
.64883 .40376 Mdot
.64902 .14336 Mdot
.64921 .33022 Mdot
.6494 .21468 Mdot
.64959 .21746 Mdot
.64978 .41673 Mdot
.64997 .39913 Mdot
.65016 .24153 Mdot
.65035 .19091 Mdot
.65054 .20531 Mdot
.65073 .32866 Mdot
.65092 .23145 Mdot
.65111 .31945 Mdot
.6513 .2424 Mdot
.65149 .27233 Mdot
.65168 .21421 Mdot
.65187 .07993 Mdot
.65206 .32347 Mdot
.65226 .15727 Mdot
.65245 .34311 Mdot
.65264 .16089 Mdot
.65283 .10866 Mdot
.65302 .27254 Mdot
.65321 .08949 Mdot
.6534 .17732 Mdot
.65359 .24314 Mdot
.65378 .24996 Mdot
.65397 .2127 Mdot
.65416 .31298 Mdot
.65435 .19427 Mdot
.65454 .13638 Mdot
.65473 .18307 Mdot
.65492 .22924 Mdot
.65511 .32523 Mdot
.6553 .2242 Mdot
.65549 .23149 Mdot
.65568 .15063 Mdot
.65587 .37173 Mdot
.65606 .1867 Mdot
.65625 .17266 Mdot
.65644 .12472 Mdot
.65664 .26155 Mdot
.65683 .16746 Mdot
.65702 .16712 Mdot
.65721 .097 Mdot
.6574 .32191 Mdot
.65759 .49657 Mdot
.65778 .18288 Mdot
.65797 .19347 Mdot
.65816 .24273 Mdot
.65835 .27485 Mdot
.65854 .43821 Mdot
.65873 .14901 Mdot
.65892 .17283 Mdot
.65911 .17094 Mdot
.6593 .22359 Mdot
.65949 .09075 Mdot
.65968 .21786 Mdot
.65987 .22262 Mdot
.66006 .16143 Mdot
.66025 .2601 Mdot
.66044 .22893 Mdot
.66063 .33133 Mdot
.66082 .17259 Mdot
.66102 .27818 Mdot
.66121 .27572 Mdot
.6614 .16817 Mdot
.66159 .18866 Mdot
.66178 .02983 Mdot
.66197 .27348 Mdot
.66216 .24988 Mdot
.66235 .04885 Mdot
.66254 .27217 Mdot
.66273 .18488 Mdot
.66292 .1149 Mdot
.66311 .15751 Mdot
.6633 .25356 Mdot
.66349 .16668 Mdot
.66368 .4751 Mdot
.66387 .40624 Mdot
.66406 .26563 Mdot
.66425 .17954 Mdot
.66444 .26639 Mdot
.66463 .33567 Mdot
.66482 .16865 Mdot
.66501 .34405 Mdot
.66521 .32102 Mdot
.6654 .08393 Mdot
.66559 .32397 Mdot
.66578 .15332 Mdot
.66597 .49294 Mdot
.66616 .17256 Mdot
.66635 .10044 Mdot
.66654 .35581 Mdot
.66673 .0252 Mdot
.66692 .27163 Mdot
.66711 .22094 Mdot
.6673 .10652 Mdot
.66749 .51638 Mdot
.66768 .27324 Mdot
.66787 .15826 Mdot
.66806 .2789 Mdot
.66825 .18729 Mdot
.66844 .15861 Mdot
.66863 .27939 Mdot
.66882 .11013 Mdot
.66901 .25516 Mdot
.6692 .32372 Mdot
.66939 .18637 Mdot
.66959 .1339 Mdot
.66978 .18259 Mdot
.66997 .30199 Mdot
.67016 .39015 Mdot
.67035 .19826 Mdot
.67054 .35766 Mdot
.67073 .0727 Mdot
.67092 .19881 Mdot
.67111 .15519 Mdot
.6713 .13304 Mdot
.67149 .29853 Mdot
.67168 .21183 Mdot
.67187 .1616 Mdot
.67206 .27965 Mdot
.67225 .05527 Mdot
.67244 .31119 Mdot
.67263 .08399 Mdot
.67282 .21856 Mdot
.67301 .16415 Mdot
.6732 .06694 Mdot
.67339 .22702 Mdot
.67358 .31709 Mdot
.67377 .19853 Mdot
.67397 .13422 Mdot
.67416 .36155 Mdot
.67435 .38597 Mdot
.67454 .45693 Mdot
.67473 .11908 Mdot
.67492 .24533 Mdot
.67511 .09642 Mdot
.6753 .19507 Mdot
.67549 .14397 Mdot
.67568 .16288 Mdot
.67587 .14359 Mdot
.67606 .23086 Mdot
.67625 .23529 Mdot
.67644 .0889 Mdot
.67663 .24149 Mdot
.67682 .40192 Mdot
.67701 .33661 Mdot
.6772 .16844 Mdot
.67739 .25614 Mdot
.67758 .23419 Mdot
.67777 .2906 Mdot
.67796 .15262 Mdot
.67815 .14111 Mdot
.67835 .08693 Mdot
.67854 .22611 Mdot
.67873 .35621 Mdot
.67892 .19984 Mdot
.67911 .14552 Mdot
.6793 .32807 Mdot
.67949 .12598 Mdot
.67968 .19937 Mdot
.67987 .1063 Mdot
.68006 .25881 Mdot
.68025 .14943 Mdot
.68044 .11893 Mdot
.68063 .10511 Mdot
.68082 .32962 Mdot
.68101 .15807 Mdot
.6812 .1045 Mdot
.68139 .10618 Mdot
.68158 .46562 Mdot
.68177 .13453 Mdot
.68196 .14906 Mdot
.68215 .27389 Mdot
.68234 .22976 Mdot
.68253 .08475 Mdot
.68273 .18941 Mdot
.68292 .37618 Mdot
.68311 .29774 Mdot
.6833 .16395 Mdot
.68349 .13978 Mdot
.68368 .24131 Mdot
.68387 .21496 Mdot
.68406 .16432 Mdot
.68425 .27362 Mdot
.68444 .1861 Mdot
.68463 .07145 Mdot
.68482 .30344 Mdot
.68501 .15061 Mdot
.6852 .26329 Mdot
.68539 .39725 Mdot
.68558 .21341 Mdot
.68577 .16355 Mdot
.68596 .37435 Mdot
.68615 .18249 Mdot
.68634 .18218 Mdot
.68653 .19442 Mdot
.68672 .13231 Mdot
.68691 .07102 Mdot
.68711 .34438 Mdot
.6873 .16505 Mdot
.68749 .13569 Mdot
.68768 .2674 Mdot
.68787 .32346 Mdot
.68806 .21216 Mdot
.68825 .16512 Mdot
.68844 .19308 Mdot
.68863 .11923 Mdot
.68882 .37757 Mdot
.68901 .29422 Mdot
.6892 .17328 Mdot
.68939 .31807 Mdot
.68958 .33948 Mdot
.68977 .34284 Mdot
.68996 .1966 Mdot
.69015 .39626 Mdot
.69034 .22828 Mdot
.69053 .20973 Mdot
.69072 .35007 Mdot
.69091 .1143 Mdot
.6911 .20121 Mdot
.6913 .43878 Mdot
.69149 .24068 Mdot
.69168 .32289 Mdot
.69187 .16535 Mdot
.69206 .27609 Mdot
.69225 .06654 Mdot
.69244 .19481 Mdot
.69263 .13965 Mdot
.69282 .12421 Mdot
.69301 .0486 Mdot
.6932 .12524 Mdot
.69339 .25283 Mdot
.69358 .05869 Mdot
.69377 .22536 Mdot
.69396 .35468 Mdot
.69415 .11047 Mdot
.69434 .18381 Mdot
.69453 .09373 Mdot
.69472 .23555 Mdot
.69491 .1547 Mdot
.6951 .33708 Mdot
.69529 .21511 Mdot
.69548 .12179 Mdot
.69568 .16755 Mdot
.69587 .38382 Mdot
.69606 .03725 Mdot
.69625 .4195 Mdot
.69644 .09971 Mdot
.69663 .04849 Mdot
.69682 .22575 Mdot
.69701 .10635 Mdot
.6972 .32538 Mdot
.69739 .14473 Mdot
.69758 .29649 Mdot
.69777 .0993 Mdot
.69796 .19981 Mdot
.69815 .15659 Mdot
.69834 .15111 Mdot
.69853 .12592 Mdot
.69872 .2651 Mdot
.69891 .38721 Mdot
.6991 .0881 Mdot
.69929 .23942 Mdot
.69948 .32071 Mdot
.69967 .0939 Mdot
.69986 .20625 Mdot
.70006 .156 Mdot
.70025 .29192 Mdot
.70044 .07479 Mdot
.70063 .2838 Mdot
.70082 .19539 Mdot
.70101 .29472 Mdot
.7012 .29929 Mdot
.70139 .2377 Mdot
.70158 .24398 Mdot
.70177 .32057 Mdot
.70196 .26653 Mdot
.70215 .16101 Mdot
.70234 .18834 Mdot
.70253 .05667 Mdot
.70272 .24966 Mdot
.70291 .17328 Mdot
.7031 .03517 Mdot
.70329 .18195 Mdot
.70348 .14026 Mdot
.70367 .04076 Mdot
.70386 .18495 Mdot
.70405 .13591 Mdot
.70424 .14377 Mdot
.70444 .11825 Mdot
.70463 .11314 Mdot
.70482 .27076 Mdot
.70501 .12342 Mdot
.7052 .08043 Mdot
.70539 .12832 Mdot
.70558 .10577 Mdot
.70577 .12303 Mdot
.70596 .06866 Mdot
.70615 .3514 Mdot
.70634 .08705 Mdot
.70653 .0963 Mdot
.70672 .20403 Mdot
.70691 .0704 Mdot
.7071 .13917 Mdot
.70729 .15498 Mdot
.70748 .12662 Mdot
.70767 .13156 Mdot
.70786 .13266 Mdot
.70805 .33758 Mdot
.70824 .26888 Mdot
.70843 .1057 Mdot
.70862 .31863 Mdot
.70882 .28783 Mdot
.70901 .28941 Mdot
.7092 .20605 Mdot
.70939 .1811 Mdot
.70958 .03951 Mdot
.70977 .17741 Mdot
.70996 .27732 Mdot
.71015 .14189 Mdot
.71034 .17946 Mdot
.71053 .31286 Mdot
.71072 .05319 Mdot
.71091 .10671 Mdot
.7111 .1527 Mdot
.71129 .29876 Mdot
.71148 .25678 Mdot
.71167 .28817 Mdot
.71186 .1049 Mdot
.71205 .14445 Mdot
.71224 .10813 Mdot
.71243 .09457 Mdot
.71262 .13673 Mdot
.71281 .19017 Mdot
.71301 .32916 Mdot
.7132 .22932 Mdot
.71339 .30695 Mdot
.71358 .2858 Mdot
.71377 .1636 Mdot
.71396 .1301 Mdot
.71415 .24592 Mdot
.71434 .25763 Mdot
.71453 .16315 Mdot
.71472 .27233 Mdot
.71491 .19259 Mdot
.7151 .19857 Mdot
.71529 .15383 Mdot
.71548 .25111 Mdot
.71567 .12982 Mdot
.71586 .28089 Mdot
.71605 .38775 Mdot
.71624 .22557 Mdot
.71643 .08729 Mdot
.71662 .19895 Mdot
.71681 .07727 Mdot
.717 .128 Mdot
.71719 .27205 Mdot
.71739 .23444 Mdot
.71758 .22033 Mdot
.71777 .06103 Mdot
.71796 .38277 Mdot
.71815 .24966 Mdot
.71834 .17665 Mdot
.71853 .13499 Mdot
.71872 .20428 Mdot
.71891 .27493 Mdot
.7191 .29248 Mdot
.71929 .18355 Mdot
.71948 .44109 Mdot
.71967 .34461 Mdot
.71986 .33194 Mdot
.72005 .34274 Mdot
.72024 .06927 Mdot
.72043 .47188 Mdot
.72062 .17833 Mdot
.72081 .05059 Mdot
.721 .09551 Mdot
.72119 .13022 Mdot
.72138 .36619 Mdot
.72157 .11634 Mdot
.72177 .29772 Mdot
.72196 .13643 Mdot
.72215 .35518 Mdot
.72234 .36633 Mdot
.72253 .03947 Mdot
.72272 .09362 Mdot
.72291 .14172 Mdot
.7231 .28624 Mdot
.72329 .13569 Mdot
.72348 .10311 Mdot
.72367 .33226 Mdot
.72386 .11135 Mdot
.72405 .41168 Mdot
.72424 .28454 Mdot
.72443 .13696 Mdot
.72462 .1895 Mdot
.72481 .19492 Mdot
.725 .14179 Mdot
.72519 .36819 Mdot
.72538 .22085 Mdot
.72557 .13031 Mdot
.72576 .2539 Mdot
.72595 .02522 Mdot
.72615 .13854 Mdot
.72634 .1198 Mdot
.72653 .22017 Mdot
.72672 .43488 Mdot
.72691 .26328 Mdot
.7271 .3553 Mdot
.72729 .1475 Mdot
.72748 .19896 Mdot
.72767 .22058 Mdot
.72786 .10311 Mdot
.72805 .18376 Mdot
.72824 .0802 Mdot
.72843 .25568 Mdot
.72862 .27842 Mdot
.72881 .28826 Mdot
.729 .37999 Mdot
.72919 .07208 Mdot
.72938 .08012 Mdot
.72957 .23836 Mdot
.72976 .17536 Mdot
.72995 .19524 Mdot
.73014 .45886 Mdot
.73033 .16403 Mdot
.73053 .12205 Mdot
.73072 .39621 Mdot
.73091 .28246 Mdot
.7311 .1834 Mdot
.73129 .05299 Mdot
.73148 .46324 Mdot
.73167 .10236 Mdot
.73186 .17321 Mdot
.73205 .2602 Mdot
.73224 .25432 Mdot
.73243 .03926 Mdot
.73262 .36585 Mdot
.73281 .15041 Mdot
.733 .18777 Mdot
.73319 .19107 Mdot
.73338 .12384 Mdot
.73357 .21896 Mdot
.73376 .05857 Mdot
.73395 .09141 Mdot
.73414 .21594 Mdot
.73433 .12227 Mdot
.73452 .22294 Mdot
.73471 .12025 Mdot
.73491 .27458 Mdot
.7351 .1479 Mdot
.73529 .19876 Mdot
.73548 .25583 Mdot
.73567 .22451 Mdot
.73586 .08441 Mdot
.73605 .39331 Mdot
.73624 .1184 Mdot
.73643 .38727 Mdot
.73662 .28437 Mdot
.73681 .05997 Mdot
.737 .22937 Mdot
.73719 .34958 Mdot
.73738 .11701 Mdot
.73757 .18161 Mdot
.73776 .29269 Mdot
.73795 .31182 Mdot
.73814 .37374 Mdot
.73833 .11891 Mdot
.73852 .26948 Mdot
.73871 .28268 Mdot
.7389 .13186 Mdot
.7391 .13357 Mdot
.73929 .13276 Mdot
.73948 .08352 Mdot
.73967 .28098 Mdot
.73986 .20531 Mdot
.74005 .3075 Mdot
.74024 .28356 Mdot
.74043 .13348 Mdot
.74062 .18939 Mdot
.74081 .22856 Mdot
.741 .29548 Mdot
.74119 .21344 Mdot
.74138 .11594 Mdot
.74157 .13818 Mdot
.74176 .25371 Mdot
.74195 .17686 Mdot
.74214 .14588 Mdot
.74233 .10874 Mdot
.74252 .27957 Mdot
.74271 .30528 Mdot
.7429 .39283 Mdot
.74309 .33209 Mdot
.74328 .04973 Mdot
.74348 .28698 Mdot
.74367 .2215 Mdot
.74386 .39217 Mdot
.74405 .16967 Mdot
.74424 .26468 Mdot
.74443 .08705 Mdot
.74462 .18272 Mdot
.74481 .18945 Mdot
.745 .23724 Mdot
.74519 .28052 Mdot
.74538 .0899 Mdot
.74557 .19794 Mdot
.74576 .19168 Mdot
.74595 .13917 Mdot
.74614 .21819 Mdot
.74633 .14141 Mdot
.74652 .09737 Mdot
.74671 .23989 Mdot
.7469 .16617 Mdot
.74709 .17839 Mdot
.74728 .23566 Mdot
.74747 .29734 Mdot
.74766 .16587 Mdot
.74786 .18343 Mdot
.74805 .16163 Mdot
.74824 .0963 Mdot
.74843 .1916 Mdot
.74862 .35488 Mdot
.74881 .16497 Mdot
.749 .13058 Mdot
.74919 .11954 Mdot
.74938 .24553 Mdot
.74957 .06818 Mdot
.74976 .45121 Mdot
.74995 .12777 Mdot
.75014 .27254 Mdot
.75033 .07281 Mdot
.75052 .17207 Mdot
.75071 .10913 Mdot
.7509 .18439 Mdot
.75109 .39556 Mdot
.75128 .05729 Mdot
.75147 .32575 Mdot
.75166 .28961 Mdot
.75185 .14065 Mdot
.75204 .11828 Mdot
.75224 .13914 Mdot
.75243 .22349 Mdot
.75262 .20398 Mdot
.75281 .2992 Mdot
.753 .14485 Mdot
.75319 .36756 Mdot
.75338 .22234 Mdot
.75357 .15795 Mdot
.75376 .18229 Mdot
.75395 .45886 Mdot
.75414 .07993 Mdot
.75433 .1357 Mdot
.75452 .24787 Mdot
.75471 .60938 Mdot
.7549 .32502 Mdot
.75509 .08395 Mdot
.75528 .32701 Mdot
.75547 .12603 Mdot
.75566 .3483 Mdot
.75585 .16755 Mdot
.75604 .13487 Mdot
.75623 .2629 Mdot
.75642 .22649 Mdot
.75662 .12095 Mdot
.75681 .17482 Mdot
.757 .30855 Mdot
.75719 .14897 Mdot
.75738 .17055 Mdot
.75757 .09811 Mdot
.75776 .21723 Mdot
.75795 .08598 Mdot
.75814 .30186 Mdot
.75833 .11845 Mdot
.75852 .10274 Mdot
.75871 .16626 Mdot
.7589 .31581 Mdot
.75909 .35776 Mdot
.75928 .44558 Mdot
.75947 .26096 Mdot
.75966 .33004 Mdot
.75985 .30441 Mdot
.76004 .20712 Mdot
.76023 .16417 Mdot
.76042 .28512 Mdot
.76061 .05985 Mdot
.7608 .16057 Mdot
.761 .18621 Mdot
.76119 .30955 Mdot
.76138 .07906 Mdot
.76157 .19833 Mdot
.76176 .229 Mdot
.76195 .0493 Mdot
.76214 .08111 Mdot
.76233 .08387 Mdot
.76252 .2217 Mdot
.76271 .40271 Mdot
.7629 .2129 Mdot
.76309 .07441 Mdot
.76328 .4419 Mdot
.76347 .20103 Mdot
.76366 .24961 Mdot
.76385 .13657 Mdot
.76404 .2534 Mdot
.76423 .23644 Mdot
.76442 .133 Mdot
.76461 .12313 Mdot
.7648 .14381 Mdot
.76499 .31828 Mdot
.76519 .33515 Mdot
.76538 .07119 Mdot
.76557 .24901 Mdot
.76576 .17519 Mdot
.76595 .17615 Mdot
.76614 .30996 Mdot
.76633 .28135 Mdot
.76652 .04274 Mdot
.76671 .07362 Mdot
.7669 .2758 Mdot
.76709 .16543 Mdot
.76728 .19981 Mdot
.76747 .25994 Mdot
.76766 .15884 Mdot
.76785 .04891 Mdot
.76804 .29304 Mdot
.76823 .12323 Mdot
.76842 .19446 Mdot
.76861 .16448 Mdot
.7688 .17675 Mdot
.76899 .34949 Mdot
.76918 .12151 Mdot
.76937 .25868 Mdot
.76957 .08548 Mdot
.76976 .31132 Mdot
.76995 .11759 Mdot
.77014 .24884 Mdot
.77033 .13861 Mdot
.77052 .03897 Mdot
.77071 .28975 Mdot
.7709 .37843 Mdot
.77109 .05717 Mdot
.77128 .23827 Mdot
.77147 .1493 Mdot
.77166 .3921 Mdot
.77185 .02235 Mdot
.77204 .1404 Mdot
.77223 .05495 Mdot
.77242 .1606 Mdot
.77261 .24142 Mdot
.7728 .11337 Mdot
.77299 .32198 Mdot
.77318 .23377 Mdot
.77337 .10498 Mdot
.77356 .07854 Mdot
.77375 .1976 Mdot
.77395 .24322 Mdot
.77414 .24837 Mdot
.77433 .05988 Mdot
.77452 .48214 Mdot
.77471 .10706 Mdot
.7749 .15858 Mdot
.77509 .25963 Mdot
.77528 .032 Mdot
.77547 .18693 Mdot
.77566 .21361 Mdot
.77585 .11636 Mdot
.77604 .14959 Mdot
.77623 .08881 Mdot
.77642 .32264 Mdot
.77661 .16835 Mdot
.7768 .34254 Mdot
.77699 .22266 Mdot
.77718 .0674 Mdot
.77737 .47073 Mdot
.77756 .20931 Mdot
.77775 .24312 Mdot
.77794 .09968 Mdot
.77813 .37459 Mdot
.77833 .16433 Mdot
.77852 .21893 Mdot
.77871 .06246 Mdot
.7789 .46505 Mdot
.77909 .13988 Mdot
.77928 .1336 Mdot
.77947 .22303 Mdot
.77966 .22127 Mdot
.77985 .10272 Mdot
.78004 .17177 Mdot
.78023 .22561 Mdot
.78042 .15372 Mdot
.78061 .26139 Mdot
.7808 .27788 Mdot
.78099 .1539 Mdot
.78118 .11797 Mdot
.78137 .14568 Mdot
.78156 .1524 Mdot
.78175 .20662 Mdot
.78194 .17831 Mdot
.78213 .22607 Mdot
.78232 .33457 Mdot
.78251 .26531 Mdot
.78271 .10061 Mdot
.7829 .22714 Mdot
.78309 .13383 Mdot
.78328 .25167 Mdot
.78347 .2521 Mdot
.78366 .15985 Mdot
.78385 .1782 Mdot
.78404 .24835 Mdot
.78423 .22771 Mdot
.78442 .08253 Mdot
.78461 .32315 Mdot
.7848 .09785 Mdot
.78499 .27774 Mdot
.78518 .12865 Mdot
.78537 .32749 Mdot
.78556 .25645 Mdot
.78575 .29554 Mdot
.78594 .28502 Mdot
.78613 .19971 Mdot
.78632 .19108 Mdot
.78651 .39104 Mdot
.7867 .29223 Mdot
.7869 .42668 Mdot
.78709 .29139 Mdot
.78728 .11863 Mdot
.78747 .29808 Mdot
.78766 .13765 Mdot
.78785 .14162 Mdot
.78804 .17182 Mdot
.78823 .22927 Mdot
.78842 .15602 Mdot
.78861 .33276 Mdot
.7888 .17997 Mdot
.78899 .06611 Mdot
.78918 .32992 Mdot
.78937 .18342 Mdot
.78956 .12027 Mdot
.78975 .33279 Mdot
.78994 .31642 Mdot
.79013 .28385 Mdot
.79032 .15329 Mdot
.79051 .1765 Mdot
.7907 .19581 Mdot
.79089 .23102 Mdot
.79108 .33615 Mdot
.79128 .24641 Mdot
.79147 .44081 Mdot
.79166 .12016 Mdot
.79185 .07515 Mdot
.79204 .17707 Mdot
.79223 .39423 Mdot
.79242 .09672 Mdot
.79261 .0979 Mdot
.7928 .09761 Mdot
.79299 .32187 Mdot
.79318 .43401 Mdot
.79337 .16675 Mdot
.79356 .20576 Mdot
.79375 .2684 Mdot
.79394 .20884 Mdot
.79413 .20373 Mdot
.79432 .32019 Mdot
.79451 .1048 Mdot
.7947 .2583 Mdot
.79489 .16323 Mdot
.79508 .31465 Mdot
.79527 .20842 Mdot
.79546 .25068 Mdot
.79566 .13432 Mdot
.79585 .30722 Mdot
.79604 .03672 Mdot
.79623 .07053 Mdot
.79642 .39838 Mdot
.79661 .13696 Mdot
.7968 .20087 Mdot
.79699 .31531 Mdot
.79718 .33428 Mdot
.79737 .32081 Mdot
.79756 .35379 Mdot
.79775 .12356 Mdot
.79794 .15673 Mdot
.79813 .1665 Mdot
.79832 .29105 Mdot
.79851 .32388 Mdot
.7987 .34246 Mdot
.79889 .08959 Mdot
.79908 .08402 Mdot
.79927 .30053 Mdot
.79946 .45959 Mdot
.79965 .08436 Mdot
.79984 .37974 Mdot
.80004 .1281 Mdot
.80023 .26481 Mdot
.80042 .14979 Mdot
.80061 .09618 Mdot
.8008 .32289 Mdot
.80099 .13785 Mdot
.80118 .1679 Mdot
.80137 .09674 Mdot
.80156 .1402 Mdot
.80175 .13482 Mdot
.80194 .13787 Mdot
.80213 .22778 Mdot
.80232 .2314 Mdot
.80251 .15234 Mdot
.8027 .17857 Mdot
.80289 .30503 Mdot
.80308 .19813 Mdot
.80327 .30147 Mdot
.80346 .21557 Mdot
.80365 .11262 Mdot
.80384 .14377 Mdot
.80403 .16245 Mdot
.80422 .2089 Mdot
.80442 .11134 Mdot
.80461 .27841 Mdot
.8048 .15897 Mdot
.80499 .34838 Mdot
.80518 .16658 Mdot
.80537 .12327 Mdot
.80556 .22146 Mdot
.80575 .43305 Mdot
.80594 .02813 Mdot
.80613 .34302 Mdot
.80632 .24763 Mdot
.80651 .2105 Mdot
.8067 .26382 Mdot
.80689 .23474 Mdot
.80708 .28311 Mdot
.80727 .15112 Mdot
.80746 .15465 Mdot
.80765 .20176 Mdot
.80784 .14108 Mdot
.80803 .09979 Mdot
.80822 .21222 Mdot
.80841 .31505 Mdot
.8086 .32878 Mdot
.8088 .19842 Mdot
.80899 .2752 Mdot
.80918 .31708 Mdot
.80937 .17159 Mdot
.80956 .14174 Mdot
.80975 .19238 Mdot
.80994 .32981 Mdot
.81013 .25269 Mdot
.81032 .33351 Mdot
.81051 .11002 Mdot
.8107 .09942 Mdot
.81089 .25864 Mdot
.81108 .28957 Mdot
.81127 .29418 Mdot
.81146 .10565 Mdot
.81165 .16525 Mdot
.81184 .07159 Mdot
.81203 .29588 Mdot
.81222 .3982 Mdot
.81241 .20066 Mdot
.8126 .2221 Mdot
.81279 .10369 Mdot
.81299 .30448 Mdot
.81318 .39742 Mdot
.81337 .1883 Mdot
.81356 .10354 Mdot
.81375 .08235 Mdot
.81394 .26888 Mdot
.81413 .43274 Mdot
.81432 .11467 Mdot
.81451 .06583 Mdot
.8147 .06845 Mdot
.81489 .21626 Mdot
.81508 .30104 Mdot
.81527 .16963 Mdot
.81546 .24542 Mdot
.81565 .25022 Mdot
.81584 .19611 Mdot
.81603 .33419 Mdot
.81622 .37234 Mdot
.81641 .19808 Mdot
.8166 .39141 Mdot
.81679 .30405 Mdot
.81698 .35971 Mdot
.81717 .36583 Mdot
.81737 .15922 Mdot
.81756 .09717 Mdot
.81775 .42807 Mdot
.81794 .17078 Mdot
.81813 .12328 Mdot
.81832 .33427 Mdot
.81851 .27846 Mdot
.8187 .06565 Mdot
.81889 .30627 Mdot
.81908 .31106 Mdot
.81927 .44596 Mdot
.81946 .12879 Mdot
.81965 .3976 Mdot
.81984 .17444 Mdot
.82003 .18876 Mdot
.82022 .06735 Mdot
.82041 .16303 Mdot
.8206 .0855 Mdot
.82079 .13873 Mdot
.82098 .30252 Mdot
.82117 .21178 Mdot
.82136 .11007 Mdot
.82155 .23008 Mdot
.82175 .36434 Mdot
.82194 .26461 Mdot
.82213 .13211 Mdot
.82232 .11917 Mdot
.82251 .1058 Mdot
.8227 .38206 Mdot
.82289 .49676 Mdot
.82308 .28894 Mdot
.82327 .36469 Mdot
.82346 .15202 Mdot
.82365 .16525 Mdot
.82384 .09878 Mdot
.82403 .2009 Mdot
.82422 .18236 Mdot
.82441 .19436 Mdot
.8246 .10704 Mdot
.82479 .19297 Mdot
.82498 .27382 Mdot
.82517 .29298 Mdot
.82536 .08505 Mdot
.82555 .04663 Mdot
.82574 .21544 Mdot
.82593 .27087 Mdot
.82613 .02233 Mdot
.82632 .21925 Mdot
.82651 .16 Mdot
.8267 .36294 Mdot
.82689 .2596 Mdot
.82708 .29927 Mdot
.82727 .20268 Mdot
.82746 .26353 Mdot
.82765 .17758 Mdot
.82784 .27372 Mdot
.82803 .2841 Mdot
.82822 .34474 Mdot
.82841 .09269 Mdot
.8286 .15555 Mdot
.82879 .05573 Mdot
.82898 .40797 Mdot
.82917 .36297 Mdot
.82936 .25465 Mdot
.82955 .38243 Mdot
.82974 .22039 Mdot
.82993 .19693 Mdot
.83012 .05754 Mdot
.83031 .18437 Mdot
.83051 .31327 Mdot
.8307 .24498 Mdot
.83089 .15315 Mdot
.83108 .18506 Mdot
.83127 .04552 Mdot
.83146 .17529 Mdot
.83165 .49783 Mdot
.83184 .42768 Mdot
.83203 .27795 Mdot
.83222 .06548 Mdot
.83241 .15819 Mdot
.8326 .22819 Mdot
.83279 .29926 Mdot
.83298 .27042 Mdot
.83317 .17557 Mdot
.83336 .12873 Mdot
.83355 .20937 Mdot
.83374 .1829 Mdot
.83393 .25681 Mdot
.83412 .06782 Mdot
.83431 .26271 Mdot
.8345 .06671 Mdot
.83469 .31249 Mdot
.83489 .13137 Mdot
.83508 .0956 Mdot
.83527 .11895 Mdot
.83546 .38412 Mdot
.83565 .228 Mdot
.83584 .04189 Mdot
.83603 .02676 Mdot
.83622 .20126 Mdot
.83641 .10407 Mdot
.8366 .15416 Mdot
.83679 .06045 Mdot
.83698 .15746 Mdot
.83717 .24249 Mdot
.83736 .06908 Mdot
.83755 .05107 Mdot
.83774 .12492 Mdot
.83793 .05362 Mdot
.83812 .17918 Mdot
.83831 .14039 Mdot
.8385 .02429 Mdot
.83869 .19805 Mdot
.83888 .18948 Mdot
.83908 .16068 Mdot
.83927 .13038 Mdot
.83946 .18104 Mdot
.83965 .31351 Mdot
.83984 .13141 Mdot
.84003 .20889 Mdot
.84022 .12805 Mdot
.84041 .09008 Mdot
.8406 .07752 Mdot
.84079 .32623 Mdot
.84098 .34256 Mdot
.84117 .28544 Mdot
.84136 .16518 Mdot
.84155 .27525 Mdot
.84174 .2281 Mdot
.84193 .41898 Mdot
.84212 .13796 Mdot
.84231 .12189 Mdot
.8425 .20068 Mdot
.84269 .27637 Mdot
.84288 .3286 Mdot
.84307 .24038 Mdot
.84326 .16062 Mdot
.84346 .29283 Mdot
.84365 .16582 Mdot
.84384 .21607 Mdot
.84403 .16023 Mdot
.84422 .1197 Mdot
.84441 .29825 Mdot
.8446 .19019 Mdot
.84479 .08063 Mdot
.84498 .34472 Mdot
.84517 .29581 Mdot
.84536 .14582 Mdot
.84555 .27011 Mdot
.84574 .09289 Mdot
.84593 .25093 Mdot
.84612 .25518 Mdot
.84631 .2928 Mdot
.8465 .15702 Mdot
.84669 .12155 Mdot
.84688 .17464 Mdot
.84707 .18897 Mdot
.84726 .15646 Mdot
.84745 .14793 Mdot
.84764 .09053 Mdot
.84784 .11218 Mdot
.84803 .10806 Mdot
.84822 .08595 Mdot
.84841 .12517 Mdot
.8486 .41402 Mdot
.84879 .30965 Mdot
.84898 .23149 Mdot
.84917 .22001 Mdot
.84936 .18365 Mdot
.84955 .29028 Mdot
.84974 .12111 Mdot
.84993 .23788 Mdot
.85012 .1507 Mdot
.85031 .4471 Mdot
.8505 .14066 Mdot
.85069 .17192 Mdot
.85088 .12812 Mdot
.85107 .27458 Mdot
.85126 .3182 Mdot
.85145 .27925 Mdot
.85164 .13131 Mdot
.85183 .24836 Mdot
.85202 .1949 Mdot
.85222 .28756 Mdot
.85241 .14891 Mdot
.8526 .33174 Mdot
.85279 .28084 Mdot
.85298 .07124 Mdot
.85317 .05728 Mdot
.85336 .05285 Mdot
.85355 .12924 Mdot
.85374 .16962 Mdot
.85393 .18922 Mdot
.85412 .31004 Mdot
.85431 .0536 Mdot
.8545 .18968 Mdot
.85469 .3831 Mdot
.85488 .26416 Mdot
.85507 .20517 Mdot
.85526 .06467 Mdot
.85545 .08507 Mdot
.85564 .35648 Mdot
.85583 .22086 Mdot
.85602 .18199 Mdot
.85621 .34744 Mdot
.8564 .30633 Mdot
.8566 .35301 Mdot
.85679 .18195 Mdot
.85698 .29995 Mdot
.85717 .24198 Mdot
.85736 .12959 Mdot
.85755 .03533 Mdot
.85774 .23229 Mdot
.85793 .35875 Mdot
.85812 .2688 Mdot
.85831 .21496 Mdot
.8585 .10707 Mdot
.85869 .25204 Mdot
.85888 .10595 Mdot
.85907 .23509 Mdot
.85926 .43298 Mdot
.85945 .19191 Mdot
.85964 .14028 Mdot
.85983 .28094 Mdot
.86002 .2833 Mdot
.86021 .24887 Mdot
.8604 .41688 Mdot
.86059 .12209 Mdot
.86078 .10096 Mdot
.86098 .21616 Mdot
.86117 .30747 Mdot
.86136 .19679 Mdot
.86155 .07711 Mdot
.86174 .20798 Mdot
.86193 .15104 Mdot
.86212 .4546 Mdot
.86231 .1721 Mdot
.8625 .3123 Mdot
.86269 .22791 Mdot
.86288 .0823 Mdot
.86307 .26253 Mdot
.86326 .05535 Mdot
.86345 .20564 Mdot
.86364 .22807 Mdot
.86383 .06086 Mdot
.86402 .11149 Mdot
.86421 .28202 Mdot
.8644 .23983 Mdot
.86459 .18406 Mdot
.86478 .23293 Mdot
.86497 .06043 Mdot
.86517 .28865 Mdot
.86536 .12545 Mdot
.86555 .28618 Mdot
.86574 .06098 Mdot
.86593 .13559 Mdot
.86612 .07092 Mdot
.86631 .25214 Mdot
.8665 .10928 Mdot
.86669 .25256 Mdot
.86688 .17608 Mdot
.86707 .21411 Mdot
.86726 .33649 Mdot
.86745 .27627 Mdot
.86764 .24828 Mdot
.86783 .21255 Mdot
.86802 .35652 Mdot
.86821 .08395 Mdot
.8684 .58156 Mdot
.86859 .42222 Mdot
.86878 .20547 Mdot
.86897 .15245 Mdot
.86916 .35347 Mdot
.86935 .39031 Mdot
.86955 .31784 Mdot
.86974 .1315 Mdot
.86993 .36776 Mdot
.87012 .16658 Mdot
.87031 .04581 Mdot
.8705 .19688 Mdot
.87069 .17182 Mdot
.87088 .18944 Mdot
.87107 .13668 Mdot
.87126 .14039 Mdot
.87145 .23698 Mdot
.87164 .22822 Mdot
.87183 .18411 Mdot
.87202 .18521 Mdot
.87221 .11306 Mdot
.8724 .19242 Mdot
.87259 .11921 Mdot
.87278 .32092 Mdot
.87297 .47257 Mdot
.87316 .20553 Mdot
.87335 .21127 Mdot
.87354 .37558 Mdot
.87373 .07509 Mdot
.87393 .05824 Mdot
.87412 .16026 Mdot
.87431 .25244 Mdot
.8745 .09156 Mdot
.87469 .21497 Mdot
.87488 .22919 Mdot
.87507 .13721 Mdot
.87526 .18166 Mdot
.87545 .1767 Mdot
.87564 .15813 Mdot
.87583 .19343 Mdot
.87602 .2419 Mdot
.87621 .25129 Mdot
.8764 .1643 Mdot
.87659 .21269 Mdot
.87678 .31244 Mdot
.87697 .27713 Mdot
.87716 .22916 Mdot
.87735 .16614 Mdot
.87754 .07736 Mdot
.87773 .2454 Mdot
.87792 .16999 Mdot
.87811 .16167 Mdot
.87831 .27058 Mdot
.8785 .28263 Mdot
.87869 .09216 Mdot
.87888 .40045 Mdot
.87907 .23058 Mdot
.87926 .10112 Mdot
.87945 .17279 Mdot
.87964 .25157 Mdot
.87983 .2169 Mdot
.88002 .14938 Mdot
.88021 .39284 Mdot
.8804 .33124 Mdot
.88059 .15556 Mdot
.88078 .15712 Mdot
.88097 .32316 Mdot
.88116 .21322 Mdot
.88135 .17816 Mdot
.88154 .36253 Mdot
.88173 .29513 Mdot
.88192 .17618 Mdot
.88211 .30249 Mdot
.8823 .25892 Mdot
.88249 .11553 Mdot
.88269 .0341 Mdot
.88288 .39638 Mdot
.88307 .37979 Mdot
.88326 .27044 Mdot
.88345 .04334 Mdot
.88364 .08953 Mdot
.88383 .12923 Mdot
.88402 .1443 Mdot
.88421 .19166 Mdot
.8844 .12722 Mdot
.88459 .38483 Mdot
.88478 .18071 Mdot
.88497 .08456 Mdot
.88516 .19927 Mdot
.88535 .19202 Mdot
.88554 .04086 Mdot
.88573 .2514 Mdot
.88592 .25737 Mdot
.88611 .28581 Mdot
.8863 .31286 Mdot
.88649 .35587 Mdot
.88668 .22779 Mdot
.88688 .10747 Mdot
.88707 .0993 Mdot
.88726 .14518 Mdot
.88745 .25178 Mdot
.88764 .12106 Mdot
.88783 .16474 Mdot
.88802 .24874 Mdot
.88821 .07054 Mdot
.8884 .25864 Mdot
.88859 .15193 Mdot
.88878 .17843 Mdot
.88897 .08495 Mdot
.88916 .26371 Mdot
.88935 .28298 Mdot
.88954 .13525 Mdot
.88973 .27821 Mdot
.88992 .238 Mdot
.89011 .04367 Mdot
.8903 .27861 Mdot
.89049 .27705 Mdot
.89068 .24521 Mdot
.89087 .12993 Mdot
.89106 .22785 Mdot
.89126 .21659 Mdot
.89145 .22846 Mdot
.89164 .16829 Mdot
.89183 .26861 Mdot
.89202 .24827 Mdot
.89221 .48651 Mdot
.8924 .28179 Mdot
.89259 .19395 Mdot
.89278 .25691 Mdot
.89297 .1401 Mdot
.89316 .34299 Mdot
.89335 .06353 Mdot
.89354 .0622 Mdot
.89373 .35441 Mdot
.89392 .22516 Mdot
.89411 .379 Mdot
.8943 .11316 Mdot
.89449 .0945 Mdot
.89468 .14808 Mdot
.89487 .35935 Mdot
.89506 .23664 Mdot
.89525 .18056 Mdot
.89544 .22741 Mdot
.89564 .1331 Mdot
.89583 .40624 Mdot
.89602 .20232 Mdot
.89621 .25841 Mdot
.8964 .22089 Mdot
.89659 .27534 Mdot
.89678 .27854 Mdot
.89697 .19736 Mdot
.89716 .37888 Mdot
.89735 .2232 Mdot
.89754 .12038 Mdot
.89773 .03938 Mdot
.89792 .2464 Mdot
.89811 .33739 Mdot
.8983 .19366 Mdot
.89849 .27422 Mdot
.89868 .3957 Mdot
.89887 .26113 Mdot
.89906 .35915 Mdot
.89925 .16289 Mdot
.89944 .18554 Mdot
.89963 .16436 Mdot
.89982 .23952 Mdot
.90002 .19914 Mdot
.90021 .2771 Mdot
.9004 .26716 Mdot
.90059 .03485 Mdot
.90078 .23222 Mdot
.90097 .19312 Mdot
.90116 .34468 Mdot
.90135 .04247 Mdot
.90154 .22055 Mdot
.90173 .29907 Mdot
.90192 .2803 Mdot
.90211 .09259 Mdot
.9023 .18827 Mdot
.90249 .08642 Mdot
.90268 .0623 Mdot
.90287 .13393 Mdot
.90306 .18422 Mdot
.90325 .08618 Mdot
.90344 .20652 Mdot
.90363 .29339 Mdot
.90382 .16334 Mdot
.90401 .34164 Mdot
.9042 .25042 Mdot
.9044 .17507 Mdot
.90459 .14179 Mdot
.90478 .24794 Mdot
.90497 .13456 Mdot
.90516 .32875 Mdot
.90535 .18349 Mdot
.90554 .19168 Mdot
.90573 .15577 Mdot
.90592 .18545 Mdot
.90611 .38955 Mdot
.9063 .32574 Mdot
.90649 .04604 Mdot
.90668 .28406 Mdot
.90687 .17747 Mdot
.90706 .36949 Mdot
.90725 .10517 Mdot
.90744 .24478 Mdot
.90763 .33278 Mdot
.90782 .2198 Mdot
.90801 .1979 Mdot
.9082 .15423 Mdot
.90839 .25499 Mdot
.90858 .44682 Mdot
.90878 .29468 Mdot
.90897 .20136 Mdot
.90916 .15576 Mdot
.90935 .10762 Mdot
.90954 .18779 Mdot
.90973 .38076 Mdot
.90992 .33829 Mdot
.91011 .21838 Mdot
.9103 .50619 Mdot
.91049 .20032 Mdot
.91068 .39949 Mdot
.91087 .23948 Mdot
.91106 .23126 Mdot
.91125 .26787 Mdot
.91144 .05926 Mdot
.91163 .14444 Mdot
.91182 .04681 Mdot
.91201 .0948 Mdot
.9122 .42884 Mdot
.91239 .43775 Mdot
.91258 .27088 Mdot
.91277 .25488 Mdot
.91297 .24431 Mdot
.91316 .17403 Mdot
.91335 .19965 Mdot
.91354 .24666 Mdot
.91373 .29783 Mdot
.91392 .30818 Mdot
.91411 .30268 Mdot
.9143 .11 Mdot
.91449 .05354 Mdot
.91468 .29721 Mdot
.91487 .36931 Mdot
.91506 .2837 Mdot
.91525 .09245 Mdot
.91544 .22828 Mdot
.91563 .41281 Mdot
.91582 .16571 Mdot
.91601 .28377 Mdot
.9162 .18916 Mdot
.91639 .28072 Mdot
.91658 .43424 Mdot
.91677 .14306 Mdot
.91696 .16307 Mdot
.91715 .34212 Mdot
.91735 .38685 Mdot
.91754 .1055 Mdot
.91773 .27194 Mdot
.91792 .43052 Mdot
.91811 .16515 Mdot
.9183 .09883 Mdot
.91849 .21447 Mdot
.91868 .21653 Mdot
.91887 .08966 Mdot
.91906 .35372 Mdot
.91925 .27639 Mdot
.91944 .07227 Mdot
.91963 .22438 Mdot
.91982 .07483 Mdot
.92001 .12888 Mdot
.9202 .12613 Mdot
.92039 .23491 Mdot
.92058 .20531 Mdot
.92077 .12112 Mdot
.92096 .1131 Mdot
.92115 .1041 Mdot
.92134 .16483 Mdot
.92153 .05768 Mdot
.92173 .10885 Mdot
.92192 .31356 Mdot
.92211 .14187 Mdot
.9223 .50165 Mdot
.92249 .14116 Mdot
.92268 .06298 Mdot
.92287 .20936 Mdot
.92306 .23708 Mdot
.92325 .28283 Mdot
.92344 .18898 Mdot
.92363 .18407 Mdot
.92382 .16788 Mdot
.92401 .09127 Mdot
.9242 .10027 Mdot
.92439 .10659 Mdot
.92458 .36727 Mdot
.92477 .07757 Mdot
.92496 .13785 Mdot
.92515 .10473 Mdot
.92534 .26528 Mdot
.92553 .12527 Mdot
.92572 .13758 Mdot
.92591 .23106 Mdot
.92611 .34616 Mdot
.9263 .25029 Mdot
.92649 .31044 Mdot
.92668 .39616 Mdot
.92687 .15737 Mdot
.92706 .16864 Mdot
.92725 .16372 Mdot
.92744 .14757 Mdot
.92763 .13494 Mdot
.92782 .1812 Mdot
.92801 .20254 Mdot
.9282 .05505 Mdot
.92839 .24881 Mdot
.92858 .13882 Mdot
.92877 .13759 Mdot
.92896 .11188 Mdot
.92915 .14329 Mdot
.92934 .35287 Mdot
.92953 .54757 Mdot
.92972 .3391 Mdot
.92991 .29456 Mdot
.9301 .13474 Mdot
.93029 .21829 Mdot
.93049 .0742 Mdot
.93068 .30926 Mdot
.93087 .14847 Mdot
.93106 .18563 Mdot
.93125 .22025 Mdot
.93144 .27968 Mdot
.93163 .14302 Mdot
.93182 .14669 Mdot
.93201 .36866 Mdot
.9322 .17885 Mdot
.93239 .23335 Mdot
.93258 .23969 Mdot
.93277 .10803 Mdot
.93296 .15196 Mdot
.93315 .23592 Mdot
.93334 .09184 Mdot
.93353 .1413 Mdot
.93372 .06181 Mdot
.93391 .06919 Mdot
.9341 .0497 Mdot
.93429 .08733 Mdot
.93448 .13438 Mdot
.93467 .11198 Mdot
.93487 .06447 Mdot
.93506 .10315 Mdot
.93525 .16265 Mdot
.93544 .36438 Mdot
.93563 .24415 Mdot
.93582 .11826 Mdot
.93601 .05314 Mdot
.9362 .23078 Mdot
.93639 .34997 Mdot
.93658 .14992 Mdot
.93677 .11373 Mdot
.93696 .34497 Mdot
.93715 .17263 Mdot
.93734 .08703 Mdot
.93753 .20457 Mdot
.93772 .22779 Mdot
.93791 .08774 Mdot
.9381 .17809 Mdot
.93829 .2744 Mdot
.93848 .191 Mdot
.93867 .13775 Mdot
.93886 .23348 Mdot
.93906 .2746 Mdot
.93925 .20314 Mdot
.93944 .40096 Mdot
.93963 .24378 Mdot
.93982 .14735 Mdot
.94001 .12398 Mdot
.9402 .12267 Mdot
.94039 .1255 Mdot
.94058 .22061 Mdot
.94077 .1109 Mdot
.94096 .06193 Mdot
.94115 .24808 Mdot
.94134 .21786 Mdot
.94153 .15493 Mdot
.94172 .26868 Mdot
.94191 .09244 Mdot
.9421 .23693 Mdot
.94229 .22287 Mdot
.94248 .14191 Mdot
.94267 .17413 Mdot
.94286 .09238 Mdot
.94305 .10257 Mdot
.94324 .04804 Mdot
.94344 .12308 Mdot
.94363 .29042 Mdot
.94382 .37141 Mdot
.94401 .36301 Mdot
.9442 .14829 Mdot
.94439 .06126 Mdot
.94458 .06163 Mdot
.94477 .14028 Mdot
.94496 .07757 Mdot
.94515 .02908 Mdot
.94534 .20089 Mdot
.94553 .3189 Mdot
.94572 .24746 Mdot
.94591 .21603 Mdot
.9461 .34012 Mdot
.94629 .1345 Mdot
.94648 .11317 Mdot
.94667 .10734 Mdot
.94686 .11743 Mdot
.94705 .19378 Mdot
.94724 .05894 Mdot
.94743 .19017 Mdot
.94762 .30451 Mdot
.94782 .26407 Mdot
.94801 .21151 Mdot
.9482 .12688 Mdot
.94839 .20994 Mdot
.94858 .25149 Mdot
.94877 .28695 Mdot
.94896 .25215 Mdot
.94915 .06689 Mdot
.94934 .34357 Mdot
.94953 .27168 Mdot
.94972 .34352 Mdot
.94991 .27956 Mdot
.9501 .16799 Mdot
.95029 .30382 Mdot
.95048 .09945 Mdot
.95067 .25209 Mdot
.95086 .23787 Mdot
.95105 .28354 Mdot
.95124 .07885 Mdot
.95143 .26605 Mdot
.95162 .03077 Mdot
.95181 .08611 Mdot
.952 .29461 Mdot
.9522 .12238 Mdot
.95239 .14891 Mdot
.95258 .17317 Mdot
.95277 .12458 Mdot
.95296 .48555 Mdot
.95315 .12818 Mdot
.95334 .42269 Mdot
.95353 .1364 Mdot
.95372 .23426 Mdot
.95391 .06849 Mdot
.9541 .15058 Mdot
.95429 .19 Mdot
.95448 .17197 Mdot
.95467 .10225 Mdot
.95486 .34903 Mdot
.95505 .17478 Mdot
.95524 .12164 Mdot
.95543 .07379 Mdot
.95562 .32909 Mdot
.95581 .29215 Mdot
.956 .26591 Mdot
.95619 .36395 Mdot
.95638 .22714 Mdot
.95658 .06802 Mdot
.95677 .36045 Mdot
.95696 .1699 Mdot
.95715 .05065 Mdot
.95734 .11146 Mdot
.95753 .20143 Mdot
.95772 .20856 Mdot
.95791 .0934 Mdot
.9581 .32939 Mdot
.95829 .1944 Mdot
.95848 .19592 Mdot
.95867 .22789 Mdot
.95886 .22403 Mdot
.95905 .28293 Mdot
.95924 .26134 Mdot
.95943 .37099 Mdot
.95962 .28553 Mdot
.95981 .08404 Mdot
.96 .39834 Mdot
.96019 .07872 Mdot
.96038 .43048 Mdot
.96057 .17181 Mdot
.96076 .15818 Mdot
.96096 .12796 Mdot
.96115 .25243 Mdot
.96134 .19111 Mdot
.96153 .26899 Mdot
.96172 .53898 Mdot
.96191 .18784 Mdot
.9621 .17457 Mdot
.96229 .1951 Mdot
.96248 .17204 Mdot
.96267 .1189 Mdot
.96286 .26334 Mdot
.96305 .28467 Mdot
.96324 .33172 Mdot
.96343 .38408 Mdot
.96362 .08341 Mdot
.96381 .32189 Mdot
.964 .2905 Mdot
.96419 .07321 Mdot
.96438 .20378 Mdot
.96457 .31772 Mdot
.96476 .21218 Mdot
.96495 .30189 Mdot
.96515 .1303 Mdot
.96534 .20899 Mdot
.96553 .12757 Mdot
.96572 .30593 Mdot
.96591 .44613 Mdot
.9661 .27068 Mdot
.96629 .24879 Mdot
.96648 .19646 Mdot
.96667 .06335 Mdot
.96686 .31493 Mdot
.96705 .1063 Mdot
.96724 .22981 Mdot
.96743 .09623 Mdot
.96762 .21757 Mdot
.96781 .13171 Mdot
.968 .11394 Mdot
.96819 .18045 Mdot
.96838 .16853 Mdot
.96857 .10358 Mdot
.96876 .31607 Mdot
.96895 .16852 Mdot
.96914 .21666 Mdot
.96933 .13687 Mdot
.96953 .34439 Mdot
.96972 .11025 Mdot
.96991 .14565 Mdot
.9701 .26909 Mdot
.97029 .34943 Mdot
.97048 .15676 Mdot
.97067 .40349 Mdot
.97086 .08106 Mdot
.97105 .22683 Mdot
.97124 .21208 Mdot
.97143 .39268 Mdot
.97162 .1585 Mdot
.97181 .187 Mdot
.972 .18817 Mdot
.97219 .35603 Mdot
.97238 .28345 Mdot
.97257 .03307 Mdot
.97276 .22312 Mdot
.97295 .05604 Mdot
.97314 .16978 Mdot
.97333 .23211 Mdot
.97352 .41646 Mdot
.97371 .16983 Mdot
.97391 .14272 Mdot
.9741 .23081 Mdot
.97429 .19101 Mdot
.97448 .22748 Mdot
.97467 .45888 Mdot
.97486 .30186 Mdot
.97505 .12548 Mdot
.97524 .09047 Mdot
.97543 .1967 Mdot
.97562 .34093 Mdot
.97581 .24538 Mdot
.976 .2446 Mdot
.97619 .27274 Mdot
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[41]:=",
  ImageSize->{244, 150.75},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003d0000UR000`400?l00000o`00003om03oool0
0?@0oooo003d0?ooo`00m03oool00?@0oooo003d0?ooo`00m03oool003l0oooo00<000000?ooo`3o
ool00`0000020?ooo`<000000P3oool3000001H0oooo10000000103oool000000000000000020?oo
o`<000000P3oool3000001L0oooo0P0000020?ooo`<000000P3oool300000080oooo0`00000I0?oo
o`030000003oool00000008000000P3oool300000080oooo0`00000G0?ooo`8000000P3oool30000
0080oooo0`0000020?ooo`<000001@3oool003l0oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool0503oool01@00
0000oooo0?ooo`3oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo00000002
0?ooo`030000003oool0oooo01<0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000
003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`0F0?ooo`030000
003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000
003oool0oooo01<0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool00000
0080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`020?ooo`00?`3oool010000000
oooo0?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`00
0000oooo0?ooo`0E0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`0000000P3oool0
0`000000oooo000000020?ooo`030000003oool0oooo01H0oooo00<000000?ooo`0000000P3oool0
0`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool04`3oool6
00000080oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0
oooo01H0oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0
00000080oooo00<000000?ooo`3oool00P3oool003l0oooo00@000000?ooo`3oool000000P3oool0
0`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool05@3oool0
10000000oooo0?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3o
ool00`000000oooo0?ooo`0E0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`000000
0P3oool00`000000oooo000000020?ooo`030000003oool0oooo01<0oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`00
0000oooo0?ooo`0C0?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0000
00020?ooo`030000003oool000000080oooo00<000000?ooo`3oool00P3oool003l0oooo00@00000
0?ooo`3oool000000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<0
00000?ooo`3oool05P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<0
00000?ooo`0000000P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool000000080oooo00<0
00000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo01@0oooo00D0
00000?ooo`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`000000
0P3oool00`000000oooo0?ooo`0C0?ooo`<000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`020?ooo`00?P3oool200000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00<00000
0?ooo`3oool04`3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`000000
0P3oool00`000000oooo000000020?ooo`030000003oool0oooo01<0oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`00
0000oooo0?ooo`0E0?ooo`80000000L0oooo0000003oool0oooo0000003oool000000080oooo00<0
00000?ooo`0000000P3oool00`000000oooo0?ooo`0D0?ooo`050000003oool0oooo0?ooo`000000
0P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool0
0P3oool003l0oooo00@000000?ooo`3oool0oooo0P0000030?ooo`8000000`3oool2000001L0oooo
0P0000030?ooo`8000000`3oool2000000<0oooo0P00000G0?ooo`8000000`3oool2000000<0oooo
0P0000030?ooo`8000006@3oool00`000000oooo0?ooo`02000000<0oooo0P0000030?ooo`800000
5`3oool300000080oooo0P0000030?ooo`8000000`3oool2000000D0oooo003d0?ooo`007`3oool0
0`000000oooo0?ooo`3B0?ooo`007`3oool00`000000oooo0?ooo`3B0?ooo`007`3oool00`000000
oooo0?ooo`3B0?ooo`006P3ooooC000000L0oooo000O0?ooo`030000003oool0oooo01X0oooo00<0
00000?ooo`000000203oool010000000oooo0?ooo`0000080?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool02@3oool010000000oooo0?ooo`00000W0?ooo`030000003oool0000000/0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`060?ooo`050000003oool0oooo0?oo
o`0000001`3oool00`000000oooo0000000M0?ooo`030000003oool0oooo00X0oooo000O0?ooo`03
0000003oool0oooo0080oooo0P00000M0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3o
ool02`3oool00`000000oooo0000000R0?ooo`030000003oool0000000d0oooo00<000000?ooo`3o
ool0703oool00`000000oooo0?ooo`0J0?ooo`8000004P3oool001l0oooo0P00000>0?ooo`040000
003oool0oooo000000D0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0<0?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0=0?ooo`03
0000003oool0oooo00`0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`030?ooo`04
0000003oool0oooo000000h0oooo00<000000?ooo`3oool0303oool001l0oooo00<000000?ooo`3o
ool03@3oool010000000oooo0?ooo`00000B0?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool01@3oool00`000000oooo000000020?ooo`80000000<0oooo0000003oool0303oool00`00
0000oooo0?ooo`070?ooo`040000003oool0oooo000001X0oooo00@000000?ooo`3oool000002@3o
ool00`000000oooo0?ooo`0<0?ooo`<000000P3oool00`000000oooo000000070?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool03`3oool010000000oooo0?ooo`00000M0?ooo`007`3o
ool2000000`0oooo00@000000?ooo`000000oooo0P0000020?ooo`030000003oool0oooo00@0oooo
0P00000=0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool03P3oool00`000000oooo
0?ooo`050?ooo`8000001`3oool2000000H0oooo00<000000?ooo`3oool03P3oool00`000000oooo
0?ooo`0G0?ooo`030000003oool0oooo00/0oooo0P0000060?ooo`030000003oool0oooo00800000
0P3oool2000001/0oooo000O0?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo
000000030?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool02P3oool2000000<0oooo
00D000000?ooo`3oool0oooo000000040?ooo`8000001P3oool010000000oooo0?ooo`3oool20000
00L0oooo0P0000070?ooo`050000003oool0oooo0?ooo`0000003`3oool010000000oooo0?ooo`00
00070?ooo`8000001`3oool2000000@0oooo00<000000?ooo`3oool00`3oool2000000@0oooo00D0
00000?ooo`3oool0oooo000000030?ooo`030000003oool0000000/0oooo00<000000?ooo`3oool0
3`3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool00`000000oooo0?ooo`0?0?oo
o`007`3oool00`000000oooo0?ooo`050?ooo`030000003oool000000080oooo00<000000?ooo`3o
ool0203oool300000080oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`050?ooo`05
0000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`040000003oool0oooo
000000@0oooo00<000000?ooo`3oool00`3oool00`000000oooo000000020?ooo`030000003oool0
oooo00`0oooo00<000000?ooo`3oool00`0000050?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`0000002@3oool00`000000oooo0?ooo`050?ooo`050000003oool0oooo0?ooo`000000203o
ool00`000000oooo0?ooo`0:0?ooo`070000003oool0oooo0?ooo`000000oooo000000090?ooo`06
0000003oool0oooo0000003oool000005@3oool001l0oooo0P0000040?ooo`030000003oool0oooo
0080oooo00<000000?ooo`0000001`3oool00`000000oooo000000020?ooo`030000003oool0oooo
00<000002P3oool2000000040?ooo`000000oooo00000080oooo0P0000050?ooo`030000003oool0
000000d0oooo0P000000103oool000000?ooo`00000:0?ooo`030000003oool0oooo008000003@3o
ool010000000oooo0?ooo`00000:0?ooo`040000003oool000000?ooo`8000003@3oool00`000000
oooo000000050?ooo`8000000P3oool010000000oooo0000003oool2000000X0oooo0`0000020?oo
o`060000003oool0oooo0000003oool000001`3oool00`000000oooo000000040?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool02`3oool001l0oooo0`0000040?ooo`050000003oool0
00000?ooo`0000000`3oool00`000000oooo000000050?ooo`030000003oool0000000l0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`0N0?ooo`070000003oool0oooo0?ooo`000000
oooo0000000<0?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool07P3oool00`000000
oooo0?ooo`0:0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`0000001@3oool00`000000
oooo000000030?ooo`030000003oool0000000<000000`3oool00`000000oooo0?ooo`0=0?ooo`00
7`3oool010000000oooo0?ooo`3oool300000080oooo00<000000?ooo`3oool04@3oool200000080
oooo0P0000040?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool00`3oool01000
0000oooo0?ooo`0000020?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?oo
o`030?ooo`8000002@3oool01P000000oooo0?ooo`3oool000000?ooo`8000001P3oool200000003
0?ooo`000000oooo00<0oooo00<000000?ooo`3oool01P3oool00`000000oooo000000040?ooo`03
0000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo
000000D0oooo00<000000?ooo`3oool00`3oool00`000000oooo000000040?ooo`<0000000<0oooo
0000000000004`3oool010000000oooo0?ooo`3oool200000140oooo000O0?ooo`050000003oool0
00000?ooo`000000103oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo0080oooo
00@000000?ooo`3oool000001`3oool01@000000oooo0?ooo`3oool0000000D0oooo0P0000000`3o
ool000000?ooo`030?ooo`050000003oool0oooo0?ooo`0000000`3oool200000080oooo00<00000
0?ooo`3oool01@3oool01P000000oooo0?ooo`000000oooo000000@0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo000000050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo000000040?ooo`030000003oool0oooo0080oooo00<000000?ooo`000000
0P3oool2000000H0oooo00<000000?ooo`3oool00P0000030?ooo`030000003oool0oooo0080oooo
00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo00@0oooo00@000000?ooo`3o
ool000001`3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo00<0oooo00@00000
0?ooo`3oool00000103oool00`000000oooo0000000?0?ooo`007`3oool01@000000oooo0?ooo`00
0000oooo00800000103oool2000000P0oooo00@000000?ooo`3oool000000`3oool00`000000oooo
0?ooo`070?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`060?ooo`05
0000003oool0oooo0?ooo`0000002@3oool2000000030?ooo`000000oooo0080oooo00D000000?oo
o`3oool0oooo000000040?ooo`8000002P3oool00`000000oooo0?ooo`0200000080oooo00<00000
0?ooo`3oool0203oool2000000@0oooo00D000000?ooo`3oool0oooo000000030?ooo`040000003o
ool00000000000T0oooo00D000000?ooo`3oool0oooo000000080?ooo`040000003oool0oooo0000
00<0oooo00<000000?ooo`3oool01`3oool01@000000oooo0?ooo`3oool000000080oooo0P000007
0?ooo`800000103oool2000000030?ooo`000000oooo00l0oooo000O0?ooo`80000000<0oooo0000
003oool04@3oool00`000000oooo000000020?ooo`030000003oool0oooo00@0oooo00@000000?oo
o`3oool000000P3oool00`000000oooo0?ooo`020?ooo`8000000P3oool010000000oooo0?ooo`00
00040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`0000000P3oool00`000000oooo0?oo
o`02000000040?ooo`000000oooo000000<0oooo00<000000?ooo`3oool00P0000030?ooo`030000
003oool0oooo0080oooo00D000000?ooo`000000oooo000000040?ooo`050000003oool000000?oo
o`0000001@3oool00`000000oooo0?ooo`0200000080oooo00P000000?ooo`3oool0oooo0000003o
ool000000?ooo`8000000P3oool01P000000oooo0?ooo`000000oooo000000D0oooo00<000000?oo
o`3oool00P3oool2000000040?ooo`000000oooo0?ooo`800000103oool010000000oooo0?ooo`00
00020?ooo`030000003oool0oooo00@0oooo00@000000?ooo`3oool0oooo0P00000B0?ooo`<00000
3P3oool001l0oooo0P0000030?ooo`030000003oool0oooo008000001@3oool00`000000oooo0?oo
o`02000000D0oooo00<000000?ooo`0000000`3oool2000000@0oooo00<000000?ooo`3oool00P3o
ool200000080oooo00D000000?ooo`000000oooo000000030?ooo`050000003oool000000?ooo`00
00000P3oool3000000X0oooo0P0000000`3oool000000?ooo`030?ooo`040000003oool0oooo0000
00T0oooo00@000000?ooo`00000000000P3oool2000000030?ooo`000000oooo00P0oooo00@00000
0?ooo`3oool000001@3oool3000000X0oooo0`0000020?ooo`050000003oool000000?ooo`000000
0`3oool00`000000oooo000000020?ooo`040000003oool00000000000@0oooo00<000000?ooo`3o
ool00P3oool2000000<0oooo00<000000?ooo`0000001@3oool200000080oooo00<000000?ooo`3o
ool00`3oool200000080oooo00<000000?ooo`3oool0403oool001l0oooo00D000000?ooo`3oool0
oooo000000020?ooo`040000003oool000000?ooo`<0000000<0oooo0000003oool00P3oool30000
00D0oooo0P0000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0203oool01P00
0000oooo0?ooo`000000oooo000000D0oooo00<000000?ooo`3oool0103oool020000000oooo0000
00000000oooo0000003oool00000103oool2000000@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo000000030?ooo`060000003oool000000000003oool000000`3oool00`000000oooo0000
00060?ooo`030000003oool0oooo0080oooo0P0000040?ooo`060000003oool000000?ooo`000000
oooo0P0000060?ooo`030000003oool0oooo00<0oooo00H000000?ooo`3oool000000?ooo`00000:
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P0000050?ooo`<000000`3oool0
0`000000oooo00000002000000040?ooo`000000oooo00000080oooo00D000000?ooo`3oool0oooo
0000000=0?ooo`007`3oool00`000000oooo0000000:0?ooo`050000003oool0oooo0?ooo`000000
2`3oool01@000000oooo0?ooo`3oool000000080oooo0`0000000`3oool000000?ooo`040?ooo`03
0000003oool0000000@0oooo00H000000?ooo`00000000000?ooo`0000040?ooo`050000003oool0
oooo0?ooo`0000000P3oool2000000<0oooo0P0000060?ooo`040000003oool0oooo000001X0oooo
00@000000?ooo`3oool000001P3oool2000000<0oooo0P0000020?ooo`050000003oool0oooo0?oo
o`000000103oool01P000000oooo000000000000oooo000000@0oooo00<000000?ooo`0000001@3o
ool00`000000oooo0000000200000080oooo00D000000?ooo`3oool0oooo0000000;0?ooo`050000
003oool0oooo0?ooo`0000002P3oool00`000000oooo0?ooo`0=0?ooo`007`3oool010000000oooo
0?ooo`3oool2000000050?ooo`000000oooo0000003oool00P0000060?ooo`8000000`3oool00`00
0000oooo0?ooo`050?ooo`040000003oool0oooo000000@0oooo0P0000030?ooo`030000003oool0
oooo00<0oooo0`0000040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00P3oool2
00000080oooo0P0000020?ooo`<000000P3oool00`000000oooo0?ooo`040?ooo`8000000`3oool2
000000H0oooo0P0000030?ooo`030000003oool0000000D0oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`8000000P3oool2000000@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`020?ooo`<000001@3oool010000000oooo0?ooo`3oool2000000@0oooo0P0000000`3oool0
00000?ooo`060?ooo`070000003oool0oooo0?ooo`000000oooo000000050?ooo`8000000P3oool2
000000030?ooo`00000000000140oooo000O0?ooo`<000000`3oool01@000000oooo0?ooo`000000
oooo0080000000<0oooo0000003oool00`3oool00`000000oooo0?ooo`020?ooo`80000000@0oooo
0000003oool000000P3oool00`000000oooo000000030?ooo`050000003oool0oooo0?ooo`000000
303oool4000000<0oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`0200000080
oooo0`0000060?ooo`040000003oool0oooo0?ooo`@000003P3oool4000000<0oooo00<000000?oo
o`3oool0103oool300000080oooo0P0000020?ooo`030000003oool0oooo0080oooo00<000000?oo
o`0000000`3oool010000000oooo00000000000<0?ooo`050000003oool0oooo0?ooo`0000000`3o
ool00`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool00`3o
ool01P000000oooo0?ooo`3oool000000?ooo`@000000P3oool010000000oooo0?ooo`3oool20000
00h0oooo000O0?ooo`8000000P3oool01@000000oooo0?ooo`000000oooo00<0000000<0oooo0000
003oool0203oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool00P00000:
0?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`02
0?ooo`040000003oool0oooo0?ooo`800000203oool010000000oooo0?ooo`3oool2000000030?oo
o`000000000000D0oooo00D000000?ooo`00000000000?ooo`02000000050?ooo`00000000000000
003oool00P0000000`3oool000000?ooo`040?ooo`80000000<0oooo0000000000000`3oool00`00
0000oooo0?ooo`060?ooo`030000003oool000000080oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`030?ooo`070000003oool0oooo0?ooo`000000oooo0000000:0?ooo`050000003o
ool000000?ooo`000000103oool01@000000oooo0?ooo`3oool0000000T0oooo00D000000?ooo`00
000000000?ooo`0200000080oooo00@000000?ooo`3oool000003P3oool001l0oooo00<000000?oo
o`0000000`3oool00`000000oooo000000020?ooo`030000003oool0oooo00<0oooo00H000000?oo
o`3oool000000?ooo`00000;0?ooo`030000003oool0oooo00D0oooo0P0000050?ooo`8000000P3o
ool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool00P3oool01@000000oooo
0?ooo`3oool000000080oooo00<000000?ooo`3oool03P3oool010000000oooo0?ooo`0000020?oo
o`040000003oool0000000000080oooo0P0000001@3oool000000?ooo`3oool000000080oooo00<0
00000?ooo`3oool03P3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo0080oooo
00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`02000000D0oooo0P0000070?ooo`03
0000003oool0oooo00T0oooo00H000000?ooo`3oool000000?ooo`0000050?ooo`060000003oool0
oooo0000003oool00000103oool00`000000oooo0?ooo`0<0?ooo`007`3oool00`000000oooo0?oo
o`0300000080oooo00@000000?ooo`3oool00000103oool00`000000oooo000000030?ooo`040000
003oool000000?ooo`@000000P3oool00`000000oooo0?ooo`040?ooo`050000003oool000000?oo
o`0000000P3oool200000080oooo0`0000040?ooo`050000003oool000000000003oool00P00000:
0?ooo`8000000`3oool2000000H0oooo100000030?ooo`800000203oool2000000<0oooo10000007
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0203oool2000000050?ooo`000000
00000?ooo`000000103oool300000080oooo0`0000001@3oool000000?ooo`000000oooo00800000
1@3oool00`000000oooo0?ooo`04000000050?ooo`000000oooo0?ooo`0000000P3oool00`000000
oooo000000040?ooo`040000003oool0oooo00000080oooo0`00000@0?ooo`00103oool00`000000
oooo0?ooo`0300000080oooo0`0000020?ooo`<000000P3oool3000000H0oooo00<000000?ooo`3o
ool00P3oool300000080oooo00<000000?ooo`0000001P3oool01@000000oooo0?ooo`3oool00000
00<0oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`02000000D0oooo0P0000000`3o
ool000000?ooo`030?ooo`030000003oool0oooo0080oooo100000020?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool00P3oool3000000<0oooo00<000000?ooo`3oool00P3oool20000
0080oooo0P0000000`3oool000000?ooo`070?ooo`800000203oool010000000oooo000000000002
0?ooo`800000103oool010000000oooo0?ooo`3oool4000000<0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`04000000@0oooo00<000000?ooo`3oool00P3oool010000000oooo0000
000000050?ooo`8000000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool01@00
0000oooo0?ooo`3oool0000000L0oooo0P0000020?ooo`<00000103oool00`000000oooo0?ooo`0;
0?ooo`00103oool010000000oooo0?ooo`0000020?ooo`030000003oool000000080oooo00<00000
0?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo00<0oooo00H00000
0?ooo`00000000000?ooo`0000060?ooo`030000003oool0oooo00<0oooo0P0000020?ooo`030000
003oool0oooo0080000000@0oooo00000000000000000P3oool01@000000oooo0?ooo`3oool00000
0080oooo00<000000?ooo`3oool0103oool01@000000oooo0?ooo`000000oooo00H000002`3oool2
00000080oooo0P0000020?ooo`@00000303oool400000080oooo0P0000020?ooo`<0000000<0oooo
0000003oool02P3oool3000000050?ooo`000000oooo0?ooo`0000000P3oool2000000`0oooo1@00
00020?ooo`030000003oool0000000H0oooo00@000000?ooo`3oool000000`3oool00`000000oooo
0?ooo`03000000030?ooo`00000000000080oooo00<000000?ooo`3oool00P0000050?ooo`030000
003oool0oooo00@0oooo00@000000?ooo`00000000003`3oool000@0oooo00@000000?ooo`3oool0
00000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`00
00000P3oool00`000000oooo0?ooo`030?ooo`8000000`3oool200000080oooo0P0000040?ooo`04
0000003oool00000000000<0oooo0P0000080?ooo`080000003oool0oooo0?ooo`000000oooo0000
003oool200000080oooo00<000000?ooo`0000000P3oool200000080oooo1@0000020?ooo`D00000
0P3oool010000000oooo0000000000030?ooo`030000003oool0000000@0oooo0P0000030?ooo`07
0000003oool0oooo0?ooo`000000oooo0000000>0?ooo`030000003oool0000000<0oooo00@00000
0?ooo`3oool0oooo0P0000040?ooo`030000003oool0000000<0oooo00@000000?ooo`0000000000
0P3oool2000000030?ooo`00000000000080oooo1@0000030?ooo`060000003oool0oooo0000003o
ool000000P3oool2000000040?ooo`000000oooo000000<0oooo00<000000?ooo`3oool01P3oool2
000000<0oooo0P0000000`3oool000000?ooo`030?ooo`8000000P3oool200000180oooo00040?oo
o`040000003oool0oooo00000080oooo00<000000?ooo`0000000P3oool00`000000oooo00000002
0?ooo`030000003oool000000080oooo00<000000?ooo`3oool00`3oool2000000@0oooo00<00000
0?ooo`0000000`0000050?ooo`040000003oool0oooo0?ooo`80000000D0oooo0000003oool00000
0?ooo`0200000080oooo00<000000?ooo`3oool00`0000001P3oool000000?ooo`000000oooo0000
00<0oooo0`0000020?ooo`8000000P3oool2000000030?ooo`000000oooo008000001`3oool20000
00050?ooo`00000000000?ooo`0000001P3oool00`000000oooo00000002000000@0oooo00@00000
0?ooo`3oool000000`3oool2000000<0oooo00@000000?ooo`3oool00000103oool3000000030?oo
o`000000000000D0oooo00D000000?ooo`00000000000?ooo`02000000L0oooo0P0000000`3oool0
00000?ooo`02000000<0oooo00<000000?ooo`3oool00`0000030?ooo`060000003oool000000?oo
o`000000oooo0`0000020?ooo`030000003oool0oooo0080000000D0oooo0000003oool000000?oo
o`02000000<0oooo00<000000?ooo`3oool00`3oool4000000030?ooo`000000oooo00<0oooo00<0
00000?ooo`3oool0303oool000@0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0000
00020?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?oo
o`030?ooo`8000001@3oool00`000000oooo00000004000000030?ooo`000000oooo0080oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`800000103oool010000000oooo0?oo
o`0000020?ooo`030000003oool000000080oooo0P0000000`3oool0000000000002000000<0oooo
0P0000040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool010000000oooo
0?ooo`0000040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P0000040?ooo`80
00000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00D000000?ooo`3o
ool0oooo000000040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool20000
00<0oooo0P0000000`3oool000000?ooo`0200000080oooo00<000000?ooo`0000000P3oool01000
0000oooo0?ooo`0000040?ooo`8000001`3oool00`000000oooo0?ooo`050?ooo`8000000P3oool0
0`000000oooo00000004000000030?ooo`000000oooo00@0oooo0P00000=0?ooo`000`3oool20000
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00<0
00000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`0000000`0000060?ooo`040000003oool0oooo000000<0oooo00@000000?ooo`000000
00001`3oool00`000000oooo000000040?ooo`8000000P3oool010000000oooo0?ooo`3oool30000
00D0oooo00<000000?ooo`3oool00P0000030?ooo`8000000P3oool00`000000oooo000000030000
00@0oooo00<000000?ooo`3oool0103oool500000080oooo00<000000?ooo`3oool01`000000103o
ool000000?ooo`3oool5000000H0oooo00<000000?ooo`3oool00P3oool4000000040?ooo`000000
oooo0?ooo`8000000`3oool200000080oooo00<000000?ooo`3oool00`3oool3000000<0oooo00<0
00000?ooo`3oool00P0000040?ooo`030000003oool0000000L0oooo0P0000000`3oool000000?oo
o`020?ooo`040000003oool0oooo000000H0oooo1`00000A0?ooo`00103oool010000000oooo0?oo
o`3oool2000000<0oooo0P0000030?ooo`8000000`3oool2000000H0oooo00<000000?ooo`3oool0
103oool00`000000oooo000000040?ooo`8000000P3oool01@000000oooo0000003oool0000000H0
oooo100000020?ooo`8000000P3oool00`000000oooo0000000=0?ooo`8000000P3oool01@000000
oooo0?ooo`000000oooo00800000103oool200000080oooo0P0000020?ooo`030000003oool00000
00<0oooo0P0000020?ooo`040000003oool000000?ooo`8000000P3oool2000000080?ooo`000000
00000?ooo`000000oooo0000003oool2000000050?ooo`000000oooo0?ooo`0000000P3oool01000
0000oooo0?ooo`3oool300000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`02
0?ooo`80000000D0oooo0000003oool0oooo000000020?ooo`<00000303oool00`000000oooo0000
00020?ooo`8000000P3oool4000000H0oooo00D000000?ooo`000000oooo000000020?ooo`800000
103oool00`000000oooo0000000D0?ooo`007`3oool2000000030?ooo`000000oooo00D0oooo00<0
00000?ooo`3oool01`3oool2000000D0oooo1@000000103oool000000?ooo`3oool2000000040?oo
o`00000000000?ooo`@0000000<0oooo0000003oool02@3oool01P000000oooo0?ooo`3oool00000
0?ooo`8000000P3oool00`000000oooo0?ooo`02000000050?ooo`00000000000?ooo`0000001@3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool0oooo
100000030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`020?ooo`050000003oool000000000003oool00`000000103oool000000?ooo`3oool20000
00030?ooo`000000oooo0080oooo00<000000?ooo`3oool02@3oool2000000040?ooo`0000000000
0?ooo`80000000<0oooo0000000000000P3oool00`000000oooo00000004000000D0oooo0P000009
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`0000003P3oool001l0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0000000200000080oooo0P0000000`3oool000000?ooo`020000
00H0oooo00@000000?ooo`3oool0oooo0`000000103oool000000?ooo`0000020?ooo`030000003o
ool000000080000000<0oooo0000000000000P3oool020000000oooo0?ooo`3oool000000?ooo`00
0000oooo0`0000002`3oool000000000003oool000000?ooo`000000oooo0000003oool000000080
oooo100000000`3oool000000?ooo`040?ooo`070000003oool000000000003oool000000?ooo`04
000000060?ooo`000000oooo0?ooo`000000oooo100000000`3oool000000?ooo`02000000030?oo
o`000000oooo00@0oooo00<000000?ooo`0000000`0000020?ooo`070000003oool000000?ooo`00
0000oooo000000020?ooo`030000003oool000000080000000@0oooo0000003oool000000`3oool0
0`000000oooo0?ooo`02000000060?ooo`00000000000000003oool000000P3oool01`000000oooo
0000003oool000000?ooo`0000000`3oool00`000000oooo0?ooo`040?ooo`80000000<0oooo0000
003oool00P0000020?ooo`<0000000<0oooo0000003oool0503oool001l0oooo0`0000000`3oool0
0000000000040?ooo`80000000<0oooo0000003oool00`3oool00`000000oooo00000002000000<0
oooo00<000000?ooo`0000001@3oool00`000000oooo00000002000000<0oooo00<000000?ooo`3o
ool00P0000000`3oool000000?ooo`090?ooo`040000003oool0oooo00000080oooo0`0000050?oo
o`<000000`3oool00`000000oooo0?ooo`02000000040?ooo`000000oooo000000<0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo000000020?ooo`030000003oool0000000@0oooo00H00000
0?ooo`3oool0oooo0000003oool400000080oooo00@000000?ooo`3oool0oooo0`0000050?ooo`<0
00000P3oool010000000oooo0?ooo`00000:0?ooo`040000003oool0000000000080oooo00@00000
0?ooo`3oool0oooo0`0000020?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool00000
0P3oool00`000000oooo000000020?ooo`030000003oool0oooo0080oooo0`0000040?ooo`800000
0P3oool2000000d0oooo000O0?ooo`030000003oool0oooo00<0000000<0oooo000000000000103o
ool00`000000oooo000000040?ooo`060000003oool000000?ooo`000000oooo0P0000050?ooo`03
0000003oool0000000<0oooo00<000000?ooo`000000103oool2000000<0oooo00<000000?ooo`3o
ool00`3oool010000000oooo0?ooo`0000040?ooo`<000000`3oool010000000oooo0?ooo`000004
0?ooo`8000000`3oool01`000000oooo0?ooo`3oool000000?ooo`0000001`3oool010000000oooo
0?ooo`0000070?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool0oooo0P0000040?oo
o`040000003oool0oooo000000<0oooo0`0000040?ooo`040000003oool0oooo000000D0oooo00@0
00000?ooo`3oool0oooo0P0000040?ooo`030000003oool0000000<0oooo00<000000?ooo`000000
1@3oool2000000060?ooo`000000oooo0000003oool00000103oool00`000000oooo000000040?oo
o`80000000@0oooo0000000000000000403oool001l0oooo00<000000?ooo`3oool01@3oool20000
00@0oooo00H000000?ooo`3oool0oooo0000003oool2000000030?ooo`000000oooo00@0oooo0`00
00040?ooo`030000003oool0000000<0000000<0oooo0000000000000`3oool2000000030?ooo`00
0000oooo0080000000<0oooo0000003oool01`3oool00`000000oooo000000020?ooo`040000003o
ool0oooo000000D0oooo0`0000000`3oool00000000000030?ooo`040000003oool000000?ooo`80
0000303oool2000000040?ooo`000000oooo000000<0oooo0P000000103oool00000000000000005
0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`000000203oool4000000030?ooo`00
0000oooo008000000`3oool200000080oooo0`0000000`3oool000000?ooo`030?ooo`<000001@3o
ool01P000000oooo000000000000oooo000000<0oooo00<000000?ooo`3oool00P3oool2000001D0
oooo000O0?ooo`<000001`3oool2000000<0oooo00H000000?ooo`000000oooo0000003oool30000
00030?ooo`00000000000080oooo0P0000000`3oool000000?ooo`050?ooo`030000003oool0oooo
00@0oooo0`0000001`3oool00000000000000000oooo0000003oool00P000000103oool000000?oo
o`0000020?ooo`060000003oool0oooo0000003oool000001`3oool200000080oooo00<000000?oo
o`3oool00P0000020?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool00P0000020?oo
o`8000000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool200000080oooo00<0
00000?ooo`3oool00P0000070?ooo`060000003oool000000000003oool000000P3oool300000006
0?ooo`00000000000?ooo`000000oooo0`000000103oool000000000000000060?ooo`030000003o
ool0oooo00@0oooo00H000000?ooo`000000oooo0000003oool20000000:0?ooo`00000000000000
003oool000000?ooo`000000oooo000000<0oooo0P0000080?ooo`030000003oool0oooo00`0oooo
000O0?ooo`80000000<0oooo0000003oool0103oool01@000000oooo000000000000oooo00<00000
1@3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3oool00P0000070?oo
o`040000003oool0oooo000000<0oooo00<000000?ooo`0000001@3oool01@000000oooo0?ooo`3o
ool000000080oooo00@000000?ooo`00000000001`3oool2000000@0oooo0P0000001@3oool00000
0000003oool0000000<0oooo00P000000?ooo`00000000000?ooo`000000oooo000000<0oooo0P00
00020?ooo`<000000`3oool01@000000oooo000000000000oooo00800000103oool2000000L0oooo
100000020?ooo`050000003oool0oooo0?ooo`0000001@3oool00`000000oooo000000030?ooo`04
0000003oool0oooo000000L0oooo00D000000?ooo`000000oooo000000020?ooo`030000003oool0
00000080oooo00<000000?ooo`3oool00`3oool3000000050?ooo`00000000000?ooo`0000001@3o
ool00`000000oooo0000000>0?ooo`007`3oool00`000000oooo0?ooo`02000000040?ooo`000000
oooo000000H0oooo0`0000000`3oool000000?ooo`02000000070?ooo`00000000000?ooo`000000
oooo000000020?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool01@3oool02000
0000oooo0?ooo`000000oooo0000003oool00000103oool2000000D0oooo0P0000030?ooo`800000
0P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool2000000040?ooo`000000oooo
0?ooo`<000000`3oool2000000030?ooo`000000oooo0080oooo0`0000020?ooo`040000003oool0
oooo000000<0oooo00<000000?ooo`0000000`3oool01@000000oooo0?ooo`3oool0000000<0oooo
00<000000?ooo`000000103oool2000000@0oooo0P0000000`3oool00000000000020?ooo`800000
1P3oool00`000000oooo0?ooo`020?ooo`0:0000003oool0oooo0?ooo`000000oooo0000003oool0
00000?ooo`80000000H0oooo000000000000oooo0000003oool3000000H0oooo00@000000?ooo`00
0000oooo0P0000020?ooo`030000003oool0oooo00/0oooo000O0?ooo`030000003oool000000080
00002@3oool00`000000oooo000000050?ooo`050000003oool000000?ooo`0000000P3oool00`00
0000oooo00000002000000030?ooo`00000000000080oooo00<000000?ooo`3oool00P0000001P3o
ool000000?ooo`3oool000000?ooo`80000000@0oooo00000000000000000P3oool4000000030?oo
o`00000000000080oooo00<000000?ooo`0000000P3oool01@000000oooo0?ooo`3oool0000000<0
oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool00P0000030?ooo`050000003oool0oooo0?ooo`000000103oool01`00
0000oooo0?ooo`3oool000000?ooo`0000000`3oool01@000000oooo0?ooo`3oool0000000<0oooo
0P0000020?ooo`8000000P3oool2000000060?ooo`000000oooo0?ooo`000000oooo0`0000001P3o
ool000000?ooo`3oool000000?ooo`8000000P3oool00`000000oooo0?ooo`02000000040?ooo`00
000000000?ooo`8000000P3oool01@000000oooo0000003oool0000000D0oooo00<000000?ooo`00
00002@3oool3000000030?ooo`000000oooo00`0oooo000O0?ooo`0;0000003oool0oooo0?ooo`00
0000oooo0000003oool000000?ooo`0000000P3oool2000000050?ooo`00000000000?ooo`000000
203oool2000000040?ooo`00000000000?ooo`80000000D0oooo0000003oool0oooo000000030?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3oool01@000000oooo0000003oool0
000000L0oooo0`0000001@3oool000000000003oool000000080oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0?ooo`040?ooo`<000000P3oool00`000000oooo000000060?ooo`030000003o
ool0oooo00L0oooo00@000000?ooo`000000oooo0P0000001@3oool000000000003oool0000000H0
oooo00<000000?ooo`3oool00P0000050?ooo`030000003oool0oooo00D0oooo00D000000?ooo`3o
ool0oooo000000020?ooo`050000003oool000000000003oool00P0000000`3oool0000000000008
0?ooo`050000003oool000000000003oool00P0000020?ooo`070000003oool000000?ooo`000000
oooo0000000A0?ooo`007`3oool3000000D0oooo00D000000?ooo`3oool0oooo000000020?ooo`03
0000003oool0oooo00<0oooo1@00000<0?ooo`040000003oool0oooo000000<0oooo00D000000?oo
o`000000oooo000000040?ooo`050000003oool000000?ooo`0000002@3oool00`000000oooo0000
000:0?ooo`040000003oool0oooo0?ooo`@0000000D0oooo0000003oool0oooo000000020?ooo`03
0000003oool0oooo00@0oooo00@000000?ooo`3oool000000P3oool00`000000oooo000000030000
00<0oooo00<000000?ooo`3oool0203oool00`000000oooo000000090?ooo`050000003oool00000
0?ooo`000000103oool01@000000oooo0000003oool0000000@0oooo00<000000?ooo`000000303o
ool5000000D0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool03@3oool001l0oooo0`000000103oool000000?ooo`0000040?ooo`030000
003oool0oooo00H0oooo0P0000000`3oool000000?ooo`030?ooo`050000003oool000000?ooo`00
00000P3oool2000000050?ooo`000000oooo0?ooo`0000000`3oool00`000000oooo0?ooo`0<0?oo
o`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0000000000060?ooo`8000000`3o
ool200000080oooo0P0000080?ooo`800000103oool2000000P0oooo0P0000020?ooo`8000000`3o
ool2000000L0oooo00<000000?ooo`0000000P3oool01@000000oooo0?ooo`3oool0000000l0oooo
00@000000?ooo`3oool000000P3oool010000000oooo0000000000020?ooo`050000003oool00000
0?ooo`0000001@3oool3000000P0oooo00<000000?ooo`3oool00P3oool010000000oooo0000003o
ool2000000h0oooo000O0?ooo`<000000`3oool2000000@0oooo00<000000?ooo`3oool00`3oool0
1@000000oooo000000000000oooo00<000000P3oool010000000oooo0?ooo`0000020?ooo`030000
003oool0000000D0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0000000L0
oooo00<000000?ooo`000000103oool00`000000oooo000000020?ooo`030000003oool0000000<0
oooo00D000000?ooo`00000000000?ooo`02000000040?ooo`000000oooo0?ooo`800000203oool0
0`000000oooo0?ooo`02000000L0oooo0P0000020?ooo`050000003oool000000000003oool00P00
00000`3oool000000?ooo`020?ooo`030000003oool000000080oooo00<000000?ooo`000000103o
ool00`000000oooo000000080?ooo`8000000P3oool01@000000oooo0?ooo`3oool0000000D0oooo
00<000000?ooo`0000000P3oool01@000000oooo0?ooo`3oool000000080oooo0P0000001@3oool0
00000000003oool0000000D0oooo00<000000?ooo`3oool00P3oool2000000<0oooo0P00000>0?oo
o`007`3oool00`000000oooo0?ooo`040?ooo`030000003oool0000000@0oooo00@000000?ooo`00
000000001`3oool2000000@0oooo00H000000?ooo`3oool000000?ooo`0000040?ooo`8000000P3o
ool00`000000oooo00000002000000050?ooo`00000000000?ooo`000000203oool010000000oooo
0000000000040?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool00P0000070?ooo`03
0000003oool0oooo00<0oooo0`0000020?ooo`<000001@3oool00`000000oooo0?ooo`050?ooo`80
00000P3oool00`000000oooo0?ooo`020?ooo`040000003oool00000000000<0oooo00@000000?oo
o`0000000000203oool010000000oooo0000000000020?ooo`040000003oool00000000000<0oooo
00<000000?ooo`3oool00P3oool00`000000oooo000000020?ooo`8000000`3oool2000000P0oooo
0`0000040?ooo`030000003oool0000001@0oooo000O0?ooo`8000000P3oool010000000oooo0?oo
o`0000040?ooo`040000003oool0oooo0?ooo`8000005P3oool2000000@0oooo0P0000020?ooo`05
0000003oool0oooo0?ooo`0000000`3oool200000080oooo0P0000020?ooo`8000000`3oool30000
00<0oooo0P0000000`3oool000000?ooo`020?ooo`80000000<0oooo0000000000000`0000060?oo
o`040000003oool0oooo000000H0oooo1@0000000`3oool00000000000030?ooo`040000003oool0
0000000000<0oooo0`0000030?ooo`8000000P3oool200000080oooo0P0000030?ooo`050000003o
ool0oooo0?ooo`0000000P3oool2000000@0oooo0P00000F0?ooo`8000000`3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo0080000000<0oooo0000000000003@3oool001l0oooo0`00
00000`3oool000000?ooo`020?ooo`030000003oool000000080oooo0P0000000`3oool000000?oo
o`08000000030?ooo`00000000000080000000<0oooo0000003oool00P3oool00`000000oooo0?oo
o`02000000@0oooo00@000000?ooo`3oool0oooo0P0000040?ooo`030000003oool0oooo0080oooo
0P000000103oool000000?ooo`3oool4000000D0oooo00@000000?ooo`3oool000000P3oool01@00
0000oooo0000003oool0000000D0oooo00D000000?ooo`3oool000000?ooo`02000000@0oooo0P00
00000`3oool000000?ooo`020?ooo`030000003oool0oooo0080oooo00D000000?ooo`000000oooo
000000030?ooo`030000003oool0000000D0oooo100000020?ooo`040000003oool00000000000@0
oooo00<000000?ooo`3oool00P3oool2000000<0oooo00<000000?ooo`3oool00P3oool200000080
oooo00H000000?ooo`3oool0oooo0000003oool3000000030?ooo`000000000000L0000000@0oooo
0000003oool0oooo0P000000103oool000000?ooo`0000040?ooo`80000000<0oooo0000003oool0
303oool001l0oooo00<000000?ooo`3oool00P3oool00`000000oooo00000002000000030?ooo`00
0000000000@0oooo00<000000?ooo`3oool00P3oool3000000X0oooo00<000000?ooo`3oool0103o
ool00`000000oooo000000030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`02000000D0oooo00D000000?ooo`3oool0oooo000000030?ooo`030000
003oool0oooo00<000003@3oool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`3oool0
2`3oool00`000000oooo000000020?ooo`050000003oool0oooo0?ooo`0000000`3oool00`000000
oooo0?ooo`030?ooo`8000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0
oooo00L000000?ooo`3oool0oooo0000003oool0000000H0oooo00<000000?ooo`3oool0203oool3
000000@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0000000200000080oooo00<00000
0?ooo`3oool03`3oool001l0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0
000000@0oooo00D000000?ooo`000000oooo000000020?ooo`030000003oool000000080oooo00<0
00000?ooo`0000003P3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`000000
103oool2000000050?ooo`00000000000?ooo`000000103oool2000000D0oooo0P0000020?ooo`04
0000003oool000000?ooo`@0000000<0oooo0000003oool0103oool2000000P0oooo00<000000?oo
o`000000103oool00`000000oooo00000003000000040?ooo`000000oooo00000080oooo0`000004
0?ooo`8000001@3oool2000000040?ooo`0000000000000000D0oooo00@000000?ooo`3oool00000
103oool2000000d0oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000
003oool000000080oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003oool0oooo0100
oooo00020?ooo`@0000000@0oooo00000000000000000P3oool300000080oooo0`0000020?ooo`<0
00001P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo0P000000103oool0
00000?ooo`0000020?ooo`050000003oool0oooo0?ooo`0000000`3oool2000000<0oooo00<00000
0?ooo`3oool00P3oool010000000oooo0000000000040?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`0000001@3oool00`000000oooo0?ooo`04000000/0oooo00@000000?ooo`3oool0oooo
0`0000030?ooo`040000003oool0000000000080oooo0P0000020?ooo`8000000P3oool200000003
0?ooo`000000oooo0080oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`0:0?ooo`<0
00000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0000000L0oooo00<000000?ooo`3o
ool00P3oool200000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`02000000<0
oooo00<000000?ooo`3oool00P3oool01P000000oooo0000003oool000000?ooo`800000103oool2
000000H0oooo00<000000?ooo`3oool02`3oool000<0oooo00D000000?ooo`3oool0oooo00000002
0?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo00000002
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`0000000`3oool200000080oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`02000000030?ooo`000000oooo0080000000<0oooo
0000000000001P3oool200000080oooo00@000000?ooo`000000oooo0`0000000`3oool000000?oo
o`060?ooo`040000003oool0oooo000000P0oooo0P0000030?ooo`80000000<0oooo000000000000
1P3oool010000000oooo0?ooo`0000020?ooo`030000003oool00000008000000P3oool00`000000
oooo0?ooo`0400000080oooo00<000000?ooo`3oool00`0000001@3oool000000?ooo`3oool00000
0080oooo00<000000?ooo`3oool0103oool2000000030?ooo`000000000000<0oooo0P0000080?oo
o`040000003oool0oooo000000L0oooo00<000000?ooo`0000000P000000103oool000000?ooo`00
00020?ooo`030000003oool0000000D0oooo0P0000001P3oool000000000003oool000000?ooo`<0
000000<0oooo0000003oool00`3oool00`000000oooo0?ooo`02000000<0oooo00<000000?ooo`3o
ool03@3oool000@0oooo00@000000?ooo`3oool000000P3oool00`000000oooo000000020?ooo`03
0000003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`80
000000<0oooo0000003oool00P0000060?ooo`8000000`3oool01@000000oooo000000000000oooo
008000000P3oool01@000000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool00P3oool0
1@000000oooo0?ooo`3oool0000000@0oooo100000060?ooo`050000003oool0oooo0000003oool0
0P0000040?ooo`030000003oool0oooo0080oooo0`000000103oool000000?ooo`0000020?ooo`03
0000003oool0oooo00@0oooo00@000000?ooo`3oool0oooo0P0000020?ooo`8000000P3oool20000
00<0oooo00<000000?ooo`3oool01@3oool01P000000oooo0000003oool000000?ooo`<00000103o
ool00`000000oooo0?ooo`020?ooo`80000000D0oooo0000003oool0oooo000000060?ooo`@00000
103oool01@000000oooo0?ooo`3oool0000000@0oooo00D000000?ooo`3oool0oooo000000030?oo
o`030000003oool0oooo0080000000D0oooo000000000000oooo000000030?ooo`8000001P3oool2
000000030?ooo`000000oooo00l0oooo00040?ooo`040000003oool0oooo00000080oooo00<00000
0?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`0>0?ooo`@000002@3oool200000080oooo00P00000
0?ooo`3oool0oooo0000003oool000000?ooo`@000001@3oool01@000000oooo0?ooo`3oool00000
00H0oooo00D000000?ooo`3oool0oooo000000040?ooo`8000001P3oool2000000030?ooo`000000
000000/0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00000;0?ooo`800000
00<0oooo0000000000001`3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`00
00001P3oool01@000000oooo0?ooo`3oool0000000D0oooo00P000000?ooo`00000000000?ooo`00
0000oooo000000<0oooo00<000000?ooo`3oool00P00000:0?ooo`<000007P3oool000D0oooo00<0
00000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<0
00000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo00000080oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000D0oooo
0P0000040?ooo`<000000P3oool00`000000oooo000000020?ooo`800000103oool00`000000oooo
000000030?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool000000`3oool00`000000
oooo000000060?ooo`030000003oool0000000<0000000L0oooo0000003oool0oooo0000003oool0
000000D0oooo00<000000?ooo`3oool00P0000001P3oool000000?ooo`3oool000000?ooo`800000
0P3oool2000000@0oooo00L000000?ooo`3oool000000?ooo`000000oooo00@0000000<0oooo0000
003oool01@3oool00`000000oooo000000030?ooo`040000003oool0oooo000000D0oooo00L00000
0?ooo`3oool0oooo0000003oool0000000@0oooo0P0000020?ooo`030000003oool000000080oooo
0P0000000`3oool000000?ooo`020?ooo`030000003oool0000000@0oooo00<000000?ooo`000000
1@3oool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool03P3oool00080oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00<000000?oo
o`0000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo00<0oooo0P0000001P3o
ool00000000000000000oooo000000D0oooo00D000000?ooo`3oool000000?ooo`03000000@0oooo
00<000000?ooo`0000000P3oool01@000000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`030?ooo`8000000P3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool0203oool01@000000oooo0?ooo`3oool00000
00H0oooo0P000000103oool000000?ooo`0000040?ooo`040000003oool000000?ooo`8000001P3o
ool01@000000oooo0?ooo`3oool0000000X0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo008000001@3oool00`000000oooo0?ooo`090?ooo`050000
003oool0oooo0?ooo`0000000`3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo
0?ooo`80000000<0oooo0000000000000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0
00000080000000<0oooo0000003oool03@3oool000<0oooo0P0000030?ooo`8000000`3oool20000
00<0oooo0P0000030?ooo`8000001P3oool00`000000oooo000000020?ooo`040000003oool0oooo
000000<0oooo0P0000020?ooo`800000203oool00`000000oooo000000020?ooo`8000000P3oool0
0`000000oooo0?ooo`090?ooo`040000003oool0oooo000000<0oooo0P0000000`3oool000000?oo
o`020?ooo`030000003oool0oooo00<0000000<0oooo0000000000001P3oool01P000000oooo0?oo
o`000000oooo00000080oooo0`0000020?ooo`030000003oool0000000<0oooo00<000000?ooo`3o
ool01P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool200000080oooo00<00000
0?ooo`0000000`3oool00`000000oooo0?ooo`030?ooo`H000000P3oool01P000000oooo0?ooo`3o
ool000000?ooo`8000000`3oool010000000oooo0?ooo`00000;0?ooo`050000003oool0oooo0?oo
o`0000000P3oool00`000000oooo000000090?ooo`030000003oool0oooo008000000`3oool01000
0000oooo0?ooo`0000020?ooo`030000003oool0000000d0oooo000O0?ooo`8000000`3oool01@00
0000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool0oooo0`0000020?ooo`030000003o
ool000000080oooo00D000000?ooo`000000oooo000000020?ooo`040000003oool0oooo000000<0
oooo0P0000020?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000000`3oool01000
0000oooo0?ooo`0000040?ooo`030000003oool0000000D0oooo00<000000?ooo`3oool03P3oool0
1@000000oooo0000003oool0000000`0oooo00D000000?ooo`000000oooo0000000@0?ooo`030000
003oool0oooo00<0oooo00@000000?ooo`00000000000`3oool010000000oooo0?ooo`0000030?oo
o`040000003oool0oooo000000@0oooo00<000000?ooo`3oool00P0000030?ooo`040000003oool0
oooo00000080oooo00D000000?ooo`000000oooo000000020?ooo`030000003oool000000080oooo
00<000000?ooo`0000000`3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo0100
oooo000O0?ooo`80000000@0oooo0000003oool000001@3oool5000000050?ooo`00000000000?oo
o`0000000P3oool2000000030?ooo`000000oooo00<0oooo00D000000?ooo`3oool0oooo00000003
0?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool0oooo100000000`3oool000000000
00030?ooo`030000003oool0oooo00T0oooo00@000000?ooo`3oool000001@3oool2000000030?oo
o`000000oooo00<0oooo0`0000000`3oool0000000000003000000<0oooo0P0000040?ooo`<00000
00H0oooo00000000000000000?ooo`0000040?ooo`<000001@3oool010000000oooo0?ooo`00000<
0?ooo`030000003oool0oooo0080000000<0oooo0000000000000P0000030?ooo`030000003oool0
oooo0080oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003oool0oooo0080oooo00@0
00000?ooo`00000000000P3oool01@000000oooo000000000000oooo00D000001@3oool01@000000
oooo0000003oool0000000h0oooo000O0?ooo`040000003oool0oooo00000080oooo00<000000?oo
o`3oool02P3oool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`0000000`3oool0
0`000000oooo000000050?ooo`030000003oool0oooo0080oooo00D000000?ooo`000000oooo0000
00020?ooo`80000000<0oooo0000000000003@3oool00`000000oooo000000020?ooo`030000003o
ool0000000X0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`080000003oool000000000
003oool000000?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool0203o
ool00`000000oooo000000020?ooo`030000003oool0000000d0oooo0P0000000`3oool000000000
00030?ooo`80000000<0oooo0000003oool00`3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0000000<0oooo00<000000?ooo`0000000P3oool01@000000oooo0?ooo`3oool0000000`0oooo
00@000000?ooo`3oool00000403oool001l0oooo00D000000?ooo`000000oooo000000020?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool3000000<0oooo00<000000?ooo`00
00000P3oool010000000oooo0000000000020?ooo`030000003oool0oooo00@0oooo00D000000?oo
o`3oool0oooo000000030?ooo`050000003oool000000?ooo`0000002P3oool3000000@0oooo00D0
00000?ooo`3oool0oooo000000030?ooo`8000000P3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`02000000<0oooo
00D000000?ooo`3oool0oooo000000040?ooo`<000002P3oool01@000000oooo0000003oool00000
00<0oooo00D000000?ooo`3oool0oooo000000060?ooo`070000003oool0oooo0?ooo`000000oooo
000000020?ooo`040000003oool0oooo00000080oooo0`00000:0?ooo`030000003oool0oooo00D0
oooo00H000000?ooo`3oool000000?ooo`00000?0?ooo`007`3oool2000000<0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`03000000@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo0P0000060?ooo`<000000`3oool00`00
0000oooo000000020?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0203oool2
000000@0oooo00<000000?ooo`3oool01`3oool01@000000oooo0?ooo`3oool0000000P0oooo00D0
00000?ooo`3oool0oooo000000090?ooo`030000003oool0oooo0080oooo0P00000:0?ooo`040000
003oool0oooo00000080oooo0P000000103oool000000?ooo`0000030?ooo`<000001P3oool20000
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
0080oooo0`0000030?ooo`050000003oool0oooo0?ooo`0000004P3oool001l0oooo00<000000?oo
o`0000000P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`020?ooo`<0000000<0oooo0000003oool00P0000080?oo
o`030000003oool0oooo00P0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0
oooo00T0oooo00D000000?ooo`3oool0oooo000000060?ooo`080000003oool0oooo0000003oool0
00000?ooo`0000040?ooo`800000103oool00`000000oooo0?ooo`0200000080oooo00<000000?oo
o`3oool0103oool01@000000oooo0?ooo`3oool0000000/0oooo00@000000?ooo`3oool000000`3o
ool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00D0oooo0P0000000`3oool000000?oo
o`03000000@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00D0oooo00H000000?ooo`3oool000000?ooo`00000=0?ooo`007`3oool00`000000oooo
000000030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool2000000L0oooo
0P000000103oool000000?ooo`0000060?ooo`8000000P3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00/0oooo00<000000?ooo`3oool0103oool00`000000oooo000000070?ooo`04
0000003oool0oooo0?ooo`800000403oool2000000<0oooo00<000000?ooo`3oool01@3oool01000
0000oooo0000000000050?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`02000000H0oooo00@000000?ooo`000000oooo0P0000070?ooo`8000002P3o
ool00`000000oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`0000003`3oool001l0oooo00<0
00000?ooo`3oool01P3oool3000000L0oooo00<000000?ooo`0000000P3oool2000000050?ooo`00
000000000?ooo`0000000P3oool00`000000oooo0?ooo`070?ooo`<00000103oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00@0oooo00D000000?ooo`3oool0oooo0000000C0?ooo`03
0000003oool0000000<0oooo0`0000080?ooo`<000000`3oool00`000000oooo0000000C0?ooo`05
0000003oool0oooo0?ooo`0000001`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
0080oooo0`0000090?ooo`030000003oool0oooo00<0000000@0oooo00000000000000000P3oool0
0`000000oooo000000070?ooo`<000005P3oool001l0oooo0`00000C0?ooo`050000003oool0oooo
0?ooo`000000203oool00`000000oooo00000002000000@0oooo0P00000>0?ooo`040000003oool0
oooo000000`0oooo00<000000?ooo`0000002@3oool010000000oooo0?ooo`00000@0?ooo`040000
003oool0oooo000000X0oooo0P00000<0?ooo`040000003oool0oooo000000h0oooo0P0000040?oo
o`<0000000<0oooo0000003oool01`3oool01@000000oooo0?ooo`3oool0000001<0oooo0P00000>
0?ooo`007`3oool3000000<0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0<0?oo
o`8000000`3oool00`000000oooo0?ooo`0;0?ooo`@000001@3oool01P000000oooo000000000000
oooo000000@0oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo00D000000?ooo`00
000000000?ooo`02000001<0oooo00H000000?ooo`00000000000?ooo`0000020?ooo`030000003o
ool0000000@0oooo00<000000?ooo`3oool00P3oool3000000030?ooo`000000oooo00@0oooo1000
000=0?ooo`040000003oool0oooo0?ooo`<000003P3oool00`000000oooo0?ooo`0<0?ooo`050000
003oool0oooo0?ooo`0000003`3oool001l0oooo00<000000?ooo`3oool0303oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool010000000oooo
0?ooo`0000050?ooo`8000002P3oool00`000000oooo000000030?ooo`80000000@0oooo00000000
0000oooo0P0000040?ooo`060000003oool0oooo0000003oool000002@3oool010000000oooo0?oo
o`0000040?ooo`800000103oool010000000oooo0?ooo`0000090?ooo`030000003oool000000080
oooo00<000000?ooo`3oool00P3oool2000000040?ooo`00000000000?ooo`8000000`3oool00`00
0000oooo0000000:0?ooo`8000001@3oool010000000oooo0?ooo`0000080?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0I0?ooo`007`3oool00`00
0000oooo0?ooo`02000000X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?oo
o`030000003oool0000000H0oooo00D000000?ooo`3oool0oooo000000050?ooo`050000003oool0
oooo0?ooo`0000000`3oool3000000H0oooo00L000000?ooo`3oool0oooo0000003oool0000000D0
oooo00<000000?ooo`0000000`00000@0?ooo`030000003oool0oooo008000000P3oool00`000000
oooo0?ooo`0>0?ooo`80000000@0oooo0000003oool000001@3oool00`000000oooo000000030?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`0000000`3oool01@000000oooo0?ooo`3oool0
000000D0oooo00D000000?ooo`3oool0oooo000000060?ooo`030000003oool0000000D0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`080?ooo`030000003oool0000000l0oooo000O
0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`0000001P3oool00`000000oooo0?ooo`07
0?ooo`060000003oool000000?ooo`000000oooo0P0000030?ooo`030000003oool0oooo00`0oooo
00L000000?ooo`3oool0oooo0000003oool0000000D0oooo00<000000?ooo`3oool04@3oool00`00
0000oooo0?ooo`040?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`3oool0403oool0
0`000000oooo0?ooo`030?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0303o
ool010000000oooo0?ooo`3oool2000000060?ooo`000000oooo0000003oool000002@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0000001/0oooo000O0?ooo`030000003oool0oooo00<0
oooo00P000000?ooo`3oool0oooo0000003oool000000?ooo`800000:03oool01@000000oooo0?oo
o`3oool000000200oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003oool0oooo0?oo
o`000000803oool01@000000oooo0?ooo`3oool0000002P0oooo0P000000103oool000000?ooo`00
00030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02`3oool001l0oooo0P000003
0?ooo`80000000@0oooo0000003oool000001@3oool2000000T0oooo0P0000020?ooo`070000003o
ool0oooo0?ooo`000000oooo000000040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000000@0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo00L0oooo00D000000?oo
o`3oool0oooo000000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000000`3oool0
0`000000oooo0?ooo`02000000T0oooo00<000000?ooo`000000103oool00`000000oooo00000002
0?ooo`050000003oool0oooo0?ooo`0000003P3oool001l0oooo0P0000020?ooo`050000003oool0
oooo0?ooo`000000403oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00@0
00000?ooo`3oool000000`3oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0?ooo`00
0000203oool00`000000oooo0?ooo`080?ooo`030000003oool000000080oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00D0oooo00H000000?ooo`3o
ool000000?ooo`00000:0?ooo`030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo0000
00050?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool03P3oool01@000000oooo0?ooo`3oool000000080
oooo00<000000?ooo`3oool0303oool001l0oooo0P0000080?ooo`030000003oool0000000@0oooo
00<000000?ooo`0000000P3oool2000000030?ooo`000000oooo00X0oooo00<000000?ooo`3oool0
203oool010000000oooo0?ooo`3oool2000000D0oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00D0oooo0P0000020?ooo`@00000103oool00`00
0000oooo000000040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`00
0000oooo000000040?ooo`040000003oool00000000000<0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`020?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00`3o
ool2000000@0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`090?ooo`040000003o
ool0oooo00000080oooo00<000000?ooo`000000103oool00`000000oooo000000080?ooo`030000
003oool0oooo00`0oooo00030?ooo`8000000P3oool300000080oooo0`0000020?ooo`<000000P3o
ool3000000H0oooo00D000000?ooo`3oool0oooo0000000;0?ooo`8000001`3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0403oool00`000000oooo
0?ooo`0;0?ooo`040000003oool0oooo000002@0oooo00@000000?ooo`3oool000003@3oool00`00
0000oooo0?ooo`0@0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`050?ooo`8000002`3oool00`000000oooo0?ooo`0?0?ooo`000P3oool01P000000
oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool00`000000oooo00000002
0?ooo`030000003oool000000080oooo00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3o
ool000000080oooo0P00000;0?ooo`030000003oool0oooo00P0oooo0`00000A0?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3oool0000000L0oooo
0P0000060?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool2000000@0oooo
00<000000?ooo`3oool00P3oool2000000D0oooo0P0000070?ooo`050000003oool0oooo0?ooo`00
00001@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00l0oooo0`00000:0?ooo`03
0000003oool0oooo00T0oooo0P0000020?ooo`030000003oool0oooo00l0oooo00050?ooo`030000
003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000
003oool000000080oooo00<000000?ooo`3oool00`3oool2000000L0oooo00@000000?ooo`000000
oooo0P0000070?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool00P3oool200000180
oooo00<000000?ooo`3oool01P3oool010000000oooo0?ooo`00000N0?ooo`050000003oool0oooo
0?ooo`0000001`3oool00`000000oooo0?ooo`0@0?ooo`8000001@3oool00`000000oooo0?ooo`0E
0?ooo`030000003oool0oooo00D0oooo0P000000103oool000000?ooo`00000F0?ooo`00103oool0
10000000oooo0?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3o
ool00`000000oooo000000020?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool00000
0`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
7P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00/0oooo00D000000?ooo`3oool0
oooo0000000@0?ooo`001@3oool00`000000oooo000000020?ooo`030000003oool000000080oooo
00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool03@3oool2000000030?ooo`000000oooo0100oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo0P00000F0?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo01@0oooo0P0000070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`0?0?ooo`040000003oool00000000001d0oooo00020?ooo`060000
003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`030000003oool00000
0080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo
000000X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`060000003oool0
oooo0?ooo`000000oooo0P00000E0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
3`3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo0100oooo00D000000?ooo`3oool0
oooo0000000E0?ooo`040000003oool00000000000<0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool03@3oool000<0
oooo0P0000030?ooo`8000000`3oool2000000<0oooo0P0000030?ooo`8000001P3oool00`000000
oooo0?ooo`090?ooo`040000003oool0oooo00000280oooo00D000000?ooo`3oool0oooo00000003
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0V
0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3o
ool0000000<0oooo00<000000?ooo`3oool08@3oool00`000000oooo0000000I0?ooo`007`3oool2
00000180oooo00<000000?ooo`0000002P3oool00`000000oooo0?ooo`020?ooo`030000003oool0
00000080oooo00<000000?ooo`3oool00`3oool2000000d0oooo00<000000?ooo`3oool01`3oool2
000000d0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0;0?ooo`8000002@3oool0
0`000000oooo0?ooo`0;0?ooo`<00000103oool010000000oooo0?ooo`3oool2000000@0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0000000B0?ooo`030000003oool0oooo00`0oooo000O
0?ooo`040000003oool0oooo000000H0oooo00L000000?ooo`3oool0oooo0000003oool000000080
oooo00<000000?ooo`3oool02`3oool2000000<0oooo00<000000?ooo`3oool01P3oool01@000000
oooo0?ooo`3oool0000000P0oooo0P0000060?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`040?ooo`800000203oool01@000000oooo0?ooo`3oool0
000000T0oooo00<000000?ooo`3oool00P00000=0?ooo`040000003oool0oooo00000080oooo00@0
00000?ooo`3oool000001P3oool00`000000oooo0?ooo`0>0?ooo`007`3oool2000000H0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo00l0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0140oooo00<0
00000?ooo`3oool00P3oool2000000@0oooo0P00000B0?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo01D0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00`0oooo000O
0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0O
0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0D
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0O
0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0703oool001l0oooo00<000000?oo
o`3oool02P3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo01`0oooo00<000000?oo
o`3oool0703oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo02H0oooo00<000000?oo
o`3oool05`3oool001l0oooo0P00000F0?ooo`040000003oool0oooo000002P0oooo00<000000?oo
o`3oool02P3oool2000000030?ooo`000000000001`0oooo0P0000020?ooo`8000002`3oool00`00
0000oooo0?ooo`0W0?ooo`030000003oool0000001L0oooo00<000000?ooo`3oool02`3oool001l0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`1?0?ooo`030000003oool0oooo01/0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo0100
oooo000O0?ooo`030000003oool0oooo01/0oooo00@000000?ooo`3oool000001P3oool00`000000
oooo0?ooo`0Q0?ooo`800000403oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00h0
oooo0P00000T0?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool00000:`3oool001l0
oooo00@000000?ooo`3oool00000203oool2000001@0oooo00<000000?ooo`3oool0;03oool00`00
0000oooo0?ooo`02000000P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`060?oo
o`8000000P3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo0180oooo0P0000080?oo
o`030000003oool0oooo00h0oooo000O0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`090?ooo`030000003oool0000000d0oooo00<000000?ooo`3o
ool0G03oool00`000000oooo0?ooo`0;0?ooo`040000003oool0oooo000000X0oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`0G0?ooo`007`3oool2000000/0oooo00<000000?ooo`3o
ool05`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00P0oooo00D000000?ooo`3o
ool0oooo0000000T0?ooo`050000003oool0oooo0?ooo`0000002P3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0603oool001l0oooo00<000000?oo
o`0000002`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo01h0oooo00<000000?oo
o`3oool08`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00d0oooo000O0?ooo`03
0000003oool0oooo02`0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`070?ooo`80
00000P3oool2000000T0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`0j0?ooo`00
7`3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo02<0oooo000O0?ooo`030000003o
ool0oooo0280oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool0AP3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0R0?ooo`030000003o
ool0oooo00/0oooo000O0?ooo`8000009`3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo03@0oooo000O0?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool0603oool00`00
0000oooo0?ooo`0j0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0=03oool001l0
oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0180
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo0200
oooo00050?ooo`030000003oool00000008000000P3oool300000080oooo0`0000020?ooo`<00000
1P3oool00`000000oooo0?ooo`1N0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
K03oool000D0oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003o
ool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo02L0oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo03@0oooo00<000000?ooo`3oool0=@3oool00080oooo1P0000020?ooo`030000003oool0
00000080oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0
oooo00<0oooo0P0000030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0XP3oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo0100oooo00020?ooo`060000003oool0oooo
0000003oool000000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<0
00000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo03h0oooo00<0
00000?ooo`3oool0@P3oool00`000000oooo0?ooo`1<0?ooo`000`3oool01@000000oooo0000003o
ool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003o
ool000000080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0K0?ooo`030000003o
ool000000280oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0T0?ooo`030000003o
ool0oooo00/0oooo00<000000?ooo`3oool07`3oool00`000000oooo0000000[0?ooo`00103oool2
000000070?ooo`000000oooo0?ooo`000000oooo000000020?ooo`030000003oool000000080oooo
00<000000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00P0oooo
00<000000?ooo`3oool0[P3oool00`000000oooo0?ooo`0F0?ooo`001@3oool00`000000oooo0?oo
o`02000000<0oooo0P0000030?ooo`8000000`3oool2000000H0oooo00<000000?ooo`3oool02`3o
ool00`000000oooo0?ooo`2X0?ooo`030000003oool0oooo01T0oooo000O0?ooo`800000d`3oool0
01l0oooo00<000000?ooo`3oool0?P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
0380oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`1;0?ooo`007`3oool00`000000
oooo0?ooo`3B0?ooo`007`3oool00`000000oooo0?ooo`160?ooo`030000003oool0oooo0380oooo
00<000000?ooo`3oool0E03oool001l0oooo0P00003C0?ooo`007`3oool00`000000oooo0?ooo`3B
0?ooo`007`3oool010000000oooo0?ooo`00001;0?ooo`030000003oool0oooo02H0oooo00<00000
0?ooo`3oool0B@3oool00`000000oooo0?ooo`0>0?ooo`007`3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo0;00oooo00<000000?ooo`3oool05@3oool001l0oooo00<000000?ooo`3o
ool0@P3oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo0500oooo000O0?ooo`800000
d`3oool001l0oooo00<000000?ooo`3oool0dP3oool001l0oooo00<000000?ooo`3oool0dP3oool0
01l0oooo00<000000?ooo`3oool0dP3oool001l0oooo00<000000?ooo`3oool0A@3oool00`000000
oooo0?ooo`0d0?ooo`030000003oool0oooo05<0oooo000O0?ooo`800000d`3oool001l0oooo00<0
00000?ooo`3oool04`3oool00`000000oooo0?ooo`110?ooo`030000003oool0oooo0100oooo00<0
00000?ooo`3oool0@@3oool00`000000oooo0?ooo`0Q0?ooo`007`3oool00`000000oooo0?ooo`3B
0?ooo`000`3oool200000080oooo0`0000020?ooo`<000000P3oool300000080oooo0`0000060?oo
o`030000003oool0oooo0=80oooo00020?ooo`060000003oool0oooo0000003oool000000P3oool0
0`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo0=80oooo00050?ooo`030000003oool00000
0080oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool00000
0080oooo00<000000?ooo`3oool00`3oool200000=<0oooo00020?ooo`060000003oool0oooo0000
003oool000000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<00000
0?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo02/0oooo00<00000
0?ooo`3oool05@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo01H0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo03T0oooo00020?oo
o`<000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3o
ool00`000000oooo000000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0dP3o
ool000<0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool000000080oooo00<0
00000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0dP3oool000<0oooo0`0000020?ooo`8000000`3oool2000000<0oooo0P000003
0?ooo`8000001P3oool00`000000oooo0?ooo`3B0?ooo`00m03oool00?@0oooo003d0?ooo`00m03o
ool00?@0oooo0000\
\>"],
  ImageRangeCache->{{{153.125, 303.375}, {538.063, 445.625}} -> {-7009.22, \
286884, 25.16, 409.237}},
  CellTags->"IPM3.Sol.8.2"]
}, Closed]]
}, Closed]],

Cell["\<\
First we implement the chi-square test and then use it to run tests on some \
data in the next exercise.\
\>", "SolutionItem",
  CounterAssignments->{{"SolutionItem", 12}},
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(chiSquare[lis_List] := 
      Module[{m = Length[lis], 
          n = Max[lis]}, \[IndentingNewLine]\(\[Sum]\+\(i = \
1\)\%n\((Count[lis, i] - m\/n)\)\^2\)\/\(m\/n\)]\)], "Input",
  CellLabel->"In[42]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell["\<\
Here are some data generated using the linear congruential generator with \
small modulus and multiplier.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(\(data = 
        NestList[linearCongruential[#, 381, 15] &, 0, 1000];\)\)], "Input",
  CellLabel->"In[43]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(chiSquare[data]\)], "Input",
  CellLabel->"In[44]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(5018521\/1001\)], "Output",
  CellLabel->"Out[44]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(N[%]\)], "Input",
  CellLabel->"In[45]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \(5013.507492507492`\)], "Output",
  CellLabel->"Out[45]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[TextData[{
  "Notice that the statistic is quite far from ",
  Cell[BoxData[
      \(TraditionalForm\`2 \@ n\)]],
  " of ",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  ". This is a particularly pathological sequence. You can see a cycle of \
length 63 within the first 100 iterates."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(NestList[linearCongruential[#1, 381, 15] &, 0, 100]\)], "Input",
  CellLabel->"In[46]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \({0, 1, 16, 241, 187, 139, 181, 49, 355, 373, 262, 121, 292, 190, 184, 
      94, 268, 211, 118, 247, 277, 346, 238, 142, 226, 343, 193, 229, 7, 106, 
      67, 244, 232, 52, 19, 286, 100, 358, 37, 175, 340, 148, 316, 169, 250, 
      322, 259, 76, 379, 352, 328, 349, 283, 55, 64, 199, 319, 214, 163, 160, 
      115, 202, 364, 127, 1, 16, 241, 187, 139, 181, 49, 355, 373, 262, 121, 
      292, 190, 184, 94, 268, 211, 118, 247, 277, 346, 238, 142, 226, 343, 
      193, 229, 7, 106, 67, 244, 232, 52, 19, 286, 100, 358}\)], "Output",
  CellLabel->"Out[46]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell["Here are those positions that contain the number 1.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Position[%, 1]\)], "Input",
  CellLabel->"In[47]:=",
  CellTags->"IPM3.Sol.8.2"],

Cell[BoxData[
    \({{2}, {65}}\)], "Output",
  CellLabel->"Out[47]=",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["8.3",
    ButtonData:>"IPM3.8.3.7",
    ButtonStyle->"SolutionsLink"],
  "  Working with numbers"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.8.3"],

Cell[CellGroupData[{

Cell["The number 1.23 has machine precision.", "SolutionItem",
  CellTags->"IPM3.Sol.8.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Precision[1.23]\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.8.3"],

Cell[BoxData[
    \(MachinePrecision\)], "Output",
  CellLabel->"Out[1]=",
  CellTags->"IPM3.Sol.8.3"]
}, Closed]],

Cell[TextData[{
  "Asking ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " to generate 100 digits of precision from a number that only contains \
about 16 digits of precision would require it to produce 84 digits without \
any information about where those digits should come from."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.3"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
You could simply produce a table showing the number of digits of precision \
needed in the input compared with the accuracy of the result.\
\>", "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.8.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Table[{x, Accuracy[N[\@2, x]\^200 - \((\@2)\)\^200]}, {x, 100, 140, 
          5}] // TableForm\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.8.3"],

Cell[BoxData[
    TagBox[GridBox[{
          {"100", "67.59597043793791`"},
          {"105", "72.59597043793791`"},
          {"110", "77.59597043793791`"},
          {"115", "82.59597043793792`"},
          {"120", "87.59597043793791`"},
          {"125", "92.59597043793791`"},
          {"130", "97.59597043793791`"},
          {"135", "102.59597043793791`"},
          {"140", "107.59597043793791`"}
          },
        RowSpacings->1,
        ColumnSpacings->1,
        ColumnAlignments->{Left}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Output",
  CellLabel->"Out[2]//TableForm=",
  CellTags->"IPM3.Sol.8.3"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["8.4",
    ButtonData:>"IPM3.8.4.3",
    ButtonStyle->"SolutionsLink"],
  "  Working with arrays of numbers"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.8.4"],

Cell[CellGroupData[{

Cell["Note the need for a delayed rule in this function.", "SolutionItem",
  CellTags->"IPM3.Sol.8.4"],

Cell[BoxData[
    \(RandomSparseArray[n_Integer] := 
      SparseArray[{{i_, i_} \[RuleDelayed] Random[]}, {n, n}]\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.8.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Normal[RandomSparseArray[5]] // MatrixForm\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.8.4"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"0.19722710867478277`", "0", "0", "0", "0"},
            {"0", "0.5094046902344129`", "0", "0", "0"},
            {"0", "0", "0.9659619006687011`", "0", "0"},
            {"0", "0", "0", "0.8734689938330007`", "0"},
            {"0", "0", "0", "0", "0.9595284318701567`"}
            },
          RowSpacings->1,
          ColumnSpacings->1,
          ColumnAlignments->{Left}], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Output",
  CellLabel->"Out[2]//MatrixForm=",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Here is the definition of ",
  StyleBox["tridiagonalMatrix", "MR"],
  "."
}], "SolutionItem",
  CellTags->"IPM3.Sol.8.4"],

Cell[BoxData[
    \(tridiagonalMatrix[n_, p_, q_] := 
      SparseArray[{{i_, \ i_} \[Rule] 
            p, \(({i_, \ j_}\  /; \ Abs[i - j]\  \[Equal] \ 1)\) \[Rule] 
            q}, {n, n}]\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.8.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(tridiagonalMatrix[5, \[Alpha], \[Beta]]\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.8.4"],

Cell[BoxData[
    TagBox[
      RowBox[{"SparseArray", "[", 
        RowBox[{
          InterpretationBox[\("<"\[InvisibleSpace]13\[InvisibleSpace]">"\),
            SequenceForm[ "<", 13, ">"],
            Editable->False], ",", \({5, 5}\)}], "]"}],
      False,
      Editable->False]], "Output",
  CellLabel->"Out[4]=",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Normal[%] // MatrixForm\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.8.4"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"\[Alpha]", "\[Beta]", "0", "0", "0"},
            {"\[Beta]", "\[Alpha]", "\[Beta]", "0", "0"},
            {"0", "\[Beta]", "\[Alpha]", "\[Beta]", "0"},
            {"0", "0", "\[Beta]", "\[Alpha]", "\[Beta]"},
            {"0", "0", "0", "\[Beta]", "\[Alpha]"}
            },
          RowSpacings->1,
          ColumnSpacings->1,
          ColumnAlignments->{Left}], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Output",
  CellLabel->"Out[5]//MatrixForm=",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["First we create the packed array vector. ", "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.8.4"],

Cell[BoxData[
    \(\(vec = Table[Random[], {10\^6}];\)\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.8.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Developer`PackedArrayQ[vec]\)], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.8.4"],

Cell[BoxData[
    \(True\)], "Output",
  CellLabel->"Out[7]=",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]],

Cell[TextData[{
  "Replacing the first element in ",
  StyleBox["vec", "MR"],
  " with a 1 gives us an expression which is not packed."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.4"],

Cell[BoxData[
    \(\(newvec = ReplacePart[vec, 1, 1];\)\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.8.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Developer`PackedArrayQ[newvec]\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.8.4"],

Cell[BoxData[
    \(False\)], "Output",
  CellLabel->"Out[9]=",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]],

Cell["\<\
The size of the unpacked object is about two and a half times larger than the \
packed array.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[ByteCount, {vec, newvec}]\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.8.4"],

Cell[BoxData[
    \({8000056, 20000032}\)], "Output",
  CellLabel->"Out[10]=",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(%[\([2]\)]/%[\([1]\)] // N\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.8.4"],

Cell[BoxData[
    \(2.4999865000944994`\)], "Output",
  CellLabel->"Out[11]=",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]],

Cell["\<\
Sorting the packed object is about four or five times faster than sorting the \
unpacked object.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[Do[Sort[vec], {5}]]\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.8.4"],

Cell[BoxData[
    \({4.406`\ Second, Null}\)], "Output",
  CellLabel->"Out[12]=",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[Do[Sort[newvec], {5}]]\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.8.4"],

Cell[BoxData[
    \({18.777`\ Second, Null}\)], "Output",
  CellLabel->"Out[13]=",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]],

Cell["\<\
Finding the minimum element is about one order of magnitude faster with the \
packed array.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[\(Min[vec];\)]\)], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.8.4"],

Cell[BoxData[
    \({0.00999999999999801`\ Second, Null}\)], "Output",
  CellLabel->"Out[14]=",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[\(Min[newvec];\)]\)], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.8.4"],

Cell[BoxData[
    \({0.13100000000000023`\ Second, Null}\)], "Output",
  CellLabel->"Out[15]=",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["8.5",
    ButtonData:>"IPM3.8.5.4",
    ButtonStyle->"SolutionsLink"],
  "  Numerical computations"
}], "SolutionsSubsection",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.8.5"],

Cell[CellGroupData[{

Cell[TextData[{
  "We will overload ",
  StyleBox["newton", "MR"],
  " to invoke the secant method when given a list of two numbers as the \
second argument."
}], "SolutionItem",
  CellTags->"IPM3.Sol.8.5"],

Cell[BoxData[
    \(\(Options[
          newton] = {\[IndentingNewLine]MaxIterations \[RuleDelayed] \
$RecursionLimit, \[IndentingNewLine]PrecisionGoal \[Rule] 
            Automatic, \[IndentingNewLine]WorkingPrecision \[Rule] 
            Automatic\[IndentingNewLine]};\)\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.8.5"],

Cell[BoxData[
    RowBox[{\(newton[fun_, {x1_?NumericQ, x2_?NumericQ}, opts___?OptionQ]\), ":=",
       
      RowBox[{"Module", "[", 
        RowBox[{\({maxIterations, precisionGoal, workingPrecision, initx, df, 
            next, result}\), ",", "\[IndentingNewLine]", 
          RowBox[{
            
            StyleBox[\({maxIterations, precisionGoal, 
                  workingPrecision} = \({MaxIterations, PrecisionGoal, 
                      WorkingPrecision} /. Flatten[{opts}]\) /. 
                  Options[newton]\),
              "Color3"], 
            StyleBox[";",
              "Color3"], 
            "\[IndentingNewLine]", \(If[precisionGoal === Automatic, 
              precisionGoal = Min[{Precision[x1], Precision[x2]}]]\), ";", 
            "\[IndentingNewLine]", \(If[workingPrecision === Automatic, 
              workingPrecision = precisionGoal + 10]\), ";", 
            "\[IndentingNewLine]", 
            RowBox[{
              StyleBox[
                RowBox[{"init", 
                  StyleBox["x",
                    "Color2"]}]], 
              StyleBox["=",
                "Color2"], 
              StyleBox[\(SetPrecision[{x1, x2}, workingPrecision]\),
                "Color2"]}], 
            StyleBox[";",
              "Color2"], 
            "\[IndentingNewLine]", \(df[a_, 
                b_] := \((fun[b] - fun[a])\)/\((b - a)\)\), ";", 
            "\[IndentingNewLine]", \(next[{a_, b_}] := {a, 
                b - fun[b]\/df[a, b]}\), ";", 
            "\[IndentingNewLine]", \(result = \(FixedPoint[next, initx, 
                  maxIterations]\)[\([2]\)]\), ";", 
            "\[IndentingNewLine]", \(SetPrecision[result, 
              precisionGoal]\)}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.8.5"],

Cell[BoxData[
    \(f[x_] := x\^2 - 2\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.8.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(newton[f, {1. , 2. }]\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.8.5"],

Cell[BoxData[
    \(1.4142135623730951`\)], "Output",
  CellLabel->"Out[4]=",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(newton[f, {1.0`60, 2.0`50}]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.8.5"],

Cell[BoxData[
    \(1.4142135623730950488016887242096980785696740946953097353174684172298`\
49.999999999999986\)], "Output",
  CellLabel->"Out[5]=",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Precision[%]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.8.5"],

Cell[BoxData[
    \(49.999999999999986`\)], "Output",
  CellLabel->"Out[6]=",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Here is a three-dimensional vector.", "SolutionItem",
  CounterAssignments->{{"SolutionItem", 4}},
  CellTags->"IPM3.Sol.8.5"],

Cell[BoxData[
    \(\(vec = {1, \(-3\), 2};\)\)], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.8.5"],

Cell[TextData[{
  "This computes the ",
  Cell[BoxData[
      \(TraditionalForm\`l\_\[Infinity]\)]],
  " norm of the vector."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.5"],

Cell[BoxData[
    \(norm[v_?VectorQ, l_:  Infinity] := Max[Abs[v]]\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.8.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(norm[vec]\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.8.5"],

Cell[BoxData[
    \(3\)], "Output",
  CellLabel->"Out[9]=",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]],

Cell[TextData[{
  "You can compare this with the built-in ",
  StyleBox["Norm", "MR"],
  " function."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Norm[vec, Infinity]\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.8.5"],

Cell[BoxData[
    \(3\)], "Output",
  CellLabel->"Out[10]=",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]],

Cell[TextData[{
  "Here is a ",
  Cell[BoxData[
      \(TraditionalForm\`3\[Times]3\)]],
  " matrix."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(mat = {{1, 2, 3}, {1, 0, 2}, {2, \(-3\), 2}}\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.8.5"],

Cell[BoxData[
    \({{1, 2, 3}, {1, 0, 2}, {2, \(-3\), 2}}\)], "Output",
  CellLabel->"Out[11]=",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]],

Cell["Here, then, is the matrix norm.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.5"],

Cell[BoxData[
    \(norm[m_?MatrixQ, l_:  Infinity] := 
      norm[Apply[Plus, Abs[Transpose[m]]], Infinity]\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.8.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(norm[mat]\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.8.5"],

Cell[BoxData[
    \(7\)], "Output",
  CellLabel->"Out[13]=",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]],

Cell[TextData[{
  "Again, a comparison with the built-in ",
  StyleBox["Norm", "MR"],
  " function."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Norm[mat, Infinity]\)], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.8.5"],

Cell[BoxData[
    \(7\)], "Output",
  CellLabel->"Out[14]=",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]],

Cell[TextData[{
  "Notice how we ",
  StyleBox["overloaded", "TermDefinition"],
  " the definition of the function ",
  StyleBox["norm", "MR"],
  " so that it would act differently depending upon what type of argument it \
was given. This is a particularly powerful feature of ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  ". The expression ",
  StyleBox["_?MatrixQ", "MR"],
  " on the left-hand side of the definition causes the function ",
  StyleBox["norm", "MR"],
  " to use the definition on the right-hand side ",
  StyleBox["only if",
    FontSlant->"Italic"],
  " the argument is in fact a matrix (",
  "if",
  " it passes the ",
  StyleBox["MatrixQ", "MR"],
  " test). If that argument is a vector (",
  "if",
  " it passes the ",
  StyleBox["VectorQ", "MR"],
  " test), then the previous definition is used. "
}], "SolutionNoLabel",
  CellTags->{"IPM3.Sol.8.5", "i:5"}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Here is the function to compute the condition number of a matrix (using \
the ",
  Cell[BoxData[
      \(TraditionalForm\`l\_\[Infinity]\)]],
  " norm)."
}], "SolutionItem",
  CellTags->"IPM3.Sol.8.5"],

Cell[BoxData[
    \(conditionNumber[m_?MatrixQ] := 
      norm[m, Infinity]\ norm[Inverse[m], Infinity]\)], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.8.5"],

Cell[BoxData[
    \(HilbertMatrix[n_] := Table[1\/\(i + j - 1\), {i, n}, {j, n}]\)], "Input",\

  CellLabel->"In[16]:=",
  CellTags->"IPM3.Sol.8.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(conditionNumber[HilbertMatrix[3]]\)], "Input",
  CellLabel->"In[17]:=",
  CellTags->"IPM3.Sol.8.5"],

Cell[BoxData[
    \(748\)], "Output",
  CellLabel->"Out[17]=",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]],

Cell["Compare this with the condition number of a random matrix.", \
"SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.8.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(conditionNumber[Table[Random[], {3}, {3}]]\)], "Input",
  CellLabel->"In[18]:=",
  CellTags->"IPM3.Sol.8.5"],

Cell[BoxData[
    \(18.74276953621461`\)], "Output",
  CellLabel->"Out[18]=",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]],

Cell["\<\
Here are the condition numbers of the first ten Hilbert matrices.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[conditionNumber[HilbertMatrix[#]] &, Range[10]]\)], "Input",
  CellLabel->"In[19]:=",
  CellTags->"IPM3.Sol.8.5"],

Cell[BoxData[
    \({1, 27, 748, 28375, 943656, 29070279, 1970389773\/2, 33872791095, 
      2199309082685\/2, 35357439251992}\)], "Output",
  CellLabel->"Out[19]=",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(N[%]\)], "Input",
  CellLabel->"In[20]:=",
  CellTags->"IPM3.Sol.8.5"],

Cell[BoxData[
    \({1.`, 27.`, 748.`, 28375.`, 943656.`, 2.9070279`*^7, 9.851948865`*^8, 
      3.3872791095`*^10, 1.0996545413425`*^12, 
      3.5357439251992`*^13}\)], "Output",
  CellLabel->"Out[20]=",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["  9 Graphics programming", "SolutionsSection",
  CellTags->"c:9"],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["9.1",
    ButtonData:>"IPM3.9.1.2",
    ButtonStyle->"SolutionsLink"],
  "  Structure of graphics"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{

Cell[TextData[{
  "The color wheel can be obtained by mapping the ",
  StyleBox["Hue", "MR"],
  " directive over successive sectors of a disk. Note that the argument to ",
  StyleBox["Hue", "MR"],
  " must be scaled so that it falls within the range 0 to 1."
}], "SolutionItem",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    \(colorWheel[n_] := 
      Show[Graphics[
          Map[{Hue[#\/\(2\ \[Pi] - n\)], Disk[{0, 0}, 1, {#, # + n}]} &, 
            Range[0, 2\ \[Pi] - n, n]], 
          AspectRatio \[Rule] Automatic]]\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell["\<\
Here is a color wheel created from 256 separate sectors (hues).\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(colorWheel[\[Pi]\/256];\)\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.5 0.47619 0.5 0.47619 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
1 0 0 r
.5 .5 m
.5 .5 .47619 0 .70313 arc
F
1 .012 0 r
.5 .5 m
.5 .5 .47619 .70313 1.40625 arc
F
1 .023 0 r
.5 .5 m
.5 .5 .47619 1.40625 2.10938 arc
F
1 .035 0 r
.5 .5 m
.5 .5 .47619 2.10938 2.8125 arc
F
1 .047 0 r
.5 .5 m
.5 .5 .47619 2.8125 3.51563 arc
F
1 .059 0 r
.5 .5 m
.5 .5 .47619 3.51563 4.21875 arc
F
1 .07 0 r
.5 .5 m
.5 .5 .47619 4.21875 4.92188 arc
F
1 .082 0 r
.5 .5 m
.5 .5 .47619 4.92188 5.625 arc
F
1 .094 0 r
.5 .5 m
.5 .5 .47619 5.625 6.32813 arc
F
1 .106 0 r
.5 .5 m
.5 .5 .47619 6.32813 7.03125 arc
F
1 .117 0 r
.5 .5 m
.5 .5 .47619 7.03125 7.73437 arc
F
1 .129 0 r
.5 .5 m
.5 .5 .47619 7.73437 8.4375 arc
F
1 .141 0 r
.5 .5 m
.5 .5 .47619 8.4375 9.14063 arc
F
1 .153 0 r
.5 .5 m
.5 .5 .47619 9.14063 9.84375 arc
F
1 .164 0 r
.5 .5 m
.5 .5 .47619 9.84375 10.5469 arc
F
1 .176 0 r
.5 .5 m
.5 .5 .47619 10.5469 11.25 arc
F
1 .188 0 r
.5 .5 m
.5 .5 .47619 11.25 11.9531 arc
F
1 .2 0 r
.5 .5 m
.5 .5 .47619 11.9531 12.6563 arc
F
1 .211 0 r
.5 .5 m
.5 .5 .47619 12.6563 13.3594 arc
F
1 .223 0 r
.5 .5 m
.5 .5 .47619 13.3594 14.0625 arc
F
1 .235 0 r
.5 .5 m
.5 .5 .47619 14.0625 14.7656 arc
F
1 .247 0 r
.5 .5 m
.5 .5 .47619 14.7656 15.4688 arc
F
1 .258 0 r
.5 .5 m
.5 .5 .47619 15.4688 16.1719 arc
F
1 .27 0 r
.5 .5 m
.5 .5 .47619 16.1719 16.875 arc
F
1 .282 0 r
.5 .5 m
.5 .5 .47619 16.875 17.5781 arc
F
1 .294 0 r
.5 .5 m
.5 .5 .47619 17.5781 18.2813 arc
F
1 .305 0 r
.5 .5 m
.5 .5 .47619 18.2813 18.9844 arc
F
1 .317 0 r
.5 .5 m
.5 .5 .47619 18.9844 19.6875 arc
F
1 .329 0 r
.5 .5 m
.5 .5 .47619 19.6875 20.3906 arc
F
1 .341 0 r
.5 .5 m
.5 .5 .47619 20.3906 21.0938 arc
F
1 .352 0 r
.5 .5 m
.5 .5 .47619 21.0938 21.7969 arc
F
1 .364 0 r
.5 .5 m
.5 .5 .47619 21.7969 22.5 arc
F
1 .376 0 r
.5 .5 m
.5 .5 .47619 22.5 23.2031 arc
F
1 .387 0 r
.5 .5 m
.5 .5 .47619 23.2031 23.9063 arc
F
1 .399 0 r
.5 .5 m
.5 .5 .47619 23.9063 24.6094 arc
F
1 .411 0 r
.5 .5 m
.5 .5 .47619 24.6094 25.3125 arc
F
1 .423 0 r
.5 .5 m
.5 .5 .47619 25.3125 26.0156 arc
F
1 .434 0 r
.5 .5 m
.5 .5 .47619 26.0156 26.7188 arc
F
1 .446 0 r
.5 .5 m
.5 .5 .47619 26.7188 27.4219 arc
F
1 .458 0 r
.5 .5 m
.5 .5 .47619 27.4219 28.125 arc
F
1 .47 0 r
.5 .5 m
.5 .5 .47619 28.125 28.8281 arc
F
1 .481 0 r
.5 .5 m
.5 .5 .47619 28.8281 29.5313 arc
F
1 .493 0 r
.5 .5 m
.5 .5 .47619 29.5313 30.2344 arc
F
1 .505 0 r
.5 .5 m
.5 .5 .47619 30.2344 30.9375 arc
F
1 .517 0 r
.5 .5 m
.5 .5 .47619 30.9375 31.6406 arc
F
1 .528 0 r
.5 .5 m
.5 .5 .47619 31.6406 32.3438 arc
F
1 .54 0 r
.5 .5 m
.5 .5 .47619 32.3438 33.0469 arc
F
1 .552 0 r
.5 .5 m
.5 .5 .47619 33.0469 33.75 arc
F
1 .564 0 r
.5 .5 m
.5 .5 .47619 33.75 34.4531 arc
F
1 .575 0 r
.5 .5 m
.5 .5 .47619 34.4531 35.1563 arc
F
1 .587 0 r
.5 .5 m
.5 .5 .47619 35.1563 35.8594 arc
F
1 .599 0 r
.5 .5 m
.5 .5 .47619 35.8594 36.5625 arc
F
1 .611 0 r
.5 .5 m
.5 .5 .47619 36.5625 37.2656 arc
F
1 .622 0 r
.5 .5 m
.5 .5 .47619 37.2656 37.9688 arc
F
1 .634 0 r
.5 .5 m
.5 .5 .47619 37.9688 38.6719 arc
F
1 .646 0 r
.5 .5 m
.5 .5 .47619 38.6719 39.375 arc
F
1 .658 0 r
.5 .5 m
.5 .5 .47619 39.375 40.0781 arc
F
1 .669 0 r
.5 .5 m
.5 .5 .47619 40.0781 40.7813 arc
F
1 .681 0 r
.5 .5 m
.5 .5 .47619 40.7813 41.4844 arc
F
1 .693 0 r
.5 .5 m
.5 .5 .47619 41.4844 42.1875 arc
F
1 .705 0 r
.5 .5 m
.5 .5 .47619 42.1875 42.8906 arc
F
1 .716 0 r
.5 .5 m
.5 .5 .47619 42.8906 43.5938 arc
F
1 .728 0 r
.5 .5 m
.5 .5 .47619 43.5938 44.2969 arc
F
1 .74 0 r
.5 .5 m
.5 .5 .47619 44.2969 45 arc
F
1 .751 0 r
.5 .5 m
.5 .5 .47619 45 45.7031 arc
F
1 .763 0 r
.5 .5 m
.5 .5 .47619 45.7031 46.4063 arc
F
1 .775 0 r
.5 .5 m
.5 .5 .47619 46.4063 47.1094 arc
F
1 .787 0 r
.5 .5 m
.5 .5 .47619 47.1094 47.8125 arc
F
1 .798 0 r
.5 .5 m
.5 .5 .47619 47.8125 48.5156 arc
F
1 .81 0 r
.5 .5 m
.5 .5 .47619 48.5156 49.2188 arc
F
1 .822 0 r
.5 .5 m
.5 .5 .47619 49.2188 49.9219 arc
F
1 .834 0 r
.5 .5 m
.5 .5 .47619 49.9219 50.625 arc
F
1 .845 0 r
.5 .5 m
.5 .5 .47619 50.625 51.3281 arc
F
1 .857 0 r
.5 .5 m
.5 .5 .47619 51.3281 52.0313 arc
F
1 .869 0 r
.5 .5 m
.5 .5 .47619 52.0313 52.7344 arc
F
1 .881 0 r
.5 .5 m
.5 .5 .47619 52.7344 53.4375 arc
F
1 .892 0 r
.5 .5 m
.5 .5 .47619 53.4375 54.1406 arc
F
1 .904 0 r
.5 .5 m
.5 .5 .47619 54.1406 54.8438 arc
F
1 .916 0 r
.5 .5 m
.5 .5 .47619 54.8438 55.5469 arc
F
1 .928 0 r
.5 .5 m
.5 .5 .47619 55.5469 56.25 arc
F
1 .939 0 r
.5 .5 m
.5 .5 .47619 56.25 56.9531 arc
F
1 .951 0 r
.5 .5 m
.5 .5 .47619 56.9531 57.6563 arc
F
1 .963 0 r
.5 .5 m
.5 .5 .47619 57.6563 58.3594 arc
F
1 .975 0 r
.5 .5 m
.5 .5 .47619 58.3594 59.0625 arc
F
1 .986 0 r
.5 .5 m
.5 .5 .47619 59.0625 59.7656 arc
F
1 .998 0 r
.5 .5 m
.5 .5 .47619 59.7656 60.4688 arc
F
.99 1 0 r
.5 .5 m
.5 .5 .47619 60.4688 61.1719 arc
F
.978 1 0 r
.5 .5 m
.5 .5 .47619 61.1719 61.875 arc
F
.967 1 0 r
.5 .5 m
.5 .5 .47619 61.875 62.5781 arc
F
.955 1 0 r
.5 .5 m
.5 .5 .47619 62.5781 63.2813 arc
F
.943 1 0 r
.5 .5 m
.5 .5 .47619 63.2813 63.9844 arc
F
.932 1 0 r
.5 .5 m
.5 .5 .47619 63.9844 64.6875 arc
F
.92 1 0 r
.5 .5 m
.5 .5 .47619 64.6875 65.3906 arc
F
.908 1 0 r
.5 .5 m
.5 .5 .47619 65.3906 66.0938 arc
F
.896 1 0 r
.5 .5 m
.5 .5 .47619 66.0938 66.7969 arc
F
.885 1 0 r
.5 .5 m
.5 .5 .47619 66.7969 67.5 arc
F
.873 1 0 r
.5 .5 m
.5 .5 .47619 67.5 68.2031 arc
F
.861 1 0 r
.5 .5 m
.5 .5 .47619 68.2031 68.9063 arc
F
.849 1 0 r
.5 .5 m
.5 .5 .47619 68.9063 69.6094 arc
F
.838 1 0 r
.5 .5 m
.5 .5 .47619 69.6094 70.3125 arc
F
.826 1 0 r
.5 .5 m
.5 .5 .47619 70.3125 71.0156 arc
F
.814 1 0 r
.5 .5 m
.5 .5 .47619 71.0156 71.7188 arc
F
.802 1 0 r
.5 .5 m
.5 .5 .47619 71.7188 72.4219 arc
F
.791 1 0 r
.5 .5 m
.5 .5 .47619 72.4219 73.125 arc
F
.779 1 0 r
.5 .5 m
.5 .5 .47619 73.125 73.8281 arc
F
.767 1 0 r
.5 .5 m
.5 .5 .47619 73.8281 74.5313 arc
F
.755 1 0 r
.5 .5 m
.5 .5 .47619 74.5313 75.2344 arc
F
.744 1 0 r
.5 .5 m
.5 .5 .47619 75.2344 75.9375 arc
F
.732 1 0 r
.5 .5 m
.5 .5 .47619 75.9375 76.6406 arc
F
.72 1 0 r
.5 .5 m
.5 .5 .47619 76.6406 77.3438 arc
F
.708 1 0 r
.5 .5 m
.5 .5 .47619 77.3438 78.0469 arc
F
.697 1 0 r
.5 .5 m
.5 .5 .47619 78.0469 78.75 arc
F
.685 1 0 r
.5 .5 m
.5 .5 .47619 78.75 79.4531 arc
F
.673 1 0 r
.5 .5 m
.5 .5 .47619 79.4531 80.1563 arc
F
.661 1 0 r
.5 .5 m
.5 .5 .47619 80.1563 80.8594 arc
F
.65 1 0 r
.5 .5 m
.5 .5 .47619 80.8594 81.5625 arc
F
.638 1 0 r
.5 .5 m
.5 .5 .47619 81.5625 82.2656 arc
F
.626 1 0 r
.5 .5 m
.5 .5 .47619 82.2656 82.9688 arc
F
.614 1 0 r
.5 .5 m
.5 .5 .47619 82.9688 83.6719 arc
F
.603 1 0 r
.5 .5 m
.5 .5 .47619 83.6719 84.375 arc
F
.591 1 0 r
.5 .5 m
.5 .5 .47619 84.375 85.0781 arc
F
.579 1 0 r
.5 .5 m
.5 .5 .47619 85.0781 85.7813 arc
F
.568 1 0 r
.5 .5 m
.5 .5 .47619 85.7813 86.4844 arc
F
.556 1 0 r
.5 .5 m
.5 .5 .47619 86.4844 87.1875 arc
F
.544 1 0 r
.5 .5 m
.5 .5 .47619 87.1875 87.8906 arc
F
.532 1 0 r
.5 .5 m
.5 .5 .47619 87.8906 88.5938 arc
F
.521 1 0 r
.5 .5 m
.5 .5 .47619 88.5938 89.2969 arc
F
.509 1 0 r
.5 .5 m
.5 .5 .47619 89.2969 90 arc
F
.497 1 0 r
.5 .5 m
.5 .5 .47619 90 90.7031 arc
F
.485 1 0 r
.5 .5 m
.5 .5 .47619 90.7031 91.4063 arc
F
.474 1 0 r
.5 .5 m
.5 .5 .47619 91.4063 92.1094 arc
F
.462 1 0 r
.5 .5 m
.5 .5 .47619 92.1094 92.8125 arc
F
.45 1 0 r
.5 .5 m
.5 .5 .47619 92.8125 93.5156 arc
F
.438 1 0 r
.5 .5 m
.5 .5 .47619 93.5156 94.2188 arc
F
.427 1 0 r
.5 .5 m
.5 .5 .47619 94.2188 94.9219 arc
F
.415 1 0 r
.5 .5 m
.5 .5 .47619 94.9219 95.625 arc
F
.403 1 0 r
.5 .5 m
.5 .5 .47619 95.625 96.3281 arc
F
.391 1 0 r
.5 .5 m
.5 .5 .47619 96.3281 97.0313 arc
F
.38 1 0 r
.5 .5 m
.5 .5 .47619 97.0313 97.7344 arc
F
.368 1 0 r
.5 .5 m
.5 .5 .47619 97.7344 98.4375 arc
F
.356 1 0 r
.5 .5 m
.5 .5 .47619 98.4375 99.1406 arc
F
.344 1 0 r
.5 .5 m
.5 .5 .47619 99.1406 99.8438 arc
F
.333 1 0 r
.5 .5 m
.5 .5 .47619 99.8438 100.547 arc
F
.321 1 0 r
.5 .5 m
.5 .5 .47619 100.547 101.25 arc
F
.309 1 0 r
.5 .5 m
.5 .5 .47619 101.25 101.953 arc
F
.297 1 0 r
.5 .5 m
.5 .5 .47619 101.953 102.656 arc
F
.286 1 0 r
.5 .5 m
.5 .5 .47619 102.656 103.359 arc
F
.274 1 0 r
.5 .5 m
.5 .5 .47619 103.359 104.063 arc
F
.262 1 0 r
.5 .5 m
.5 .5 .47619 104.063 104.766 arc
F
.25 1 0 r
.5 .5 m
.5 .5 .47619 104.766 105.469 arc
F
.239 1 0 r
.5 .5 m
.5 .5 .47619 105.469 106.172 arc
F
.227 1 0 r
.5 .5 m
.5 .5 .47619 106.172 106.875 arc
F
.215 1 0 r
.5 .5 m
.5 .5 .47619 106.875 107.578 arc
F
.204 1 0 r
.5 .5 m
.5 .5 .47619 107.578 108.281 arc
F
.192 1 0 r
.5 .5 m
.5 .5 .47619 108.281 108.984 arc
F
.18 1 0 r
.5 .5 m
.5 .5 .47619 108.984 109.688 arc
F
.168 1 0 r
.5 .5 m
.5 .5 .47619 109.688 110.391 arc
F
.157 1 0 r
.5 .5 m
.5 .5 .47619 110.391 111.094 arc
F
.145 1 0 r
.5 .5 m
.5 .5 .47619 111.094 111.797 arc
F
.133 1 0 r
.5 .5 m
.5 .5 .47619 111.797 112.5 arc
F
.121 1 0 r
.5 .5 m
.5 .5 .47619 112.5 113.203 arc
F
.11 1 0 r
.5 .5 m
.5 .5 .47619 113.203 113.906 arc
F
.098 1 0 r
.5 .5 m
.5 .5 .47619 113.906 114.609 arc
F
.086 1 0 r
.5 .5 m
.5 .5 .47619 114.609 115.313 arc
F
.074 1 0 r
.5 .5 m
.5 .5 .47619 115.313 116.016 arc
F
.063 1 0 r
.5 .5 m
.5 .5 .47619 116.016 116.719 arc
F
.051 1 0 r
.5 .5 m
.5 .5 .47619 116.719 117.422 arc
F
.039 1 0 r
.5 .5 m
.5 .5 .47619 117.422 118.125 arc
F
.027 1 0 r
.5 .5 m
.5 .5 .47619 118.125 118.828 arc
F
.016 1 0 r
.5 .5 m
.5 .5 .47619 118.828 119.531 arc
F
.004 1 0 r
.5 .5 m
.5 .5 .47619 119.531 120.234 arc
F
0 1 .008 r
.5 .5 m
.5 .5 .47619 120.234 120.938 arc
F
0 1 .02 r
.5 .5 m
.5 .5 .47619 120.938 121.641 arc
F
0 1 .031 r
.5 .5 m
.5 .5 .47619 121.641 122.344 arc
F
0 1 .043 r
.5 .5 m
.5 .5 .47619 122.344 123.047 arc
F
0 1 .055 r
.5 .5 m
.5 .5 .47619 123.047 123.75 arc
F
0 1 .067 r
.5 .5 m
.5 .5 .47619 123.75 124.453 arc
F
0 1 .078 r
.5 .5 m
.5 .5 .47619 124.453 125.156 arc
F
0 1 .09 r
.5 .5 m
.5 .5 .47619 125.156 125.859 arc
F
0 1 .102 r
.5 .5 m
.5 .5 .47619 125.859 126.563 arc
F
0 1 .114 r
.5 .5 m
.5 .5 .47619 126.563 127.266 arc
F
0 1 .125 r
.5 .5 m
.5 .5 .47619 127.266 127.969 arc
F
0 1 .137 r
.5 .5 m
.5 .5 .47619 127.969 128.672 arc
F
0 1 .149 r
.5 .5 m
.5 .5 .47619 128.672 129.375 arc
F
0 1 .16 r
.5 .5 m
.5 .5 .47619 129.375 130.078 arc
F
0 1 .172 r
.5 .5 m
.5 .5 .47619 130.078 130.781 arc
F
0 1 .184 r
.5 .5 m
.5 .5 .47619 130.781 131.484 arc
F
0 1 .196 r
.5 .5 m
.5 .5 .47619 131.484 132.188 arc
F
0 1 .207 r
.5 .5 m
.5 .5 .47619 132.188 132.891 arc
F
0 1 .219 r
.5 .5 m
.5 .5 .47619 132.891 133.594 arc
F
0 1 .231 r
.5 .5 m
.5 .5 .47619 133.594 134.297 arc
F
0 1 .243 r
.5 .5 m
.5 .5 .47619 134.297 135 arc
F
0 1 .254 r
.5 .5 m
.5 .5 .47619 135 135.703 arc
F
0 1 .266 r
.5 .5 m
.5 .5 .47619 135.703 136.406 arc
F
0 1 .278 r
.5 .5 m
.5 .5 .47619 136.406 137.109 arc
F
0 1 .29 r
.5 .5 m
.5 .5 .47619 137.109 137.813 arc
F
0 1 .301 r
.5 .5 m
.5 .5 .47619 137.813 138.516 arc
F
0 1 .313 r
.5 .5 m
.5 .5 .47619 138.516 139.219 arc
F
0 1 .325 r
.5 .5 m
.5 .5 .47619 139.219 139.922 arc
F
0 1 .337 r
.5 .5 m
.5 .5 .47619 139.922 140.625 arc
F
0 1 .348 r
.5 .5 m
.5 .5 .47619 140.625 141.328 arc
F
0 1 .36 r
.5 .5 m
.5 .5 .47619 141.328 142.031 arc
F
0 1 .372 r
.5 .5 m
.5 .5 .47619 142.031 142.734 arc
F
0 1 .384 r
.5 .5 m
.5 .5 .47619 142.734 143.438 arc
F
0 1 .395 r
.5 .5 m
.5 .5 .47619 143.438 144.141 arc
F
0 1 .407 r
.5 .5 m
.5 .5 .47619 144.141 144.844 arc
F
0 1 .419 r
.5 .5 m
.5 .5 .47619 144.844 145.547 arc
F
0 1 .431 r
.5 .5 m
.5 .5 .47619 145.547 146.25 arc
F
0 1 .442 r
.5 .5 m
.5 .5 .47619 146.25 146.953 arc
F
0 1 .454 r
.5 .5 m
.5 .5 .47619 146.953 147.656 arc
F
0 1 .466 r
.5 .5 m
.5 .5 .47619 147.656 148.359 arc
F
0 1 .477 r
.5 .5 m
.5 .5 .47619 148.359 149.063 arc
F
0 1 .489 r
.5 .5 m
.5 .5 .47619 149.063 149.766 arc
F
0 1 .501 r
.5 .5 m
.5 .5 .47619 149.766 150.469 arc
F
0 1 .513 r
.5 .5 m
.5 .5 .47619 150.469 151.172 arc
F
0 1 .524 r
.5 .5 m
.5 .5 .47619 151.172 151.875 arc
F
0 1 .536 r
.5 .5 m
.5 .5 .47619 151.875 152.578 arc
F
0 1 .548 r
.5 .5 m
.5 .5 .47619 152.578 153.281 arc
F
0 1 .56 r
.5 .5 m
.5 .5 .47619 153.281 153.984 arc
F
0 1 .571 r
.5 .5 m
.5 .5 .47619 153.984 154.688 arc
F
0 1 .583 r
.5 .5 m
.5 .5 .47619 154.688 155.391 arc
F
0 1 .595 r
.5 .5 m
.5 .5 .47619 155.391 156.094 arc
F
0 1 .607 r
.5 .5 m
.5 .5 .47619 156.094 156.797 arc
F
0 1 .618 r
.5 .5 m
.5 .5 .47619 156.797 157.5 arc
F
0 1 .63 r
.5 .5 m
.5 .5 .47619 157.5 158.203 arc
F
0 1 .642 r
.5 .5 m
.5 .5 .47619 158.203 158.906 arc
F
0 1 .654 r
.5 .5 m
.5 .5 .47619 158.906 159.609 arc
F
0 1 .665 r
.5 .5 m
.5 .5 .47619 159.609 160.313 arc
F
0 1 .677 r
.5 .5 m
.5 .5 .47619 160.313 161.016 arc
F
0 1 .689 r
.5 .5 m
.5 .5 .47619 161.016 161.719 arc
F
0 1 .701 r
.5 .5 m
.5 .5 .47619 161.719 162.422 arc
F
0 1 .712 r
.5 .5 m
.5 .5 .47619 162.422 163.125 arc
F
0 1 .724 r
.5 .5 m
.5 .5 .47619 163.125 163.828 arc
F
0 1 .736 r
.5 .5 m
.5 .5 .47619 163.828 164.531 arc
F
0 1 .748 r
.5 .5 m
.5 .5 .47619 164.531 165.234 arc
F
0 1 .759 r
.5 .5 m
.5 .5 .47619 165.234 165.938 arc
F
0 1 .771 r
.5 .5 m
.5 .5 .47619 165.938 166.641 arc
F
0 1 .783 r
.5 .5 m
.5 .5 .47619 166.641 167.344 arc
F
0 1 .795 r
.5 .5 m
.5 .5 .47619 167.344 168.047 arc
F
0 1 .806 r
.5 .5 m
.5 .5 .47619 168.047 168.75 arc
F
0 1 .818 r
.5 .5 m
.5 .5 .47619 168.75 169.453 arc
F
0 1 .83 r
.5 .5 m
.5 .5 .47619 169.453 170.156 arc
F
0 1 .841 r
.5 .5 m
.5 .5 .47619 170.156 170.859 arc
F
0 1 .853 r
.5 .5 m
.5 .5 .47619 170.859 171.563 arc
F
0 1 .865 r
.5 .5 m
.5 .5 .47619 171.563 172.266 arc
F
0 1 .877 r
.5 .5 m
.5 .5 .47619 172.266 172.969 arc
F
0 1 .888 r
.5 .5 m
.5 .5 .47619 172.969 173.672 arc
F
0 1 .9 r
.5 .5 m
.5 .5 .47619 173.672 174.375 arc
F
0 1 .912 r
.5 .5 m
.5 .5 .47619 174.375 175.078 arc
F
0 1 .924 r
.5 .5 m
.5 .5 .47619 175.078 175.781 arc
F
0 1 .935 r
.5 .5 m
.5 .5 .47619 175.781 176.484 arc
F
0 1 .947 r
.5 .5 m
.5 .5 .47619 176.484 177.188 arc
F
0 1 .959 r
.5 .5 m
.5 .5 .47619 177.188 177.891 arc
F
0 1 .971 r
.5 .5 m
.5 .5 .47619 177.891 178.594 arc
F
0 1 .982 r
.5 .5 m
.5 .5 .47619 178.594 179.297 arc
F
0 1 .994 r
.5 .5 m
.5 .5 .47619 179.297 180 arc
F
0 .994 1 r
.5 .5 m
.5 .5 .47619 180 180.703 arc
F
0 .982 1 r
.5 .5 m
.5 .5 .47619 180.703 181.406 arc
F
0 .971 1 r
.5 .5 m
.5 .5 .47619 181.406 182.109 arc
F
0 .959 1 r
.5 .5 m
.5 .5 .47619 182.109 182.813 arc
F
0 .947 1 r
.5 .5 m
.5 .5 .47619 182.813 183.516 arc
F
0 .935 1 r
.5 .5 m
.5 .5 .47619 183.516 184.219 arc
F
0 .924 1 r
.5 .5 m
.5 .5 .47619 184.219 184.922 arc
F
0 .912 1 r
.5 .5 m
.5 .5 .47619 184.922 185.625 arc
F
0 .9 1 r
.5 .5 m
.5 .5 .47619 185.625 186.328 arc
F
0 .888 1 r
.5 .5 m
.5 .5 .47619 186.328 187.031 arc
F
0 .877 1 r
.5 .5 m
.5 .5 .47619 187.031 187.734 arc
F
0 .865 1 r
.5 .5 m
.5 .5 .47619 187.734 188.438 arc
F
0 .853 1 r
.5 .5 m
.5 .5 .47619 188.438 189.141 arc
F
0 .841 1 r
.5 .5 m
.5 .5 .47619 189.141 189.844 arc
F
0 .83 1 r
.5 .5 m
.5 .5 .47619 189.844 190.547 arc
F
0 .818 1 r
.5 .5 m
.5 .5 .47619 190.547 191.25 arc
F
0 .806 1 r
.5 .5 m
.5 .5 .47619 191.25 191.953 arc
F
0 .795 1 r
.5 .5 m
.5 .5 .47619 191.953 192.656 arc
F
0 .783 1 r
.5 .5 m
.5 .5 .47619 192.656 193.359 arc
F
0 .771 1 r
.5 .5 m
.5 .5 .47619 193.359 194.063 arc
F
0 .759 1 r
.5 .5 m
.5 .5 .47619 194.063 194.766 arc
F
0 .748 1 r
.5 .5 m
.5 .5 .47619 194.766 195.469 arc
F
0 .736 1 r
.5 .5 m
.5 .5 .47619 195.469 196.172 arc
F
0 .724 1 r
.5 .5 m
.5 .5 .47619 196.172 196.875 arc
F
0 .712 1 r
.5 .5 m
.5 .5 .47619 196.875 197.578 arc
F
0 .701 1 r
.5 .5 m
.5 .5 .47619 197.578 198.281 arc
F
0 .689 1 r
.5 .5 m
.5 .5 .47619 198.281 198.984 arc
F
0 .677 1 r
.5 .5 m
.5 .5 .47619 198.984 199.688 arc
F
0 .665 1 r
.5 .5 m
.5 .5 .47619 199.688 200.391 arc
F
0 .654 1 r
.5 .5 m
.5 .5 .47619 200.391 201.094 arc
F
0 .642 1 r
.5 .5 m
.5 .5 .47619 201.094 201.797 arc
F
0 .63 1 r
.5 .5 m
.5 .5 .47619 201.797 202.5 arc
F
0 .618 1 r
.5 .5 m
.5 .5 .47619 202.5 203.203 arc
F
0 .607 1 r
.5 .5 m
.5 .5 .47619 203.203 203.906 arc
F
0 .595 1 r
.5 .5 m
.5 .5 .47619 203.906 204.609 arc
F
0 .583 1 r
.5 .5 m
.5 .5 .47619 204.609 205.313 arc
F
0 .571 1 r
.5 .5 m
.5 .5 .47619 205.313 206.016 arc
F
0 .56 1 r
.5 .5 m
.5 .5 .47619 206.016 206.719 arc
F
0 .548 1 r
.5 .5 m
.5 .5 .47619 206.719 207.422 arc
F
0 .536 1 r
.5 .5 m
.5 .5 .47619 207.422 208.125 arc
F
0 .524 1 r
.5 .5 m
.5 .5 .47619 208.125 208.828 arc
F
0 .513 1 r
.5 .5 m
.5 .5 .47619 208.828 209.531 arc
F
0 .501 1 r
.5 .5 m
.5 .5 .47619 209.531 210.234 arc
F
0 .489 1 r
.5 .5 m
.5 .5 .47619 210.234 210.938 arc
F
0 .477 1 r
.5 .5 m
.5 .5 .47619 210.938 211.641 arc
F
0 .466 1 r
.5 .5 m
.5 .5 .47619 211.641 212.344 arc
F
0 .454 1 r
.5 .5 m
.5 .5 .47619 212.344 213.047 arc
F
0 .442 1 r
.5 .5 m
.5 .5 .47619 213.047 213.75 arc
F
0 .431 1 r
.5 .5 m
.5 .5 .47619 213.75 214.453 arc
F
0 .419 1 r
.5 .5 m
.5 .5 .47619 214.453 215.156 arc
F
0 .407 1 r
.5 .5 m
.5 .5 .47619 215.156 215.859 arc
F
0 .395 1 r
.5 .5 m
.5 .5 .47619 215.859 216.563 arc
F
0 .384 1 r
.5 .5 m
.5 .5 .47619 216.563 217.266 arc
F
0 .372 1 r
.5 .5 m
.5 .5 .47619 217.266 217.969 arc
F
0 .36 1 r
.5 .5 m
.5 .5 .47619 217.969 218.672 arc
F
0 .348 1 r
.5 .5 m
.5 .5 .47619 218.672 219.375 arc
F
0 .337 1 r
.5 .5 m
.5 .5 .47619 219.375 220.078 arc
F
0 .325 1 r
.5 .5 m
.5 .5 .47619 220.078 220.781 arc
F
0 .313 1 r
.5 .5 m
.5 .5 .47619 220.781 221.484 arc
F
0 .301 1 r
.5 .5 m
.5 .5 .47619 221.484 222.188 arc
F
0 .29 1 r
.5 .5 m
.5 .5 .47619 222.188 222.891 arc
F
0 .278 1 r
.5 .5 m
.5 .5 .47619 222.891 223.594 arc
F
0 .266 1 r
.5 .5 m
.5 .5 .47619 223.594 224.297 arc
F
0 .254 1 r
.5 .5 m
.5 .5 .47619 224.297 225 arc
F
0 .243 1 r
.5 .5 m
.5 .5 .47619 225 225.703 arc
F
0 .231 1 r
.5 .5 m
.5 .5 .47619 225.703 226.406 arc
F
0 .219 1 r
.5 .5 m
.5 .5 .47619 226.406 227.109 arc
F
0 .207 1 r
.5 .5 m
.5 .5 .47619 227.109 227.813 arc
F
0 .196 1 r
.5 .5 m
.5 .5 .47619 227.813 228.516 arc
F
0 .184 1 r
.5 .5 m
.5 .5 .47619 228.516 229.219 arc
F
0 .172 1 r
.5 .5 m
.5 .5 .47619 229.219 229.922 arc
F
0 .16 1 r
.5 .5 m
.5 .5 .47619 229.922 230.625 arc
F
0 .149 1 r
.5 .5 m
.5 .5 .47619 230.625 231.328 arc
F
0 .137 1 r
.5 .5 m
.5 .5 .47619 231.328 232.031 arc
F
0 .125 1 r
.5 .5 m
.5 .5 .47619 232.031 232.734 arc
F
0 .114 1 r
.5 .5 m
.5 .5 .47619 232.734 233.438 arc
F
0 .102 1 r
.5 .5 m
.5 .5 .47619 233.438 234.141 arc
F
0 .09 1 r
.5 .5 m
.5 .5 .47619 234.141 234.844 arc
F
0 .078 1 r
.5 .5 m
.5 .5 .47619 234.844 235.547 arc
F
0 .067 1 r
.5 .5 m
.5 .5 .47619 235.547 236.25 arc
F
0 .055 1 r
.5 .5 m
.5 .5 .47619 236.25 236.953 arc
F
0 .043 1 r
.5 .5 m
.5 .5 .47619 236.953 237.656 arc
F
0 .031 1 r
.5 .5 m
.5 .5 .47619 237.656 238.359 arc
F
0 .02 1 r
.5 .5 m
.5 .5 .47619 238.359 239.063 arc
F
0 .008 1 r
.5 .5 m
.5 .5 .47619 239.063 239.766 arc
F
.004 0 1 r
.5 .5 m
.5 .5 .47619 239.766 240.469 arc
F
.016 0 1 r
.5 .5 m
.5 .5 .47619 240.469 241.172 arc
F
.027 0 1 r
.5 .5 m
.5 .5 .47619 241.172 241.875 arc
F
.039 0 1 r
.5 .5 m
.5 .5 .47619 241.875 242.578 arc
F
.051 0 1 r
.5 .5 m
.5 .5 .47619 242.578 243.281 arc
F
.063 0 1 r
.5 .5 m
.5 .5 .47619 243.281 243.984 arc
F
.074 0 1 r
.5 .5 m
.5 .5 .47619 243.984 244.688 arc
F
.086 0 1 r
.5 .5 m
.5 .5 .47619 244.688 245.391 arc
F
.098 0 1 r
.5 .5 m
.5 .5 .47619 245.391 246.094 arc
F
.11 0 1 r
.5 .5 m
.5 .5 .47619 246.094 246.797 arc
F
.121 0 1 r
.5 .5 m
.5 .5 .47619 246.797 247.5 arc
F
.133 0 1 r
.5 .5 m
.5 .5 .47619 247.5 248.203 arc
F
.145 0 1 r
.5 .5 m
.5 .5 .47619 248.203 248.906 arc
F
.157 0 1 r
.5 .5 m
.5 .5 .47619 248.906 249.609 arc
F
.168 0 1 r
.5 .5 m
.5 .5 .47619 249.609 250.313 arc
F
.18 0 1 r
.5 .5 m
.5 .5 .47619 250.313 251.016 arc
F
.192 0 1 r
.5 .5 m
.5 .5 .47619 251.016 251.719 arc
F
.204 0 1 r
.5 .5 m
.5 .5 .47619 251.719 252.422 arc
F
.215 0 1 r
.5 .5 m
.5 .5 .47619 252.422 253.125 arc
F
.227 0 1 r
.5 .5 m
.5 .5 .47619 253.125 253.828 arc
F
.239 0 1 r
.5 .5 m
.5 .5 .47619 253.828 254.531 arc
F
.25 0 1 r
.5 .5 m
.5 .5 .47619 254.531 255.234 arc
F
.262 0 1 r
.5 .5 m
.5 .5 .47619 255.234 255.938 arc
F
.274 0 1 r
.5 .5 m
.5 .5 .47619 255.938 256.641 arc
F
.286 0 1 r
.5 .5 m
.5 .5 .47619 256.641 257.344 arc
F
.297 0 1 r
.5 .5 m
.5 .5 .47619 257.344 258.047 arc
F
.309 0 1 r
.5 .5 m
.5 .5 .47619 258.047 258.75 arc
F
.321 0 1 r
.5 .5 m
.5 .5 .47619 258.75 259.453 arc
F
.333 0 1 r
.5 .5 m
.5 .5 .47619 259.453 260.156 arc
F
.344 0 1 r
.5 .5 m
.5 .5 .47619 260.156 260.859 arc
F
.356 0 1 r
.5 .5 m
.5 .5 .47619 260.859 261.563 arc
F
.368 0 1 r
.5 .5 m
.5 .5 .47619 261.563 262.266 arc
F
.38 0 1 r
.5 .5 m
.5 .5 .47619 262.266 262.969 arc
F
.391 0 1 r
.5 .5 m
.5 .5 .47619 262.969 263.672 arc
F
.403 0 1 r
.5 .5 m
.5 .5 .47619 263.672 264.375 arc
F
.415 0 1 r
.5 .5 m
.5 .5 .47619 264.375 265.078 arc
F
.427 0 1 r
.5 .5 m
.5 .5 .47619 265.078 265.781 arc
F
.438 0 1 r
.5 .5 m
.5 .5 .47619 265.781 266.484 arc
F
.45 0 1 r
.5 .5 m
.5 .5 .47619 266.484 267.188 arc
F
.462 0 1 r
.5 .5 m
.5 .5 .47619 267.188 267.891 arc
F
.474 0 1 r
.5 .5 m
.5 .5 .47619 267.891 268.594 arc
F
.485 0 1 r
.5 .5 m
.5 .5 .47619 268.594 269.297 arc
F
.497 0 1 r
.5 .5 m
.5 .5 .47619 269.297 270 arc
F
.509 0 1 r
.5 .5 m
.5 .5 .47619 270 270.703 arc
F
.521 0 1 r
.5 .5 m
.5 .5 .47619 270.703 271.406 arc
F
.532 0 1 r
.5 .5 m
.5 .5 .47619 271.406 272.109 arc
F
.544 0 1 r
.5 .5 m
.5 .5 .47619 272.109 272.813 arc
F
.556 0 1 r
.5 .5 m
.5 .5 .47619 272.813 273.516 arc
F
.568 0 1 r
.5 .5 m
.5 .5 .47619 273.516 274.219 arc
F
.579 0 1 r
.5 .5 m
.5 .5 .47619 274.219 274.922 arc
F
.591 0 1 r
.5 .5 m
.5 .5 .47619 274.922 275.625 arc
F
.603 0 1 r
.5 .5 m
.5 .5 .47619 275.625 276.328 arc
F
.614 0 1 r
.5 .5 m
.5 .5 .47619 276.328 277.031 arc
F
.626 0 1 r
.5 .5 m
.5 .5 .47619 277.031 277.734 arc
F
.638 0 1 r
.5 .5 m
.5 .5 .47619 277.734 278.438 arc
F
.65 0 1 r
.5 .5 m
.5 .5 .47619 278.438 279.141 arc
F
.661 0 1 r
.5 .5 m
.5 .5 .47619 279.141 279.844 arc
F
.673 0 1 r
.5 .5 m
.5 .5 .47619 279.844 280.547 arc
F
.685 0 1 r
.5 .5 m
.5 .5 .47619 280.547 281.25 arc
F
.697 0 1 r
.5 .5 m
.5 .5 .47619 281.25 281.953 arc
F
.708 0 1 r
.5 .5 m
.5 .5 .47619 281.953 282.656 arc
F
.72 0 1 r
.5 .5 m
.5 .5 .47619 282.656 283.359 arc
F
.732 0 1 r
.5 .5 m
.5 .5 .47619 283.359 284.063 arc
F
.744 0 1 r
.5 .5 m
.5 .5 .47619 284.063 284.766 arc
F
.755 0 1 r
.5 .5 m
.5 .5 .47619 284.766 285.469 arc
F
.767 0 1 r
.5 .5 m
.5 .5 .47619 285.469 286.172 arc
F
.779 0 1 r
.5 .5 m
.5 .5 .47619 286.172 286.875 arc
F
.791 0 1 r
.5 .5 m
.5 .5 .47619 286.875 287.578 arc
F
.802 0 1 r
.5 .5 m
.5 .5 .47619 287.578 288.281 arc
F
.814 0 1 r
.5 .5 m
.5 .5 .47619 288.281 288.984 arc
F
.826 0 1 r
.5 .5 m
.5 .5 .47619 288.984 289.688 arc
F
.838 0 1 r
.5 .5 m
.5 .5 .47619 289.688 290.391 arc
F
.849 0 1 r
.5 .5 m
.5 .5 .47619 290.391 291.094 arc
F
.861 0 1 r
.5 .5 m
.5 .5 .47619 291.094 291.797 arc
F
.873 0 1 r
.5 .5 m
.5 .5 .47619 291.797 292.5 arc
F
.885 0 1 r
.5 .5 m
.5 .5 .47619 292.5 293.203 arc
F
.896 0 1 r
.5 .5 m
.5 .5 .47619 293.203 293.906 arc
F
.908 0 1 r
.5 .5 m
.5 .5 .47619 293.906 294.609 arc
F
.92 0 1 r
.5 .5 m
.5 .5 .47619 294.609 295.313 arc
F
.932 0 1 r
.5 .5 m
.5 .5 .47619 295.313 296.016 arc
F
.943 0 1 r
.5 .5 m
.5 .5 .47619 296.016 296.719 arc
F
.955 0 1 r
.5 .5 m
.5 .5 .47619 296.719 297.422 arc
F
.967 0 1 r
.5 .5 m
.5 .5 .47619 297.422 298.125 arc
F
.978 0 1 r
.5 .5 m
.5 .5 .47619 298.125 298.828 arc
F
.99 0 1 r
.5 .5 m
.5 .5 .47619 298.828 299.531 arc
F
1 0 .998 r
.5 .5 m
.5 .5 .47619 299.531 300.234 arc
F
1 0 .986 r
.5 .5 m
.5 .5 .47619 300.234 300.938 arc
F
1 0 .975 r
.5 .5 m
.5 .5 .47619 300.938 301.641 arc
F
1 0 .963 r
.5 .5 m
.5 .5 .47619 301.641 302.344 arc
F
1 0 .951 r
.5 .5 m
.5 .5 .47619 302.344 303.047 arc
F
1 0 .939 r
.5 .5 m
.5 .5 .47619 303.047 303.75 arc
F
1 0 .928 r
.5 .5 m
.5 .5 .47619 303.75 304.453 arc
F
1 0 .916 r
.5 .5 m
.5 .5 .47619 304.453 305.156 arc
F
1 0 .904 r
.5 .5 m
.5 .5 .47619 305.156 305.859 arc
F
1 0 .892 r
.5 .5 m
.5 .5 .47619 305.859 306.563 arc
F
1 0 .881 r
.5 .5 m
.5 .5 .47619 306.563 307.266 arc
F
1 0 .869 r
.5 .5 m
.5 .5 .47619 307.266 307.969 arc
F
1 0 .857 r
.5 .5 m
.5 .5 .47619 307.969 308.672 arc
F
1 0 .845 r
.5 .5 m
.5 .5 .47619 308.672 309.375 arc
F
1 0 .834 r
.5 .5 m
.5 .5 .47619 309.375 310.078 arc
F
1 0 .822 r
.5 .5 m
.5 .5 .47619 310.078 310.781 arc
F
1 0 .81 r
.5 .5 m
.5 .5 .47619 310.781 311.484 arc
F
1 0 .798 r
.5 .5 m
.5 .5 .47619 311.484 312.188 arc
F
1 0 .787 r
.5 .5 m
.5 .5 .47619 312.188 312.891 arc
F
1 0 .775 r
.5 .5 m
.5 .5 .47619 312.891 313.594 arc
F
1 0 .763 r
.5 .5 m
.5 .5 .47619 313.594 314.297 arc
F
1 0 .751 r
.5 .5 m
.5 .5 .47619 314.297 315 arc
F
1 0 .74 r
.5 .5 m
.5 .5 .47619 315 315.703 arc
F
1 0 .728 r
.5 .5 m
.5 .5 .47619 315.703 316.406 arc
F
1 0 .716 r
.5 .5 m
.5 .5 .47619 316.406 317.109 arc
F
1 0 .705 r
.5 .5 m
.5 .5 .47619 317.109 317.813 arc
F
1 0 .693 r
.5 .5 m
.5 .5 .47619 317.813 318.516 arc
F
1 0 .681 r
.5 .5 m
.5 .5 .47619 318.516 319.219 arc
F
1 0 .669 r
.5 .5 m
.5 .5 .47619 319.219 319.922 arc
F
1 0 .658 r
.5 .5 m
.5 .5 .47619 319.922 320.625 arc
F
1 0 .646 r
.5 .5 m
.5 .5 .47619 320.625 321.328 arc
F
1 0 .634 r
.5 .5 m
.5 .5 .47619 321.328 322.031 arc
F
1 0 .622 r
.5 .5 m
.5 .5 .47619 322.031 322.734 arc
F
1 0 .611 r
.5 .5 m
.5 .5 .47619 322.734 323.438 arc
F
1 0 .599 r
.5 .5 m
.5 .5 .47619 323.438 324.141 arc
F
1 0 .587 r
.5 .5 m
.5 .5 .47619 324.141 324.844 arc
F
1 0 .575 r
.5 .5 m
.5 .5 .47619 324.844 325.547 arc
F
1 0 .564 r
.5 .5 m
.5 .5 .47619 325.547 326.25 arc
F
1 0 .552 r
.5 .5 m
.5 .5 .47619 326.25 326.953 arc
F
1 0 .54 r
.5 .5 m
.5 .5 .47619 326.953 327.656 arc
F
1 0 .528 r
.5 .5 m
.5 .5 .47619 327.656 328.359 arc
F
1 0 .517 r
.5 .5 m
.5 .5 .47619 328.359 329.063 arc
F
1 0 .505 r
.5 .5 m
.5 .5 .47619 329.063 329.766 arc
F
1 0 .493 r
.5 .5 m
.5 .5 .47619 329.766 330.469 arc
F
1 0 .481 r
.5 .5 m
.5 .5 .47619 330.469 331.172 arc
F
1 0 .47 r
.5 .5 m
.5 .5 .47619 331.172 331.875 arc
F
1 0 .458 r
.5 .5 m
.5 .5 .47619 331.875 332.578 arc
F
1 0 .446 r
.5 .5 m
.5 .5 .47619 332.578 333.281 arc
F
1 0 .434 r
.5 .5 m
.5 .5 .47619 333.281 333.984 arc
F
1 0 .423 r
.5 .5 m
.5 .5 .47619 333.984 334.688 arc
F
1 0 .411 r
.5 .5 m
.5 .5 .47619 334.688 335.391 arc
F
1 0 .399 r
.5 .5 m
.5 .5 .47619 335.391 336.094 arc
F
1 0 .387 r
.5 .5 m
.5 .5 .47619 336.094 336.797 arc
F
1 0 .376 r
.5 .5 m
.5 .5 .47619 336.797 337.5 arc
F
1 0 .364 r
.5 .5 m
.5 .5 .47619 337.5 338.203 arc
F
1 0 .352 r
.5 .5 m
.5 .5 .47619 338.203 338.906 arc
F
1 0 .341 r
.5 .5 m
.5 .5 .47619 338.906 339.609 arc
F
1 0 .329 r
.5 .5 m
.5 .5 .47619 339.609 340.313 arc
F
1 0 .317 r
.5 .5 m
.5 .5 .47619 340.313 341.016 arc
F
1 0 .305 r
.5 .5 m
.5 .5 .47619 341.016 341.719 arc
F
1 0 .294 r
.5 .5 m
.5 .5 .47619 341.719 342.422 arc
F
1 0 .282 r
.5 .5 m
.5 .5 .47619 342.422 343.125 arc
F
1 0 .27 r
.5 .5 m
.5 .5 .47619 343.125 343.828 arc
F
1 0 .258 r
.5 .5 m
.5 .5 .47619 343.828 344.531 arc
F
1 0 .247 r
.5 .5 m
.5 .5 .47619 344.531 345.234 arc
F
1 0 .235 r
.5 .5 m
.5 .5 .47619 345.234 345.938 arc
F
1 0 .223 r
.5 .5 m
.5 .5 .47619 345.938 346.641 arc
F
1 0 .211 r
.5 .5 m
.5 .5 .47619 346.641 347.344 arc
F
1 0 .2 r
.5 .5 m
.5 .5 .47619 347.344 348.047 arc
F
1 0 .188 r
.5 .5 m
.5 .5 .47619 348.047 348.75 arc
F
1 0 .176 r
.5 .5 m
.5 .5 .47619 348.75 349.453 arc
F
1 0 .164 r
.5 .5 m
.5 .5 .47619 349.453 350.156 arc
F
1 0 .153 r
.5 .5 m
.5 .5 .47619 350.156 350.859 arc
F
1 0 .141 r
.5 .5 m
.5 .5 .47619 350.859 351.563 arc
F
1 0 .129 r
.5 .5 m
.5 .5 .47619 351.563 352.266 arc
F
1 0 .117 r
.5 .5 m
.5 .5 .47619 352.266 352.969 arc
F
1 0 .106 r
.5 .5 m
.5 .5 .47619 352.969 353.672 arc
F
1 0 .094 r
.5 .5 m
.5 .5 .47619 353.672 354.375 arc
F
1 0 .082 r
.5 .5 m
.5 .5 .47619 354.375 355.078 arc
F
1 0 .07 r
.5 .5 m
.5 .5 .47619 355.078 355.781 arc
F
1 0 .059 r
.5 .5 m
.5 .5 .47619 355.781 356.484 arc
F
1 0 .047 r
.5 .5 m
.5 .5 .47619 356.484 357.188 arc
F
1 0 .035 r
.5 .5 m
.5 .5 .47619 357.188 357.891 arc
F
1 0 .023 r
.5 .5 m
.5 .5 .47619 357.891 358.594 arc
F
1 0 .012 r
.5 .5 m
.5 .5 .47619 358.594 359.297 arc
F
1 0 0 r
.5 .5 m
.5 .5 .47619 359.297 360 arc
F
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[2]:=",
  ImageSize->{201, 201},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000390000bB000`400?l00000o`00003ob@3oool0
0<T0oooo00390?ooo`00b@3oool00<T0oooo001T0?ooo`030880o`3oool0oooo0680oooo001L0?oo
o`<0L03o00X0L`3o07H0o`1i0?l0O03o07l0o`220?l0Q@3o08P0o`2;0?l0SP3o0P2A0?mN0?ooo`00
E03oool02@1H0?l0F`3o05/0o`1N0?l0H@3o06@0o`1W0?l0JP3o06d0o`020700o`0:07<0o`1f0?l0
N@3o07`0o`1o0?l0PP3o08D0o`280?l0R`3o08h0o`80T@3o00H0U03o09L0o`2J0?l0W@3o0:00o`2S
0?l20:H0oeH0oooo001?0?ooo`80C03o00@0C`3o0580o`1E0?l0F03o0P1K0?l01P1N0?l0H@3o06@0
o`1W0?l0JP3o06d0o`80L03o00X0L`3o07H0o`1i0?l0O03o07l0o`220?l0Q@3o08P0o`2;0?l0SP3o
0P2A0?l01P2D0?l0U`3o09X0o`2M0?l0X03o0:<0o`80YP3o00D0Z@3o0:`0o`2_0?l0/P3o0;D0o`1A
0?ooo`00B`3oool00`0o0?l0@`3o04H0o`0204T0o`0504`0o`1?0?l0DP3o05D0o`1H0?l00P1K0?l0
1P1N0?l0H@3o06@0o`1W0?l0JP3o06d0o`80L03o00X0L`3o07H0o`1i0?l0O03o07l0o`220?l0Q@3o
08P0o`2;0?l0SP3o0P2A0?l01P2D0?l0U`3o09X0o`2M0?l0X03o0:<0o`80YP3o00D0Z@3o0:`0o`2_
0?l0/P3o0;D0o`020;P0o`030;/0o`2n0?l0oooo04`0oooo00170?ooo`80=`3o00D0>P3o03d0o`0o
0?l0@`3o04H0o`0204T0o`0504`0o`1?0?l0DP3o05D0o`1H0?l00P1K0?l01P1N0?l0H@3o06@0o`1W
0?l0JP3o06d0o`80L03o00X0L`3o07H0o`1i0?l0O03o07l0o`220?l0Q@3o08P0o`2;0?l0SP3o0P2A
0?l01P2D0?l0U`3o09X0o`2M0?l0X03o0:<0o`80YP3o00D0Z@3o0:`0o`2_0?l0/P3o0;D0o`020;P0
o`060;/0o`2n0?l0`@3o0<@0o`370?l0bP3oB@3oool004@0oooo0P0^0?l0200a0?l0=03o03L0o`0j
0?l0?@3o03l0o`130?l0AP3o0P190?l01@1<0?l0C`3o0580o`1E0?l0F03o0080F`3o00H0GP3o0640
o`1T0?l0I`3o06X0o`1]0?l20700o`0:07<0o`1f0?l0N@3o07`0o`1o0?l0PP3o08D0o`280?l0R`3o
08h0o`80T@3o00H0U03o09L0o`2J0?l0W@3o0:00o`2S0?l20:H0o`050:T0o`2/0?l0[`3o0;80o`2e
0?l00P2h0?l02@2k0?l0_P3o0<40o`340?l0a`3o0<X0o`3=0?l0d03o0=<0o`160?ooo`00@@3oool2
02P0o`0802/0o`0^0?l0;P3o0340o`0d0?l0=`3o03X0o`0m0?l203l0o`0304<0o`190?l0B@3o0080
C03o00/0C`3o05D0o`1H0?l0F03o05/0o`1N0?l0H@3o06@0o`1W0?l0JP3o06d0o`020700o`0:07<0
o`1f0?l0N@3o07`0o`1o0?l0PP3o08D0o`280?l0R`3o08h0o`80T@3o00H0U03o09L0o`2J0?l0W@3o
0:00o`2S0?l20:H0o`030:T0o`2/0?l0[`3o0080]@3o0P2h0?l0202n0?l0`@3o0<40o`340?l0a`3o
0<X0o`3=0?l0d03o0P3C0?l00`3F0?l0f@3o0?ooo`120?ooo`00?`3oool20280o`0302D0o`0X0?l0
:`3o00<0;P3o00P0=03o03L0o`0g0?l0>P3o03d0o`0o0?l0@`3o04H0o`80B@3o00D0C03o04l0o`1B
0?l0E@3o05P0o`0205/0o`050640o`1T0?l0I`3o06X0o`1]0?l00P1`0?l02P1c0?l0MP3o07T0o`1l
0?l0O`3o0880o`250?l0R03o08/0o`2>0?l20940o`0<09@0o`2G0?l0VP3o09d0o`2P0?l0X`3o0:H0
o`2Y0?l0[03o0:l0o`2b0?l0]@3o0P2h0?l01@2k0?l0_P3o0<40o`340?l0a`3o0080bP3o00P0c@3o
0=<0o`3C0?l0d`3o0=H0o`3I0?l0g03o0=l0od40oooo000l0?ooo`806@3o00@0703o01h0o`0R0?l0
9@3o0P0X0?l02`0[0?l0;P3o02h0o`0a0?l0=03o03L0o`0j0?l0?@3o03l0o`130?l0AP3o0080B@3o
00D0C03o04l0o`1B0?l0E@3o05P0o`0205/0o`0505h0o`1Q0?l0I`3o06X0o`1]0?l00P1`0?l02P1c
0?l0MP3o07T0o`1l0?l0O`3o0880o`250?l0R03o08/0o`2>0?l20940o`0509@0o`2G0?l0VP3o09d0
o`2S0?l00P2V0?l01@2Y0?l0[03o0:l0o`2b0?l0]@3o0080^03o00P0^`3o0;h0o`310?l0a03o0<L0
o`3:0?l0c@3o0=00o`80d`3o00P0eP3o0=T0o`3I0?l0g03o0=l0o`3R0?l0i@3o0>P0och0oooo000j
0?ooo`804P3o00@05P3o01T0o`0L0?l07P3o0P0R0?l00`0U0?l0:03o02/0o`0202h0o`080340o`0d
0?l0=`3o03X0o`0m0?l0?`3o04<0o`160?l204T0o`0504`0o`1?0?l0DP3o05D0o`1H0?l00P1K0?l0
1@1N0?l0H@3o06@0o`1Z0?l0K@3o0080L03o00X0L`3o07H0o`1i0?l0O03o07l0o`220?l0Q@3o08P0
o`2;0?l0SP3o0P2A0?l01@2D0?l0U`3o09X0o`2P0?l0X`3o0080YP3o00D0Z@3o0:`0o`2_0?l0/P3o
0;D0o`020;P0o`080;/0o`2n0?l0`@3o0<@0o`370?l0bP3o0<d0o`3@0?l20=<0o`030=H0o`3I0?l0
g03o0080g`3o00D0hP3o0>D0o`3X0?l0j`3o0>h0o`0l0?ooo`00>03oool200d0o`030100o`0B0?l0
5P3o00806@3o00H0703o01h0o`0R0?l09@3o02P0o`0[0?l302h0o`0403@0o`0g0?l0=`3o03X0o`80
?`3o00P0@`3o04T0o`190?l0C03o04l0o`1B0?l0E@3o05P0o`80F`3o00D0GP3o0640o`1T0?l0I`3o
06d0o`020700o`0:07<0o`1f0?l0N@3o07`0o`1o0?l0PP3o08D0o`280?l0R`3o08h0o`80T@3o00D0
U03o09L0o`2M0?l0X03o0:<0o`020:H0o`050:T0o`2/0?l0[`3o0;80o`2e0?l00P2h0?l0102n0?l0
`@3o0<40o`370?l20<X0o`0:0<d0o`3C0?l0d`3o0=<0o`3F0?l0f@3o0=`0o`3O0?l0hP3o0>D0o`80
j03o00@0j`3o0>h0o`3a0?l0m03o>P3oool003L0oooo0P090?l200d0o`804P3o00@05P3o01T0o`0L
0?l07P3o0P0R0?l202P0o`0;02/0o`0^0?l0;P3o0340o`0d0?l0=`3o03X0o`0m0?l0?`3o04<0o`16
0?l00P190?l0101<0?l0C`3o05D0o`1H0?l205/0o`0505h0o`1Q0?l0I03o06L0o`1Z0?l00P1`0?l0
2P1c0?l0MP3o07T0o`1l0?l0O`3o0880o`250?l0R03o08/0o`2>0?l20940o`0509@0o`2J0?l0W@3o
0:00o`2S0?l00P2V0?l00`2Y0?l0[03o0:l0o`020;D0o`090;P0o`2k0?l0_P3o0<40o`340?l0a`3o
0<X0o`3=0?l0d03o0080d`3o00T0eP3o0=T0o`3I0?l0g03o0=l0o`3R0?l0i@3o0>P0o`3[0?l00P3^
0?l00`3a0?l0m03o0?L0o`0i0?ooo`00=@3oool200@0o`0700H0o`090?l02@3o00d0o`0@0?l04P3o
01H0o`0201T0o`0601`0o`0N0?l08P3o02D0o`0X0?l0:`3o0P0^0?l0200a0?l0=03o03L0o`0j0?l0
?@3o03l0o`130?l0AP3o0P190?l05`1<0?l0C`3o0580o`1E0?l0F03o05/0o`1N0?l0H@3o06@0o`1W
0?l0JP3o06d0o`1`0?l0L`3o07H0o`1i0?l0O03o07l0o`220?l0Q@3o08P0o`2;0?l0SP3o0080T@3o
00D0U`3o09X0o`2M0?l0X03o0:<0o`020:H0o`040:T0o`2_0?l0/P3o0;D0o`80^03o00P0^`3o0;h0
o`310?l0a03o0<L0o`3:0?l0c@3o0=00o`80d`3o00H0eP3o0=T0o`3L0?l0g`3o0>80o`3U0?l20>P0
o`040>/0o`3^0?l0l@3o0?@0o`80m`3o00<0nP3o0?d0o`3oool0=P3oool003<0oooo0P000_l01@01
0?l0103o00@0o`060?l02@3o00803@3o0P0B0?l01P0F0?l06@3o01`0o`0N0?l08P3o02D0o`80:03o
0`0^0?l01`0d0?l0=`3o03L0o`0m0?l0?`3o04<0o`160?l00P190?l05`1<0?l0C`3o0580o`1E0?l0
F03o05/0o`1N0?l0H@3o06@0o`1W0?l0JP3o06d0o`1`0?l0L`3o07H0o`1i0?l0O03o07l0o`220?l0
Q@3o08P0o`2;0?l0SP3o0080T@3o00/0U`3o09X0o`2M0?l0X03o0:<0o`2V0?l0Z@3o0:`0o`2_0?l0
/P3o0;D0o`020;P0o`070;/0o`2n0?l0`@3o0<@0o`370?l0bP3o0<d0o`030=<0o`080=H0o`3I0?l0
g03o0=l0o`3R0?l0i@3o0>P0o`3[0?l20>h0o`040?40o`3d0?l0m`3o0?X0o`80o@3o00<0o`3o0?l0
o03oool0=03oool00340oooo0P001ol01P001Ol000;o0002o`010?l0103o00H0o`802@3o00@03@3o
0100o`0B0?l05P3o0P0I0?l01P0L0?l08P3o0280o`0U0?l0:03o02/0o`80;P3o00L0<@3o03@0o`0g
0?l0>P3o03d0o`0o0?l0@`3o0080B@3o00D0C03o04l0o`1B0?l0E@3o05P0o`0205/0o`0M0640o`1T
0?l0I`3o06X0o`1]0?l0L03o07<0o`1f0?l0N@3o07`0o`1o0?l0PP3o08D0o`280?l0R`3o08h0o`2A
0?l0U03o09L0o`2J0?l0W@3o0:00o`2S0?l0YP3o0:T0o`2/0?l0[`3o0;80o`2e0?l00P2h0?l01`2n
0?l0`@3o0<@0o`370?l0bP3o0<d0o`3@0?l00P3C0?l00`3F0?l0f@3o0=`0o`020=l0o`070>80o`3X
0?l0j03o0>/0o`3^0?l0l@3o0?@0o`020?L0o`030?X0o`3m0?l0o`3o0080o`3l00<0o`3i0?l0mP3o
ool0<P3oool00300oooo0P002ol20007o`030005o`000_l00@3o0080103o00@01P3o00T0o`0=0?l0
3@3o0P0B0?l0200F0?l06@3o01`0o`0N0?l08P3o02D0o`0X0?l0:`3o0P0^0?l02@0a0?l0=03o03L0
o`0j0?l0?@3o03l0o`130?l0AP3o04T0o`0204`0o`030580o`1E0?l0F03o0080F`3o00D0GP3o06@0
o`1W0?l0JP3o06d0o`020700o`0?07H0o`1i0?l0O03o07l0o`220?l0Q@3o08P0o`2;0?l0SP3o0940
o`2D0?l0U`3o09X0o`2M0?l0X03o0080YP3o00h0Z@3o0:`0o`2_0?l0/P3o0;D0o`2h0?l0^`3o0;h0
o`310?l0a03o0<L0o`3:0?l0c@3o0=00o`80d`3o00P0eP3o0=T0o`3L0?l0g`3o0>80o`3U0?l0j03o
0>/0o`80kP3o00@0l@3o0?@0o`3g0?l0nP3o0P3m0?l00`3o0?l0o`3l0?l0n@020?l0mP030?l0l`3o
ool0oooo0300oooo000^0?ooo`80017o00D000ko000;o`002ol000Oo0005o`020002o`030040o`04
0?l01P3o00802@3o00@03@3o0100o`0B0?l05P3o0P0I0?l00`0N0?l08P3o0280o`0202P0o`0:02/0
o`0^0?l0;P3o03@0o`0g0?l0>P3o03d0o`0o0?l0@`3o04H0o`80B@3o00@0C03o04l0o`1E0?l0F03o
0P1K0?l01@1N0?l0H@3o06L0o`1Z0?l0K@3o0080L03o00l0MP3o07T0o`1l0?l0O`3o0880o`250?l0
R03o08/0o`2>0?l0T@3o09@0o`2G0?l0VP3o09d0o`2S0?l00P2V0?l0102Y0?l0[03o0:l0o`2e0?l2
0;P0o`070;/0o`2n0?l0`@3o0<@0o`370?l0bP3o0<d0o`030=<0o`80f@3o00T0g03o0=l0o`3R0?l0
i@3o0>P0o`3[0?l0kP3o0?40o`3d0?l00P3g0?l00`3j0?l0o@3o0?l0o`020?l0o0060?l0n@3o0?H0
o`3c0?l0l`3o0?00o`3]<03oool002d0oooo0P004ol2000Ao`07000>o`002ol000Oo0007o`001Ol0
00;o0040o`0200@0o`0400H0o`090?l03@3o00d0o`804P3o00P05P3o01T0o`0L0?l07P3o0280o`0U
0?l0:03o02/0o`80;P3o00@0<@3o03@0o`0g0?l0>P3o0P0o0?l01`160?l0B@3o04T0o`1<0?l0C`3o
0580o`1H0?l00P1K0?l01@1N0?l0H@3o06L0o`1Z0?l0K@3o0080L03o00l0MP3o07T0o`1l0?l0O`3o
0880o`250?l0R03o08/0o`2>0?l0T@3o09@0o`2G0?l0VP3o09d0o`2S0?l00P2V0?l0102Y0?l0[03o
0;80o`2e0?l20;P0o`070;/0o`2n0?l0`@3o0<L0o`3:0?l0c@3o0=00o`020=<0o`080=H0o`3I0?l0
g03o0=l0o`3R0?l0i@3o0>P0o`3[0?l20>h0o`040?40o`3d0?l0m`3o0?X0o`80o@3o00<0o`3o0?l0
o03o0?T00P3o0?H01@3o0?<0o`3`0?l0k@3o0>d0o`3Z02l0oooo000[0?ooo`8001[o00<001Oo000C
o`004ol00P004Ol2000;o`8000Oo00D000Go0002o`010?l0103o00H0o`0200T0o`0;00d0o`0@0?l0
4P3o01H0o`0I0?l0703o01h0o`0R0?l09@3o02P0o`0[0?l00P0^0?l01`0a0?l0=03o03L0o`0j0?l0
?@3o03l0o`130?l00P190?l02`1<0?l0C`3o0580o`1E0?l0F03o05/0o`1N0?l0H@3o06@0o`1Z0?l0
K@3o0080L03o00P0MP3o07T0o`1l0?l0O`3o0880o`250?l0R03o08/0o`80T@3o00D0U03o09L0o`2J
0?l0X03o0:<0o`020:H0o`040:T0o`2_0?l0/P3o0;D0o`80^03o00L0_P3o0<40o`340?l0a`3o0<X0
o`3=0?l0d03o0080d`3o00/0eP3o0=T0o`3L0?l0g`3o0>80o`3U0?l0j03o0>/0o`3^0?l0l@3o0?@0
o`020?L0o`030?X0o`3m0?l0o`3o0080o`3l0P3o0?H20?l0l`060?l0l03o0>d0o`3Z0?l0jP3o0>L0
o`3T;@3oool002X0oooo0P007Ol2000Jo`05000Go`004ol001?o000Ao`003_l00P002ol020001ol0
00Go0002o`000_l00@3o00@0o`060?l02@3o0P0=0?l20180o`0801H0o`0I0?l0703o01h0o`0R0?l0
9@3o02P0o`0[0?l202h0o`0C03@0o`0g0?l0>P3o03d0o`0o0?l0@`3o04H0o`190?l0C03o04l0o`1B
0?l0E@3o05P0o`1K0?l0GP3o0640o`1T0?l0I`3o06d0o`020700o`0807<0o`1i0?l0O03o07l0o`22
0?l0Q@3o08P0o`2;0?l20940o`0C09@0o`2G0?l0W@3o0:00o`2S0?l0YP3o0:T0o`2/0?l0[`3o0;80
o`2e0?l0^03o0;/0o`2n0?l0`@3o0<@0o`370?l0bP3o0<d0o`020=<0o`030=H0o`3I0?l0g03o0080
g`3o00<0i@3o0>P0o`3X0?l00P3^0?l0103a0?l0m03o0?L0o`3j0?l20?d0o`80o`3l00H0o`3i0?l0
mP3o0?<0o`3c0?l0l03o0>d20?l0jP040?l0i`3o0>@0o`3T0?l0hB`0oooo000X0?ooo`8002?o00<0
01oo000Mo`007Ol00P006_l01P005ol001?o000Ao`004Ol000ko000;o`8000Oo00D000Go0002o`01
0?l0103o00H0o`0200T0o`0;00d0o`0@0?l04P3o01H0o`0I0?l0703o01h0o`0R0?l09@3o02P0o`0[
0?l00P0^0?l01`0a0?l0=03o03L0o`0j0?l0?`3o04<0o`160?l00P190?l02P1<0?l0DP3o05D0o`1H
0?l0F`3o05h0o`1Q0?l0I03o06L0o`1]0?l20700o`0807<0o`1i0?l0O03o07l0o`220?l0Q@3o08P0
o`2;0?l20940o`0@09@0o`2G0?l0W@3o0:00o`2S0?l0YP3o0:T0o`2/0?l0[`3o0;80o`2e0?l0^03o
0;/0o`2n0?l0`@3o0<@0o`80bP3o00h0d03o0=<0o`3C0?l0eP3o0=T0o`3L0?l0g`3o0>80o`3U0?l0
j03o0>/0o`3^0?l0l@3o0?@0o`80m`3o00D0nP3o0?d0o`3o0?l0o`3l0?l0n@020?l0mP060?l0l`3o
0?00o`3]0?l0k@3o0>X0o`3W0P3o0>@20?l0h@030?l0gP3o0=/0oooo02T0oooo000X0?ooo`04000V
o`008ol002?o000Oo`8001go00@001[o000Go`004ol001?o0P004Ol2000;o`080007o`001Ol000;o
0002o`010?l0103o00H0o`090?l200d0o`804P3o00<05P3o01T0o`0L0?l00P0R0?l202P0o`80;P3o
00L0<@3o03@0o`0g0?l0>P3o03d0o`0o0?l0AP3o0080B@3o00@0C03o04l0o`1E0?l0F03o0P1K0?l0
101Q0?l0I03o06L0o`1Z0?l20700o`0807<0o`1i0?l0O03o07l0o`220?l0Q@3o08P0o`2;0?l20940
o`0:09@0o`2J0?l0W@3o0:00o`2S0?l0YP3o0:T0o`2/0?l0[`3o0;D0o`80^03o00L0^`3o0;h0o`31
0?l0a`3o0<X0o`3=0?l0d03o0080d`3o00D0eP3o0=T0o`3L0?l0g`3o0>80o`020>P0o`80kP3o00H0
l@3o0?@0o`3g0?l0nP3o0?d0o`3o0?l20?l0o0060?l0n@3o0?H0o`3c0?l0l`3o0?00o`3]0P3o0>X0
1@3o0>L0o`3T0?l0h@3o0>40o`3N0080o`3K:P3oool002H0oooo0P00:?l2000Vo`8002?o00D001oo
000Mo`006_l001[o000Go`02000Co`08000Ao`003_l000_o000;o`001ol000Go0002o`010?l200@0
o`802@3o00/03@3o0100o`0B0?l05P3o01T0o`0L0?l07P3o0280o`0U0?l0:03o02/0o`0202h0o`06
03@0o`0g0?l0>P3o03d0o`0o0?l0@`3o0P190?l0101<0?l0C`3o0580o`1H0?l205/0o`0405h0o`1T
0?l0I`3o06X0o`80L03o00P0L`3o07T0o`1l0?l0O`3o0880o`250?l0R03o08/0o`80T@3o00@0U03o
09X0o`2M0?l0X03o0P2V0?l0102Y0?l0[03o0;80o`2e0?l20;P0o`060;h0o`310?l0a03o0<L0o`3:
0?l0c@3o0P3C0?l02`3F0?l0f@3o0=`0o`3O0?l0hP3o0>D0o`3X0?l0j`3o0>h0o`3a0?l0m03o0080
m`3o00H0nP3o0?d0o`3o0?l0o`3l0?l0n@3o0?H20?l0l`050?l0l03o0>d0o`3Z0?l0jP3o0>L00P3o
0>@0103o0>40o`3N0?l0f`3o0=/20?l0f0030?l0e@3oool0oooo02H0oooo000U0?ooo`04000_o`00
;?l002So000Xo`8002Ko0P008ol01P007ol001go000Jo`006_l001Oo000Co`80017o00X000ko000;
o`001ol000Oo0005o`000_l00@3o00@0o`060?l02@3o0P0=0?l20180o`806@3o00D07P3o0280o`0U
0?l0:03o02/0o`0202h0o`0<0340o`0d0?l0=`3o03d0o`0o0?l0@`3o04H0o`190?l0C03o04l0o`1B
0?l0E@3o0P1K0?l0101N0?l0I03o06L0o`1Z0?l20700o`0807<0o`1f0?l0O03o07l0o`220?l0Q@3o
08P0o`2>0?l20940o`0409@0o`2J0?l0W@3o0:00o`80YP3o00`0Z@3o0:l0o`2b0?l0]@3o0;P0o`2k
0?l0_P3o0<40o`340?l0a`3o0<X0o`3@0?l20=<0o`0?0=H0o`3I0?l0g03o0=l0o`3R0?l0i@3o0>P0
o`3[0?l0kP3o0?40o`3d0?l0m`3o0?X0o`3m0?l0o`3o0080o`3l0P3o0?H01P3o0?<0o`3`0?l0k@3o
0>d0o`3Z0?l0i`80o`3T00@0o`3Q0?l0gP3o0=/0o`3K0P3o0=P20?l0e@030?l0dP3oool0oooo02D0
oooo000T0?ooo`04000bo`00;ol002oo000/o`8002So0P009_l010008ol001oo000Mo`007Ol2000J
o`8001?o0P004Ol2000;o`040007o`001Ol000;o0002o`80103o01D01P3o00T0o`0=0?l0403o0180
o`0F0?l06@3o01`0o`0N0?l08P3o02D0o`0X0?l0:`3o02h0o`0a0?l0=03o03L0o`0j0?l0?`3o04<0
o`160?l00P190?l04`1?0?l0DP3o05D0o`1H0?l0F`3o05h0o`1Q0?l0I`3o06X0o`1]0?l0L03o07<0
o`1f0?l0O03o07l0o`220?l0Q@3o08P0o`2>0?l00P2A0?l0102G0?l0VP3o09d0o`2S0?l20:H0o`0<
0:T0o`2_0?l0/P3o0;D0o`2h0?l0^`3o0;h0o`310?l0a`3o0<X0o`3=0?l0d03o0P3C0?l20=T0o`08
0=l0o`3R0?l0i@3o0>P0o`3[0?l0kP3o0?40o`3d0?l20?L0o`80o@3o00@0o`3o0?l0o03o0?T0o`3f
0P3o0?<0103o0?00o`3]0?l0jP3o0>X20?l0i080o`3Q00@0o`3N0?l0f`3o0=P0o`3H0P3o0=D00`3o
0=80o`3?0?l0c`0V0?ooo`008`3oool2000do`04000bo`00;ol002oo000/o`8002So0P009_l01P00
8ol001oo000Mo`007Ol001[o000Go`8001?o00/0017o000>o`002ol000_o0007o`001Ol000;o0040
o`040?l01P3o00T0o`0200d0o`804P3o0P0I0?l01@0N0?l08P3o02D0o`0X0?l0:`3o0080;P3o00H0
=03o03L0o`0j0?l0?@3o03l0o`160?l204T0o`0C04`0o`1B0?l0E@3o05P0o`1K0?l0GP3o0640o`1W
0?l0JP3o06d0o`1`0?l0L`3o07H0o`1l0?l0O`3o0880o`250?l0R03o08h0o`020940o`0409L0o`2J
0?l0W@3o0:<0o`80YP3o00<0[03o0:l0o`2b0?l00P2h0?l01P2k0?l0`@3o0<@0o`370?l0bP3o0<d0
o`80d`3o0140eP3o0=T0o`3L0?l0g`3o0>80o`3U0?l0j03o0>/0o`3^0?l0l@3o0?@0o`3g0?l0nP3o
0?d0o`3o0?l0o`3l0?l0n@020?l0mP030?l0l`3o0?00o`3]0080o`3Z00D0o`3W0?l0i03o0>40o`3Q
0?l0gP020?l0f`040?l0f03o0=D0o`3E0?l0dP80o`3?00<0o`3<0?l0b@3oool0903oool00280oooo
0P00>?l2000do`04000bo`00;ol002oo000/o`8002So00D002Ko000So`008ol001oo000Mo`02000J
o`06000Go`004ol0017o000Ao`003_l000_o0P001ol20002o`0<0040o`040?l01P3o00T0o`0=0?l0
403o0180o`0F0?l06@3o01`0o`0N0?l08P3o0P0X0?l202h0o`060340o`0d0?l0=`3o03d0o`0o0?l0
@`3o0P190?l04`1<0?l0C`3o05D0o`1H0?l0F`3o05h0o`1Q0?l0I03o06X0o`1]0?l0L03o07<0o`1f
0?l0O03o07l0o`220?l0Q@3o08P0o`2>0?l00P2A0?l02@2G0?l0VP3o0:00o`2S0?l0YP3o0:T0o`2/
0?l0[`3o0;D0o`020;P0o`060;h0o`310?l0a03o0<L0o`3:0?l0d03o0P3C0?l02P3F0?l0f@3o0=`0
o`3O0?l0i@3o0>P0o`3[0?l0kP3o0?40o`3d0?l20?L0o`80o@3o0P3o0?`0103o0?T0o`3f0?l0l`3o
0?020?l0k@060?l0jP3o0>L0o`3T0?l0i03o0>40o`3N0P3o0=/0103o0=P0o`3E0?l0e@3o0=820?l0
c`040?l0c03o0<T0o`390?l0aR@0oooo000Q0?ooo`04000no`00>ol003So000ho`8003Co00@003;o
000_o`00;ol002co0P00:?l01@009_l002?o000So`007ol001go008001[o00@001Oo000Co`004Ol0
017o0P002ol01`001ol000Go0002o`010?l0103o00H0o`090?l00P0=0?l20180o`0D01T0o`0L0?l0
7P3o0280o`0U0?l0:03o02/0o`0^0?l0<@3o03@0o`0g0?l0>P3o03l0o`130?l0AP3o04T0o`1<0?l0
C`3o0580o`1H0?l205/0o`0H0640o`1T0?l0JP3o06d0o`1`0?l0L`3o07H0o`1l0?l0O`3o0880o`25
0?l0R03o08h0o`2A0?l0U03o09L0o`2J0?l0X03o0:<0o`2V0?l0Z@3o0:`0o`2b0?l0]@3o0P2h0?l0
1P2n0?l0`@3o0<@0o`3:0?l0c@3o0=00o`80d`3o0140f@3o0=`0o`3O0?l0hP3o0>D0o`3X0?l0j`3o
0>h0o`3a0?l0m03o0?L0o`3j0?l0o@3o0?l0o`3o0?`0o`3i0?l0mP020?l0l`040?l0l03o0>d0o`3Z
0?l0i`80o`3T00@0o`3Q0?l0gP3o0=/0o`3K0P3o0=P01@3o0=D0o`3B0?l0c`3o0<l0o`3<0080o`39
0P3o0<H00`3o0<<0oooo0?ooo`0Q0?ooo`00803oool20011o`04000no`00>ol003So000ho`8003Co
00D003;o000_o`00;ol002co000Xo`02000Vo`8002?o0P007Ol01`006_l001Oo000Co`004ol0017o
000>o`002ol00P001ol040001Ol000;o0040o`040?l01P3o00T0o`0=0?l0403o0180o`0F0?l06@3o
01`0o`0R0?l09@3o02P0o`0[0?l202h0o`0;03@0o`0g0?l0>P3o03d0o`0o0?l0AP3o04T0o`1<0?l0
C`3o0580o`1H0?l00P1K0?l07`1Q0?l0I03o06X0o`1]0?l0L03o07<0o`1f0?l0O03o07l0o`220?l0
Q@3o08P0o`2>0?l0T@3o09@0o`2G0?l0VP3o0:00o`2S0?l0YP3o0:T0o`2/0?l0/P3o0;D0o`2h0?l0
^`3o0;h0o`310?l0a`3o0<X0o`3=0?l00P3C0?l0303F0?l0f@3o0=`0o`3O0?l0hP3o0>P0o`3[0?l0
kP3o0?40o`3d0?l0m`3o0?X0o`80o@3o0P3o0?`20?l0mP030?l0l`3o0?00o`3]0080o`3Z00H0o`3W
0?l0i03o0>40o`3Q0?l0gP3o0=/20?l0f0050?l0e@3o0=80o`3?0?l0c`3o0<`00P3o0<T20?l0aP03
0?l0``3o0<00o`2m0280oooo000O0?ooo`8004Co0P00@Ol01000?_l003_o000ho`00>?l2000do`05
000bo`00;ol002oo000/o`00:?l00P009_l01`008ol001oo000Mo`007Ol001[o000Go`004ol00P00
4Ol02@003_l000_o0007o`001Ol000;o0040o`040?l01P3o00T0o`0200d0o`804P3o00H06@3o01`0
o`0N0?l08P3o02D0o`0X0?l202h0o`060340o`0d0?l0>P3o03d0o`0o0?l0@`3o0P190?l00`1<0?l0
DP3o05D0o`0205/0o`0B05h0o`1T0?l0I`3o06d0o`1`0?l0L`3o07H0o`1l0?l0O`3o0880o`250?l0
R03o08h0o`2A0?l0U03o09L0o`2M0?l0X03o0P2V0?l02`2Y0?l0[`3o0;80o`2e0?l0^03o0;/0o`31
0?l0a03o0<L0o`3:0?l0d03o0080d`3o01<0eP3o0=T0o`3O0?l0hP3o0>D0o`3X0?l0j`3o0>h0o`3a
0?l0m03o0?L0o`3j0?l0o@3o0?l0o`3o0?`0o`3i0?l0mP3o0?<0o`3`0080o`3]00<0o`3Z0?l0i`3o
0>@00P3o0>40103o0=h0o`3K0?l0f03o0=P20?l0e@80o`3?00<0o`3<0?l0b@3o0<T00P3o0<H01@3o
0<<0o`300?l0_@3o0;d0o`2j0240oooo000N0?ooo`<004Oo00D004Co0011o`00@Ol003ko000ko`02
000ho`8003Co00<003;o000_o`00;?l00P00:?l2000Vo`03000So`007ol001go008001[o00@001Oo
000Co`004Ol0017o0P002ol060001ol000Go0002o`010?l0103o00H0o`090?l03@3o0100o`0B0?l0
5P3o01T0o`0L0?l08P3o02D0o`0X0?l0:`3o02h0o`0a0?l0=03o03L0o`0j0?l0?`3o04<0o`80B@3o
01L0C03o0580o`1E0?l0F03o05/0o`1N0?l0I03o06L0o`1]0?l0L03o07<0o`1f0?l0O03o07l0o`22
0?l0Q@3o08P0o`2>0?l0T@3o09@0o`2G0?l0W@3o0:00o`020:H0o`030:T0o`2_0?l0/P3o0080^03o
00H0_P3o0<40o`340?l0bP3o0<d0o`3@0?l20=<0o`040=T0o`3L0?l0g`3o0>80o`80j03o00X0kP3o
0?40o`3d0?l0m`3o0?X0o`3m0?l0o`3o0?l0o03o0?T0o`3f0P3o0?<0103o0?00o`3]0?l0jP3o0>L2
0?l0i0050?l0h@3o0=h0o`3K0?l0f`3o0=P00P3o0=D00`3o0=80o`3?0?l0c0020?l0b@80o`3600D0
o`330?l0`03o0;d0o`2m0?l0^P020?l0]b00oooo000M0?ooo`<004[o0P00Aol01@00A?l0047o0011
o`00?_l003_o008003So0P00=?l00`00<_l002oo000/o`02000Xo`05000Vo`008ol002?o000Oo`00
7Ol00P006_l2000Co`03000Ao`003_l000_o008000Oo0P000_l200@0o`0;00T0o`0=0?l03@3o0180
o`0F0?l06@3o01`0o`0N0?l08P3o02P0o`0[0?l00P0^0?l0400d0?l0=`3o03X0o`0o0?l0@`3o04H0
o`190?l0C03o04l0o`1E0?l0F03o05/0o`1N0?l0I03o06L0o`1]0?l20700o`0<07H0o`1i0?l0O`3o
0880o`250?l0R`3o08h0o`2A0?l0U03o09L0o`2M0?l0X03o0P2V0?l00`2/0?l0[`3o0;D0o`020;P0
o`050;h0o`310?l0a`3o0<X0o`3=0?l00P3C0?l0503F0?l0f@3o0=`0o`3O0?l0i@3o0>P0o`3[0?l0
kP3o0?40o`3d0?l0m`3o0?X0o`3m0?l0o`3o0?l0o03o0?T0o`3f0?l0l`3o0?00o`3]0P3o0>X20?l0
i0050?l0h@3o0=h0o`3K0?l0f`3o0=P00P3o0=D00`3o0=80o`3?0?l0c0020?l0b@80o`3600D0o`33
0?l0`03o0;d0o`2m0?l0^P020?l0]`80o`2d7`3oool001`0oooo0P00D?l00`00COl004[o001:o`02
0017o`050014o`00@Ol0047o000no`00>ol00P00>?l2000do`03000bo`00;ol002co008002So00L0
02Ko000So`008ol001oo000Mo`006_l001Oo008001?o02D0017o000>o`002ol000Oo0005o`000_l0
0@3o00@0o`060?l02@3o00d0o`0@0?l04P3o01H0o`0I0?l07P3o0280o`0U0?l0:03o02/0o`0^0?l0
<@3o03@0o`0j0?l0?@3o03l0o`160?l0B@3o04`0o`1?0?l0E@3o05P0o`1K0?l0GP3o0640o`1W0?l0
JP3o0080L03o01P0MP3o07T0o`1o0?l0PP3o08D0o`2;0?l0SP3o0940o`2D0?l0VP3o09d0o`2S0?l0
YP3o0:T0o`2/0?l0/P3o0;D0o`2h0?l0^`3o0;h0o`310?l0a`3o0<X0o`3@0?l20=<0o`0@0=T0o`3L
0?l0g`3o0>80o`3U0?l0j03o0>h0o`3a0?l0m03o0?L0o`3j0?l0o@3o0?l0o`3o0?`0o`3i0?l0mP80
o`3c0P3o0>d00`3o0>X0o`3W0?l0i0020?l0h@80o`3K00@0o`3H0?l0e@3o0=D0o`3B0P3o0<l20?l0
b@80o`3600D0o`330?l0`03o0;d0o`2m0?l0^P020?l0]`80o`2d00<0o`2a0?l0[P3oool07@3oool0
01/0oooo0P00Dol2001@o`03001=o`00B_l004[o008004Oo00D004Co0011o`00@Ol003ko000ko`02
000ho`8003Co00<003;o000_o`00;?l00P00:?l00`009_l002?o000So`02000Mo`03000Jo`005ol0
01?o0080017o0P002ol01@001ol000Go0002o`010?l0103o00802@3o01003@3o0180o`0F0?l06@3o
01`0o`0N0?l08P3o02P0o`0[0?l0;P3o0340o`0d0?l0=`3o03d0o`0o0?l0@`3o0P190?l0201?0?l0
DP3o05P0o`1K0?l0GP3o0640o`1W0?l0JP3o0P1`0?l09P1f0?l0N@3o07l0o`220?l0Q@3o08/0o`2>
0?l0T@3o09@0o`2J0?l0W@3o0:<0o`2V0?l0Z@3o0:`0o`2b0?l0]@3o0;P0o`2k0?l0`@3o0<@0o`37
0?l0c@3o0=00o`3C0?l0eP3o0=T0o`3L0?l0g`3o0>D0o`3X0?l0j`3o0>h0o`3a0?l0m03o0?L0o`3j
0?l0o@3o0P3o0?`20?l0mP060?l0l`3o0?00o`3]0?l0jP3o0>L0o`3T0P3o0>401P3o0=h0o`3K0?l0
f03o0=P0o`3E0?l0dP80o`3?0P3o0<T20?l0aP050?l0``3o0<00o`2m0?l0_@3o0;X00P3o0;L20?l0
]0040?l0/@3o0:h0o`2^0?l0Zad0oooo000J0?ooo`<005Ko00@005?o001@o`00D?l004go0P00B_l2
0017o`050014o`00@Ol0047o000no`00>ol00P00>?l2000do`8002oo00L002co000Xo`009_l002Ko
000So`007ol001go008001[o01D001Oo000Co`004Ol000ko000;o`001ol000Go0002o`010?l0103o
00H0o`090?l03@3o0100o`0B0?l05P3o01T0o`0N0?l08P3o02D0o`0X0?l00P0^0?l01@0d0?l0=`3o
03X0o`0o0?l0@`3o0080B@3o00<0C03o0580o`1E0?l00P1K0?l00`1Q0?l0I`3o06X0o`020700o`0G
07H0o`1i0?l0O`3o0880o`250?l0R`3o08h0o`2A0?l0U03o09X0o`2M0?l0X`3o0:H0o`2Y0?l0[`3o
0;80o`2e0?l0^03o0;h0o`310?l0a03o0<X0o`3=0?l00P3C0?l04`3F0?l0f@3o0=l0o`3R0?l0i@3o
0>P0o`3^0?l0l@3o0?@0o`3g0?l0nP3o0?d0o`3o0?l0o`3l0?l0n@3o0?H0o`3c0?l0l03o0>d00P3o
0>X20?l0i0030?l0h@3o0=h0o`3K0080o`3H00@0o`3E0?l0dP3o0<l0o`3?0P3o0<T20?l0aP050?l0
``3o0<00o`2m0?l0_@3o0;X00P3o0;L20?l0]0040?l0/@3o0:h0o`2^0?l0Z`80o`2X703oool001X0
oooo0P00FOl2001Fo`04001Co`00D?l0053o001=o`8004[o0P00Aol01@00A?l0047o0011o`00?_l0
03_o008003So0P00=?l2000_o`07000/o`00:?l002Ko000Vo`008ol001oo000Mo`02000Jo`8001?o
01h0017o000>o`002ol000Oo0005o`000_l00@3o00@0o`060?l02@3o00d0o`0B0?l05P3o01T0o`0L
0?l08P3o02D0o`0X0?l0:`3o02h0o`0a0?l0=`3o03X0o`0m0?l0@`3o04H0o`190?l0C03o0580o`1E
0?l205/0o`030640o`1T0?l0JP3o0080L03o0100MP3o07T0o`1o0?l0PP3o08D0o`2;0?l0SP3o0940
o`2D0?l0VP3o0:00o`2S0?l0YP3o0:T0o`2_0?l0/P3o0P2h0?l01@2n0?l0`@3o0<L0o`3:0?l0c@3o
0080d`3o00X0f@3o0=`0o`3O0?l0hP3o0>P0o`3[0?l0kP3o0?40o`3d0?l0m`3o0P3m0?l00`3o0?`0
o`3i0?l0mP020?l0l`80o`3]00D0o`3Z0?l0i`3o0>@0o`3Q0?l0gP020?l0f`030?l0f03o0=D0o`3B
0080o`3?00H0o`3<0?l0b@3o0<H0o`360?l0``3o0<020?l0_@030?l0^P3o0;L0o`2g0080o`2d00@0
o`2a0?l0[P3o0:h0o`2[0P3o0:P00`3o0:D0oooo0?ooo`0J0?ooo`00603oool3001Lo`8005Wo0P00
E_l01000Dol0053o001@o`00COl2001:o`8004Oo00D004Co0011o`00@Ol003ko000ko`02000ho`07
000do`00<_l002oo000_o`00;?l002So000Vo`02000So`05000Oo`007Ol001[o000Go`004ol00P00
4Ol2000;o`0?0007o`000_l000;o00@0o`060?l02@3o00d0o`0@0?l04P3o01H0o`0L0?l07P3o0280
o`0X0?l0:`3o0080;P3o03h0=03o03L0o`0m0?l0?`3o04H0o`190?l0C03o04l0o`1E0?l0F03o05/0
o`1Q0?l0I03o06X0o`1]0?l0L03o07H0o`1i0?l0O`3o0880o`250?l0R`3o08h0o`2A0?l0U`3o09X0
o`2P0?l0X`3o0:H0o`2/0?l0[`3o0;D0o`2h0?l0^`3o0;h0o`340?l0a`3o0<X0o`3@0?l0d`3o0=H0
o`3I0?l0g03o0>80o`3U0?l0j03o0>h0o`3a0?l0m03o0?L0o`3j0?l0o@3o0?l0o`3o0?`0o`3i0?l0
mP3o0?<0o`3`0?l0k@3o0>X0o`3W0?l0i080o`3Q0P3o0=/00`3o0=P0o`3E0?l0e@020?l0c`060?l0
c03o0<T0o`360?l0aP3o0<<0o`300P3o0;d00`3o0;X0o`2g0?l0]`020?l0]0040?l0/@3o0:h0o`2^
0?l0Z`80o`2X0P3o0:D20?l0XQX0oooo000H0?ooo`8005oo0P00G?l2001Io`8005Ko00@005?o001@
o`00D?l004go0P00B_l20017o`050014o`00@Ol0047o000no`00>ol00P00>?l01000=?l003;o000_
o`00;ol2000Xo`03000Vo`008ol002?o008001go01D001[o000Go`004ol0017o000>o`002ol000Oo
0005o`000_l00@3o00@0o`060?l02@3o00d0o`0B0?l05P3o01T0o`0L0?l08P3o02D0o`0X0?l00P0^
0?l05P0d0?l0=`3o03X0o`0o0?l0@`3o04T0o`1<0?l0C`3o05D0o`1H0?l0F`3o05h0o`1T0?l0JP3o
06d0o`1`0?l0MP3o07T0o`1o0?l0PP3o08D0o`2;0?l20940o`0309L0o`2J0?l0X03o0080YP3o00T0
[03o0:l0o`2e0?l0^03o0;/0o`310?l0a03o0<X0o`3=0?l00P3C0?l05@3F0?l0f@3o0=l0o`3R0?l0
j03o0>/0o`3^0?l0l@3o0?@0o`3g0?l0o@3o0?l0o`3o0?`0o`3i0?l0mP3o0?<0o`3`0?l0k@3o0>X0
o`3W0?l0i0020?l0h@030?l0gP3o0=/0o`3H0080o`3E00@0o`3B0?l0c`3o0<`0o`390P3o0<H01@3o
0<<0o`300?l0_@3o0;d0o`2j0080o`2g0P3o0;@0103o0;40o`2^0?l0[P3o0:/20?l0Z080o`2U0P3o
0:800`3o09l0oooo0?ooo`0H0?ooo`005`3oool3001Ro`03001Oo`00G?l005co008005Wo0P00E_l2
001Co`04001@o`00COl004[o001:o`8004Oo00D004Co0011o`00@Ol003ko000ko`02000ho`04000d
o`00<_l002oo000/o`8002So00@002Ko000So`007ol001go0P006_l2000Co`0H000Ao`003_l000_o
0007o`001Ol000;o00@0o`060?l02@3o00d0o`0@0?l04P3o01T0o`0L0?l07P3o0280o`0X0?l0:`3o
02h0o`0a0?l0=`3o03X0o`0o0?l0@`3o0P190?l03`1?0?l0DP3o05P0o`1K0?l0GP3o06@0o`1W0?l0
K@3o0700o`1c0?l0N@3o07l0o`220?l0Q@3o08/0o`020940o`0>09L0o`2M0?l0X03o0:H0o`2Y0?l0
[03o0;80o`2e0?l0^03o0;h0o`310?l0a`3o0<X0o`3=0?l20=<0o`0>0=T0o`3L0?l0g`3o0>D0o`3X
0?l0j`3o0>h0o`3d0?l0m`3o0?X0o`3m0?l0o`3o0?l0o03o0?H20?l0l`80o`3]00H0o`3Z0?l0i03o
0>@0o`3Q0?l0gP3o0=/20?l0f0050?l0e@3o0=80o`3?0?l0c03o0<T00P3o0<H01@3o0<<0o`300?l0
_@3o0;d0o`2j0080o`2g0P3o0;@0103o0;40o`2^0?l0[P3o0:/20?l0Z080o`2U0P3o0:800`3o09l0
o`2L0?l0W00I0?ooo`005P3oool3001Uo`8006;o00@005oo001Lo`00G?l005co0P00FOl2001Fo`05
001Co`00D?l0053o001=o`00B_l00P00Aol01@00A?l0047o0011o`00?_l003_o008003So00@003Co
000bo`00;ol002co0P00:?l01`009_l002?o000Oo`007Ol001[o000Go`004ol00P004Ol040002ol0
00Oo0007o`000_l00@3o00@0o`060?l02@3o00d0o`0B0?l05P3o01T0o`0N0?l08P3o02D0o`0[0?l2
02h0o`0E03@0o`0g0?l0?@3o03l0o`160?l0B@3o04`0o`1B0?l0F03o05/0o`1N0?l0I03o06L0o`1]
0?l0L03o07<0o`1i0?l0O`3o0880o`250?l0R`3o0080T@3o00L0U`3o09d0o`2P0?l0YP3o0:T0o`2/
0?l0/P3o0080^03o01h0_P3o0<40o`370?l0bP3o0=00o`3C0?l0eP3o0=T0o`3O0?l0hP3o0>D0o`3[
0?l0kP3o0?40o`3d0?l0m`3o0?d0o`3o0?l0o`3l0?l0n@3o0?H0o`3c0?l0l03o0>d0o`3Z0?l0i`3o
0>@0o`3Q0?l0gP3o0=/20?l0f0040?l0e@3o0=80o`3?0?l0c080o`3900<0o`360?l0``3o0<000P3o
0;d00`3o0;X0o`2g0?l0]`020?l0]080o`2^00<0o`2[0?l0Z03o0:P00P3o0:D30?l0XP030?l0W`3o
09`0o`2L0080o`2I603oool001H0oooo0P00J?l2001Uo`8006;o0P00Gol2001Lo`8005Wo0P00E_l0
1@00Dol0053o001@o`00COl004[o008004Oo00D004Co0011o`00@Ol003ko000ko`02000ho`05000d
o`00<_l002oo000/o`00:?l00P009_l05`008ol001oo000Mo`006_l001Oo000Co`004Ol000ko000;
o`001ol000Go0002o`010?l0103o00T0o`0=0?l0403o0180o`0I0?l0703o01h0o`0U0?l0:03o0080
;P3o01D0=03o03L0o`0m0?l0?`3o04H0o`190?l0C03o0580o`1E0?l0F`3o05h0o`1Q0?l0I`3o06d0
o`1`0?l0L`3o07T0o`1o0?l0PP3o08D0o`2;0?l00P2A0?l03@2G0?l0W@3o0:<0o`2V0?l0Z@3o0:l0
o`2b0?l0^03o0;/0o`2n0?l0a03o0<L0o`3=0?l00P3C0?l0503F0?l0g03o0=l0o`3U0?l0j03o0>/0
o`3^0?l0m03o0?L0o`3j0?l0o@3o0?l0o03o0?T0o`3f0?l0l`3o0?00o`3]0?l0jP3o0>L0o`3T0P3o
0>420?l0f`050?l0f03o0=D0o`3B0?l0c`3o0<`00P3o0<T00`3o0<H0o`330?l0`0020?l0_@050?l0
^P3o0;L0o`2g0?l0]03o0;400P3o0:h00`3o0:/0o`2X0?l0Z0020?l0Y@80o`2R0P3o09l20?l0W080
o`2I00<0o`2F0?ooo`3oool05P3oool001D0oooo0`00Jol01000J?l006Go001Uo`00IOl2001Ro`03
001Oo`00G?l005co008005Wo0P00E_l01000Dol0053o001@o`00COl2001:o`060017o`00A?l0047o
0011o`00?_l003_o0P00>?l01@00=?l003;o000_o`00;?l002So008002Ko024002?o000Oo`007Ol0
01[o000Go`004ol0017o000>o`002ol000Oo0002o`010?l0103o00H0o`090?l03@3o0180o`0F0?l0
6@3o01h0o`0R0?l0:03o02/0o`0^0?l0<@3o03L0o`0j0?l0?`3o04<0o`190?l0C03o04l0o`1E0?l0
0P1K0?l06@1Q0?l0I`3o06d0o`1`0?l0L`3o07T0o`1o0?l0PP3o08D0o`2;0?l0T@3o09@0o`2G0?l0
W@3o0:<0o`2V0?l0Z@3o0:l0o`2e0?l0^03o0;/0o`310?l0a03o0<X0o`3=0?l00P3C0?l03`3I0?l0
g03o0>80o`3U0?l0j03o0>h0o`3a0?l0m03o0?L0o`3m0?l0o`3o0?l0o03o0?T0o`3f0?l0l`020?l0
k@040?l0jP3o0>@0o`3T0?l0h@80o`3K00<0o`3H0?l0e@3o0=800P3o0<l20?l0b@030?l0aP3o0<<0
o`300080o`2m00D0o`2j0?l0]`3o0;L0o`2d0?l0/@020?l0[P030?l0Z`3o0:P0o`2X0080o`2U0P3o
0:800`3o09l0o`2L0?l0W0030?l0V@030?l0UP3o09<0o`2C01L0oooo000D0?ooo`<006ko0P00Jol2
001Xo`8006Go0P00H_l00`00Gol005co001Lo`02001Io`8005Ko00@005?o001@o`00D?l004go0P00
B_l01P00Aol004Co0011o`00@Ol003ko000ko`8003So00H003Co000bo`00;ol002co000Xo`009_l2
000So`04000Mo`006_l001[o000Co`80017o00l000_o0007o`001Ol000;o0040o`040?l02@3o00d0
o`0@0?l04P3o01T0o`0L0?l08P3o02D0o`0X0?l00P0^0?l0100d0?l0>P3o03d0o`130?l204T0o`0f
04l0o`1E0?l0F03o05/0o`1Q0?l0I`3o06X0o`1`0?l0L`3o07T0o`1o0?l0PP3o08D0o`2;0?l0T@3o
09@0o`2J0?l0W@3o0:<0o`2V0?l0[03o0:l0o`2e0?l0^03o0;h0o`310?l0a`3o0<X0o`3@0?l0d`3o
0=H0o`3I0?l0g`3o0>80o`3X0?l0j`3o0>h0o`3d0?l0m`3o0?X0o`3m0?l0o`3l0?l0n@3o0?H0o`3c
0?l0l03o0>d0o`3Z0?l0i`3o0>@0o`3Q0?l0gP3o0=/0o`3H0P3o0=D20?l0c`80o`3900<0o`360?l0
``3o0<000P3o0;d01@3o0;X0o`2g0?l0]`3o0;@0o`2a0080o`2^00<0o`2[0?l0Z03o0:P00P3o0:D2
0?l0XP030?l0W`3o09`0o`2L0080o`2I0P3o09H20?l0T`80o`2@5P3oool001@0oooo0P00LOl2001^
o`<006_o00<006So001Uo`00IOl00P00H_l2001Oo`8005co0P00FOl01@00E_l005?o001@o`00D?l0
04go008004[o00L004Oo0014o`00@Ol0047o000no`00>ol003So008003Co03l003;o000_o`00;?l0
02So000Vo`008ol001oo000Mo`006_l001Oo000Co`004Ol000ko000;o`001ol000Go0002o`040?l0
1P3o00T0o`0=0?l04P3o01H0o`0I0?l07P3o0280o`0X0?l0:`3o02h0o`0d0?l0=`3o03d0o`0o0?l0
AP3o04T0o`1<0?l0DP3o05P0o`1K0?l0H@3o06@0o`1Z0?l0L03o07<0o`1i0?l0O`3o0880o`250?l0
R`3o0940o`2D0?l0VP3o0:00o`2S0?l0YP3o0:`0o`2b0?l0]@3o0;P0o`2n0?l0`@3o0<L0o`3=0?l0
0P3C0?l05`3I0?l0g03o0=l0o`3U0?l0j03o0>h0o`3a0?l0m03o0?L0o`3m0?l0o`3o0?l0o03o0?H0
o`3c0?l0l03o0>d0o`3Z0?l0i`3o0>@0o`3Q0?l0gP3o0=/0o`3H0080o`3E0P3o0<l20?l0b@030?l0
aP3o0<<0o`300080o`2m00D0o`2j0?l0]`3o0;@0o`2d0?l0/@020?l0[P040?l0Z`3o0:P0o`2X0?l0
Y@80o`2R0P3o09l20?l0W080o`2I00@0o`2F0?l0T`3o09<0o`2C0P3o09000`3o08d0oooo0?ooo`0D
0?ooo`004`3oool3001do`80077o0P00K_l2001[o`8006So0P00IOl2001Ro`03001Oo`00G?l005co
008005Wo0P00E_l00`00Dol0053o001=o`02001:o`070017o`00A?l0047o0011o`00?_l003_o000h
o`02000do`8002oo0P00:?l0B`009_l002?o000Oo`007Ol001[o000Go`004ol0017o000>o`002ol0
00Oo0002o`010?l0103o00T0o`0=0?l0403o0180o`0I0?l0703o0280o`0U0?l0:`3o02h0o`0a0?l0
=`3o03X0o`0o0?l0AP3o04T0o`1<0?l0DP3o05P0o`1K0?l0GP3o06@0o`1Z0?l0L03o07<0o`1i0?l0
O`3o0880o`250?l0R`3o0940o`2D0?l0VP3o0:00o`2V0?l0Z@3o0:`0o`2b0?l0^03o0;/0o`2n0?l0
a03o0<X0o`3=0?l0d`3o0=H0o`3I0?l0g`3o0>80o`3X0?l0j`3o0>h0o`3d0?l0m`3o0?X0o`3m0?l0
o`3l0?l0n@3o0?H0o`3c0?l0k@020?l0jP040?l0i03o0>40o`3N0?l0f`80o`3H00<0o`3E0?l0dP3o
0<l00P3o0<T00`3o0<H0o`330?l0`0020?l0_@050?l0^P3o0;L0o`2d0?l0]03o0;400P3o0:h0103o
0:/0o`2X0?l0Y@3o0:D20?l0XP030?l0W`3o09`0o`2L0080o`2I0P3o09H20?l0T`80o`2@0P3o08d2
0?l0RQD0oooo000B0?ooo`<007Oo0`00M?l00`00LOl006ko001^o`03001[o`03001Xo`00IOl006Go
008006;o00<005oo001Lo`00G?l00P00FOl2001Fo`03001Co`00D?l004go008004[o00L004Oo0014
o`00@Ol0047o000no`00>ol003So008003Co0P00;ol2000Xo`05000Vo`008ol001oo000Mo`006_l0
0P004ol03`004Ol000_o0007o`001Ol000;o00@0o`060?l02@3o00d0o`0B0?l05P3o01T0o`0N0?l0
9@3o02P0o`0202h0o`0c03@0o`0j0?l0?`3o04<0o`190?l0C03o0580o`1E0?l0F`3o05h0o`1T0?l0
JP3o0700o`1c0?l0N@3o07l0o`220?l0Q@3o08/0o`2A0?l0U03o09X0o`2P0?l0YP3o0:T0o`2_0?l0
/P3o0;P0o`2k0?l0`@3o0<L0o`3:0?l0d03o0=<0o`3F0?l0g03o0=l0o`3U0?l0j03o0>h0o`3a0?l0
m03o0?X0o`3m0?l0o`3o0?l0o03o0?H0o`3c0?l0l03o0>d0o`3Z0080o`3T00`0o`3Q0?l0f`3o0=/0
o`3H0?l0e@3o0=80o`3?0?l0c03o0<T0o`360?l0``3o0<020?l0_@070?l0^P3o0;L0o`2d0?l0]03o
0;40o`2^0?l0Z`020?l0Z080o`2U0P3o0:800`3o09l0o`2L0?l0W0020?l0V@040?l0UP3o09<0o`2C
0?l0T`80o`2@00@0o`2=0?l0RP3o08X0o`2:0P3o08LD0?ooo`004P3oool2001jo`<007Oo0P00M?l2
001ao`8006ko0P00Jol00`00J?l006Go001Uo`02001Ro`8005oo00<005co001Io`00FOl00P00E_l0
0`00Dol0053o001@o`02001:o`8004Oo0P00@Ol00`00?_l003_o000ho`02000do`03000_o`00;?l0
02So008002Ko01X002?o000Mo`006_l001[o000Co`004Ol000ko000;o`001ol000;o0040o`040?l0
2@3o00d0o`0@0?l04P3o01T0o`0L0?l08P3o02P0o`0[0?l0;P3o03@0o`0g0?l0?@3o04<0o`80B@3o
01X0C`3o05D0o`1K0?l0GP3o06@0o`1Z0?l0L03o07<0o`1i0?l0O`3o0880o`250?l0R`3o0940o`2D
0?l0VP3o0:00o`2V0?l0Z@3o0:l0o`2e0?l0^03o0;h0o`310?l0a`3o0<d0o`80d`3o01h0f@3o0=`0
o`3R0?l0j03o0>/0o`3^0?l0m03o0?L0o`3j0?l0o`3o0?l0o03o0?T0o`3c0?l0l03o0>d0o`3Z0?l0
i`3o0>@0o`3Q0?l0gP3o0=/0o`3H0?l0e@3o0=80o`3?0?l0c03o0<T0o`360?l0``3o0<020?l0_@07
0?l0^P3o0;L0o`2d0?l0]03o0;40o`2^0?l0Z`020?l0Z080o`2U0P3o0:800`3o09l0o`2L0?l0W002
0?l0V@030?l0UP3o09<0o`2C0080o`2@0P3o08d20?l0RP<0o`2700<0o`240?ooo`3oool04P3oool0
0140oooo0`00OOl2001jo`8007Oo0`00M?l00`00LOl006ko001^o`03001[o`03001Xo`00IOl006Go
008006;o00<005oo001Lo`00G?l00P00FOl01P00E_l005?o001@o`00D?l004go001:o`8004Oo0P00
@Ol00`00?_l003_o000ho`02000do`04000_o`00;?l002So000Vo`8002?o020001go000Jo`005ol0
01?o000Ao`003_l000_o0005o`000_l00@3o00H0o`090?l03@3o0180o`0F0?l0703o01h0o`0U0?l0
:03o02h0o`0a0?l0=`3o03X0o`0o0?l0AP3o04T0o`1?0?l0E@3o05/0o`1N0?l0I03o06X0o`80L03o
0340MP3o07`0o`220?l0R03o08h0o`2A0?l0U`3o09d0o`2S0?l0YP3o0:T0o`2_0?l0]@3o0;P0o`2n
0?l0a03o0<X0o`3=0?l0d`3o0=H0o`3I0?l0g`3o0>D0o`3X0?l0kP3o0?40o`3d0?l0nP3o0?d0o`3o
0?`0o`3i0?l0mP3o0?<0o`3]0?l0jP3o0>L0o`3T0?l0h@3o0=h0o`3K0?l0f03o0=D0o`3B0?l0c`3o
0<`0o`390?l0aP3o0<<0o`300080o`2m00@0o`2j0?l0]`3o0;@0o`2d0P3o0:h0103o0:/0o`2X0?l0
Z03o0:D20?l0XP030?l0W`3o09`0o`2L0080o`2I0P3o09H20?l0T`80o`2@00@0o`2=0?l0RP3o08X0
o`2:0P3o08L20?l0Q080o`214`3oool00140oooo0P00P?l3001mo`8007[o0P00Mol2001do`80077o
0P00K_l2001[o`03001Xo`00IOl006Go008006;o00<005oo001Lo`00G?l00P00FOl01P00E_l005?o
001@o`00D?l004go001:o`8004Oo0P00@Ol07@00?_l003_o000ho`00=?l003;o000_o`00;?l002So
000Vo`008ol001oo000Mo`006_l001Oo000Co`004Ol000_o0007o`001Ol000;o00@0o`060?l03@3o
0100o`0B0?l06@3o01h0o`0R0?l0:03o0080;P3o03d0=03o03X0o`0o0?l0AP3o04T0o`1<0?l0DP3o
05P0o`1K0?l0H@3o06L0o`1]0?l0L03o07H0o`1l0?l0PP3o08P0o`2>0?l0T@3o09L0o`2M0?l0X`3o
0:H0o`2/0?l0/P3o0;P0o`2k0?l0`@3o0<@0o`3:0?l0d03o0=<0o`3F0?l0g03o0=l0o`3U0?l0j`3o
0>h0o`3d0?l0m`3o0?d0o`3o0?l0o`3l0?l0mP3o0?<0o`3`0?l0k@3o0>X0o`3T0?l0h@3o0=h0o`3K
0?l0f03o0=D0o`3B0?l0c`3o0<`0o`390?l0aP3o0<<0o`300080o`2m00@0o`2j0?l0]`3o0;@0o`2d
0P3o0:h0103o0:/0o`2X0?l0Y@3o0:D20?l0XP030?l0W`3o09`0o`2L0080o`2I00<0o`2F0?l0T`3o
09<00P3o09020?l0S@80o`2:0`3o08L01@3o08@0o`210?l0P@3o0840o`1n01<0oooo000@0?ooo`<0
08?o0P00P?l3001mo`04001jo`00Mol007Oo001go`8007Co00<0077o001^o`00K_l00P00Jol2001X
o`8006Go00@006;o001Oo`00Gol005co0P00FOl2001Fo`04001Co`00D?l004go001:o`8004Oo0P00
@Ol0?000?_l003_o000ho`00=?l003;o000_o`00;?l002So000Vo`008ol001oo000Mo`006_l001?o
000Ao`003_l000_o0007o`000_l00@3o00@0o`090?l03@3o0180o`0F0?l0703o0280o`0U0?l0:`3o
02h0o`0d0?l0=`3o03d0o`130?l0B@3o04`0o`1B0?l0F03o05/0o`1Q0?l0I`3o06d0o`1`0?l0MP3o
07`0o`220?l0R03o08h0o`2A0?l0U`3o09d0o`2S0?l0YP3o0:`0o`2b0?l0^03o0;/0o`310?l0a`3o
0<d0o`80d`3o01@0f@3o0=l0o`3R0?l0j03o0>h0o`3a0?l0m03o0?X0o`3m0?l0o`3l0?l0n@3o0?H0
o`3c0?l0k@3o0>X0o`3W0?l0i03o0>40o`3K0?l0f080o`3E00<0o`3?0?l0c03o0<T00P3o0<H01`3o
0<00o`2m0?l0_@3o0;X0o`2g0?l0]03o0;400P3o0:h0103o0:/0o`2X0?l0Y@3o0:D20?l0XP040?l0
W`3o09`0o`2L0?l0V@80o`2F0P3o09<20?l0T0030?l0S@3o08X0o`2:00<0o`2700@0o`240?l0P@3o
0840o`210P3o07h20?l0Na80oooo000@0?ooo`8008Ko0`00Pol20020o`8007go0P00N_l2001go`80
07Co0P00LOl2001^o`8006_o00<006So001Uo`00IOl00P00H_l01000Gol005co001Lo`00FOl2001F
o`04001Co`00D?l004go001:o`8004Oo0P00@Ol0DP00?_l003_o000ho`00=?l003;o000_o`00;?l0
02So000Vo`008ol001go000Jo`005ol001?o000Ao`003_l000Oo0005o`000_l0103o00H0o`0=0?l0
403o0180o`0I0?l07P3o02D0o`0X0?l0;P3o0340o`0g0?l0?@3o03l0o`190?l0C03o04l0o`1H0?l0
F`3o0640o`1W0?l0K@3o0700o`1f0?l0O03o0880o`280?l0SP3o0940o`2G0?l0W@3o0:<0o`2V0?l0
[03o0;D0o`2h0?l0_P3o0<40o`370?l0c@3o0=<0o`3F0?l0g03o0=l0o`3U0?l0j`3o0>h0o`3d0?l0
m`3o0?d0o`3o0?l0o`3l0?l0mP3o0?<0o`3]0?l0jP3o0>L0o`3T0?l0h@3o0=h0o`3K0?l0f03o0=D2
0?l0c`040?l0b@3o0<H0o`360?l0`080o`2m00@0o`2j0?l0]`3o0;@0o`2a0P3o0:h20?l0Z080o`2U
00@0o`2R0?l0W`3o09`0o`2L0P3o09T00`3o09H0o`2C0?l0T`020?l0T080o`2=0P3o08X20?l0Q`80
o`240P3o08420?l0OP<0o`1k00<0o`1h0?ooo`3oool0403oool000l0oooo0`00ROl20026o`<008?o
0P00P?l2001mo`8007[o0P00Mol2001do`03001ao`00K_l006ko008006_o0P00J?l01000IOl006;o
001Ro`00Gol2001Lo`07001Io`00E_l005Ko001Co`00D?l004go001:o`020017o`080014o`00@Ol0
03ko000ko`00>?l003Co000bo`00;ol2000Xo`1;000Vo`008ol001go000Jo`005ol001?o000Ao`00
2ol000Oo0002o`010?l0103o00T0o`0=0?l04P3o01T0o`0L0?l08P3o02P0o`0[0?l0;P3o03@0o`0j
0?l0?`3o04H0o`190?l0C`3o05D0o`1K0?l0GP3o06L0o`1]0?l0L03o07H0o`1l0?l0PP3o08P0o`2>
0?l0T@3o09L0o`2M0?l0YP3o0:T0o`2_0?l0]@3o0;P0o`2n0?l0a03o0<X0o`3@0?l0d`3o0=T0o`3L
0?l0hP3o0>P0o`3^0?l0l@3o0?@0o`3j0?l0o@3o0?l0o03o0?T0o`3c0?l0l03o0>d0o`3Z0?l0i03o
0>40o`3N0?l0f`3o0=P0o`3E0?l0dP3o0<l0o`390080o`3600<0o`300?l0_@3o0;d00P3o0;L0103o
0;@0o`2a0?l0[P3o0:/20?l0Z0040?l0Y@3o0:80o`2R0?l0W`80o`2L0P3o09T00`3o09H0o`2C0?l0
T`020?l0T0030?l0S@3o08X0o`2:00<0o`2700D0o`240?l0P@3o0840o`210?l0OP030?l0N`80o`1h
0P3o07DA0?ooo`003P3oool3002<o`<008Wo0P00Q_l30023o`050020o`00OOl007go001mo`00N_l0
0P00Mol3001do`03001ao`00K_l006ko008006_o00D006So001Uo`00IOl006;o001Oo`02001Lo`80
05Wo00@005Ko001Co`00D?l004go0P00B_l0>`00Aol004Co0011o`00?_l003_o000ho`00=?l003;o
000_o`00:?l002Ko000So`007ol001go000Jo`004ol0017o000>o`002ol000Oo0002o`040?l01P3o
00d0o`0@0?l05P3o01T0o`0N0?l09@3o02/0o`0^0?l0=03o03L0o`0o0?l0@`3o04T0o`1?0?l0E@3o
05/0o`1N0?l0I03o06d0o`1`0?l0MP3o07`0o`220?l0R03o08h0o`2A0?l0U`3o0:00o`2V0?l0Z@3o
0:l0o`2e0?l0^03o0<40o`370?l0bP3o0080d`3o01L0f@3o0=l0o`3U0?l0j03o0>h0o`3d0?l0m`3o
0?d0o`3o0?l0o`3i0?l0mP3o0?<0o`3]0?l0jP3o0>@0o`3Q0?l0gP3o0=/0o`3H0?l0e@3o0=80o`3?
0?l0b@020?l0aP030?l0`03o0;d0o`2m0080o`2g00@0o`2d0?l0/@3o0:h0o`2[0P3o0:P01@3o0:D0
o`2R0?l0XP3o09l0o`2L0080o`2I00<0o`2F0?l0T`3o09<00P3o09020?l0S@80o`2:0P3o08L01@3o
08@0o`210?l0P@3o0840o`1n00<0o`1k0P3o07P30?l0M@80o`1b403oool000h0oooo0`00Sol2002<
o`<008Wo0P00Q_l30023o`030020o`00OOl007go008007[o0P00Mol2001do`03001ao`00K_l006ko
008006_o00<006So001Uo`00IOl00P00H_l01P00Gol005co001Io`00FOl005Ko001Co`80053o0P00
B_l0D@00Aol004Co0011o`00?_l003_o000ho`00=?l003;o000_o`00:?l002Ko000So`007ol001go
000Jo`004ol0017o000>o`001ol000Go0040o`040?l02@3o00d0o`0B0?l06@3o01`0o`0R0?l0:03o
02h0o`0a0?l0=`3o03d0o`130?l0B@3o04`0o`1B0?l0F03o05h0o`1T0?l0JP3o0700o`1f0?l0O03o
0880o`280?l0SP3o0940o`2J0?l0X03o0:H0o`2Y0?l0/P3o0;P0o`2k0?l0`@3o0<L0o`3=0?l0d`3o
0=H0o`3L0?l0hP3o0>P0o`3[0?l0l@3o0?L0o`3j0?l0o`3o0?l0o03o0?H0o`3c0?l0k@3o0>X0o`3W
0?l0i03o0>40o`3K0?l0f03o0=D0o`3B0?l0c`020?l0b@040?l0aP3o0<00o`2m0?l0_@80o`2g00D0
o`2d0?l0/@3o0:h0o`2[0?l0Z0020?l0Y@80o`2R0P3o09`20?l0V@030?l0UP3o09<0o`2C0080o`2@
00<0o`2=0?l0RP3o08X00P3o08L20?l0Q080o`210P3o07h20?l0N`80o`1h0`3o07D20?l0LP80o`1_
403oool000d0oooo1000T_l2002?o`8008co0`00ROl20026o`8008?o0P00P?l2001mo`8007[o0P00
Mol2001do`03001ao`00K_l006ko008006_o00D006So001Uo`00H_l006;o001Oo`02001Lo`03001I
o`00E_l005Ko0080053o0P00B_l0C`00Aol004Co0011o`00?_l003_o000ho`00=?l002oo000/o`00
:?l002Ko000So`007ol001[o000Go`004ol0017o000;o`001ol000;o0040o`060?l02@3o0100o`0F
0?l06@3o0280o`0U0?l0:`3o02h0o`0d0?l0>P3o03l0o`190?l0C03o0580o`1H0?l0F`3o06@0o`1Z
0?l0L03o07H0o`1l0?l0PP3o08P0o`2>0?l0U03o09X0o`2P0?l0YP3o0:`0o`2b0?l0^03o0;h0o`34
0?l0bP3o0=00o`3C0?l0f@3o0=l0o`3R0?l0j03o0>h0o`3d0?l0m`3o0?d0o`3o0?`0o`3i0?l0l`3o
0?00o`3]0?l0jP3o0>@0o`3Q0?l0f`3o0=P0o`3E0?l0dP3o0<l00P3o0<T0103o0<H0o`300?l0_@3o
0;d20?l0]`050?l0]03o0;40o`2^0?l0Z`3o0:P00P3o0:D01@3o0:80o`2O0?l0W03o09`0o`2I0080
o`2F00@0o`2C0?l0T03o0900o`2=0P3o08X30?l0Q`030?l0Q03o0840o`210080o`1n0P3o07/20?l0
N0<0o`1e0P3o07820?l0K`<0o`1/3`3oool000d0oooo0`00UOl3002Bo`8008oo0P00S?l30029o`80
08Ko0P00Pol20020o`8007go00<007[o001go`00Mol00P00M?l00`00LOl006ko001^o`02001[o`05
001Xo`00IOl006Go001Ro`00Gol00P00G?l0?P00FOl005Ko001Fo`00Dol0053o001=o`00B_l004Oo
0014o`00@Ol003ko000ko`00>?l003Co000_o`00;?l002So000Vo`008ol001go000Jo`005ol0017o
000>o`002ol000Go0002o`040?l02@3o00d0o`0B0?l06@3o01h0o`0R0?l0:03o02h0o`0d0?l0>P3o
03l0o`160?l0B@3o04l0o`1H0?l0F`3o0640o`1Z0?l0L03o07H0o`1l0?l0PP3o08P0o`2>0?l0U03o
09X0o`2S0?l0YP3o0:`0o`2e0?l0^03o0;h0o`340?l0bP3o0P3C0?l0603I0?l0g`3o0>D0o`3[0?l0
l@3o0?L0o`3j0?l0o`3o0?l0o03o0?H0o`3c0?l0k@3o0>X0o`3T0?l0h@3o0=h0o`3K0?l0f03o0=D0
o`3?0?l0c03o0<T0o`360?l0`080o`2m0P3o0;L01P3o0;@0o`2^0?l0[P3o0:/0o`2X0?l0Y@80o`2R
00D0o`2O0?l0W03o09T0o`2I0?l0UP020?l0T`80o`2@00<0o`2=0?l0RP3o08X00P3o08L01@3o08@0
o`210?l0P@3o0840o`1n0080o`1k0P3o07P30?l0M@80o`1b0P3o06l30?l0K080o`1Y3`3oool000`0
oooo1000V?l2002Eo`<009;o0P00Sol2002<o`<008Wo0P00Q_l20023o`050020o`00OOl007go001m
o`00N_l00P00Mol2001do`03001ao`00K_l006ko008006_o00H006So001Uo`00H_l006;o001Oo`00
G?l2001Io`1D001Fo`00Dol0053o001=o`00B_l004Oo0014o`00@Ol003ko000ko`00>?l003Co000_
o`00;?l002So000Vo`008ol001go000Jo`004ol0017o000;o`001ol000Go0040o`060?l02@3o0100
o`0F0?l0703o0280o`0X0?l0;P3o0340o`0g0?l0?@3o04<0o`190?l0C`3o05D0o`1K0?l0H@3o06X0
o`1`0?l0MP3o07`0o`220?l0R03o0940o`2D0?l0VP3o0:<0o`2V0?l0[`3o0;D0o`2h0?l0`@3o0<L0
o`3=0?l0d`3o0=H0o`3L0?l0hP3o0>P0o`3^0?l0m03o0?L0o`3m0?l0o`3l0?l0mP3o0?<0o`3`0?l0
jP3o0>L0o`3Q0?l0gP3o0=/0o`3H0?l0e@3o0<l0o`3<0?l0b@3o0<H0o`300P3o0;d00`3o0;L0o`2d
0?l0]0020?l0[P80o`2X00<0o`2U0?l0XP3o0:800P3o09`20?l0V@050?l0UP3o09<0o`2@0?l0T03o
08d00P3o08X20?l0Q`80o`240P3o08401@3o07h0o`1k0?l0N`3o07/0o`1h00<0o`1e0P3o07820?l0
K`<0o`1/0P3o06T30?l0IPh0oooo000<0?ooo`<009_o0`00V?l2002Eo`<009;o0P00Sol2002<o`<0
08Wo00D008Ko0023o`00Pol008?o0020o`02001mo`8007[o0P00Mol01000M?l0077o001ao`00K_l2
001[o`06001Xo`00IOl006Go001Ro`00Gol005co0P00FOl0DP00E_l005?o001@o`00COl004[o0017
o`00A?l0047o000no`00>ol003So000do`00;ol002co000Xo`008ol001oo000Mo`006_l001?o000A
o`002ol000Oo0002o`040?l02@3o00d0o`0B0?l06@3o01h0o`0U0?l0:`3o02h0o`0d0?l0>P3o04<0
o`190?l0C03o05D0o`1K0?l0H@3o06L0o`1`0?l0L`3o07`0o`220?l0R03o0940o`2D0?l0W@3o0:<0
o`2Y0?l0[`3o0;D0o`2k0?l0`@3o0<X0o`3@0?l0d`3o0=T0o`3O0?l0i@3o0>/0o`3a0?l0m`3o0?X0
o`3o0?l0o`3i0?l0mP3o0?00o`3]0?l0i`3o0>@0o`3Q0?l0f`3o0=P0o`3E0?l0c`3o0<`0o`390?l0
aP3o0<020?l0_@050?l0]`3o0;@0o`2d0?l0[P3o0:/00P3o0:P00`3o0:D0o`2R0?l0W`020?l0W004
0?l0V@3o09H0o`2C0?l0T`80o`2@00<0o`2=0?l0RP3o08X00P3o08L0103o08@0o`210?l0P@3o07h3
0?l0N`040?l0N03o07D0o`1e0?l0M@80o`1b0P3o06l30?l0K080o`1Y0`3o06H20?l0H`h0oooo000<
0?ooo`<009ko0P00Vol3002Ho`8009Go0`00T_l2002?o`8008co0`00ROl01@00Q_l008?o0023o`00
Pol0083o008007go00<007[o001go`00Mol00P00M?l01@00LOl006ko001^o`00Jol006So008006Go
05D006;o001Oo`00G?l005co001Io`00E_l005?o001@o`00COl004[o0017o`00A?l0047o000no`00
>ol003So000do`00;ol002So000Vo`008ol001oo000Jo`005ol001?o000>o`002ol000Go0040o`04
0?l02@3o0100o`0F0?l0703o0280o`0X0?l0;P3o03@0o`0j0?l0?`3o04T0o`1<0?l0DP3o05/0o`1N
0?l0I`3o0700o`1c0?l0O03o0880o`280?l0T@3o09@0o`2M0?l0YP3o0:T0o`2b0?l0^03o0;h0o`34
0?l0bP3o0=<0o`3F0?l0g03o0>80o`3X0?l0kP3o0?@0o`3g0?l0o@3o0?l0o03o0?H0o`3c0?l0k@3o
0>X0o`3T0?l0h@3o0=/0o`3H0?l0e@3o0<l0o`3<0?l0b@3o0<H0o`300080o`2m00H0o`2g0?l0]03o
0;40o`2^0?l0Z`3o0:P20?l0Y@030?l0XP3o09l0o`2L0080o`2I00D0o`2F0?l0T`3o0900o`2@0?l0
S@020?l0RP80o`2700<0o`240?l0P@3o08400P3o07h20?l0N`040?l0N03o07D0o`1e0?l0M@80o`1b
0P3o06l30?l0K080o`1Y0`3o06H20?l0H`80o`1P3P3oool000/0oooo1000XOl2002No`8009_o0`00
V?l2002Eo`<009;o0P00Sol2002<o`<008Wo00<008Ko0023o`00Pol00P00P?l2001mo`03001jo`00
Mol007Oo008007Co00H0077o001^o`00Jol006_o001Xo`00IOl2001Ro`03001Oo`00G?l005Wo0080
05Ko04`0053o001=o`00B_l004Oo0014o`00@Ol003ko000ko`00>?l003;o000_o`00:?l002Ko000S
o`007Ol001[o000Co`004Ol000_o0007o`000_l0103o00H0o`0=0?l04P3o01T0o`0N0?l09@3o02/0
o`0a0?l0=`3o03l0o`160?l0B@3o0580o`1H0?l0GP3o06L0o`1]0?l0L`3o07`0o`220?l0R03o0940
o`2G0?l0W@3o0:H0o`2Y0?l0/P3o0;P0o`2n0?l0a`3o0<d0o`3C0?l0f@3o0=l0o`3U0?l0j`3o0?40
o`3g0?l0o@3o0?l0o`3o0?T0o`3c0?l0l03o0>X0o`3T0?l0h@3o0=h0o`3H0?l0e@3o0=80o`3?0?l0
b@3o0<H0o`300P3o0;d01`3o0;L0o`2d0?l0/@3o0:h0o`2[0?l0Z03o0:D00P3o0:80103o09l0o`2L
0?l0V@3o09H20?l0T`80o`2@00@0o`2=0?l0RP3o08L0o`270P3o08@20?l0P@030?l0OP3o07/0o`1k
0080o`1h0P3o07D20?l0LP80o`1_0`3o06`20?l0J@<0o`1V0P3o06<20?l0H0<0o`1M3@3oool000/0
oooo0`00Y?l3002Qo`<009ko0P00Vol3002Ho`8009Go0P00T_l2002?o`8008co0`00ROl01000Q_l0
08?o0023o`00P?l2001mo`8007[o00@007Oo001do`00M?l0077o0P00K_l01`00Jol006So001Uo`00
IOl006;o001Oo`00G?l00P00FOl0B`00E_l0053o001@o`00B_l004Oo0014o`00@Ol003ko000ho`00
=?l003;o000_o`00:?l002Ko000So`007Ol001[o000Co`004Ol000_o0007o`000_l0103o00T0o`0@
0?l05P3o01`0o`0R0?l0:03o02h0o`0d0?l0?@3o04<0o`190?l0C`3o05P0o`1N0?l0I03o06d0o`1c
0?l0O03o0880o`280?l0T@3o09L0o`2P0?l0YP3o0:`0o`2e0?l0^03o0<40o`370?l0d03o0=<0o`3I
0?l0g`3o0>P0o`3^0?l0m03o0?L0o`3m0?l0o`3l0?l0mP3o0?00o`3]0?l0i`3o0>@0o`3N0?l0f`3o
0=D0o`3B0?l0c`3o0<T0o`360?l0`0020?l0_@090?l0]`3o0;@0o`2a0?l0[P3o0:/0o`2X0?l0Y@3o
0:80o`2O0080o`2L00H0o`2I0?l0UP3o09<0o`2C0?l0T03o08d20?l0RP80o`2700@0o`240?l0P@3o
0840o`1n0P3o07/20?l0N080o`1e0P3o07820?l0K`<0o`1/00@0o`1Y0?l0IP3o06H0o`1V0P3o06<3
0?l0H0<0o`1M0P3o05X=0?ooo`002P3oool4002Wo`<00:Co0`00XOl2002No`8009_o0`00V?l2002E
o`8009;o0P00Sol2002<o`8008Wo0P00Q_l20023o`040020o`00OOl007go001jo`8007Oo0P00M?l0
2000LOl006ko001[o`00Jol006So001Uo`00H_l005oo0P00G?l0D000FOl005Ko001Co`00D?l004[o
0017o`00A?l0047o000no`00>?l003Co000bo`00;ol002So000Vo`008ol001go000Go`004ol000ko
0007o`001Ol00@3o00H0o`0=0?l04P3o01T0o`0R0?l0:03o02h0o`0d0?l0>P3o03l0o`190?l0C`3o
05P0o`1K0?l0I03o06d0o`1c0?l0O03o0880o`280?l0T@3o09L0o`2P0?l0YP3o0:`0o`2e0?l0^`3o
0<40o`3:0?l0d`3o0=H0o`3L0?l0hP3o0>/0o`3a0?l0m`3o0?d0o`3o0?`0o`3f0?l0l`3o0>d0o`3Z
0?l0i03o0>40o`3K0?l0f03o0=80o`3?0?l0b@3o0<H0o`330?l0_@3o0;X0o`2g0?l0]03o0;40o`2^
0P3o0:P0103o0:D0o`2R0?l0W`3o09`20?l0V@060?l0UP3o09<0o`2@0?l0T03o08d0o`2:0P3o08L0
103o08@0o`210?l0P@3o07h20?l0N`80o`1h0P3o07D20?l0LP80o`1_0P3o06`20?l0J@<0o`1V0P3o
06<20?l0H0<0o`1M0`3o05X30?l0E``0oooo000:0?ooo`<00:[o1000Yol2002To`<00:7o0P00W_l2
002Ko`<009So0P00UOl2002Bo`8008oo0P00S?l20029o`8008Ko0P00Pol01000P?l007go001mo`00
N_l2001go`07001do`00LOl006ko001^o`00Jol006So001Uo`02001Ro`07001Oo`00G?l005Wo001F
o`00Dol0053o001:o`020017o`180011o`00?_l003So000do`00<_l002co000Xo`009_l001oo000J
o`005ol0017o000;o`001ol000;o00@0o`090?l0403o01H0o`0L0?l09@3o02/0o`0a0?l0=`3o03l0
o`190?l0C03o05D0o`1K0?l0I03o06d0o`1c0?l0O03o0880o`280?l0T@3o09L0o`2P0?l0YP3o0:l0
o`2h0?l0_P3o0<@0o`3=0?l0d`3o0=T0o`3O0?l0j03o0>h0o`3d0?l0nP3o0?l0o`3o0?T0o`3c0?l0
l03o0>X0o`3T0?l0h@3o0=/0o`3H0?l0e@3o0<l0o`390?l0aP3o0<<0o`2m0?l0^P3o0;L0o`2d0?l0
/@3o0:h0o`2X0P3o0:D01@3o0:80o`2O0?l0W03o09T0o`2F0080o`2C00H0o`2@0?l0S@3o08X0o`2:
0?l0Q`3o08@20?l0P@80o`1n0P3o07/00`3o07P0o`1e0?l0M@020?l0LP80o`1_0P3o06`20?l0J@<0
o`1V0P3o06<20?l0H0<0o`1M0P3o05X40?l0E`80o`1D303oool000X0oooo0`00[Ol3002Zo`<00:Oo
0`00Y?l3002Qo`8009ko0P00Vol2002Ho`8009Go0P00T_l2002?o`8008co0P00ROl20026o`8008?o
00D0083o001mo`00OOl007[o001go`02001do`1G001ao`00K_l006_o001[o`00J?l006Go001Ro`00
Gol005co001Io`00E_l005?o001@o`00COl004[o0017o`00@Ol003ko000ho`00=?l003;o000/o`00
:?l002?o000Oo`006_l001?o000Ao`002ol000Go0040o`060?l03@3o0180o`0I0?l08P3o02P0o`0^
0?l0=03o03d0o`160?l0C03o05D0o`1K0?l0H@3o06X0o`1`0?l0N@3o0880o`2;0?l0T@3o09X0o`2S
0?l0Z@3o0;80o`2h0?l0_P3o0<L0o`3@0?l0d`3o0=`0o`3R0?l0j03o0?40o`3g0?l0o@3o0?l0o03o
0?H0o`3c0?l0k@3o0>L0o`3Q0?l0f`3o0=P0o`3E0?l0c`3o0<T0o`360?l0``3o0;d0o`2j0?l0]`3o
0;@0o`2^0?l0Z`3o0:P0o`2U0080o`2R0P3o09`00`3o09T0o`2F0?l0T`020?l0T0050?l0S@3o08X0
o`270?l0Q`3o08@00P3o0840103o07h0o`1k0?l0N`3o07P20?l0M@80o`1b0P3o06l20?l0K080o`1Y
0P3o06H20?l0H`80o`1P0`3o05d30?l0FP<0o`1G0`3o05@20?l0D@`0oooo00090?ooo`L00:go0`00
Z_l3002Wo`800:Co0`00XOl2002No`8009_o0`00V?l01@00UOl009;o002Bo`00T_l008oo008008co
0P00ROl00`00Q_l008?o0023o`020020o`06001mo`00N_l007Oo001go`00M?l0077o0P00K_l01`00
Jol006So001Uo`00H_l005oo001Lo`00FOl00P00E_l0CP00D?l004go001:o`00Aol0047o000no`00
>?l003Co000_o`00;?l002Ko000So`007Ol001[o000Co`003_l000Oo0002o`040?l02@3o0100o`0F
0?l07P3o02D0o`0^0?l0=03o03X0o`130?l0B@3o0580o`1K0?l0H@3o06X0o`1`0?l0N@3o0880o`2;
0?l0T@3o09X0o`2S0?l0Z@3o0;80o`2h0?l0`@3o0<X0o`3C0?l0eP3o0=l0o`3U0?l0kP3o0?@0o`3j
0?l0o`3o0?l0n@3o0?<0o`3]0?l0jP3o0>@0o`3N0?l0f03o0=D0o`3?0?l0b@3o0<H0o`330?l0_@3o
0;X0o`2g0?l0]03o0:h0o`2[0?l0Z03o0:D0o`2R0?l0W`3o09`0o`2I0?l0UP80o`2C00<0o`2@0?l0
S@3o08X00P3o08L0103o08@0o`210?l0P@3o07h20?l0N`030?l0N03o07D0o`1e0080o`1b0P3o06l2
0?l0K080o`1Y0P3o06H20?l0H`80o`1P0`3o05d20?l0FP<0o`1G0`3o05@60?l0D@/0oooo00090?oo
o`@00;3o1P00[Ol2002Zo`@00:Oo0P00Y?l3002Qo`8009ko00D009_o002Ho`00V?l009So002Eo`03
002Bo`03002?o`00S?l008co008008Wo00@008Ko0023o`00Pol0083o0P00OOl01P00N_l007Oo001g
o`00M?l0077o001^o`8006_o0P00IOl0DP00H_l005co001Lo`00FOl005Ko001@o`00COl004[o0017
o`00@Ol003ko000ho`00=?l002oo000/o`009_l002?o000Mo`005ol0017o000;o`001ol000;o00H0
o`0=0?l04P3o01`0o`0R0?l0:`3o02h0o`0g0?l0?`3o04T0o`1?0?l0F03o0640o`1Z0?l0L03o07T0
o`220?l0R`3o0940o`2J0?l0X`3o0:`0o`2e0?l0^`3o0<@0o`3:0?l0d`3o0=T0o`3R0?l0j03o0?40
o`3g0?l0o@3o0?l0o03o0?H0o`3`0?l0jP3o0>@0o`3Q0?l0f`3o0=D0o`3?0?l0c03o0<H0o`330?l0
_@3o0;X0o`2g0?l0]03o0:h0o`2[0?l0Z03o0:D0o`2R0?l0W`3o09`0o`2I0?l0UP3o09<20?l0T080
o`2:00D0o`270?l0Q03o0840o`210?l0OP020?l0N`030?l0N03o07D0o`1e0080o`1b0P3o06l20?l0
K0040?l0J@3o06H0o`1V0?l0IP80o`1S0P3o06020?l0G@<0o`1J0`3o05L20?l0E0H0o`1A0`3o04h;
0?ooo`002@3oool4002co`<00;3o1P00[Ol2002Zo`<00:Oo0P00Y?l3002Qo`8009ko0P00Vol2002H
o`8009Go0P00T_l00`00Sol008co002<o`020029o`040026o`00Pol008?o0020o`8007go00@007[o
001go`00M?l007Co0P00K_l0C`00Jol006So001Uo`00H_l005oo001Lo`00FOl005Ko001Co`00COl0
04[o0017o`00@Ol003ko000ho`00=?l002oo000Xo`009_l001oo000Jo`004ol0017o000;o`001Ol0
103o00T0o`0@0?l06@3o01h0o`0X0?l0;P3o03L0o`0o0?l0B@3o04l0o`1H0?l0GP3o06L0o`1`0?l0
N@3o0880o`2;0?l0T@3o09d0o`2V0?l0[03o0;D0o`2n0?l0a`3o0<d0o`3C0?l0g03o0>D0o`3[0?l0
m03o0?X0o`3o0?l0o`3f0?l0l`3o0>d0o`3T0?l0h@3o0=/0o`3H0?l0dP3o0<`0o`360?l0``3o0;d0
o`2j0?l0]`3o0;@0o`2^0?l0Z`3o0:P0o`2U0?l0XP3o09`00P3o09T20?l0T`030?l0T03o08d0o`2:
0080o`2700<0o`240?l0P@3o07h00P3o07/00`3o07P0o`1e0?l0M@020?l0LP80o`1_0P3o06`01@3o
06T0o`1V0?l0IP3o06H0o`1S0080o`1P0`3o05d20?l0FP<0o`1G0P3o05@60?l0D@<0o`1>0`3o04/;
0?ooo`00203oool5002fo`<00;?o0`00/?l6002]o`800:[o0`00Yol2002To`800:7o0P00W_l2002K
o`8009So0P00UOl2002Bo`03002?o`00S?l008co008008Wo00H008Ko0023o`00Pol0083o001mo`00
N_l2001go`1C001do`00LOl006ko001[o`00J?l006Go001Ro`00Gol005co001Io`00E_l005?o001@
o`00B_l004Oo0011o`00?_l003So000do`00;ol002So000Vo`007ol001[o000Co`003_l000Oo0002
o`040?l03@3o0180o`0L0?l09@3o02h0o`0d0?l0?@3o04H0o`1<0?l0E@3o05h0o`1W0?l0L03o07T0
o`220?l0R`3o0940o`2M0?l0YP3o0:l0o`2h0?l0_P3o0<L0o`3C0?l0eP3o0=l0o`3X0?l0kP3o0?L0
o`3m0?l0o`3i0?l0l`3o0>d0o`3W0?l0h@3o0=/0o`3H0?l0dP3o0<`0o`390?l0``3o0;d0o`2j0?l0
]`3o0;40o`2^0?l0Z03o0:D0o`2R0?l0W`3o09`0o`2I0?l0UP3o09<00P3o09020?l0RP070?l0Q`3o
08@0o`210?l0P@3o07h0o`1k0?l0N0020?l0M@80o`1b00D0o`1_0?l0K03o06`0o`1/0?l0J@020?l0
IP80o`1S0P3o06020?l0G@80o`1J0`3o05L30?l0E0D0o`1A0`3o04h30?l0B`@0o`182P3oool000P0
oooo1000^Ol4002fo`<00;?o0`00/?l5002]o`<00:[o0P00Yol2002To`<00:7o0P00W_l00`00Vol0
09So002Ho`02002Eo`8009;o00<008oo002<o`00S?l00P00ROl01`00Q_l008?o0023o`00P?l007go
001jo`00Mol00P00M?l2001^o`1B001[o`00J?l006Go001Ro`00G?l005Wo001Fo`00Dol0053o001:
o`00Aol0047o000no`00>?l003Co000_o`00:?l002?o000Mo`006_l0017o000;o`001Ol00@3o00T0
o`0@0?l06@3o0280o`0X0?l0;P3o03X0o`130?l0B@3o05D0o`1K0?l0I`3o0700o`1i0?l0PP3o08/0
o`2D0?l0W@3o0:H0o`2_0?l0^03o0<40o`3:0?l0d`3o0=T0o`3R0?l0j`3o0?@0o`3j0?l0o`3l0?l0
mP3o0?00o`3Z0?l0i03o0=h0o`3H0?l0e@3o0<l0o`390?l0``3o0;d0o`2j0?l0]`3o0;40o`2^0?l0
Z03o0:D0o`2R0?l0W`3o09`0o`2I0?l0UP3o09<0o`2@0?l0S@3o08X0o`270?l0Q080o`2100D0o`1n
0?l0N`3o07P0o`1h0?l0M@020?l0LP030?l0K`3o06`0o`1/0080o`1Y0P3o06H20?l0H`040?l0H03o
05d0o`1M0?l0G@80o`1J0`3o05L20?l0E0D0o`1A0`3o04h30?l0B`@0o`180`3o04D:0?ooo`00203o
ool4002lo`<00;Wo1000]_l3002co`<00;3o1@00[Ol2002Zo`<00:Oo0P00Y?l2002Qo`8009ko0P00
Vol2002Ho`04002Eo`00T_l009;o002?o`8008co0P00ROl00`00Q_l008?o0020o`02001mo`1B001j
o`00Mol007Co001ao`00K_l006_o001Xo`00IOl006;o001Oo`00G?l005Wo001Fo`00D?l004[o0017
o`00@Ol003ko000ho`00=?l002oo000Xo`008ol001go000Go`004Ol000_o0002o`040?l03@3o0180
o`0L0?l09@3o02h0o`0g0?l0?`3o04T0o`1B0?l0F`3o06@0o`1`0?l0N@3o0880o`2;0?l0U03o0:00
o`2Y0?l0/P3o0;/0o`340?l0c@3o0=H0o`3O0?l0j03o0>h0o`3g0?l0o@3o0?l0n@3o0?<0o`3Z0?l0
i03o0=h0o`3H0?l0e@3o0<l0o`390?l0``3o0;d0o`2j0?l0]03o0;40o`2^0?l0Z03o0:D0o`2R0?l0
W03o09T0o`2F0?l0T`3o0900o`2=0?l0RP80o`2700<0o`240?l0P@3o07h00P3o07/01@3o07P0o`1e
0?l0LP3o0780o`1_0080o`1/0P3o06T20?l0IP030?l0H`3o0600o`1P0080o`1M0P3o05X30?l0E`80
o`1D1@3o05430?l0CP<0o`1;103o04P30?l0A@<0o`122P3oool000P0oooo1000_ol4002lo`<00;Wo
0`00]_l3002co`<00;3o1@00[Ol2002Zo`<00:Oo00D00:Co002Qo`00XOl00:7o002No`02002Ko`80
09So00@009Go002Bo`00T_l008oo0P00S?l20029o`050026o`00Pol0083o001mo`00N_l00P00Mol0
D@00M?l0077o001^o`00Jol006Go001Ro`00Gol005co001Io`00E_l0053o001:o`00Aol0047o000n
o`00>?l003Co000/o`009_l002?o000Jo`004ol000ko0007o`010?l02@3o0100o`0I0?l08P3o02/0
o`0d0?l0?@3o04T0o`1?0?l0F`3o06@0o`1`0?l0N@3o0880o`2;0?l0U03o0:00o`2Y0?l0]@3o0;h0
o`370?l0d`3o0=T0o`3R0?l0j`3o0?@0o`3j0?l0o`3l0?l0l`3o0>d0o`3W0?l0h@3o0=/0o`3E0?l0
c`3o0<T0o`330?l0_@3o0;X0o`2d0?l0/@3o0:/0o`2X0?l0Y@3o0:80o`2L0?l0V@3o09H0o`2C0?l0
T03o08d0o`2:0?l0Q`3o08@0o`210?l0OP020?l0N`050?l0N03o07D0o`1b0?l0LP3o06l00P3o06`0
0`3o06T0o`1V0?l0IP020?l0H`040?l0H03o05d0o`1M0?l0G@80o`1J0P3o05L20?l0E0D0o`1A0`3o
04h30?l0B`<0o`180`3o04D40?l0@P<0o`0o2P3oool000L0oooo1000`_l5002oo`<00;co0`00^Ol4
002fo`800;?o0`00/?l5002]o`800:[o0P00Yol2002To`800:7o0P00W_l01000Vol009So002Ho`00
UOl2002Bo`03002?o`00S?l008co008008Wo050008Ko0023o`00P?l007go001jo`00Mol007Co001a
o`00K_l006_o001Xo`00IOl006;o001Lo`00FOl005Ko001@o`00COl004Oo0011o`00?_l003So000b
o`00;?l002Ko000Oo`006_l001?o000;o`001Ol0103o00d0o`0B0?l07P3o02P0o`0^0?l0>P3o04H0
o`1<0?l0F03o0640o`1]0?l0MP3o0880o`2>0?l0U`3o0:<0o`2/0?l0^03o0<40o`3:0?l0d`3o0=`0
o`3U0?l0kP3o0?L0o`3o0?l0o`3f0?l0l03o0>X0o`3Q0?l0f`3o0=D0o`3?0?l0b@3o0<<0o`2m0?l0
^P3o0;@0o`2^0?l0Z`3o0:D0o`2R0?l0W`3o09`0o`2I0?l0T`3o0900o`2=0?l0RP80o`270P3o0842
0?l0N`050?l0N03o07D0o`1b0?l0LP3o06l00P3o06`00`3o06T0o`1V0?l0IP020?l0H`030?l0H03o
05d0o`1M0080o`1J0`3o05L00`3o05@0o`1A0?l0D@030?l0D@<0o`1>0P3o04/40?l0B0<0o`150`3o
04850?l0?`<0o`0l2@3oool000L0oooo1@00aOl30032o`D00;oo0`00_?l3002io`<00;Ko0P00/ol3
002`o`D00:go00@00:[o002Wo`00Yol00:Oo0P00Y?l2002Qo`04002No`00Vol009_o002Ho`8009Go
00H009;o002?o`00S?l008co0029o`00Q_l20023o`1B0020o`00OOl007[o001go`00M?l0077o001^
o`00Jol006Go001Ro`00Gol005co001Fo`00Dol004go0017o`00@Ol003ko000ho`00<_l002co000V
o`007Ol001Oo000Ao`001ol000;o00H0o`0@0?l06@3o02D0o`0^0?l0=`3o03l0o`1<0?l0F03o0640
o`1]0?l0MP3o0880o`2>0?l0U`3o0:<0o`2/0?l0^03o0<40o`3=0?l0eP3o0=l0o`3[0?l0m03o0?d0
o`3o0?`0o`3c0?l0jP3o0>@0o`3N0?l0f03o0<l0o`390?l0aP3o0;d0o`2j0?l0]03o0:h0o`2X0?l0
Y@3o0:80o`2L0?l0V@3o09H0o`2C0?l0T03o08d0o`2:0?l0Q`3o08@0o`210?l0OP3o07/0o`1h0?l0
M@80o`1b00@0o`1_0?l0K03o06`0o`1Y0P3o06H00`3o06<0o`1P0?l0H0020?l0G@040?l0FP3o05L0
o`1G0?l0E`80o`1D103o05430?l0CP80o`1;103o04P20?l0A@@0o`12103o03l30?l0?0@0o`0i2@3o
ool000L0oooo1@00b?l40035o`<00<;o1000_ol3002lo`<00;Wo0`00]_l3002co`800;3o1000[Ol2
002Zo`<00:Oo00<00:Co002Qo`00XOl00P00W_l01P00Vol009So002Ho`00UOl009;o002?o`8008co
00@008Wo0026o`00Pol008?o0P00OOl0B`00Mol007Co001do`00K_l006_o001Xo`00IOl005oo001L
o`00FOl005?o001=o`00B_l004Co000no`00>?l003;o000Xo`008ol001go000Co`003_l000Oo00@0
o`0=0?l05P3o01h0o`0[0?l0=03o03l0o`190?l0E@3o05h0o`1]0?l0MP3o0880o`2>0?l0U`3o0:H0
o`2_0?l0^03o0<L0o`3C0?l0f@3o0>D0o`3^0?l0m`3o0?l0o`3o0?H0o`3]0?l0i03o0=h0o`3H0?l0
dP3o0<T0o`360?l0_@3o0;L0o`2d0?l0[P3o0:P0o`2U0?l0XP3o09`0o`2I0?l0T`3o0900o`2=0?l0
RP3o08L0o`240?l0P@3o07h0o`1k0?l0N0020?l0M@050?l0LP3o06l0o`1/0?l0K03o06T00P3o06H0
103o06<0o`1P0?l0G@3o05d20?l0FP80o`1G0P3o05@40?l0D@<0o`1>0P3o04/30?l0B0<0o`150`3o
04840?l0?`<0o`0l103o03T40?l0=PT0oooo00070?ooo`T00<So1000aOl30032o`@00;oo0`00_?l2
002io`<00;Ko0`00/ol2002`o`@00:go0P00Z_l2002Wo`800:Co0P00XOl01@00W_l009_o002Ho`00
V?l009Go008009;o04T008oo002<o`00ROl008Ko0023o`00P?l007go001jo`00Mol007Co001ao`00
K_l006_o001Uo`00H_l005co001Io`00E_l0053o001:o`00A?l003ko000ho`00;ol002So000So`00
6_l001?o000;o`000_l01P3o0100o`0I0?l09@3o02h0o`0j0?l0B@3o0580o`1K0?l0JP3o07H0o`22
0?l0SP3o09X0o`2V0?l0/P3o0;h0o`3:0?l0d`3o0=l0o`3X0?l0m03o0?d0o`3o0?T0o`3`0?l0jP3o
0>40o`3H0?l0dP3o0<T0o`360?l0_@3o0;L0o`2d0?l0[P3o0:P0o`2U0?l0W`3o09`0o`2F0?l0T`3o
0900o`2:0080o`2700@0o`210?l0OP3o07/0o`1h0P3o07D00`3o0780o`1_0?l0K0020?l0J@040?l0
IP3o06<0o`1S0?l0H080o`1M00<0o`1J0?l0E`3o05L00P3o05@40?l0D@<0o`1>0P3o04/30?l0B080
o`150`3o04840?l0?`<0o`0l103o03T80?l0=PT0oooo00060?ooo`H00<_o2000b?l40035o`<00<;o
1000_ol2002lo`<00;Wo0`00]_l2002co`800;3o1000[Ol2002Zo`800:Oo00D00:Co002Qo`00XOl0
09ko002Ko`02002Ho`1<002Eo`00T_l009;o002?o`00S?l008Wo0026o`00Pol0083o001mo`00N_l0
07Oo001do`00K_l006_o001Xo`00H_l005oo001Io`00E_l0053o001:o`00A?l003ko000ho`00;ol0
02So000So`006_l0017o0007o`010?l02@3o01H0o`0R0?l0;P3o03L0o`130?l0C`3o05/0o`1Z0?l0
MP3o0880o`2A0?l0VP3o0:H0o`2e0?l0`@3o0<d0o`3F0?l0hP3o0>h0o`3g0?l0o`3l0?l0l`3o0>X0
o`3Q0?l0f`3o0=D0o`3<0?l0aP3o0;d0o`2g0?l0]03o0:h0o`2X0?l0XP3o09`0o`2I0?l0UP3o0900
o`2=0?l0RP3o08L0o`240?l0P@80o`1k0P3o07D0103o0780o`1_0?l0K03o06T20?l0IP040?l0H`3o
0600o`1M0?l0G@80o`1J0P3o05L00`3o05@0o`1A0?l0D@020?l0D@80o`1>0`3o04/30?l0B080o`15
0`3o04830?l0?`<0o`0l103o03T80?l0=PD0o`0c203oool000H0oooo1@00c_l6003;o`L00<So1000
aOl30032o`<00;oo0`00_?l2002io`<00;Ko0P00/ol2002`o`@00:go00<00:[o002Wo`00Yol00P00
Y?l01P00XOl009ko002No`00Vol009So002Eo`8009;o04L008oo002<o`00ROl008Ko0023o`00P?l0
07go001go`00M?l0077o001^o`00J?l006Go001Oo`00G?l005Ko001@o`00B_l004Co000no`00>?l0
02oo000Vo`007ol001Oo000>o`001Ol0103o0100o`0L0?l0:03o03@0o`0o0?l0C03o05/0o`1W0?l0
L`3o0880o`2A0?l0W@3o0:T0o`2h0?l0a03o0=<0o`3L0?l0j03o0?@0o`3m0?l0o`3f0?l0k@3o0>@0
o`3K0?l0e@3o0<`0o`360?l0_@3o0;L0o`2a0?l0Z`3o0:D0o`2R0?l0W03o09T0o`2C0?l0T03o08X0
o`270?l0Q03o0840o`1n0?l0N`020?l0M@040?l0LP3o06l0o`1/0?l0J@80o`1V00D0o`1S0?l0H03o
05d0o`1M0?l0FP020?l0E`80o`1D0`3o05420?l0CP80o`1;0`3o04P20?l0A@<0o`120`3o03l30?l0
?0@0o`0i1`3o03H60?l0<`@0o`0`203oool000H0oooo1P00dOl4003>o`D00<_o2000b?l30035o`<0
0<;o0`00_ol2002lo`<00;Wo0P00]_l2002co`800;3o1000[Ol01000Z_l00:Oo002Wo`00Y?l2002Q
o`1A002No`00Vol009So002Ho`00UOl009;o002?o`00S?l008Wo0026o`00Pol007go001jo`00Mol0
07Co001^o`00Jol006Go001Ro`00G?l005Wo001@o`00B_l004Co000no`00=?l002oo000Vo`007Ol0
01?o000;o`000_l02@3o01H0o`0R0?l0;P3o03d0o`190?l0F03o06@0o`1c0?l0PP3o0940o`2P0?l0
[03o0;P0o`370?l0d`3o0=l0o`3^0?l0m`3o0?l0o03o0?00o`3W0?l0gP3o0=D0o`3?0?l0aP3o0;d0
o`2g0?l0/@3o0:/0o`2U0?l0W`3o09`0o`2F0?l0T`3o08d0o`2:0?l0Q`3o0840o`1n0?l0N`3o07P0
o`1e0?l0LP3o06l0o`1/0?l0J@3o06H0o`1S0080o`1P00@0o`1M0?l0FP3o05L0o`1G0P3o05@30?l0
D@80o`1>0P3o04/30?l0B080o`150P3o04840?l0?`80o`0l103o03T70?l0=PD0o`0c103o03050?l0
;@P0oooo00060?ooo`H00=Co1@00dOl4003>o`D00<_o1`00b?l30035o`800<;o1000_ol2002lo`80
0;Wo0P00]_l2002co`800;3o0`00[Ol2002Zo`800:Oo00@00:Co002Qo`00W_l009_o0P00V?l0BP00
UOl009;o002?o`00S?l008Wo0026o`00Pol007go001jo`00Mol0077o001^o`00J?l006;o001Oo`00
FOl005?o001:o`00Aol003ko000do`00;?l002Ko000Jo`004Ol000Oo00@0o`0@0?l0703o02/0o`0g
0?l0B@3o05D0o`1T0?l0L`3o0880o`2A0?l0X03o0:l0o`2n0?l0c@3o0=T0o`3X0?l0m03o0?l0o`3o
0?<0o`3Z0?l0h@3o0=P0o`3?0?l0aP3o0;d0o`2g0?l0/@3o0:P0o`2U0?l0W`3o09T0o`2C0?l0T03o
08X0o`270?l0P@3o07h0o`1k0?l0N03o07D0o`1b0?l0K`3o06`0o`1Y0?l0IP3o06<0o`1P0P3o05d0
103o05X0o`1G0?l0E`3o05@30?l0D@80o`1>0P3o04/20?l0B080o`150`3o04830?l0?`80o`0l0`3o
03T70?l0=PD0o`0c103o03050?l0;@D0o`0Y203oool000H0oooo1P00eol6003Do`@00=7o1000c_l5
003;o`H00<So0`00aOl20032o`<00;oo0P00_?l2002io`<00;Ko00<00;?o002`o`00/?l00`00[Ol2
002Zo`1?002Wo`00Y?l00:7o002Qo`00W_l009_o002Ho`00UOl009;o002?o`00S?l008Wo0023o`00
P?l007go001go`00M?l006ko001[o`00IOl005oo001Io`00E_l004go0017o`00?_l003Co000/o`00
8ol001[o000>o`000_l02@3o01H0o`0U0?l0=03o04<0o`1B0?l0H@3o0700o`220?l0T@3o0:<0o`2b
0?l0`@3o0=<0o`3O0?l0kP3o0?X0o`3o0?T0o`3]0?l0i03o0=P0o`3?0?l0aP3o0;d0o`2g0?l0[P3o
0:P0o`2R0?l0W03o09H0o`2C0?l0S@3o08L0o`240?l0P@3o07/0o`1h0?l0M@3o0780o`1_0?l0K03o
06T0o`1V0?l0H`3o0600o`1M0?l0FP020?l0E`040?l0E03o0540o`1A0?l0D@80o`1>0P3o04/20?l0
B080o`150P3o04830?l0?`80o`0l0`3o03T60?l0=PD0o`0c103o03050?l0;@D0o`0Y1@3o02L80?oo
o`001@3oool7003Jo`H00=Oo1@00e?l4003Ao`@00<ko1000bol60038o`<00<Go0P00`_l3002oo`80
0;co0P00^Ol2002fo`800;?o00D00;3o002]o`00[Ol00:go002Zo`02002Wo`13002To`00XOl009ko
002Ko`00V?l009Go002Bo`00Sol008co0029o`00Pol0083o001mo`00Mol007Co001^o`00J?l006;o
001Lo`00E_l004go0017o`00?_l003Co000Xo`007ol001?o000;o`040?l0403o01h0o`0^0?l0?`3o
04l0o`1N0?l0L03o0880o`2A0?l0YP3o0;D0o`370?l0d`3o0>D0o`3d0?l0o`3o0?l0l`3o0>@0o`3K
0?l0dP3o0<H0o`2m0?l0]`3o0:h0o`2X0?l0XP3o09T0o`2C0?l0T03o08X0o`270?l0P@3o07/0o`1h
0?l0M@3o0780o`1_0?l0K0020?l0IP060?l0H03o05d0o`1M0?l0FP3o05L0o`1D0`3o05420?l0CP05
0?l0B`3o04P0o`180?l0B03o04D00P3o04830?l0?`80o`0l0`3o03T60?l0=P@0o`0c103o03040?l0
;@D0o`0Y1P3o02L60?l090L0oooo00050?ooo`d00=[o1P00eol5003Do`@00=7o0`00c_l4003;o`H0
0<So0P00aOl20032o`<00;oo00<00;co002io`00^Ol00P00]_l2002co`07002`o`00[Ol00:go002]
o`00Z_l00:Oo002To`02002Qo`11002No`00V?l009Go002Bo`00Sol008co0029o`00Pol0083o001j
o`00M?l006ko001[o`00IOl005co001Fo`00D?l004Oo000no`00=?l002So000Mo`004Ol000Go00T0
o`0I0?l0:03o03X0o`190?l0F`3o0700o`220?l0U03o0:H0o`2h0?l0bP3o0=T0o`3[0?l0nP3o0?l0
mP3o0>X0o`3N0?l0e@3o0<T0o`2m0?l0]`3o0:h0o`2U0?l0W`3o09T0o`2C0?l0S@3o08L0o`210?l0
OP3o07P0o`1e0?l0LP3o06`0o`1Y0?l0IP3o06<0o`1P0?l0G@3o05X00P3o05L00`3o05@0o`1A0?l0
D@020?l0CP030?l0B`3o04P0o`180080o`150P3o04820?l0?`80o`0l0`3o03T50?l0=P@0o`0c103o
03040?l0;@@0o`0Y1P3o02L<0?l090L0oooo00050?ooo`P00=go2`00f_l6003Go`@00=Co1000dOl3
003>o`@00<_o1@00b?l20035o`800<;o0P00_ol2002lo`800;Wo00@00;Ko002co`00/ol00;3o0`00
[Ol0?P00Z_l00:Oo002To`00XOl009ko002Ko`00V?l009;o002?o`00S?l008Wo0023o`00OOl007Oo
001do`00K_l006Go001Oo`00FOl0053o0017o`00?_l003Co000Vo`006_l000ko0040o`0@0?l08P3o
03@0o`190?l0F`3o0700o`220?l0U03o0:T0o`2n0?l0d`3o0>80o`3d0?l0o`3l0?l0k@3o0>40o`3E
0?l0b@3o0;d0o`2d0?l0Z`3o0:D0o`2L0?l0UP3o0900o`2:0?l0Q03o07h0o`1k0?l0M@3o0780o`1/
0?l0J@3o06H0o`1S0P3o05d00`3o05X0o`1G0?l0E0020?l0D@80o`1>00@0o`1;0?l0B03o04P0o`15
0P3o04820?l0?`80o`0l0`3o03T50?l0=P<0o`0c0`3o03040?l0;@@0o`0Y1P3o02L;0?l090L0o`0Q
1`3oool000D0oooo2000h?l7003Mo`/00=[o1@00eol4003Do`<00=7o0`00c_l3003;o`D00<So0P00
aOl20032o`800;oo0P00_?l01@00^Ol00;Ko002fo`00/ol00;3o00<00:go0P00Yol0>`00Y?l00:7o
002Ko`00V?l009Go002?o`00S?l008Ko0023o`00OOl007Oo001ao`00Jol006;o001Lo`00Dol004Oo
000no`00<_l002Ko000Go`001ol01P3o01T0o`0^0?l0?`3o05P0o`1]0?l0PP3o09L0o`2/0?l0`@3o
0=H0o`3[0?l0o@3o0?l0l`3o0>@0o`3H0?l0b@3o0;d0o`2d0?l0Z03o0:80o`2I0?l0T`3o08d0o`27
0?l0P@3o07/0o`1e0?l0LP3o06`0o`1Y0?l0IP3o0600o`1M0?l0FP3o05L0o`1D0080o`1A0P3o04h0
103o04/0o`180?l0B03o04D20?l0@P80o`0o00<0o`0l0?l0>@3o03T01@3o03H30?l0<`<0o`0`103o
02d30?l0:@D0o`0W2`3o02@70?l08@L0o`0M1`3oool000D0oooo2@00hol7003Po`H00=go2P00f_l5
003Go`<00=Co0`00dOl3003>o`<00<_o1000b?l20035o`800<;o0P00_ol01P00_?l00;Wo002fo`00
]_l00;?o002`o`800:go03P00:[o002Wo`00Y?l00:7o002No`00V?l009Go002Bo`00S?l008Ko0020
o`00N_l007Co001^o`00IOl005co001Fo`00B_l003ko000_o`008ol001?o0002o`0@0?l09@3o03X0
o`1B0?l0JP3o0880o`2J0?l0/P3o0<X0o`3O0?l0m03o0?l0n@3o0>X0o`3H0?l0b@3o0;d0o`2d0?l0
Z03o09l0o`2F0?l0T03o08L0o`210?l0N`3o07D0o`1b0?l0K03o06T0o`1S0?l0H03o05d0o`1G0?l0
E080o`1A0P3o04h00`3o04/0o`180?l0A@020?l0@P80o`0o00<0o`0l0?l0>@3o03T0103o03H30?l0
<`<0o`0`0`3o02d40?l0:@@0o`0W2P3o02@60?l08@L0o`0M203o01/70?ooo`001@3oool:003Vo`P0
0>?o1P00h?l6003Mo`P00=[o1@00eol3003Do`800=7o0`00c_l3003;o`<00<So0P00aOl20032o`07
002oo`00_?l00;co002io`00]_l00;?o002`o`02002]o`0f002Zo`00Yol00:Co002No`00Vol009Go
002Bo`00S?l008Ko0020o`00Mol0077o001Xo`00Gol005Ko001:o`00?_l002oo000Oo`003_l0103o
01`0o`0d0?l0C03o06L0o`220?l0W@3o0;P0o`3C0?l0j03o0?d0o`3o0>d0o`3K0?l0c03o0;d0o`2a
0?l0Y@3o09`0o`2C0?l0RP3o08@0o`1n0?l0M@3o0780o`1/0?l0IP3o06<0o`1M0?l0FP3o05L0o`1D
0?l0D@3o04h0o`1;0P3o04P01@3o04D0o`120?l0?`3o03l0o`0l0080o`0i103o03H30?l0<`80o`0`
0`3o02d30?l0:@@0o`0W2@3o02@50?l08@H0o`0M203o01/90?l060L0oooo00050?ooo`/00>Wo2000
i_l7003So`H00>3o1@00gOl8003Jo`<00=Oo0`00e?l3003Ao`800<ko0P00bol40038o`090035o`00
`_l00;oo002oo`00_?l00;Wo002fo`00/ol00;3o00800:go03800:[o002Wo`00XOl009_o002Ho`00
T_l008co0026o`00OOl007Oo001^o`00H_l005Wo001:o`00?_l002co000Jo`001ol0403o02/0o`19
0?l0I03o0880o`2P0?l0_P3o0=T0o`3d0?l0o`3c0?l0h@3o0<l0o`2m0?l0/@3o0:D0o`2I0?l0T03o
08L0o`1n0?l0N03o0780o`1/0?l0IP3o0600o`1M0?l0E`3o05@0o`1A0?l0CP3o04/0o`180?l0A@80
o`1200@0o`0o0?l0?03o03T0o`0i0`3o03H30?l0<`80o`0`0P3o02d30?l0:@@0o`0W1`3o02@50?l0
8@H0o`0M1`3o01/80?l060X0o`0D1`3oool000D0oooo3000k?l:003Yo`L00>Ko1P00hol5003Po`@0
0=go1`00f_l3003Go`<00=Co0P00dOl2003>o`800<_o0`00b?l02000aOl00<;o002oo`00_ol00;co
002io`00]_l00;?o0P00[Ol0;`00Yol00:Co002No`00V?l009;o002<o`00Pol007go001do`00J?l0
05co001=o`00?_l002So000Co`040?l07P3o03l0o`1N0?l0PP3o0:H0o`370?l0i@3o0?l0o`3o0>@0
o`3B0?l0_@3o0:h0o`2R0?l0T`3o08X0o`210?l0N03o0780o`1/0?l0IP3o05d0o`1J0?l0E03o0540
o`1>0?l0B`3o04P0o`150?l0@P3o03l0o`0l0080o`0i0`3o03H20?l0<`80o`0`0P3o02d20?l0:@<0
o`0W1`3o02@40?l08@D0o`0M1P3o01/80?l060T0o`0D2`3o01470?ooo`00103oool?003_o`X00>co
2000jOl6003Vo`H00>?o1000h?l4003Mo`D00=[o0`00eol2003Do`800=7o0P00c_l2003;o`800<So
00L00<Go0032o`00_ol00;co002io`00]_l00;?o00800:go02P00:Oo002Qo`00Vol009;o002<o`00
Pol007Oo001^o`00Gol0053o000no`009_l000ko0100o`0d0?l0F`3o0880o`2Y0?l0d`3o0?@0o`3o
0>d0o`3E0?l0_@3o0:/0o`2L0?l0T03o08@0o`1k0?l0LP3o06T0o`1S0?l0G@3o05L0o`1A0?l0CP3o
04/0o`180?l0@P3o03l0o`0l0P3o03T20?l0=P80o`0c00<0o`0`0?l0;@3o02d00P3o02T30?l09`H0
o`0T0`3o02450?l07@D0o`0K1P3o01P80?l050X0o`0A3P3o00l60?ooo`00103ooolM003_o`P00>co
1`00jOl5003Vo`@00>?o1000h?l3003Mo`D00=[o0P00eol2003Do`04003Ao`00c_l00<ko003;o`80
0<So02X00<Go0032o`00_ol00;co002fo`00/ol00:go002Zo`00Y?l009ko002Eo`00S?l0083o001d
o`00IOl005Ko000no`008ol000;o02D0o`1B0?l0PP3o0;80o`3O0?l0o`3i0?l0f03o0;d0o`2X0?l0
UP3o08L0o`1k0?l0LP3o06T0o`1P0?l0E`3o0540o`1>0?l0B`3o04D0o`120?l0?`3o03T20?l0=P80
o`0c00<0o`0`0?l0;@3o02d00P3o02T20?l09`D0o`0T0`3o02430?l07@@0o`0K1P3o01P60?l050T0
o`0A6`3o00l60?ooo`00103ooolD003boaH00>oo1`00k?l5003Yo`@00>Ko1000hol3003Po`800=go
1000f_l2003Go`05003Do`00dOl00=7o003>o`00bol00P00b?l08@00`_l00;oo002io`00/ol00:go
002Zo`00XOl009So002<o`00OOl006ko001Io`00?_l001[o0100o`190?l0PP3o0;h0o`3d0?l0o`3Q
0?l0_@3o0:D0o`2@0?l0OP3o0780o`1V0?l0G@3o05@0o`1>0?l0B03o0480o`0o0?l0>@020?l0=P03
0?l0<`3o0300o`0]0080o`0Y0P3o02L30?l090<0o`0Q0`3o01d30?l06`@0o`0H1@3o01@70?l04AH0
o`0?4`3o00`60?ooo`00103ooolH003eo`l00?;o4@00kol5003/o`@00>Wo0`00i_l3003So`800>3o
0P00gOl2003Jo`800=Oo02@00=Co003Ao`00c_l00<_o0038o`00`_l00;co002fo`00[Ol00:Oo002K
o`00S?l007Oo001Oo`00?_l000ko03@0o`220?l0d`3o0?l0k@3o0;d0o`2L0?l0Q03o0780o`1S0?l0
E`3o04h0o`180?l0?`3o03T0o`0f0?l0<`3o0300o`0]0?l0:@3o02L30?l09080o`0Q0P3o01d30?l0
6`<0o`0H103o01@50?l04A00o`0?3`3o00`G0?l020H0oooo00040?ooob000?So4000mOl:003bo`/0
0>oo1000k?l2003Yo`800>Ko0P00hol2003Po`0L003Mo`00f_l00=[o003Go`00dOl00<ko0038o`00
`_l00;Wo002]o`00XOl008co001^o`00?_l0403o0880o`3d0?l0o`2m0?l0T03o0780o`1M0?l0CP3o
0480o`0i0?l0=P3o0300o`0Y0?l09`80o`0T00@0o`0Q0?l07@3o01d0o`0K0P3o01P30?l050<0o`0A
2`3o00l:0?l03100o`087`3o00D60?ooo`00103oool`003koa000?So2000mOl5003bo`H00>oo0P00
k?l05`00jOl00>Ko003So`00h?l00=[o003Go`00c_l00<;o002]o`00S?l003ko0880o`3o0;d0o`1b
0?l0CP3o03T0o`0`0?l09`3o02@0o`0M0?l06`3o01P0o`0D0080o`0A1@3o00l50?l030P0o`08403o
00D_0?l00`H0oooo00040?ooof000?koH03o00050?ooo`00103oool`003ooQ000?ok2000ooP5003o
m@<00?ob1@00onl05`00on`00?oY003oiP00on<00?oM003ofP00om400?o5003o/000oh`00?ln08;o
003o_@00ofl00?m;003o=P00obd00?lT003o8@00oa/00?lH003o5000oa4000@0o`l00`3o30050?l8
00P0o`D0403o0`0_0?l000H0oooo00040?ooob000?ok4000ooP:003om@H00?ob2@00onl2003ok080
0?oY0P00onH2003oh`0K003oh000omd00?oJ003ofP00om@00?oA003ob`00olD00?nl003o/000oj@0
0?n<003oKP00och04?l008;o003do`00okd00?n=003oK`00oeX00?m;003o?`00ocH00?lc003o;@00
obL00080ob@000D0ob400?lM003o6`00oa/00?lH00020?lD00<0oa40203o3`060?l<00X0o`P0403o
1@0O0?l300H0oooo00040?oooaP00?oh3`00ooD9003olPd00?o_1000on`3003oj@<00?oV0P00on<2
003oh00Q003og@00omX00?oJ003ofP00omL00?oD003od@00ol/00?o8003oa@00okl00?ni003o/000
ojX00?nN003oS000ogX00?mR003o?P00oa40<Ol008;o003Co`00ond00?nm003oV@00oh400?m_003o
H000oe@00?m;003oA@00ocl00080ocH000@0oc000?l]003o:@00obL00`3o90000`3o8@00oad00?lM
00020?lK00<0oaP00`3o50040?lA00`0o`l02@3o300?0?l801L0o`D01P3oool000@0oooo5000ooD<
003olQ400?o_1@00on`4003oj@@00?oV0`00on<2003oh0800?oM1000omX09`00omL00?oD003oe000
om400?o>003ob`00olP00?o5003o`P00ok`00?nf003o/000ojd00?nT003oV000oh`00?n0003oKP00
oeT00?ln003o7@0@o`00A_l008;o002no`00m?l00?oN003o_@00oj800?n=003oN`00ofl00?mS003o
FP00oe400?m;003oA@00ocl00?ll00020?lf00040?lc003o<000obd00?lY0080obL00`3o90020?lQ
00<0oad00`3o6`030?lH00@0oa@01@3o4@0A0?l?00`0o``04`3o20060?ooo`00103oool@003olQD0
0?o_1`00on`5003oj@@00?oV1000on<3003oh0<00?oM1000omX2003oe`05003oe000om400?oA003o
cP00ol/00P00olP0:000olD00?o2003o_`00okT00?nf003o/000ojd00?nW003oX@00oiP00?n<003o
P`00ogL00?mX003oEP00och00?lS003o1@0Uo`00D_l008;o002bo`00gol00?of003of000okd00?nU
003oT`00ohL00?mk003oK`00ofH00?mM003oE`00oe400?m;003oB000od800?lo003o?0020?lf0080
oc<000@0oc000?l]003o:@00obT00P3o9`040?lT00<0ob400`3o7@030?lK00@0oaP01P3o50060?lA
01D0o`l03`3o30060?ooo`00103ooolI003ok`P00?o/1P00onT6003oiP@00?oS1000on03003og@D0
0?oJ0P00omL2003oe0800?oA00<00?o>003ob`00ol/00P00olP0;@00olD00?o2003o_`00ok`00?ni
003o]P00ok000?n]003oZP00oj@00?nN003oU@00oh`00?n6003oNP00ofh00?mR003oD`00och00?lX
003o4@0@o`00<Ol005_o0022o`00ZOl00=?o003do`00ond00?oE003o_@00ojP00?nI003oS@00oh40
0?mh003oK`00ofH00?mP003oFP00oe@00?mA003oB`00odP00?m500020?lo00050?li003o=P00ocH0
0?lf003o<`000P3o<0000`3o;@00obT00?lY00030?lW00D0ob@00`3o8@030?lM00D0oa/01@3o6006
0?lD00P0oa40603o3`060?ooo`00103oool=003ok`X00?o/1`00onT6003oiPD00?oS1000on04003o
g@H00?oJ0`00omL2003oe0800?oA0P00olh01P00ol/00?o8003ob000olP00?o5003o`P800?no02/0
0?nl003o]P00okH00?n`003o[@00ojX00?nW003oX@00oi/00?nE003oS000ohH00?mm003oM000of/0
0?mL003oD000och00?l/003o5`01o`007_l003go001No`00P_l00:Ko0037o`00iOl00?ol003oi000
oll00?nm003oZ`00oil00?nC003oQ`00ogh00?me003oK`00ofT00?mS003oG@00oeL00080oe4000L0
od/00?m8003oA@00od800?lo003o?000ocT000<0ocH00P3o<`020?l`0080obd00P3o:@030?lW00D0
ob@0103o8@040?lM00D0oa/01P3o60080?lD00T0oa40303o3`060?ooo`001@3oool;003ok0P00?oY
1`00onH6003oh`D00?oP1000omd7003ofP<00?oG0`00om@2003od@800?o>0P00ol/3003ob009003o
a@00ol800?o2003o_`00ok`00?ni003o]P00ok<00?n`00800?n]02/00?nW003oY000oih00?nH003o
U@00oh`00?n9003oP000ogL00?m^003oI@00oeT00?m=003o?P00obl00?lM003o1`0@o`00:ol004Ko
001To`00P_l00:3o002no`00fOl00?Co003ol`00omh00?o<003o_@00ojh00?nR003oUP00ohd00?n4
003oN`00ogD00?m_003oJ@00of<00?mM003oFP00oe@00080oe4000@0od/00?m8003oA@00od800P3o
?`000`3o?000ocT00?lf00030?lf0080oc<00P3o<0020?l]0080obT00`3o9`070?lT00@0ob401@3o
7@060?lK00L0oaP0203o500:0?lA00L0oooo00050?ooo`X00?oY2000onH6003oh`H00?oP1000omd8
003ofP@00?oG0P00om@3003od@800?o>0`00ol/3003ob0800?o500P00?o2003o_`00okl00?nl003o
^@00okH00?nc003o/0800?n]03400?nZ003oY`00oj400?nN003oV000oi800?n<003oR@00oh<00?mj
003oM000of/00?mR003oF@00odd00?ln003o;`00ob<00?lA00Co000Io`00<Ol004co001Wo`00P_l0
09go002ho`00dol00>So003oo`00ond00?oK003ob@00okd00?n^003oY@00oiT00?n@003oRP00oh40
0?mk003oM@00ofl00?mY003oIP00of000?mJ003oE`00oe@00080oe4000D0od/00?m8003oB000odD0
0?m200020?lo00030?ll003o>@00ocH000<0ocH00P3o<`030?l`0080obd00`3o:@030?lW00P0ob@0
1@3o8@050?lM00H0oa/0203o60090?lD00L0oooo00050?ooo`T00?oV1`00on<6003oh0H00?oM2000
omX4003oe`<00?oD0`00om42003ocP<00?o;1000olP2003oa@04003o`P00okl00?no003o_0800?ni
00<00?nf003o/`00ok000P00ojd0=P00ojX00?nW003oY000oj400?nK003oV000oi800?n<003oR@00
oh<00?mm003oM`00ofh00?mX003oG`00oeH00?m:003o?P00oc800?lS003o4`00o`D04?l002Go000j
o`00D_l006[o0022o`00V_l00;;o003:o`00gol00?Co003omP00onL00?oH003ob@00okd00?na003o
Y@00oi`00?nC003oS@00ohL00?n1003oN`00ogD00?m_003oJ@00ofH00?mP003oG@00oeX00?mG00<0
oe400P3oB`000`3oB000odD00?m200020?lo0080oc`000<0ocT00?lf003o=P000P3o=P030?lc0080
oc000`3o;@030?lY00@0obL02@3o90050?lQ00H0oad01`3o6`080?lH00L0oooo00050?ooo`P00?oS
1`00on06003og@T00?oJ1@00omL3003oe0<00?oA0`00olh3003ob`@00?o80P00olD2003o`P800?no
00H00?nl003o^@00okH00?nf003o/`00ok02003o[@0l003oZP00ojL00?nW003oX@00oih00?nK003o
V000oi800?n<003oR@00oh<00?mm003oM`00og@00?m[003oI@00oe`00?mF003oBP00och00?ld003o
9P00oaX00?l;00Ko000Io`00;_l003oo001Eo`00KOl008;o002Go`00[ol00<Co003Fo`00jol00?go
003ol`00on400?oE003ob@00okd00?nd003oZ000oil00?nI003oT000ohX00?n4003oOP00ogP00?mb
003oK`00of`00?mV003oH`00oed00?mJ003oE`00oe@00P3oD@00103oCP00od/00?m;003oB0020?m5
00030?m2003o?`00ocl00080oc`000<0ocT00?lf003o=P000`3o=P030?lc0080oc000`3o;@040?lY
00@0obL02@3o90060?lQ00L0oad01`3o6`070?ooo`001@3oool8003oh0H00?oM2P00omX5003oe`@0
0?oD0`00om43003ocP<00?o;1@00olP2003oa@800?o20P00okl2003o_005003o^@00okH00?nf003o
/`00ok000`00ojd0@@00ojX00?nW003oY000oj400?nN003oV000oiD00?nB003oS000ohT00?n6003o
P000ogX00?md003oKP00ofP00?mR003oF@00oe<00?m:003o?P00oc@00?lX003o7@00oa400?l2013o
000Ro`00<Ol004Ko001Ko`00L?l008;o002Do`00ZOl00;ko003Co`00h_l00?Co003oo000ond00?oN
003oe@00olH00?nm003o]000ojP00?nR003oV@00oi<00?n=003oQ`00oh400?mk003oN000og800?m_
003oK000ofH00?mS003oH000oed00?mJ003oE`00oe@00080oe4000@0odh00?m;003oB`00odP00P3o
A@001@3o@P00ocl00?lo003o?`00oc`00080ocT01@3o=P030?lc00<0oc000`3o;@040?lY00D0obL0
2P3o90060?lQ00L0oad01`3oool000D0oooo1`00omd;003ofPH00?oG1000om@3003od@<00?o>1000
ol/5003ob0800?o50P00ol82003o_`800?nl0P00okT2003o]P03003o/`00ok000?n]00800?n]00<0
0?nZ003oY`00oj@00P00oj40?`00oi/00?nH003oU@00oi800?n<003oR@00ohH00?n3003oO@00ogL0
0?ma003oJ`00ofD00?mO003oF@00oe000?m7003o?P00oc@00?lX003o7`00oa<00?l700Ko000Fo`00
:?l003Oo0019o`00Fol0073o0022o`00U?l00:Ko002ho`00cOl00=co003^o`00oOl00?of003oi`00
om/00?oB003oaP00okd00?nd003oZ`00ojD00?nL003oUP00oi000?n:003oQ`00oh400?mk003oM@00
og800?m_003oK000ofH00?mS003oH000oed00?mJ00020?mG00040?mD003oD@00oe400?m>0080od/0
0P3oB0000`3oA@00od800?m200020?lo0080oc`00P3o>@050?lf00@0oc<00`3o<0040?l]00@0obT0
1@3o9`0;0?lT00H0ob401`3oool000D0oooo3000omX6003oe`@00?oD1000om44003ocP<00?o;1P00
olP2003oa@800?o20`00okl2003o_006003o^@00okH00?nf003o]P00ok<00?n`0`00ojd0A`00ojX0
0?nW003oY`00oj@00?nQ003oWP00oi/00?nH003oU@00oi800?n<003oR@00ohH00?n3003oO@00ogX0
0?md003oKP00of/00?mU003oG000oeT00?m@003oA`00och00?ld003o;000ob<00?lG003o2`01o`00
4?l001ko000^o`00?Ol004co001No`00L?l008;o002Ao`00Y_l00;Go0037o`00e_l00>Go003do`00
oo`00?o`003oi000om/00?o?003oaP00okd00?nd003oZ`00ojD00?nO003oV@00oi<00?n=003oQ`00
oh@00?mn003oN`00ogD00?mb003oK`00of`00?mY003oIP00of<00080oed000<0oeX00?mG003oE000
0`3oD@000`3oCP00od/00?m;00020?m80080odD000@0od800?lo003o?`00ocl00P3o?0020?li00H0
ocH0103o<`030?l`00@0obd0103o:@060?lW00/0ob@01`3oool000D0oooo1P00omX7003oe`@00?oD
1000om44003ocP@00?o;1P00olP2003oa@<00?o20P00okl2003o_0800?ni0P00okH2003o/`03003o
/000ojd00?n]00800?n]00<00?nZ003oY`00oj@00P00oj401@00oih00?nK003oV000oiD00?nB0080
0?n<04800?n6003oP`00oh000?mj003oM`00og400?m^003oJ000of800?mL003oEP00oe000?m7003o
?P00ocP00?l_003o8`00oaX00?lA003o1@09o`005_l002Go000ao`00@ol005;o001Qo`00L?l008;o
002Ao`00Xol00;;o0031o`00dol00=oo003^o`00n_l00?of003ok@00on400?oH003oc`00olH00?nm
003o]000ojh00?nU003oXP00oiT00?nC003oT000ohX00?n7003oP@00ogh00?mk003oM@00og800?m_
003oK000ofT00?mV003oH`00of000?mM003oFP020?mG00050?mD003oD@00oe400?mA003oCP000P3o
B`020?m80080odD00P3o@P030?lo0080oc`00P3o>@060?lf00@0oc<0103o<0040?l]00D0obT01P3o
9`050?lT00L0oooo00050?ooo`L00?oG1@00om@4003od@@00?o>1@00ol/6003ob0800?o50`00ol83
003o_`800?nl0P00okT2003o]P800?nc0P00ok03003o[@07003oZP00ojL00?nW003oY000oj400?nN
003oV`02003oV018003oU@00oi800?n<003oS000ohT00?n3003oP000ogd00?mg003oM000ofh00?m[
003oI@00of800?mI003oEP00odd00?m7003o?P00ocP00?l_003o9P00oad00?lC003o1`04o`004?l0
01co000[o`00=ol004Ko001Eo`00I?l007?o0022o`00TOl00:3o002_o`00__l00<go003Io`00j?l0
0?Co003oo`00oo<00?oZ003ogP00omD00?o<003oaP00okd00?nd003o[P00ojP00?nR003oW000oiH0
0?nC003oS@00ohX00?n4003oP@00og/00?mh003oM@00og800?m_003oK000ofT00?mV003oH`00of00
0P3oG@00103oFP00oeL00?mD003oE0030?mA00030?m>003oB`00od/00080odP00P3oA@020?m200<0
ocl00`3o?0020?li00L0ocH0103o<`040?l`00@0obd01@3o:@060?lW00L0oooo00060?ooo`H00?oD
1000om45003ocP@00?o;1`00olP3003oa@800?o20`00okl3003o_0800?ni0P00okH2003o/`800?n`
0`00ojd01000ojX00?nW003oY`00oj@2003oX@04003oWP00oi/00?nH003oV0800?nB0P00oh`0B000
ohT00?n3003oP000ogd00?mj003oM000og400?m^003oJ000ofD00?mO003oF@00oe<00?m=003oA`00
och00?lh003o;`00obH00?lO003o5`00o`/00?l200Wo000Fo`008_l002ko000jo`00BOl005So001T
o`00Lol008;o002Ao`00X?l00:co002ho`00b_l00=?o003Ro`00k_l00?[o003on@00oo000?oT003o
f`00omD00?o<003oaP00okd00?ng003o[P00ojP00?nR003oW000oiT00?nC003oT000ohX00?n7003o
Q000oh400?mk003oN000ogD00?mb003oK`00of`00?mY003oIP00of<00?mP0080oed000@0oeX00?mG
003oE`00oe@0103oD@000`3oCP00od/00?m;00030?m80080odD00P3o@P030?lo00<0oc`00P3o>@07
0?lf00D0oc<0103o<0040?l]00D0obT0203oool000H0oooo1@00om45003ocPD00?o;1`00olP3003o
a@<00?o20`00okl2003o_0800?ni0`00okH2003o/`800?n`0`00ojd2003oZP800?nW00L00?nT003o
X@00oj400?nN003oV`00oiP00?nE00800?nB0P00oh`0B@00ohT00?n6003oP`00ogd00?mj003oM`00
og@00?m^003oJ`00ofD00?mR003oG000oeT00?mC003oC@00odL00?ln003o>000obl00?lX003o8`00
oaX00?lA003o1`04o`004?l001Wo000Xo`00<Ol003oo001<o`00Fol006Oo001co`00P_l0097o002M
o`00ZOl00;So0034o`00dol00=co003Xo`00m?l00?oo003omP00ond00?oT003of`00omD00?o9003o
``00okd00?ng003o[P00ojP00?nU003oW`00oiT00?nF003oT000ohd00?n:003oQ`00oh400?mn003o
N`00ogP00?me003oLP00ofl00?m/003oJ@000P3oIP000`3oH`00of000?mM00020?mJ0080oeL000<0
oe@00?mA003oD@000P3oD@000`3oCP00od/00?m;00030?m80080odD00P3o@P040?lo0080oc`00`3o
>@070?lf00D0oc<01@3o<0040?l]00P0oooo00060?ooo`D00?o>1@00ol/8003ob0<00?o50`00ol83
003o_`<00?nl0P00okT3003o]P800?nc0P00ok04003o[@03003oZP00ojL00?nW00800?nT00H00?nQ
003oWP00oi/00?nK003oV000oiD2003oTP800?n<04d00?n9003oQP00oh<00?n0003oO@00ogL00?md
003oL@00ofh00?m[003oI@00of800?mL003oEP00oe000?m:003oA`00och00?lh003o<P00obP00?lS
003o6P00oa<00?l;003o0P09o`004_l001ko000[o`00=ol004?o001?o`00Fol006[o001co`00P_l0
097o002Mo`00ZOl00;Go0031o`00cOl00=Wo003Uo`00k_l00?[o003oo000oo<00?oZ003oh@00omP0
0?oB003ob@00ol<00?nm003o]`00ok400?n[003oY@00oj800?nL003oV@00oi<00?n@003oRP00ohL0
0?n4003oP@00ogh00?mk003oN000ogD00?mb003oK`00of`00?mY00020?mV00050?mS003oH000oed0
0?mM003oFP000P3oE`020?mD00@0oe4000<0odh00?m;003oB`000`3oB0030?m50080od800`3o?`03
0?ll00<0ocT0203o=P050?lc00@0oc00203oool000H0oooo1P00ol/8003ob0<00?o50`00ol84003o
_`800?nl0`00okT3003o]P800?nc0P00ok04003o[@800?nZ0P00ojL01@00oj@00?nQ003oX@00oih0
0?nK00800?nH00<00?nE003oTP00oi800P00oh`0B@00ohT00?n6003oP`00oh000?mm003oNP00ogL0
0?md003oKP00of/00?mX003oHP00oel00?mI003oEP00oe000?m:003oA`00och00?lh003o<P00ob`0
0?lS003o7@00oa<00?l;003o1@04o`004?l001Wo000Uo`00;_l003[o0016o`00D_l005_o001Zo`00
M_l008;o002>o`00V_l00:Ko002bo`00__l00<[o003Co`00gol00>_o003do`00oOl00?of003ok@00
onL00?oN003of000oll00?o9003o``00okd00?ng003o/@00oj/00?nU003oXP00oi`00?nI003oT`00
oi000?n=003oRP00ohL00?n4003oP@000P3oN`020?me00040?mb003oK`00of`00?mY0080ofH000@0
of<00?mP003oH000oed00P3oFP020?mG00030?mD003oD@00oe4000<0oe4000@0odh00?m;003oB`00
od/00P3oB0030?m50080od80103o?`030?ll00<0ocT0203o=P050?lc00P0oooo00060?ooo`03003o
b`00olP00?o800L00?o80`00olD3003o`P@00?no0`00ok`2003o^@@00?nf0P00ok<2003o/0@00?n]
0P00ojX2003oY`800?nT0P00oj401`00oih00?nK003oV000oiP00?nE003oTP00ohl00P00oh`0B@00
ohT00?n6003oP`00oh000?mm003oNP00ogL00?md003oL@00ofh00?m[003oI@00of800?mL003oF@00
oeH00?m@003oBP00odL00?ln003o>000oc@00?l/003o9P00oad00?lG003o4@00o`L00Ol000Wo000B
o`007_l002So000ao`00?Ol004Wo001Eo`00G_l006[o001fo`00P_l008ko002Jo`00Y_l00:oo002k
o`00aol00=?o003Io`00iOl00>ko003jo`00oo`00?oc003ok@00on@00?oN003of000oll00?o9003o
``00okd00?ng003o/@00oj/00?nX003oXP00oil00?nI003oUP00oi<00?n@003oRP000P3oQ`00103o
P@00ogh00?mk003oN0020?me00060?mb003oK`00of`00?m/003oJ@00ofH00P3oH`00103oH000oed0
0?mM003oFP020?mG0080oe@0103oD@020?m>00<0od/00`3oB0020?m500<0od80103o?`030?ll00<0
ocT0203o=P000`3o<`00oooo0?ooo`060?ooo`001`3oool5003ob0<00?o51000ol84003o_`<00?nl
0P00okT3003o]P<00?nc0P00ok04003o[@800?nZ0`00ojL00`00oj@00?nQ003oX@02003oWP06003o
V`00oiP00?nH003oU@00oi800?n?0P00oh`01000ohT00?n6003oP`00oh<2003oO@800?mg04`00?md
003oKP00of/00?mX003oI@00of800?mL003oF@00oeH00?m@003oBP00od@00?ln003o>000oc@00?l_
003o9P00oal00?lJ003o4@00o`/00?l200Ko000@o`006Ol002;o000^o`00=ol003oo0019o`00EOl0
067o001]o`00M_l008;o002>o`00Uol00:?o002_o`00^?l00<Co003=o`00e_l00>;o003[o`00m?l0
0?go003on@00oo<00?oZ003oh@00om/00?oE003oc`00olT00?o3003o_@00okL00?nd003o[P00ojP0
0?nU003oW`00oi`00?nI003oT`00oi000?n=003oRP00ohL00?n4003oP@00ogh00?mk003oN000ogD0
0P3oLP00103oK`00of`00?m/003oJ@020?mV00040?mS003oH000oed00?mM0080oeX00P3oE`020?mD
00@0oe400P3oCP030?m;00<0odP00`3oA@020?m200@0ocl0103o?0030?li00@0ocH02@3oool000L0
oooo1000olD4003o`P@00?no0`00ok`3003o^@<00?nf0`00ok<2003o/0D00?n]0P00ojX2003oY`80
0?nT0P00oj401000oih00?nK003oV`00oiP2003oU@04003oTP00ohl00?n<003oS0800?n90P00oh<0
B`00oh000?mm003oNP00ogL00?md003oL@00ofh00?m[003oI@00of800?mO003oG000oeT00?mC003o
D000odX00?m4003o?P00ocP00?ld003o;`00obP00?lS003o6P00oa<00?l>003o1@04o`002Ol001;o
000Lo`00:?l002ko000jo`00@ol004co001Ho`00HOl006go001fo`00P_l008ko002Go`00Xol00:co
002ho`00`Ol00<[o003Co`00g?l00>So003ao`00mol00?oo003omP00ond00?oW003oh@00om/00?oE
003oc`00olT00?o0003o_@00okL00?nd003o[P00ojP00?nU003oXP00oi`00?nI003oUP00oi<00?n@
00020?n:00070?n7003oQ000oh400?mn003oN`00ogP00?me00020?mb00040?m_003oK000of`00?mY
0080ofH000<0of<00?mP003oH0000P3oG@00103oFP00oeL00?mG003oE`020?mD00@0oe400P3oCP03
0?m;00<0odP00`3oA@030?m200@0ocl0103o?0030?li00T0oooo00070?ooo`@00?o21@00okl3003o
_0<00?ni0`00okH3003o/`800?n`1@00ojd2003oZP800?nW0P00oj@2003oX@800?nN00<00?nK003o
V000oiP00P00oiD01000oi800?n?003oS000oh`2003oR@06003oQP00oh<00?n0003oO@00ogX00?mg
0P00og@0CP00ofh00?m[003oJ000ofD00?mR003oG`00oeT00?mF003oD`00odd00?m:003oA000och0
0?lk003o=000obl00?lX003o8`00oad00?lG003o4@00o`L00?l200Ko000@o`006Ol002;o000[o`00
<Ol003go0016o`00Col005_o001To`00L?l007Wo0022o`00S_l009Co002Po`00ZOl00;Go002no`00
aol00=?o003Io`00h_l00>_o003do`00oOl00?ol003ol`00ond00?oT003ogP00omP00?oE003oc000
olH00?o0003o_@00okL00?nd003o[P00ojP00?nU003oXP00oil00?nI003oUP00oi<00?n@003oS@00
ohX00?n7003oQ000oh400?mn0080og/000D0ogP00?me003oLP00og800?m_00020?m/00040?mY003o
IP00ofH00?mS0080of000P3oG@020?mJ0080oeL00P3oE0050?mA0080odh00`3oB`030?m800<0odD0
0`3o@P050?lo00<0oc`02@3oool000L0oooo1@00okl3003o_0<00?ni1000okH3003o/`800?n`1@00
ojd2003oZP<00?nW0P00oj@2003oX@800?nN00@00?nK003oV000oiP00?nE0P00oi800`00ohl00?n<
003oS002003oR@03003oQP00oh<00?n000800?mm0P00ogL0BP00og@00?ma003oKP00of/00?mX003o
I@00of800?mL003oF@00oeH00?mC003oC@00odX00?m4003o?P00oc/00?ld003o;`00obP00?lS003o
7@00oaX00?lA003o2`00o`D01?l000Wo000Bo`007?l002Go000^o`00=?l003oo0019o`00D_l005_o
001To`00L?l007Wo0022o`00Rol009Co002Po`00ZOl00;;o002ko`00a?l00=3o003Fo`00gol00>So
003ao`00mol00?oo003omP00oo000?oZ003oi000omh00?oH003odP00ol`00?o6003o`000okd00?ng
003o]000ojh00?n[003oY@00oj800?nO003oW000oiT00P3oT`001`3oT000ohX00?n:003oQ`00oh@0
0?n1003oOP000P3oN`001@3oN000ogD00?mb003oLP00ofl00080of`000<0ofT00?mV003oIP000P3o
H`001@3oH000oed00?mM003oG@00oeX000<0oeL00P3oE0050?mA0080odh00`3oB`040?m800<0odD0
0`3o@P040?lo00T0oooo00080?ooo`@00?nl0`00okT4003o]P<00?nc0P00ok06003o[@800?nZ0P00
ojL2003oY0<00?nQ00<00?nN003oV`00oi/00P00oiP01000oiD00?nB003oTP00ohl2003oS0800?n9
00X00?n6003oP`00oh<00?n0003oO@00ogX00?mg003oM000og400?m^0P00of/0C@00ofD00?mR003o
G`00oe`00?mI003oEP00oe000?m=003oA`00od@00?ln003o>`00oc@00?l_003o:000obH00?lO003o
6P00oa<00?l>003o1`01o`001_l0013o000Fo`007_l002So000^o`00=ol003oo0019o`00D_l005_o
001Wo`00L?l007Wo0022o`00Rol009Co002Mo`00Y_l00;;o002ho`00`Ol00<go003Co`00g?l00>Go
003^o`00m?l00?go003oo000ooH00?o]003oi`00on400?oK003of000om800?o<003oaP00ol000?nm
003o]`00ok@00?n^003oZ`00ojP00?nU003oXP00oi`00?nI003oUP00oi<00?n@003oS@00ohX00080
ohL00P3oP@000`3oOP00og/00?mh00020?me0080og8000@0ofl00?m/003oK000ofT00P3oIP020?mS
0080of000P3oG@020?mJ00<0oeL00P3oE0050?mA0080odh00`3oB`040?m800<0odD00`3o@P0:0?oo
o`00203oool4003o^@@00?nf0`00ok<2003o/0H00?n]0P00ojX3003oY`800?nT0P00oj42003oWP80
0?nK0P00oiP01000oiD00?nB003oTP00ohl2003oS0800?n900H00?n6003oP`00oh<00?n0003oO@00
ogX2003oM`1>003oM000og400?m^003oJ`00ofP00?mU003oHP00oel00?mL003oF@00oeH00?m@003o
C@00odL00?m4003o?P00oc/00?ld003o;`00ob`00?lV003o8`00oad00?lC003o4@00o`L00?l200Co
0009o`004_l001Wo000Ro`00:ol0037o000jo`00@ol004co001Eo`00Fol006Oo001`o`00NOl008;o
002;o`00U?l009go002Vo`00[ol00;So0031o`00b_l00=?o003Io`00gol00>So003ao`00mol00?oo
003on@00oo<00?o]003oi`00on400?oK003oe@00oll00?o9003oaP00ol000?nm003o]`00ok@00?n^
003oZ`00ojP00?nU003oXP00oi`00P3oV@001`3oT`00oi000?n@003oS@00ohX00?n7003oQ0000P3o
P@000`3oOP00og/00?mh00020?me0080og8000<0ofl00?m/003oK0000P3oJ@020?mV00030?mS003o
H000of000080oed00P3oFP030?mG0080oe@01P3oD@020?m>00<0od/0103oB0030?m500X0oooo0008
0?ooo`D00?nf0`00ok<2003o/0H00?n]0P00ojX3003oY`800?nT0`00oj42003oWP05003oV`00oiP0
0?nH003oV000oiD00P00oi800`00ohl00?n<003oS002003oR@04003oQP00oh<00?n3003oP0800?mm
00@00?mj003oM`00og@00?ma0P00ofh01@00of/00?mU003oI@00of800?mL00800?mI04d00?mF003o
D000odX00?m7003oA000och00?lk003o=000oc800?l/003o9P00ob<00?lM003o5`00oa400?l;003o
1@01o`002Ol0013o000Fo`007_l002So000^o`00=?l003go0016o`00C?l005So001No`00Iol0073o
001io`00P_l008_o002Ao`00WOl00:Ko002/o`00]Ol00;ko0037o`00d?l00=Ko003Lo`00iOl00>ko
003do`00oOl00?ol003omP00oo000?oZ003oi000omh00?oK003oe@00oll00?o9003oaP00ol000?nm
003o]`00ok@00?na003oZ`00ojP00?nU003oXP00oil00?nL003oV@00oiH00?nC003oT000ohd00?n:
00020?n700030?n4003oP@00ogh00080og/000<0ogP00?me003oM@000P3oLP000`3oK`00of`00?m/
00020?mY0080ofH00P3oH`00103oH000oed00?mM003oG@020?mJ00<0oeL00P3oE0060?mA0080odh0
0`3oB`040?m800X0oooo00090?ooo`@00?nc0P00ok06003o[@<00?nZ0`00ojL2003oY0<00?nQ00<0
0?nN003oV`00oi/00P00oiP2003oU@800?nB00<00?n?003oS000oh`00P00ohT2003oQP06003oP`00
oh000?mm003oO@00ogX00?mg0P00og@0EP00og400?m^003oJ`00ofP00?mU003oHP00oel00?mL003o
F@00oeH00?mC003oD000odX00?m7003oA000och00?lk003o>000oc800?l/003o:000ob<00?lM003o
6P00oa<00?l>003o1`00o`801?l000go000Bo`006Ol002;o000Xo`00;_l003Oo000oo`00BOl004oo
001Ho`00G_l006[o001`o`00NOl008;o002;o`00TOl009[o002Vo`00[?l00;Go002ko`00a?l00<go
003Co`00fOl00>;o003[o`00lOl00?Oo003mo`00ooT00?oc003ok@00onX00?oT003ogP00omP00?oE
003oc`00olT00?o6003o`000okd00?ng003o]000ok400?n^003oZ000ojD00?nR003oW`00oi`00?nI
003oUP00oi<00P3oT000103oS@00ohX00?n7003oQ0020?n100040?mn003oN`00og/00?mh0080ogD0
0P3oLP000`3oK`00of`00?m/00020?mY0080ofH00P3oH`020?mP0080oed00P3oFP030?mG00<0oe@0
1P3oD@020?m>00<0od/02`3oool000T0oooo0`00ok07003o[@800?nZ0`00ojL2003oY0<00?nQ0P00
oih2003oV`800?nH0P00oiD2003oTP05003oS`00oh`00?n<003oS000ohT00P00ohH2003oP`03003o
P000ogd00?mj00800?mg05@00?md003oL@00ofh00?m^003oJ`00ofP00?mU003oHP00oel00?mL003o
F@00oeH00?mC003oD000odX00?m7003oA000och00?lk003o>000oc800?l_003o:000ob<00?lO003o
6P00oa<00?lA003o2`00o`D00Ol000Wo000@o`005_l001co000Uo`00;_l0037o000jo`00@ol004Wo
001Bo`00Fol0067o001Zo`00L?l007Wo0022o`00Rol0097o002Jo`00Xol00:Wo002bo`00^?l00<7o
003:o`00dol00=Wo003Oo`00j?l00>ko003do`00n_l00?ol003omP00oo<00?o]003oi`00on400?oK
003of000omD00?o?003ob@00olH00?o0003o_@00okL00?nd003o/@00ojh00?nX003oY@020?nR0003
0?nL003oV@00oiT00080oi<000H0oi000?n=003oRP00ohX00?n7003oQ0020?n100040?mn003oN`00
og/00?mh0080ogD00P3oLP000`3oK`00of`00?m/00020?mY0080ofH00P3oH`020?mP00<0oed00P3o
FP030?mG0080oe@01`3oD@020?m>00/0oooo00090?ooo`L00?n]0P00ojX4003oY`800?nT0`00oj42
003oWP800?nK0P00oiP2003oU@800?nB00@00?n?003oS000oh`00?n<0P00ohT01000ohH00?n3003o
P`00oh02003oO@06003oNP00ogL00?md003oM000og400?m^0P00of/2003oI@1=003oHP00oel00?mL
003oF@00oeH00?mC003oD000odX00?m7003oA000och00?lk003o>000oc@00?l_003o:000obH00?lO
003o7@00oaL00?lA003o2`00o`L00?l200Co000=o`004_l001Wo000Ro`00:?l002ko000do`00?Ol0
04Ko001<o`00D_l005_o001Qo`00J_l0073o001io`00P_l008_o002Ao`00V_l00:?o002Yo`00/_l0
0;So0031o`00aol00=3o003Co`00g?l00>;o003[o`00lOl00?Oo003mo`00oo`00?of003ol000onX0
0?oT003oh@00om/00?oH003odP00oll00?o9003oaP00ol000?nm003o]`00ok@00?na003o[P000P3o
Z0001`3oY@00oj800?nO003oW000oiT00?nF003oT`000P3oT0001P3oS@00ohX00?n7003oQ`00oh@0
0?n10080ogh000<0og/00?mh003oN0000P3oM@020?mb00050?m_003oK000of`00?m/003oJ@000`3o
IP000`3oH`00of000?mP00030?mM0080oeX0103oE`020?mD00H0oe402`3oool000X0oooo0`00ojd3
003oZP<00?nW0P00oj@3003oX@800?nN0P00oi/3003oV0800?nE0P00oi801000ohl00?n<003oS000
oh`2003oR@04003oQP00oh<00?n3003oP0800?mm00D00?mj003oM`00ogL00?md003oL@02003oKP03
003oJ`00ofP00?mU00800?mR05H00?mL003oF@00oeT00?mF003oD000odd00?m:003oA`00od@00?ln
003o>`00ocP00?ld003o;`00obP00?lV003o8`00oad00?lJ003o4`00o`h00?l7003o0P04o`002Ol0
013o000Fo`007?l002;o000[o`00;_l003Oo000oo`00A_l004co001Eo`00Fol006Co001]o`00Lol0
07co0022o`00Rol0097o002Go`00X?l00:Ko002_o`00^?l00;ko0034o`00cOl00=?o003Io`00gol0
0>So003^o`00m?l00?[o003oo`00ooT00?oc003ok@00onX00?oT003ogP00om/00?oE003odP00ol`0
0?o9003oaP00ol000?nm003o]`00ok@00?na003o[P00oj/00?nX003oY@00oj800?nO003oW000oiT0
0?nF0080oi<000H0oi000?n=003oRP00ohX00?n7003oQ0020?n100030?mn003oN`00og/00080ogP0
0P3oM@020?mb00050?m_003oK000of`00?m/003oJ@000`3oIP020?mS0080of000`3oG@020?mJ00<0
oeL00`3oE0020?mA00`0oooo000:0?ooo`<00?nZ1000ojL2003oY0<00?nQ0P00oih2003oV`<00?nH
00D00?nE003oTP00oi800?nB003oS`03003oS0800?n900@00?n6003oP`00oh<00?n00P00ogd00`00
ogX00?mg003oM`02003oM00:003oL@00ofh00?m[003oJ`00ofP00?mU003oHP00oel00?mL003oF@80
0?mF04P00?m@003oC@00odX00?m7003oA000och00?lk003o>000oc@00?l_003o:000obH00?lS003o
7@00oaX00?lC003o4@00o`/00?l5007o0006o`003Ol001;o000Io`007_l002Go000^o`00<Ol003[o
000oo`00BOl004oo001Eo`00Fol006Co001]o`00Lol007co0022o`00R?l0097o002Go`00X?l00:Ko
002_o`00]Ol00;_o0034o`00b_l00=?o003Fo`00gol00>Go003[o`00lOl00?Oo003mo`00oo`00?of
003ol`00ond00?oW003oh@00omh00?oH003oe@00om800?o<003ob@00olH00?o0003o_@020?ng0008
0?nd003o[P00oj/00?nX003oY@00oj800?nO003oW0020?nI00060?nF003oT`00oi000?n@003oS@00
ohX00P3oQ`00103oQ000oh400?n1003oOP020?mk00030?mh003oM@00ogD000<0og8000D0ofl00?m/
003oK000of`00?mY00030?mV0080of<00P3oH0030?mM0080oeX0103oE`020?mD00`0oooo000:0?oo
o`@00?nW0P00oj@4003oX@800?nN0P00oi/3003oV005003oU@00oi800?nB003oTP00ohl00`00oh`2
003oR@03003oQP00oh<00?n300800?n00P00ogd01@00ogX00?mg003oM000og@00?ma00800?m^05/0
0?m[003oJ000ofD00?mU003oHP00oel00?mL003oF@00oeH00?mC003oD000odd00?m:003oA`00od40
0?ln003o>`00ocP00?ld003o;`00ob`00?lV003o8`00oal00?lJ003o5`00oa400?l;003o1`00o`80
1?l000Wo000@o`005_l001co000Ro`00:?l002ko000do`00>_l004?o0019o`00Col005So001No`00
I?l006go001co`00O?l008;o0028o`00TOl009Oo002Po`00Y_l00:co002eo`00^?l00<7o003:o`00
d?l00=?o003Lo`00h_l00>So003^o`00m?l00?[o003oo`00ooT00?oc003ol000onX00?oT003oh@00
om/00?oH003oe@00oll00?o<003ob@00olH00?o0003o_@00okX00?ng003o]000ojh00?n[003oZ000
ojD00080oj800P3oW0001P3oV@00oiH00?nC003oT`00oi000?n=0080ohX00P3oQ`00103oQ000oh40
0?n1003oOP020?mk00030?mh003oM@00ogD000<0og8000@0ofl00?m/003oK000of`00P3oJ@020?mV
0080of<00P3oH0040?mM0080oeX00`3oE`0<0?ooo`002`3oool3003oY0<00?nQ0P00oih3003oV`80
0?nH0P00oiD3003oTP04003oS`00oh`00?n<003oS0800?n90P00ohH2003oP`04003oP000ogd00?mm
003oNP800?mg0P00og@01P00og400?m^003oJ`00of/00?mX003oI@800?mR0P00oe`02000oeT00?mF
003oD`00oe000?m=003oBP00odL00?m10P00och0B`00ocP00?ld003o;`00ob`00?lX003o8`00oal0
0?lM003o5`00oa<00?l>003o1`00o`D00Ol000Ko000=o`004_l001Wo000No`009Ol002_o000^o`00
=ol003go0016o`00BOl005;o001Ho`00G_l006Oo001]o`00Lol007co0022o`00R?l0097o002Go`00
WOl00:Ko002/o`00/_l00;So002no`00aol00<go003Co`00fOl00=oo003Uo`00jol00?7o003go`00
oOl00?ol003omP00oo<00?o]003ojP00on@00?oQ003of`00omP00?oE003oc`00ol`00?o6003o``00
ol000?nm003o^P00okL00?nd003o[P00oj/00?nX00020?nU00030?nR003oW`00oi`00080oiT00P3o
T`020?n@00050?n=003oRP00ohL00?n7003oQ0000P3oP@020?mn0080og/000<0ogP00?me003oM@00
0`3oLP00103oK`00of`00?m/003oK0020?mY00<0ofH00P3oH`020?mP00<0oed00P3oFP0=0?ooo`00
2`3oool4003oX@800?nN0P00oi/3003oV0800?nE0`00oi801000ohl00?n<003oS000oh`2003oR@80
0?n60P00oh<01000oh000?mm003oO@00ogX2003oM`800?md00D00?ma003oKP00ofh00?m[003oJ002
003oI@03003oHP00oel00?mL00800?mI00L00?mF003oD`00oe000?m=003oBP00odL00?m100800?ln
04X00?lh003o=000obl00?l/003o:000obH00?lS003o7@00oaX00?lC003o4@00o`/00?l7003o0P04
o`002Ol0013o000Bo`006Ol002;o000Xo`00;_l0037o000go`00?ol004Ko001<o`00D_l005_o001N
o`00Iol0073o001co`00O?l008;o0028o`00TOl009Co002Mo`00Y_l00:Wo002bo`00^?l00;ko0034
o`00b_l00=?o003Fo`00g?l00>;o003Xo`00k_l00?Co003jo`00ool00?ol003omP00oo000?o]003o
i`00on@00?oN003of`00omP00?oE003oc`00olT00?o6003o``00ol000?nm003o^P00okL00?nd0080
ojh00P3oZ000103oY@00oj800?nO003oW0020?nI00050?nF003oT`00oi000?n@003oS@000P3oRP02
0?n700040?n4003oP@00oh400?mn0080og/00P3oN0020?me00<0og8000@0ofl00?m/003oK000of`0
0P3oJ@030?mV0080of<00P3oH0030?mM00d0oooo000<0?ooo`<00?nN0P00oi/3003oV0800?nE0`00
oi801000ohl00?n<003oS000oh`2003oR@800?n60P00oh<2003oP0800?mm00<00?mj003oM`00ogL0
0P00og@01@00og400?m^003oJ`00of/00?mX00800?mU00<00?mR003oG`00oe`00P00oeT00`00oeH0
0?mC003oD002003oBP1B003oA`00od400?ln003o?P00ocP00?ld003o<P00obl00?lX003o9P00ob<0
0?lM003o6P00oa<00?lA003o2`00o`L00?l2007o0006o`003Ol001;o000Io`007?l002;o000Xo`00
;_l003Co000jo`00?ol004Wo001<o`00EOl005_o001Qo`00Iol0073o001co`00O?l008;o0028o`00
TOl009Co002Mo`00Xol00:Wo002_o`00^?l00;_o0031o`00b_l00=3o003Co`00fOl00=oo003Xo`00
jol00?7o003go`00oOl00?ol003on@00oo<00?o`003ojP00onL00?oQ003ogP00om/00?oE003odP00
oll00?o9003oaP00ol<00?o0003o_@00okX00?ng003o]000ok400?n^0080ojP000<0ojD00?nR003o
XP000P3oW000103oV@00oiH00?nC003oT`020?n@00040?n=003oRP00ohX00?n70080oh@00P3oP@00
0`3oOP00og/00?mk00020?mh0080ogD00`3oLP00103oK`00of`00?m/003oK0020?mY00<0ofH00P3o
H`020?mP00h0oooo000<0?ooo`<00?nK0`00oiP2003oU@<00?nB00@00?n?003oS000oh`00?n<0`00
ohT00`00ohH00?n3003oP`02003oP0800?mm00<00?mj003oM`00ogL00P00og@00`00og400?m^003o
KP02003oJ`07003oJ000ofD00?mR003oHP00oel00?mL003oF@02003oEP800?m@0P00odX0E`00odL0
0?m1003o?P00och00?lh003o=000oc800?l_003o:000obH00?lS003o7@00oaX00?lG003o4`00o`h0
0?l;003o1@00o`801?l000Wo000@o`004_l001Wo000No`009Ol002_o000^o`00=ol003go0013o`00
BOl004oo001Eo`00Fol0067o001Zo`00L?l007?o001lo`00P_l008So002Ao`00U?l009go002So`00
ZOl00:oo002eo`00^ol00<7o0037o`00cOl00=?o003Io`00gol00>Go003Xo`00k_l00?Co003jo`00
oOl00?ol003omP00oo<00?o]003ojP00on@00?oQ003of`00omP00?oE003odP00oll00?o9003oaP00
ol<00?o0003o_@00okX00?ng003o]000ok400?n^003oZ`00ojP00?nU00020?nR00060?nO003oW000
oiT00?nI003oUP00oi<00P3oT0000`3oS@00ohX00?n:00020?n700030?n4003oP@00oh400080ogh0
0P3oN`020?mh0080ogD00`3oLP00103oK`00of`00?m/003oK0020?mY00<0ofH00P3oH`0>0?ooo`00
303oool4003oV0800?nE0`00oi801000ohl00?n<003oS000oh`3003oR@05003oQP00oh<00?n3003o
P`00oh000P00ogd2003oNP800?mg00@00?md003oL@00og400?m^0P00of/01@00ofP00?mU003oI@00
of800?mO00800?mL00<00?mI003oEP00oeH00P00oe001000odX00?m7003oA`00od42003o?P1D003o
>000oc@00?lb003o;`00obP00?lV003o8`00oal00?lM003o5`00oa<00?lA003o2`00o`L00?l200Co
0006o`003Ol001;o000Fo`007?l002;o000Xo`00;_l0037o000go`00?ol004Ko0019o`00Col005So
001Ko`00HOl006[o001`o`00M_l007co0022o`00R?l008ko002Do`00V_l00:?o002Vo`00[?l00;Go
002ho`00__l00<Co003=o`00dol00=Ko003Lo`00h_l00>So003^o`00lOl00?Oo003mo`00ool00?oi
003omP00oo000?o]003oi`00on@00?oQ003of`00omP00?oE003odP00oll00?o9003oaP00ol<00?o0
003o_@00okX00?ng003o]000ok400?n^003oZ`00ojP00P3oY@000`3oXP00oil00?nL00020?nI0003
0?nF003oT`00oi<00080oi0000<0ohd00?n:003oRP000P3oQ`000`3oQ000oh400?n100020?mn0080
og/000@0ogP00?me003oM@00ogD00`3oLP00103oK`00of`00?m/003oK0020?mY00<0ofH03P3oool0
00d0oooo0`00oiD3003oTP04003oS`00oh`00?n<003oS0<00?n900D00?n6003oP`00oh<00?n3003o
P003003oO@03003oNP00ogL00?mg00800?md00<00?ma003oKP00ofh00P00of/01P00ofP00?mU003o
HP00of800?mO003oG0800?mI00D00?mF003oD`00oe000?m=003oBP02003oA`1I003o@@00och00?ln
003o>000oc@00?lb003o;`00ob`00?lX003o8`00oal00?lM003o6P00oa<00?lA003o2`00o`L00?l5
007o0004o`002Ol0013o000Bo`006Ol001ko000Uo`00:ol002ko000do`00>_l003oo0016o`00C?l0
05;o001Ho`00Fol006Co001Zo`00L?l007Ko001lo`00P_l008So002>o`00U?l009[o002Po`00Y_l0
0:co002bo`00^?l00;ko0034o`00b_l00=3o003Co`00fOl00=oo003Uo`00jol00>ko003do`00n_l0
0?go003oo000ooH00?oc003ok@00onX00?oW003oi000omh00?oK003of000omD00?o?003oc000olT0
0?o6003o``00ol000?nm003o^P00okL00?nd003o/@00ojh00?n[003oZ0000P3oY@001P3oXP00oil0
0?nL003oW000oiT00?nF0080oi<00P3oT0000`3oS@00ohX00?n:00020?n70080oh@00P3oP@001@3o
OP00og/00?mk003oN`00ogP000<0ogD00`3oLP00103oK`00of`00?m/003oK0020?mY00l0oooo000=
0?ooo`@00?nB00@00?n?003oS000oh`00?n<0`00ohT2003oQP800?n30P00oh02003oO@03003oNP00
ogL00?mg00800?md0P00og42003oKP04003oJ`00ofP00?mU003oI@800?mR00T00?mO003oG000oeT0
0?mI003oEP00oe<00?m@003oC@00odX00P00odL01000od400?ln003o?P00ocP2003o=00E003o;`00
ob`00?lX003o9P00ob<00?lM003o6P00oaL00?lA003o3P00o`/00?l5003o0P04o`001_l000go000B
o`005_l001co000Ro`00:?l00080;_l003d0=ol003go0013o`00BOl004co001Bo`00F?l005ko001T
o`00J_l0073o001fo`00O?l008;o0028o`00S_l0097o002Jo`00X?l00:Ko002/o`00/_l00;So002k
o`00`Ol00<Oo003=o`00dol00=Ko003Lo`00h_l00>So003^o`00lOl00?Oo003mo`00ool00?oi003o
mP00oo<00?o]003ojP00on@00?oQ003ogP00om/00?oH003oe@00oll00?o<003ob@00olH00?o3003o
`000okd00?nj003o]`00ok@00?na003o[P00oj/00080ojP000D0ojD00?nR003oXP00oil00?nL0002
0?nI00030?nF003oT`00oi<00080oi0000<0ohd00?n:003oRP000P3oQ`001@3oQ000oh400?n1003o
P@00ogh00080og/00P3oN0030?me00<0og8000@0ofl00?m/003oK000of`03`3oool000h0oooo0P00
ohl3003oS0<00?n90P00ohH2003oP`800?n00P00ogd2003oNP800?mg0P00og@00`00og400?m^003o
KP02003oJ`05003oJ000ofD00?mU003oHP00oel00P00oe`2003oF@05003oEP00oe<00?m@003oC@00
odX00P00odL01000od400?ln003o?P00ocP2003o=01F003o;`00ob`00?lX003o9P00ob<00?lM003o
6P00oaL00?lC003o4@00o`/00?l7003o0P01o`001_l000Wo000@o`004_l001Wo000No`008_l002So
000^o`00<Ol003Oo000mo`00@ol004Wo001<o`00EOl005_o001No`00I?l006[o001`o`00M_l007co
0022o`00R?l008ko002Ao`00V_l00:3o002Vo`00ZOl00:oo002eo`00^ol00<7o0037o`00cOl00=?o
003Fo`00fOl00=oo003Uo`00jol00>ko003do`00n_l00?go003oo000ooT00?oc003ol000ond00?oZ
003oi000on400?oN003of`00omP00?oE003oc`00ol`00?o9003oaP00ol<00?o0003o_@00okX00?ng
003o]000ok400?n^003oZ`020?nX00050?nU003oXP00oj800?nO003oW0000P3oV@000`3oUP00oi<0
0?nC00020?n@00030?n=003oRP00ohX000<0ohL000<0oh@00?n1003oP@000P3oOP020?mk0080ogP0
0`3oM@030?mb00030?m_003oool0oooo00h0oooo000>0?ooo`<00?n<0`00ohT2003oQP<00?n300D0
0?n0003oO@00ogd00?mm003oNP02003oM`800?md0P00og42003oKP800?m[00D00?mX003oI@00of80
0?mR003oG`02003oG007003oF@00oeH00?mF003oD`00oe000?m=003oBP02003oA`03003o@@00och0
0?ln00800?lh05D00?ld003o;`00ob`00?lX003o9P00ob<00?lO003o7@00oaX00?lC003o4@00o`h0
0?l7003o1@00o`801?l000Wo000=o`004_l001Ko000Lo`008_l002Go000[o`00;_l003Co000jo`00
?ol004Ko0019o`00Col005Go001Ko`00G_l006Co001]o`00L?l007Ko001lo`00P_l008So002>o`00
TOl009Oo002Po`00Y_l00:Wo002_o`00]Ol00;So002no`00a?l00<[o003@o`00dol00=Wo003Oo`00
h_l00>So003^o`00m?l00?Oo003jo`00ool00?ol003omP00oo<00?o]003ojP00onL00?oT003oh@00
om/00?oH003oe@00om800?o?003oc000olT00?o6003o``00ol000?nm003o^P00okL00080ok@00P3o
[P020?nX0080ojD000@0oj800?nO003oW000oi`00P3oV@000`3oUP00oi<00?nC00020?n@00030?n=
003oRP00ohX00080ohL00P3oQ0020?n10080ogh00P3oN`020?mh00<0ogD00P3oLP0@0?ooo`003`3o
ool3003oR@800?n60`00oh<01@00oh000?mm003oO@00ogd00?mj00<00?mg0P00og@00`00og400?m^
003oKP02003oJ`03003oJ000ofD00?mU00800?mR00@00?mO003oG000oeT00?mI0P00oeH01`00oe<0
0?m@003oC@00odX00?m7003oA000od400P00och2003o>00H003o=000obl00?l_003o:000obH00?lS
003o7`00oad00?lJ003o4`00oa400?l>003o2`00o`L00?l2007o0006o`002Ol0013o000Bo`006Ol0
01ko000Ro`00:?l00P0^o`00?@0go`00>_l003oo0016o`00BOl004oo001Eo`00Fol0067o001Wo`00
KOl0073o001fo`00O?l008;o0028o`00S_l0097o002Go`00WOl00:?o002Yo`00[ol00;Go002ho`00
__l00<Co003:o`00cOl00=?o003Fo`00g?l00>;o003Xo`00jol00?7o003do`00mol00?go003oo000
ooT00?of003ol`00ond00?oZ003oi`00on400?oN003of`00omP00?oE003odP00oll00?o<003ob@00
olH00?o3003o`000okd00?nj003o]`000P3o]0020?n^00060?n[003oZ000ojD00?nU003oXP00oil0
0P3oW0020?nI00030?nF003oT`00oi<00080oi0000@0ohd00?n:003oRP00ohX00P3oQ`001@3oQ000
oh400?n1003oP@00ogh000<0og/00P3oN0020?me0140oooo000?0?ooo`03003oR@00ohH00?n600<0
0?n30P00oh02003oO@800?mj0P00ogL2003oM0800?ma0P00ofh2003oJ`03003oJ000ofD00?mU0080
0?mR00@00?mO003oG000oeT00?mI0P00oeH2003oD005003oC@00odX00?m7003oA000od400P00och2
003o>005003o=000obl00?l_003o:000obH00P00ob<0BP00oad00?lJ003o5`00oa<00?lA003o2`00
o`L00?l5007o0004o`002Ol000go000@o`005_l001Wo000No`009Ol002_o000^o`00<Ol003Oo000m
o`00@ol004Wo001<o`00D_l005So001Ko`00HOl006Oo001]o`00L?l007Ko001lo`00P_l008So002>
o`00TOl009Oo002Mo`00Xol00:Ko002/o`00/_l00;So002ko`00`Ol00<Oo003=o`00dol00=Ko003I
o`00gol00>Go003Xo`00k_l00?Co003go`00n_l00?oo003oo000ooH00?oc003ol000ond00?oZ003o
i000on400?oN003of`00omP00?oE003odP00oll00P3ob@001P3oaP00ol<00?o0003o_@00okX00?ng
0080ok@00P3o[P00103oZ`00ojP00?nU003oY@020?nR00050?nO003oW000oiT00?nI003oUP000P3o
T`030?n@00030?n=003oRP00ohX00080ohL00P3oQ0020?n10080ogh00`3oN`000`3oN000ogD00?oo
o`0@0?ooo`00403oool3003oP`800?n00`00ogd00`00ogX00?mg003oM`03003oM003003oL@00ofh0
0?m^00800?m[00<00?mX003oI@00ofD00P00of800`00oel00?mL003oG002003oF@04003oEP00oe<0
0?m@003oD0800?m:00<00?m7003oA000od400P00och2003o>003003o=000oc800?l_00800?lX04h0
0?lV003o8`00oad00?lJ003o5`00oa<00?lA003o3P00o`/00?l5003o0P04o`001_l000Wo000@o`00
4_l001Wo000Lo`008_l002So000[o`00;_l003Co000jo`00?ol004?o0019o`00C?l005;o001Ho`00
Fol0067o001Wo`00KOl0073o001fo`00O?l008;o0028o`00S_l0097o002Go`00WOl00:?o002Vo`00
[?l00;;o002ho`00^ol00<7o0037o`00b_l00=3o003Co`00fOl00=co003Ro`00j?l00>_o003ao`00
m?l00?Oo003mo`00ool00?oi003omP00oo<00?o]003ojP00onL00?oT003oh@00omh00?oK003of000
omD00?oB003oc`020?o900060?o6003o`000ol000?nm003o^P00okL00P3o]0000`3o/@00ojh00?n[
00020?nX00040?nU003oXP00oj800?nO0080oi`00P3oV@000`3oUP00oi<00?nC00020?n@00040?n=
003oRP00ohX00?n:0080ohL00P3oQ0020?n10080ogh00P3oN`0B0?ooo`00403oool00`00oh<00?n0
003oP003003oO@04003oNP00ogL00?mg003oM`800?md0P00og42003oKP800?m[00<00?mX003oI@00
ofD00P00of801000oel00?mL003oG000oeT2003oEP03003oD`00oe000?m@00800?m:00<00?m7003o
A000od400P00och0DP00oc/00?lh003o=000oc800?l_003o;000obP00?lV003o8`00oal00?lM003o
6P00oa<00?lA003o3P00o`/00?l7003o0P01o`001?l000Wo000=o`004?l001Ko000Io`007_l002Go
000Xo`00;_l0037o000do`00>_l003oo0016o`00BOl004oo001Eo`00F?l005_o001Qo`00Iol006go
001`o`00M_l007co0022o`00R?l008ko002Ao`00Uol009go002So`00Y_l00:co002bo`00]Ol00;So
002no`00a?l00<[o003@o`00dol00=Ko003Lo`00gol00>Go003Xo`00k_l00?Co003go`00n_l00?go
003oo000ooT00?of003ol000ond00?oZ003oi`00on@00?oQ003of`020?oH00040?oE003oc`00oll0
0?o90080olH00P3o`0000`3o_@00okX00?ng00020?nd00030?na003o[P00oj/00080ojP000@0ojD0
0?nR003oXP00oil00P3oW0020?nI00030?nF003oT`00oi<000<0oi0000<0ohd00?n:003oRP000`3o
Q`001P3oQ000oh400?n1003oP@00ogh00?mk0180oooo000A0?ooo`<00?mm0P00ogX2003oM`<00?md
00<00?ma003oKP00ofh00P00of/2003oJ0800?mU0P00of801000oel00?mL003oF@00oeT2003oEP03
003oD`00oe000?m=00800?m:00<00?m7003oA000od400P00och0?P00oc/00?lh003o=000oc800?l_
003o;000obP00?lV003o8`00oal00?lM003o6P00oaL00?lC003o4@00o`/00?l7003o1@00o`801?l0
00Ko0009o`004?l001;o000Io`007?l002;o000Uo`00:ol002ko000ao`00=ol003go000oo`00A_l0
04Wo001?o`00EOl005_o001No`00I?l006[o001`o`00Lol007Wo001oo`00P_l008So002>o`00TOl0
09Co002Jo`00X?l00:Ko002Yo`00[ol00;Go002ho`00__l00<7o0037o`00cOl00P3Co`005@3Io`00
gol00>;o003Xo`00jol00?7o003do`00mol00?go003oo`00oo`00?of003ol`00oo000?o]003ojP00
on@00?oQ003ogP00om/00?oH00020?oE00030?o?003oc000olT00080olH00P3o`0000`3o_@00okX0
0?ng00020?nd00030?na003o[P00oj/00080ojP00P3oY@020?nR00040?nO003oW000oiT00?nI0080
oiH00P3oT`020?n@00040?n=003oRP00ohX00?n:0080ohL00P3oQ0020?n101<0oooo000B0?ooo`80
0?mj0`00ogL2003oM0800?ma0P00ofh2003oJ`03003oJ000ofD00?mU00800?mR00<00?mO003oG000
oe`00P00oeT2003oEP03003oD`00oe000?m=00800?m:00<00?m7003oA000od400P00och0G000oc/0
0?lh003o=000oc800?l_003o;000obP00?lV003o8`00oal00?lM003o6P00oaL00?lC003o4@00o`h0
0?l;003o1`00o`800Ol000Co0009o`003Ol0013o000Fo`006Ol001ko000Ro`00:?l002_o000^o`00
=?l003Oo000mo`00@ol004Wo001<o`00Col005Go001Ko`00G_l006Co001Zo`00L?l007?o001io`00
Ool008;o0025o`00Rol0097o002Do`00V_l00:3o002Vo`00ZOl00:oo002eo`00^?l00;_o0031o`00
aol00<[o003@o`00dol00=Wo003Lo`00gol00>Go003[o`00k_l00?Co003go`00n_l00?go003oo000
ooT00?of003ol`00ond00?oZ003oi`00on@00?oQ003ogP00om/00?oH003oe@00om800?o?003oc000
olT00P3oaP020?o000080?nm003o^P00okL00?ng003o]000ok400?n^003oZ`020?nX0080ojD00P3o
XP000`3oW`00oi`00?nL00020?nI00030?nF003oT`00oi<000<0oi0000<0ohd00?n:003oRP000`3o
Q`000`3oQ000oooo0?ooo`0B0?ooo`004P3oool3003oM`<00?md00<00?ma003oKP00ofh00`00of/0
0`00ofP00?mU003oI@02003oHP03003oG`00oe`00?mL00800?mI0P00oeH00`00oe<00?m@003oC@02
003oBP03003oA`00od@00?m100800?ln00P00?lk003o>000oc@00?lb003o;`00ob`00?lX003o9P80
0?lS05@00?lM003o6P00oaX00?lC003o4@00o`h00?l;003o1`00o`D00?l200Co0006o`002Ol0013o
000Bo`005_l001co000Ro`009Ol002So000^o`00<Ol003Co000jo`00?ol004?o0019o`00C?l005;o
001Ho`00Fol005ko001To`00J_l0073o001co`00NOl007oo0022o`00QOl008_o002Ao`00U?l009[o
002Po`00Y_l00:Wo002/o`00/_l00;So002ko`00`Ol00<Co003:o`00d?l00=?o003Fo`00fOl00=oo
003Ro`00j?l00>ko003ao`00m?l00?Oo003mo`00ool00?ol003omP00oo<00?o`003ok@00onX00?oW
003oi000on400?oN003of`00omP00?oE003odP00oll00?o<003ob@020?o60080ol0000H0okd00?nj
003o]`00okL00?nd003o/@020?n^00040?n[003oZ000ojD00?nU0080oj8000<0oil00?nL003oW000
0P3oV@00103oUP00oi<00?nC003oT`020?n@00040?n=003oRP00ohX00?n:0080ohL0503oool001<0
oooo0`00og@2003oL@800?m^0P00of/01000ofP00?mU003oI@00ofD2003oHP03003oG`00oe`00?mL
00800?mI00D00?mF003oD`00oe000?m@003oC@02003oBP03003oA`00od@00?m100800?ln00L00?lk
003o>000oc@00?ld003o;`00ob`00?lX00800?lV02l00?lS003o7`00oad00?lJ003o5`00oa<00?lA
003o2`00o`L00?l5003o0P01o`001?l000Wo000=o`004?l001Ko000Io`007_l002;o000Xo`00:ol0
02ko000ao`00=ol003[o000oo`00A_l004Wo001<o`00D_l005So001Ko`00G_l006Co001Zo`00L?l0
07?o001io`00Ool008;o0025o`00Rol0097o002Do`00V_l00:3o00020:Ko00080:co002bo`00^?l0
0;So002no`00a?l00<[o003=o`020=?o000A0=Wo003Lo`00h_l00>Go003[o`00k_l00?Co003go`00
n_l00?go003oo000ooT00?of003ol`00oo000?o]003ojP000P3oi0002@3oh@00om/00?oK003of000
omD00?oB003oc`00ol`00?o900020?o60080ol0000H0okd00?nj003o]`00okL00?nd003o/@020?n^
00040?n[003oZ000ojP00?nU0080oj8000<0oil00?nL003oW0000`3oV@000`3oUP00oi<00?nC0003
0?n@00030?n=003oRP00ohX001D0oooo000C0?ooo`03003oM000og400?ma00800?m^0`00of/00`00
ofP00?mU003oI@02003oHP800?mO00<00?mL003oF@00oeT00P00oeH01@00oe<00?m@003oD000odd0
0?m:00800?m700H00?m4003o@@00och00?ln003o>`00ocP2003o=0800?l_0P00obP05`00obH00?lS
003o7`00oad00?lJ003o5`00oa<00?lA003o3P00o`/00?l7003o0P01o`001?l000Ko0009o`004?l0
01;o000Fo`007?l001ko000Uo`00:?l00080;_l003X0=?l003Oo000mo`00?ol004Ko0019o`00Col0
05;o001Ho`00Fol0067o001Wo`00J_l0073o001co`00NOl007oo0022o`00QOl008_o002Ao`00U?l0
09[o002Mo`00Xol00:Ko002/o`00/_l00;Go002ho`00__l00<7o0037o`00cOl00=3o003Co`00e_l0
0=co003Oo`00iOl00>So003^o`00lOl00?Co003go`00oOl00?oo003oo000ooT00?of003ol`00ond0
0?oZ003oi`00on@00?oQ003ogP00om/00P3of0001`3oe@00om800?o?003oc000olT00?o6003o``00
0P3o`0001P3o_@00okX00?ng003o]`00ok@00?na0080ojh000<0oj/00?nX003oZ0000P3oY@020?nR
00030?nO003oW000oi`00080oiT000@0oiH00?nC003oT`00oi<00P3oT0000`3oS@00ohX00?ooo`0D
0?ooo`00503oool3003oKP800?m[0P00ofP2003oI@800?mR00<00?mO003oG000oe`00P00oeT2003o
EP05003oD`00oe000?m@003oC@00odX00P00odL01P00od@00?m1003o?P00och00?lk003o>0800?ld
0P00obl2003o:00N003o9P00ob<00?lO003o7@00oaX00?lG003o4`00oa400?l>003o2`00o`L00?l5
003o0P04o`001_l000Wo000=o`004?l001;o000Io`007?l002;o000Uo`00:ol002ko000ao`00=?l0
03[o000mo`00@ol00P19o`00=P1?o`00EOl005So001Ko`00HOl006Oo001]o`00L?l007?o001io`00
Ool008;o0025o`00Rol0097o002Do`00Uol009go002So`00Y_l00:Wo002_o`00]Ol00;So002ko`00
`Ol00<Oo003:o`00d?l00=?o003Fo`00fOl00=oo003Ro`00j?l00>_o003^o`00m?l00?Oo003jo`00
oOl00?oo003oo000ooH00?oc003ol000ond00?oZ003oi`00on@00?oQ003ogP00om/00?oH0080omD0
00H0om800?o?003oc000olT00?o6003o``020?o000060?nm003o^P00okL00?ng003o]000ok400P3o
[P000`3oZ`00ojP00?nX00020?nU0080oj8000<0oil00?nL003oW0000P3oV@020?nF0080oi<00P3o
T00F0?ooo`005@3oool3003oJ`04003oJ000ofD00?mU003oI@800?mR00<00?mO003oG000oe`00P00
oeT2003oEP05003oD`00oe000?m@003oC@00odX00P00odL01P00od@00?m1003o?P00och00?lk003o
>0800?ld0P00obl00`00ob`00?lX003o9P02003o8`800?lM00D00?lJ003o4`00oa<00?lA003o2`02
003o1`0G003o0P01o`001?l000Ko0009o`004?l001;o000Fo`006Ol001ko000Ro`00:?l002_o000^
o`00<Ol003Oo000jo`00?ol004?o0019o`00C?l004oo001Eo`000P1Ko`006@1Qo`00Iol006go001`
o`00Lol007Wo001oo`00P_l008Go002;o`00TOl009Co002Go`00WOl00:?o002Vo`00ZOl00:oo002e
o`00^?l00;_o0031o`00a?l00<[o003=o`000P3Co`00603Io`00g?l00=oo003Uo`00j?l00>ko003a
o`00m?l00?Oo003mo`00ool00?ol003on@00ooH00?oc003ol000ond00?oZ003oi`00on@00?oQ003o
gP00om/00?oH0080omD00P3oc`020?o900060?o6003o``00ol000?o0003o_@00okX00P3o]`020?nd
0080ojh000<0oj/00?nX003oZ0000P3oY@020?nR00030?nO003oW000oi`000<0oiT000<0oiH00?nC
003oT`005`3oool001D0oooo00<00?m[003oJ000ofP00P00ofD2003oHP800?mO0P00oe`2003oF@80
0?mF00<00?mC003oD000oe000P00odX2003oA`06003oA000od400?ln003o?P00oc/00?lh0P00oc@0
1@00oc800?l_003o;000obP00?lV00800?lS01H00?lO003o7@00oaX00?lG003o4`00oa400?l>003o
2`00o`L00?l5003o0P04o`001_l000Wo000=o`004?l001;o000Io`007?l002;o000Uo`00:?l00P0^
o`005@0do`00=ol003go000oo`00A_l004Wo001<o`00D_l005Go001Ko`00G_l0067o001Wo`00KOl0
073o001co`00NOl007oo0022o`00QOl008_o0002097o000709Oo002Mo`00Xol00:Ko002Yo`00[ol0
0;;o00020;So000D0;ko0034o`00aol00<go003@o`00dol00=Ko003Io`00gol00>;o003Xo`00jol0
0>ko003do`00mol00?[o003mo`00ool00?ol003omP020?oc00040?o]003ojP00onX00?oT0080on40
0P3of`000`3of000omD00?oB00020?o?0080olT000H0olH00?o3003o`000ol000?nm003o^P020?ng
0080ok@000<0ok400?n^003oZ`000P3oZ0020?nU0080oj800P3oW`020?nL0080oiT000<0oiH00?nC
003oool05P3oool001H0oooo0`00ofD2003oHP03003oG`00oe`00?mL00<00?mI0P00oeH00`00oe<0
0?m@003oC@02003oBP800?m700H00?m4003o@@00och00?ln003o>`00ocP2003o=004003o<P00obl0
0?l/003o:0800?lV00h00?lS003o7`00oad00?lJ003o5`00oa<00?lA003o3P00o`/00?l7003o1@00
o`800Ol000Co00802Ol001l04?l001;o000Fo`006Ol001ko000Ro`00:?l002_o000^o`00<Ol003Co
000jo`00?Ol004?o0016o`00BOl004co001Bo`00F?l005_o001No`00I?l006Oo001]o`00L?l007?o
001io`00Ool008;o0025o`00Rol00080TOl001T0Uol009go002Po`00Y_l00:Wo002/o`00/_l00;Go
002ho`00__l00<7o0037o`00b_l00=3o003Co`00e_l00=Wo003Lo`00h_l00>Go003Xo`00k_l00?7o
003do`00mol00080oOl000/0oo`00?oi003omP00oo<00?o`003ok@00onX00?oW003oi000on400?oN
00020?oK00050?oH003oe@00om800?o?003oc0000P3ob@001P3oaP00ol<00?o0003o`000okd00?nj
0080okL00P3o]000103o/@00ojh00?n[003oZ`020?nX0080ojD00P3oXP000`3oW`00oi`00?nL0002
0?nI01P0oooo000G0?ooo`<00?mR00<00?mO003oG000oe`00P00oeT2003oEP04003oD`00oe000?m@
003oC@800?m:0P00odL01@00od@00?m1003o?P00och00?lk00800?lh00@00?ld003o<P00obl00?l/
0P00obP01000obH00?lS003o7`00oad2003o6P800?lC00@00?lA003o2`00o`/00?l70P00o`804P04
o`001_l000Wo000=o`004?l001;o000Io`007?l001ko000Uo`00:?l002_o000^o`00<Ol003Oo000j
o`00?ol004?o0080BOl000l0Col005;o001Ho`00Fol005ko001To`00J_l006go001`o`00Lol007Wo
001oo`00P_l008Go002;o`000P2Ao`003P2Go`00WOl00:3o002Vo`00ZOl00:co002bo`00]Ol00;So
002ko`00`Ol00<Co003:o`00cOl00P3Co`00603Io`00g?l00=oo003Uo`00j?l00>_o003^o`00m?l0
0?Oo003jo`00oOl00?oo003oo000ooT00?of003ol`00oo000?o]003ojP00onL00?oT003oh@00omh0
0?oK0080omP000@0omD00?oB003oc`00ol`00P3ob@001P3oaP00ol<00?o0003o`000okd00?nj0080
okL00P3o]000103o/@00ojh00?n^003oZ`020?nX0080ojD00P3oXP000`3oW`00oi`00?nL000I0?oo
o`005`3oool00`00of800?mO003oG`02003oG0800?mI0P00oeH01000oe<00?m@003oD000odd2003o
BP800?m700D00?m4003o@@00och00?ln003o>`02003o>004003o=000oc800?l_003o;0800?lX00<0
0?lV003o8`00oal00P00oad05@00oaX00?lG003o4`00oa400?l>003o2`00o`L00?l5003o0P01o`00
1?l000Wo000=o`004?l001;o000Fo`006Ol001ko000Ro`009Ol002So000202ko000K03Co000go`00
?Ol003oo0013o`00BOl004co001?o`00EOl005So001Ko`00G_l006Co001Zo`00KOl0073o001fo`00
NOl007oo0022o`00QOl008_o002>o`00TOl009Oo002Jo`00X?l00080Y_l001d0[?l00:oo002eo`00
^?l00;_o0031o`00a?l00<Oo003=o`00d?l00=?o003Fo`00fOl00=oo003Ro`00iOl00>_o003^o`00
lOl00?Co003go`00n_l00?go003oo000ooT00?of003ol`00oo000?o]00020?oZ0080on@000<0on40
0?oN003of`000P3of000103oe@00om800?o?003oc0020?o900060?o6003o``00ol000?o0003o_@00
okX00P3o]`020?nd00040?na003o[P00ojh00?n[0080ojP00P3oY@020?nR00030?nO003oW000oooo
01P0oooo000H0?ooo`<00?mL0P00oeT2003oEP04003oD`00oe000?m@003oC@800?m:0P00odL01@00
od@00?m1003o?P00och00?lk00800?lh00@00?ld003o<P00obl00?l_0P00obP00`00obH00?lS003o
8`02003o7@06003o6P00oaL00?lC003o4@00o`h00?l;0P00o`L0CP00o`800Ol000Co0006o`002Ol0
00go000@o`004_l001Wo000Lo`007_l002;o000Xo`00:ol002ko000ao`00=?l003Oo000mo`00?ol0
04Ko0019o`00C?l004oo001Eo`00F?l005_o001Qo`00I?l006[o001]o`00L?l007Ko001io`00Ool0
08;o0025o`00Rol008ko002Ao`00Uol009[o002Po`00Xol00:Ko002Yo`00[ol00;Go002ho`00^ol0
0;ko0031o`00aol00<[o003@o`00dol00=Ko003Io`00g?l00=oo003Uo`00j?l00>_o003^o`00m?l0
0?Oo003jo`00oOl00?oo003oo000ooT00?of003ol`00oo000?o]003ojP00onL00?oT0080on4000<0
omh00?oK003of0000P3oe@00103odP00oll00?o<003ob@020?o600050?o3003o`000ol000?nm003o
^P000P3o]`020?nd00040?na003o[P00ojh00?n[0080ojP00P3oY@020?nR01X0oooo000I0?ooo`<0
0?mI0P00oeH01000oe<00?m@003oD000odd2003oBP800?m700D00?m4003o@@00och00?ln003o>`02
003o>007003o=000oc800?l_003o;`00ob`00?lX003o9P02003o8`05003o7`00oad00?lJ003o5`00
oa<00P00oa42003o2`0?003o1`00o`D00?l2007o0004o`002Ol000go000@o`004_l001Ko000Io`00
7?l002;o000Uo`00:?l00080;_l000X0<Ol003Oo000jo`00?Ol004?o0016o`00BOl004co001Bo`00
EOl00P1Ko`000`1Qo`00I?l006[o0002073o000@07Ko001io`00Ool008;o0025o`00Rol008ko002A
o`00U?l009[o002Po`00Xol00:Ko002Yo`00[ol00;;o0080^?l000D0__l00<7o0037o`00b_l00<go
00020=?o000<0=Wo003Lo`00gol00>;o003Xo`00jol00>ko003ao`00m?l00?Oo003jo`00oOl00P3o
o0020?of00080?oc003ok@00ond00?oZ003oi`00on@00?oQ003ogP020?oK00030?oH003oe@00omD0
0080oll000D0ol`00?o9003oaP00olH00?o300020?o000040?nm003o^P00okL00?ng0080ok@000@0
ok400?n^003o[P00oj/00P3oZ0020?nU01/0oooo000J0?ooo`<00?mF00@00?mC003oD000oe000?m=
0P00odX2003oA`05003oA000od400?ln003o?P00oc/00P00ocP2003o=0800?l_00L00?l/003o:000
obH00?lV003o8`00oal00?lM00800?lJ0P00oa<04`00oa400?l>003o2`00o`L00?l5003o0P01o`00
1?l000Ko0009o`003Ol0013o000Bo`006Ol001co000No`008_l002Go000[o`000P0^o`001@0do`00
=ol003[o000oo`00@ol00080BOl000<0C?l005;o001Ho`000P1Ko`000`1Qo`00Iol006[o0002073o
000/07Ko001io`00Ool008;o0025o`00Rol008ko002Ao`00U?l009[o002Mo`00Xol00:Ko002Yo`00
[?l00;;o002eo`00^?l00;_o0031o`00a?l00<[o003=o`00d?l00=?o003Fo`00fOl00=oo003Ro`00
iOl00>So003[o`00k_l00?Co003go`00n_l00?go003oo`00oo`00?oi003omP00oo<00?o`003ok@02
0?oZ00050?oW003oi000on400?oN003of`000P3of0001P3oe@00om800?o?003oc`00ol`00?o90080
olH000D0ol<00?o0003o`000okd00?nj00020?ng0080ok@000@0ok400?n^003o[P00oj/00P3oZ00L
0?ooo`006`3oool2003oD`800?m@00<00?m=003oBP00odX00P00odL01@00od@00?m1003o?P00och0
0?lk00800?lh0P00oc@2003o;`06003o;000obP00?lV003o9P00ob<00?lO0P00oad01P00oaX00?lG
003o4`00oa400?l>003o2`800?l70P00o`8200Co000L00Wo000=o`004?l001;o000Fo`006Ol001co
000Ro`009Ol002So000[o`00;_l0037o000do`00=ol003go000oo`00A_l004Wo001<o`00Col005;o
001Ho`00Fol005ko001Qo`00Iol006[o0080L?l001P0M_l007Wo001oo`00P_l008Go002;o`00S_l0
097o002Do`00V_l009go002So`00Y_l00:Wo002/o`00/_l00;Go002ho`00^ol00<7o0034o`00aol0
0<[o003@o`020=?o000E0=Wo003Lo`00gol00>;o003Xo`00jol00>ko003ao`00m?l00?Oo003jo`00
oOl00?oo003oo000ooT00?of003ol`00oo000?o]003ojP00onL00080on@000<0on400?oN003of`00
0P3of0001P3oe@00om800?o?003oc`00ol`00?o90080olH000D0ol<00?o0003o`000okd00?nj0002
0?ng0080ok@000@0ok400?n^003o[P00oj/07@3oool001/0oooo0`00oe000`00odd00?m:003oBP02
003oA`05003oA000od400?ln003o?P00oc/00P00ocP2003o=0800?l_00@00?l/003o:000obP00?lV
0P00ob<2003o7@03003o6P00oaL00?lC00800?lA01800?l>003o2`00o`L00?l5003o0P01o`001?l0
00Ko0009o`003Ol0013o000Bo`005_l001Wo000No`008_l002Go000Xo`0202ko000@037o000go`00
>_l003go000oo`00A_l004Wo001<o`00Col005Go001Ho`00Fol005ko001Qo`00Iol006[o0080L?l0
01P0M_l007Wo001oo`00P_l008Go002;o`00S_l0097o002Do`00V_l009go002So`00Y_l00:Wo002/
o`00[ol00;Go002ho`00^ol00;ko0031o`00aol00<[o003=o`020=?o00060=Ko003Io`00gol00>;o
003Uo`00j?l00P3^o`00203do`00mol00?[o003mo`00ool00?ol003on@00ooH00P3ol`020?o]0003
0?oZ003oi`00on@00080on4000H0omh00?oK003of000omP00?oE003odP020?o?0080olT00P3oaP00
1@3o``00ol000?o0003o_@00okX00080okL00P3o]0000`3o/@00ojh00?n^000M0?ooo`00703oool0
1000odd00?m:003oBP00odX2003oA`05003oA000od400?ln003o?P00oc/00P00ocP2003o=003003o
<P00obl00?l/00800?lX00D00?lV003o8`00ob<00?lO003o7@02003o6P800?lC01@00?lA003o3P00
o`/00?l7003o1@00o`800Ol000Co0006o`002Ol000go000@o`004_l001Ko000Io`007?l001ko000R
o`00:?l002_o0080;_l001h0=?l003Oo000jo`00?ol004?o0016o`00BOl004co001?o`00EOl005So
001Ko`00G_l006Co001Wo`00KOl0073o001co`00M_l007co001oo`00P_l008Go002;o`00S_l0097o
002Do`00Uol009go002Po`020:Ko00030:co002_o`00]Ol00080^?l001/0__l00<7o0034o`00b_l0
0<go003@o`00dol00=Ko003Io`00g?l00=oo003Uo`00j?l00>_o003^o`00lOl00?Co003go`00n_l0
0?go003oo`00oo`00?oi003omP00oo<00?o`003ok@000P3ojP00103oi`00on@00?oQ003ogP020?oK
00060?oH003oe@00omD00?oB003oc`00ol`00P3ob@020?o600050?o3003o`000ol000?nm003o^P00
0P3o]`020?nd00030?na003oool0oooo01`0oooo000M0?ooo`06003oBP00odL00?m7003oA`00od@0
0?m10P00och00`00oc/00?lh003o>002003o=003003o<P00obl00?l/00800?lX00D00?lV003o8`00
ob<00?lO003o7@02003o6P04003o5`00oa<00?lA003o3P800?l;01P00?l7003o1@00o`800Ol000Co
0006o`002Ol000go000@o`004_l001Ko000Io`007_l002;o000Uo`00:?l002_o000^o`00<Ol003Co
000go`00?Ol003oo0013o`0204Wo000G04co001Bo`00EOl005So001Ko`00G_l006Co001Wo`00KOl0
073o001co`00M_l007co001oo`00P_l008Go0028o`00S_l0097o002Do`00Uol009go002Po`000P2V
o`000`2Yo`00[ol00;;o00020;So00060;_o0031o`00a?l00<Oo003=o`00d?l00P3Co`002@3Io`00
g?l00=oo003Ro`00iOl00>So003^o`00lOl00?Co00020?Oo0080oOl00P3oo0020?of00050?oc003o
l000ond00?oZ003oi`000P3oi0001@3oh@00omh00?oK003of`00omP00080omD000<0om800?o?003o
c0000P3ob@020?o600050?o3003o`000ol000?nm003o^P000P3o]`000`3o]000oooo0?ooo`0M0?oo
o`007P3oool01000odL00?m4003oA000od42003o?P03003o>`00ocP00?lh00800?ld00<00?lb003o
;`00obl00P00obP2003o9P07003o8`00oal00?lM003o7@00oaX00?lG003o4`02003o4@0C003o3P00
o`/00?l7003o1@00o`800Ol000Co0006o`002Ol000go000@o`004_l001Ko000Io`007?l001ko000R
o`009Ol002So000202ko0006037o000go`00>_l003go000oo`00A_l00P19o`000`1?o`00D_l005Go
000205_o000O067o001To`00Iol006go001`o`00Lol007Ko001lo`00Ool008;o0025o`00R?l008ko
002Ao`00U?l009Oo002Mo`00X?l00:?o002Vo`00ZOl00:oo002bo`00]Ol00;So002ko`00__l00<Co
0037o`00b_l00<go00020=?o000A0=Ko003Io`00gol00>;o003Uo`00j?l00>_o003^o`00lOl00?Co
003go`00n_l00?go003oo`00oo`00?oi003omP000P3ol`020?o]00030?oZ003oi`00on@00080on40
00@0omh00?oK003of000omP00P3oe@000`3odP00oll00?o<00020?o90080olH000H0ol<00?o0003o
`000okd00?nj003o]`0P0?ooo`007`3oool2003o@@800?ln00<00?lk003o>000ocP00P00oc@01@00
oc800?l_003o;`00ob`00?lX00800?lV00H00?lS003o7`00oad00?lM003o6P00oaL2003o4`03003o
4@00o`h00?l;00800?l70P00o`803P01o`001?l000Ko0009o`003Ol0013o000Bo`005_l001Wo000L
o`008_l002Go000Xo`00:ol00P0^o`002`0do`00=ol003[o000mo`00@ol004Ko0019o`00C?l004oo
001Bo`00F?l00080Fol002H0HOl006Co001Zo`00KOl0073o001co`00M_l007co001oo`00P_l008Go
0028o`00S_l0097o002Do`00Uol009[o002Po`00Xol00:Ko002Yo`00[?l00;;o002eo`00^?l00;_o
002no`00`Ol00<Oo003:o`00cOl00=3o003Co`00e_l00=Wo003Lo`00gol00>;o0080j?l000<0k_l0
0?7o003do`000P3go`020?go0080oo`000D0ooT00?of003ol`00oo000?o]00020?oZ00060?oW003o
i000on400?oQ003ogP00om/00P3of0001@3oe@00om800?o?003oc`00ol`00080olT00P3oaP00103o
``00ol000?o0003o_@0Q0?ooo`00803oool2003o?P03003o>`00ocP00?lh00800?ld00D00?lb003o
;`00obl00?l/003o:002003o9P800?lS00P00?lO003o7@00oaX00?lJ003o5`00oa<00?lA003o3P80
0?l;02h00?l7003o1@00o`800Ol000Co0006o`002Ol000go000@o`004_l001Ko000Io`007?l001ko
000Ro`009Ol002So000[o`00;_l0037o000do`00=ol003[o000oo`00@ol004Ko0019o`00C?l004oo
001Eo`00F?l005_o001No`00HOl006Co001Zo`00KOl0073o001co`00M_l007co001oo`00P_l008Go
0028o`00S_l00P2Ao`002@2Go`00V_l00:3o002So`00Y_l00:Wo002/o`00[ol00;Go00020;So0006
0;ko0031o`00a?l00<[o003=o`00d?l00P3Co`004@3Io`00g?l00=oo003Ro`00iOl00>So003[o`00
k_l00?7o003do`00mol00?[o003mo`00ool00?ol003on@00ooH00080oo<000@0oo000?o]003ojP00
onX00P3oi000103oh@00omh00?oK003of`020?oH00050?oE003odP00oll00?o?003oc0000P3ob@02
0?o600030?o3003o`000oooo0240oooo000Q0?ooo`03003o>`00ocP00?lh00800?ld00@00?lb003o
;`00obl00?l/0P00obP01@00obH00?lS003o8`00oal00?lM00800?lJ00P00?lG003o4`00oa400?lA
003o3P00o`/00?l7003o1@800?l20P04o`002006o`002Ol000go000@o`004_l001Ko000Io`007?l0
0P0Ro`002P0Xo`00:ol002ko000^o`00<Ol003Co000jo`00?Ol003oo0013o`0204Wo000C04co001?
o`00EOl005So001Ko`00G_l0067o001To`00J_l006go001`o`00Lol007Ko001lo`00Ool008;o0025
o`00R?l008ko0002097o000909Oo002Jo`00X?l00:?o002Vo`00ZOl00:co002_o`00]Ol00080^?l0
00H0^ol00<7o0034o`00aol00<[o003@o`020=?o000:0=Ko003Io`00g?l00=oo003Ro`00j?l00>_o
003^o`00lOl00?Co0080mol00P3mo`001P3oo`00oo`00?oi003omP00oo<00?o`0080ond000H0onX0
0?oW003oi000on@00?oQ003ogP020?oK00040?oH003oe@00omD00?oB0080oll000D0ol`00?o9003o
b@00olH00?o3000S0?ooo`008P3oool01000ocP00?ld003o=000oc82003o;`04003o;000obP00?lX
003o9P800?lS00D00?lO003o7@00oad00?lJ003o5`02003o4`03003o4@00o`h00?l;00800?l700P0
0?l5003o0P01o`001?l000Ko0009o`003Ol0013o00804_l000L06Ol001co000No`008_l002Go000X
o`00:ol00080;_l000H0=?l003Oo000jo`00?Ol003oo0016o`0204Wo000C04co001Bo`00EOl005So
001Ko`00G_l0067o001Wo`00J_l006go001`o`00Lol007Ko001lo`00Ool008;o0025o`00R?l008ko
0002097o000409Oo002Jo`00WOl00:?o0080Y_l001h0[?l00:oo002bo`00]Ol00;So002ko`00__l0
0<7o0037o`00b_l00<go003@o`00dol00=Ko003Io`00g?l00=oo003Ro`00iOl00>So003[o`00k_l0
0?7o003do`00mol00?[o003mo`00ool00?ol003on@020?of00030?oc003ol000ond00080onX000D0
onL00?oT003oh@00on400?oN00020?oK00040?oH003oe@00omD00?oB0080oll000<0ol`00?o9003o
aP00903oool002<0oooo00D00?ld003o<P00obl00?l_003o;002003o:0800?lV00@00?lS003o7`00
oad00?lM0P00oaX2003o4`08003o4@00o`h00?l;003o2`00o`L00?l5003o0P01o`0200Co00802Ol0
00X03Ol0013o000Bo`005_l001Wo000Lo`007_l002;o000Uo`00:?l00P0^o`00700ao`00=?l003Oo
000jo`00?ol004?o0016o`00BOl004co001?o`00D_l005Go001Ho`00Fol005ko001Qo`00Iol006[o
001]o`00L?l007?o001fo`00O?l007oo0022o`00QOl008So002>o`02097o000409Oo002Jo`00WOl0
0:?o0080Y_l000`0ZOl00:oo002bo`00]Ol00;So002ko`00__l00<7o0034o`00b_l00<go003@o`02
0=?o000:0=Ko003Io`00gol00=oo003Uo`00j?l00>_o003^o`00lOl00?Co0080mol000H0n_l00?go
003oo`00oo`00?oi003omP020?oc00060?o`003ok@00onX00?oZ003oi`00on@00P3oh@00103ogP00
om/00?oH003of0020?oE00040?oB003oc`00oll00?o902D0oooo000T0?ooo`800?l_00<00?l/003o
:000obP00P00obH2003o8`06003o7`00oad00?lJ003o6P00oaL00?lC0P00oa401000o`h00?l;003o
1`00o`L2003o0P06007o0004o`001_l000Wo000=o`004?l00P0Bo`0201Wo000501ko000Ro`009Ol0
02So000[o`000P0^o`00300ao`00=?l003Oo000mo`00?ol004?o0016o`00BOl004co001?o`00D_l0
05So0080Fol000@0G_l006Co001Wo`00J_l00P1`o`00201co`00NOl007co001oo`00P_l008Go0028
o`00S_l00P2Ao`00102Do`00V_l009go002Po`020:Ko00040:Wo002/o`00/_l00;Go0080^?l000H0
__l00<7o0034o`00aol00<[o003@o`020=?o000?0=Ko003Io`00g?l00=oo003Ro`00iOl00>So003[
o`00k_l00?7o003do`00mol00?[o003mo`00ool00080oo`000@0ooT00?of003ol`00oo000P3ok@00
1P3ojP00onL00?oT003oi000on400?oN0080om/00P3of0020?oE00030?oB003oc`00oooo02D0oooo
000U0?ooo`03003o;000obP00?lX00800?lV0P00ob<01@00oal00?lM003o6P00oaX00?lG00800?lC
00P00?lA003o3P00o`/00?l;003o1`00o`D00?l2007o00801?l00P09o`002`0=o`004?l001;o000F
o`006Ol001co000No`008_l002Go000Xo`00:ol00080;_l000H0=?l003Oo000jo`00?Ol003oo0013
o`0204Wo000404co001?o`00D_l005So0080Fol000@0G_l006Co001Wo`00J_l00P1`o`00201co`00
NOl007co001oo`00P_l008Go0028o`00Rol00P2Ao`00102Do`00V_l009go002Po`020:Ko00040:Wo
002/o`00/_l00;Go0080^?l001<0^ol00<7o0034o`00aol00<[o003=o`00d?l00=?o003Fo`00fOl0
0=co003Oo`00h_l00>Go003Xo`00jol00>ko003ao`00m?l00080mol000D0n_l00?go003oo`00oo`0
0?oi00020?of00030?oc003ol000ond00080onX000D0onL00?oT003oi000on400?oN00020?oK0080
omP000<0omD00?oB003oool09P3oool002L0oooo0P00obH2003o8`05003o7`00oad00?lM003o6P00
oaL00P00oa<01P00oa400?l>003o2`00o`/00?l7003o1@800?l200H00Ol000Co0006o`002Ol000go
000@o`0201;o00806Ol000<07?l002;o000Ro`000P0Xo`0202ko0007037o000do`00=ol003[o000m
o`00?ol004Ko000204Wo000404co001?o`00EOl005So0080Fol000@0HOl006Co001Wo`00KOl00P1`
o`00201co`00NOl007co001oo`00P_l008Go0028o`00Rol00P2Ao`002P2Do`00Uol009go002Po`00
Xol00:Ko002Yo`00[?l00:oo002eo`020;So00070;_o002no`00`Ol00<Oo003:o`00cOl00=3o0002
0=?o00050=Ko003Io`00g?l00=oo003Ro`000P3Xo`001P3[o`00k_l00?7o003do`00mol00?[o0080
oOl00P3oo0001P3on@00ooH00?oc003ol`00oo000?o]0080onX000D0onL00?oT003oh@00on400?oN
00020?oK00030?oH003oool0oooo02L0oooo000X0?ooo`800?lS00<00?lO003o7@00oad00P00oaX0
1P00oaL00?lC003o4@00oa400?l>003o2`800?l700D00?l5003o0P01o`001?l000Ko000200Wo000;
00go000@o`004_l001Ko000Io`007?l001ko000Ro`009Ol002So000[o`000P0^o`001`0ao`00=?l0
03Oo000mo`00?ol004?o0016o`000P19o`002P1<o`00D_l005Go001Ho`00Fol005ko001Qo`00I?l0
06Oo001]o`02073o000807?o001io`00O?l007oo0022o`00QOl008So002;o`02097o000C09Co002G
o`00WOl00:3o002So`00Y_l00:Wo002/o`00[ol00;;o002eo`00^?l00;_o002no`00`Ol00<Co0037
o`00b_l00=3o00020=?o000;0=Ko003Io`00g?l00=oo003Ro`00iOl00>So003[o`00k_l00?7o003d
o`000P3go`001@3jo`00oOl00?oo003oo000ooT00080ooH000H0oo<00?o`003ok@00ond00?oZ003o
i`020?oT0080on4000<0omh00?oK003oool0:@3oool002T0oooo00<00?lO003o7@00oad00P00oaX0
1@00oaL00?lC003o4`00oa400?l>00800?l;00@00?l7003o1@00o`800?l20P04o`001006o`002Ol0
00go000@o`0201;o000801Ko000Io`007?l001ko000Ro`009Ol002So000[o`0202ko000C03Co000g
o`00>_l003go000oo`00@ol004Ko0019o`00C?l004oo001Bo`00EOl005So001Ko`00G_l0067o001T
o`00J_l006go0002073o000807?o001io`00O?l007oo0022o`00QOl008So002;o`02097o000D09Co
002Go`00WOl00:3o002So`00Y_l00:Wo002/o`00[ol00;;o002eo`00^?l00;_o002no`00`Ol00<Co
0037o`00b_l00<go003@o`020=?o0080fOl00P3Oo`000`3Uo`00j?l00>So00020>ko00040?7o003d
o`00mol00?[o0080oOl000@0ool00?ol003on@00ooH00P3ol`001@3ol000ond00?oZ003ojP00onL0
0080on@000<0on400?oN003oool0:P3oool002X0oooo00@00?lM003o6P00oaX00?lG0P00oa<01000
oa400?l>003o2`00o`/2003o1`800?l200<00Ol000Co0006o`000P09o`002`0=o`004?l001;o000F
o`006Ol001co000No`008_l002Go000Xo`00:ol00080;_l000L0<Ol003Co000go`00>_l003go000o
o`00@ol00080BOl000/0C?l004oo001Bo`00EOl005So001Ko`00G_l0067o001To`00J_l006go0002
073o000?07Ko001io`00O?l007oo0022o`00QOl008So002;o`00S_l0097o002Do`00Uol009[o002P
o`00Xol00080Y_l000@0ZOl00:oo002bo`00]Ol00P2ho`001`2ko`00`Ol00<Co0037o`00b_l00<go
003@o`000P3Co`002`3Fo`00fOl00=co003Oo`00h_l00>Go003Xo`00jol00>ko003ao`00m?l00080
mol000<0n_l00?go003oo`000P3oo0001P3on@00ooH00?oc003ol`00oo000?o]0080onX000<0onL0
0?oT003oh@00;03oool002`0oooo00<00?lG003o4`00oa<00P00oa401`00o`h00?l;003o1`00o`L0
0?l5003o0P01o`000P04o`001006o`002Ol000go000@o`0201;o000801Ko000Io`007?l001ko000R
o`009Ol002So000[o`0202ko0004037o000do`00=ol003[o0080?ol000L0A_l004Wo0019o`00C?l0
04oo001Bo`00F?l00080Fol000D0G_l0067o001Wo`00J_l006go0002073o000?07Ko001io`00O?l0
07oo0022o`00QOl008So002;o`00S_l0097o002Do`00Uol009[o002Mo`00Xol00080Y_l000@0ZOl0
0:co002bo`00]Ol00P2ho`001`2ko`00__l00<7o0034o`00b_l00<go003@o`000P3Co`00203Fo`00
fOl00=co003Oo`00h_l00>Go003Xo`00jol00P3^o`00103ao`00m?l00?Oo003jo`020?go00030?oo
003oo000ooT00080ooH000H0oo<00?o`003ok@00ond00?oZ003oi`0^0?ooo`00;@3oool01000oa<0
0?lA003o4@00o`h2003o2`07003o1`00o`D00?l2003o0P01o`001?l000Ko000200Wo000700go000@
o`004_l001Ko000Io`007?l001ko000202;o0080:?l000X0:ol002ko000^o`00=?l003Oo000jo`00
?Ol003oo0013o`00A_l00P19o`00101<o`00Col005Go001Ho`0205_o000505ko001Qo`00Iol006[o
001]o`000P1`o`003`1fo`00NOl007co001oo`00P_l008Go0028o`00Rol008ko002Ao`00U?l009Oo
002Jo`00WOl00:?o00020:Ko00040:Wo002/o`00[ol00;Go0080^?l000P0^ol00;ko0031o`00a?l0
0<Oo003:o`00cOl00=3o0080dol00P3Io`002@3Lo`00gol00>;o003Uo`00j?l00>_o003^o`00lOl0
0?Co00020?Oo00030?[o003mo`00ool00080oo`000L0ooT00?of003ol`00oo<00?o`003ok@00onX0
02l0oooo000_0?ooo`03003o3P00o`/00?l;00800?l700<00?l5003o0P01o`000P04o`001006o`00
2Ol000go000@o`0201;o000801Ko000Io`007?l001ko000Ro`009Ol002So000[o`0202ko000>037o
000do`00=ol003[o000mo`00?ol004?o0016o`00BOl004co001?o`00D_l005Go001Ho`0205_o000F
05ko001To`00Iol006[o001]o`00L?l007?o001fo`00NOl007co001oo`00P_l008Go0028o`00Rol0
08ko002Ao`00U?l009Oo002Jo`00WOl00:3o0080Y_l000h0ZOl00:co002_o`00/_l00;Go002ho`00
^ol00;ko0031o`00a?l00<Oo003:o`00cOl00=3o0080dol000P0e_l00=Wo003Lo`00gol00>;o003U
o`00j?l00>_o0080k_l000@0lOl00?Co003go`00n_l00P3mo`000`3oo`00oo`00?oi00020?of0003
0?oc003ol000oooo0300oooo000`0?ooo`04003o2`00o`L00?l7003o1@800?l200<00Ol000Co0006
o`000P09o`00100=o`004?l001;o000Fo`0201Wo000601co000Ro`008_l002Go000Xo`00:ol00P0^
o`001`0ao`00=?l003Oo000jo`00?Ol003oo0013o`000P19o`001@1<o`00Col005;o001Eo`00F?l0
0080Fol001d0HOl006Co001Wo`00J_l006go001`o`00Lol007Ko001io`00O?l007oo0022o`00QOl0
08So002;o`00S_l0097o002Do`00Uol009[o002Mo`00X?l00:?o002Vo`00ZOl00:co002_o`00/_l0
0;Go00020;So00070;_o0031o`00`Ol00<Oo003:o`00cOl00=3o00020=?o00030=Ko003Io`00g?l0
0080gol000L0h_l00>So003Xo`00jol00>ko003ao`00m?l00080mol000<0n_l00?go003oo`000P3o
o0000`3on@00ooH00?oc000b0?ooo`00<P3oool01000o`D00?l2003o0P01o`0200Co000400Ko0009
o`003Ol0013o00804_l000H05_l001Wo000Lo`007_l002;o000Uo`0202So00<0;_l000L0=?l003Oo
000go`00?Ol003oo0013o`00A_l00080BOl001L0C?l004oo001Bo`00EOl005So001Ko`00G_l0067o
001To`00Iol006[o001]o`00L?l007?o001fo`00NOl007co001oo`00P_l008Go0028o`00Rol008ko
0002097o000;09Oo002Jo`00WOl00:3o002So`00Y_l00:Wo002/o`00[ol00;;o002eo`000P2ho`00
202ko`00__l00<7o0034o`00aol00<[o003=o`00d?l00P3Co`00203Fo`00fOl00=co003Oo`00h_l0
0>Go003Xo`00jol00P3^o`00103ao`00m?l00?Oo003jo`020?go00030?oo003oo000ooT003@0oooo
000d0?ooo`04007o0004o`001?l000Ko00802Ol000@03Ol0013o000Bo`005_l00P0Io`001P0Lo`00
7_l002;o000Uo`00:?l002_o0080;_l000P0<Ol003Co000go`00>_l003go000oo`00@ol004Ko0080
BOl000<0C?l004oo001Bo`000P1Ho`004P1Ko`00G_l0067o001To`00Iol006[o001]o`00L?l007?o
001fo`00NOl007co001oo`00P_l008Go0028o`00Rol008ko0080TOl000D0Uol009[o002Mo`00X?l0
0:?o00020:Ko00040:Wo002/o`00/_l00;Go0080^?l000P0^ol00;ko0031o`00a?l00<Oo003:o`00
cOl00=3o0080dol000H0e_l00=Wo003Lo`00gol00>;o003Uo`020>So00040>_o003^o`00lOl00?Co
0080mol000<0n_l00?go003oo`00=P3oool003D0oooo00H01?l000Ko0009o`002Ol000go000@o`02
01;o000401Ko000Io`007?l001ko00808_l00P0Xo`002`0[o`00;_l002ko000ao`00=?l003Oo000j
o`00?Ol003oo0013o`00A_l00080BOl000@0C?l004oo001Eo`00F?l00P1Ko`001@1No`00HOl006Co
001Wo`00J_l00080L?l000X0Lol007Ko001io`00O?l007oo0022o`00QOl008So002;o`00S_l00P2A
o`001@2Do`00V_l009go002Po`00Xol00080Y_l000<0ZOl00:co002_o`000P2eo`002@2ho`00^ol0
0;ko0031o`00a?l00<Oo003:o`00cOl00=3o00020=?o00090=Ko003Io`00fOl00=co003Oo`00h_l0
0>Go003Xo`00jol00080k_l000D0lOl00?Co003go`00n_l00?go000g0?ooo`00=`3oool01P09o`00
3Ol000go000@o`004_l001Ko00806Ol000H07?l001ko000Ro`009Ol002So000[o`0302ko000403Co
000go`00=ol003[o0080?ol000P0@ol004Wo0019o`00C?l004oo001Bo`00EOl005So0080Fol000D0
G_l0067o001To`00Iol006go0002073o000:07?o001fo`00NOl007co001oo`00P_l008Go0028o`00
Rol008ko0080TOl000D0U?l009Oo002Mo`00X?l00:?o00020:Ko00050:Wo002/o`00[ol00;;o002e
o`000P2ho`00102ko`00`Ol00<7o0034o`020<[o000:0<go003@o`00dol00=?o003Fo`00fOl00=co
003Oo`00h_l00>Go0080j?l000D0jol00>ko003ao`00m?l00?Oo000i0?ooo`00>@3oool01`0@o`00
4_l001;o000Fo`006Ol001co000No`000P0Ro`000`0Uo`00:?l002_o000202ko0008037o000do`00
=ol003[o000mo`00?ol004?o0016o`0204Wo000504co001?o`00D_l005Go001Ho`000P1Ko`001@1N
o`00HOl006Co001Zo`00KOl00080L?l000X0Lol007Ko001io`00O?l007oo0022o`00QOl008So002;
o`00S_l00P2Ao`001@2Do`00Uol009[o002Po`00Xol00080Y_l000D0ZOl00:co002_o`00/_l00;Go
00020;So00080;_o002no`00`Ol00<Co0037o`00b_l00<go003@o`020=?o00030=Ko003Io`00g?l0
0080gol000H0h_l00>Go003Xo`00jol00>ko003ao`0k0?ooo`00>`3oool01`0Fo`006Ol001Wo000L
o`007_l002;o000Uo`000P0Xo`002`0[o`00;_l002ko000ao`00=?l003Oo000jo`00?Ol003oo0013
o`00A_l00080BOl000D0C?l004oo001Bo`00EOl005So000205_o000505ko001Qo`00Iol006[o001]
o`000P1`o`002P1co`00M_l007Wo001lo`00Ool008;o0025o`00R?l008_o002>o`02097o000509Co
002Go`00V_l009go002So`000P2Vo`001@2Yo`00[?l00:oo002bo`00]Ol00080^?l000P0^ol00;ko
0031o`00a?l00<Oo003:o`00cOl00=3o0080dol000T0e_l00=Wo003Io`00g?l00=oo003Ro`00iOl0
0>So003[o`00?@3oool003d0oooo00L07?l001ko000Ro`008_l002Go000Xo`00:ol000<0;_l000P0
=?l003Oo000go`00>_l003go000oo`00@ol004Ko0080BOl000D0C?l004oo001Bo`00EOl005So0002
05_o0005067o001To`00Iol006[o001]o`000P1`o`002P1co`00M_l007Wo001lo`00Ool008;o0025
o`00R?l008_o002>o`02097o000<09Co002Go`00V_l009go002Po`00Xol00:Ko002Yo`00[?l00:oo
002bo`00]Ol00P2ho`001@2ko`00__l00<7o0034o`00aol00080b_l000X0cOl00=3o003Co`00dol0
0=Ko003Io`00g?l00=oo003Ro`00iOl0?`3oool00400oooo00@09Ol002So000Xo`00:ol00P0^o`00
1@0ao`00=?l003Oo000jo`00?Ol00080?ol000<0@ol004Wo0019o`000P1<o`002`1?o`00EOl005So
001Ho`00Fol005ko001Qo`00I?l006Oo001Zo`00KOl00080L?l000X0Lol007Ko001io`00O?l007oo
0022o`00QOl008So002;o`00S_l00P2Ao`001P2Do`00Uol009[o002Mo`00X?l00:?o0080Y_l000<0
ZOl00:co002_o`000P2eo`020;So00080;_o0031o`00`Ol00<Co0037o`00b_l00<go003@o`020=?o
00030=Ko003Io`00g?l00480oooo00120?ooo`0<02_o000^o`00;_l002ko000ao`00=?l003Oo000j
o`00?Ol003oo0013o`00A_l00P19o`001@1<o`00Col005;o001Eo`00F?l00080Fol000H0G_l0067o
001To`00Iol006[o001]o`02073o000:07?o001fo`00NOl007co001oo`00P_l008Go0028o`00Rol0
08ko0080TOl000H0U?l009Oo002Jo`00WOl00:3o002So`020:Ko00050:Wo002/o`00[ol00;;o002e
o`000P2ho`00202ko`00__l00<7o0034o`00aol00<[o003=o`00d?l00P3Co`000`3Fo`00oooo0?oo
o`120?ooo`00A@3oool02@0ao`00=?l003Oo000go`00>_l003go000oo`00@ol004Ko000204Wo0005
04co001?o`00D_l005Go001Ho`000P1Ko`001P1No`00HOl006Co001Wo`00J_l006go0080L?l000X0
Lol007Ko001io`00O?l007oo0022o`00QOl008So002;o`00S_l00P2Ao`001P2Do`00Uol009[o002M
o`00X?l00:?o0080Y_l000D0ZOl00:co002_o`00/_l00;Go00020;So00080;_o002no`00`Ol00<Co
0037o`00b_l00<go003@o`170?ooo`00B03oool01P0jo`00?Ol003oo000oo`00@ol004Ko0080BOl0
00D0C?l004oo001Bo`00EOl005So000205_o000605ko001Qo`00I?l006Oo001Zo`00KOl00P1`o`00
2P1co`00M_l007Wo001lo`00Ool008;o0025o`00R?l008_o002>o`02097o000609Co002Go`00V_l0
09go002Po`00Xol00P2Vo`001@2Yo`00[?l00:oo002bo`00]Ol00080^?l000D0^ol00;ko0031o`00
a?l00<Oo001:0?ooo`00B`3oool01013o`00A_l004Wo0019o`0204co000404oo001Bo`00EOl005So
0080Fol000H0G_l0067o001To`00Iol006[o001]o`02073o000:07?o001fo`00NOl007co001oo`00
P_l008Go0028o`00Rol008ko0080TOl000H0U?l009Oo002Jo`00WOl00:3o002So`020:Ko00050:Wo
002/o`00[ol00;;o002eo`000P2ho`000`2ko`00__l00?ooo`1<0?ooo`00C`3oool0101<o`00Col0
05;o001Eo`0205So0080Fol000H0G_l0067o001To`00Iol006[o001]o`02073o000:07?o001fo`00
NOl007co001oo`00P_l008Go0028o`00Rol008ko0080TOl000H0U?l009Oo002Jo`00WOl00:3o002S
o`020:Ko00050:Wo002/o`00[ol00;;o002eo`00D@3oool005@0oooo0P1Ko`001P1No`00HOl006Co
001Wo`00J_l006go00<0L?l000X0Lol007Ko001io`00O?l007oo0022o`00QOl008So002;o`00S_l0
0P2Ao`001P2Do`00Uol009[o002Mo`00X?l00:?o0080Y_l0EP3oool005d0oooo00D0L?l007?o001f
o`00NOl007co000207oo000608;o0025o`00R?l008_o002>o`00TOl0G`3oool00<T0oooo00390?oo
o`00b@3oool00<T0oooo0000\
\>"],
  ImageRangeCache->{{{153.125, 276.688}, {636.688, 513.125}} -> {-3.65247, \
7.67087, 0.0105373, 0.0105373}},
  CellTags->"IPM3.Sol.9.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Here is the circle graphic primitive together with a text label.\
\>", "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    \(\(circ = Circle[{0, 0}, 1];\)\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    \(\(ctext = 
        Text[StyleForm["\<Circle\>", \[IndentingNewLine]FontFamily \[Rule] \
"\<Times\>", FontSlant -> "\<Italic\>", 
            FontSize \[Rule] 12], {Cos[\(5\ \[Pi]\)\/4] +  .25, 
            Sin[\(5\ \[Pi]\)\/4]}];\)\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell["\<\
This generates the graphics primitive for the triangle and its text label.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    \(\(tri = Line[{{\(-1\), 0}, {0, 1}, {1, 0}, {\(-1\), 0}}];\)\)], "Input",\

  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    \(\(ttext = 
        Text[StyleForm["\<Triangle\>", FontFamily \[Rule] "\<Times\>", 
            FontSlant \[Rule] "\<Italic\>", FontSize \[Rule] 12], {0, 
            0 +  .05}];\)\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell["Here is the rectangle and label.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    \(\(rect = 
        Line[{{\(-1\), \(-1\)}, {\(-1\), 1}, {2, 
              1}, {2, \(-1\)}, {\(-1\), \(-1\)}}];\)\)], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    \(\(rtext = 
        Text[StyleForm["\<Rectangle\>", FontFamily \[Rule] "\<Times\>", 
            FontSlant \[Rule] "\<Italic\>", 
            FontSize \[Rule] 12], {1.5, \(-1\) +  .05}];\)\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell["\<\
Finally, this displays each of these graphics elements all together. \
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Show[Graphics[{circ, tri, rect, ctext, ttext, rtext}], 
        AspectRatio \[Rule] Automatic];\)\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .66667 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.34127 0.31746 0.333333 0.31746 [
[ 0 0 0 0 ]
[ 1 .66667 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .66667 L
0 .66667 L
closepath
clip
newpath
0 g
.5 Mabswid
[ ] 0 setdash
newpath
.34127 .33333 .31746 0 365.73 arc
s
.02381 .33333 m
.34127 .65079 L
.65873 .33333 L
.02381 .33333 L
s
.02381 .01587 m
.02381 .65079 L
.97619 .65079 L
.97619 .01587 L
.02381 .01587 L
s
gsave
.19616 .10885 -77.9063 -10.125 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.25 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.375 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.375 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Circle) show
92.813 13.375 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.34127 .34921 -83.625 -10.4375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.375 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.375 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Triangle) show
104.250 13.375 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.81746 .03175 -86.875 -10.4375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.375 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.063 13.375 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Rectangle) show
110.750 13.375 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[9]:=",
  ImageSize->{248, 165.313},
  ImageMargins->{{62, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003h0000YB000`400?l00000o`00003on03oool0
0?P0oooo003h0?ooo`00d@3oool01@2oM0000000000000000000M;oo0280oooo00060?ooon/00000
1`3oool000H0oooo00<000000?ooo`3oool0?@3oool600000140oooo1@00001_0?ooo`060;mdB02L
gol0oooo0;md000007@0_ooo6@3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo
0?ooo`0i0?ooo`@00000703oool4000004X0oooo02D0omnL04P00000000004RL0=ooo`3OW4P00000
001d_`3ogi`0B00000000018W=l0oooo0?noM0000000001809cOo`3oool0_g@00000001d_ol0gia8
0000000004P0W;nL04P00000M;l0_g@007Boo`3oool0okmd00000000M;l0oooO09a800000000M;oo
0080oooo00L0_g@00000M02oool0omnL04P000000000B9cO0180oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0=P3oool3000002@0oooo100000170?ooo`0S0?oog`2LB4P0
W=oo0?ooo`2oM000M;oo0?ooo`2oM000M;oo0?ooo`3OW4P0M;oo0;md001d_ol0oooO09adW03Oool0
okmd04RLg`3oool0_gA809cOo`3ooml0W4P00000M02oool0okmd001d_`3oool0omnL04P0M02oool0
oooo0;mdM02oool00`3oool0203o_g@007Ad09bLg`2oM000M;oo0?ooo`3OW4P0M;oo4@3oool00`00
0000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`0b0?ooo`@00000:`3oool4000004@0
oooo00d0gia804RLg`3ookl0M4RL0=ooo`3oool0_g@00000000004P0W=oo0?ooo`2oM4P0W=oo00<0
oooo0140omnL04Q8W03Oool0_g@007Boo`3oool0oooO09a8001d_ol0oono07@0B01d_ml0oooo0;md
001d_ol0oooo0;md00020000000907Boo`3oool0oono07@0M02oool0_g@00000000004P0W=oo0180
oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0<03oool2000003<0oooo
0P0000120?ooo`040?oOW018B9`0gkmd001d_`80oooo00L0okmd04RLg`3ooml0W4P007Boo`3OW4P0
B9cO00<0oooo01d0oooO09a8M02oool0omnL04Q8W03Oool0oooo0?noM000M;l0oooo0;md0018B7@0
W=oo0?noM000M;l0omnL04Qd_`3oool0oono07@0B02Lgol0oooo0;md001d_ol0okmd04RLg`3ooml0
W4P007Boo`0A0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo02d0oooo
0`00000g0?ooo`<00000?`3oool0;P3ooml0W4P00000000004P0W=oo0?ooo`3ooml0W4Q809cOo`3o
okl0M4RL0=oo_`1d04P0W=oo0?noM018W=l0oooo0=nLB01d_ol0oooo0=nLB000M;l0oooo0=nLB000
07@0_moO0=noM018W;l0W4Qd0;oOW01807@0_ono07@0M02oool0oooo0=nLB01d_ol0oooo0?noM000
M;l0oooO09a8B02Lgol0oono07A8W03Oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`03
0000003oool0oooo02/0oooo0P00000m0?ooo`800000?P3oool08@2oM4P0W=oo0?oo_`1d04P0W=oo
0?ooo`3ooml0W4P000000000M;l0oooo0?oo_`1d0000000007Boo`3ogi`0B0000000B02Lgol0oooo
0=nLB0000000B9bL07@0001d_kl0M0000018W03Ookl0M0000018W03Oool0omnL04P0000300000008
07Boo`3ookl0M4RL0=ooo`3ooml0W4P000000000M;lA0?ooo`030000003oool0oooo00D0oooo0006
0?ooo`030000003oool0oooo02T0oooo0P0000110?ooo`800000?03oool01@3o_g@007Bo0?ooo`3O
W4P0B9cO00`0oooo00<0_ibL0=ooo`3oool04@3oool00`3ooml0W4Q809cOo`0E0?ooo`030000003o
ool0oooo00D0oooo00060?ooo`030000003oool0oooo02L0oooo0P0000150?ooo`800000>P3oool0
1@3ogi`0B01d0;ooo`2oM000B9cO00`0oooo00<0oknL09cOo`3oool04P3oool00`3OW4P0B9cO0?oo
o`0D0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo02D0oooo0P000019
0?ooo`030000003oool0oooo03H0oooo00H0oono07@00000000000000000M02ooolP0?ooo`040?oo
_`1d000004RL0=oooa@0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
903oool00`000000oooo0?ooo`1:0?ooo`800000M03oool00`000000oooo0?ooo`050?ooo`001P3o
ool00`000000oooo0?ooo`0R0?ooo`800000C`3oool200000780oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0803oool2000005<0oooo00<000000?ooo`3oool0K`3oool0
0`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo
05@0oooo0P00001_0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo01d0
oooo0P00001I0?ooo`800000K@3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo
0?ooo`0L0?ooo`030000003oool0oooo05/0oooo00<000000?ooo`3oool0JP3oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`0J0?ooo`800000G`3oool2000006X0oooo00<0
00000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`1Q
0?ooo`030000003oool0oooo06L0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?oo
o`3oool0603oool00`000000oooo0?ooo`1S0?ooo`030000003oool0oooo06H0oooo00<000000?oo
o`3oool01@3oool000H0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`1U0?ooo`03
0000003oool0oooo06D0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
5@3oool200000080oooo00<0oooO09a8000000000P0000001`1d_ol0oooo0=nLB0000000M;oo0;md
001d_ol00`3oool0303o_g@000000000B02Lgol0oooo0;md000007@0_ooo0?oOW0180000000004RL
gd`0oooo0P00001U0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo01@0
oooo00P000000?ooo`3oool0oooo0?oog`2LB00004RL0=ooo`80oooo00L0_gA809cOo`3ogi`0B4RL
0=ooo`3ogi`0B7Bo00<0oooo00d0_g@007Boo`3ooml0W7BL0=ooo`3o_g@007Ad09bLg`2oM000M;oo
0?ooo`3OW4P0M;oo04d0oooo00<000000?ooo`3oool0HP3oool00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0080oooo00<0omnL04P0B02Lgol0
1@3oool01P3ooml0W4Q809cOo`3ooml0W4Qd0;ooo`80oooo00<0_gA809cOo`3oool00P3oool01`3o
okl0M01d0;ooo`2oM00000000000B02Lgol0C`3oool00`000000oooo0?ooo`1Q0?ooo`030000003o
ool0oooo00D0oooo00060?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool00P3oool0
0`3ogi`0B01d0;ooo`060?ooo`090=nLB01d_ol0oooo0=nLB018B9`0_ooo0?ooo`3OW4P0B9cO00@0
oooo00L0_g@007Boo`3o_g@0B9cO0?oog`2LB000M;oo04h0oooo00<000000?ooo`3oool0H@3oool0
0`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo
00<0oooo00<0omnL04P0B02Lgol01P3oool05@3ogi`0B7Bo0?oOg`3Ogi`0B7Ad07A8B018M;l0oono
07@0B02Lgol0okmd04RLg`3oool0okmd001d_`3ooml0W4Q809cOo`3ookl0M4RL0=ooo`1>0?ooo`03
0000003oool0oooo0600oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
4@3oool00`000000oooo0?ooo`040?ooo`030?oog`2LB000B9cO00H0oooo01@0_g@00000M02ookl0
M0000000M02o_g@004RL0=ooo`3ookl0M0000000001d_ol0oooo0?oo_`1dB9`0gooo0?oog`2LB000
0000001d_e00oooo00<000000?ooo`3oool0G`3oool00`000000oooo0?ooo`050?ooo`001P3oool0
0`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00H0oooo00<0okmd0000M02oool00P3oool0
0`3ooml0W7BL0=ooo`0=0?ooo`030?oog`2LB4P0W=oo05D0oooo00<000000?ooo`3oool0GP3oool0
0`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo
00P0oooo00X0_g@00000M02oool0oooo0?noM00007@0_ooo0?oOW01807@0_ooo2`3oool00`3OW4P0
B9cO0?ooo`1E0?ooo`030000003oool0oooo05d0oooo00<000000?ooo`3oool01@3oool000H0oooo
00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0:0?ooo`060?noM00000000000001d_`3o
_g@0M;oo3@3oool0103ookl0M0000018W03OoomE0?ooo`030000003oool0oooo05d0oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`1g0?oo
o`030000003oool0oooo05`0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3o
ool03@3oool00`000000oooo0?ooo`1i0?ooo`030000003oool0oooo05/0oooo00<000000?ooo`3o
ool01@3oool000H0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`1j0?ooo`030000
003oool0oooo05/0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool02`3o
ool00`000000oooo0?ooo`1l0?ooo`030000003oool0oooo05X0oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`1n0?ooo`800000FP3oool0
0`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
0800oooo00<000000?ooo`3oool0F03oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo0840oooo00<000000?ooo`3oool0E`3oool00`000000
oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0880oooo
00<000000?ooo`3oool0E`3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo08<0oooo00<000000?ooo`3oool0EP3oool00`000000oooo0?oo
o`050?ooo`001P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo08D0oooo00<00000
0?ooo`3oool0E@3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo08H0oooo00<000000?ooo`3oool0E@3oool00`000000oooo0?ooo`050?oo
o`001P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo08L0oooo00<000000?ooo`3o
ool0E03oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo08P0oooo00<000000?ooo`3oool0E03oool00`000000oooo0?ooo`050?ooo`001P3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo08T0oooo00<000000?ooo`3oool0D`3o
ool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo08X0oooo00<000000?ooo`3oool0D`3oool00`000000oooo0?ooo`050?ooo`001P3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo08X0oooo00<000000?ooo`3oool0D`3oool00`00
0000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo08/0
oooo00<000000?ooo`3oool0DP3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo08`0oooo00<000000?ooo`3oool0DP3oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo08d0oooo00<0
00000?ooo`3oool0D@3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo08h0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`05
0?ooo`001P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo08l0oooo00<000000?oo
o`3oool0D03oool00`000000oooo0?ooo`050?ooo`001P3oool01@000000oooo0?ooo`3oool00000
0980oooo00<000000?ooo`3oool0D03oool00`000000oooo0?ooo`050?ooo`001P3oool01@000000
oooo0?ooo`3oool000000980oooo00<000000?ooo`3oool0D03oool00`000000oooo0?ooo`050?oo
o`001P3oool01@000000oooo0?ooo`3oool0000009<0oooo00<000000?ooo`3oool0C`3oool00`00
0000oooo0?ooo`050?ooo`001P3oool010000000oooo0?ooo`00002D0?ooo`030000003oool0oooo
04l0oooo00<000000?ooo`3oool01@3oool000H0oooo00@000000?ooo`3oool00000U@3oool00`00
0000oooo0?ooo`1>0?ooo`030000003oool0oooo00D0oooo00060?ooo`040000003oool0oooo0000
09D0oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`050?ooo`001P3oool010000000
oooo0?ooo`00002E0?ooo`030000003oool0oooo04h0oooo00<000000?ooo`3oool01@3oool000H0
oooo00<000000?ooo`000000UP3oool00`000000oooo0?ooo`1>0?ooo`030000003oool0oooo00D0
oooo00060?ooo`030000003oool0000009L0oooo00<000000?ooo`3oool0C@3oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0000002G0?ooo`030000003oool0oooo04d0oooo00<0
00000?ooo`3oool01@3oool000H0oooo00<000000?ooo`000000U`3oool00`000000oooo0?ooo`1=
0?ooo`030000003oool0oooo00D0oooo00060?ooo`800000V03oool00`000000oooo0?ooo`1=0?oo
o`030000003oool0oooo00D0oooo00060?ooo`800000V@3oool00`000000oooo0?ooo`1<0?ooo`03
0000003oool0oooo00D0oooo00060?ooo`800000V@3oool00`000000oooo0?ooo`1<0?ooo`030000
003oool0oooo00D0oooo00060?ooo`800000V@3oool00`000000oooo0?ooo`1<0?ooo`030000003o
ool0oooo00D0oooo00060?ooo`800000V@3oool00`000000oooo0?ooo`1<0?ooo`030000003oool0
oooo00D0oooo00060?ooo`800000V@3oool00`000000oooo0?ooo`1<0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo09P0oooo00<000000?ooo`3oool0C03oool00`000000
oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`2I0?ooo`030000003oool0oooo04/0oooo
00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0V@3oool00`000000oooo0?oo
o`1;0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo09T0oooo00<00000
0?ooo`3oool0B`3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`2I0?oo
o`030000003oool0oooo04/0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3o
ool0V@3oool00`000000oooo0?ooo`1;0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000
003oool0oooo09T0oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?ooo`050?ooo`001P3o
ool00`000000oooo0?ooo`2I0?ooo`030000003oool0oooo04/0oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0V@3oool00`000000oooo0?ooo`1;0?ooo`030000003oool0
oooo00D0oooo00060?ooo`030000003oool0oooo0540oooo00D0_g@0000000000000000007Boo`13
0?ooo`030000003oool0oooo04/0oooo00<000000?ooo`3oool01@3oool000H0ooooW@00001=0?oo
o`030000003oool0oooo00D0oooo00060?ooo`800000DP3oool01P2oM4P0W=oo0?ooo`2oM000001d
0;oood40oooo0P00001=0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool00000
03H0oooo00D0oono07@000000000000007Boo`020?ooo`030;md001d_ol0oooo0080oooo01<0gia8
0000001d_ol0gia80000000004P0W;nL04P00000M;l0_g@007Boo`3oool0okmd00000000M;l0oooO
09a800000000M;oo0080oooo00L0_g@00000M02oool0omnL04P000000000B9cO03T0oooo00<00000
0?ooo`000000C@3oool00`000000oooo0?ooo`050?ooo`001P3oool010000000oooo0?ooo`00000g
0?ooo`030=nLB018W=l0oooo0080oooo00<0omnL04Qd_`3oool00P3oool04P3ogi`0B4RL0=ooo`2o
M4P0W=oo0?oog`2LB000001d0;ooo`3o_g@007Bo0?ooo`3ogi`0B01d0;ooo`3oool0_gAd0;ooo`<0
oooo00P0okmd001dM02LW=l0_g@007Boo`3oool0gia807BoocL0oooo00@000000?ooo`3oool00000
C@3oool00`000000oooo0?ooo`050?ooo`001P3oool01@000000oooo0?ooo`3oool0000003H0oooo
00<0omnL04Q8W03Oool00P3oool00`3ooml0W4Qd0;ooo`020?ooo`0A0?oog`2LB4P0W=oo0;md001d
_ol0oooo0?oog`2LB000M;oo0?oo_`1d04P0M;oO0?ooo`2oM000M;oo0?ooo`2oM0000P0000002@1d
_ol0oooo0?oo_`1d07@0_ooo0;md00000000001809cOo`0g0?ooo`050000003oool0oooo0?ooo`00
0000C@3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo03<0oooo00<0oooO09a8B02Lgol00`3oool00`3OW4P0B4RL0;ooo`020?ooo`0L0=nL
B01d_ol0omnL04Q8W03Oool0oooo0?noM000M;l0oooo0;md0018B7@0W=oo0?noM000M;l0omnL04Qd
_`3oool0oono07@0B02Lgol0oooo0;md001d_ol0okmd04RLg`3ooml0W4P007BoocD0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`1;0?ooo`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool0<`3oool09`3OW4P0B9cO0?ooo`3oool0
omoO0=oOW018M7@0M4Q804Qd_`3oool0omnL04Qd_`3oool0gia8001d_`3oool0gia80000M02ogml0
gkmd04RL_`2LB7@0_mnL04P0M02ookl0M01d0;ooo`3oool0gia807Boo`3oool0okmd001d_`3ooml0
W4Q809cOo`3ookl0M4RL0=ooo`0c0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
B`3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo0380oooo01/0omnL04Q8W03Oool0oooo0?oo_`1d0000001d0;noM000B9`0gooo0;md0000
07@0_ooo0?ooo`3OW4P0000004RLW01d0000M;no07@00000B9`0gono07@00000B9`0gooo0?oOW018
00000`000000201d_ol0oono07A8W03Oool0oooO09a80000000007Bo<`3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo04/0oooo00<000000?ooo`3oool01@3oool000H0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`0a0?ooo`030?oog`2LB4P0W=oo01`0oooo00<0oooO
09a8B02Lgol0=P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo04/0oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0^0?oo
o`080?oo_`1dM;l0oooo0=nLB018W=l0oooo0?oo_`2o_ol40?ooo`030?oOW01807@0_ooo01<0oooo
00<0gia804RLg`3oool0=03oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo04/0oooo
00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`0^0?ooo`030;md00000000000000<0000000<007Bo0?ooo`3oool05`3oool0103ookl0M0000018
W03Ooolc0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0B`3oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo08<0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`1<0?ooo`030000003oool0oooo00D0oooo0006
0?ooo`8000002P3oool00`000000oooo0?ooo`210?ooo`030000003oool0oooo00P0oooo00<00000
0?ooo`3oool0C03oool00`000000oooo0?ooo`050?ooo`001P3oool2000000/0oooo00<000000?oo
o`3oool0O`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo04`0oooo00<000000?oo
o`3oool01@3oool000H0oooo0P00000<0?ooo`030000003oool0oooo07d0oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`1<0?ooo`030000003oool0oooo00D0oooo00060?ooo`800000
3@3oool00`000000oooo0?ooo`1k0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0
C03oool00`000000oooo0?ooo`050?ooo`001P3oool2000000h0oooo00<000000?ooo`3oool0N@3o
ool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo04`0oooo00<000000?ooo`3oool01@3o
ool000H0oooo0P00000?0?ooo`030000003oool0oooo07L0oooo00<000000?ooo`3oool0303oool0
0`000000oooo0?ooo`1=0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool00000
00l0oooo00<000000?ooo`3oool0M@3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo
04d0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`000000403oool00`000000
oooo0?ooo`1c0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0C@3oool00`000000
oooo0?ooo`050?ooo`001P3oool00`000000oooo0000000A0?ooo`030000003oool0oooo0740oooo
00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`1=0?ooo`030000003oool0oooo00D0oooo
00060?ooo`030000003oool000000180oooo00<000000?ooo`3oool0K`3oool00`000000oooo0?oo
o`0?0?ooo`030000003oool0oooo04h0oooo00<000000?ooo`3oool01@3oool000H0oooo00@00000
0?ooo`3oool000004P3oool00`000000oooo0?ooo`1]0?ooo`030000003oool0oooo0100oooo00<0
00000?ooo`3oool0CP3oool00`000000oooo0?ooo`050?ooo`001P3oool010000000oooo0?ooo`00
000C0?ooo`030000003oool0oooo06/0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?oo
o`1>0?ooo`030000003oool0oooo00D0oooo00060?ooo`040000003oool0oooo000001@0oooo00<0
00000?ooo`3oool0J@3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo04l0oooo00<0
00000?ooo`3oool01@3oool000H0oooo00D000000?ooo`3oool0oooo0000000D0?ooo`030000003o
ool0oooo06L0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`1?0?ooo`030000003o
ool0oooo00D0oooo00060?ooo`050000003oool0oooo0?ooo`0000005@3oool00`000000oooo0?oo
o`1U0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0D03oool00`000000oooo0?oo
o`050?ooo`001P3oool01@000000oooo0?ooo`3oool0000001H0oooo00<000000?ooo`3oool0H`3o
ool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0500oooo00<000000?ooo`3oool01@3o
ool000H0oooo00D000000?ooo`3oool0oooo0000000G0?ooo`030000003oool0oooo0640oooo00<0
00000?ooo`3oool0503oool00`000000oooo0?ooo`1@0?ooo`030000003oool0oooo00D0oooo0006
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`1O
0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0D03oool00`000000oooo0?ooo`05
0?ooo`001P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo01H0oooo00<000000?oo
o`3oool0G@3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0540oooo00<000000?oo
o`3oool01@3oool000H0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0F0?ooo`03
0000003oool0oooo05/0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`1A0?ooo`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
5`3oool00`000000oooo0?ooo`1I0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0
DP3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo01L0oooo00<000000?ooo`3oool0E`3oool00`000000oooo0?ooo`0G0?ooo`030000003o
ool0oooo0580oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`0H0?ooo`030000003oool0oooo05D0oooo00<000000?ooo`3oool05`3oool0
0`000000oooo0?ooo`1C0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`1C0?ooo`030000003oool0oooo
01P0oooo00<000000?ooo`3oool0D`3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0D@3oool00`000000
oooo0?ooo`0I0?ooo`030000003oool0oooo05<0oooo00<000000?ooo`3oool01@3oool000H0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo04l0oooo
00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`1D0?ooo`030000003oool0oooo00D0oooo
00060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?oo
o`1=0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0E03oool00`000000oooo0?oo
o`050?ooo`001P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo01X0oooo00<00000
0?ooo`3oool0B`3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo05D0oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0J0?oo
o`030000003oool0oooo04/0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`1F0?oo
o`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool06P3oool00`000000oooo0?ooo`190?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3o
ool0EP3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`080?ooo`030000
003oool0oooo01/0oooo00<000000?ooo`3oool0A`3oool00`000000oooo0?ooo`0J0?ooo`030000
003oool0oooo05L0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo04D0oooo00<000000?ooo`3oool06`3o
ool00`000000oooo0?ooo`1G0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`130?ooo`030000003oool0
oooo01/0oooo00<000000?ooo`3oool0F03oool00`000000oooo0?ooo`050?ooo`001P3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0@@3oool00`00
0000oooo0?ooo`0K0?ooo`030000003oool0oooo05T0oooo00<000000?ooo`3oool01@3oool000H0
oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo03l0
oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`1J0?ooo`030000003oool0oooo00D0
oooo00060?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0703oool00`000000oooo
0?ooo`0m0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0F`3oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo01`0oooo00<0
00000?ooo`3oool0>`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo05/0oooo00<0
00000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0L
0?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`1L
0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool07@3oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo01`0oooo00<000000?oo
o`3oool0G@3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`0?0?ooo`03
0000003oool0oooo01d0oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`0M0?ooo`03
0000003oool0oooo05d0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
403oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0
7@3oool00`000000oooo0?ooo`1N0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo0140oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0a0?ooo`030000003o
ool0oooo01d0oooo00<000000?ooo`3oool0G`3oool00`000000oooo0?ooo`050?ooo`001P3oool0
0`000000oooo0?ooo`0B0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0;`3oool0
0`000000oooo0?ooo`0M0?ooo`030000003oool0oooo0600oooo00<000000?ooo`3oool01@3oool0
00H0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo
02d0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`1Q0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool07@3oool00`000000
oooo0?ooo`0[0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0HP3oool00`000000
oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01d0oooo
00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo06<0oooo
00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?oo
o`0M0?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?oo
o`1T0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo01L0oooo00<00000
0?ooo`3oool07@3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo01d0oooo00<00000
0?ooo`3oool0I@3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`0H0?oo
o`030000003oool0oooo01d0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0M0?oo
o`030000003oool0oooo06H0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3o
ool06@3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3o
ool07@3oool00`000000oooo0?ooo`1W0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000
003oool0oooo01X0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0O0?ooo`030000
003oool0oooo01d0oooo00<000000?ooo`3oool0J03oool00`000000oooo0?ooo`050?ooo`001P3o
ool00`000000oooo0?ooo`0K0?ooo`8000007P3oool00`000000oooo0?ooo`0M0?ooo`030000003o
ool0oooo01`0oooo0P00001[0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo01d0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0K0?ooo`030000003oool0
oooo01`0oooo00<000000?ooo`3oool0J`3oool00`000000oooo0?ooo`050?ooo`001P3oool00`00
0000oooo0?ooo`0N0?ooo`8000007@3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo
01/0oooo0P00001^0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0200
oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo01X0
oooo0P00001`0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0240oooo
0P00000L0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool06P3oool00`000000oooo
0?ooo`1`0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo02<0oooo0P00
000K0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool06@3oool2000007<0oooo00<0
00000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`0I
0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0603oool2000007D0oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool09P3oool2000001X0oooo00<000000?oo
o`3oool03`3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo07D0oooo00<000000?oo
o`3oool01@3oool000H0oooo00<000000?ooo`3oool0:03oool2000001T0oooo00<000000?ooo`3o
ool03@3oool00`000000oooo0?ooo`0G0?ooo`800000N03oool00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`0Z0?ooo`<000005`3oool00`000000oooo0?ooo`0;0?ooo`030000
003oool0oooo01@0oooo1000001j0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo02d0oooo0P00000F0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool04`3o
ool2000007h0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0;`3oool2
000001D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0
oooo07h0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0<@3oool40000
0180oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0@0?ooo`@00000P@3oool00`00
0000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`0e0?ooo`@000003`3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00d0oooo100000250?ooo`030000003oool0oooo00D0
oooo00060?ooo`030000003oool0oooo03T0oooo1@00000;0?ooo`050000003oool0oooo0?ooo`00
00002P3oool6000008T0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
?P3oool:00000080oooo00<000000?ooo`0000000P3oool9000008l0oooo00<000000?ooo`3oool0
1@3oool000H0ooooj`0000070?ooo`00n03oool00?P0oooo003h0?ooo`00\
\>"],
  ImageRangeCache->{{{164.938, 317.688}, {490.938, 389.5}} -> {-4.49583, \
7.0137, 0.0128357, 0.0128357}},
  CellTags->"IPM3.Sol.9.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "First, we need to create the cuboid graphic object. ",
  StyleBox["Cuboid", "MR"],
  " takes a list of three numbers as the coordinates of its lower-left \
corner. This maps the object across two such lists."
}], "SolutionItem",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[Cuboid[#] &, Table[Random[], {2}, {3}]]\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    \({Cuboid[{0.17739498963343617`, 0.5519663525106718`, 
          0.8571066113384102`}], 
      Cuboid[{0.545711622534871`, 0.7682898742639609`, 
          0.48343960544445524`}]}\)], "Output",
  CellLabel->"Out[10]=",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],

Cell[TextData[{
  "Here is a list of six cuboids and the resulting graphic. Notice the large \
amount of overlap of the cubes. You can reduce the large overlap by \
specifying minimum ",
  StyleBox["and",
    FontSlant->"Italic"],
  " maximum values of the cuboid."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    \(\(cubes = Map[Cuboid[#1] &, Table[Random[], {6}, {3}]];\)\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Show[Graphics3D[cubes]];\)\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1.03451 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
-0.0348683 1.12233 2.94361e-017 1.12233 [
[ 0 0 0 0 ]
[ 1 1.03451 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.07799 .24696 m
0 .74176 L
s
0 .74176 m
.40195 1.03451 L
s
.40195 1.03451 m
.41725 .58751 L
s
.41725 .58751 m
.07799 .24696 L
s
.67371 0 m
.93587 .42062 L
s
.93587 .42062 m
1 .89317 L
s
1 .89317 m
.70314 .51843 L
s
.70314 .51843 m
.67371 0 L
s
.07799 .24696 m
0 .74176 L
s
0 .74176 m
.70314 .51843 L
s
.70314 .51843 m
.67371 0 L
s
.67371 0 m
.07799 .24696 L
s
.41725 .58751 m
.93587 .42062 L
s
.93587 .42062 m
1 .89317 L
s
1 .89317 m
.40195 1.03451 L
s
.40195 1.03451 m
.41725 .58751 L
s
0 0 m
1 0 L
1 1.03451 L
0 1.03451 L
closepath
clip
newpath
.5 Mabswid
.67 .731 .895 r
.57719 .36793 m .31419 .46083 L .13781 .28147 L p F P
0 g
s
.549 .332 .537 r
.31419 .46083 m .33402 .47296 L .36024 .46163 L F
.36086 .45011 m .36024 .46163 L .41648 .43734 L F
.31419 .46083 m .36024 .46163 L .36086 .45011 L F
.94 .685 .524 r
.29682 .71115 m .10255 .54277 L .13781 .28147 L p F P
0 g
s
.652 .756 .926 r
.29682 .71115 m .16742 .599 L p .21223 .58395 L F P
0 g
s
.549 .332 .537 r
.41695 .42453 m .31419 .46083 L p .41648 .43734 L F P
0 g
s
.549 .332 .537 r
.33402 .47296 m .36139 .48968 L .41551 .46418 L F
.33402 .47296 m .41551 .46418 L .41624 .44422 L F
.953 .687 .496 r
.46279 .51425 m .50794 .54411 L .481 .54163 L F
.41624 .44422 m .46318 .49536 L p .46279 .51425 L F P
0 g
s
.953 .687 .496 r
.46318 .49536 m .50794 .54411 L p .46279 .51425 L F P
0 g
s
.953 .687 .496 r
.41624 .44422 m .481 .54163 L .41526 .47113 L F
.50794 .54411 m .50778 .57036 L p .481 .54163 L F P
0 g
s
.669 .733 .897 r
.77244 .45828 m .50794 .54411 L .41624 .44422 L p F P
0 g
s
.669 .733 .897 r
.51622 .40928 m .77244 .45828 L .41624 .44422 L F
.568 .359 .557 r
.77244 .45828 m .50794 .54411 L p .66659 .6384 L F P
0 g
s
.659 .747 .915 r
.57618 .70091 m .54946 .67327 L p .73706 .64049 L F P
0 g
s
.659 .747 .915 r
.73706 .64049 m .7433 .648 L .57618 .70091 L F
.80773 .63352 m .57618 .70091 L p .80402 .62878 L F P
0 g
s
.659 .747 .915 r
.73706 .64049 m .80402 .62878 L .7433 .648 L F
.77488 .60616 m .854 .62005 L .54946 .67327 L F
.573 .367 .563 r
.88247 .89959 m .854 .62005 L .57618 .70091 L p F P
0 g
s
.573 .367 .563 r
.57618 .70091 m .58028 .97215 L .88247 .89959 L p F P
0 g
s
.568 .359 .557 r
.50794 .54411 m .50648 .793 L .55022 .78087 L p F P
0 g
s
.957 .688 .483 r
.551 .89145 m .56387 .79404 L .58028 .97215 L F
.57618 .70091 m .57779 .80746 L p .56387 .79404 L F P
0 g
s
.957 .688 .483 r
.57779 .80746 m .58028 .97215 L p .56387 .79404 L F P
0 g
s
.549 .332 .537 r
.57753 .38785 m .57719 .36793 L p .41648 .43734 L F P
0 g
s
.549 .332 .537 r
.33402 .47296 m .41624 .44422 L .41648 .43734 L F
.41624 .44422 m .57753 .38785 L .41648 .43734 L F
.559 .346 .548 r
.46264 .52194 m .40713 .54034 L p .46157 .57425 L F P
0 g
s
.668 .735 .901 r
.46264 .52194 m .40713 .54034 L p .38101 .48293 L F P
0 g
s
.668 .735 .901 r
.40713 .54034 m .35866 .49062 L p .38101 .48293 L F P
0 g
s
.946 .686 .512 r
.40713 .54034 m .39945 .74246 L p .34921 .66478 L F P
0 g
s
.946 .686 .512 r
.34921 .66478 m .39945 .74246 L .36701 .71323 L F
.35866 .49062 m .40713 .54034 L p .34921 .66478 L F P
0 g
s
.559 .346 .548 r
.40713 .54034 m .39859 .76508 L p .45125 .74988 L F P
0 g
s
.953 .687 .496 r
.50648 .793 m .45802 .74793 L p .45826 .73646 L F P
0 g
s
.957 .688 .483 r
.54946 .67327 m .57618 .70091 L p .56032 .82094 L F P
0 g
s
.957 .688 .483 r
.55044 .81161 m .56032 .82094 L .551 .89145 L F
.54946 .67327 m .56032 .82094 L .55044 .81161 L F
.559 .346 .548 r
.42989 .64846 m .45125 .74988 L .45771 .63986 L F
.45125 .74988 m .45802 .74793 L .46157 .57425 L F
.953 .687 .496 r
.47028 .7363 m .4437 .71938 L .4078 .6773 L F
.49405 .75875 m .4437 .71938 L .47028 .7363 L F
.49405 .75875 m .50648 .793 L .4437 .71938 L F
.568 .359 .557 r
.55022 .78087 m .793 .71351 L p .54871 .56834 L F P
0 g
s
.568 .359 .557 r
.50794 .54411 m .55022 .78087 L .54871 .56834 L F
.957 .688 .483 r
.51085 .74289 m .54946 .67327 L .55022 .78087 L F
.559 .346 .548 r
.40713 .54034 m .42989 .64846 L .46157 .57425 L F
.42989 .64846 m .45771 .63986 L .46157 .57425 L F
.953 .687 .496 r
.41294 .53537 m .49405 .75875 L .4078 .6773 L F
.41294 .53537 m .481 .54163 L .50648 .793 L F
.50778 .57036 m .50648 .793 L p .481 .54163 L F P
0 g
s
.65 .759 .929 r
.55022 .78087 m .50648 .793 L p .47464 .74313 L F P
0 g
s
.65 .759 .929 r
.5027 .73503 m .55022 .78087 L .47464 .74313 L F
.957 .688 .483 r
.50348 .6257 m .54946 .67327 L p .50254 .75786 L F P
0 g
s
.568 .359 .557 r
.78413 .60341 m .77244 .45828 L p .66659 .6384 L F P
0 g
s
.659 .747 .915 r
.54946 .67327 m .50348 .6257 L p .64955 .61519 L F P
0 g
s
.659 .747 .915 r
.64955 .61519 m .77488 .60616 L .66912 .63765 L F
.64955 .61519 m .66912 .63765 L .54946 .67327 L F
.559 .346 .548 r
.67375 .45195 m .46264 .52194 L p .56222 .60753 L F P
0 g
s
.549 .332 .537 r
.36139 .48968 m .53377 .43032 L .5258 .41222 L F
.669 .733 .897 r
.6391 .27493 m .77244 .45828 L p .60903 .42703 L F P
0 g
s
.549 .332 .537 r
.57719 .36793 m .41695 .42453 L p .41648 .43734 L F P
0 g
s
.67 .731 .895 r
.13781 .28147 m .41849 .1685 L .57719 .36793 L p F P
0 g
s
.669 .733 .897 r
.35603 .37864 m .5214 .31805 L p .60903 .42703 L F P
0 g
s
.969 .686 .44 r
.57719 .36793 m .57753 .38785 L p .57127 .37922 L F P
0 g
s
.969 .686 .44 r
.52142 .31046 m .57099 .36013 L .57127 .37922 L F
.52144 .29787 m .57099 .36013 L p .52142 .31046 L F P
0 g
s
.969 .686 .44 r
.57099 .36013 m .57719 .36793 L p .57127 .37922 L F P
0 g
s
.969 .686 .44 r
.41849 .1685 m .47125 .24127 L .43947 .21615 L F
.47125 .24127 m .57753 .38785 L .47098 .25534 L F
.47125 .24127 m .47098 .25534 L .43947 .21615 L F
.669 .733 .897 r
.5214 .31805 m .52597 .31638 L p .52597 .32373 L F P
0 g
s
.669 .733 .897 r
.52597 .31638 m .6391 .27493 L p .52597 .32373 L F P
0 g
s
.669 .733 .897 r
.52597 .32373 m .6391 .27493 L .60903 .42703 L F
.549 .332 .537 r
.53377 .43032 m .578 .41509 L .5258 .41222 L F
.578 .41509 m .57753 .38785 L p .5258 .41222 L F P
0 g
s
.549 .332 .537 r
.41624 .44422 m .41551 .46418 L .57753 .38785 L F
.668 .735 .901 r
.41526 .47113 m .46264 .52194 L .38101 .48293 L F
.659 .747 .915 r
.64206 .58284 m .77488 .60616 L .60032 .61873 L F
.58409 .60077 m .60032 .61873 L .50348 .6257 L F
.64206 .58284 m .60032 .61873 L .58409 .60077 L F
.953 .687 .496 r
.41526 .47113 m .481 .54163 L .41294 .53537 L F
.559 .346 .548 r
.46204 .55121 m .49543 .55012 L .46264 .52194 L F
.46157 .57425 m .49543 .55012 L .46204 .55121 L F
.65 .759 .929 r
.65557 .69091 m .69869 .698 L .5027 .73503 L F
.69869 .698 m .793 .71351 L .7174 .71912 L F
.69869 .698 m .7174 .71912 L .5027 .73503 L F
.559 .346 .548 r
.46157 .57425 m .651 .69223 L .49543 .55012 L F
.953 .687 .496 r
.35603 .37864 m .41624 .44422 L p .41526 .47113 L F P
0 g
s
.549 .332 .537 r
.36139 .48968 m .38023 .5012 L .41472 .48618 L F
.953 .687 .496 r
.35603 .37864 m .41526 .47113 L .37325 .42608 L F
.668 .735 .901 r
.40849 .46388 m .41398 .46363 L .46264 .52194 L F
.67375 .45195 m .46687 .52054 L p .41398 .46363 L F P
0 g
s
.668 .735 .901 r
.46687 .52054 m .46264 .52194 L p .41398 .46363 L F P
0 g
s
.668 .735 .901 r
.52471 .42364 m .59601 .43718 L .40849 .46388 L F
.59601 .43718 m .61038 .4548 L .40849 .46388 L F
.549 .332 .537 r
.41526 .47113 m .5212 .43982 L .52121 .43465 L F
.41526 .47113 m .41472 .48618 L .5212 .43982 L F
.38023 .5012 m .48586 .56577 L .56356 .4387 L F
.535 .312 .522 r
.5214 .31805 m .47976 .33331 L p .47972 .33566 L F P
0 g
s
.535 .312 .522 r
.47972 .33566 m .50982 .32465 L .5214 .31805 L F
.669 .733 .898 r
.5214 .32041 m .55079 .35692 L .36028 .37937 L F
.969 .686 .44 r
.57753 .38785 m .57757 .39018 L p .5214 .3194 L F P
0 g
s
.969 .686 .44 r
.5214 .31805 m .57753 .38785 L .5214 .3194 L F
.535 .312 .522 r
.50982 .32465 m .5214 .32041 L .5214 .31805 L F
.969 .686 .44 r
.43947 .21615 m .57757 .39018 L .45229 .23456 L F
.669 .733 .897 r
.41624 .44422 m .35603 .37864 L p .51622 .40928 L F P
0 g
s
.669 .733 .898 r
.41374 .43772 m .36028 .37937 L p .55079 .35692 L F P
0 g
s
.669 .733 .898 r
.57132 .38242 m .41374 .43772 L p .55079 .35692 L F P
0 g
s
.535 .312 .522 r
.4796 .34346 m .52136 .34566 L .5214 .32041 L F
.38883 .39352 m .47932 .36084 L .4796 .34346 L F
.47932 .36084 m .52136 .34566 L .4796 .34346 L F
.38883 .39352 m .5214 .32041 L .50982 .32465 L F
.969 .686 .44 r
.43947 .21615 m .5214 .31805 L .5214 .3194 L F
.535 .312 .522 r
.36041 .37704 m .38883 .39352 L .47962 .34184 L F
.47976 .33331 m .36041 .37704 L p .47962 .34184 L F P
0 g
s
.535 .312 .522 r
.36041 .37704 m .35603 .37864 L p .36019 .38095 L F P
0 g
s
.535 .312 .522 r
.36028 .37937 m .36283 .37844 L .36041 .37704 L F
.669 .733 .898 r
.36028 .37937 m .24946 .2584 L p .50764 .30332 L F P
0 g
s
.506 .271 .491 r
.13781 .28147 m .15992 .29405 L .25026 .25019 L F
.41849 .1685 m .25167 .23564 L p .25026 .25019 L F P
0 g
s
.506 .271 .491 r
.25167 .23564 m .13781 .28147 L p .25026 .25019 L F P
0 g
s
.549 .332 .537 r
.38023 .5012 m .53711 .44772 L .53705 .43292 L F
.36139 .48968 m .41472 .48618 L .41526 .47113 L F
.36139 .48968 m .34682 .53968 L .38329 .57822 L F
.34682 .53968 m .29682 .71115 L .35123 .62751 L F
.946 .686 .512 r
.39742 .796 m .34458 .75013 L p .34921 .66478 L F P
0 g
s
.549 .332 .537 r
.29682 .71115 m .4078 .6773 L p .38329 .57822 L F P
0 g
s
.549 .332 .537 r
.31098 .50704 m .29682 .71115 L p .36139 .48968 L F P
0 g
s
.94 .685 .524 r
.13781 .28147 m .31419 .46083 L .29682 .71115 L p F P
0 g
s
.652 .756 .926 r
.34753 .69568 m .29682 .71115 L p .19534 .55856 L F P
0 g
s
.946 .686 .512 r
.24081 .36971 m .34921 .66478 L .30284 .65541 L F
.22046 .58119 m .24081 .36971 L p .30284 .65541 L F P
0 g
s
.549 .332 .537 r
.3555 .54886 m .35123 .62751 L .38329 .57822 L F
.34682 .53968 m .35123 .62751 L .3555 .54886 L F
.36139 .48968 m .4078 .6773 L .41344 .5215 L F
.31419 .46083 m .31098 .50704 L p .36139 .48968 L F P
0 g
s
.668 .735 .901 r
.37726 .47469 m .41526 .47113 L .38101 .48293 L F
.34718 .40857 m .40849 .46388 L .37726 .47469 L F
.35447 .40593 m .40849 .46388 L .34718 .40857 L F
.40849 .46388 m .41526 .47113 L .37726 .47469 L F
.559 .346 .548 r
.651 .69223 m .65831 .69012 L .49543 .55012 L F
.669 .733 .898 r
.26154 .25359 m .50764 .30332 L .24946 .2584 L F
.50764 .30332 m .5214 .32041 L .36028 .37937 L F
.535 .312 .522 r
.47972 .33566 m .47962 .34184 L .50982 .32465 L F
.548 .33 .536 r
.57132 .38242 m .41374 .43772 L p .44034 .45285 L F P
0 g
s
.548 .33 .536 r
.44034 .45285 m .5072 .4297 L .57132 .38242 L F
.668 .735 .901 r
.52471 .42364 m .57469 .41104 L .54306 .42712 L F
.57469 .41104 m .578 .41509 L .54306 .42712 L F
.969 .686 .44 r
.57168 .40611 m .578 .41509 L .5717 .40737 L F
.548 .33 .536 r
.53061 .41244 m .57158 .40741 L .57132 .38242 L F
.5072 .4297 m .53062 .42159 L .53061 .41244 L F
.53062 .42159 m .57158 .40741 L .53061 .41244 L F
.668 .735 .901 r
.5717 .40737 m .57469 .41104 L .52471 .42364 L F
.63085 .39689 m .67375 .45195 L p .54306 .42712 L F P
0 g
s
.549 .332 .537 r
.53705 .43292 m .56356 .4387 L .578 .41509 L F
.53711 .44772 m .56356 .4387 L .53705 .43292 L F
.52121 .43465 m .5212 .43982 L .578 .41509 L F
.58006 .53546 m .578 .41509 L p .48586 .56577 L F P
0 g
s
.548 .33 .536 r
.53063 .42833 m .57177 .42606 L .57158 .40741 L F
.46036 .46424 m .53065 .44015 L .53063 .42833 L F
.53065 .44015 m .57177 .42606 L .53063 .42833 L F
.965 .687 .456 r
.53565 .44602 m .53597 .5475 L p .53079 .53828 L F P
0 g
s
.548 .33 .536 r
.46036 .46424 m .57158 .40741 L .5072 .4297 L F
.44034 .45285 m .46036 .46424 L .5072 .4297 L F
.965 .687 .456 r
.53065 .44587 m .53565 .44602 L .53079 .53828 L F
.53065 .44015 m .53565 .44602 L p .53065 .44587 L F P
0 g
s
.666 .737 .903 r
.57689 .43195 m .53565 .44602 L p .54203 .43625 L F P
0 g
s
.666 .737 .903 r
.57198 .42598 m .57689 .43195 L .54203 .43625 L F
.548 .33 .536 r
.57158 .40741 m .5717 .40737 L .57132 .38242 L F
.506 .271 .491 r
.4176 .19146 m .41849 .1685 L p .25026 .25019 L F P
0 g
s
.506 .271 .491 r
.15992 .29405 m .24946 .2584 L .25026 .25019 L F
.24946 .2584 m .4176 .19146 L .25026 .25019 L F
.953 .687 .496 r
.35447 .40593 m .35603 .37864 L p .37325 .42608 L F P
0 g
s
.953 .687 .495 r
.35917 .39926 m .41282 .46238 L .35889 .40434 L F
.535 .312 .522 r
.35603 .37864 m .35447 .40593 L p .35889 .40434 L F P
0 g
s
.535 .312 .522 r
.35603 .37864 m .35889 .40434 L .36019 .38095 L F
.953 .687 .495 r
.24935 .25949 m .35935 .39601 L .24843 .26899 L F
.35935 .39601 m .41282 .46238 L .35917 .39926 L F
.35935 .39601 m .35917 .39926 L .24843 .26899 L F
.41374 .43772 m .41282 .46238 L p .35935 .39601 L F P
0 g
s
.953 .687 .495 r
.36028 .37937 m .41374 .43772 L p .35935 .39601 L F P
0 g
s
.535 .312 .522 r
.36019 .38095 m .35889 .40434 L .3852 .39483 L F
.668 .735 .901 r
.38102 .39634 m .52136 .34566 L .55835 .39101 L F
.976 .68 .389 r
.6391 .27493 m .68621 .33971 L p .68634 .34206 L F P
0 g
s
.535 .312 .522 r
.5214 .31805 m .52252 .32 L .5752 .29963 L F
.6391 .27493 m .57517 .29835 L p .5752 .29963 L F P
0 g
s
.535 .312 .522 r
.57517 .29835 m .5214 .31805 L p .5752 .29963 L F P
0 g
s
.559 .346 .548 r
.67952 .57125 m .67375 .45195 L p .56222 .60753 L F P
0 g
s
.973 .684 .418 r
.67375 .45195 m .67952 .57125 L p .63226 .47617 L F P
0 g
s
.969 .686 .44 r
.578 .41509 m .58006 .53546 L p .57856 .53206 L F P
0 g
s
.969 .686 .44 r
.57658 .41336 m .578 .41509 L .57856 .53206 L F
.668 .735 .901 r
.59601 .43718 m .67375 .45195 L .61038 .4548 L F
.549 .331 .537 r
.63011 .41378 m .57689 .43195 L p .63304 .49857 L F P
0 g
s
.549 .331 .537 r
.57689 .43195 m .53565 .44602 L p .5775 .4686 L F P
0 g
s
.549 .331 .537 r
.5775 .4686 m .63304 .49857 L .57689 .43195 L F
.668 .735 .901 r
.62471 .38902 m .63085 .39689 L p .60215 .39683 L F P
0 g
s
.669 .733 .898 r
.24131 .2495 m .40994 .18196 L p .50764 .30332 L F P
0 g
s
.969 .686 .44 r
.45229 .23456 m .578 .41509 L .44189 .22164 L F
.57757 .39018 m .578 .41509 L p .45229 .23456 L F P
0 g
s
.668 .735 .901 r
.60215 .39683 m .63085 .39689 L .57469 .41104 L F
.60215 .39683 m .57469 .41104 L .5717 .40737 L F
.57469 .41104 m .63085 .39689 L .578 .41509 L F
.548 .33 .536 r
.62389 .36397 m .57132 .38242 L p .59334 .41866 L F P
0 g
s
.666 .737 .903 r
.58045 .42308 m .62734 .41026 L .57689 .43195 L F
.973 .684 .418 r
.6262 .40881 m .67375 .45195 L .66277 .45528 L F
.666 .737 .903 r
.63011 .41378 m .57689 .43195 L p .62734 .41026 L F P
0 g
s
.548 .33 .536 r
.59334 .41866 m .62533 .4077 L .62389 .36397 L F
.969 .686 .44 r
.44189 .22164 m .57168 .40611 L .46733 .27942 L F
.57168 .40611 m .5717 .40737 L .46733 .27942 L F
.666 .737 .903 r
.62533 .4077 m .62734 .41026 L .58045 .42308 L F
.668 .735 .901 r
.38102 .39634 m .55835 .39101 L .56127 .39459 L F
.548 .33 .536 r
.5717 .40737 m .58391 .40314 L .57132 .38242 L F
.668 .735 .901 r
.56303 .39674 m .61 .39411 L .59282 .39681 L F
.38102 .39634 m .56127 .39459 L .56303 .39674 L F
.56127 .39459 m .61 .39411 L .56303 .39674 L F
.38102 .39634 m .60215 .39683 L .52471 .42364 L F
.559 .346 .548 r
.46157 .57425 m .45802 .74793 L .5027 .73503 L F
.50366 .60046 m .5027 .73503 L .651 .69223 L F
.46157 .57425 m .5027 .73503 L .50366 .60046 L F
.549 .332 .537 r
.4078 .6773 m .45313 .66347 L p .41344 .5215 L F P
0 g
s
.957 .688 .483 r
.45313 .66347 m .48971 .7225 L .45261 .68671 L F
.45402 .6241 m .47665 .6865 L .45313 .66347 L F
.47665 .6865 m .48971 .7225 L .45313 .66347 L F
.549 .332 .537 r
.41344 .5215 m .43077 .58349 L .45574 .54736 L F
.43077 .58349 m .45313 .66347 L .4551 .57566 L F
.43077 .58349 m .4551 .57566 L .45574 .54736 L F
.659 .747 .915 r
.50348 .6257 m .4551 .57566 L p .64206 .58284 L F P
0 g
s
.659 .747 .915 r
.4719 .57026 m .64206 .58284 L .4551 .57566 L F
.50668 .55907 m .64206 .58284 L .4719 .57026 L F
.957 .688 .483 r
.44743 .59926 m .50348 .6257 L .5027 .73503 L F
.548 .33 .536 r
.44034 .45285 m .4218 .57704 L .44818 .5685 L F
.957 .688 .483 r
.44818 .5685 m .50348 .6257 L p .44743 .59926 L F P
0 g
s
.548 .33 .536 r
.4218 .57704 m .4082 .66809 L .44653 .63552 L F
.957 .688 .483 r
.44727 .6055 m .5027 .73503 L .48971 .7225 L F
.44743 .59926 m .5027 .73503 L .44727 .6055 L F
.549 .332 .537 r
.45313 .66347 m .58159 .62428 L p .48586 .56577 L F P
0 g
s
.549 .332 .537 r
.45574 .54736 m .4551 .57566 L .48586 .56577 L F
.4551 .57566 m .45313 .66347 L .48586 .56577 L F
.659 .747 .915 r
.48766 .55573 m .50668 .55907 L .44818 .5685 L F
.50668 .55907 m .4719 .57026 L .44818 .5685 L F
.4551 .57566 m .44818 .5685 L p .4719 .57026 L F P
0 g
s
.548 .33 .536 r
.4218 .57704 m .44653 .63552 L .44818 .5685 L F
.946 .686 .512 r
.3534 .48522 m .35866 .49062 L p .35156 .62139 L F P
0 g
s
.946 .686 .512 r
.3534 .48522 m .35156 .62139 L .34921 .66478 L F
.24081 .36971 m .3534 .48522 L p .34921 .66478 L F P
0 g
s
.668 .735 .901 r
.24081 .36971 m .33789 .38815 L .38101 .48293 L F
.35866 .49062 m .24081 .36971 L p .38101 .48293 L F P
0 g
s
.953 .687 .496 r
.35447 .40593 m .41294 .53537 L .35153 .62415 L F
.37325 .42608 m .41294 .53537 L .35447 .40593 L F
.37325 .42608 m .41526 .47113 L .41294 .53537 L F
.946 .686 .512 r
.34458 .75013 m .21502 .63767 L p .34921 .66478 L F P
0 g
s
.652 .756 .926 r
.4078 .6773 m .34753 .69568 L p .31925 .62305 L F P
0 g
s
.652 .756 .926 r
.30114 .57656 m .34247 .6156 L .31925 .62305 L F
.34247 .6156 m .4078 .6773 L .31925 .62305 L F
.953 .687 .496 r
.40696 .70043 m .34112 .63919 L p .41294 .53537 L F P
0 g
s
.535 .312 .522 r
.34112 .63919 m .34587 .63769 L p .3462 .63185 L F P
0 g
s
.953 .687 .496 r
.34247 .6156 m .35447 .40593 L p .35153 .62415 L F P
0 g
s
.652 .756 .926 r
.34247 .6156 m .34719 .61408 L .4078 .6773 L F
.953 .687 .495 r
.41282 .46238 m .40516 .66903 L p .3517 .53323 L F P
0 g
s
.535 .312 .522 r
.35447 .40593 m .34247 .6156 L p .34788 .60174 L F P
0 g
s
.953 .687 .496 r
.34112 .63919 m .34247 .6156 L p .35153 .62415 L F P
0 g
s
.535 .312 .522 r
.34247 .6156 m .34112 .63919 L p .34556 .61461 L F P
0 g
s
.535 .312 .522 r
.34247 .6156 m .34556 .61461 L .34788 .60174 L F
.953 .687 .495 r
.24843 .26899 m .35917 .39926 L .25837 .29616 L F
.35917 .39926 m .35889 .40434 L .25837 .29616 L F
.548 .33 .536 r
.41374 .43772 m .41282 .46238 L p .44034 .45285 L F P
0 g
s
.953 .687 .495 r
.30568 .3294 m .36028 .37937 L .35935 .39601 L F
.668 .735 .901 r
.33789 .38815 m .34513 .38953 L .40849 .46388 L F
.535 .312 .522 r
.36019 .38095 m .3852 .39483 L .36283 .37844 L F
.668 .735 .901 r
.35889 .40434 m .52471 .42364 L .41282 .46238 L F
.38102 .39634 m .52471 .42364 L .35889 .40434 L F
.548 .33 .536 r
.46036 .46424 m .53074 .50426 L .53065 .44015 L F
.965 .687 .456 r
.53079 .53828 m .53597 .5475 L .53079 .54178 L F
.548 .33 .536 r
.45089 .45885 m .44818 .5685 L .53079 .54178 L F
.668 .735 .901 r
.56127 .39459 m .62471 .38902 L .61 .39411 L F
.55835 .39101 m .62471 .38902 L .56127 .39459 L F
.976 .68 .389 r
.6391 .27493 m .68634 .34206 L .64163 .28063 L F
.669 .733 .898 r
.55079 .35692 m .6856 .34103 L .57132 .38242 L F
.976 .68 .389 r
.68621 .33971 m .77244 .45828 L p .76857 .45501 L F P
0 g
s
.976 .68 .389 r
.68621 .33971 m .69079 .34611 L .68634 .34206 L F
.69079 .34611 m .76857 .45501 L .69091 .34833 L F
.69079 .34611 m .69091 .34833 L .68634 .34206 L F
.973 .684 .418 r
.63882 .40712 m .67375 .45195 L p .62769 .41016 L F P
0 g
s
.973 .684 .418 r
.63882 .40712 m .62769 .41016 L .6262 .40881 L F
.669 .733 .898 r
.68634 .34206 m .57132 .38242 L p .6856 .34103 L F P
0 g
s
.669 .733 .898 r
.5466 .31119 m .68409 .33897 L .55079 .35692 L F
.68409 .33897 m .6911 .34038 L .6856 .34103 L F
.68409 .33897 m .6856 .34103 L .55079 .35692 L F
.973 .684 .418 r
.57564 .32605 m .63882 .40712 L p .6262 .40881 L F P
0 g
s
.666 .737 .903 r
.68873 .38597 m .69336 .3922 L .62734 .41026 L F
.973 .684 .418 r
.63187 .46468 m .67375 .45195 L .63226 .47617 L F
.549 .331 .537 r
.69336 .3922 m .63011 .41378 L p .698 .4752 L F P
0 g
s
.976 .68 .389 r
.69585 .43664 m .78413 .60341 L .73025 .53468 L F
.69376 .39928 m .78413 .60341 L .69585 .43664 L F
.668 .735 .901 r
.57564 .32605 m .6143 .38933 L p .55835 .39101 L F P
0 g
s
.973 .684 .418 r
.57564 .32605 m .6262 .40881 L .57596 .34496 L F
.666 .737 .903 r
.68873 .38597 m .62734 .41026 L .62533 .4077 L F
.69336 .3922 m .63011 .41378 L p .62734 .41026 L F P
0 g
s
.659 .747 .915 r
.64206 .58284 m .74343 .55149 L .78811 .60848 L F
.568 .359 .557 r
.793 .71351 m .78413 .60341 L p .66659 .6384 L F P
0 g
s
.65 .759 .929 r
.65557 .69091 m .72247 .6716 L .793 .71351 L F
.559 .346 .548 r
.68644 .7143 m .67952 .57125 L p .56222 .60753 L F P
0 g
s
.549 .332 .537 r
.57929 .62288 m .58159 .62428 L .57995 .62268 L F
.548 .33 .536 r
.58232 .42244 m .59334 .41866 L .58391 .40314 L F
.549 .331 .537 r
.53565 .44602 m .53597 .5475 L p .57859 .53377 L F P
0 g
s
.549 .331 .537 r
.53565 .44602 m .57859 .53377 L .57771 .48065 L F
.53565 .44602 m .57771 .48065 L .5775 .4686 L F
.969 .686 .44 r
.57341 .52034 m .57658 .41336 L .57856 .53206 L F
.548 .33 .536 r
.57177 .42606 m .57198 .42598 L .5717 .40737 L F
.57177 .42606 m .5717 .40737 L .57158 .40741 L F
.535 .312 .522 r
.3852 .39483 m .38883 .39352 L .36283 .37844 L F
.668 .735 .901 r
.33789 .38815 m .51771 .34118 L .38102 .39634 L F
.969 .686 .44 r
.57177 .41236 m .57658 .41336 L .57341 .52034 L F
.668 .735 .901 r
.51771 .34118 m .52136 .34566 L .38102 .39634 L F
.669 .733 .898 r
.5466 .31119 m .55079 .35692 L .5214 .32041 L F
.668 .735 .901 r
.52136 .34566 m .57564 .32605 L .55835 .39101 L F
.535 .312 .522 r
.52252 .32 m .54349 .35657 L .57571 .32989 L F
.669 .733 .898 r
.5466 .31119 m .6392 .2773 L .68409 .33897 L F
.535 .312 .522 r
.52252 .32 m .57571 .32989 L .57521 .30071 L F
.953 .687 .495 r
.30631 .32104 m .36028 .37937 L .30568 .3294 L F
.24946 .2584 m .36028 .37937 L p .24935 .25949 L F P
0 g
s
.535 .312 .522 r
.36019 .38095 m .36283 .37844 L .36028 .37937 L F
.969 .686 .44 r
.52136 .34566 m .57658 .41336 L .52133 .3645 L F
.666 .737 .903 r
.48667 .37689 m .50302 .37104 L .54203 .43625 L F
.535 .312 .522 r
.52133 .3645 m .54349 .35657 L .5214 .31805 L F
.668 .735 .901 r
.48331 .33809 m .57564 .32605 L .48956 .34854 L F
.535 .312 .522 r
.6392 .2773 m .6391 .27493 L p .5752 .29963 L F P
0 g
s
.535 .312 .522 r
.52252 .32 m .57521 .30071 L .5752 .29963 L F
.57521 .30071 m .6392 .2773 L .5752 .29963 L F
.669 .733 .898 r
.56803 .29137 m .53752 .13764 L .6392 .2773 L F
.969 .686 .44 r
.41849 .1685 m .52144 .29787 L p .52142 .31046 L F P
0 g
s
.669 .733 .898 r
.50764 .30332 m .52085 .23006 L .56803 .29137 L F
.52085 .23006 m .53752 .13764 L .56803 .29137 L F
.50764 .30332 m .6392 .2773 L .5466 .31119 L F
.969 .686 .44 r
.41849 .1685 m .46733 .27942 L .45103 .25944 L F
.43947 .21615 m .45229 .23456 L .44189 .22164 L F
.668 .735 .901 r
.31743 .35972 m .47044 .28323 L .51212 .33433 L F
.24081 .36971 m .30445 .34575 L p .31743 .35972 L F P
0 g
s
.668 .735 .901 r
.30445 .34575 m .47044 .28323 L p .31743 .35972 L F P
0 g
s
.668 .735 .901 r
.34513 .38953 m .41282 .46238 L .40849 .46388 L F
.535 .312 .522 r
.35447 .40593 m .34788 .60174 L .35889 .40434 L F
.668 .735 .901 r
.24081 .36971 m .31204 .36042 L .33789 .38815 L F
.522 .292 .508 r
.30445 .34575 m .24081 .36971 L p .30002 .40439 L F P
0 g
s
.522 .292 .508 r
.24081 .36971 m .22046 .58119 L p .28842 .55837 L F P
0 g
s
.953 .687 .495 r
.29712 .44288 m .35031 .55817 L .28978 .54032 L F
.522 .292 .508 r
.24081 .36971 m .28842 .55837 L .30002 .40439 L F
.953 .687 .495 r
.24605 .29357 m .35031 .55817 L .24296 .32547 L F
.652 .756 .926 r
.30114 .57656 m .30384 .57299 L .30709 .57607 L F
.535 .312 .522 r
.34719 .61408 m .34112 .63919 L .3462 .63185 L F
.34556 .61461 m .34112 .63919 L .34719 .61408 L F
.65 .759 .929 r
.34112 .63919 m .34587 .63769 L p .34791 .63959 L F P
0 g
s
.652 .756 .926 r
.34719 .61408 m .40487 .66875 L .4078 .6773 L F
.953 .687 .495 r
.34719 .61408 m .39841 .68673 L .34587 .63769 L F
.35031 .55817 m .38733 .65213 L .34719 .61408 L F
.38733 .65213 m .40245 .6905 L .34719 .61408 L F
.40245 .6905 m .39841 .68673 L .34719 .61408 L F
.652 .756 .926 r
.45313 .66347 m .4078 .6773 L p .40498 .66908 L F P
0 g
s
.652 .756 .926 r
.44525 .65673 m .45313 .66347 L .40498 .66908 L F
.548 .33 .536 r
.40516 .66903 m .4043 .69223 L p .4082 .66809 L F P
0 g
s
.953 .687 .496 r
.4078 .6773 m .45826 .73646 L .40696 .70043 L F
.45802 .74793 m .40696 .70043 L p .45826 .73646 L F P
0 g
s
.65 .759 .929 r
.45802 .74793 m .39965 .69363 L p .40321 .69256 L F P
0 g
s
.548 .33 .536 r
.4043 .69223 m .40462 .69213 L .4082 .66809 L F
.506 .271 .491 r
.15992 .29405 m .2415 .34048 L .24946 .2584 L F
.13781 .28147 m .10255 .54277 L .22611 .49931 L p F P
0 g
s
.953 .687 .495 r
.25837 .29616 m .38918 .65389 L .24606 .29346 L F
.38918 .65389 m .3875 .65229 L .23875 .27505 L F
.40264 .69068 m .40245 .6905 L .38733 .65213 L F
.3875 .65229 m .38733 .65213 L .23875 .27505 L F
.40264 .69068 m .38733 .65213 L .3875 .65229 L F
.535 .312 .522 r
.34788 .60174 m .34556 .61461 L .34719 .61408 L F
.953 .687 .495 r
.35031 .55817 m .34719 .61408 L .28842 .55837 L F
.28978 .54032 m .28842 .55837 L .26015 .53158 L F
.35031 .55817 m .28842 .55837 L .28978 .54032 L F
.659 .747 .915 r
.5024 .55832 m .54074 .55544 L .53137 .5634 L F
.666 .737 .903 r
.50302 .37104 m .55901 .41024 L .54203 .43625 L F
.535 .312 .522 r
.38883 .39352 m .40841 .40488 L .52136 .34566 L F
.40841 .40488 m .52133 .3645 L .52136 .34566 L F
.666 .737 .903 r
.46338 .30478 m .51846 .36552 L .50302 .37104 L F
.51846 .36552 m .55901 .41024 L .50302 .37104 L F
.47007 .30228 m .55901 .41024 L .46338 .30478 L F
.548 .33 .536 r
.45089 .45885 m .53079 .54178 L .53074 .50426 L F
.965 .687 .456 r
.50876 .49906 m .53079 .53828 L .50867 .51525 L F
.969 .686 .44 r
.52133 .3645 m .57658 .41336 L .5585 .40962 L F
.52133 .3645 m .5585 .40962 L .52126 .40192 L F
.5585 .40962 m .57177 .41236 L .57198 .42598 L F
.666 .737 .903 r
.52133 .3645 m .57596 .34496 L .55901 .41024 L F
.57596 .34496 m .60942 .333 L .58998 .36278 L F
.57596 .34496 m .58998 .36278 L .55901 .41024 L F
.548 .33 .536 r
.58232 .42244 m .58391 .40314 L .57198 .42598 L F
.666 .737 .903 r
.62469 .40689 m .62533 .4077 L .58045 .42308 L F
.535 .312 .522 r
.64094 .32172 m .6392 .2773 L p .57571 .32989 L F P
0 g
s
.535 .312 .522 r
.54349 .35657 m .57596 .34496 L .57571 .32989 L F
.57596 .34496 m .64094 .32172 L .57571 .32989 L F
.548 .33 .536 r
.59334 .41866 m .62754 .47494 L .62533 .4077 L F
.973 .684 .418 r
.60596 .42325 m .62725 .46608 L .60611 .42871 L F
.62725 .46608 m .63226 .47617 L .62729 .46714 L F
.62725 .46608 m .62729 .46714 L .60611 .42871 L F
.63226 .47617 m .67952 .57125 L .63239 .47974 L F
.63226 .47617 m .63239 .47974 L .60611 .42871 L F
.659 .747 .915 r
.56047 .54176 m .63507 .51776 L .6533 .5397 L F
.549 .331 .537 r
.57771 .48065 m .62433 .51904 L .5775 .4686 L F
.62433 .51904 m .62583 .51856 L .5775 .4686 L F
.62583 .51856 m .63037 .51709 L .5775 .4686 L F
.548 .33 .536 r
.5728 .52818 m .57352 .52795 L .57198 .42598 L F
.5728 .52818 m .57198 .42598 L .57177 .42606 L F
.666 .737 .903 r
.53565 .44602 m .53065 .44015 L p .54203 .43625 L F P
0 g
s
.548 .33 .536 r
.53065 .44015 m .5728 .52818 L .57177 .42606 L F
.53074 .50426 m .5728 .52818 L .53065 .44015 L F
.969 .686 .44 r
.55159 .47439 m .57856 .53206 L .55182 .50227 L F
.659 .747 .915 r
.52865 .54247 m .56621 .53032 L .56681 .53146 L F
.522 .292 .508 r
.30445 .34575 m .31814 .35895 L .42728 .30469 L F
.47044 .28323 m .42746 .29942 L p .42728 .30469 L F P
0 g
s
.522 .292 .508 r
.42746 .29942 m .30445 .34575 L p .42728 .30469 L F P
0 g
s
.535 .312 .522 r
.40841 .40488 m .47798 .44524 L .47902 .37963 L F
.965 .687 .456 r
.47799 .44426 m .50876 .49906 L .47738 .48266 L F
.47799 .44426 m .53065 .44587 L .53079 .53828 L F
.535 .312 .522 r
.3852 .39483 m .52115 .47029 L .38883 .39352 L F
.522 .292 .508 r
.42728 .30469 m .47007 .30228 L .47044 .28323 L F
.31814 .35895 m .42681 .31842 L .42728 .30469 L F
.42681 .31842 m .47007 .30228 L .42728 .30469 L F
.668 .735 .901 r
.48331 .33809 m .48956 .34854 L .33789 .38815 L F
.31204 .36042 m .48331 .33809 L .33789 .38815 L F
.965 .687 .456 r
.42569 .35112 m .47902 .37963 L .47799 .44426 L F
.42681 .31842 m .47902 .37963 L p .42569 .35112 L F P
0 g
s
.666 .737 .903 r
.53065 .44015 m .42681 .31842 L p .54203 .43625 L F P
0 g
s
.666 .737 .903 r
.42681 .31842 m .3716 .25369 L p .43068 .31698 L F P
0 g
s
.666 .737 .903 r
.43068 .31698 m .54203 .43625 L .42681 .31842 L F
.548 .33 .536 r
.41282 .46238 m .40841 .58137 L p .44034 .45285 L F P
0 g
s
.548 .33 .536 r
.40841 .58137 m .40516 .66903 L p .42004 .57761 L F P
0 g
s
.548 .33 .536 r
.40841 .58137 m .42004 .57761 L .44034 .45285 L F
.659 .747 .915 r
.48766 .55573 m .5533 .54192 L .5024 .55832 L F
.548 .33 .536 r
.40516 .66903 m .4082 .66809 L .44034 .45285 L F
.44034 .45285 m .44818 .5685 L .45089 .45885 L F
.659 .747 .915 r
.42524 .54477 m .52865 .54247 L .48766 .55573 L F
.52865 .54247 m .5533 .54192 L .48766 .55573 L F
.535 .312 .522 r
.3852 .39483 m .46628 .49776 L .46739 .44045 L F
.659 .747 .915 r
.52865 .54247 m .57462 .52921 L .57493 .52957 L F
.666 .737 .903 r
.37172 .25365 m .43076 .31695 L .3716 .25369 L F
.43076 .31695 m .54203 .43625 L .43068 .31698 L F
.43076 .31695 m .43068 .31698 L .3716 .25369 L F
.969 .686 .44 r
.46733 .27942 m .47038 .28635 L .45103 .25944 L F
.965 .687 .456 r
.47902 .37963 m .53065 .44015 L p .47799 .44426 L F P
0 g
s
.965 .687 .456 r
.53065 .44015 m .53065 .44587 L .47799 .44426 L F
.535 .312 .522 r
.47902 .37963 m .52115 .47029 L .52133 .3645 L F
.969 .686 .44 r
.47038 .28635 m .52126 .40192 L .47011 .30022 L F
.52126 .40192 m .57856 .53206 L .52125 .40954 L F
.52126 .40192 m .52125 .40954 L .47011 .30022 L F
.47038 .28635 m .47011 .30022 L .45103 .25944 L F
.669 .733 .898 r
.48658 .27715 m .51424 .26674 L .50764 .30332 L F
.969 .686 .44 r
.41659 .21722 m .41849 .1685 L p .45103 .25944 L F P
0 g
s
.669 .733 .898 r
.40994 .18196 m .51424 .26674 L .48658 .27715 L F
.40994 .18196 m .53884 .13033 L p .51424 .26674 L F P
0 g
s
.669 .733 .898 r
.50764 .30332 m .5466 .31119 L .5214 .32041 L F
.668 .735 .901 r
.47044 .28323 m .52598 .26232 L p .51212 .33433 L F P
0 g
s
.969 .686 .44 r
.46733 .27942 m .52136 .34566 L .52126 .40192 L F
.522 .292 .508 r
.52598 .26232 m .47044 .28323 L p .47427 .30072 L F P
0 g
s
.973 .684 .418 r
.63239 .47974 m .67952 .57125 L .63364 .51604 L F
.549 .331 .537 r
.5775 .4686 m .63037 .51709 L .63304 .49857 L F
.548 .33 .536 r
.64837 .38083 m .65286 .39826 L .68771 .3672 L F
.976 .68 .389 r
.69372 .39864 m .78413 .60341 L .69376 .39928 L F
.969 .686 .44 r
.57856 .53206 m .58006 .53546 L .57859 .53377 L F
.976 .68 .389 r
.69372 .39864 m .69347 .39403 L .78413 .60341 L F
.77607 .50339 m .78413 .60341 L p .6917 .38997 L F P
0 g
s
.659 .747 .915 r
.5533 .54192 m .70015 .49628 L .56047 .54176 L F
.70015 .49628 m .70019 .49634 L .56047 .54176 L F
.976 .68 .389 r
.69585 .43664 m .73025 .53468 L .69911 .49495 L F
.659 .747 .915 r
.70518 .49472 m .70548 .49511 L .56047 .54176 L F
.973 .684 .418 r
.6262 .40881 m .66277 .45528 L .62725 .46608 L F
.549 .331 .537 r
.68106 .50076 m .698 .4752 L .63011 .41378 L F
.659 .747 .915 r
.69852 .49514 m .74972 .48087 L .5533 .54192 L F
.74838 .47908 m .74972 .48087 L p .69852 .49514 L F P
0 g
s
.659 .747 .915 r
.74972 .48087 m .79149 .53662 L p .6533 .5397 L F P
0 g
s
.659 .747 .915 r
.63507 .51776 m .74972 .48087 L .6533 .5397 L F
.549 .331 .537 r
.70137 .53544 m .69911 .49495 L .68106 .50076 L F
.69911 .49495 m .698 .4752 L .68106 .50076 L F
.548 .33 .536 r
.65286 .39826 m .67762 .49427 L .68873 .38597 L F
.67762 .49427 m .69433 .48886 L .68873 .38597 L F
.65286 .39826 m .68873 .38597 L .68771 .3672 L F
.549 .331 .537 r
.63304 .49857 m .70137 .53544 L .63011 .41378 L F
.976 .68 .389 r
.69585 .43664 m .69911 .49495 L .67392 .46282 L F
.659 .747 .915 r
.73248 .54105 m .73509 .54085 L .73251 .54114 L F
.73248 .54105 m .73251 .54114 L .53137 .5634 L F
.54074 .55544 m .73248 .54105 L .53137 .5634 L F
.53137 .5634 m .73509 .54085 L .64206 .58284 L F
.73509 .54085 m .74343 .55149 L .64206 .58284 L F
.5533 .54192 m .79149 .53662 L .5024 .55832 L F
.976 .68 .389 r
.73025 .53468 m .793 .71351 L .70137 .53545 L F
.549 .331 .537 r
.69911 .49495 m .71439 .49003 L .698 .4752 L F
.63037 .51709 m .63364 .51604 L .63304 .49857 L F
.969 .686 .44 r
.57856 .53206 m .57859 .53377 L .52872 .47655 L F
.549 .331 .537 r
.57771 .48065 m .57859 .53377 L .62433 .51904 L F
.659 .747 .915 r
.57493 .52957 m .63126 .51318 L .63173 .51375 L F
.973 .684 .418 r
.63239 .47974 m .63364 .51604 L .6287 .5101 L F
.549 .331 .537 r
.63304 .49857 m .70412 .58475 L .70137 .53544 L F
.659 .747 .915 r
.52865 .54247 m .63173 .51375 L .5533 .54192 L F
.63173 .51375 m .63364 .51604 L .5533 .54192 L F
.56621 .53032 m .6287 .5101 L .56681 .53146 L F
.549 .331 .537 r
.63364 .51604 m .64455 .51253 L .63304 .49857 L F
.659 .747 .915 r
.70518 .49472 m .74972 .48087 L .70548 .49511 L F
.73509 .54085 m .79149 .53662 L .74343 .55149 L F
.79149 .53662 m .854 .62005 L p .78811 .60848 L F P
0 g
s
.659 .747 .915 r
.74343 .55149 m .79149 .53662 L .78811 .60848 L F
.549 .331 .537 r
.698 .4752 m .7516 .52369 L .69336 .3922 L F
.976 .676 .364 r
.74838 .47908 m .854 .62005 L p .75177 .52611 L F P
0 g
s
.549 .331 .537 r
.7516 .52369 m .85802 .61998 L .74751 .4671 L F
.7516 .52369 m .74751 .4671 L .69336 .3922 L F
.659 .747 .915 r
.854 .62005 m .80773 .63352 L p .80402 .62878 L F P
0 g
s
.976 .68 .389 r
.78413 .60341 m .793 .71351 L p .73025 .53468 L F P
0 g
s
.659 .747 .915 r
.57462 .52921 m .63105 .51293 L .57493 .52957 L F
.63105 .51293 m .74838 .47908 L .63126 .51318 L F
.63105 .51293 m .63126 .51318 L .57493 .52957 L F
.56681 .53146 m .6287 .5101 L .63105 .51293 L F
.549 .332 .537 r
.58159 .62428 m .58006 .53546 L p .51298 .55704 L F P
0 g
s
.969 .686 .44 r
.58006 .53546 m .58159 .62428 L p .58003 .61994 L F P
0 g
s
.969 .686 .44 r
.57859 .53377 m .58006 .53546 L .58003 .61994 L F
.549 .331 .537 r
.57859 .53377 m .57935 .57878 L .62433 .51904 L F
.548 .33 .536 r
.57365 .52791 m .61804 .51355 L .59334 .41866 L F
.549 .331 .537 r
.63402 .52702 m .63037 .51709 L .62583 .51856 L F
.62433 .51904 m .63402 .52702 L .62583 .51856 L F
.549 .332 .537 r
.57929 .62288 m .57995 .62268 L .51298 .55704 L F
.49629 .57214 m .57929 .62288 L .51298 .55704 L F
.549 .331 .537 r
.57935 .57878 m .53624 .63603 L .58008 .62264 L F
.548 .33 .536 r
.61804 .51355 m .62754 .47494 L .59334 .41866 L F
.549 .331 .537 r
.62433 .51904 m .57935 .57878 L .63672 .60534 L F
.62433 .51904 m .63672 .60534 L .63402 .52702 L F
.548 .33 .536 r
.63038 .56093 m .6287 .5101 L .61804 .51355 L F
.6287 .5101 m .62754 .47494 L .61804 .51355 L F
.666 .737 .903 r
.55901 .41024 m .57198 .42598 L .54203 .43625 L F
.969 .686 .44 r
.52126 .40192 m .5585 .40962 L .57341 .52034 L F
.5585 .40962 m .57198 .42598 L .57341 .52034 L F
.549 .331 .537 r
.53597 .5475 m .53624 .63603 L p .57935 .57878 L F P
0 g
s
.549 .331 .537 r
.53597 .5475 m .57935 .57878 L .57859 .53377 L F
.969 .686 .44 r
.57469 .60499 m .57859 .53377 L .58003 .61994 L F
.548 .33 .536 r
.53074 .50426 m .53079 .54178 L .5728 .52818 L F
.965 .687 .456 r
.53079 .53828 m .53079 .54178 L .47738 .48266 L F
.659 .747 .915 r
.42524 .54477 m .55182 .50306 L p .56139 .51404 L F P
0 g
s
.548 .33 .536 r
.5728 .52818 m .55317 .54487 L .57466 .60492 L F
.965 .687 .456 r
.53597 .5475 m .53624 .63603 L p .53317 .6328 L F P
0 g
s
.965 .687 .456 r
.53079 .54178 m .53597 .5475 L .53317 .6328 L F
.973 .684 .418 r
.67952 .57125 m .6849 .68245 L p .63512 .55894 L F P
0 g
s
.65 .759 .929 r
.5499 .67353 m .67153 .66736 L .65557 .69091 L F
.67153 .66736 m .6849 .68245 L .65557 .69091 L F
.548 .33 .536 r
.44653 .63552 m .4082 .66809 L .44601 .65649 L F
.652 .756 .926 r
.44601 .65649 m .45313 .66347 L .44525 .65673 L F
.957 .688 .483 r
.44863 .65906 m .45261 .68671 L .44544 .67979 L F
.45402 .6241 m .45313 .66347 L .44863 .65906 L F
.45313 .66347 m .45261 .68671 L .44863 .65906 L F
.652 .756 .926 r
.45154 .6619 m .53726 .6371 L .45313 .66347 L F
.58159 .62428 m .53778 .63765 L p .53726 .6371 L F P
0 g
s
.652 .756 .926 r
.53778 .63765 m .45313 .66347 L p .53726 .6371 L F P
0 g
s
.965 .687 .456 r
.53079 .54178 m .53317 .6328 L .53092 .63044 L F
.548 .33 .536 r
.55317 .54487 m .53082 .56387 L .57466 .60492 L F
.957 .688 .483 r
.44727 .6055 m .45402 .6241 L .44863 .65906 L F
.44727 .6055 m .44863 .65906 L .44601 .65649 L F
.548 .33 .536 r
.53082 .56387 m .44653 .63552 L .5309 .61537 L F
.53082 .56387 m .5309 .61537 L .57466 .60492 L F
.57466 .60492 m .44653 .63552 L .57473 .60787 L F
.549 .332 .537 r
.48586 .56577 m .49629 .57214 L .51298 .55704 L F
.548 .33 .536 r
.44818 .5685 m .44653 .63552 L .5728 .52818 L F
.44653 .63552 m .57487 .61696 L .57477 .61059 L F
.969 .686 .44 r
.57472 .60734 m .58004 .62047 L .57479 .61179 L F
.58159 .62428 m .58008 .62264 L p .58004 .62047 L F P
0 g
s
.548 .33 .536 r
.44653 .63552 m .57477 .61059 L .57473 .60787 L F
.44653 .63552 m .44601 .65649 L .57487 .61696 L F
.965 .687 .456 r
.50828 .58403 m .53079 .54178 L .53092 .63044 L F
.659 .747 .915 r
.42524 .54477 m .56139 .51404 L .52865 .54247 L F
.543 .322 .53 r
.50866 .51728 m .50095 .51982 L p .50854 .53778 L F P
0 g
s
.543 .322 .53 r
.50095 .51982 m .42524 .54477 L p .50854 .53778 L F P
0 g
s
.659 .747 .915 r
.44818 .5685 m .42524 .54477 L p .48766 .55573 L F P
0 g
s
.543 .322 .53 r
.42524 .54477 m .50821 .59616 L .50854 .53778 L F
.965 .687 .456 r
.4768 .51948 m .50866 .51728 L .50828 .58403 L F
.535 .312 .522 r
.46628 .49776 m .47693 .51128 L .46739 .44045 L F
.965 .687 .456 r
.47738 .48266 m .50866 .51728 L .4768 .51948 L F
.659 .747 .915 r
.56139 .51404 m .57352 .52795 L .52865 .54247 L F
.965 .687 .456 r
.50866 .51728 m .53079 .54178 L .50828 .58403 L F
.543 .322 .53 r
.42524 .54477 m .50816 .60655 L .50821 .59616 L F
.965 .687 .456 r
.47636 .54689 m .50828 .58403 L .49163 .5892 L F
.4768 .51948 m .50828 .58403 L .47636 .54689 L F
.50828 .58403 m .53092 .63044 L .50816 .60655 L F
.652 .756 .926 r
.50878 .60721 m .57487 .61696 L .50883 .60726 L F
.51411 .6128 m .57487 .61696 L .56191 .62093 L F
.50883 .60726 m .57487 .61696 L .51411 .6128 L F
.42239 .63336 m .44601 .65649 L .41957 .63424 L F
.44601 .65649 m .44525 .65673 L .38224 .60283 L F
.953 .687 .495 r
.25837 .29616 m .40516 .66903 L .38918 .65389 L F
.652 .756 .926 r
.38224 .60283 m .44525 .65673 L .40498 .66908 L F
.44601 .65649 m .57716 .62353 L .45154 .6619 L F
.957 .688 .483 r
.42524 .54477 m .44727 .6055 L .44091 .6515 L F
.652 .756 .926 r
.54727 .62543 m .57716 .62353 L .44601 .65649 L F
.957 .688 .483 r
.42524 .54477 m .44091 .6515 L .43534 .64604 L F
.548 .33 .536 r
.4082 .66809 m .40462 .69213 L .44553 .67611 L F
.4082 .66809 m .44553 .67611 L .44601 .65649 L F
.957 .688 .483 r
.42164 .65683 m .42524 .54477 L p .43799 .6726 L F P
0 g
s
.652 .756 .926 r
.57716 .62353 m .58159 .62428 L .45154 .6619 L F
.965 .687 .456 r
.53092 .63044 m .53317 .6328 L .53242 .65545 L F
.957 .688 .483 r
.44601 .65649 m .44863 .65906 L .44544 .67979 L F
.548 .33 .536 r
.40462 .69213 m .43126 .68408 L .53094 .64406 L F
.965 .687 .456 r
.53092 .63044 m .53242 .65545 L .53095 .65393 L F
.65 .759 .929 r
.49565 .66461 m .53095 .65393 L .53631 .65948 L F
.51092 .66712 m .53631 .65948 L .5499 .67353 L F
.49565 .66461 m .53631 .65948 L .51092 .66712 L F
.969 .686 .44 r
.57469 .60499 m .58003 .61994 L .57472 .60734 L F
.58003 .61994 m .58159 .62428 L .58004 .62047 L F
.58003 .61994 m .58004 .62047 L .57472 .60734 L F
.549 .331 .537 r
.53624 .63603 m .53631 .65948 L p .58039 .6414 L F P
0 g
s
.969 .686 .44 r
.57352 .52795 m .57859 .53377 L .57469 .60499 L F
.548 .33 .536 r
.57198 .42598 m .58391 .40314 L .5717 .40737 L F
.666 .737 .903 r
.58998 .36278 m .57689 .43195 L .55901 .41024 L F
.62807 .30442 m .5997 .37512 L .58998 .36278 L F
.5997 .37512 m .57689 .43195 L .58998 .36278 L F
.668 .735 .901 r
.52598 .26232 m .57564 .32605 L p .51212 .33433 L F P
0 g
s
.548 .33 .536 r
.57309 .49911 m .58144 .42274 L .57198 .42598 L F
.57353 .5286 m .58144 .42274 L .57309 .49911 L F
.57353 .5286 m .58232 .42244 L .58144 .42274 L F
.973 .684 .418 r
.63625 .59171 m .66352 .65833 L .63753 .629 L F
.63239 .47974 m .6287 .5101 L .6277 .47964 L F
.62749 .47322 m .63239 .47974 L .6277 .47964 L F
.548 .33 .536 r
.6287 .5101 m .64559 .50464 L .62754 .47494 L F
.973 .684 .418 r
.6277 .47964 m .6287 .5101 L .60294 .4791 L F
.548 .33 .536 r
.6481 .50382 m .67762 .49427 L .64235 .35749 L F
.64235 .35749 m .62389 .36397 L p .64745 .50403 L F P
0 g
s
.659 .747 .915 r
.63173 .51375 m .74838 .47908 L .69852 .49514 L F
.63126 .51318 m .74838 .47908 L .63173 .51375 L F
.74373 .47288 m .74838 .47908 L p .63105 .51293 L F P
0 g
s
.659 .747 .915 r
.6287 .5101 m .74373 .47288 L .63105 .51293 L F
.548 .33 .536 r
.64745 .50403 m .6483 .50911 L .6481 .50382 L F
.64745 .50403 m .6481 .50382 L .64235 .35749 L F
.976 .68 .389 r
.69585 .43664 m .67392 .46282 L .67242 .43172 L F
.548 .33 .536 r
.62533 .4077 m .63092 .40578 L .62389 .36397 L F
.668 .735 .901 r
.59282 .39681 m .61 .39411 L .60215 .39683 L F
.548 .33 .536 r
.68634 .34206 m .64235 .35749 L p .64837 .38083 L F P
0 g
s
.548 .33 .536 r
.64837 .38083 m .68771 .3672 L .68634 .34206 L F
.666 .737 .903 r
.62807 .30442 m .68725 .38398 L .58045 .42308 L F
.548 .33 .536 r
.57353 .5286 m .59334 .41866 L .58232 .42244 L F
.973 .684 .418 r
.5764 .37104 m .62738 .47002 L .57699 .40601 L F
.62738 .47002 m .63239 .47974 L .62749 .47322 L F
.62738 .47002 m .62749 .47322 L .57699 .40601 L F
.62725 .46608 m .63187 .46468 L .63226 .47617 L F
.548 .33 .536 r
.62754 .47494 m .6483 .50911 L .63092 .40578 L F
.973 .684 .418 r
.57596 .34496 m .6262 .40881 L .57627 .36352 L F
.62534 .40803 m .6262 .40881 L .62725 .46608 L F
.548 .33 .536 r
.62754 .47494 m .63092 .40578 L .62533 .4077 L F
.666 .737 .903 r
.68725 .38398 m .68821 .38615 L .62533 .4077 L F
.68725 .38398 m .62533 .4077 L .62469 .40689 L F
.976 .68 .389 r
.64504 .42598 m .64094 .32172 L p .69585 .43664 L F P
0 g
s
.976 .68 .389 r
.64094 .32172 m .6391 .27493 L p .66855 .35883 L F P
0 g
s
.976 .68 .389 r
.66855 .35883 m .69585 .43664 L .64094 .32172 L F
.535 .312 .522 r
.57521 .30071 m .57571 .32989 L .6392 .2773 L F
.976 .68 .389 r
.64163 .28063 m .68725 .38398 L .64063 .27926 L F
.68725 .38398 m .6866 .3831 L .64063 .27926 L F
.64063 .27926 m .69376 .39928 L .69585 .43664 L F
.6391 .27493 m .64163 .28063 L .64063 .27926 L F
.666 .737 .903 r
.68725 .38398 m .68873 .38597 L .68821 .38615 L F
.976 .68 .389 r
.64163 .28063 m .68634 .34206 L .68882 .38752 L F
.669 .733 .898 r
.53884 .13033 m .6911 .34038 L p .68409 .33897 L F P
0 g
s
.669 .733 .898 r
.53752 .13764 m .53884 .13033 L .68409 .33897 L F
.976 .68 .386 r
.54446 .1398 m .67161 .31349 L .67382 .35764 L F
.54445 .13807 m .67161 .31349 L p .54446 .1398 L F P
0 g
s
.666 .737 .903 r
.62807 .30442 m .63004 .29853 L .63553 .30594 L F
.973 .684 .418 r
.52598 .26232 m .53834 .29715 L .53225 .28941 L F
.969 .686 .44 r
.45103 .25944 m .46352 .29433 L .41659 .21722 L F
.46352 .29433 m .43493 .25963 L .41659 .21722 L F
.522 .292 .508 r
.52597 .28143 m .52598 .26232 L p .47427 .30072 L F P
0 g
s
.543 .322 .53 r
.50821 .59616 m .51934 .60305 L .50866 .51728 L F
.51934 .60305 m .53723 .59746 L .50866 .51728 L F
.957 .688 .483 r
.44727 .6055 m .44677 .62574 L .44437 .62649 L F
.548 .33 .536 r
.40462 .69213 m .53094 .64406 L .53094 .64338 L F
.652 .756 .926 r
.57487 .61696 m .58008 .62264 L p .56191 .62093 L F P
0 g
s
.652 .756 .926 r
.58008 .62264 m .58159 .62428 L p .57716 .62353 L F P
0 g
s
.652 .756 .926 r
.56191 .62093 m .58008 .62264 L .57716 .62353 L F
.549 .331 .537 r
.53624 .63603 m .58039 .6414 L .58008 .62264 L F
.548 .33 .536 r
.40462 .69213 m .53094 .64338 L .53094 .64266 L F
.973 .684 .418 r
.63553 .5709 m .6686 .66406 L .63621 .59069 L F
.6686 .66406 m .66352 .65833 L .63625 .59171 L F
.63621 .59069 m .63625 .59171 L .63097 .57881 L F
.6686 .66406 m .63625 .59171 L .63621 .59069 L F
.549 .331 .537 r
.53631 .65948 m .63753 .629 L .63716 .61812 L F
.65 .759 .929 r
.54082 .65095 m .66338 .65816 L .53963 .65131 L F
.66338 .65816 m .66354 .65835 L .53963 .65131 L F
.973 .684 .418 r
.63021 .55592 m .6849 .68245 L .6686 .66406 L F
.976 .68 .389 r
.68725 .38398 m .68882 .38752 L .6866 .3831 L F
.68882 .38752 m .68884 .388 L .6866 .3831 L F
.69372 .39864 m .69376 .39928 L .6866 .3831 L F
.976 .68 .386 r
.53884 .13033 m .67382 .35764 L .59042 .24503 L F
.976 .68 .389 r
.68634 .34206 m .76857 .45501 L .6917 .38997 L F
.68634 .34206 m .6917 .38997 L .68873 .38597 L F
.77244 .45828 m .77607 .50339 L p .6917 .38997 L F P
0 g
s
.666 .737 .903 r
.82974 .34565 m .69336 .3922 L p .68873 .38597 L F P
0 g
s
.548 .33 .536 r
.6911 .34038 m .68634 .34206 L p .6896 .38567 L F P
0 g
s
.548 .33 .536 r
.69357 .38431 m .6911 .34038 L p .6896 .38567 L F P
0 g
s
.666 .737 .903 r
.8151 .34266 m .82974 .34565 L .68873 .38597 L F
.973 .684 .418 r
.62988 .54595 m .6849 .68245 L .63021 .55592 L F
.976 .68 .389 r
.793 .71351 m .70545 .60856 L p .70137 .53545 L F P
0 g
s
.549 .331 .537 r
.63716 .61812 m .69086 .61295 L .75502 .57117 L F
.65 .759 .929 r
.75114 .66333 m .793 .71351 L p .72247 .6716 L F P
0 g
s
.65 .759 .929 r
.793 .71351 m .55022 .78087 L p .5027 .73503 L F P
0 g
s
.976 .676 .364 r
.75661 .59316 m .79798 .69388 L .76059 .64831 L F
.75177 .52611 m .78986 .63495 L .75661 .59316 L F
.78986 .63495 m .88247 .89959 L .75661 .59316 L F
.549 .331 .537 r
.75493 .56983 m .75502 .57117 L .76071 .56746 L F
.63716 .61812 m .75502 .57117 L .75493 .56983 L F
.659 .747 .915 r
.73392 .4751 m .74373 .47288 L .73422 .47596 L F
.549 .331 .537 r
.63672 .60534 m .63716 .61812 L .70445 .59053 L F
.70412 .58475 m .70445 .59053 L .76071 .56746 L F
.63672 .60534 m .70445 .59053 L .70412 .58475 L F
.976 .68 .389 r
.68882 .38752 m .69372 .39864 L .68884 .388 L F
.68873 .38597 m .6917 .38997 L .68882 .38752 L F
.68882 .38752 m .6917 .38997 L .69347 .39403 L F
.68882 .38752 m .69347 .39403 L .69372 .39864 L F
.548 .33 .536 r
.69433 .48886 m .69723 .48793 L .68634 .34206 L F
.976 .68 .389 r
.69634 .52567 m .70137 .53545 L .6969 .53598 L F
.973 .684 .418 r
.63364 .51604 m .67952 .57125 L .63512 .55894 L F
.549 .331 .537 r
.63402 .52702 m .63672 .60534 L .70412 .58475 L F
.63378 .52023 m .70412 .58475 L .64455 .51253 L F
.63402 .52702 m .70412 .58475 L .63378 .52023 L F
.70518 .60363 m .69086 .61295 L .70545 .60856 L F
.976 .68 .389 r
.70545 .60856 m .70053 .60266 L p .70137 .53545 L F P
0 g
s
.976 .68 .389 r
.70137 .53545 m .70053 .60266 L .6969 .53598 L F
.549 .331 .537 r
.63753 .629 m .69086 .61295 L .63716 .61812 L F
.965 .687 .456 r
.53242 .65545 m .53317 .6328 L .53417 .65726 L F
.549 .331 .537 r
.58008 .62264 m .58039 .6414 L .63716 .61812 L F
.58008 .62264 m .63716 .61812 L .63672 .60534 L F
.57935 .57878 m .58008 .62264 L .63672 .60534 L F
.973 .684 .418 r
.63625 .59171 m .63753 .629 L .63243 .62325 L F
.63625 .59171 m .63243 .62325 L .63131 .58927 L F
.548 .33 .536 r
.67492 .58626 m .63178 .60358 L .70263 .60202 L F
.965 .687 .456 r
.53624 .63603 m .53631 .65948 L p .53317 .6328 L F P
0 g
s
.965 .687 .456 r
.53317 .6328 m .53631 .65948 L .53417 .65726 L F
.548 .33 .536 r
.63178 .60358 m .53094 .64406 L .63243 .62325 L F
.53094 .64406 m .43126 .68408 L .53095 .65393 L F
.53094 .64406 m .53095 .65393 L .63243 .62325 L F
.65 .759 .929 r
.54082 .65095 m .70545 .60856 L .56074 .65212 L F
.4043 .69223 m .47464 .74313 L .46256 .74662 L F
.953 .687 .495 r
.38918 .65389 m .40264 .69068 L .3875 .65229 L F
.65 .759 .929 r
.38572 .67489 m .46256 .74662 L .45802 .74793 L F
.953 .687 .495 r
.40516 .66903 m .4042 .69494 L p .38918 .65389 L F P
0 g
s
.65 .759 .929 r
.38572 .67489 m .40718 .69136 L .4043 .69223 L F
.40718 .69136 m .47464 .74313 L .4043 .69223 L F
.652 .756 .926 r
.34719 .61408 m .38224 .60283 L .40487 .66875 L F
.65 .759 .929 r
.38572 .67489 m .40093 .66321 L .47464 .74313 L F
.40093 .66321 m .41615 .65153 L .41988 .65737 L F
.40093 .66321 m .41988 .65737 L .47464 .74313 L F
.41615 .65153 m .5027 .73503 L .47464 .74313 L F
.50648 .793 m .48354 .77166 L p .49143 .76943 L F P
0 g
s
.65 .759 .929 r
.48354 .77166 m .45802 .74793 L p .49143 .76943 L F P
0 g
s
.65 .759 .929 r
.45802 .74793 m .47464 .74313 L .49143 .76943 L F
.559 .346 .548 r
.45739 .77905 m .50248 .7663 L p .50254 .75881 L F P
0 g
s
.957 .688 .483 r
.58028 .97215 m .5015 .90468 L p .50254 .75786 L F P
0 g
s
.957 .688 .483 r
.50254 .75786 m .51085 .74289 L .551 .89145 L F
.51085 .74289 m .55022 .78087 L .551 .89145 L F
.559 .346 .548 r
.45802 .74793 m .45739 .77905 L .651 .69223 L F
.45125 .74988 m .45739 .77905 L .45802 .74793 L F
.39742 .796 m .45739 .77905 L p .45125 .74988 L F P
0 g
s
.559 .346 .548 r
.39859 .76508 m .39742 .796 L p .45125 .74988 L F P
0 g
s
.946 .686 .512 r
.39945 .74246 m .39742 .796 L p .36701 .71323 L F P
0 g
s
.646 .762 .933 r
.50248 .7663 m .39742 .796 L p .39761 .72561 L F P
0 g
s
.646 .762 .933 r
.44465 .71167 m .50248 .7663 L .39761 .72561 L F
.65 .759 .929 r
.34791 .63959 m .4074 .64309 L .34884 .64046 L F
.4074 .64309 m .408 .64367 L .34884 .64046 L F
.957 .688 .483 r
.44677 .62574 m .44544 .67979 L .44437 .62649 L F
.44544 .67979 m .44377 .67818 L .44437 .62649 L F
.44437 .62649 m .44377 .67818 L .43799 .6726 L F
.652 .756 .926 r
.49731 .60994 m .56191 .62093 L .42239 .63336 L F
.56191 .62093 m .54727 .62543 L .42239 .63336 L F
.957 .688 .483 r
.43534 .64604 m .44091 .6515 L .43799 .6726 L F
.652 .756 .926 r
.42239 .63336 m .54727 .62543 L .44601 .65649 L F
.957 .688 .483 r
.42524 .54477 m .44743 .59926 L .44727 .6055 L F
.42524 .54477 m .44818 .5685 L p .44743 .59926 L F P
0 g
s
.543 .322 .53 r
.42524 .54477 m .42239 .63336 L p .50816 .60655 L F P
0 g
s
.953 .687 .495 r
.35889 .40434 m .41282 .46238 L .3517 .53323 L F
.535 .312 .522 r
.35889 .40434 m .34788 .60174 L .3852 .39483 L F
.3852 .39483 m .34788 .60174 L .44759 .58185 L F
.652 .756 .926 r
.40762 .59468 m .50883 .60726 L .51411 .6128 L F
.535 .312 .522 r
.34788 .60174 m .34719 .61408 L .44759 .58185 L F
.652 .756 .926 r
.30902 .5779 m .41252 .59311 L .40762 .59468 L F
.41252 .59311 m .50883 .60726 L .40762 .59468 L F
.543 .322 .53 r
.42239 .63336 m .42164 .65683 L p .50814 .60922 L F P
0 g
s
.652 .756 .926 r
.3088 .57769 m .50878 .60721 L .30902 .5779 L F
.50878 .60721 m .50883 .60726 L .30902 .5779 L F
.50878 .60721 m .50901 .60628 L .57487 .61696 L F
.55256 .59266 m .57487 .61696 L p .50901 .60628 L F P
0 g
s
.543 .322 .53 r
.54486 .61886 m .5501 .61724 L .54137 .59616 L F
.53723 .59746 m .54137 .59616 L .50866 .51728 L F
.54486 .61886 m .54137 .59616 L .53723 .59746 L F
.50821 .59616 m .50816 .60655 L .51934 .60305 L F
.65 .759 .929 r
.50164 .63217 m .50802 .63021 L .50909 .63131 L F
.652 .756 .926 r
.41275 .59303 m .47595 .57275 L .50878 .60721 L F
.543 .322 .53 r
.42239 .63336 m .50814 .60922 L .50816 .60655 L F
.957 .688 .483 r
.44544 .67979 m .45233 .68921 L .44537 .68251 L F
.48971 .7225 m .50254 .75786 L .44544 .67979 L F
.548 .33 .536 r
.53095 .65547 m .53006 .65575 L .53096 .65668 L F
.543 .322 .53 r
.42164 .65683 m .5069 .63055 L .50803 .62805 L F
.42164 .65683 m .50803 .62805 L .50814 .60922 L F
.652 .756 .926 r
.56191 .62093 m .57716 .62353 L .54727 .62543 L F
.969 .686 .44 r
.57479 .61179 m .58004 .62047 L .57483 .61486 L F
.58008 .62264 m .57487 .61696 L p .58004 .62047 L F P
0 g
s
.969 .686 .44 r
.57487 .61696 m .55256 .59266 L p .57483 .61486 L F P
0 g
s
.969 .686 .44 r
.57483 .61486 m .55256 .59266 L .55255 .59086 L F
.58004 .62047 m .57487 .61696 L .57483 .61486 L F
.548 .33 .536 r
.5749 .61949 m .57499 .6254 L .63177 .60316 L F
.44601 .65649 m .57499 .6254 L .5749 .61949 L F
.63165 .59954 m .63177 .60316 L .67492 .58626 L F
.44601 .65649 m .63177 .60316 L .63165 .59954 L F
.44601 .65649 m .44553 .67611 L .57499 .6254 L F
.65 .759 .929 r
.5273 .65015 m .52776 .65063 L .45514 .6465 L F
.5273 .65015 m .45514 .6465 L .45564 .64635 L F
.5273 .65015 m .40817 .64383 L .408 .64367 L F
.4074 .64309 m .50909 .63131 L .5273 .65015 L F
.965 .687 .456 r
.50816 .60655 m .53092 .63044 L .5116 .63391 L F
.50816 .60655 m .5116 .63391 L .50802 .63021 L F
.548 .33 .536 r
.63178 .60358 m .63243 .62325 L .70263 .60202 L F
.57499 .6254 m .57501 .62637 L .67492 .58626 L F
.57473 .60787 m .63165 .59954 L .63152 .59562 L F
.57477 .61059 m .63165 .59954 L .57473 .60787 L F
.57477 .61059 m .57487 .61696 L .63165 .59954 L F
.659 .747 .915 r
.69388 .48829 m .69433 .48886 L .57352 .52795 L F
.549 .331 .537 r
.85802 .61998 m .82974 .34565 L .69336 .3922 L p F P
0 g
s
.548 .33 .536 r
.6896 .38567 m .69723 .48793 L .69357 .38431 L F
.659 .747 .915 r
.63173 .51375 m .69852 .49514 L .63364 .51604 L F
.548 .33 .536 r
.69934 .48724 m .69357 .38431 L p .69723 .48793 L F P
0 g
s
.666 .737 .903 r
.62807 .30442 m .63553 .30594 L .68873 .38597 L F
.63553 .30594 m .69357 .38431 L .68873 .38597 L F
.976 .68 .386 r
.67791 .43957 m .68653 .3748 L .69934 .48724 L F
.659 .747 .915 r
.56139 .51404 m .69646 .48355 L .57352 .52795 L F
.976 .68 .386 r
.69357 .38431 m .69934 .48724 L p .68653 .3748 L F P
0 g
s
.973 .684 .418 r
.52597 .28143 m .52598 .26232 L p .53225 .28941 L F P
0 g
s
.973 .684 .418 r
.52598 .26232 m .55177 .31422 L .53834 .29715 L F
.659 .747 .915 r
.69646 .48355 m .69888 .48664 L .57352 .52795 L F
.973 .684 .418 r
.63021 .55592 m .63553 .5709 L .63097 .57881 L F
.543 .322 .53 r
.55182 .50306 m .50866 .51728 L p .55229 .55903 L F P
0 g
s
.548 .33 .536 r
.5728 .52818 m .57473 .60787 L .57353 .5286 L F
.5728 .52818 m .57353 .5286 L .57352 .52795 L F
.969 .686 .44 r
.55215 .542 m .57352 .52795 L .57469 .60499 L F
.52872 .47655 m .55182 .50306 L .55215 .542 L F
.55182 .50306 m .57352 .52795 L .55215 .542 L F
.659 .747 .915 r
.56139 .51404 m .60758 .48468 L .62083 .50062 L F
.55182 .50306 m .60758 .48468 L p .56139 .51404 L F P
0 g
s
.548 .33 .536 r
.57353 .5286 m .60535 .54669 L .6064 .51748 L F
.60535 .54669 m .63038 .56093 L .6064 .51748 L F
.6064 .51748 m .63038 .56093 L .61804 .51355 L F
.57353 .5286 m .61804 .51355 L .57365 .52791 L F
.973 .684 .418 r
.63553 .5709 m .63621 .59069 L .63097 .57881 L F
.548 .33 .536 r
.57353 .5286 m .57473 .60787 L .63152 .59562 L F
.973 .684 .418 r
.63097 .57881 m .63625 .59171 L .63131 .58927 L F
.548 .33 .536 r
.63038 .56093 m .63152 .59562 L .67492 .58626 L F
.57353 .5286 m .63152 .59562 L .63038 .56093 L F
.543 .322 .53 r
.60758 .48468 m .55182 .50306 L p .60341 .60081 L F P
0 g
s
.543 .322 .53 r
.60341 .60081 m .61059 .5986 L .60758 .48468 L F
.5501 .61724 m .55229 .55903 L .50866 .51728 L F
.55118 .61691 m .55229 .55903 L .5501 .61724 L F
.55276 .61642 m .55229 .55903 L .55118 .61691 L F
.652 .756 .926 r
.37769 .58959 m .49731 .60994 L .42239 .63336 L F
.965 .687 .456 r
.49163 .5892 m .50548 .62757 L .47566 .59142 L F
.535 .312 .522 r
.44759 .58185 m .47557 .59664 L .47581 .58201 L F
.965 .687 .456 r
.49163 .5892 m .47566 .59142 L .47595 .57275 L F
.652 .756 .926 r
.521 .55828 m .55256 .59266 L p .50901 .60628 L F P
0 g
s
.535 .312 .522 r
.3852 .39483 m .44759 .58185 L .47595 .57275 L F
.965 .687 .456 r
.47636 .54689 m .49163 .5892 L .47595 .57275 L F
.535 .312 .522 r
.47693 .51128 m .47595 .57275 L .51538 .56009 L F
.3852 .39483 m .47595 .57275 L .47693 .51128 L F
.965 .687 .456 r
.4371 .43807 m .4768 .51948 L .47636 .54689 L F
.47636 .54689 m .47595 .57275 L .42013 .51415 L F
.47636 .54689 m .42013 .51415 L .42059 .50083 L F
.42397 .40168 m .47636 .54689 L .42059 .50083 L F
.668 .735 .901 r
.33789 .38815 m .35447 .40593 L .34718 .40857 L F
.953 .687 .495 r
.30018 .40236 m .35889 .40434 L .3517 .53323 L F
.25837 .29616 m .30445 .34575 L .30018 .40236 L F
.30445 .34575 m .35889 .40434 L .30018 .40236 L F
.522 .292 .508 r
.30002 .40439 m .28842 .55837 L .42013 .51415 L F
.42145 .47549 m .42013 .51415 L .46292 .49978 L F
.30002 .40439 m .42013 .51415 L .42145 .47549 L F
.965 .687 .456 r
.50828 .58403 m .50816 .60655 L .49163 .5892 L F
.652 .756 .926 r
.47595 .57275 m .521 .55828 L .50878 .60721 L F
.965 .687 .456 r
.50876 .49906 m .50867 .51525 L .47738 .48266 L F
.535 .312 .522 r
.47693 .51128 m .51538 .56009 L .47767 .46476 L F
.51538 .56009 m .52099 .56721 L .51766 .55936 L F
.51538 .56009 m .51766 .55936 L .47767 .46476 L F
.47796 .44632 m .52099 .56721 L .52115 .47029 L F
.47767 .46476 m .52099 .56721 L .47796 .44632 L F
.652 .756 .926 r
.30709 .57607 m .32974 .5445 L .521 .55828 L F
.535 .312 .522 r
.47693 .51128 m .47767 .46476 L .46739 .44045 L F
.965 .687 .456 r
.4371 .43807 m .47738 .48266 L .4768 .51948 L F
.652 .756 .926 r
.46626 .49866 m .521 .55828 L p .45784 .55373 L F P
0 g
s
.652 .756 .926 r
.32974 .5445 m .42013 .51415 L .45784 .55373 L F
.42013 .51415 m .46626 .49866 L .45784 .55373 L F
.535 .312 .522 r
.44759 .58185 m .47581 .58201 L .4759 .57621 L F
.47595 .57275 m .44759 .58185 L .4759 .57621 L F
.652 .756 .926 r
.3088 .57769 m .521 .55828 L .41275 .59303 L F
.30709 .57607 m .521 .55828 L .3088 .57769 L F
.965 .687 .456 r
.47595 .57275 m .47566 .59142 L .4198 .52371 L F
.953 .687 .495 r
.24296 .32547 m .29712 .44288 L .26015 .53158 L F
.29712 .44288 m .28978 .54032 L .26015 .53158 L F
.506 .271 .491 r
.13781 .28147 m .22611 .49931 L .2415 .34048 L F
.953 .687 .495 r
.21715 .49082 m .23875 .27505 L p .26015 .53158 L F P
0 g
s
.668 .735 .901 r
.34513 .38953 m .38102 .39634 L .35889 .40434 L F
.522 .292 .508 r
.30002 .40439 m .46292 .49978 L .30445 .34575 L F
.46292 .49978 m .46621 .5017 L .46388 .49946 L F
.46292 .49978 m .46388 .49946 L .30445 .34575 L F
.652 .756 .926 r
.30384 .57299 m .32395 .54644 L .30709 .57607 L F
.965 .687 .456 r
.42059 .50083 m .42013 .51415 L .36084 .45191 L F
.42059 .50083 m .36084 .45191 L .36087 .4515 L F
.522 .292 .508 r
.31814 .35895 m .42201 .45909 L .42681 .31842 L F
.506 .271 .491 r
.2415 .34048 m .36084 .45191 L .36313 .4097 L F
.965 .687 .456 r
.42397 .40168 m .42059 .50083 L .36087 .4515 L F
.36104 .44834 m .36087 .4515 L .35893 .4499 L F
.42397 .40168 m .36087 .4515 L .36104 .44834 L F
.953 .687 .495 r
.25837 .29616 m .24606 .29346 L .24699 .28391 L F
.23875 .27505 m .24131 .2495 L p .25837 .29616 L F P
0 g
s
.953 .687 .495 r
.24935 .25949 m .30631 .32104 L .30568 .3294 L F
.506 .271 .491 r
.2415 .34048 m .36313 .4097 L .24946 .2584 L F
.36313 .4097 m .36439 .38656 L .24946 .2584 L F
.27795 .29018 m .36439 .38656 L .3716 .25369 L F
.27795 .29018 m .3716 .25369 L .37328 .22279 L F
.965 .687 .456 r
.35893 .4499 m .36982 .25161 L p .37146 .25617 L F P
0 g
s
.965 .687 .456 r
.37146 .25617 m .42397 .40168 L .36104 .44834 L F
.37146 .25617 m .36104 .44834 L .35893 .4499 L F
.506 .271 .491 r
.41584 .23646 m .4176 .19146 L p .37328 .22279 L F P
0 g
s
.506 .271 .491 r
.3716 .25369 m .41584 .23646 L .37328 .22279 L F
.36313 .4097 m .40809 .43529 L .36439 .38656 L F
.652 .756 .926 r
.32395 .54644 m .40809 .43529 L .32974 .5445 L F
.32395 .54644 m .32974 .5445 L .30709 .57607 L F
.506 .271 .491 r
.22611 .49931 m .36084 .45191 L p .2415 .34048 L F P
0 g
s
.522 .292 .508 r
.46469 .49464 m .4656 .49888 L .46628 .4979 L F
.4656 .49888 m .46626 .49866 L .46628 .4979 L F
.535 .312 .522 r
.46739 .44045 m .47767 .46476 L .47796 .44632 L F
.965 .687 .456 r
.42397 .40168 m .47799 .44426 L .4371 .43807 L F
.42569 .35112 m .47799 .44426 L .42397 .40168 L F
.47799 .44426 m .47738 .48266 L .4371 .43807 L F
.522 .292 .508 r
.42201 .45909 m .46621 .5017 L .42681 .31842 L F
.652 .756 .926 r
.40809 .43529 m .46626 .49866 L p .32974 .5445 L F P
0 g
s
.652 .756 .926 r
.2491 .52741 m .40809 .43529 L .30114 .57656 L F
.15668 .52373 m .40809 .43529 L p .19534 .55856 L F P
0 g
s
.965 .687 .456 r
.47595 .57275 m .4198 .52371 L .42013 .51415 L F
.652 .756 .926 r
.389 .60066 m .42239 .63336 L .38224 .60283 L F
.42239 .63336 m .41957 .63424 L .38224 .60283 L F
.535 .312 .522 r
.34587 .63769 m .47557 .59664 L p .44759 .58185 L F P
0 g
s
.65 .759 .929 r
.44544 .67979 m .5499 .67353 L .5027 .73503 L F
.41615 .65153 m .49565 .66461 L .44544 .67979 L F
.49565 .66461 m .5499 .67353 L .44544 .67979 L F
.548 .33 .536 r
.43126 .68408 m .53006 .65575 L .5289 .65455 L F
.43126 .68408 m .4042 .69494 L .53006 .65575 L F
.535 .312 .522 r
.34719 .61408 m .34587 .63769 L .44759 .58185 L F
.65 .759 .929 r
.45564 .64635 m .45514 .6465 L .40817 .64383 L F
.408 .64367 m .40817 .64383 L .34884 .64046 L F
.946 .686 .512 r
.21502 .63767 m .22046 .58119 L p .30284 .65541 L F P
0 g
s
.652 .756 .926 r
.19534 .55856 m .30114 .57656 L .34753 .69568 L F
.522 .292 .508 r
.22046 .58119 m .2179 .60781 L p .28685 .57911 L F P
0 g
s
.652 .756 .926 r
.19534 .55856 m .2491 .52741 L .30114 .57656 L F
.522 .292 .508 r
.22046 .58119 m .28685 .57911 L .28817 .56168 L F
.28842 .55837 m .4198 .52376 L .42013 .51415 L F
.22046 .58119 m .28817 .56168 L .28842 .55837 L F
.652 .756 .926 r
.30114 .57656 m .31097 .57974 L .34247 .6156 L F
.31097 .57974 m .34719 .61408 L .34247 .6156 L F
.65 .759 .929 r
.34112 .63919 m .34791 .63959 L .34884 .64046 L F
.35014 .64758 m .34112 .63919 L p .34884 .64046 L F P
0 g
s
.65 .759 .929 r
.34884 .64046 m .35051 .64074 L .35045 .64196 L F
.34884 .64046 m .35045 .64196 L .35014 .64758 L F
.953 .687 .495 r
.34719 .61408 m .34587 .63769 L .28779 .56674 L F
.34587 .63769 m .34572 .64045 L .33715 .62954 L F
.34587 .63769 m .33715 .62954 L .28779 .56674 L F
.28842 .55837 m .28779 .56674 L .26015 .53158 L F
.652 .756 .926 r
.30114 .57656 m .3088 .57769 L .30902 .5779 L F
.30114 .57656 m .30902 .5779 L .31097 .57974 L F
.30114 .57656 m .30709 .57607 L .3088 .57769 L F
.953 .687 .495 r
.34719 .61408 m .28779 .56674 L .28842 .55837 L F
.28779 .56674 m .33715 .62954 L .28661 .58236 L F
.522 .292 .508 r
.28685 .57911 m .34315 .5664 L .4198 .52376 L F
.2179 .60781 m .2864 .58517 L .28685 .57911 L F
.953 .687 .495 r
.33715 .62954 m .34572 .64045 L .2865 .5838 L F
.33715 .62954 m .2865 .5838 L .28661 .58236 L F
.34572 .64045 m .2864 .58517 L p .2865 .5838 L F P
0 g
s
.522 .292 .508 r
.2864 .58517 m .34315 .5664 L .28685 .57911 L F
.28817 .56168 m .4198 .52376 L .28842 .55837 L F
.953 .687 .495 r
.28661 .58236 m .2865 .5838 L .21931 .51953 L F
.26015 .53158 m .28779 .56674 L .21931 .51953 L F
.28779 .56674 m .28661 .58236 L .21931 .51953 L F
.522 .292 .508 r
.2179 .60781 m .21502 .63767 L p .28539 .59853 L F P
0 g
s
.548 .33 .536 r
.4042 .69494 m .44537 .68251 L p .44538 .68212 L F P
0 g
s
.65 .759 .929 r
.4074 .64309 m .5273 .65015 L .408 .64367 L F
.41615 .65153 m .52776 .65063 L .53095 .65393 L F
.41615 .65153 m .53095 .65393 L .49565 .66461 L F
.548 .33 .536 r
.40462 .69213 m .4042 .69494 L .43126 .68408 L F
.4043 .69223 m .4042 .69494 L p .40462 .69213 L F P
0 g
s
.65 .759 .929 r
.35014 .64758 m .38572 .67489 L .40321 .69256 L F
.39965 .69363 m .35014 .64758 L p .40321 .69256 L F P
0 g
s
.953 .687 .495 r
.40264 .69068 m .4042 .69494 L .40245 .6905 L F
.40245 .6905 m .4042 .69494 L .39841 .68673 L F
.65 .759 .929 r
.35691 .64799 m .41615 .65153 L .38572 .67489 L F
.35014 .64758 m .35691 .64799 L .38572 .67489 L F
.35051 .64074 m .41615 .65153 L .35014 .64758 L F
.953 .687 .495 r
.39841 .68673 m .4042 .69494 L .34587 .63769 L F
.649 .759 .929 r
.44537 .68251 m .4042 .69494 L p .38672 .67029 L F P
0 g
s
.649 .759 .929 r
.41931 .66026 m .44537 .68251 L .38672 .67029 L F
.65 .759 .929 r
.34884 .64046 m .40817 .64383 L .41615 .65153 L F
.652 .756 .926 r
.31097 .57974 m .38224 .60283 L .34719 .61408 L F
.31097 .57974 m .37769 .58959 L .38224 .60283 L F
.30902 .5779 m .37769 .58959 L .31097 .57974 L F
.65 .759 .929 r
.34791 .63959 m .38798 .62436 L .4074 .64309 L F
.34587 .63769 m .38798 .62436 L p .34791 .63959 L F P
0 g
s
.649 .759 .929 r
.32949 .57092 m .44537 .68251 L .3188 .57445 L F
.646 .762 .933 r
.39769 .69588 m .44465 .71167 L .39761 .72561 L F
.522 .292 .508 r
.28817 .56168 m .28685 .57911 L .4198 .52376 L F
.953 .687 .495 r
.21931 .51953 m .2865 .5838 L .21442 .51809 L F
.2864 .58517 m .21442 .51809 L p .2865 .5838 L F P
0 g
s
.953 .687 .495 r
.21442 .51809 m .21715 .49082 L p .26015 .53158 L F P
0 g
s
.649 .759 .929 r
.21442 .51809 m .28795 .53093 L .3188 .57445 L F
.953 .687 .495 r
.4042 .69494 m .34572 .64045 L p .34587 .63769 L F P
0 g
s
.649 .759 .929 r
.4042 .69494 m .2864 .58517 L p .3188 .57445 L F P
0 g
s
.649 .759 .929 r
.2864 .58517 m .21442 .51809 L p .3188 .57445 L F P
0 g
s
.649 .759 .929 r
.3188 .57445 m .41931 .66026 L .38672 .67029 L F
.957 .688 .483 r
.42164 .65683 m .43799 .6726 L .43765 .67508 L F
.646 .762 .933 r
.4206 .68895 m .44465 .71167 L .39769 .69588 L F
.957 .688 .483 r
.42155 .65957 m .43765 .67508 L .43398 .70159 L F
.4206 .68895 m .42155 .65957 L p .43398 .70159 L F P
0 g
s
.957 .688 .483 r
.42155 .65957 m .42164 .65683 L p .43765 .67508 L F P
0 g
s
.65 .759 .929 r
.40817 .64383 m .52776 .65063 L .41615 .65153 L F
.543 .322 .53 r
.42164 .65683 m .42155 .65957 L p .5069 .63055 L F P
0 g
s
.543 .322 .53 r
.42155 .65957 m .50545 .63376 L .5069 .63055 L F
.957 .688 .483 r
.43765 .67508 m .44225 .80916 L .41602 .83147 L F
.43799 .6726 m .43808 .67549 L .43765 .67508 L F
.43808 .67549 m .44225 .80916 L .43765 .67508 L F
.44377 .67818 m .44225 .80916 L .43799 .6726 L F
.44544 .67979 m .44225 .80916 L .44377 .67818 L F
.965 .687 .456 r
.50548 .62757 m .42261 .54184 L .41935 .53713 L F
.50548 .62757 m .41935 .53713 L .4198 .52371 L F
.969 .686 .44 r
.57472 .60734 m .57479 .61179 L .52106 .523 L F
.57472 .60734 m .52106 .523 L .52107 .5201 L F
.55215 .542 m .57469 .60499 L .55223 .55184 L F
.57469 .60499 m .57472 .60734 L .55223 .55184 L F
.666 .737 .903 r
.36982 .25161 m .44018 .266 L .46338 .30478 L F
.43918 .3138 m .46338 .30478 L .50302 .37104 L F
.36982 .25161 m .46338 .30478 L .43918 .3138 L F
.535 .312 .522 r
.47798 .44524 m .52115 .47029 L .47902 .37963 L F
.969 .686 .44 r
.51561 .4615 m .57472 .60734 L .46754 .43306 L F
.666 .737 .903 r
.36982 .25161 m .50302 .37104 L .48667 .37689 L F
.522 .292 .508 r
.46717 .40592 m .46804 .40693 L .47007 .30228 L F
.46469 .49464 m .46804 .40693 L .46717 .40592 L F
.46469 .49464 m .46628 .4979 L .46804 .40693 L F
.42681 .31842 m .46469 .49464 L .47007 .30228 L F
.965 .687 .456 r
.36982 .25161 m .42569 .35112 L .42397 .40168 L F
.969 .686 .44 r
.46804 .40693 m .46754 .43306 L .41172 .3423 L F
.51561 .4615 m .46754 .43306 L .46804 .40693 L F
.52107 .5201 m .52106 .523 L .41172 .3423 L F
.55256 .59266 m .46626 .49866 L p .55255 .59086 L F P
0 g
s
.969 .686 .44 r
.46626 .49866 m .40809 .43529 L p .46628 .49795 L F P
0 g
s
.969 .686 .44 r
.55255 .59086 m .46626 .49866 L .46628 .49795 L F
.543 .322 .53 r
.55229 .55903 m .59776 .60255 L .55182 .50306 L F
.59776 .60255 m .60341 .60081 L .55182 .50306 L F
.973 .684 .418 r
.57771 .44874 m .63097 .57881 L .57965 .5637 L F
.63097 .57881 m .63131 .58927 L .57965 .5637 L F
.549 .331 .537 r
.63037 .51709 m .63378 .52023 L .63364 .51604 L F
.63402 .52702 m .63378 .52023 L .63037 .51709 L F
.973 .684 .418 r
.60775 .49103 m .63364 .51604 L .63512 .55894 L F
.549 .331 .537 r
.63378 .52023 m .64455 .51253 L .63364 .51604 L F
.548 .33 .536 r
.63038 .56093 m .70263 .60202 L .64559 .50464 L F
.973 .684 .418 r
.63131 .58927 m .63243 .62325 L .57965 .5637 L F
.543 .322 .53 r
.50814 .60922 m .50803 .62805 L .51934 .60305 L F
.65 .759 .929 r
.5499 .67353 m .65557 .69091 L .58608 .71097 L F
.5499 .67353 m .58608 .71097 L .5027 .73503 L F
.56102 .62529 m .61099 .59905 L .62743 .6176 L F
.50909 .63131 m .55352 .61724 L .56102 .62529 L F
.969 .686 .44 r
.40809 .43529 m .41172 .3423 L p .46751 .4345 L F P
0 g
s
.969 .686 .44 r
.46751 .4345 m .57479 .61179 L .4663 .49692 L F
.46751 .4345 m .4663 .49692 L .40809 .43529 L F
.65 .759 .929 r
.4074 .64309 m .49907 .62095 L .50164 .63217 L F
.4074 .64309 m .48787 .60936 L .49907 .62095 L F
.649 .759 .929 r
.50801 .63297 m .53096 .65668 L .44268 .65307 L F
.548 .33 .536 r
.52754 .65654 m .44538 .68212 L .53096 .65668 L F
.44537 .68251 m .53096 .65668 L p .44538 .68212 L F P
0 g
s
.649 .759 .929 r
.53096 .65668 m .44537 .68251 L p .44268 .65307 L F P
0 g
s
.543 .322 .53 r
.50803 .62805 m .48996 .668 L .50784 .6626 L F
.965 .687 .456 r
.49163 .5892 m .50816 .60655 L .50802 .63021 L F
.49163 .5892 m .50802 .63021 L .50631 .62843 L F
.65 .759 .929 r
.49907 .62095 m .50802 .63021 L .50164 .63217 L F
.965 .687 .456 r
.50548 .62757 m .50801 .63297 L .50708 .63201 L F
.49163 .5892 m .50631 .62843 L .50548 .62757 L F
.50631 .62843 m .50801 .63297 L .50548 .62757 L F
.65 .759 .929 r
.38798 .62436 m .47557 .59664 L p .4074 .64309 L F P
0 g
s
.973 .684 .418 r
.60294 .4791 m .62988 .54595 L .63021 .55592 L F
.60294 .4791 m .63021 .55592 L .57771 .44874 L F
.63021 .55592 m .63097 .57881 L .57771 .44874 L F
.60758 .48468 m .63364 .51604 L .60775 .49103 L F
.548 .33 .536 r
.63038 .56093 m .64559 .50464 L .6287 .5101 L F
.65 .759 .929 r
.55775 .62179 m .60008 .60478 L .56102 .62529 L F
.969 .686 .44 r
.57479 .61179 m .57483 .61486 L .46628 .49795 L F
.4663 .49692 m .46628 .49795 L .40809 .43529 L F
.57479 .61179 m .46628 .49795 L .4663 .49692 L F
.65 .759 .929 r
.55352 .61724 m .60008 .60478 L .55775 .62179 L F
.55352 .61724 m .61099 .59905 L .60008 .60478 L F
.50802 .63021 m .67945 .57738 L .50909 .63131 L F
.543 .322 .53 r
.55278 .6192 m .59998 .60468 L .55229 .55903 L F
.976 .676 .364 r
.854 .62005 m .87052 .7823 L p .75177 .52611 L F P
0 g
s
.976 .676 .364 r
.75177 .52611 m .87052 .7823 L .81978 .72045 L F
.549 .331 .537 r
.76071 .56746 m .70518 .60363 L .78981 .58317 L F
.70518 .60363 m .70545 .60856 L .78981 .58317 L F
.548 .33 .536 r
.70263 .60202 m .70589 .60387 L .70443 .60148 L F
.70263 .60202 m .70443 .60148 L .64559 .50464 L F
.63152 .59562 m .63165 .59954 L .67492 .58626 L F
.65 .759 .929 r
.67945 .57738 m .70053 .60266 L p .62743 .6176 L F P
0 g
s
.65 .759 .929 r
.70053 .60266 m .70545 .60856 L p .66582 .61315 L F P
0 g
s
.65 .759 .929 r
.62743 .6176 m .70053 .60266 L .66582 .61315 L F
.61099 .59905 m .67945 .57738 L .62743 .6176 L F
.59819 .6336 m .70545 .60856 L .54082 .65095 L F
.965 .687 .456 r
.5116 .63391 m .53092 .63044 L .53095 .65393 L F
.548 .33 .536 r
.53094 .64266 m .57501 .62637 L .57499 .6254 L F
.53094 .64338 m .57501 .62637 L .53094 .64266 L F
.53094 .64338 m .53094 .64406 L .57501 .62637 L F
.65 .759 .929 r
.50909 .63131 m .70545 .60856 L .5273 .65015 L F
.55967 .65244 m .75114 .66333 L .53631 .65948 L F
.70545 .60856 m .75114 .66333 L p .56074 .65212 L F P
0 g
s
.549 .331 .537 r
.53631 .65948 m .63816 .64727 L .63753 .629 L F
.973 .684 .418 r
.66352 .65833 m .65819 .65493 L .63755 .62955 L F
.63753 .629 m .63755 .62955 L .63243 .62325 L F
.66352 .65833 m .63755 .62955 L .63753 .629 L F
.63763 .63177 m .63295 .63886 L .63252 .62602 L F
.65819 .65493 m .63798 .64206 L .63763 .63177 L F
.63798 .64206 m .63295 .63886 L .63763 .63177 L F
.65819 .65493 m .63252 .62602 L .63243 .62325 L F
.65 .759 .929 r
.53631 .65948 m .75114 .66333 L .5499 .67353 L F
.973 .684 .418 r
.66352 .65833 m .68644 .7143 L .63295 .63886 L F
.549 .331 .537 r
.63816 .64727 m .59806 .67338 L .63864 .66094 L F
.559 .346 .548 r
.651 .69223 m .68644 .7143 L .65831 .69012 L F
.651 .69223 m .54991 .73756 L .68644 .7143 L F
.646 .762 .933 r
.63865 .66141 m .68644 .7143 L p .54004 .6905 L F P
0 g
s
.965 .687 .456 r
.53631 .65948 m .53641 .69157 L p .53417 .65726 L F P
0 g
s
.965 .687 .456 r
.53417 .65726 m .53641 .69157 L .53554 .69069 L F
.559 .346 .548 r
.55002 .75286 m .68644 .7143 L p .54991 .73756 L F P
0 g
s
.646 .762 .933 r
.68644 .7143 m .58665 .74251 L p .53641 .69157 L F P
0 g
s
.549 .331 .537 r
.53631 .65948 m .53641 .69157 L p .63816 .64727 L F P
0 g
s
.549 .331 .537 r
.53641 .69157 m .59806 .67338 L .63816 .64727 L F
.646 .762 .933 r
.45906 .67734 m .50784 .6626 L .53446 .68959 L F
.65 .759 .929 r
.47557 .59664 m .48787 .60936 L .4074 .64309 L F
.652 .756 .926 r
.37769 .58959 m .389 .60066 L .38224 .60283 L F
.649 .759 .929 r
.32949 .57092 m .43386 .55639 L .44537 .68251 L F
.543 .322 .53 r
.42155 .65957 m .4206 .68895 L p .50545 .63376 L F P
0 g
s
.543 .322 .53 r
.4206 .68895 m .48996 .668 L .50545 .63376 L F
.957 .688 .483 r
.44537 .68251 m .50254 .75786 L .44225 .80916 L F
.45233 .68921 m .50254 .75786 L .44537 .68251 L F
.48971 .7225 m .5027 .73503 L .50254 .75786 L F
.5015 .90468 m .41602 .83147 L p .50254 .75786 L F P
0 g
s
.559 .346 .548 r
.54991 .73756 m .50254 .75881 L .55002 .75286 L F
.50248 .7663 m .55002 .75286 L p .50254 .75881 L F P
0 g
s
.646 .762 .933 r
.4206 .68895 m .53446 .68959 L .50248 .7663 L F
.45906 .67734 m .53446 .68959 L .4206 .68895 L F
.58665 .74251 m .50248 .7663 L p .53446 .68959 L F P
0 g
s
.965 .687 .456 r
.53102 .69836 m .53141 .6865 L .53648 .71349 L F
.53141 .6865 m .53483 .68997 L .53648 .71349 L F
.646 .762 .933 r
.54004 .6905 m .68644 .7143 L .53641 .69157 L F
.549 .331 .537 r
.53641 .69157 m .53648 .71349 L p .59806 .67338 L F P
0 g
s
.549 .331 .537 r
.59806 .67338 m .53648 .71349 L .63645 .66206 L F
.59806 .67338 m .63645 .66206 L .63864 .66094 L F
.965 .687 .456 r
.53141 .6865 m .53242 .65545 L .53483 .68997 L F
.549 .331 .537 r
.53648 .71349 m .63942 .68355 L p .63864 .66094 L F P
0 g
s
.65 .759 .929 r
.52776 .65063 m .55967 .65244 L .53631 .65948 L F
.548 .33 .536 r
.55101 .64787 m .54037 .65254 L .70263 .60202 L F
.65 .759 .929 r
.5273 .65015 m .59819 .6336 L .54082 .65095 L F
.965 .687 .456 r
.53095 .65393 m .53242 .65545 L .53102 .69836 L F
.548 .33 .536 r
.63245 .62387 m .53095 .65547 L .63252 .62602 L F
.965 .687 .456 r
.53242 .65545 m .53417 .65726 L .53648 .71349 L F
.548 .33 .536 r
.53096 .65668 m .63252 .62602 L p .53095 .65547 L F P
0 g
s
.649 .759 .929 r
.63252 .62602 m .53096 .65668 L p .62361 .61597 L F P
0 g
s
.646 .762 .933 r
.61145 .63131 m .63865 .66141 L p .53446 .68959 L F P
0 g
s
.646 .762 .933 r
.53446 .68959 m .63865 .66141 L .54004 .6905 L F
.973 .684 .418 r
.68644 .7143 m .6335 .65571 L p .63295 .63886 L F P
0 g
s
.548 .33 .536 r
.5289 .65455 m .54037 .65254 L .55101 .64787 L F
.5289 .65455 m .53006 .65575 L .54037 .65254 L F
.965 .687 .456 r
.50802 .63021 m .5116 .63391 L .50931 .63432 L F
.50802 .63021 m .50931 .63432 L .50801 .63297 L F
.508 .63456 m .5116 .63391 L .5257 .68071 L F
.52404 .67903 m .5257 .68071 L .53102 .69836 L F
.508 .63456 m .5257 .68071 L .52404 .67903 L F
.646 .762 .933 r
.39776 .66738 m .49616 .65077 L .45906 .67734 L F
.965 .687 .456 r
.5116 .63391 m .53095 .65393 L .53102 .69836 L F
.649 .759 .929 r
.53017 .65586 m .53865 .6533 L .53096 .65668 L F
.65 .759 .929 r
.5273 .65015 m .54082 .65095 L .52776 .65063 L F
.54082 .65095 m .53963 .65131 L .52776 .65063 L F
.649 .759 .929 r
.50801 .63297 m .53865 .6533 L .53017 .65586 L F
.50801 .63297 m .62361 .61597 L .53865 .6533 L F
.646 .762 .933 r
.49616 .65077 m .50784 .6626 L .45906 .67734 L F
.543 .322 .53 r
.41602 .83147 m .50702 .80646 L p .50771 .68474 L F P
0 g
s
.543 .322 .53 r
.50784 .6626 m .4935 .68897 L .50771 .68474 L F
.4935 .68897 m .41602 .83147 L .50771 .68474 L F
.48996 .668 m .41602 .83147 L .50784 .6626 L F
.965 .687 .456 r
.51862 .664 m .52404 .67903 L .49277 .64314 L F
.52404 .67903 m .50251 .6572 L .49277 .64314 L F
.649 .759 .929 r
.43386 .55639 m .50801 .63297 L .44268 .65307 L F
.965 .687 .456 r
.51862 .664 m .49277 .64314 L .47524 .61783 L F
.50548 .62757 m .51862 .664 L .47524 .61783 L F
.50801 .63297 m .50931 .63432 L .508 .63456 L F
.65 .759 .929 r
.47557 .59664 m .57965 .5637 L p .48787 .60936 L F P
0 g
s
.548 .33 .536 r
.6483 .50911 m .70589 .60387 L .67762 .49427 L F
.6483 .50911 m .67762 .49427 L .6481 .50382 L F
.659 .747 .915 r
.62083 .50062 m .68388 .46742 L .69646 .48355 L F
.976 .68 .389 r
.67242 .43172 m .67392 .46282 L .64504 .42598 L F
.976 .68 .386 r
.64809 .37327 m .69934 .48724 L .65018 .42424 L F
.973 .684 .418 r
.62749 .47322 m .6277 .47964 L .60294 .4791 L F
.659 .747 .915 r
.60758 .48468 m .72387 .44636 L p .62083 .50062 L F P
0 g
s
.543 .322 .53 r
.67392 .46282 m .60758 .48468 L p .65967 .58347 L F P
0 g
s
.973 .684 .418 r
.57699 .40601 m .60294 .4791 L .57771 .44874 L F
.57627 .36352 m .60596 .42325 L .5764 .37104 L F
.60596 .42325 m .60611 .42871 L .5764 .37104 L F
.57699 .40601 m .62749 .47322 L .60294 .4791 L F
.57627 .36352 m .62534 .40803 L .62725 .46608 L F
.535 .312 .522 r
.64958 .54157 m .64094 .32172 L p .54349 .35657 L F P
0 g
s
.668 .735 .901 r
.51771 .34118 m .57564 .32605 L .52136 .34566 L F
.973 .684 .418 r
.52598 .26232 m .57564 .32605 L p .57596 .34496 L F P
0 g
s
.973 .684 .418 r
.52598 .26232 m .57596 .34496 L .55177 .31422 L F
.969 .686 .44 r
.47011 .30022 m .55159 .47439 L .46988 .31211 L F
.522 .292 .508 r
.47007 .30228 m .47427 .30072 L .47044 .28323 L F
.666 .737 .903 r
.44018 .266 m .47007 .30228 L .46338 .30478 L F
.969 .686 .44 r
.45103 .25944 m .47011 .30022 L .46988 .31211 L F
.666 .737 .903 r
.44018 .266 m .60942 .333 L .52133 .3645 L F
.973 .684 .418 r
.55177 .31422 m .57596 .34496 L .57627 .36352 L F
.666 .737 .903 r
.52795 .28394 m .53954 .1854 L .62807 .30442 L F
.976 .68 .386 r
.53884 .13033 m .59042 .24503 L .56919 .21636 L F
.666 .737 .903 r
.53954 .1854 m .54475 .18336 L p .62807 .30442 L F P
0 g
s
.976 .68 .386 r
.53905 .17566 m .53884 .13033 L p .56919 .21636 L F P
0 g
s
.666 .737 .903 r
.54475 .18336 m .68719 .1278 L p .63004 .29853 L F P
0 g
s
.666 .737 .903 r
.54475 .18336 m .63004 .29853 L .62807 .30442 L F
.543 .322 .53 r
.65967 .58347 m .67945 .57738 L .67392 .46282 L F
.973 .684 .418 r
.60294 .4791 m .60758 .48468 L .60775 .49103 L F
.548 .33 .536 r
.67762 .49427 m .69918 .57787 L .69433 .48886 L F
.976 .68 .389 r
.70053 .60266 m .64958 .54157 L p .6969 .53598 L F P
0 g
s
.976 .68 .389 r
.64958 .54157 m .64504 .42598 L p .69634 .52567 L F P
0 g
s
.976 .68 .389 r
.69634 .52567 m .6969 .53598 L .64958 .54157 L F
.666 .737 .903 r
.52656 .28366 m .52597 .28143 L .52795 .28394 L F
.44018 .266 m .52597 .28143 L .52656 .28366 L F
.44018 .266 m .48514 .22953 L .52597 .28143 L F
.969 .686 .44 r
.46988 .31211 m .55159 .47439 L .52872 .47655 L F
.666 .737 .903 r
.36982 .25161 m .41409 .23434 L p .44018 .266 L F P
0 g
s
.969 .686 .44 r
.46352 .29433 m .52872 .47655 L .43493 .25963 L F
.52872 .47655 m .51561 .4615 L .41659 .21722 L F
.535 .312 .522 r
.52166 .46769 m .59332 .44347 L .54349 .35657 L F
.969 .686 .44 r
.52872 .47655 m .55215 .542 L .51561 .4615 L F
.535 .312 .522 r
.52115 .47029 m .54349 .35657 L .52133 .3645 L F
.666 .737 .903 r
.44018 .266 m .62807 .30442 L .60942 .333 L F
.973 .684 .418 r
.52596 .38647 m .52597 .28143 L p .56587 .43449 L F P
0 g
s
.973 .684 .418 r
.53225 .28941 m .56587 .43449 L .52597 .28143 L F
.666 .737 .903 r
.48514 .22953 m .53954 .1854 L .52795 .28394 L F
.965 .687 .456 r
.37155 .25468 m .41326 .30279 L .4123 .32727 L F
.41326 .30279 m .42681 .31842 L .4123 .32727 L F
.4123 .32727 m .42681 .31842 L .42569 .35112 L F
.3716 .25369 m .42681 .31842 L p .37155 .25468 L F P
0 g
s
.969 .686 .44 r
.41172 .3423 m .41659 .21722 L p .51561 .4615 L F P
0 g
s
.666 .737 .903 r
.41409 .23434 m .53954 .1854 L p .44018 .266 L F P
0 g
s
.522 .292 .508 r
.47421 .30226 m .47466 .30248 L .47427 .30072 L F
.46621 .5017 m .47466 .30248 L .47421 .30226 L F
.65 .759 .929 r
.57965 .5637 m .5843 .56894 L .48787 .60936 L F
.649 .759 .929 r
.61066 .60139 m .62361 .61597 L .50801 .63297 L F
.543 .322 .53 r
.50803 .62805 m .50792 .64878 L .5398 .6434 L F
.51934 .60305 m .54486 .61886 L .53723 .59746 L F
.646 .762 .933 r
.50784 .6626 m .61145 .63131 L .53446 .68959 L F
.543 .322 .53 r
.51934 .60305 m .50803 .62805 L .55196 .64928 L F
.65 .759 .929 r
.66338 .65816 m .75114 .66333 L .66354 .65835 L F
.973 .684 .418 r
.6686 .66406 m .68644 .7143 L .66352 .65833 L F
.65 .759 .929 r
.67153 .66736 m .75114 .66333 L .6849 .68245 L F
.973 .684 .418 r
.6849 .68245 m .68644 .7143 L p .6686 .66406 L F P
0 g
s
.549 .331 .537 r
.63942 .68355 m .85802 .61998 L p .63864 .66094 L F P
0 g
s
.646 .762 .933 r
.53446 .68959 m .54004 .6905 L .53641 .69157 L F
.965 .687 .456 r
.53641 .69157 m .53648 .71349 L p .53554 .69069 L F P
0 g
s
.644 .764 .936 r
.53445 .67677 m .61795 .66012 L .53648 .71349 L F
.543 .322 .53 r
.5802 .64075 m .55196 .64928 L .58049 .66306 L F
.5802 .64075 m .58049 .66306 L .60462 .65587 L F
.51934 .60305 m .55196 .64928 L .5802 .64075 L F
.65 .759 .929 r
.49907 .62095 m .60724 .59482 L .50802 .63021 L F
.60724 .59482 m .61059 .5986 L .50802 .63021 L F
.973 .684 .418 r
.63243 .62325 m .63252 .62602 L .61063 .60021 L F
.543 .322 .53 r
.61059 .5986 m .65967 .58347 L .60758 .48468 L F
.65 .759 .929 r
.64958 .54157 m .67945 .57738 L p .60724 .59482 L F P
0 g
s
.65 .759 .929 r
.49907 .62095 m .58856 .57375 L .60724 .59482 L F
.58856 .57375 m .64958 .54157 L .60724 .59482 L F
.543 .322 .53 r
.50816 .60655 m .50814 .60922 L .51934 .60305 L F
.65 .759 .929 r
.48787 .60936 m .5843 .56894 L .49907 .62095 L F
.5843 .56894 m .64958 .54157 L .58856 .57375 L F
.5843 .56894 m .58856 .57375 L .49907 .62095 L F
.535 .312 .522 r
.52096 .58227 m .64958 .54157 L p .52099 .56721 L F P
0 g
s
.969 .686 .44 r
.55159 .47439 m .55182 .50227 L .52872 .47655 L F
.535 .312 .522 r
.52115 .47029 m .64958 .54157 L .59332 .44347 L F
.52115 .47029 m .59332 .44347 L .52166 .46769 L F
.969 .686 .44 r
.55215 .542 m .55223 .55184 L .51561 .4615 L F
.535 .312 .522 r
.52115 .47029 m .52099 .56721 L .64958 .54157 L F
.973 .684 .418 r
.57771 .44874 m .57965 .5637 L .56587 .43449 L F
.649 .759 .929 r
.39431 .54949 m .41921 .54126 L .43386 .55639 L F
.39431 .54949 m .43386 .55639 L .32949 .57092 L F
.965 .687 .456 r
.47557 .59664 m .47524 .61783 L .42261 .54184 L F
.535 .312 .522 r
.51538 .56009 m .47595 .57275 L .52099 .56721 L F
.649 .759 .929 r
.43386 .55639 m .53174 .51249 L .58236 .56951 L F
.973 .684 .418 r
.59809 .5845 m .59735 .58455 L .57965 .5637 L F
.61059 .5986 m .59735 .58455 L .59809 .5845 L F
.543 .322 .53 r
.60341 .60081 m .61103 .61525 L .61059 .5986 L F
.973 .684 .418 r
.61059 .5986 m .61063 .60021 L .59735 .58455 L F
.63243 .62325 m .61063 .60021 L .61059 .5986 L F
.63252 .62602 m .5894 .57744 L .57965 .5637 L F
.548 .33 .536 r
.70053 .60267 m .63245 .62387 L .70067 .60529 L F
.70053 .60267 m .70067 .60529 L .70589 .60387 L F
.649 .759 .929 r
.63998 .59237 m .70589 .60387 L .62361 .61597 L F
.63998 .59237 m .62361 .61597 L .61066 .60139 L F
.535 .312 .522 r
.4759 .57621 m .52096 .58227 L .52099 .56721 L F
.47595 .57275 m .4759 .57621 L .52099 .56721 L F
.649 .759 .929 r
.43386 .55639 m .58236 .56951 L .59581 .58466 L F
.973 .684 .418 r
.63252 .62602 m .63295 .63886 L .61082 .60766 L F
.965 .687 .456 r
.50631 .62843 m .50802 .63021 L .50801 .63297 L F
.535 .312 .522 r
.47581 .58201 m .52096 .58227 L .4759 .57621 L F
.965 .687 .456 r
.50548 .62757 m .47524 .61783 L .47557 .59664 L F
.535 .312 .522 r
.47557 .59664 m .52096 .58227 L p .47581 .58201 L F P
0 g
s
.649 .759 .929 r
.43386 .55639 m .59581 .58466 L .50801 .63297 L F
.973 .684 .418 r
.63252 .62602 m .61082 .60766 L .61066 .60139 L F
.548 .33 .536 r
.70263 .60202 m .70053 .60267 L .70589 .60387 L F
.649 .759 .929 r
.68485 .57857 m .70589 .60387 L p .63998 .59237 L F P
0 g
s
.543 .322 .53 r
.61066 .60139 m .65967 .58347 L .61059 .5986 L F
.59776 .60255 m .61103 .61525 L .60341 .60081 L F
.55278 .6192 m .55276 .61642 L .55113 .61971 L F
.55276 .61642 m .55118 .61691 L .55113 .61971 L F
.55113 .61971 m .55118 .61691 L .5501 .61724 L F
.54486 .61886 m .55282 .62379 L .5501 .61724 L F
.649 .759 .929 r
.59581 .58466 m .61066 .60139 L .50801 .63297 L F
.644 .764 .936 r
.61204 .65366 m .61795 .66012 L .53445 .67677 L F
.543 .322 .53 r
.55282 .62379 m .60462 .65587 L .59998 .60468 L F
.60462 .65587 m .61222 .66058 L .61079 .65403 L F
.60462 .65587 m .61079 .65403 L .59998 .60468 L F
.973 .684 .418 r
.57965 .5637 m .58563 .57213 L .57978 .5711 L F
.58563 .57213 m .63295 .63886 L .57978 .5711 L F
.543 .322 .53 r
.61222 .66058 m .61103 .61525 L .59998 .60468 L F
.55282 .62379 m .59998 .60468 L .55278 .6192 L F
.973 .684 .418 r
.57978 .5711 m .63295 .63886 L .58021 .59674 L F
.543 .322 .53 r
.61103 .61525 m .65145 .58884 L .61066 .60139 L F
.65145 .58884 m .65967 .58347 L .61066 .60139 L F
.65 .759 .929 r
.62686 .59008 m .67945 .57738 L .63412 .59135 L F
.62686 .59008 m .63412 .59135 L .61059 .5986 L F
.60724 .59482 m .62686 .59008 L .61059 .5986 L F
.649 .759 .929 r
.59581 .58466 m .63998 .59237 L .61066 .60139 L F
.973 .684 .418 r
.5773 .56381 m .58021 .59674 L .53901 .52068 L F
.61066 .60139 m .61082 .60766 L .5894 .57744 L F
.549 .331 .537 r
.63753 .629 m .63816 .64727 L .69086 .61295 L F
.973 .684 .418 r
.6335 .65571 m .58021 .59674 L p .63295 .63886 L F P
0 g
s
.644 .764 .936 r
.61204 .65366 m .64094 .64505 L .61795 .66012 L F
.549 .331 .537 r
.69086 .61295 m .63816 .64727 L .78981 .58317 L F
.63816 .64727 m .63864 .66094 L .78981 .58317 L F
.78981 .58317 m .63864 .66094 L .85802 .61998 L F
.644 .764 .936 r
.76059 .64831 m .53648 .71349 L p .64094 .64505 L F P
0 g
s
.644 .764 .936 r
.73495 .61705 m .76059 .64831 L .64094 .64505 L F
.543 .322 .53 r
.61222 .66058 m .74303 .74159 L .64187 .64478 L F
.61204 .65366 m .64187 .64478 L .61103 .61525 L F
.61222 .66058 m .64187 .64478 L .61204 .65366 L F
.548 .33 .536 r
.63252 .62602 m .70589 .60387 L p .63245 .62387 L F P
0 g
s
.649 .759 .929 r
.70589 .60387 m .63252 .62602 L p .62361 .61597 L F P
0 g
s
.543 .322 .53 r
.61103 .61525 m .74303 .74159 L .66095 .58592 L F
.67899 .62012 m .68176 .62538 L .68143 .61852 L F
.67899 .62012 m .68143 .61852 L .67945 .57738 L F
.65967 .58347 m .67899 .62012 L .67945 .57738 L F
.973 .684 .418 r
.57965 .5637 m .57703 .56074 L .56587 .43449 L F
.56587 .43449 m .57703 .56074 L .53505 .51338 L F
.522 .292 .508 r
.46621 .5017 m .47427 .30072 L .47007 .30228 L F
.973 .684 .418 r
.53225 .28941 m .57699 .40601 L .56587 .43449 L F
.53834 .29715 m .57699 .40601 L .53225 .28941 L F
.522 .292 .508 r
.4198 .52376 m .34315 .5664 L .41921 .54126 L F
.965 .687 .456 r
.35757 .47456 m .35893 .4499 L p .42261 .54184 L F P
0 g
s
.646 .762 .933 r
.39776 .66738 m .45499 .60903 L .49616 .65077 L F
.32761 .6011 m .41817 .57169 L p .39776 .66738 L F P
0 g
s
.965 .687 .456 r
.42261 .54184 m .50251 .6572 L .41879 .55354 L F
.50251 .6572 m .48669 .64116 L .41879 .55354 L F
.522 .292 .508 r
.28539 .59853 m .41817 .57169 L .41831 .5674 L F
.965 .687 .456 r
.4193 .53842 m .41921 .54126 L .35757 .47456 L F
.41921 .54126 m .36941 .48983 L .35757 .47456 L F
.522 .292 .508 r
.47427 .30072 m .51967 .50804 L .52597 .28143 L F
.973 .684 .418 r
.52596 .38647 m .56587 .43449 L .53428 .51535 L F
.649 .759 .929 r
.52595 .50597 m .53174 .51249 L .52595 .51509 L F
.973 .684 .418 r
.52595 .53668 m .52595 .50597 L p .53428 .51535 L F P
0 g
s
.973 .684 .418 r
.52595 .50597 m .52596 .38647 L p .53428 .51535 L F P
0 g
s
.649 .759 .929 r
.52595 .50597 m .60324 .48042 L .53174 .51249 L F
.52595 .50597 m .52595 .51509 L .43386 .55639 L F
.965 .687 .456 r
.42261 .54184 m .42189 .54403 L .4193 .53842 L F
.42189 .54403 m .41879 .55354 L .41921 .54126 L F
.42189 .54403 m .41921 .54126 L .4193 .53842 L F
.649 .759 .929 r
.23162 .52109 m .38113 .50194 L .39431 .54949 L F
.522 .292 .508 r
.52595 .50597 m .52597 .28143 L p .51967 .50804 L F P
0 g
s
.522 .292 .508 r
.46621 .5017 m .49242 .51705 L .47466 .30248 L F
.49242 .51705 m .51967 .50804 L .47466 .30248 L F
.649 .759 .929 r
.41921 .54126 m .52595 .50597 L .43386 .55639 L F
.965 .687 .456 r
.41873 .5551 m .48669 .64116 L .41817 .57169 L F
.649 .759 .929 r
.25029 .51462 m .38113 .50194 L .23162 .52109 L F
.38113 .50194 m .41921 .54126 L .39431 .54949 L F
.21442 .51809 m .35074 .47054 L p .38113 .50194 L F P
0 g
s
.522 .292 .508 r
.41921 .54126 m .28539 .59853 L .41842 .56433 L F
.34315 .5664 m .28539 .59853 L .41921 .54126 L F
.965 .687 .456 r
.36941 .48983 m .48669 .64116 L .35742 .47744 L F
.522 .292 .508 r
.4198 .52376 m .41842 .56433 L .46522 .5523 L F
.4198 .52376 m .46522 .5523 L .46567 .52935 L F
.46292 .49978 m .4198 .52376 L .45804 .52842 L F
.46292 .49978 m .45804 .52842 L .46536 .526 L F
.46621 .5017 m .46567 .52935 L .52595 .53668 L F
.46292 .49978 m .46567 .52935 L .46621 .5017 L F
.42013 .51415 m .4198 .52376 L .46292 .49978 L F
.965 .687 .456 r
.4198 .52371 m .41935 .53713 L .35893 .4499 L F
.42013 .51415 m .4198 .52371 L .35893 .4499 L F
.522 .292 .508 r
.4656 .49888 m .46621 .5017 L .46626 .49866 L F
.649 .759 .929 r
.38113 .50194 m .60324 .48042 L .41921 .54126 L F
.506 .271 .491 r
.40809 .43529 m .41584 .23646 L p .3716 .25369 L F P
0 g
s
.506 .27 .491 r
.36982 .25161 m .54627 .4119 L .54577 .33699 L F
.973 .684 .418 r
.55875 .32825 m .5563 .32857 L .53834 .29715 L F
.55177 .31422 m .55875 .32825 L .53834 .29715 L F
.57627 .36352 m .5764 .37104 L .53834 .29715 L F
.53834 .29715 m .5764 .37104 L .57699 .40601 L F
.506 .27 .491 r
.53909 .18557 m .36982 .25161 L p .53978 .33408 L F P
0 g
s
.506 .27 .491 r
.5448 .19042 m .54163 .33498 L p .54577 .33699 L F P
0 g
s
.506 .27 .491 r
.54241 .18428 m .5448 .19042 L .54475 .18336 L F
.976 .68 .386 r
.5401 .40449 m .53905 .17566 L p .5448 .19042 L F P
0 g
s
.976 .68 .389 r
.69911 .49495 m .70137 .53545 L .67495 .4841 L F
.67392 .46282 m .67495 .4841 L .64504 .42598 L F
.69911 .49495 m .67495 .4841 L .67392 .46282 L F
.543 .322 .53 r
.68176 .62538 m .68775 .63674 L .67392 .46282 L F
.976 .68 .386 r
.70589 .60387 m .68485 .57857 L p .6832 .54565 L F P
0 g
s
.543 .322 .53 r
.68775 .63674 m .68037 .48882 L .67392 .46282 L F
.976 .68 .386 r
.56919 .21636 m .70589 .60387 L .53905 .17566 L F
.976 .68 .389 r
.73025 .53468 m .70137 .53545 L .69911 .49495 L F
.549 .331 .537 r
.70137 .53544 m .85802 .61998 L .71439 .49003 L F
.659 .747 .915 r
.70015 .49628 m .70518 .49472 L .70019 .49634 L F
.549 .331 .537 r
.70137 .53544 m .71439 .49003 L .69911 .49495 L F
.70137 .53544 m .70412 .58475 L .76071 .56746 L F
.548 .33 .536 r
.70589 .60387 m .69934 .48724 L p .69723 .48793 L F P
0 g
s
.548 .33 .536 r
.69918 .57787 m .70589 .60387 L .69723 .48793 L F
.69918 .57787 m .69723 .48793 L .69433 .48886 L F
.659 .747 .915 r
.73392 .4751 m .73422 .47596 L .69433 .48886 L F
.73392 .4751 m .69433 .48886 L .69388 .48829 L F
.543 .322 .53 r
.67898 .46115 m .67392 .46282 L p .68037 .48882 L F P
0 g
s
.976 .68 .386 r
.69934 .48724 m .70589 .60387 L p .6362 .40633 L F P
0 g
s
.543 .322 .53 r
.68775 .63674 m .74303 .74159 L .68037 .48882 L F
.973 .684 .418 r
.57699 .40601 m .57771 .44874 L .56587 .43449 L F
.55875 .32825 m .57627 .36352 L .5563 .32857 L F
.976 .68 .386 r
.5448 .19042 m .6832 .54565 L .54627 .4119 L F
.68485 .57857 m .54627 .4119 L p .6832 .54565 L F P
0 g
s
.976 .68 .386 r
.54627 .4119 m .5401 .40449 L p .5448 .19042 L F P
0 g
s
.965 .687 .456 r
.35742 .47744 m .35757 .47456 L p .36941 .48983 L F P
0 g
s
.506 .271 .491 r
.36084 .45191 m .40809 .43529 L p .36313 .4097 L F P
0 g
s
.965 .687 .456 r
.36087 .4515 m .36084 .45191 L .35893 .4499 L F
.506 .271 .491 r
.36439 .38656 m .40809 .43529 L .3716 .25369 L F
.965 .687 .456 r
.36982 .25161 m .3716 .25369 L p .37155 .25468 L F P
0 g
s
.666 .737 .903 r
.3716 .25369 m .36982 .25161 L p .37172 .25365 L F P
0 g
s
.506 .27 .491 r
.36982 .25161 m .35742 .47744 L p .54627 .4119 L F P
0 g
s
.976 .68 .386 r
.56919 .21636 m .64809 .37327 L .6362 .40633 L F
.506 .27 .491 r
.54577 .33699 m .54627 .4119 L .63599 .38077 L F
.649 .759 .929 r
.5401 .40449 m .60324 .48042 L p .38113 .50194 L F P
0 g
s
.965 .687 .456 r
.41921 .54126 m .41879 .55354 L .36941 .48983 L F
.35572 .50837 m .35742 .47744 L p .41873 .5551 L F P
0 g
s
.522 .292 .508 r
.28539 .59853 m .41831 .5674 L .41842 .56433 L F
.965 .687 .456 r
.41873 .5551 m .41817 .57169 L .35572 .50837 L F
.976 .68 .386 r
.64809 .37327 m .65018 .42424 L .6362 .40633 L F
.646 .762 .933 r
.41817 .57169 m .45499 .60903 L .39776 .66738 L F
.522 .292 .508 r
.28413 .61522 m .41817 .57169 L p .28539 .59853 L F P
0 g
s
.649 .759 .929 r
.28795 .53093 m .39431 .54949 L .32949 .57092 L F
.965 .687 .456 r
.35445 .53152 m .35572 .50837 L p .53102 .69836 L F P
0 g
s
.965 .687 .456 r
.48669 .64116 m .53102 .69836 L .35572 .50837 L F
.976 .68 .386 r
.59042 .24503 m .67382 .35764 L .67791 .43957 L F
.669 .733 .898 r
.6911 .34038 m .68634 .34206 L p .6856 .34103 L F P
0 g
s
.976 .68 .386 r
.67161 .31349 m .6911 .34038 L p .67791 .43957 L F P
0 g
s
.506 .27 .491 r
.63599 .38077 m .54638 .42875 L .70407 .4138 L F
.35445 .53152 m .54663 .46681 L p .54638 .42875 L F P
0 g
s
.506 .27 .491 r
.54663 .46681 m .70407 .4138 L p .54638 .42875 L F P
0 g
s
.649 .759 .929 r
.35074 .47054 m .5401 .40449 L p .38113 .50194 L F P
0 g
s
.506 .27 .491 r
.35742 .47744 m .35445 .53152 L p .63599 .38077 L F P
0 g
s
.649 .759 .929 r
.21442 .51809 m .25029 .51462 L .23162 .52109 L F
.522 .292 .508 r
.52595 .53668 m .52595 .50597 L p .51967 .50804 L F P
0 g
s
.522 .292 .508 r
.41842 .56433 m .46514 .55643 L .46522 .5523 L F
.41831 .5674 m .46514 .55643 L .41842 .56433 L F
.646 .762 .933 r
.41817 .57169 m .52595 .53668 L p .45499 .60903 L F P
0 g
s
.965 .687 .456 r
.50251 .6572 m .53102 .69836 L .48669 .64116 L F
.522 .292 .508 r
.41817 .57169 m .46514 .55643 L p .41831 .5674 L F P
0 g
s
.659 .747 .915 r
.72387 .44636 m .74373 .47288 L p .69646 .48355 L F P
0 g
s
.659 .747 .915 r
.68388 .46742 m .72387 .44636 L .69646 .48355 L F
.69646 .48355 m .73392 .4751 L .69888 .48664 L F
.543 .322 .53 r
.72387 .44636 m .67898 .46115 L p .71588 .62273 L F P
0 g
s
.543 .322 .53 r
.74303 .74159 m .73495 .61705 L p .71588 .62273 L F P
0 g
s
.543 .322 .53 r
.73495 .61705 m .72387 .44636 L p .71588 .62273 L F P
0 g
s
.976 .676 .364 r
.74303 .74159 m .72387 .44636 L p .75177 .52611 L F P
0 g
s
.976 .676 .364 r
.76949 .77158 m .74303 .74159 L p .75177 .52611 L F P
0 g
s
.976 .676 .364 r
.72387 .44636 m .74838 .47908 L p .75177 .52611 L F P
0 g
s
.644 .764 .936 r
.70407 .4138 m .83384 .58759 L p .71702 .59521 L F P
0 g
s
.644 .764 .936 r
.83384 .58759 m .85802 .61998 L p .77443 .60529 L F P
0 g
s
.644 .764 .936 r
.71702 .59521 m .83384 .58759 L .77443 .60529 L F
.543 .322 .53 r
.68037 .48882 m .74303 .74159 L .67898 .46115 L F
.644 .764 .936 r
.71702 .59521 m .73495 .61705 L .64094 .64505 L F
.543 .322 .53 r
.65145 .58884 m .66095 .58592 L .65967 .58347 L F
.61103 .61525 m .66095 .58592 L .65145 .58884 L F
.649 .759 .929 r
.59581 .58466 m .68485 .57857 L .63998 .59237 L F
.58236 .56951 m .68485 .57857 L .59581 .58466 L F
.973 .684 .418 r
.5797 .56652 m .58021 .59674 L .5773 .56381 L F
.58021 .59674 m .52595 .53668 L p .53428 .51535 L F P
0 g
s
.973 .684 .418 r
.53901 .52068 m .58021 .59674 L .53428 .51535 L F
.543 .322 .53 r
.55282 .62379 m .55278 .6192 L .55113 .61971 L F
.965 .687 .456 r
.50708 .63201 m .50801 .63297 L .508 .63456 L F
.646 .762 .933 r
.52595 .53668 m .61145 .63131 L p .49616 .65077 L F P
0 g
s
.644 .764 .936 r
.52811 .56202 m .71702 .59521 L .64094 .64505 L F
.543 .322 .53 r
.50792 .64878 m .50784 .6626 L .5398 .6434 L F
.5398 .6434 m .50784 .6626 L .55196 .64928 L F
.646 .762 .933 r
.49616 .65077 m .61145 .63131 L .50784 .6626 L F
.644 .764 .936 r
.52811 .56202 m .64094 .64505 L .61204 .65366 L F
.973 .684 .418 r
.57703 .56074 m .5773 .56381 L .53505 .51338 L F
.5773 .56381 m .53901 .52068 L .53505 .51338 L F
.57965 .5637 m .5797 .56652 L .57703 .56074 L F
.5797 .56652 m .5773 .56381 L .57703 .56074 L F
.65 .759 .929 r
.57965 .5637 m .64958 .54157 L p .5843 .56894 L F P
0 g
s
.649 .759 .929 r
.60324 .48042 m .68485 .57857 L p .58236 .56951 L F P
0 g
s
.973 .684 .418 r
.53505 .51338 m .53901 .52068 L .53428 .51535 L F
.649 .759 .929 r
.53174 .51249 m .60324 .48042 L .58236 .56951 L F
.965 .687 .456 r
.52404 .67903 m .53102 .69836 L .50251 .6572 L F
.53648 .71349 m .53103 .70805 L p .53102 .69836 L F P
0 g
s
.965 .687 .456 r
.53103 .70805 m .35445 .53152 L p .53102 .69836 L F P
0 g
s
.644 .764 .936 r
.53648 .71349 m .50771 .68474 L p .53445 .67677 L F P
0 g
s
.543 .322 .53 r
.50702 .80646 m .61528 .7767 L p .55196 .64928 L F P
0 g
s
.543 .322 .53 r
.55196 .64928 m .61528 .7767 L .6127 .67862 L F
.50784 .6626 m .50702 .80646 L .55196 .64928 L F
.644 .764 .936 r
.52811 .56202 m .61204 .65366 L .53445 .67677 L F
.543 .322 .53 r
.60462 .65587 m .58049 .66306 L .74303 .74159 L F
.522 .292 .508 r
.49242 .51705 m .52595 .53668 L .51967 .50804 L F
.976 .68 .386 r
.59042 .24503 m .64809 .37327 L .56919 .21636 L F
.646 .762 .933 r
.45499 .60903 m .52595 .53668 L .49616 .65077 L F
.522 .292 .508 r
.46514 .55643 m .52595 .53668 L p .46522 .5523 L F P
0 g
s
.522 .292 .508 r
.46567 .52935 m .46522 .5523 L .52595 .53668 L F
.644 .764 .936 r
.35445 .53152 m .52811 .56202 L .53445 .67677 L F
.50771 .68474 m .35445 .53152 L p .53445 .67677 L F P
0 g
s
.543 .322 .53 r
.61528 .7767 m .74303 .74159 L p .6127 .67862 L F P
0 g
s
.646 .762 .933 r
.39776 .66738 m .45906 .67734 L .4206 .68895 L F
.522 .292 .508 r
.46536 .526 m .45804 .52842 L .46567 .52935 L F
.646 .762 .933 r
.21502 .63767 m .32761 .6011 L p .39776 .66738 L F P
0 g
s
.957 .688 .483 r
.41602 .83147 m .4206 .68895 L p .43398 .70159 L F P
0 g
s
.646 .762 .933 r
.39776 .66738 m .4206 .68895 L .39769 .69588 L F
.543 .322 .53 r
.4206 .68895 m .41602 .83147 L p .48996 .668 L F P
0 g
s
.649 .759 .929 r
.28795 .53093 m .32949 .57092 L .3188 .57445 L F
.522 .292 .508 r
.2864 .58517 m .28539 .59853 L .34315 .5664 L F
.2179 .60781 m .28539 .59853 L .2864 .58517 L F
.644 .764 .936 r
.35445 .53152 m .5976 .44965 L p .71702 .59521 L F P
0 g
s
.644 .764 .936 r
.5976 .44965 m .70407 .4138 L p .71702 .59521 L F P
0 g
s
.976 .676 .364 r
.88247 .89959 m .76949 .77158 L p .76059 .64831 L F P
0 g
s
.976 .676 .364 r
.79798 .69388 m .88247 .89959 L .76059 .64831 L F
.976 .68 .386 r
.6911 .34038 m .69357 .38431 L p .68653 .3748 L F P
0 g
s
.666 .737 .903 r
.63553 .30594 m .8151 .34266 L .69357 .38431 L F
.68719 .1278 m .82974 .34565 L p .63553 .30594 L F P
0 g
s
.666 .737 .903 r
.63004 .29853 m .68719 .1278 L .63553 .30594 L F
.506 .27 .491 r
.70407 .4138 m .68719 .1278 L .54475 .18336 L p F P
0 g
s
.506 .27 .491 r
.54577 .33699 m .70407 .4138 L .54475 .18336 L F
.976 .68 .386 r
.53884 .13033 m .54445 .13807 L p .54446 .1398 L F P
0 g
s
.644 .764 .936 r
.85802 .61998 m .76059 .64831 L p .71702 .59521 L F P
0 g
s
.976 .676 .364 r
.87052 .7823 m .88247 .89959 L p .81978 .72045 L F P
0 g
s
.506 .271 .491 r
.24946 .2584 m .27795 .29018 L .4176 .19146 L F
.522 .292 .508 r
.21502 .63767 m .28413 .61522 L p .28539 .59853 L F P
0 g
s
.953 .687 .495 r
.24699 .28391 m .24606 .29346 L .23875 .27505 L F
.23875 .27505 m .24605 .29357 L .24296 .32547 L F
.24131 .2495 m .24935 .25949 L .24843 .26899 L F
.652 .756 .926 r
.10255 .54277 m .15668 .52373 L p .19534 .55856 L F P
0 g
s
.953 .687 .495 r
.24131 .2495 m .24946 .2584 L p .24935 .25949 L F P
0 g
s
.669 .733 .898 r
.24946 .2584 m .24131 .2495 L p .26154 .25359 L F P
0 g
s
.646 .762 .933 r
.39742 .796 m .21502 .63767 L p .39776 .66738 L F P
0 g
s
.652 .756 .926 r
.10255 .54277 m .19534 .55856 L .21223 .58395 L F
.16742 .599 m .10255 .54277 L p .21223 .58395 L F P
0 g
s
.63 .776 .951 r
.88247 .89959 m .58028 .97215 L .41602 .83147 L p F P
0 g
s
.973 .664 .312 r
.68719 .1278 m .82974 .34565 L .85802 .61998 L p F P
0 g
s
.504 .267 .489 r
.5401 .40449 m .53884 .13033 L .24131 .2495 L p F P
0 g
s
.504 .267 .489 r
.24131 .2495 m .21442 .51809 L .5401 .40449 L p F P
0 g
s
.63 .776 .951 r
.41602 .83147 m .74303 .74159 L .88247 .89959 L p F P
0 g
s
.973 .664 .312 r
.85802 .61998 m .70407 .4138 L .68719 .1278 L p F P
0 g
s
.25 Mabswid
.67371 0 m
.93587 .42062 L
s
.93587 .42062 m
1 .89317 L
s
1 .89317 m
.70314 .51843 L
s
.70314 .51843 m
.67371 0 L
s
.07799 .24696 m
0 .74176 L
s
0 .74176 m
.70314 .51843 L
s
.70314 .51843 m
.67371 0 L
s
.67371 0 m
.07799 .24696 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[12]:=",
  ImageSize->{200.188, 207.063},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000380000cb000`400?l00000o`00003oQ@3oool2
00000440oooo00230?ooo`80000000<0oooo000000000000@03oool00840oooo0P0000030?ooo`80
0000@03oool007h0oooo0`0000050?ooo`030000003oool0000003l0oooo001l0?ooo`800000203o
ool00`000000oooo0000000o0?ooo`00N@3oool3000000X0oooo00@000000?ooo`3oool00000?P3o
ool007L0oooo0P00000=0?ooo`050000003oool0oooo0?ooo`000000?@3oool007D0oooo0P00000?
0?ooo`050000003oool0oooo0?ooo`000000?@3oool00780oooo0`00000A0?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool0>P3oool00700oooo0P00000E0?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool0>@3oool006h0oooo0P00000G0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool0>@3oool006/0oooo0`00000I0?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool0>03oool006T0oooo0P00000L0?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0>03oool006H0oooo0`00000N0?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0=`3oool006@0oooo0P00000Q0?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0=P3oool00680oooo0P00000S0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0=P3oool005l0oooo0`00000U0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
=@3oool005d0oooo0P00000X0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0=03o
ool005X0oooo0`00000Z0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0=03oool0
05P0oooo0P00000]0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0<`3oool005H0
oooo0P00000_0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0<`3oool005<0oooo
0`00000a0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0<P3oool00540oooo0P00
000d0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0<@3oool004l0oooo0P00000f
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0<@3oool004`0oooo0`00000h0?oo
o`030000003oool0oooo00/0oooo00<000000?ooo`3oool0<03oool004X0oooo0P00000k0?ooo`03
0000003oool0oooo00/0oooo00<000000?ooo`3oool0<03oool004L0oooo0`00000P0?ooo`800000
6`3oool2000000d0oooo00<000000?ooo`3oool0;`3oool004D0oooo0P00000Q0?ooo`80000000<0
PDAm000000000000603oool2000000030855O@000000000000d0oooo00<000000?ooo`3oool0;P3o
ool004<0oooo0P00000P0?ooo`<000000`21A7d2000001D0oooo0`0000030855O@8000003@3oool0
0`000000oooo0?ooo`0^0?ooo`00@03oool300000200oooo0P0000060854O@030000003i[V800000
0180oooo0P0000060855O@030000003iZDl0000000d0oooo00<000000?ooo`3oool0;@3oool003h0
oooo0P00000P0?ooo`<000002021A7d010000000nJiR0?V^HP00000>0?ooo`<000002021AGd01000
0000nJU?0?VYC`00000=0?ooo`030000003oool0oooo02`0oooo000l0?ooo`800000803oool20000
00/0PDAm00<000000?V^HP3i[V800P00000;0?ooo`8000002`21AGd010000000nJU?0?VYC`00000=
0?ooo`030000003oool0oooo02`0oooo000i0?ooo`<00000803oool2000000d0PDAm00D000000?V^
HP3i[V80nJiR000000080?ooo`<000003@21AGd01@000000nJU?0?VYC`3iZDl0000000d0oooo00<0
00000?ooo`3oool0:`3oool003L0oooo0P00000P0?ooo`<000003`21A7d00`000000nJiR0?V^HP02
0?V^HP030000003oool0oooo0080oooo0`00000@0855O@030000003iZDl0nJU?0080nJU?00<00000
0?ooo`3oool02P3oool00`000000oooo0?ooo`0[0?ooo`00=03oool3000001/0oooo0P0000030?oo
o`8000004P21A7d00`000000nJiR0?V^HP020?V^HP80000000<0oooo0000000000004`21AGd20000
00<0nJU?00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0Z0?ooo`00<P3oool2000001`0
oooo00<000000855O@21AGd01000000D0854O@030000003i[V80nJiR0080nJiR0`00000E0855O@80
0000103iZDl00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo02T0oooo000`0?ooo`800000
6`3oool2000000<0PDEm0P00000G0854O@030000003i[V80nJiR008000006021AGd2000000D0nJU?
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0Y0?ooo`00;@3oool3000001/0oooo0P00
00020855O@<000006@21A7d3000001X0PDEm0P0000050?VYC`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool0:03oool002/0oooo0P00000K0?ooo`<000000P21AGd2000001`0PDAm00<00000
0855O@21AGd06P21AGd2000000H0nJU?00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0W
0?ooo`00:03oool3000001/0oooo0P0000020855O@<000007P21A7d00`000000PDEm0855O@0J0855
O@8000001`3iZDl00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo02L0oooo000V0?ooo`80
00006`3oool300000080PDEm0P00000Q0854O@0300000021AGd0PDEm01X0PDEm0P0000070?VYC`03
0000003oool0oooo00/0oooo00<000000?ooo`3oool09P3oool002@0oooo0P00000J0?ooo`<00000
0P21AGd3000002<0PDAm00<000000855O@21AGd06P21AGd2000000P0nJU?00<000000?ooo`3oool0
2P3oool00`000000oooo0?ooo`0V0?ooo`008@3oool3000001X0oooo0P0000030855O@8000009P21
A7d00`000000PDEm0855O@0J0855O@8000002@3iZDl00`000000oooo0?ooo`0:0?ooo`030000003o
ool0oooo02D0oooo000O0?ooo`8000006P3oool300000080PDEm0`00000X0854O@0300000021AGd0
PDEm01X0PDEm0P0000090?VYC`030000003oool0oooo00/0oooo00<000000?ooo`3oool0903oool0
01d0oooo0P00000J0?ooo`8000000`21AGd2000002/0PDAm00<000000855O@21AGd06`21AGd00`00
0000nJU?0?VYC`080?VYC`030000003oool0oooo00X0oooo00<000000?ooo`3oool0903oool001X0
oooo0`00000I0?ooo`<000000`21AGd2000002d0PDAm00<000000855O@21AGd06`21AGd00`000000
nJU?0?VYC`090?VYC`030000003oool0oooo00X0oooo00<000000?ooo`3oool08`3oool001P0oooo
0P00000J0?ooo`8000000`21AGd3000002l0PDAm00<000000855O@21AGd06`21AGd00`000000nJU?
0?VYC`090?VYC`030000003oool0oooo00X0oooo00<000000?ooo`3oool08`3oool001D0oooo0`00
000I0?ooo`<000000`21AGd200000380PDAm00<000000855O@21AGd06`21AGd00`000000nJU?0?VY
C`0:0?VYC`030000003oool0oooo00X0oooo00<000000?ooo`3oool08P3oool001<0oooo0P00000J
0?ooo`8000000`21AGd3000003@0PDAm00<000000855O@21AGd06`21AGd2000000`0nJU?00<00000
0?ooo`3oool02P3oool00`000000oooo0?ooo`0Q0?ooo`004@3oool2000001X0oooo0P0000030855
O@800000=`21A7d00`000000PDEm0855O@0K0855O@8000003@3iZDl00`000000oooo0?ooo`090?oo
o`030000003oool0oooo0240oooo000?0?ooo`8000006@3oool3000000<0PDEm0P00000i0854O@03
00000021AGd0PDEm01/0PDEm0P00000=0?VYC`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool0803oool000l0oooo0P00000G0?ooo`8000001P21AGd00`000000PDAm0854O@0h0854O@030000
0021AGd0PDEm01/0PDEm0P00000>0?VYC`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
7`3oool000l0oooo00<000000?ooo`000000503oool2000000P0PDEm00<000000854O@21A7d0>021
A7d00`000000PDEm0855O@0K0855O@8000003`3iZDl00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo01l0oooo000?0?ooo`040000003oool0oooo00000140oooo0P0000090855O@800000>P21
A7d00`000000PDEm0855O@0K0855O@8000003`3iZDl00`000000oooo0?ooo`0:0?ooo`030000003o
ool0oooo01h0oooo000>0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3oool3
000000/0PDEm0P00000j0854O@0300000021AGd0PDEm01/0PDEm0P00000@0?VYC`030000003oool0
oooo00T0oooo00<000000?ooo`3oool07P3oool000h0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`080?ooo`8000003P21AGd00`000000PDAm0854O@0i0854O@0300000021AGd0PDEm
01/0PDEm0P00000A0?VYC`030000003oool0oooo00T0oooo00<000000?ooo`3oool07@3oool000h0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`8000004021AGd00`000000
PDAm0854O@0i0854O@0300000021AGd0PDEm01/0PDEm0P00000A0?VYC`030000003oool0oooo00X0
oooo00<000000?ooo`3oool0703oool000h0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`020?ooo`8000004P21AGd00`000000PDAm0854O@0i0854O@0300000021AGd0PDEm01/0PDEm
0P00000B0?VYC`030000003oool0oooo00T0oooo00<000000?ooo`3oool0703oool000h0oooo00<0
00000?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0000001<0PDEm00<000000854O@21A7d0
>@21A7d00`000000PDEm0855O@0K0855O@8000004`3iZDl00`000000oooo0?ooo`090?ooo`030000
003oool0oooo01/0oooo000>0?ooo`030000003oool0oooo00L0oooo00@000000?ooo`3oool00000
4`21AGd00`000000PDAm0854O@0i0854O@0300000021AGd0PDEm01/0PDEm0P00000C0?VYC`030000
003oool0oooo00X0oooo00<000000?ooo`3oool06P3oool000d0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0000000C0855O@0300000021A7d0PDAm03T0PDAm00<000000855O@21AGd06`21
AGd2000001@0nJU?00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0J0?ooo`003@3oool0
0`000000oooo0?ooo`0:0?ooo`0300000021AGd0PDEm0140PDEm0P00000k0854O@0300000021AGd0
PDEm01`0PDEm00<000000?VYC`3iZDl04`3iZDl00`000000oooo0?ooo`090?ooo`030000003oool0
oooo01T0oooo000=0?ooo`030000003oool0oooo00X0oooo00<000000855O@21AGd04@21AGd20000
03/0PDAm00<000000855O@21AGd07021AGd2000001@0nJU?00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`0I0?ooo`003@3oool00`000000oooo0?ooo`0:0?ooo`0300000021AGd0PDEm0140
PDEm0P00000k0854O@0300000021AGd0PDEm01`0PDEm0P00000E0?VYC`030000003oool0oooo00T0
oooo00<000000?ooo`3oool0603oool000d0oooo00<000000?ooo`3oool02P3oool00`000000PDEm
0855O@0A0855O@0300000021A7d0PDAm03X0PDAm00<000000855O@21AGd07021AGd2000001H0nJU?
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0G0?ooo`003@3oool00`000000oooo0?oo
o`0:0?ooo`0300000021AGd0PDEm0140PDEm00<000000854O@21A7d0>P21A7d00`000000PDEm0855
O@0L0855O@8000005P3iZDl00`000000oooo0?ooo`090?ooo`030000003oool0oooo01L0oooo000=
0?ooo`030000003oool0oooo00X0oooo00<000000855O@21AGd04@21AGd00`000000PDAm0854O@0j
0854O@0300000021AGd0PDEm01`0PDEm0P00000G0?VYC`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool05P3oool000`0oooo00<000000?ooo`3oool02`3oool00`000000PDEm0855O@0A0855
O@0300000021A7d0PDAm03X0PDAm00<000000855O@21AGd07021AGd2000001P0nJU?00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`0F0?ooo`00303oool00`000000oooo0?ooo`0;0?ooo`03
00000021AGd0PDEm0140PDEm00<000000854O@21A7d0>P21A7d00`000000PDEm0855O@0L0855O@80
0000603iZDl00`000000oooo0?ooo`090?ooo`030000003oool0oooo01D0oooo000<0?ooo`030000
003oool0oooo00X0oooo00<000000855O@21AGd04P21AGd00`000000PDAm0854O@0j0854O@030000
0021AGd0PDEm01`0PDEm0P00000I0?VYC`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
503oool000`0oooo00<000000?ooo`3oool02P3oool00`000000PDEm0855O@0B0855O@0300000021
A7d0PDAm03X0PDAm00<000000855O@21AGd07021AGd2000001T0nJU?00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`0D0?ooo`00303oool00`000000oooo0?ooo`0:0?ooo`0300000021AGd0
PDEm0180PDEm00<000000854O@21A7d0>P21A7d00`000000PDEm0855O@0L0855O@8000006@3iZDl0
0`000000oooo0?ooo`0:0?ooo`030000003oool0oooo01<0oooo000<0?ooo`030000003oool0oooo
00X0oooo00<000000855O@21AGd04@21AGd2000003`0PDAm00<000000855O@21AGd07021AGd20000
01T0nJU?00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0B0?ooo`002`3oool00`000000
oooo0?ooo`0;0?ooo`0300000021AGd0PDEm0140PDEm00<000000854O@21A7d0>`21A7d00`000000
PDEm0855O@0L0855O@8000006@3iZDl00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0180
oooo000;0?ooo`030000003oool0oooo00/0oooo00<000000855O@21AGd04@21AGd00`000000PDAm
0854O@0k0854O@0300000021AGd0PDEm01`0PDEm0P00000I0?VYC`030000003oool0oooo00`0oooo
00<000000?ooo`3oool04@3oool000/0oooo00<000000?ooo`3oool02`3oool00`000000PDEm0855
O@0A0855O@0300000021A7d0PDAm03/0PDAm00<000000855O@21AGd07021AGd2000001X0nJU?00<0
00000?ooo`3oool02`3oool00`000000oooo0?ooo`0A0?ooo`002`3oool00`000000oooo0?ooo`0:
0?ooo`0300000021AGd0PDEm0180PDEm00<000000854O@21A7d0>`21A7d00`000000PDEm0855O@0L
0855O@0300000021AGd0000001T0nJU?00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0@
0?ooo`002`3oool00`000000oooo0?ooo`0:0?ooo`0300000021AGd0PDEm0180PDEm00<000000854
O@21A7d0>`21A7d00`000000PDEm0855O@0=0855O@030?V^HP21AGd0PDEm00`0PDEm00<000000855
O@0000006@3iZDl00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00l0oooo000;0?ooo`03
0000003oool0oooo00X0oooo00<000000855O@21AGd04P21AGd00`000000PDAm0854O@0k0854O@03
00000021AGd0PDEm00X0PDEm00<0nJiR0855O@21AGd03`21AGd00`000000PDEm0000000I0?VYC`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool03`3oool000/0oooo00<000000?ooo`3oool0
2P3oool00`000000PDEm0855O@0B0855O@0300000021A7d0PDAm03/0PDAm00<000000855O@21AGd0
1`21AGd00`3i[V80PDEm0855O@0C0855O@8000006@3iZDl00`000000oooo0?ooo`0>0?ooo`030000
003oool0oooo00h0oooo000:0?ooo`030000003oool0oooo00/0oooo00<000000855O@21AGd04P21
AGd00`000000PDAm0854O@0k0854O@0300000021AGd0PDEm00@0PDEm00<0nJiR0855O@21AGd05P21
AGd2000001T0nJU?00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0=0?ooo`002P3oool0
0`000000oooo0?ooo`0;0?ooo`0300000021AGd0PDEm0180PDEm00<000000854O@21A7d0>P21A7d2
000000<0PDEm0P3i[V8J0855O@8000006@3iZDl00`000000oooo0?ooo`0?0?ooo`030000003oool0
oooo00d0oooo000:0?ooo`030000003oool0oooo00/0oooo00<000000855O@21AGd04@21AGd00`00
0000PDAm0854O@0h0854O@<000000P2V`^d00`000000nJiR0855O@040855O@030?V^HP21AGd0PDEm
01D0PDEm0P00000I0?VYC`030000003oool0oooo0100oooo00<000000?ooo`3oool0303oool000X0
oooo00<000000?ooo`3oool02P3oool00`000000PDEm0855O@0B0855O@0300000021A7d0PDAm03D0
PDAm0`0000040:K2k@H0PDEm00<0nJiR0855O@21AGd05`21AGd2000001T0nJU?00<000000?ooo`3o
ool0403oool00`000000oooo0?ooo`0<0?ooo`002P3oool00`000000oooo0?ooo`0:0?ooo`030000
0021AGd0PDEm0180PDEm00<000000854O@21A7d0<`21A7d2000000@0Y/;]8021AGd4000000030:C3
k`000000nJU?01L0nJU?00<000000?ooo`3oool0403oool2000000d0oooo000:0?ooo`030000003o
ool0oooo00X0oooo00<000000855O@21AGd04P21AGd00`000000PDAm0854O@0`0854O@<00000102V
`^dO0855O@<000000`2T`nl00`000000Y<?_0000000H0?VYC`030000003oool0oooo00d0oooo0`00
00000`3oool000000?ooo`0<0?ooo`002@3oool00`000000oooo0?ooo`0;0?ooo`0300000021AGd0
PDEm0180PDEm00<000000854O@21A7d0;@21A7d3000000@0Y/;]7P21AGd4000000H0Y<?_00@00000
0:C3k`2T`nl00000603iZDl00`000000oooo0?ooo`090?ooo`<00000103oool00`000000oooo0?oo
o`0;0?ooo`002@3oool00`000000oooo0?ooo`0;0?ooo`0300000021AGd0PDEm0180PDEm00<00000
0854O@21A7d0:P21A7d3000000@0Y/;]2P21AGd00`2V`^d0PDEm0855O@0A0855O@@000002@2T`nl0
1@000000Y<?_0:C3k`2T`nl0000001L0nJU?00<000000?ooo`3oool01P3oool3000000L0oooo00<0
00000?ooo`3oool02`3oool000T0oooo00<000000?ooo`3oool02`3oool00`000000PDEm0855O@0B
0855O@0300000021A7d0PDAm02L0PDAm0`0000040:K2k@/0PDEm00<0Y/;]0855O@21AGd04021AGd4
000000`0Y<?_00<000000:C3k`2T`nl00P2T`nl00`000000nJU?0?VYC`0D0?VYC`030000003oool0
oooo0080oooo1000000;0?ooo`030000003oool0oooo00X0oooo00090?ooo`030000003oool0oooo
00/0oooo00<000000855O@21AGd04P21AGd00`000000PDAm0854O@0T0854O@<000001@2V`^d;0855
O@030:K2k@21AGd0PDEm00l0PDEm1000000?0:C3k`030000002T`nl0Y<?_0080Y<?_00<000000?VY
C`3iZDl0503iZDl00`000000oooo00000002000000l0oooo00<000000?ooo`3oool02P3oool000T0
oooo00<000000?ooo`3oool02`3oool00`000000PDEm0855O@0B0855O@0300000021A7d0PDAm0280
PDAm0P0000050:K2k@`0PDEm00<0Y/;]0855O@21AGd03P21AGd400000180Y<?_00<000000:C3k`2T
`nl00`2T`nl00`000000nJU?0?VYC`0C0?VYC`8000004P3oool00`000000oooo0?ooo`0:0?ooo`00
2@3oool00`000000oooo0?ooo`0:0?ooo`0300000021AGd0PDEm0180PDEm00<000000854O@21A7d0
8021A7d3000000@0Y/;]3@21AGd00`2V`^d0PDEm0855O@0<0855O@D000005@2T`nl00`000000Y<?_
0:C3k`040:C3k`030000003iZDl0nJU?0180nJU?00<000000?ooo`3oool04@3oool00`000000oooo
0?ooo`0:0?ooo`002@3oool00`000000oooo0?ooo`0:0?ooo`0300000021AGd0PDEm0180PDEm00<0
00000854O@21A7d07@21A7d3000000@0Y/;]7021AGd5000001P0Y<?_00<000000:C3k`2T`nl01@2T
`nl00`000000nJU?0?VYC`0A0?VYC`030000003oool0oooo0140oooo00<000000?ooo`3oool02P3o
ool000P0oooo00<000000?ooo`3oool02`3oool00`000000PDEm0855O@0B0855O@0300000021A7d0
PDAm01X0PDAm0`0000050:K2kA/0PDEm1@00000K0:C3k`030000002T`nl0Y<?_00D0Y<?_00<00000
0?VYC`3iZDl04@3iZDl00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00X0oooo00080?oo
o`030000003oool0oooo00/0oooo00<000000855O@21AGd04P21AGd00`000000PDAm0854O@0G0854
O@<000001@2V`^dK0855O@D000007P2T`nl00`000000Y<?_0:C3k`060:C3k`030000003iZDl0nJU?
0100nJU?00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0:0?ooo`00203oool00`000000
oooo0?ooo`0;0?ooo`0300000021AGd0PDEm0180PDEm00<000000854O@21A7d05@21A7d2000000D0
Y/;]6`21AGd500000240Y<?_00<000000:C3k`2T`nl01`2T`nl00`000000nJU?0?VYC`0?0?VYC`03
0000003oool0oooo0180oooo00<000000?ooo`3oool02@3oool000P0oooo00<000000?ooo`3oool0
2`3oool00`000000PDEm0855O@0B0855O@0300000021A7d0PDAm0180PDAm0`0000040:K2k@030000
0021AGd0PDEm01P0PDEm1@00000U0:C3k`030000002T`nl0Y<?_00L0Y<?_00<000000?VYC`3iZDl0
3P3iZDl00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00T0oooo00080?ooo`030000003o
ool0oooo00/0oooo00<000000855O@21AGd04P21AGd00`000000PDAm0854O@0?0854O@<000001`2V
`^d00`000000PDEm0855O@0=0855O@030:K2k@21AGd0PDEm00D0PDEm1@00000X0:C3k`030000002T
`nl0Y<?_00L0Y<?_00<000000?VYC`3iZDl03`3iZDl00`000000oooo0?ooo`0A0?ooo`030000003o
ool0oooo00T0oooo00080?ooo`030000003oool0oooo00X0oooo00<000000855O@21AGd04`21AGd0
0`000000PDAm0854O@0<0854O@<000002P2V`^d00`000000PDEm0855O@0;0855O@030:K2k@21AGd0
PDEm00@0PDEm1@00000[0:C3k`030000002T`nl0Y<?_00P0Y<?_00<000000?VYC`3iZDl03P3iZDl0
0`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00T0oooo00070?ooo`030000003oool0oooo
00/0oooo00<000000855O@21AGd04`21AGd00`000000PDAm0854O@090854O@<00000302V`^d20000
0180PDEm0`00000_0:C3k`030000002T`nl0Y<?_00T0Y<?_00<000000?VYC`3iZDl03@3iZDl00`00
0000oooo0?ooo`0A0?ooo`030000003oool0oooo00T0oooo00070?ooo`030000003oool0oooo00/0
oooo00<000000855O@21AGd04P21AGd00`000000PDAm0854O@070854O@<000003`2V`^d2000000l0
PDEm0`00000b0:C3k`030000002T`nl0Y<?_00T0Y<?_00<000000?VYC`3iZDl03@3iZDl00`000000
oooo0?ooo`0A0?ooo`030000003oool0oooo00T0oooo00070?ooo`030000003oool0oooo00/0oooo
00<000000855O@21AGd04@21AGd2000000L0PDAm0P00000B0:K2k@0300000021AGd0PDEm00/0PDEm
0`00000e0:C3k`030000002T`nl0Y<?_00X0Y<?_00<000000?VYC`3iZDl0303iZDl00`000000oooo
0?ooo`0A0?ooo`030000003oool0oooo00T0oooo00070?ooo`030000003oool0oooo00/0oooo00<0
00000855O@21AGd03P21AGd3000000030:K1k@000000PDAm00<0PDAm0`00000D0:K2k@0300000021
AGd0PDEm00P0PDEm0`00000h0:C3k`030000002T`nl0Y<?_00/0Y<?_00<000000?VYC`3iZDl02`3i
ZDl00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00T0oooo00070?ooo`030000003oool0
oooo00/0oooo00<000000855O@21AGd03021AGd2000000@0Y/7]00<000000854O@0000000P00000G
0:K2k@0300000021AGd0PDEm00D0PDEm0`00000k0:C3k`030000002T`nl0Y<?_00`0Y<?_00<00000
0?VYC`3iZDl02P3iZDl00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00P0oooo00070?oo
o`030000003oool0oooo00/0oooo00<000000855O@21AGd02@21AGd3000000H0Y/7]0P00000J0:K2
k@0300000021AGd0PDEm0080PDEm0`00000m0:C3k`8000003P2T`nl00`000000nJU?0?VYC`0:0?VY
C`030000003oool0oooo0180oooo00<000000?ooo`3oool0203oool000L0oooo00<000000?ooo`3o
ool02`3oool00`000000PDEm0855O@060855O@<000002P2V`Nd00`000000Y/;]0:K2k@040:K2k@80
Y/7]4P2V`^d00`000000PDEm00000002000003d0Y<?_0`0000020:C3k`030000002T`nl0Y<?_00`0
Y<?_00<000000?VYC`3iZDl02@3iZDl00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00P0
oooo00060?ooo`030000003oool0oooo00/0oooo00<000000855O@21AGd01021AGd3000000h0Y/7]
00<000000:K2k@2V`^d05`2V`^d2000003d0Y<?_0`0000060:C3k`030000002T`nl0Y<?_00`0Y<?_
00<000000?VYC`3iZDl0203iZDl00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00P0oooo
00060?ooo`030000003oool0oooo00/0oooo00<000000855O@21AGd00P21AGd200000180Y/7]0P00
000H0:K2k@030000002T`nl0Y<?_03L0Y<?_100000090:C3k`030000002T`nl0Y<?_00d0Y<?_00<0
00000?VYC`3iZDl01`3iZDl00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00P0oooo0006
0?ooo`030000003oool0oooo00/0oooo00<000000855O@0000000P00000F0:K1k@030000002V`^d0
Y/;]01H0Y/;]00<000000:C3k`2T`nl0<`2T`nl3000000h0Y<?_00<000000:C3k`2T`nl0302T`nl0
0`000000nJU?0?VYC`080?VYC`030000003oool0oooo0140oooo00<000000?ooo`3oool0203oool0
00H0oooo00<000000?ooo`3oool02`3oool2000001X0Y/7]00<000000:K2k@2V`^d05P2V`^d00`00
0000Y<?_0:C3k`0_0:C3k`<000004P2T`nl00`000000Y<?_0:C3k`0<0:C3k`030000003iZDl0nJU?
00L0nJU?00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`080?ooo`001P3oool00`000000
oooo0?ooo`0<0?ooo`030000002V`Nd0Y/7]01T0Y/7]00<000000:K2k@2V`^d05P2V`^d00`000000
Y<?_0:C3k`0[0:C3k`<000005P2T`nl00`000000Y<?_0:C3k`0<0:C3k`030000003iZDl0nJU?00H0
nJU?00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`070?ooo`001P3oool00`000000oooo
0?ooo`0=0?ooo`030000002V`Nd0Y/7]01T0Y/7]00<000000:K2k@2V`^d05P2V`^d00`000000Y<?_
0:C3k`0W0:C3k`<000006P2T`nl00`000000Y<?_0:C3k`0;0:C3k`030000003iZDl0nJU?00H0nJU?
00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`070?ooo`001P3oool00`000000oooo0?oo
o`0>0?ooo`8000006P2V`Nd00`000000Y/;]0:K2k@0B0:K2k@@0QDZ200<000000:C3k`2T`nl08P2T
`nl4000001d0Y<?_00<000000:C3k`2T`nl0302T`nl00`000000nJU?0?VYC`050?VYC`030000003o
ool0oooo0180oooo00<000000?ooo`3oool01`3oool000D0oooo00<000000?ooo`3oool04@3oool0
0`000000Y/7]0:K1k@0H0:K1k@030000002V`^d0Y/;]00h0Y/;]2025BX800`000000Y<?_0:C3k`0N
0:C3k`<000008P2T`nl00`000000Y<?_0:C3k`0<0:C3k`030000003iZDl0nJU?00@0nJU?00<00000
0?ooo`3oool04P3oool00`000000oooo0?ooo`070?ooo`001@3oool00`000000oooo0?ooo`0B0?oo
o`030000002V`Nd0Y/7]01D0Y/7]0`25BX82000000/0Y/;]3025BX800`000000Y<?_0:C3k`0J0:C3
k`<000009P2T`nl00`000000Y<?_0:C3k`0<0:C3k`030000003iZDl0nJU?00<0nJU?00<000000?oo
o`3oool04P3oool00`000000oooo0?ooo`070?ooo`001@3oool00`000000oooo0?ooo`0C0?ooo`03
0000002V`Nd0Y/7]0140Y/7]2025BX800`000000Y/;]0:K2k@050:K2kA00QDZ200<000000:C3k`2T
`nl05P2T`nl3000002X0Y<?_00<000000:C3k`2T`nl02`2T`nl00`000000nJU?0?VYC`030?VYC`03
0000003oool0oooo0180oooo00<000000?ooo`3oool01`3oool000D0oooo00<000000?ooo`3oool0
503oool00`000000Y/7]0:K1k@0<0:K1k@d0QDZ200@000000:K2k@2V`^d0Y/;]4025BX8300000003
0:G3kP000000Y<?_01<0Y<?_0`00000^0:C3k`030000002T`nl0Y<?_00/0Y<?_00<000000?VYC`3i
ZDl00P3iZDl00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00L0oooo00050?ooo`030000
003oool0oooo01D0oooo0P00000<0:K1k@0300000025BX80QDZ201/0QDZ20`0000050:G3kP030000
002T`nl0Y<?_00h0Y<?_0`00000a0:C3k`030000002T`nl0Y<?_00`0Y<?_00D000000?VYC`3iZDl0
nJU?0000000E0?ooo`030000003oool0oooo00H0oooo00050?ooo`030000003oool0oooo01L0oooo
00<000000:K1k@2V`Nd02@2V`Nd00`000000QDZ208E:PP0H08E:PP<000002@2U`nh00`000000Y<?_
0:C3k`090:C3k`@00000=@2T`nl00`000000Y<?_0:C3k`0<0:C3k`040000003iZDl0nJU?000001D0
oooo00<000000?ooo`3oool01P3oool000@0oooo00<000000?ooo`3oool06@3oool00`000000Y/7]
0:K1k@080:K1k@0300000025BX80QDZ201D0QDZ20`00000=0:G3kP030000002T`nl0Y<?_00D0Y<?_
0`00000j0:C3k`030000002T`nl0Y<?_00/0Y<?_00D000000?VYC`3iZDl0nJU?0000000D0?ooo`03
0000003oool0oooo00H0oooo00040?ooo`030000003oool0oooo01X0oooo00<000000:K1k@2V`Nd0
1`2V`Nd00`000000QDZ208E:PP0B08E:PP<000004@2U`nh010000000Y<?_0:C3k`2T`nl3000003h0
Y<?_00<000000:C3k`2T`nl02`2T`nl010000000nJU?0?VYC`00000D0?ooo`030000003oool0oooo
00H0oooo00040?ooo`030000003oool0oooo01/0oooo00<000000:K1k@2V`Nd01P2V`Nd00`000000
QDZ208E:PP0?08E:PP<000005@2U`nh300000480Y<?_00<000000:C3k`2T`nl02`2T`nl00`000000
nJU?0000000D0?ooo`030000003oool0oooo00H0oooo00040?ooo`030000003oool0oooo01`0oooo
00<000000:K1k@2V`Nd0102V`Nd2000000d0QDZ21000000E0:G3kP<0000000<0YL?^0000002T`nl0
@P2T`nl00`000000Y<?_0:C3k`020:C3k`0308aDR@2T`nl0Y<?_00L0Y<?_0P00000D0?ooo`030000
003oool0oooo00H0oooo00040?ooo`030000003oool0oooo01d0oooo0P0000040:K1k@8000002`25
BX82000001D0YL?^100000050:G3kP030000002T`nl0Y<?_0440Y<?_00<000000:C3k`2T`nl02`2T
`nl2000001@0oooo00<000000?ooo`3oool01P3oool000@0oooo00<000000?ooo`3oool07`3oool0
10000000Y/7]0:K1k@2V`Nd2000000L0QDZ21000000D0:G3kP<000002P2U`nh00`000000Y<?_0:C3
k`0d0:C3k`<0Re:700<000000:C3k`2T`nl01`2T`nl00`000000Y<?_0:C3k`0:0:C3k`8000005@3o
ool00`000000oooo0?ooo`050?ooo`00103oool00`000000oooo0?ooo`0P0?ooo`040000002V`Nd0
Y/7]000000D0QDZ20`00000E0:G3kP<000003P2U`nh00`000000Y<?_0:C3k`0`0:C3k`H0Re:700<0
00000:C3k`2T`nl0202T`nl00`000000Y<?_0:C3k`060:C3k`<0000000<0nJeM0000003oool0503o
ool00`000000oooo0?ooo`050?ooo`000`3oool00`000000oooo0?ooo`0R0?ooo`040000002V`Nd0
000008E:PP@000005@2U`nh300000180YL?^00<000000:C3k`2T`nl0;02T`nl908]BQ`8000002P2T
`nl00`000000Y<?_0:C3k`020:C3k`<00000103i[Ed00`000000oooo0?ooo`0C0?ooo`030000003o
ool0oooo00D0oooo00030?ooo`030000003oool0oooo02<0oooo0`00000F0:G3kP<000005P2U`nh0
0`000000Y<?_0:C3k`0X0:C3k``0Re:70P0000000`3i[Ed0Y<?_0:C3k`070:C3k`D000001`3i[Ed0
0`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00D0oooo00030?ooo`030000003oool0oooo
02@0oooo0P00000C0:G3kP<000006P2U`nh00`000000Y<?_0:C3k`0T0:C3k`l0Re:70P0000020?V]
G@H0Y<?_1000000:0?V]G@030000003oool0oooo01<0oooo00<000000?ooo`3oool01@3oool000<0
oooo00<000000?ooo`3oool09P3oool00`000000YL?^0:G3kP0<0:G3kP@000007P2U`nh00`000000
Y<?_0:C3k`0P0:C3ka80Re:70P0000030?V]G@80Y<?_0`0000040?V]G@030000003i[Ed0nJeM00L0
nJeM00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`050?ooo`000`3oool00`000000oooo
0?ooo`0W0?ooo`8000002@2U`nh3000002<0YL?^00<000000:C3k`2T`nl06`2T`nlG08]BQ`040000
003i[Ed0nJeM0?V]G@800000203i[Ed00`000000nJeM0?V]G@070?V]G@030000003oool0oooo0180
oooo00<000000?ooo`3oool01@3oool000<0oooo00<000000?ooo`3oool0:03oool2000000D0YL?^
0`00000W0:G3kP030000002T`nl0Y<?_01L0Y<?_6P2;DXL00`000000nJeM0?V]G@0<0?V]G@030000
003i[Ed0nJeM00H0nJeM00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`050?ooo`000P3o
ool00`000000oooo0?ooo`0Z0?ooo`80000000@0YL?^0000000000000000:`2U`nh00`000000Y<?_
0:C3k`0C0:C3kad0Re:700<000000?V]G@3i[Ed0303i[Ed00`000000nJeM0?V]G@060?V]G@030000
003oool0oooo01<0oooo00<000000?ooo`3oool0103oool00080oooo00<000000?ooo`3oool0:P3o
ool3000002l0YL?^00<000000:C3k`2T`nl03P2T`nlQ08]BQ`030000003i[Ed0nJeM00d0nJeM00<0
00000?V]G@3i[Ed01@3i[Ed00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00@0oooo0002
0?ooo`030000003oool0oooo02H0oooo100000020?ooo`800000;02U`nh308]BQ`030000002T`nl0
Y<?_00T0Y<?_9@2;DXL00`000000nJeM0?V]G@060?V]G@030?V^H`3i[Ed0nJeM00D0nJeM00<00000
0?V]G@3i[Ed0103i[Ed00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00@0oooo00020?oo
o`030000003oool0oooo02<0oooo0`0000080?ooo`030000002U`nh0YL?^02D0YL?^202;DXL00`00
0000Y<?_0:C3k`040:C3kbT0Re:700<000000?V]G@3i[Ed03`3i[Ed00`000000nJeM0?V]G@030?V]
G@030000003oool0oooo01<0oooo00<000000?ooo`3oool0103oool00080oooo00<000000?ooo`3o
ool0803oool3000000`0oooo00<000000:G3kP2U`nh08P2U`nh;08]BQ`040000002T`nl0Y<?_0:C3
kal0Re:700<0nJm[08]BQ`2;DXL02@2;DXL00`000000nJeM0?V]G@0@0?V]G@030000003i[Ed0nJeM
0080nJeM00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`040?ooo`000P3oool00`000000
oooo0?ooo`0M0?ooo`<00000403oool2000001l0YL?^3`2;DXL00`000000Re:708]BQ`0P08]BQ`03
0000002;DXL0Re:700P0Re:700<000000?V]G@3i[Ed0403i[Ed00`000000nJeM0?V]G@020?V]G@03
0000003oool0oooo01<0oooo00<000000?ooo`3oool0103oool00080oooo00<000000?ooo`3oool0
6P3oool3000001@0oooo0P00000K0:G3kP030000002;DXL0Re:703<0Re:700<0Y/;]08]BQ`2;DXL0
1`2;DXL00`000000nJeM0?V]G@0A0?V]G@050000003i[Ed0nJeM0?V]G@0000005@3oool00`000000
oooo0?ooo`040?ooo`0000<0oooo0000003oool06@3oool3000001P0oooo0P00000J0:G3kP030000
002;DXL0Re:703d0Re:700<000000?V]G@3i[Ed0203i[Ed00`2BGI00nJeM0?V]G@070?V]G@040000
003i[Ed0nJeM000001H0oooo00<000000?ooo`3oool00`3oool000030?ooo`000000oooo01D0oooo
1000000M0?ooo`030000002U`nh0YL?^01L0YL?^00<0000008]BQ`2;DXL0?@2;DXL00`000000nJeM
0?V]G@0C0?V]G@030000003i[Ed0000001H0oooo00<000000?ooo`3oool00`3oool000030?ooo`00
0000oooo0180oooo0`00000R0?ooo`030000002U`nh0YL?^01H0YL?^00<0000008]BQ`2;DXL02P2;
DXL00`2U`nh0Re:708]BQ`0`08]BQ`8000002P3i[Ed00`2BGI00nJeM0?V]G@070?V]G@040000003i
[Ed0nJeM000001D0oooo00<000000?ooo`3oool00`3oool000030?ooo`000000oooo00l0oooo0`00
000V0?ooo`030000002U`nh0YL?^01D0YL?^00<0000008]BQ`2;DXL0?P2;DXL00`000000nJeM0?V]
G@0C0?V]G@030000003i[Ed0000001D0oooo00<000000?ooo`3oool00`3oool000030?ooo`000000
oooo00`0oooo0`00000Z0?ooo`8000005@2U`nh00`000000Re:708]BQ`0908]BQ`030:G3kP2;DXL0
Re:70380Re:700<000000?V]G@3i[Ed0503i[Ed2000001D0oooo00<000000?ooo`3oool00`3oool0
00030?ooo`000000oooo00T0oooo0`00000^0?ooo`800000502U`nh00`000000Re:708]BQ`0n08]B
Q`030000003i[Ed0nJeM01D0nJeM00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`030?oo
o`0000<000000?ooo`3oool01@3oool400000380oooo0P00000C0:G3kP030000002;DXL0Re:703h0
Re:700<000000?V]G@3i[Ed05@3i[Ed2000001@0oooo00<000000?ooo`3oool00`3oool000030000
003oool0oooo0080oooo0`00000g0?ooo`8000004P2U`nh00`000000Re:708]BQ`0n08]BQ`030000
003i[Ed0nJeM00X0nJeM00<0TUf@0?V]G@3i[Ed0203i[Ed2000001D0oooo00<000000?ooo`3oool0
0P3oool000030000003oool0000000800000?03oool00`000000YL?^0:G3kP0?0:G3kP030000002;
DXL0Re:703h0Re:700<000000?V]G@3i[Ed05@3i[Ed00`000000oooo0000000D0?ooo`030000003o
ool0oooo0080oooo000200000400oooo00<000000:G3kP2U`nh03P2U`nh00`000000Re:708]BQ`0m
08]BQ`8000005`3i[Ed010000000oooo0?ooo`00000C0?ooo`030000003oool0oooo0080oooo0000
0`3oool00000000000100?ooo`8000003P2U`nh00`000000Re:708]BQ`0i08]BQ`@000000P2Qa_<0
0`000000nJeM0?V]G@0D0?V]G@050000003oool0oooo0?ooo`0000004P3oool00`000000oooo0?oo
o`020?ooo`000`3oool00`000000oooo0?ooo`0n0?ooo`8000003@2U`nh00`000000Re:708]BQ`05
08]BQ`030?B`N`2;DXL0Re:702d0Re:7100000070:76l`030000003i[Ed0nJeM01<0nJeM00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0080oooo00040?oo
o`030000003oool0oooo03h0oooo0P00000<0:G3kP030000002;DXL0Re:70380Re:70`00000<0:76
l`030000003i[Ed0nJeM00T0nJeM00<0TUf@0?V]G@3i[Ed01`3i[Ed01@000000oooo0?ooo`3oool0
00000140oooo00<000000?ooo`3oool00P3oool000D0oooo0P00000o0?ooo`8000002P2U`nh00`00
0000Re:708]BQ`0_08]BQ`@000003`2Qa_<00`000000nJeM0?V]G@0C0?V]G@030000003oool0oooo
0080oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`020?ooo`001`3oool00`000000
oooo0?ooo`0n0?ooo`030000002U`nh0YL?^00L0YL?^00<0000008]BQ`2;DXL0:`2;DXL4000001@0
XLKc00<000000?V]G@3i[Ed04P3i[Ed00`000000oooo0?ooo`030?ooo`030000003oool0oooo00h0
oooo00<000000?ooo`3oool00@3oool000P0oooo00<000000?ooo`3oool0?P3oool00`000000YL?^
0:G3kP060:G3kP030000002;DXL0Re:702L0Re:71000000I0:76l`030000003i[Ed0nJeM0140nJeM
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo0040oooo
00090?ooo`800000?`3oool00`000000YL?^0:G3kP050:G3kP030000002;DXL0Re:702@0Re:71000
000M0:76l`030000003i[Ed0nJeM0100nJeM00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`0<0?ooo`030000003oool0oooo0040oooo000;0?ooo`030000003oool0oooo03d0oooo0P000005
0:G3kP030000002;DXL0Re:70200Re:71000000R0:76l`030000003i[Ed0nJeM00l0nJeM00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo0040oooo000<0?oo
o`800000?P3oool2000000@0YL?^00<0000008]BQ`2;DXL0702;DXL4000002L0XLKc00<000000?V]
G@3i[Ed03P3i[Ed00`000000oooo0?ooo`060?ooo`030000003oool0oooo00/0oooo00<000000?oo
o`3oool00@3oool000h0oooo00<000000?ooo`3oool0?@3oool00`000000YL?^0:G3kP02000001/0
Re:71000000Z0:76l`030000003i[Ed0nJeM00h0nJeM00<000000?ooo`3oool01`3oool00`000000
oooo0?ooo`0:0?ooo`030000003oool0oooo0040oooo000?0?ooo`030000003oool0oooo03d0oooo
1000000G08]BQ`@00000;`2Qa_<00`000000nJeM0?V]G@0=0?V]G@030000003oool0oooo00P0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`010?ooo`00403oool200000400oooo00<0
000008]BQ`2;DXL04@2;DXL4000003@0XLKc00<000000?V]G@3i[Ed0303i[Ed00`000000oooo0?oo
o`090?ooo`030000003oool0oooo00T0oooo0@0000010?ooo`40oooo000B0?ooo`030000003oool0
oooo03d0oooo00<0000008]BQ`2;DXL03P2;DXL4000003P0XLKc00<000000?V]G@3i[Ed02`3i[Ed0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo00T0oooo0@0000010?ooo`40oooo000C0?oo
o`030000003oool0oooo03/0oooo0P00000<08]BQ`@00000?@2Qa_<00`000000nJeM0?V]G@0:0?V]
G@030000003oool0oooo00X0oooo00<000000?ooo`3oool0203oool100000040oooo0@3oool001@0
oooo0P00000k0?ooo`8000002@2;DXL300000480XLKc00<000000?V]G@3i[Ed0103i[Ed00`2BGI00
nJeM0?V]G@030?V]G@030000003oool0oooo00X0oooo00<000000?ooo`3oool01`3oool100000040
oooo0@3oool001H0oooo00<000000?ooo`3oool0>03oool2000000D0Re:7100000150:76l`030000
003i[Ed0nJeM00X0nJeM00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`060?ooo`400000
0@3oool10?ooo`005`3oool2000003P0oooo0P0000000`2;DXL0000000000002000004X0XLKc00<0
00000?V]G@3i[Ed02@3i[Ed00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00D0oooo0@00
00010?ooo`40oooo000I0?ooo`030000003oool0oooo03D0oooo0`00001?0:76l`030000003i[Ed0
nJeM00P0nJeM00<000000?ooo`3oool0303oool00`000000oooo0?ooo`050?ooo`4000000@3oool1
0?ooo`006P3oool00`000000oooo0?ooo`0d0?ooo`030000003oool000000500XLKc00<000000?V]
G@3i[Ed01`3i[Ed00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00@0oooo0@0000010?oo
o`40oooo000K0?ooo`800000=03oool010000000oooo0?ooo`00001@0:76l`030000003i[Ed0nJeM
00H0nJeM00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`040?ooo`4000000@3oool001d0
oooo00<000000?ooo`3oool0<@3oool010000000oooo0?ooo`3oool2000004l0XLKc00<000000?V]
G@3i[Ed01@3i[Ed00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00<0oooo0@0000010?oo
o`007P3oool200000340oooo00<000000?ooo`3oool00P3oool2000004l0XLKc00<000000?V]G@3i
[Ed0103i[Ed00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0080oooo0@0000010?ooo`00
803oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo00@0oooo00<000000:76l`2Qa_<0
C02Qa_<00`000000nJeM0?V]G@040?V]G@030000003oool0oooo0100oooo00<000000?ooo`3oool0
0P3oool100000040oooo000Q0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool01@3o
ool00`000000XLKc0:76l`1<0:76l`030000003i[Ed0nJeM00<0nJeM00<000000?ooo`3oool04@3o
ool01@000000oooo0?ooo`3oool000000040oooo000R0?ooo`800000;@3oool00`000000oooo0?oo
o`060?ooo`030000002Qa_<0XLKc04`0XLKc00<000000?V]G@3i[Ed00P3i[Ed00`000000oooo0?oo
o`0B0?ooo`040000003oool0oooo00000040oooo000T0?ooo`030000003oool0oooo02X0oooo00<0
00000?ooo`3oool01`3oool2000004d0XLKc00D000000?V]G@3i[Ed0nJeM0000000E0?ooo`030000
003oool000000040oooo000U0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0203o
ool2000004d0XLKc00D000000?V]G@3i[Ed0nJeM0000000E0?ooo`4000000@3oool1000000009P3o
ool2000002T0oooo00<000000?ooo`3oool02@3oool2000004d0XLKc00@000000?V]G@3i[Ed00000
5@3oool100000040oooo0@00000002P0oooo00<000000?ooo`3oool09P3oool00`000000oooo0?oo
o`0:0?ooo`800000C02Qa_<010000000nJeM0?V]G@00000F0?ooo`800000000Y0?ooo`8000009P3o
ool00`000000oooo0?ooo`0<0?ooo`030000002Qa_<0XLKc04X0XLKc00<000000?V]G@0000005@3o
ool300000000:`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo00d0oooo00<00000
0:76l`2Qa_<0BP2Qa_<200000140oooo100000030?ooo`00;03oool00`000000oooo0?ooo`0R0?oo
o`030000003oool0oooo00h0oooo0P0000190:76l`<000003@3oool4000000L0oooo000]0?ooo`80
00008P3oool00`000000oooo0?ooo`0?0?ooo`800000A02Qa_<4000000`0oooo1000000;0?ooo`00
;`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo0100oooo0P00000o0:76l`@00000
2`3oool5000000l0oooo000`0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool04@3o
ool2000003X0XLKc1000000;0?ooo`@00000503oool00340oooo0P00000N0?ooo`030000003oool0
oooo01<0oooo00<000000:76l`2Qa_<0<P2Qa_<5000000/0oooo1000000H0?ooo`00<`3oool00`00
0000oooo0?ooo`0K0?ooo`030000003oool0oooo01@0oooo00<000000:76l`2Qa_<0;@2Qa_<40000
00`0oooo1000000L0?ooo`00=03oool2000001/0oooo00<000000?ooo`3oool05@3oool2000002T0
XLKc1000000;0?ooo`D00000803oool003H0oooo00<000000?ooo`3oool0603oool00`000000oooo
0?ooo`0F0?ooo`8000008`2Qa_<5000000/0oooo1000000U0?ooo`00=`3oool00`000000oooo0?oo
o`0G0?ooo`030000003oool0oooo01L0oooo0P00000N0:76l`@00000303oool4000002T0oooo000h
0?ooo`8000005`3oool00`000000oooo0?ooo`0I0?ooo`030000002Qa_<0XLKc01L0XLKc1000000<
0?ooo`@00000;@3oool003X0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0J0?oo
o`030000002Qa_<0XLKc0180XLKc1000000;0?ooo`D00000<@3oool003/0oooo00<000000?ooo`3o
ool04`3oool00`000000oooo0?ooo`0K0?ooo`8000003@2Qa_<5000000/0oooo1000000f0?ooo`00
?03oool200000180oooo00<000000?ooo`3oool07@3oool2000000P0XLKc1000000<0?ooo`@00000
>P3oool003h0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0O0?ooo`040000002Q
a_<0XLKc0:76l`@00000303oool4000003h0oooo000o0?ooo`8000003`3oool00`000000oooo0?oo
o`0P0?ooo`<000002`3oool500000480oooo00110?ooo`030000003oool0oooo00`0oooo00<00000
0?ooo`3oool0:P3oool4000004L0oooo00120?ooo`030000003oool0oooo00/0oooo00<000000?oo
o`3oool09P3oool4000004/0oooo00130?ooo`8000002`3oool00`000000oooo0?ooo`0R0?ooo`@0
0000C`3oool004D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0M0?ooo`D00000
D`3oool004H0oooo0P0000080?ooo`030000003oool0oooo01T0oooo1000001H0?ooo`00B03oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo01D0oooo1000001L0?ooo`00B@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo0140oooo1000001P0?ooo`00BP3oool2000000@0
oooo00<000000?ooo`3oool0303oool5000006@0oooo001<0?ooo`050000003oool0oooo0?ooo`00
00002P3oool4000006T0oooo001=0?ooo`040000003oool0oooo000000H0oooo1000001]0?ooo`00
CP3oool300000080oooo1000001a0?ooo`00D03oool3000007D0oooo0000\
\>"],
  ImageRangeCache->{{{153.125, 276.188}, {256.625, 129.25}} -> {-1.07761, \
0.93557, 0.004489, 0.004489}},
  CellTags->"IPM3.Sol.9.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "First we create the ",
  StyleBox["Point", "MR"],
  " graphics primitives randomly placed in the unit square."
}], "SolutionItem",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    \(\(randomcoords := Point[{Random[], Random[]}];\)\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell["\<\
This creates the point sizes according to the specification given in the \
statement of the problem.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    \(randomsize := PointSize[Random[Real, { .01,  .1}]]\)], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell["This will assign a random color to each primitive.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    \(randomcolor := Hue[Random[]]\)], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell["\<\
Here then are 500 points. (You may find it instructive to look at just one of \
these points.)\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    \(\(pts = 
        Table[{randomcolor, randomsize, randomcoords}, {500}];\)\)], "Input",
  CellLabel->"In[16]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell["And here is the graphic.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Show[Graphics[pts, PlotRange \[Rule] All]]\)], "Input",
  CellLabel->"In[17]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0234056 0.952844 0.0143025 0.589019 [
[ -0.01693 -0.03113 0 0 ]
[ 1.0146 .64812 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
1 0 .478 r
.01653 w
.09664 .09687 Mdot
1 .912 0 r
.06302 w
.591 .05326 Mdot
1 .268 0 r
.04067 w
.18279 .51822 Mdot
1 0 .105 r
.03013 w
.1696 .56817 Mdot
1 0 .749 r
.09435 w
.67951 .13078 Mdot
.665 0 1 r
.03815 w
.74243 .31579 Mdot
1 0 .857 r
.03163 w
.6692 .23323 Mdot
.23 0 1 r
.06861 w
.10161 .19427 Mdot
0 .037 1 r
.03794 w
.89507 .27937 Mdot
.068 0 1 r
.01781 w
.74888 .31452 Mdot
.817 0 1 r
.02345 w
.09278 .19804 Mdot
1 .152 0 r
.0853 w
.3266 .48557 Mdot
.991 1 0 r
.06367 w
.63364 .26665 Mdot
0 1 .779 r
.09506 w
.55544 .08668 Mdot
.816 0 1 r
.06712 w
.63662 .41063 Mdot
1 .749 0 r
.05931 w
.86399 .11041 Mdot
.068 1 0 r
.04586 w
.79461 .51569 Mdot
.22 1 0 r
.06056 w
.49142 .04442 Mdot
1 .77 0 r
.09689 w
.83403 .38109 Mdot
0 .009 1 r
.01183 w
.302 .30872 Mdot
1 0 .825 r
.04471 w
.64163 .50141 Mdot
.426 0 1 r
.0854 w
.75389 .4053 Mdot
0 1 .494 r
.04953 w
.93553 .49293 Mdot
1 .714 0 r
.08897 w
.46751 .46282 Mdot
1 0 .056 r
.09208 w
.60973 .09603 Mdot
.047 1 0 r
.09024 w
.33113 .39063 Mdot
0 1 .778 r
.05553 w
.66575 .49254 Mdot
.351 0 1 r
.07014 w
.88811 .10154 Mdot
.143 1 0 r
.0306 w
.92883 .21193 Mdot
.857 1 0 r
.04164 w
.48473 .35243 Mdot
.802 1 0 r
.04956 w
.85125 .27071 Mdot
1 0 .754 r
.05931 w
.54353 .4834 Mdot
0 1 .468 r
.01378 w
.85402 .59419 Mdot
.116 0 1 r
.04364 w
.94216 .50695 Mdot
0 1 .259 r
.02304 w
.03674 .30932 Mdot
.883 1 0 r
.0814 w
.52825 .56021 Mdot
1 0 .082 r
.04184 w
.65325 .3038 Mdot
1 .673 0 r
.08253 w
.13313 .42372 Mdot
.205 0 1 r
.07875 w
.25535 .43286 Mdot
1 .088 0 r
.04511 w
.28944 .52923 Mdot
0 .171 1 r
.03207 w
.27611 .23421 Mdot
0 1 .712 r
.05066 w
.7241 .27732 Mdot
0 1 .794 r
.01882 w
.09426 .57683 Mdot
0 1 .121 r
.03629 w
.93738 .16741 Mdot
0 .084 1 r
.05754 w
.70543 .33788 Mdot
0 .172 1 r
.02243 w
.4394 .41197 Mdot
1 0 .001 r
.09037 w
.1867 .19207 Mdot
0 .713 1 r
.0497 w
.43884 .51807 Mdot
1 .493 0 r
.04088 w
.36799 .54456 Mdot
.372 0 1 r
.01459 w
.40686 .39145 Mdot
1 .456 0 r
.05705 w
.67768 .06787 Mdot
0 1 .628 r
.04462 w
.26168 .25923 Mdot
.05425 w
.09839 .08146 Mdot
1 0 .659 r
.01455 w
.6358 .16671 Mdot
.848 0 1 r
.07367 w
.29121 .22548 Mdot
1 .476 0 r
.06908 w
.8606 .43735 Mdot
1 .02 0 r
.02203 w
.20633 .38378 Mdot
0 .608 1 r
.07741 w
.92089 .13885 Mdot
1 .764 0 r
.03316 w
.84591 .07169 Mdot
.577 1 0 r
.02861 w
.23351 .5083 Mdot
0 1 .575 r
.05493 w
.91855 .29712 Mdot
0 1 .099 r
.08585 w
.08136 .4631 Mdot
0 1 .079 r
.07382 w
.85128 .09362 Mdot
.686 0 1 r
.09641 w
.90663 .5581 Mdot
0 .078 1 r
.07325 w
.08413 .50071 Mdot
0 1 .5 r
.05465 w
.82686 .59573 Mdot
1 0 .075 r
.09971 w
.88456 .31291 Mdot
0 .173 1 r
.02386 w
.82661 .45314 Mdot
.252 1 0 r
.05003 w
.95158 .37381 Mdot
0 .938 1 r
.05362 w
.06836 .41904 Mdot
1 0 .861 r
.08037 w
.96048 .52165 Mdot
0 1 .639 r
.03573 w
.15702 .52924 Mdot
0 1 .714 r
.03602 w
.24871 .23063 Mdot
.887 0 1 r
.02216 w
.39835 .38082 Mdot
0 .86 1 r
.07212 w
.42301 .02131 Mdot
1 .078 0 r
.0285 w
.37806 .20559 Mdot
1 .939 0 r
.04813 w
.39383 .28726 Mdot
.3 0 1 r
.0224 w
.26021 .36134 Mdot
.414 1 0 r
.08638 w
.03491 .14501 Mdot
0 1 .698 r
.07422 w
.61281 .36751 Mdot
1 0 .441 r
.0121 w
.21321 .36051 Mdot
1 0 .519 r
.0836 w
.8114 .16922 Mdot
.542 0 1 r
.04547 w
.44098 .48528 Mdot
1 .242 0 r
.03307 w
.20417 .13825 Mdot
.656 0 1 r
.04669 w
.19267 .59656 Mdot
.042 1 0 r
.07246 w
.55611 .24335 Mdot
0 1 .399 r
.07036 w
.36631 .48616 Mdot
0 1 .918 r
.08676 w
.53116 .33125 Mdot
.377 0 1 r
.05129 w
.11359 .44928 Mdot
.135 0 1 r
.02822 w
.88566 .32534 Mdot
1 0 .522 r
.08153 w
.71639 .3321 Mdot
0 .48 1 r
.01907 w
.18369 .10305 Mdot
.879 1 0 r
.04871 w
.79363 .22021 Mdot
.202 0 1 r
.06194 w
.28587 .49229 Mdot
1 0 .174 r
.02065 w
.19569 .0573 Mdot
.309 1 0 r
.09243 w
.28628 .33529 Mdot
0 1 .213 r
.02089 w
.54613 .01749 Mdot
.693 0 1 r
.01182 w
.38585 .51776 Mdot
0 .428 1 r
.06311 w
.56847 .31185 Mdot
1 0 .631 r
.01117 w
.30601 .42288 Mdot
1 0 .456 r
.09052 w
.13372 .37988 Mdot
0 .148 1 r
.0981 w
.82369 .0589 Mdot
.361 1 0 r
.08721 w
.30097 .05571 Mdot
0 1 .947 r
.08539 w
.89136 .14128 Mdot
1 0 .625 r
.03227 w
.34629 .43275 Mdot
1 .005 0 r
.0311 w
.06369 .02417 Mdot
1 .462 0 r
.04057 w
.90622 .24761 Mdot
0 1 .609 r
.04248 w
.10593 .20302 Mdot
1 .97 0 r
.05527 w
.78121 .1616 Mdot
.024 0 1 r
.06988 w
.8661 .03463 Mdot
.649 0 1 r
.04761 w
.54321 .2052 Mdot
.644 0 1 r
.02651 w
.50292 .19533 Mdot
.182 0 1 r
.08594 w
.57295 .55104 Mdot
.428 1 0 r
.05346 w
.49043 .36233 Mdot
1 .602 0 r
.09819 w
.68547 .21502 Mdot
0 1 .579 r
.03831 w
.79562 .1947 Mdot
0 .07 1 r
.0907 w
.27581 .59282 Mdot
1 0 .714 r
.07419 w
.74914 .4118 Mdot
.896 1 0 r
.08825 w
.19959 .46408 Mdot
1 0 .468 r
.04479 w
.68541 .11605 Mdot
.93 0 1 r
.0466 w
.97619 .50435 Mdot
0 1 .351 r
.01829 w
.20398 .32395 Mdot
.422 0 1 r
.02759 w
.90441 .33445 Mdot
1 0 .864 r
.05341 w
.17868 .52598 Mdot
.031 0 1 r
.06516 w
.95534 .0762 Mdot
.5 0 1 r
.03037 w
.29334 .56347 Mdot
1 0 .43 r
.08377 w
.2934 .07342 Mdot
0 .781 1 r
.07548 w
.11282 .35279 Mdot
.797 0 1 r
.05789 w
.18466 .03264 Mdot
1 0 .339 r
.01448 w
.02938 .10998 Mdot
.37 1 0 r
.04932 w
.05029 .04809 Mdot
0 .87 1 r
.02895 w
.7332 .08794 Mdot
0 .439 1 r
.04518 w
.46321 .02882 Mdot
1 .342 0 r
.0697 w
.3738 .27935 Mdot
.455 1 0 r
.02181 w
.21255 .26101 Mdot
.116 1 0 r
.01733 w
.20657 .16533 Mdot
1 .254 0 r
.06801 w
.17968 .13154 Mdot
0 .876 1 r
.04906 w
.42273 .05791 Mdot
1 0 .437 r
.01388 w
.93576 .0434 Mdot
1 0 .779 r
.04418 w
.58537 .36737 Mdot
0 .324 1 r
.03237 w
.39623 .12066 Mdot
.208 1 0 r
.02503 w
.21307 .55865 Mdot
.462 1 0 r
.05702 w
.05679 .44141 Mdot
.414 0 1 r
.01796 w
.61031 .3978 Mdot
.851 0 1 r
.01408 w
.6508 .36871 Mdot
1 0 .369 r
.0699 w
.08883 .01564 Mdot
.045 1 0 r
.04753 w
.66885 .49831 Mdot
1 .163 0 r
.0325 w
.47919 .54297 Mdot
.625 0 1 r
.07548 w
.44581 .11586 Mdot
1 .211 0 r
.06752 w
.81175 .32138 Mdot
.64 1 0 r
.06344 w
.18435 .55599 Mdot
.271 1 0 r
.09354 w
.11893 .55465 Mdot
1 0 .226 r
.056 w
.42632 .07065 Mdot
1 0 .389 r
.0335 w
.92338 .13099 Mdot
1 .986 0 r
.05802 w
.50098 .02943 Mdot
1 .775 0 r
.09051 w
.66548 .31138 Mdot
1 0 .585 r
.03707 w
.50454 .35871 Mdot
0 .314 1 r
.04353 w
.40901 .40738 Mdot
0 .088 1 r
.08753 w
.95894 .35104 Mdot
.3 0 1 r
.06403 w
.05896 .23435 Mdot
0 .685 1 r
.016 w
.53423 .21921 Mdot
0 1 .54 r
.0255 w
.845 .51116 Mdot
0 .875 1 r
.08843 w
.36387 .16675 Mdot
1 0 .561 r
.0549 w
.9311 .3627 Mdot
.472 1 0 r
.06737 w
.94841 .02596 Mdot
0 .773 1 r
.01334 w
.91286 .39494 Mdot
1 0 .088 r
.09734 w
.40203 .19002 Mdot
0 .627 1 r
.08184 w
.53328 .28219 Mdot
1 .248 0 r
.09341 w
.19282 .12973 Mdot
1 .809 0 r
.04852 w
.23797 .37036 Mdot
1 0 .719 r
.08115 w
.2658 .3587 Mdot
0 1 .054 r
.07781 w
.3292 .56709 Mdot
0 1 .141 r
.08047 w
.90342 .39137 Mdot
.769 0 1 r
.09863 w
.39354 .12348 Mdot
.521 0 1 r
.01522 w
.22413 .59707 Mdot
0 .287 1 r
.0667 w
.96241 .24101 Mdot
.432 0 1 r
.08555 w
.72001 .48563 Mdot
0 1 .378 r
.01774 w
.41421 .52186 Mdot
1 .237 0 r
.03727 w
.48705 .1448 Mdot
.532 1 0 r
.03863 w
.11691 .03562 Mdot
0 1 .947 r
.03341 w
.86903 .04187 Mdot
1 0 .766 r
.06671 w
.88287 .40417 Mdot
1 .802 0 r
.08116 w
.18627 .52186 Mdot
.424 0 1 r
.07342 w
.74831 .60332 Mdot
.188 0 1 r
.04615 w
.28467 .47282 Mdot
0 1 .72 r
.01751 w
.19116 .45151 Mdot
1 0 .227 r
.0841 w
.29838 .42394 Mdot
1 .539 0 r
.02739 w
.39175 .03407 Mdot
1 0 .263 r
.04624 w
.22889 .11553 Mdot
.687 1 0 r
.07282 w
.45683 .11553 Mdot
0 .875 1 r
.03667 w
.19557 .24603 Mdot
1 .405 0 r
.02916 w
.02781 .39785 Mdot
1 .631 0 r
.04506 w
.70568 .57722 Mdot
1 .092 0 r
.02766 w
.33733 .55745 Mdot
1 .355 0 r
.08143 w
.13185 .45623 Mdot
1 0 .958 r
.01861 w
.65128 .35499 Mdot
.082 1 0 r
.08193 w
.47911 .12326 Mdot
.487 1 0 r
.06278 w
.47471 .32874 Mdot
1 .881 0 r
.02772 w
.74528 .35483 Mdot
1 .789 0 r
.01005 w
.43135 .4007 Mdot
1 .434 0 r
.02862 w
.3229 .5478 Mdot
.608 1 0 r
.02002 w
.64788 .20711 Mdot
1 0 .526 r
.03808 w
.19217 .09815 Mdot
0 .039 1 r
.07531 w
.69371 .37273 Mdot
0 .92 1 r
.05759 w
.92468 .0322 Mdot
0 1 .291 r
.05754 w
.51673 .23482 Mdot
.143 1 0 r
.03891 w
.21723 .29034 Mdot
1 .465 0 r
.02889 w
.54561 .09754 Mdot
1 .991 0 r
.09081 w
.37685 .60271 Mdot
0 .971 1 r
.02551 w
.65939 .24428 Mdot
1 0 .051 r
.06792 w
.71096 .22639 Mdot
0 .342 1 r
.02038 w
.21764 .59489 Mdot
.198 1 0 r
.08147 w
.02381 .31885 Mdot
.663 1 0 r
.06258 w
.45445 .23562 Mdot
1 .346 0 r
.07177 w
.10101 .23623 Mdot
0 .683 1 r
.05626 w
.41787 .59527 Mdot
0 .632 1 r
.08834 w
.68315 .38318 Mdot
1 0 .29 r
.07796 w
.48892 .39161 Mdot
0 .092 1 r
.09649 w
.48852 .08706 Mdot
0 1 .571 r
.04391 w
.05747 .45476 Mdot
0 1 .224 r
.07215 w
.93271 .23283 Mdot
.907 0 1 r
.02589 w
.53825 .24089 Mdot
.461 1 0 r
.03754 w
.83135 .46102 Mdot
.171 1 0 r
.05958 w
.36583 .08371 Mdot
0 .078 1 r
.06309 w
.85356 .59997 Mdot
.649 1 0 r
.02918 w
.8195 .15951 Mdot
1 0 .873 r
.05703 w
.86304 .53 Mdot
1 .22 0 r
.04114 w
.34819 .30341 Mdot
.681 0 1 r
.0136 w
.4931 .44571 Mdot
0 1 .852 r
.05402 w
.15067 .37631 Mdot
.93 0 1 r
.09092 w
.27336 .37966 Mdot
0 .421 1 r
.07174 w
.43011 .23445 Mdot
.453 0 1 r
.02471 w
.54332 .30778 Mdot
.232 0 1 r
.08357 w
.21853 .01866 Mdot
1 0 .449 r
.07997 w
.70169 .17627 Mdot
0 1 .699 r
.03595 w
.57442 .40329 Mdot
0 .231 1 r
.04503 w
.32447 .03793 Mdot
1 .189 0 r
.07329 w
.87061 .4068 Mdot
.263 1 0 r
.05857 w
.35069 .11333 Mdot
0 .496 1 r
.07501 w
.15556 .10897 Mdot
0 .047 1 r
.09504 w
.43013 .53602 Mdot
.746 1 0 r
.06908 w
.83196 .14703 Mdot
0 .515 1 r
.03405 w
.53089 .1234 Mdot
0 .704 1 r
.06076 w
.63654 .31992 Mdot
.44 1 0 r
.01219 w
.30925 .2209 Mdot
.056 0 1 r
.03718 w
.17709 .12623 Mdot
1 .102 0 r
.04215 w
.72321 .19354 Mdot
.848 0 1 r
.07307 w
.8675 .06081 Mdot
.637 1 0 r
.04902 w
.36002 .54073 Mdot
.067 0 1 r
.08825 w
.69973 .23511 Mdot
0 1 .507 r
.08606 w
.41389 .02851 Mdot
.451 0 1 r
.05888 w
.2602 .5056 Mdot
.349 0 1 r
.02673 w
.51324 .32636 Mdot
1 0 .499 r
.05366 w
.62198 .27986 Mdot
.138 0 1 r
.01465 w
.28537 .34245 Mdot
1 .071 0 r
.02639 w
.56189 .12164 Mdot
0 .436 1 r
.04033 w
.17141 .10743 Mdot
1 0 .887 r
.08145 w
.88746 .20515 Mdot
1 .764 0 r
.06472 w
.39763 .4821 Mdot
.737 1 0 r
.02106 w
.75189 .21655 Mdot
0 .875 1 r
.01641 w
.48992 .47742 Mdot
0 .946 1 r
.09002 w
.90428 .37009 Mdot
1 0 .51 r
.05969 w
.75627 .27696 Mdot
1 .378 0 r
.07824 w
.84506 .08612 Mdot
1 0 .386 r
.02351 w
.47084 .20733 Mdot
.351 0 1 r
.01245 w
.69519 .59411 Mdot
.774 1 0 r
.09604 w
.22868 .13098 Mdot
.172 0 1 r
.01602 w
.30065 .36422 Mdot
.681 0 1 r
.05633 w
.52063 .10156 Mdot
.303 0 1 r
.0781 w
.65182 .02975 Mdot
.689 0 1 r
.06458 w
.20438 .42574 Mdot
1 .337 0 r
.06213 w
.48544 .43495 Mdot
1 0 .889 r
.06608 w
.28017 .31827 Mdot
1 .94 0 r
.06006 w
.95577 .55737 Mdot
0 1 .258 r
.01373 w
.45855 .47011 Mdot
0 .045 1 r
.03563 w
.78299 .45466 Mdot
1 0 .734 r
.07105 w
.60201 .04323 Mdot
.929 0 1 r
.01893 w
.13997 .2116 Mdot
1 0 .182 r
.05284 w
.83606 .49665 Mdot
.878 0 1 r
.09278 w
.85653 .54259 Mdot
0 1 .62 r
.08905 w
.42139 .08679 Mdot
.664 0 1 r
.06341 w
.61465 .23544 Mdot
1 0 .602 r
.09236 w
.03605 .20652 Mdot
1 .469 0 r
.08343 w
.87233 .59824 Mdot
1 .652 0 r
.04059 w
.05968 .1159 Mdot
.226 1 0 r
.04781 w
.17939 .17662 Mdot
1 0 .846 r
.05876 w
.73425 .10414 Mdot
1 .49 0 r
.09535 w
.14301 .47202 Mdot
.908 1 0 r
.01299 w
.13036 .27981 Mdot
1 .622 0 r
.02956 w
.23428 .28489 Mdot
1 0 .029 r
.08896 w
.19801 .18329 Mdot
.197 0 1 r
.05115 w
.04203 .02097 Mdot
1 0 .958 r
.09239 w
.28402 .52016 Mdot
.552 0 1 r
.09704 w
.16442 .06244 Mdot
0 .539 1 r
.09405 w
.05747 .38595 Mdot
0 1 .838 r
.07449 w
.79943 .11537 Mdot
0 1 .868 r
.08553 w
.62483 .53539 Mdot
.671 0 1 r
.04438 w
.6062 .52872 Mdot
1 0 .371 r
.05199 w
.34558 .02287 Mdot
.924 1 0 r
.05495 w
.20457 .56375 Mdot
0 .384 1 r
.06091 w
.1705 .1921 Mdot
1 .777 0 r
.08641 w
.34732 .09104 Mdot
0 .091 1 r
.01089 w
.69874 .15897 Mdot
1 0 .762 r
.06651 w
.11594 .23357 Mdot
1 0 .391 r
.02452 w
.74661 .225 Mdot
.533 0 1 r
.06956 w
.56545 .26457 Mdot
1 .917 0 r
.01866 w
.41835 .08677 Mdot
1 .14 0 r
.03224 w
.09444 .59905 Mdot
0 1 .23 r
.03136 w
.37195 .45439 Mdot
0 1 .992 r
.06485 w
.27941 .23513 Mdot
0 .617 1 r
.05033 w
.50905 .02443 Mdot
.85 0 1 r
.08077 w
.91985 .36318 Mdot
0 .067 1 r
.07212 w
.5249 .29072 Mdot
0 .207 1 r
.04987 w
.45387 .29498 Mdot
.438 1 0 r
.02852 w
.10532 .44391 Mdot
.57 0 1 r
.06367 w
.80216 .22309 Mdot
.812 1 0 r
.02334 w
.31651 .21296 Mdot
0 1 .338 r
.04257 w
.37291 .4531 Mdot
.405 0 1 r
.07045 w
.82426 .17668 Mdot
1 .613 0 r
.03057 w
.3938 .48502 Mdot
1 0 .95 r
.01206 w
.31188 .05541 Mdot
1 .48 0 r
.04839 w
.48597 .43564 Mdot
1 0 .708 r
.03505 w
.19286 .23698 Mdot
0 1 .954 r
.09249 w
.7962 .38721 Mdot
.549 0 1 r
.03204 w
.94819 .22483 Mdot
0 .063 1 r
.01146 w
.5778 .34313 Mdot
.886 0 1 r
.0994 w
.28932 .30202 Mdot
.406 0 1 r
.06102 w
.77959 .46971 Mdot
1 0 .886 r
.03597 w
.61014 .24703 Mdot
0 1 .159 r
.04348 w
.79018 .46314 Mdot
0 .39 1 r
.02145 w
.81824 .25262 Mdot
1 0 .326 r
.01999 w
.26385 .51281 Mdot
1 .787 0 r
.02058 w
.95079 .22509 Mdot
0 1 .381 r
.05956 w
.1946 .35871 Mdot
0 .733 1 r
.0336 w
.56071 .12598 Mdot
.892 1 0 r
.09011 w
.74678 .26616 Mdot
0 .502 1 r
.07867 w
.90478 .02784 Mdot
0 .176 1 r
.06868 w
.66433 .11835 Mdot
0 .964 1 r
.0581 w
.6898 .49658 Mdot
1 .655 0 r
.09854 w
.5186 .15217 Mdot
0 .612 1 r
.07494 w
.93414 .0405 Mdot
0 1 .28 r
.08483 w
.21077 .37766 Mdot
.783 0 1 r
.01616 w
.28224 .36412 Mdot
1 .959 0 r
.04747 w
.59415 .26007 Mdot
0 .078 1 r
.08937 w
.8806 .36681 Mdot
0 .733 1 r
.09084 w
.38541 .22894 Mdot
1 0 .121 r
.0259 w
.42752 .20275 Mdot
0 .401 1 r
.04107 w
.24015 .42841 Mdot
.816 0 1 r
.03491 w
.93417 .07859 Mdot
0 .142 1 r
.08744 w
.36342 .42184 Mdot
1 0 .065 r
.09807 w
.45907 .06933 Mdot
0 1 .668 r
.01723 w
.09706 .44371 Mdot
0 1 .789 r
.09133 w
.6458 .25527 Mdot
1 0 .809 r
.06026 w
.42905 .43018 Mdot
1 .374 0 r
.03535 w
.47113 .36589 Mdot
0 1 .517 r
.04791 w
.13112 .54736 Mdot
0 1 .582 r
.04985 w
.6483 .49233 Mdot
1 0 .087 r
.04262 w
.57464 .06292 Mdot
0 .876 1 r
.05128 w
.90509 .41098 Mdot
0 .067 1 r
.09102 w
.49945 .58412 Mdot
0 .441 1 r
.06567 w
.05172 .23253 Mdot
.958 1 0 r
.02776 w
.89685 .28849 Mdot
.46 0 1 r
.07791 w
.27196 .39948 Mdot
.547 0 1 r
.04529 w
.67356 .35086 Mdot
.577 1 0 r
.094 w
.74472 .54321 Mdot
0 .51 1 r
.01298 w
.26868 .56241 Mdot
1 0 .069 r
.04731 w
.24036 .34418 Mdot
.889 0 1 r
.02956 w
.31976 .06999 Mdot
1 .429 0 r
.05165 w
.0712 .27383 Mdot
.118 1 0 r
.01636 w
.37389 .52629 Mdot
1 .459 0 r
.02236 w
.60542 .5864 Mdot
0 1 .969 r
.01938 w
.36015 .03829 Mdot
0 .962 1 r
.07206 w
.14319 .29744 Mdot
.149 0 1 r
.0525 w
.79968 .24175 Mdot
0 .279 1 r
.01085 w
.75189 .57124 Mdot
.161 1 0 r
.09449 w
.4014 .05925 Mdot
.62 1 0 r
.08213 w
.77223 .07617 Mdot
.411 0 1 r
.07275 w
.43549 .05218 Mdot
.627 1 0 r
.01069 w
.31571 .35807 Mdot
0 .776 1 r
.05819 w
.49227 .13062 Mdot
1 0 .497 r
.05734 w
.71664 .1627 Mdot
0 .335 1 r
.06285 w
.33864 .11775 Mdot
0 1 .284 r
.08071 w
.54265 .05588 Mdot
0 .127 1 r
.01796 w
.13057 .018 Mdot
0 1 .5 r
.01727 w
.79111 .26325 Mdot
1 0 .724 r
.05908 w
.32224 .14693 Mdot
1 0 .227 r
.01174 w
.58186 .58755 Mdot
0 1 .108 r
.0489 w
.26662 .4841 Mdot
1 0 .176 r
.06818 w
.70022 .44253 Mdot
.05 1 0 r
.06023 w
.59306 .43883 Mdot
1 0 .55 r
.05296 w
.7782 .18988 Mdot
1 .174 0 r
.09388 w
.47936 .05724 Mdot
1 .401 0 r
.09213 w
.87376 .07301 Mdot
.293 0 1 r
.05324 w
.63054 .19223 Mdot
.469 0 1 r
.08505 w
.90657 .35302 Mdot
0 1 .518 r
.03483 w
.33691 .51752 Mdot
0 .932 1 r
.08187 w
.53496 .34195 Mdot
0 1 .894 r
.08799 w
.07901 .29901 Mdot
0 1 .493 r
.09585 w
.1815 .2403 Mdot
.2 0 1 r
.05262 w
.52721 .06237 Mdot
1 0 .268 r
.06757 w
.59689 .31267 Mdot
0 .787 1 r
.04274 w
.28338 .39847 Mdot
1 .145 0 r
.06087 w
.72467 .07082 Mdot
0 .749 1 r
.07288 w
.66907 .37514 Mdot
1 .758 0 r
.07703 w
.51097 .14915 Mdot
0 1 .557 r
.03441 w
.96001 .10108 Mdot
0 1 .826 r
.06684 w
.38652 .39174 Mdot
1 0 .388 r
.0341 w
.12655 .59659 Mdot
1 0 .533 r
.07323 w
.37813 .54007 Mdot
0 1 .217 r
.01035 w
.68531 .17923 Mdot
.541 1 0 r
.03332 w
.19774 .04439 Mdot
.902 0 1 r
.09891 w
.21398 .54663 Mdot
0 1 .076 r
.04206 w
.8037 .16919 Mdot
0 1 .464 r
.01796 w
.70056 .17593 Mdot
0 1 .997 r
.04473 w
.34584 .23918 Mdot
1 .78 0 r
.04438 w
.63678 .07426 Mdot
1 0 .679 r
.02106 w
.46245 .04417 Mdot
1 .419 0 r
.02215 w
.27188 .10087 Mdot
.343 0 1 r
.08009 w
.44443 .53499 Mdot
.121 1 0 r
.07213 w
.72011 .37337 Mdot
.882 0 1 r
.03741 w
.39768 .14849 Mdot
.102 0 1 r
.09303 w
.73714 .08854 Mdot
.781 0 1 r
.08197 w
.2981 .05867 Mdot
.362 0 1 r
.06982 w
.04962 .56112 Mdot
1 .02 0 r
.08972 w
.58144 .04043 Mdot
.141 0 1 r
.02759 w
.83758 .27038 Mdot
1 0 .741 r
.09018 w
.46331 .13619 Mdot
.843 1 0 r
.09715 w
.70241 .06196 Mdot
0 1 .375 r
.02519 w
.42772 .01759 Mdot
.013 0 1 r
.05537 w
.40151 .05979 Mdot
0 .007 1 r
.06565 w
.79631 .03367 Mdot
1 0 .148 r
.04806 w
.93498 .3666 Mdot
1 .593 0 r
.05787 w
.49508 .24471 Mdot
1 0 .564 r
.06072 w
.76892 .19706 Mdot
0 .939 1 r
.04553 w
.3646 .19376 Mdot
1 0 .952 r
.09016 w
.93934 .14827 Mdot
.945 1 0 r
.03452 w
.16643 .12891 Mdot
.797 1 0 r
.08646 w
.2077 .36563 Mdot
1 .61 0 r
.03859 w
.68887 .13522 Mdot
.826 1 0 r
.07787 w
.8962 .54148 Mdot
.114 0 1 r
.04233 w
.555 .36202 Mdot
1 0 .934 r
.05217 w
.59191 .22805 Mdot
.011 0 1 r
.02766 w
.44888 .11344 Mdot
0 1 .809 r
.0412 w
.26459 .35113 Mdot
0 1 .198 r
.01261 w
.55197 .23022 Mdot
.976 1 0 r
.03474 w
.63202 .29206 Mdot
0 1 .91 r
.09241 w
.10042 .53336 Mdot
0 .156 1 r
.05024 w
.48476 .31961 Mdot
1 0 .167 r
.03258 w
.05928 .22047 Mdot
0 .976 1 r
.09139 w
.77094 .47266 Mdot
1 .826 0 r
.08877 w
.24238 .25674 Mdot
1 0 .198 r
.06403 w
.58661 .56801 Mdot
0 1 .891 r
.07162 w
.50959 .04896 Mdot
1 0 .953 r
.03138 w
.04824 .33267 Mdot
1 0 .786 r
.0988 w
.9652 .1265 Mdot
0 1 .19 r
.01742 w
.21766 .25716 Mdot
.636 1 0 r
.02864 w
.95153 .01472 Mdot
.438 1 0 r
.06461 w
.38833 .05003 Mdot
.67 0 1 r
.09299 w
.85499 .01537 Mdot
1 0 .377 r
.07161 w
.83016 .28603 Mdot
1 .409 0 r
.07281 w
.8412 .17384 Mdot
.219 0 1 r
.06539 w
.64695 .52 Mdot
0 1 .856 r
.04675 w
.67166 .51959 Mdot
.706 1 0 r
.08214 w
.30673 .48386 Mdot
0 1 .624 r
.08915 w
.42799 .48279 Mdot
0 .999 1 r
.02754 w
.57408 .21106 Mdot
0 1 .592 r
.05473 w
.70913 .05153 Mdot
.373 0 1 r
.08934 w
.08559 .13485 Mdot
.483 1 0 r
.05259 w
.39018 .21859 Mdot
1 .223 0 r
.07045 w
.10685 .33805 Mdot
0 .402 1 r
.0813 w
.65511 .45858 Mdot
1 .597 0 r
.06376 w
.10443 .26182 Mdot
.005 0 1 r
.01902 w
.37155 .22459 Mdot
1 0 .367 r
.02968 w
.30937 .10403 Mdot
.116 0 1 r
.07709 w
.89544 .48877 Mdot
0 .106 1 r
.01665 w
.812 .16502 Mdot
1 .295 0 r
.03535 w
.18029 .30976 Mdot
1 0 .302 r
.07159 w
.09927 .06225 Mdot
.308 1 0 r
.06257 w
.70397 .44099 Mdot
0 1 .059 r
.04289 w
.41801 .35125 Mdot
0 .057 1 r
.0658 w
.49882 .46581 Mdot
1 .049 0 r
.05915 w
.66307 .31509 Mdot
1 0 .246 r
.0338 w
.50618 .01963 Mdot
1 .056 0 r
.06221 w
.43032 .5607 Mdot
.364 0 1 r
.09964 w
.70259 .13401 Mdot
0 1 .305 r
.06675 w
.30799 .38608 Mdot
.362 0 1 r
.01095 w
.78542 .52359 Mdot
.312 0 1 r
.05181 w
.14576 .22281 Mdot
.558 0 1 r
.028 w
.61583 .21749 Mdot
.502 0 1 r
.06579 w
.20892 .26011 Mdot
1 .137 0 r
.06616 w
.48257 .1404 Mdot
0 .168 1 r
.09941 w
.19798 .35764 Mdot
1 0 .529 r
.09845 w
.38881 .43737 Mdot
.841 1 0 r
.05665 w
.26645 .22886 Mdot
0 1 .601 r
.03864 w
.62688 .02568 Mdot
.099 0 1 r
.07285 w
.44136 .36889 Mdot
0 .038 1 r
.01669 w
.93504 .24279 Mdot
1 .129 0 r
.01729 w
.76046 .48847 Mdot
1 .658 0 r
.01883 w
.39506 .06541 Mdot
1 0 .5 r
.06219 w
.15201 .43987 Mdot
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[17]:=",
  ImageSize->{244, 150.75},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003d0000UR000`400?l00000o`00003om03oool0
0<H0oooo102[0?lZ0?ooo`00>P3oool403/0ohD0oooo2P2[0?lW0?ooo`00703oool50?l0GQH0oooo
2P0k0?n10?ooo``0Z`3o9P3oool001X0oooo2@3o05hC0?ooo``0>`3oO`3oool>0:/0obD0oooo000I
0?ooo`/0o`1N4@3oool>03/0ob40oooo1000oh43003Lobh0oooo1@1=0?lR0?oooa00Z`3o1@00P?lO
0?ooo`004`3oool30380o`80oooo3@3o05h?0?oooa00>`3o7@3oool:003oP@800=co:P3oool904d0
oal0oooo4P2[0?l60020o`80oooo1P1ho`0E0?ooo`004@3oool70380o`d0o`1N3`3oool@03/0oa80
oooo0`3o05h70?ooo``00?n10P00g?l<0?ooo`<009go303oool50?l500P0oooo2`1=0?lN0?oooa80
Z`3o1`00P?l407So0080X_l00P1ho`0D0?ooo`00403oool90380o`d0o`1N3P3oool@03/0oa00oooo
1`3o05h40?ooo`h00?n10P00g?l90?ooo`04002Mo`3o03h0o`0n0?l0?P<009go203oool90?l500D0
oooo3@1=0?lF0?ooo`H0007o00<0oooo0:/0o`2[0?l0402[0?l50020o`D009co102Ro`0207So01<0
oooo000@0?ooo`T0<P3o3@3o05h=0?oooa80>`3o3P3oool90?l0GP80oooo2P00oh43003oG`<00?n1
00<00=co0?ooo`00L?l00P00L?l30?ooo`030?ol0000WOl0o`0n00@0o`0n0`00WOl30?ooo`800?lf
3@3o1@020?ooo`800?nI3@1=0?lD0?ooo`L0007o502[0?l30020o`D009co1P2Ro`0207So0180oooo
000?0?ooo`/0<P3o303o05h00`3oool0023o0?ooo`070?ooo`<0c03o4P0k0?l60?ooo`D0G?l00`3o
ool90?l0GP80oooo2@00oh45003oG`800?n11@00L?l40?l/00L0o`0n0P00WOl20?ooo`800?lf3P3o
1@06003oV@/0C@3o00<0oooo0=Oo003Go`000`3Go`0=0?ooo`P0007o502[0?l00`00P?l009co002L
o`05002Lo`H0X_l00P1ho`0B0?ooo`003`3oool;0380o`X0o`1N0P28o`03000Po`@0oooo1@2=0?l0
0`3<0?l0>`3o03/0o`0@03/0o`@0oooo0P1Lo`040<L0o`80G?l000<003_o0?l0GP3o05h02@3o05h0
0`3oool0L?l0073o0004073o0080:Ol000<00?n1003oG`00oel00`00oel306T0o`03001`o`3o;000
ob`000D0ob`01`3o03h2002Mo`@00?m83P3o1@06003oV@X0C@3o2@3Go`0:0?ooo`T0007o502[0?l0
0`00P?l009co002Lo`06002Lo`@0X_l0101ho`0A0?ooo`003`3oool;0380o`P0o`1N1@28o`001000
8?l0oooo0?ooo`3oool908d0oa40>`3o0P3oool00`1Lo`00a`3o0<L0o`080<L0o`/0o`1N201`o`02
02Wo00D00?mO0`1Y0?l80?l/00L0o`0n0P00on@3003oB0h0o`D02000oiT704d0o`L0eol00P00oiL4
0=Oo00L0oooo2P000OlD0:/0o`X009co0P2Ro`02002Lo`<0N?l04@3oool00100oooo2@0b0?l90?l0
GPH0R?l000<0oooo08d0o`2=0?l02`2=0?l>03/0o`80oooo00<0G?l00<L0o`370?l02P370?l90?l0
GPX0L?l00P1Y0?l3003oG`<0J@3o203o;002003oi0D0o`0n1000on@2003oB0h0o`D02000oiT604d0
o`D0eol02000oiL20=Oo00H0oooo2`000OlB0:/0oa0009co0P1ho`0A0?ooo`00403oool90380o`H0
o`1N1@3o04d408So00d0S@3o0`2:o`0<03/0o`80oooo3P370?l60?l0GP03003on01`o`00L?l000X0
L?l01P1Y0?l80?l/00@00?oT0`3o03h6003oi100o`D01P00oiT604d0o`D0eol02P00oiL20=Oo00D0
oooo2`000OlB0:/0oa0009co0P1ho`0A0?ooo`004@3oool70380o`0305ko003o05h0o`1N0080o`1N
2@3o04d00`28o`00S@3o08d0o`0;08d0o`D0R_l02`0k0?l00`3oool0a`3o0<L0o`0>0<L0o`@0o`1N
00<00?oh073o001`o`002`1`o`000`030?l0J@3o06T0o`0206T0o`@0ob`00P3o0:d30?l/00d00?oT
403o1@06003oV@H0C@3o1@3Go`0:003oU`80eol01@3oool;0001oa80Z`3o00<0ofH0002Lo`00W?l0
3@00W?l00`1ho`00oooo0?ooo`0@0?ooo`004P3oool0101No`00<P3o0380o`0b0?l405ko0080o`1N
2`3o04d<08d0o`L0R_l02@0k0?l20?oooa00a`3o103o05h00`00ooP0L?l0073o000<073o000400<0
o`1Y0?l0J@3o06T0o`<0ob`0103o0:d00`3o;0000?oT003oi00=003oi140o`D00P00oiT00`3o0;/0
C@3o04d0o`0404d0o`H0eol02P00oiL30=Oo00040?ooo`2No`00W_l009ko00`0007o402[0?l30?mV
00h009co00<0N?l00?ooo`3oool0403oool00140oooo2P1No`0=0?l0C@/0S@3o1`2:o`0803/0o`80
oooo00<0G?l00<L0o`370?l03P370?l01@00>ol0o`1N0?l0GP3o05h0oooo00h0L?l000@00`3o06T0
o`1Y0?l0J@3o0`3o;0040?l0[@030?l/0000on@00?oT00d00?oT4P3o1@020?l0^`H0C@3o1@3Go`0<
003oU`80eol0102No`0=0001o`h0Z`3o1@3oIP0=002Loa<0oooo000A0?ooo`X0G_l03@3o04d;08d0
o`L0R_l01`0k0?l30?oooa80a`3o103oaP0>073o000300<0o`1Y0?l0J@3o00D0ob`00P3o0:d20?l/
00l00?oT4P3o1@020?l0^`D0C@3o1P3Go`0<003oU`<0eol00P0J0?l209ko00`0007o00<002Go0:/0
o`2[0?l02P2[0?l70?mV00`009co00<01`3o0?ooo`3oool0403oool00180oooo201No`0?0?l0C@/0
S@3o1@2:o`000`2=0?l0>`3o03/0o`0203/0o`H0oooo4P370?l40?o600h0L?l00P030?l00`1Y0?l0
ob`00?l/00070?l/00l00?oT4@3o1@020?l0^`<0olL00`1=0?l70=Oo00X00?nG103Go`0301X0o`80
W_l02P000Ol00`009Ol0of000?mP000:0:/0o`P0ofH02`00W?l300L0oa40oooo000B0?ooo`P0G_l0
3`3o04d<08d0o`<0R_l00P2=0?l:0?oooa80a`3o103oaP08073o0080ojP00`1`o`0300<0o`0306T0
o`3o;000ob`000L0ob`03`00on@A0?l500L0olL000<0C@3o0=Oo003Go`001@3Go`0:003oU`@0eol0
100J0?l209ko00P0007o00@002Go0?mP003oH000of000`3oIP040:/0o`/0ofH02P00W?l500L0oa00
oooo000C0?ooo`H0G_l000<0oooo0?l0C@3o04d03@3o04dA08d0o`T0oooo00<0o`1^0<L0o`370?l0
40370?l40?o6000302Wo001`o`00L?l000@0L?l0103oZ002073o00800`3o0P1Y0?l:0?l/00d00?oT
0P0c0?l?0?l500030?l0^`3oa`00olL000D0olL000<0C@3o0=Oo003Go`001@3Go`0:003oU`@0eol0
1@0J0?l209ko00H0007o00@002Go0?mP003oH000of00503oIP02002Lo`<0d03o1000W?l500L0oa00
oooo000E0?ooo`80G_l00`3oool?0?l0CA40S@3o2@3oool20?l0KQ00a`3o1@3oaP0202Wo00D0L?l0
103oZ000101`o`000`3o00<0o`030?l306T0o`T0ob`03@00on@203<0o`l0o`D02@3oa`080=Oo00P0
0?nG1@3Go`0601X0o`P0W_l00`3oH00D0?mV0003002Lo`3@0?l0d03o00<0d03o00<009co00L0o`07
0?l01P070?l?0?ooo`006P3oool?0?l0CA40S@3o2@3oool20?l0KQ00a`3o1P3oaP0202Wo00D0L?l0
0P3oZ0000`1`o`000`3o00<0o`0200<0o`<0J@3o2P3o;00;003oi0<0<`3o00<00?m80?l5003o1@00
2`3o1@000`3o00h0olL00?o700070?o700030?md003Go`00eol000P0eol00P00oiL70=Oo00L06P3o
202No`030?mP01@0ofH01`3@0?l800L0o`l0oooo000K0?ooo`d0o`1=4@2=0?l:0?ooo`80o`1^4037
0?l60?o600<0:Ol01P1`o`0400<0o`@0J@3o2`3o;009003oi0@0<`3o0`00odP90?l500<0o`0>2@3o
a`000`3oM000eol00=Oo000A0=Oo00L06P3o202No`030?mP01@0ofH01`3@0?l800L0o`l0oooo000K
0?ooo`d0o`1=4@2=0?l;0?ooo`80o`1^3P370?l70?o600P0:Ol00P030?l302Wo00D0J@3o303o;005
003oi0D0<`3o1@00odP00`00olL0o`D00?l500030?l500H0o`0>1`3oa`000`3oool0og@00?md000A
0=Oo00T06P3o1`2No`040?mP0180ofH000<0F@3o0=00o`3@0?l01@3@0?l50?l0b@<01`3o3`3oool0
01/0oooo00<00?nP0?l0C@3o04d02@3o04dA08d0o`030?l0QP3oool0oooo00D0a_l0103oool30?l0
KP`0a`3o2@3oaP0=02Wo00D0J@3o3P3o;0020:h0o`<0<`3o1P00odP00`00olL0o`0>0?l03P0:0?l0
3PL0olL00`00;OlA0=Oo00T06P3o1P2No`02003oeP<0of004P3oIP000`1I0?l0oooo0=00o`030=00
o`T0o`39403oool001`0oooo00<00?nP0?l0C@3o04d01`3o04d00`3oool0S@3o08d0o`0?08d0o`03
0?l0QP36o`00a_l000L0a_l00P3oool40?l0KPH0a`3o0P3o05d20<L0o`030?o60000EOl005Go00<0
05Go1@3oaP0>02Wo00@0o`0@303o;0050:h0o`D00?m800<0ogL0003oa`00olL03P3o00h30?o700H0
02go103Go`0505d0o`H0eol02P0J0?l609ko00@00?oF00<0of000?mV003oIP00403oIP0205T0o`03
0?ooo`3@0?l0o`3900`0o`393P3oool001`0oooo0`1O0?l50?l0C@04003oX03oool007ko001no`l0
S@3o3@36o`00103oool0o`1^0?m[003oJ`030?l0KP80a`3o103o05d00`3oaP0005Go001Eo`05001E
o`D0olH0300Yo`050?l040D0o`2m1P3o;0090:h0o`@0ogL000<00?o70?l03P3o00h03P3o00h8000]
o`030=Oo001M0?l0G@3o00L0G@3o0`3Go`0;01X0o`H0W_l01000omH20?mP0100ofH00`1I0?l00`3o
ool0o`390?l0b@0=0?l0b@d0oooo000G0?ooo`80ojH000<0oooo05l0o`1O0?l01`1O0?l00`00oj00
oooo0?ooo`03001no`d0S@3o3`36o`040?m[00<0o`1^1P3o05d8001Eo`D0olH02P0Yo`040?l04080
0P3o1`3o0;d00`3o;000o`0@0:h0o`0;0:h0o`<0ogL000<00?o70?l03P3o00h03@3o00h8000]o`d0
G@3o2`0J0?l609ko00H00?oF0P3oH00>0?mV000405T0o`00Vol009_o002Koa40o`39303oool00140
oooo00@0o`1F06Wo001Yo`00JOl00`3oYP0=05l0o`030?ooo`00O_l007ko00<007ko2@2=0?l00`00
Kol0a_l00<Ko000>0<Ko00@0of/00`3o06h60?l0G@T005Go1P3oaP000`00oih0:Ol002Wo000202Wo
00@00?nN00<0o`0@0?l0_@020?l00`020?l80?l0_@030036o`2^0?l0[P3o00D0ojL0102^0?l20?mg
00<00?o73P3o00h7000]o`l0G@3o2P0J0?l509ko00P00?oF0P3oH00<0?mV00D009_o4@3o0<T<0?oo
o`003`3oool0101Yo`00o`1F0?l0EP3o05H206Wo0080ojH03`1O0?l7001no`D0S@3o0`00KolA0<Ko
0080of/00P3oool30?l0KP@0o`1M2P00EOl60?o600T00?nN00<0o`2m0080o`020?l010020?l20?l0
_@H0ob<00`00a_l60?nW00030:h0o`3oM`00ogL000@00?o73@3o00h7000]oa40G@3o2@0J0?l409ko
00T00?oF0`3oH00:0?mV00@00?ob00<009_o0?l0b@3o0<T04@3o0<T;0?ooo`003@3oool406Wo0003
0?l0EP1Yo`00JOl000<0ojH03`1O0?l8001no`<0lOl00`00KolC0<Ko00L0oooo0P3o05d<001Eo`@0
olH000<0a03o003oWP00oih01`00oih00`3o0;d00P3o0080o`040080o`030?l0_@3o8`00ob<000H0
ob<01@3o`P050?nW0005003oa`00^ol00;_o002ko`3o4P003@3o00h7000]oa40G@3o200J0?l209ko
00`00?oF1P3oH0040?mV00P00?ob4`3o0<T;0?ooo`00303oool806Wo0080ojH04@1O0?l6001no`D0
lOl00P00KolC0<Ko00P0oooo00<005Go0?l0^@3o0;T00`3o0;T7001Eo`@0olH00P340?l7003oWP<0
o`2m10020?l00`3o0;d0ob<00?lS00080?lS00D0ol801@3oY`04002ko`030?lB003o00h0o`0>00X0
o`0>1P00;OlC05d0o`H06P3o3`00omH60?mP00X00?ob00<0o`3c0?l0b@3o0<T04`3o0<T:0?ooo`00
303oool906Wo00030?nV001O0?l0G`3o00l0G`3o1@00O_l70?7o01D0a_l01`3oool70?l0^@H005Go
0`3oaP050<@0o`D00?nN103o0;d20080o`030?l0_@3o8`00ob<000X0ob<01P3o`P040?nW00@00;_o
00<00?o70?l03P3o00h02@3o00h6000]oa<0G@3o1@0J0?l@003oeP@0of002`00oo820?l0laD0o`39
2P3oool000/0oooo2P1Yo`0C05l0o`@007ko1`3ao`0E0<Ko00H0oooo2@3o0;T4001Eo`80olH02@34
0?l2003oWPL0o`2m3@3o8`060?o200@0ojL01000^ol00`00olL0oooo0?l03P090?l03PD002go5@1M
0?l301X0o`030?ooo`00omH00?oF00h00?oF1@2no`0:003olP80o`3c5@3o0<T:0?ooo`002`3oool:
06Wo01<0G`3o1000O_l70?7o01D0a_l01@3oool;0?l0^@<005Go0P13o`050<@0o`80h@3o10340?l7
0?l0_@h0ob<01P3o`P040?nW00<00;_o0`3oool:0?l03P@002go5@1M0?l50?ooo`h00?oF1P2no`09
003olP<0o`3c5@3o0<T:0?ooo`002P3oool;06Wo01<0G`3o0P3oool3001no`D0lOl000<03P3o0<Ko
0036o`004`36o`050?ooo`/0o`2i0P00EOl204?o00@0a03o1P3Q0?l20<@0o`L0o`2m3P3o8`070?o2
00<0ojL00P00^ol70?ooo`@0o`0>0`3oool4000]oaD0G@3o1P3oool<003oePH0ofP00P2no`08003o
lP<0o`3c5@3o0<T:0?ooo`002P3oool;06Wo01<0G`3o0`3oool3001no`<0lOl000<0ocl000h0o`36
o`001@3o00L?0<Ko00@0oooo3@3o0;T70<@0o`H0h@3o0P340?l70?l0_@h0ob<01`3o`P040?nW0100
oooo0`00;OlE05d0o`@0oooo0P3on00;003oePP0ofP000<0__l0003olP00oo801@00oo850?l0la<0
o`392`3oool000X0oooo2`1Yo`0C05l0o`@0oooo00<0od400?lo003o?`000`3o?`090?l01``0a_l0
1@3oool=0?l0^@H0a03o203Q0?l00`340?l0o`2m0?l0_@050?l0_@h0ob<01`3o`P040?nW0100oooo
00<0o`2o000]o`00;Ol05@1M0?l30?ooo`D0ooP01P00omH00`1W0?l0ofP00?mX000:0?mX00H00?ob
1@3o0?<C0?l0b@/0oooo000:0?ooo``0JOl04@1O0?l60?ooo`<0ocl03@3o00L:0<Ko00D0oooo3@3o
0;T60<@0o`P0h@3o0P340?l60?l0_@d0ob<0203o`P040?nW0100oooo0`3o0;l00`00;Ol0G@3o05d0
o`0A05d0o`@0oooo1P3on002003oeP<00?lC00<0I`3o0?mX003oJ0002P3oJ006003olPH0o`3c4@3o
0<T<0?ooo`002P3oool<06Wo0140G`3o1`3oool00`3o?`00o`070?l01`0=0?l01`P0a_l01`3oool;
0?l0^@800=oo1P340?l60>40o`<0a03o1`3o0;d<0?lS00P0ol80103oY`0A0?ooo`<0o`2o4`1M0?l4
0?ooo`H0ooP01@00oa<>0?mX00D00?ob1P3o0?<A0?l0b@`0oooo000;0?ooo``0JOl03`1O0?l80?oo
o`030?l0003o00L0o`0700d0o`072036o`070?ooo`/0o`2i0`00gol50<@0o`H0h@3o0P340?l20?l0
5PL0o`2m2P3o8`090?o200@0ojL03`3oool00`3o0:P0oooo0?ooo`030?l0_a40G@3o00@0o`1o0?oo
o`3oool0oooo1`3on004003o4`030?mX00006ol0ofP000d0ofP01000oo870?l0l`l0o`393@3oool0
00/0oooo1P1Yo`040?l0VP80JOl03`1O0?l70?ooo`030?l00000H_l006;o00<006;o303o00L60<Ko
00T0oooo2@3o0;T4003Oo`80o`0F1@340?l20>40o`80a03o103o01H80?l0_@P0ob<02@3o`P040?nW
00l0oooo0`3o0:P20?ooo`80o`2o4@1M0?l0103o07l0oooo0?ooo`3oool60?oh00D00?lC0`006ol=
0?mX00D00?ob1`3o0?<=0?l0b@h0oooo000<0?ooo`80JOl02P3o09X=05l0o`0303X0o`3oool0oooo
00D0oooo1`00H_l;0?l01`D0a_l02`3oool70?l0^@D00=oo103o01H50<@0o`L0o`0F203o0;d60?lS
00T0ol801@3oY`0>0?ooo`<0B`3o103oool00`3o0;l0o`1b05d0o`0>05d0o`030?l0O`3oool0oooo
0080oooo1@3o09000`3o08`00?lC003o4`03003o4`030?mX00006ol0ofP000d0ofP0103o0><00`00
oo80o`3c0?l0l`070?l0l`T0o`39403oool000`0oooo00<0JOl00?l0VP3o09X02P3o09X00`1Yo`00
G`3o05l0o`0705l0o`@0>P3o1@3oool9001Ro`/0o`070P36o`0>0?ooo`D0o`2i1@00gol00`3o01H0
0?3o003`o`0@0?l05PT0o`2m303o`P040?nW00d0oooo1`1;0?l30?ooo`80o`1b3@1M0?l20?l0O`<0
oooo1`3o0905003o4a00ofP01P3o0><:0?l0l`D0o`394P3oool000`0oooo3P3o09X00`3oool0>P3o
05l0o`0405l0o`L0>P3o0`3oool;001Ro`X0o`074P3oool7003Oo`H00?3o3P3o01H20?ooo`D0o`2m
00@0oooo0?nW003oY`00ojL0203o`P060?nW00`0oooo2@1;0?l00`3oool0oiX00?l0LP030?l0LPT0
G@3o103o07l20?ooo`T0o`2@1000oa<@0?mX00H0o`3S3`3o0?<B0?ooo`002`3oool@0?l0VPH0>P3o
0`00oi/403X0o`<0oooo2`00H_l:0?l01a<0oooo1@00gol8003`o`h0o`0F203oool30?nW00H0ol80
1P3oY`0=0?ooo`T0B`3o0P3oVP040?l0LP03003o=`3o0780G@3o00@0G@3o1@3o07l00`3o6P00oooo
0?l0T00:0?l0T0<00?lC403oJ0070?l0h`d0o`3c4`3oool000X0oooo4P3o09X203X0o`030=40o`00
oi/00?nK00D00?nK0`0j0?l00`3oool006;o001Ro`0;001Ro`T0o`074`3oool5003Oo`P00?3o0P00
^ol<0?l05PT0oooo3@3oY`0=0?ooo`/0B`3o00<0oiX00?l0LP3o07801`3o07820?lJ0080o`1o1@3o
6P0;0?l0T0040?l0S000oa<00?lC003o4`h0ofP02P3o0><90?l0laD0oooo000:0?oooa80o`2J00<0
>P3o0=40o`3A0?l01`00oi/303X0o`030?ooo`00H_l006;o00/006;o2@3o00L90?ooo`H0f@3o1@3o
ool3003Oo`X00?3o1000^ol90?l05PX0oooo00<0Y03o0?nW003oY`001`3oY`040:H0o`/0oooo2`1;
0?l20?nJ00P0o`1b203o6P0=0?l0T0040?l0S01W0?l0I`3o06L0o``0ofP02`3o0><20?ooo`D0o`3c
5`3oool000X0oooo4P3o09X00`0j0?l0d@3o003oV`08003oV`80>P3o00<0oooo001Ro`00H_l01@00
H_l5003oOP03001Ro`3o00L0o`0700H0o`072@3oool80=T0o`@0oooo0`00gol9003`o`<0Nol00`00
^ol20?l05P<0o`0N0`3o01H40?ooo`<0o`1R0`3oool30:@0o`D0ojL01`2V0?l:0?ooo`/0B`3o0P3o
VP050?l0LPD04@3o1P3o6P0=0?l0T0040?l0S01W0?l0I`3o06L0o``0ofP0303o0><M0?ooo`002@3o
oolD0?l0VP030=40o`00oi/00?nK00L00?nK0P0j0?l0103oool0C`3o04l0o`1?0?l2001Ro`T00?mn
1`3o00L70?ooo``0f@3o0`3oool3003Oo`H00?3o1`1ko`02002ko`D0o`0N0P3o01H30?ooo`D0o`1R
0P3oool50:@0o`80oooo202V0?l20?ooo`800?oo1`3oool904/0o`@0oiX00P3o07890140o`@0oaX0
3@3o090606L0o`P0ofP03P3o0><4003o>AT0oooo00090?ooo`/0o`2J0`00L?l30?l0:P<0o`2J00<0
>P3o003oV`3oF0000P3oF0060?l0``L0C`3o2`00ogh40?l01`L0oooo0P3Go`05003oo@@0f@3o0`3?
o`040?ooo`03003Oo`00l?l00?3o00<00?3o2@1ko`000`00^ol0o`0N0?l07P030?l07P030?l05P3o
ool0oooo0080oooo1@3o06830?ooo`<0Y03o0P3oool:0:H0o`@00?oo0`3o0>l30?ooo`80SP3o1`1;
0?l0102Ko`00oiX00?nJ003oVP0=0140o`80oaX000<0oooo0?l0T03o09002@3o09000`3o08`0T@3o
06L0o`0506L0o`H0ofP03`3o0><6003o>AL0oooo00090?ooo`X0o`2J0`00L?l50?l0:P80o`2J103o
F0060?l0``T0C`3o2`00ogh30?l01`@0oooo203Go`03003oo@80f@3o1@3?o`030?ooo`800;_o1000
l?l907_o0003002ko`3o01h0o`0N00<0o`0N0P00Jol30:Wo00D0o`1R1P3oool2003oBPT0YP3o1P00
ool40?l0k`@0SP3o1@1;0?l2003ob@80oiX03`0A0?l00`3o00d0oooo0?l0T00:0?l0T0@0T@3o1@1W
0?l30?oooa40o`3S1000ocT308`0oaH0oooo00090?ooo`T0o`2J0`00L?l70?l0:P040?l0VP3oF000
oeP00?mH00L0o`332@1?0?l<003oOP030?l01`3oool0om<00080om<02P3Go`03003oo@030=T0o`3?
o`00col000<0col00`3oool4002ko`03003`o`1ko`00Nol000T0Nol000@00;_o0?l07P3o01h0o`0N
1000Jol30:Wo00<0o`1R103oool8003oBP03002_o`2V0?l0YP3o00<0YP3o1P00ool30?l0k`H0SP3o
0P1;0?l7003ob@h04@3o00<0o`0=0?l0I03o06@02@3o090:0940o`<0oooo4@3o0><3003o>@D0S03o
0`00BOlB0?ooo`002P3oool70?l0VP@0073o1`3o02X00`00L?l0oeP00?mH00070?l0``/0C`3o2`00
ogh50?oC00X0eol01000ood50<oo00<0oooo1@00^ol20040o`T0Nol00P00^ol7001[o`@0ZOl00`3o
ool20?nG00T00?m:00<00:oo0:H0o`2V0?l00P2V0?l00`0:o`000?oo003oo`02003oo`@0o`3_1P2>
0?l:003ob@d04@3o103o06@70?l0T080T@3o0`0V0?l60940o`@0oooo3`3o0><3003o>@<0S03o0P3o
b@0208`0o`<004Wo4@3oool000X0oooo1P3o09X5001`o`L0o`0Z00<0073o0?mH003o0<<01`3o0<<;
04l0o`T00?mn1`3od`0:0=Oo00@00?om00D0f@3o0<oo003?o`00col00=T0o`020?ooo`<00?oo0P00
^ol40040o`P0Nol00`00^ol6001[o`@0ZOl0203oU`06003oBP@0YP3o0P0:o`000`3o0>l00?oo003o
o`060?l0k`@0SP3o3000olT<0140o`D0o`1T1@3o09000`2A0?l09P3o02H0o`0502H0o`@0T@3o103o
ool?0?l0h`<00?li0P2<0?l40?o9000308`0o`00BOl004Wo008004Wo403oool000X0oooo1P3o09X6
001`o`D0o`0Z0`00L?l80?l0``/0C`3o2000ogh70?oC00`0eol01000ood40=T0o`L00?oo10010?l7
07_o00@00;_o1`00Jol20:Wo00X0oiL01@00odX20:H0o`04003o<P0:o`002_l000[o00X0o`3_0P2>
0?l>003ob@/04@3o1@3To`030?ooo`80T@3o2@0V0?l30940o`D0oooo3@3o0><4003o>@80S03o103o
b@000`2<0?l004Wo0019o`030019o`l0oooo000;0?ooo`D0o`2J1`00L?l30?l0:P@0073o0P3o0<<6
0?nH00030?l0``1?0?l0C`3o00L0C`3o1P00ogh60800o`@0om<0303Go`04003oo@@0f@3o1`00ool0
0`00^ol00@3o0040o`0807_o00@00;_o1`00Jol20:Wo00X0oiL00`00odX30>P0o`0300[o0000oc80
2_l00080R03o2`3o0>l@003ob@P04@3o2@3To`000`3oool0T@3o0940o`0902H0o`80T@3o1`3oool;
0?l0h`H00?li0P2<0?l20?o9000308`0o`00ocT004Wo00@004Wo3`3oool000`0oooo103o09X>001`
o`030?l0``3oV000oiP000H0oiP02@1?0?l5003oOPP0P03o103od`0:0=Oo00D00?om0`3I0?l9003o
o`800;_o1`1ko`05002ko`L006_o0P2Yo`0:0?nG00800?m:1@3X0?l508P0o`T0o`3_4@00olT60140
o`d0i?l02`0V0?l00`2A0?l0oooo0?ooo`060?ooo`T0o`3S1P00ocT00`002Ol00?li08`0o`0208`0
o`800?li1P00BOl>0?ooo`003@3oool30?l0VPh0073o2P3oV00704l0o`D00?mn2P200?l30?oC00X0
eol01@00ood30=T0o`T00?oo1000^ol307_o00H00;_o2000Jol00`2Yo`00oiL00?nG000:0?nG0003
003oBP3X0?l0j03o0080j03o1P280?l90?l0ka400?o91@0A0?l>0>Co00/09P3o2`3oool50?l0h`L0
0?li0`002Ol5003o>@H004Wo3P3oool000h0oooo0P3o09X=001`o``0oiP000@00?mn04l0o`1?0?l0
C`3o1P00ogh<0800o`80om<02P3Go`04003oo@<0f@3o00<0oooo003oo`00ool01`00ool=002ko`P0
06_o00<0ZOl00?nG003oU`002P3oU`001000odX0j03o0>P0o`3X0?l808P0o`L0o`3_4`00olT40140
o`h0i?l02`0V0?l>0?ooo`<0ogH01`00ocT00`002Ol00?li003o>@03003o>@L004Wo3P3oool00140
oooo2@00L?l20?m]00d0oiP02@00ogh=0800o`<0om<0203Go`05003oo@<0f@3o0P3oool7003oo`h0
0;_o1`00Jol30:Wo00X0oiL00`00odX20>P0o`P0R03o0P3om@030?l0k`030?oe0000olT00?o90180
0?o90`0A0?l@0>Co00T09P3o0P00Hol40?ooo`80cOl01`3oool30?mf00d00?li1`00BOl>0?ooo`00
4P3oool6001`o`@0ofd03P3oV008003oOPh0P03o1@3od`020=Oo00<0om<01000ood20=T0o`@0oooo
1`00ool=002ko`P006_o0`2Yo`0:0?nG00@00?m:2@280?l60?oe01@00?o90`0A0?l@0>Co00T09P3o
1@3o06050<go00H0oooo0`3oMP0;003o>@L004Wo3`3oool001<0oooo1000L?l30?m]00800?oT3P3o
V008003oOPh0P03o2P3od`030>80o`80f@3o1`3oool3003oo`h00;_o2000Jol40:Wo00X0oiL01000
4Ol808P0o`L0ooD05000olT20140oa80i?l000<09P3o003oO`0V0?l00`0V0?l90?l0H0@0cOl01@3o
ool40?mf00T00?li2000BOl?0?ooo`00503oool3001`o`030?m]0000on@00?oT00800?oT3P3oV000
0`3oool00?mn003oOP05003oOPh0P03o2P3od`050>80o`P0oooo0`3oE`0<002ko`P006_o102Yo`02
0?ooo`P0oiL01`004Ol608P0o`P0ooD04P00olT30140oa80i?l00`00ogl202H0o`/0o`1P0`3=o`05
0?ooo`8000Wo0P3oMP020?ooo`D00?li2@00BOl@0?ooo`005P3oool6003oi0h0oiP000<00?Ko003o
OP00ogh01@00ogh>0800o`T0om<0203R0?l50?ooo`D0oeL02P00^ol20?ooo`D006_o2`3oool20?nG
00/0017o1P280?l70?oe01800?o90`0A0?lC0>Co0003003oO`3oool0oooo00d0o`1P0`3=o`050?l0
4`<000Wo1`3oool80019oa40oooo000E0?ooo`L00?oT3@3oV003003fo`H00?mn3@200?l:0?oC00T0
hP3o103oool80?mG00@00;_o0`3oE`0C0?ooo`d0017o1@280?l70?oe01800?o90`0A0?lC0>Co00<0
oooo3@3o06000`3=o`00o`0C0?l04`070?l04`040009o`3oool00?nC003oT`D0oooo1P00BOlB0?oo
o`005@3oool8003oi0`0oiP01000m_l6003oOP`0P03o2@3od`0;0>80o`<0oooo3`3oE`000`3ol000
oooo0?ooo`060?ooo`8003Co203oool=000Ao`H0R03o1P3om@00103o07l00?o9003ob@00olT30?Wo
00X00?o900@0oooo0140o`0A0?l04@3o4`3To`020?ooo`l0o`1P1P3o01<20?Go00<0o`0C1@00oi<J
0?ooo`003P3oool503;o00030?ooo`00on@00?oT00P00?oT2P3oV007003fo`D00?mn2P200?l:0?oC
00/0hP3o0`3oool?0?mG00030?o`003oool0oooo00@0oooo1P00=?l50?ooo`l0017o1P280?l60?l0
A0030?l0O`00olT0nOl000@0nOl02000olT30?o60080oooo00<00?nf0>Co003To`003`3To`000`3o
0880oooo0?ooo`0?0?l0H0D0o`0C103eo`030?l04`D00?nC6@3oool000`0oooo200bo`0;003oi0P0
oiP02P00m_l4003oOPP0P03o2P3od`0=0>80o`80oooo00@0oeL00?lh003o>000ocP02`3oE`020?o`
00@0oooo2000=?l40?ooo`l0017o1@280?l80?l0A0L0nOl000<00?o90?l<003o30000`3o30050?o6
0080oooo4@3To`030?ooo`l0o`1P103o01<60?Go00<0o`0C1000oi<I0?ooo`002`3oool803;o00d0
0?oT1P3oV00<003fo`@0oooo1P200?l90?oC00l0hP3o00<0oooo0?lh003o>0001@3o>0080?mG00<0
oo00103oool8000do`@0oooo3`004Ol408P0o`T0o`141`3io`070?l<00@0olH00P3oool00`00okH0
i?l00>Co000=0>Co00040?l0PP3oool0oooo0?ooo`l0o`1P103o01<60?Go00<0o`0C1000oi<I0?oo
o`002P3oool903;o01<00?oT2`00m_l30?m;00@0oooo1P0To`050?oC0180hP3o1`3o>0080?mG0080
oo00103oool:000do`040?ooo`009ol002Oo000Wo`h0017o0`280?l:0?l0A0H0nOl02@3o30040?o6
00030?ooo`3o08D0i?l000h0i?l00`3oool00`3o=P00o`1P0?l0H00=0?l0H0D0o`0C103eo`050?l0
4`@00?nC603oool000T0oooo2P0bo`0C003oi0X00?Ko1@3oB`030?ooo`H09?l00P3ooolE0>80o`P0
ocP01P3oE`030?o`00@0oooo2@00=?l7000Wo`D0017o1000k_l3000Ao`800:3o303o04@40?Wo00/0
o``00`3oaP030?l0Q@d0i?l00`3oool30?lf00d0o`1P1`3o01<20?Go00H0o`0C1000oi<H0?ooo`00
2@3oool:03;o00d00?oT1@3o>@000`00on@00?Ko003fo`07003fo`L0od/0103oool202Co00@0oooo
5@3R0?l80?lh00D0oeL00`3ol0060?ooo`L003Co2@009ol00`004Ol00>ko003^o`08003^o`800:3o
3@3o04@30?Wo00/0o``0103oaP040?l0Q@T0i?l000@0o`220?ooo`3oool0oooo103o=P0=0?l0H100
o`0C0P00oi<I0?ooo`00203oool;03;o00/00?oT2@3o>@08003fo`L0od/02P3ooolE0>80o`P0ocP0
0`3oE`000`3oool0oo000?o`00080?ooo`L003Co2@009ol<003^o`03001]o`3o04@0o`1400`0o`14
00<00;Co0?l<003o30002`3o30030?o600H0o`251@3To`050?ooo`H0ocH02`3o060A0?l04`800?nC
00<0oooo000Fo`005_l00`005_lC0?ooo`00203oool<03;o00T00?oT2`3o>@07003fo`D0od/01@00
:ol70?oooaD0hP3o1`3o>00@0?ooo`D003Co2`009ol<003^o`h0o`1400<00;Co0?l<003o30002`3o
30030?o600X0o`2500<04@3o0:X0o`3oool00`3oool70?lf00T0o`1P1`3o01<20280o`030?l04`1h
0?l0N03o0080N03o103o01<00`00oi<001Ko000Fo`07000Foa40oooo00080?ooo``0<_l02000on@=
0?li00L00?Ko0P3oB`09000[o`H0oooo4`3R0?l00`3oool0ocP00?lh00050?lh0180oooo0P00=?l0
0`1lo`0002Oo000Wo`09000Wo``00>ko3P3o04@00`00]?l0o``00?l<000;0?l<00<0olH02P3o08D2
0:X0o`@0oooo2@3o=P050?l0H0P0o`0C00<08P3o07P0o`1h0?l0201h0?l=000Fo`l0oooo00080?oo
o`d0<_l00P3o0?<5003oi0d0ocT01`00m_l=000[o`80oooo0P3o014C0>80o`<0oooo0`3o>00C0?oo
o`@0O?l02`009ol<003^o`d0o`140`00]?l;0?l<00@0olH02`3o08D50?ooo`h0ocH01`3o01<00`0R
0?l0N03o07P0o`0:07P0o`d001Ko3P3oool000P0oooo300bo`040?l0l`<00?oT3`3o>@05003fo`l0
02_o1@3o014@0>80o`0304oo003oool0oooo01L0oooo1@1lo`09000Wo`h00>ko303o04@3002do`/0
o``00`3oaP0<0?l0Q@D0oooo3P3o=P060?l04`03000Co`1h0?l0N03o00`0N03o30005_l>0?ooo`00
2@3oool:03;o00H0o`3c0P00on@?0?li00<00?Ko00<0oooo000[o`00:ol03`00:ol00`3<o`00o`0A
0?l04@020?l04@<00?o?303R0?l00`1?o`00oooo0?ooo`0@0?ooo`<00?l?00<0oooo01T0o`0I0?l0
100I0?l207co00T002Oo3`00k_l:0?l0A0D00;Co2@3o30040?o600`0o`251@3oool=0?lf00030?oo
o`3o01<0o`0C0080o`0C0P004ol@07P0o``001Ko3@3oool000T0oooo2P0bo`060?l0l`800?oT3`3o
>@001000aol0oooo0?ooo`3ooolA000[o`80c?l000<0o`0A003oc`00oll01@00oll90>80o`80Col0
403oool5003o3`P06@3o0P1lo`07000Woa000>ko00<006go0?l0A03o04@01P3o04@7002do`L0o``0
0P2<0?l20?o600d0o`251P3oool<0?lf0080olD000<0o`0C000Co`004ol00P004ol@07P0o``001Ko
3@3oool000X0oooo2P0bo`040?l0l`80oooo00<00?oT0?li003o>@003@3o>@020037o`030?ooo`00
:ol002_o014002_o00<0c?l00?l04@00oll01P00oll80>80o`<0Col0403oool3003o3``06@3o0P1l
o`03000Woa800>ko00<0013o0?ooo`3o04@01@3o04@2003o/PL00;Co1@3o3002002oo`0308`0o`00
XOl000Wo008000Wo1@0No`030?l0Q@80on4000<0o`250?ooo`3oool01@3oool:0?lf00<0olD01@00
4ol@07P0o`030=T0o`3o08l001Ko00X001Ko303oool000/0oooo2P0bo`020?l0l`<008Wo00<0oooo
0?li003o>@003@3o>@020037o`030?l0M000:ol002_o014002_o00<0c?l0003oc`00oll01`00oll5
0>80o`@0Col0403oool4003o3``06@3o1@1lo`0<003^o`<07@3o0`00k_l00`004?l0oooo0?ooo`08
003o/PD00;Co00<0o`3e002oo`00_ol01P00_ol00`2<0?l00:7o01ko000801ko00@0on401`3oool4
003om0D0ocH0103oa@04000Co`h0N03o0P3o02D207P0o`030=T0o`3o08l001Ko00T001Ko303oool0
00`0oooo1`0bo`090029o`d0ocT00`00aolE000[o`T00?o?0`3R0?l20>h0o`@0Col0100<o`0<0?oo
o`<00?l?3P0I0?l307co000306go003o09D00>ko00P00>ko1`0M0?l20?ooo`<0o`372`00ok8;002o
o`/07_l0103oh@030?ooo`X00?od00<0ocH00?o5003oa@000P3oa@05000Co``0N03o1P3o02D00`3I
0?l0o`2?000Fo`09000Fo``0oooo000>0?ooo`@0<_l02P00ROl=0?li00800<Oo00<00?oJ000[o`00
:ol04`00:ol9003oc`H0kP3o00<0X?l004oo001?o`001P0<o`0:0?ooo`800?l?400I0?l40?l0BPT0
0>ko1`0M0?l70?l0a`T00?nb2P00_ol=01ko00<0on400P3oool<003om0@0olD01@004ol;07P0o`P0
o`0U00<0f@3o000Fo`005_l020005_l<0?ooo`004@3oool<0029o`/0ocT000@00<Oo003ofP00omX0
0?oJ5@00:ol00`3<o`000?o?003oc`05003oc`030<P0o`3^0?l0kP3o00H00?m>2@0<o`090?ooo`03
003o3`0I0?l06@3o00h06@3o00@0oel00?l0BP3o04X0o`1:2000k_l901d0o`H0o`372000ok8;002o
o`d07_l00P3oh@020?ooo`h00?od0P3oa@06000Co`/0N03o203o02D00`3I0?l0o`2?000Fo`08000F
o``0oooo000@0?ooo`h008Wo2@3o>@000`00aol00?oJ003ofP02003ofQD002_o00<0c?l0003oc`00
oll01@00oll00`1e0?l0b03o003oCP07003oCPT03?l000<0oooo003od`00om<01000om<00`3oool0
0?l?01T0o`0?01T0o`80oel00`3o04X7003^o`T07@3o1`3o0<L6003o/P/00;oo3`0No`020?oooa00
0?od00<0olD0000Co`004ol01@004ol907P0o`X0o`0U00<0o`2?000Fo`005_l01P005_l=0?ooo`00
3`3ooolA0029o`D0ocT00`00aol4003ofQD002_o0P3<o`00101e0?l00?o?003oc`00oll307D0o`X0
0?m>200<o`08003od`030?ooo`0I0?l06@3o00h06@3o0P3oG`040?l0BPH00>ko2@0M0?l70?l0a`H0
0?nb2`00_ol?01ko000306d0o`00oo@00?od01000?od1`004ol907P0o`X0o`0U2@005_l=0?ooo`00
3`3ooolB0029o`H00<Oo1P00omXC000[o`<0c?l01P1e0?l<003oCPH03?l02P00om<@01T0o`80oel0
1@3o04X6003^o`L07@3o203o0<L6003o/P/00;oo3`0No`000`1]0?l00?od003om00@003om0L001?o
2P1h0?l80?l09@030=T0o`005_l001Ko00H001Ko3P3oool000l0oooo4P00ROl60037o`H00?oJ4`00
:ol20<co00H0M@3o3@00odh500co00/00?oC400I0?l00`3oG`00o`1:0?l0BP070?l0BP<00>ko1`0M
0?l70?l0a`L00?nb2`00_ol?01ko00030?l0]P00oo@00?od01000?od20004ol907P0o`P0o`0U00<0
o`2?000Fo`005_l01P005_l>0?ooo`003P3ooolD0029o`D00<Oo1`00omXA000[o`<0c?l01P1e0?l>
003oCP<03?l03@00om<>01T0o`030?mO003o04X0o`1:00T0o`1:103oool301d0o`80oooo1`3o0<L7
003o/P/00;oo3`0No`0D003om0P001?o2@1h0?l60?l09@030=T0o`005_l001Ko00H001Ko3`3oool0
00h0oooo5000ROl50037o`030?l0M000omX00?oJ00@00?oJ4@00:ol20<co00D0M@3o0P00bOl>003o
CP0300co00009?l002Co00h00?oC300I0?l=0?l0BP/0oooo0`3o0<L9003o/P`00;oo3@0No`000`3o
0;H00?od003om00B003om0T001?o2P1h0?l20?l09@80f@3o1`005_lA0?ooo`003P3ooolD0029o`H0
o`1d1`00omX?000[o`<0c?l01@1e0?l20039o`h00?m>0`009?l5003od`D0o`271000om<<01T0o`d0
o`1:203oool3003o/P80oooo2`00ok8;002oo`d07_l000<0o`2f003om000oo@04P00oo@00`3o<000
01?o000Co`07000Co`800>3o101h0?l00`00h?l0f@3o0=T0o`030=T0o`03043o00005_l001Ko00<0
01Ko4`3oool000h0oooo5000ROl70?l0M0L00?oJ3@00:ol30<co00D0M@3o0`00bOl>003oCP<002Co
0`00om<90?l0Q`800?oC0P00D?l801T0o`l0o`1:1`3oool5003o/P<0oooo0P00ok800`1Y0?l00?nb
003o/P03003o/P80d03o2`00_ol;01ko0080o`2f5000oo@00`3o<00001?o000Co`06000Co`T00>3o
0`3I0?l00`00ob@0oooo043o0002043o01D0oooo000>0?ooo`030?mW0000ROl008Wo010008Wo2P3o
07@3003ofP<0o`1d00<0oooo000[o`00:ol01`00:ol30<co0003003oA`1e0?l0M@3o00@0M@3o0`00
bOl=003oCP@002Co00<00?oC0?l0Q`3o08L02`3o08L2001@o`030?ooo`0I0?l06@3o00@06@3o403o
04X60?ooo`L00?nb0`3oool306T0o`<00?nb0`3@0?l<002oo`T07_l0103o0;HB003om0<0oc001`00
4ol9003Po`040=T0o`00l_l00?;o003o91T0oooo000?0?oooa8008Wo3`3o07@0103o[000oooo0?oo
o`00odL5000[o`<0c?l00`00odL607D0o`@00<Wo3000odh4000To`l0o`27103o0<l01000;?l0oooo
0?ooo`3oool?0?l0BPL0oooo1`00ok840?ooo`0306T0o`3@0?l0d03o00H0d03o00<00:7o002oo`00
_ol01P00_ol4002Qo`D07_l01P3o0;HB003om0D0oc0010004ol;003Po`03003bo`00ob@0oooo01T0
oooo000?0?oooa8008Wo3`3o07@0103o[000oooo0?ooo`2`0?l;003oA`L0M@3o1000bOl:003oCP@0
02Co4@3o08L40?l0c`03000/o`3oool0oooo00@0o`1:1@3oEP060?l0BPL0oooo1P00ok8500co00T0
d03o0P00XOl6002oo`03002Qo`3o02d0o`0]00<0o`0]00<00:7o0?l0]P3o0;H01`3o0;HB003om0L0
oc000P004ol;003Po`800?lT6P3oool00100oooo4000ROl00`3oool0oj`00?l0M0070?l0M0D0o`1o
0P3o[000103oool0/03o0;00o`2`0?l8003oA`<006Ko1P1e0?l50039o`P00?m>1@009?lA0?l0Q`D0
o`3?0`3oool20?l0BP80oeH00P3oNP030?mF00@0o`1:2@3oool4003o/PL03?l02@3@0?l6002Qo`<0
o`0]1@1>o`000`3o02d0o`2f0?l0]P070?l0]Q000?od2P3o<00;003Po`03003o903oool0oooo01T0
oooo000A0?ooo`h008Wo00<00?3o0?n/003o[0000P3o[0050?l0M0L0o`1o0P3o[0060;00o`@00?m7
00@0/03o001Vo`00I_l006Ko201e0?l30039o`0307D0o`00odh00?m>00@00?m>1@009?lC0?l0Q`D0
o`3?0`3oool00`3oEP00ogX00?mj00040?mj0080oeH00P3o04X;0?ooo`800?nb2@0<o`0:0=00o`<0
0:7o0`3o02d704ko00030?l0;@3o0;H0o`2f00L0o`2f3P00oo@00`3oa@00oc000?l`00090?l`00T0
0>3o00<00?lT0?ooo`3oool06P3oool00180oooo3000ROl2003`o`H0oj`00P3oFP090?l0O`030?n/
002`0?l0/03o00P0/03o1@00I_l=07D0o`@0o`0j1@009?lC0?l0Q`D0o`3?00<0oooo0?nf003oEP00
203oNP020?mF00d0oooo2`0<o`050=00o`D006Ko00@0oooo0?l0;@3o02d0o`0]2@1>o`000`3o02d0
o`2f0?l0]P070?l0]P`00?od0P3oa@000`3oN@00oc000?l`00080?l`00T00>3o7@3oool001<0oooo
2P00ROl2003`o`050?ooo`3o[000oj`00?n/001P0?l00`3oFP0;0?l0O`X0/03o1P00I_l;07D0o`D0
o`0j10009?lE0?l0Q`D0o`3?00<0okH00?mF003oNP001`3oNP020?mF00d0oooo2`0<o`030=00o`T0
06Ko00<0o`0]04ko001>o`002@1>o`070?l0]P@00?Wo2@00oo@00`3oool0olD00?mi00020?mi00X0
oc001`00h?lN0?ooo`004`3oool307Ko00@008Wo0`1fo`02003`o`800?lI00<0H03o073o001`o`00
0`3oFP0;0?l0O`X0/03o1`00I_l907D0o`H0o`0j10009?lE0?l0Q`D0o`3?00<0oeH00?mj003oNP00
203oNP020?mF00/0oooo3@0<o`000`3@0?l006Ko001Vo`09001Vo`/0C_l000@0o`0]0?l0]P3o0;H0
o`2f2P00nOl3003om0D0oooo0`3oN@0<0?l`00<00>3o803oool001<0oooo0`1fo`03003oTP@0M_l0
00@00?3o003o6@00oaT0H03o101`o`000`3oO@00o`1o0?l0O`0;0?l0O`X0/03o1`00I_l00`0d0?l0
M@3o07D0o`0307D0o`T0o`0j0`009?lE0?l0Q`D0o`3?00<0oeH00?mj003oNP000`3oNP06000>o`03
0?mF003oool0oooo00T0oooo3@0<o`0;001Vo`d0C_l00P3o0;H<003io`L0oooo1@3oN@080?l`0080
o`348`3oool00180oooo0P1fo`07003oTP<0M_l00P00oaT00`00oj/0L?l0073o0003073o00d0o`1o
2P2`0?l7001Vo`0303@0o`3o03X0o`0j00`0o`0j0`009?lE0?l0Q`05003oW`3o0<l0o`3?0?l0c`3o
]P000P3oEP030?mj00P000ko2`3oool<00co00`006Ko3@1>o`000`3o0;H00?Wo003io`0<003io`H0
oooo1P3oN@060?l`00<0ogT08`3oool00180oooo0P1fo`07003oTP<0M_l000@00?lI003oZ`00oj/0
0?n[101`o`0=0?l0O`030?mm002`0?l0/03o00P0/03o00@0iOl0001Vo`00I_l006Ko0`0d0?l80?l0
>P@0]?l00`3o03X2000ToaD0o`270`00oil0103o0<l0okH00?nf003oEP020?mj00X000ko2`3oool;
00co00`006Ko3@1>o`0@003io`<0oooo0P00;?l207Ko00d0ogT08`3oool001<0oooo2@00oi801@1f
o`000?lI003o6@1P0?l00?n[00@0L?l00P3oO@0;0?l0O`80ogd000<0iOl00;00o`2`0?l01P2`0?l3
0>Go00H0=03o103o03X:0;Co00<002Co4`3o08L6003oW`030?nf003oEP00oeH000`000ko2P3oool:
00co00h006Ko2`1>o`0B003io`030?ooo`00;?l0M_l000D0M_l02P3oN@0T0?ooo`004`3oool9003o
TP0407Ko0000oaT00?lI0600o`80oeX00P1`o`030?mm00/0o`1o0`3oO@000`00okP0/03o0;00o`04
0;00o`D0iOl01P0d0?l20?l0>P`0]?l00P009?lC0?l0Q`L00?nO00<0okH0000>o`003_l02`003_l2
0?ooo`D0o`31103oool900co00h006Ko2`1>o`0B003io`030?ooo`00;?l0M_l000D0M_l0203oN@06
01d0ob00oooo000C0?ooo`T00?nB00@0M_l0003o6@00oaT00?lI0P3oFP060?mm00T0o`1o103oO@00
0`00okP0iOl00>Go00090>Go00D0=03o0P0`0?l>0;Co00030?lV00009?l0o`270100o`272000oil0
0`3o]P0000ko000>o`0<000>o`L0o`31103oool700co00030?ooo`00I_l006Ko00d006Ko2@1>o`00
0`3o02d00?Wo003io`0@003io`030?ooo`1fo`00M_l000H0M_l01P3oN@0801d0oal0oooo000D0?oo
o`L00?nB00<0M_l0003o6@00oaT00P00oaT00`3oFP00ogd00?mm00060?mm00L0o`1o1P3oO@0;0>Go
00@0=03o0P00oa/@0;Co0003003oIP3o08L0o`2700l0o`272@00oil>000>o`P0o`31103oool500co
0080oooo4000I_l704ko00030?l0;@00nOl00?Wo01800?Wo201fo`040?mi00`07@3o7@3oool001@0
oooo1`00oi85000Co`030?mJ003oO@00ogd000L0ogd01@3o07l70?mm00/0iOl00P0d0?l4003o6a00
]?l00P00ofH?0?l0Q`X00?nO3P003_l90?l0`@X0oooo4@00I_l504ko00030?l0;@1^0?l00?Wo01<0
0?Wo00<0oooo07Ko001fo`00101fo`000`3oool0ogT00?mi00020?mi00`07@3o7@3oool001@0oooo
0P00oaT3003oTP03003o6@004ol001?o00D001?o5@3oO@0;0>Go00030?ooo`00oa/00?lK00<00?lK
402do`03003oIPd0o`272`00oil>000>o`T0o`312`3oool?001Vo`D0o`0]0`1^0?lD003io`030?oo
o`1fo`00M_l000<0o`0^00<0M_l00?ooo`3oool00P3oool>01d0o`800?mn6P3oool001D0oooo0`00
oaT9000CoaD0ogd02P3Uo`020?ooo`@00?lK4P2do`04003oIPT0o`273@00oil=000>o`/0o`312P3o
ool?001Vo`@00?Ko101^0?lD003io`030?ooo`3o02h0o`0^00D0o`0^0P3oool@01d0o`<00?mn603o
ool001D0oooo0`00oaT9000CoaD0ogd02P3Uo`000`3oool00?lK003o6`03003o6a80]?l01000ofH2
0?o300D0o`274000oil<000>o`/0o`312`3oool=001Vo`H00?Ko101^0?lB003io`030?ooo`3o02h0
o`0^00L0o`0^00<0oooo01d0o`0M0?l03P0M0?l4003oOPD0oooo0P3^0?l@0?ooo`005@3oool2003o
6@/001?o4`3oO@020?o=00P0iOl000<0oooo07<0o`00oa/01000oa/B0;Co00@00?mV0`3o``000`3o
W0000?nO003oW`0A003oW`030?nf00003_l000ko00P000ko303o0<4<0?ooo`/006Ko1`00m_l406h0
o`H00?Wo00<0ob40003io`00nOl02@00nOl00`3oool0o`0^0?l0;P070?l0;P030?ooo`0M0?l07@3o
00h07@3o0`00ogh40?l0g0H0kP3o3P3oool001H0oooo2P004ol4003oj140ogd0103oc@060>Go00<0
L`3o1000oa/B0;Co00@00?mV103o``0C003oW`80okH020003_l00`3oool0o`310?l0`@090?l0`@`0
oooo0P00oi@9001Vo`P00?Ko101^0?l5003io`<0ob402P00nOl;0?l0;Q407@3o1@3o0=`80>h0o`d0
oooo000F0?ooo`L001?o2P00onP=0?mm00H0old0103Uo`00102Co`00L`3o07<0o`1c0?l5003o6a00
]?l01@00ofH50?o301400?nO103o]P06000>o`80oooo2`3o0<4<0?ooo`04003oU00h0?l0>03o03P0
o`D006Ko00<00?nD003fo`00m_l02000m_l406h0o`D00?Wo00<0ob40003io`00nOl02000nOl00`3o
ool0o`0^0?l0;P090?l0;Q007@3o1P3o0=`80>h0o`d0oooo000F0?ooo`H001?o3000onP<0?mm00@0
old01@3V0?l209?o0080L`3o0P3o0?D4003o6a00]?l01P00ofH40?o301400?nO1@3o]P080?ooo`T0
o`312`3oool2003ogPT0>03o0P00om/9003fo`@0KP3o00<0Tol0003io`00nOl03000nOl2017o00P0
o`0^0`3P0?l@01d0o`D0o`3L2P3^0?l<0?ooo`005P3oool5000Co`h00?oX2P3oO@030?o=00T0iP3o
0P1c0?l40?l0m@800?lK402do`05003oIPH0o`283`00oil0101G0?l0okH00?nf003o]P0;0?ooo`L0
o`312@3oool4003ogPP0>03o1P00om/6003fo`80KP3o1@2Co`0<003io`@04Ol0103o02h70>00o`h0
7@3o1P3o0=`:0>h0o``0oooo000F0?ooo`@001?o4000onP80?mm0080old03@3V0?l30?l0m@@0o`1C
3P2do`02003oQ0<00?mV1`3o08P?003oW`80E`3o3P3oool50?l0`@T0oooo1000omh803P0o`P00?oK
1@00m_l00`1^0?l0Tol009?o000509?o00X00?Wo1@0Ao`030?l0;PT0h03o300M0?l80?l0g0P0kP3o
3@3oool001H0oooo0`004olB003oj0D0ogd00`3oc@0?0>H0o`80o`3e103o05<00`3o0?D0]?l00;Co
000:0;Co00@00?n42P3o08P=003oW`@0E`3o4`3oool402h0o`<0oooo00D00?oN0:/0o`2[0?l0Z`3o
003ogP0803P0o`P00?oK1@00m_l;09?o00@00?Wo2@0Ao`000`3o02h0h03o0>00o`080>00o``07@3o
203o0=`80>h0o`d0oooo000G0?ooo`8001?o4P00onP30?mm00@0old04@3V0?l20?l0m@80o`1C0`3o
0?D:0;Co00D00?n4303o08P9003oW`L0E`3o3`3oool902h0o`H0Z`3o1`0h0?l:003of`<00?Ko402C
o`09017o00/0h03o0P3Co`0801d0o`<0dol0203o0=`60>h0o`030?l0g03oool0oooo00/0oooo000H
0?ooo`03000Co`00onP00?oX01000?oX00<00?nS0?o=003oc@00103oc@0A0>H0o`X0o`3e102do`00
0`3o0?D00?n4003oQ004003oQ0h0o`2800<0E`3o003oW`00oil00`00oil905L0o`h0oooo2P0^0?l6
0:/0o`L0>03o2P00om/00`3oool0KP3o09?o000@09?o000305`0o`0Ao`004Ol000D04Ol02`3P0?l4
0=?o00H07@3o1@3Co`090?l0g080kP3o0`3o0=`=0?ooo`00603ooolD003oj0D0old04`3V0?l?0?l0
m@@00?n43P3o08PA05L0o`030?lY003oool0oooo00@0oooo1@3Ro`0:02h0o`L0Z`3o200h0?l8003o
f`<0oooo4@2Co`000`1L0?l04Ol0017o0005017o00/0h03o3`3Co`0>0?l0g0d0oooo000D0?ooo`@0
G03o5000onP50?o=01<0iP3o3`3o0?D01000o`d00?n4003oQ000oh@>0?l0R140E`3o0P3o:@030?oo
o`H0h_l02`0^0?l70:/0o`P0>03o2000om/30?oooa80Tol01P0Ao`000`3oool0h03o0>00o`080>00
oa40dol00P3o0=`50?o`00H0o`3L3@3oool00180oooo1P1L0?lD003oj00404Go003oc@00old00?o=
01D0iP3o3P3o0?D0103oK`000?l=003o3@00o`d>0?l0R0<0E`3o1@3o3P0905L0o`<0obT000<0oooo
0>;o003Ro`001@3Ro`0902h0o`H0o`0b102[0?l803P0o`H00?oK0`3ooolD09?o00030?ooo`0Ao`00
4Ol00080oooo2`3P0?lA0=?o00030?l0g03ol000oo0000D0oo00103o0=`>0?ooo`004@3oool705`0
oa@00?oX00@0AOl00?o=003oc@00old05@3V0?l>0?l0m@80ofl000<00?l=0:?o003o08P03@3o08P2
05L0o`L0o`h0201G0?l20?lY00@0017o1@3Ro`0802h0o`P0o`0b0`2[0?l00`00omh0>03o03P0o`07
03P0o`800?oK1@3ooolD09?o00D0oooo2`3P0?lA0=?o00T0oo000`3o0=`>0?ooo`00403oool905`0
oa800?oX0P00oh@00`15o`00old00?o=000E0>H0o`d0o`3e103oK`000`2So`00o`280?l0R00<0?l0
R00305L0o`3o3P00o`h000L0o`h01`1G0?l9000Ao`030>;o000^0?l0;P3o00H0;P3o2P3o03820:/0
o`800?oN200h0?l70?oooa@0Tol01@3oool;0>00oa40dol02P3ol0000`3o0=`0oooo0?ooo`0=0?oo
o`00403oool905`0oa800?oX0P00oh@204Go00030?o=003V0?l0iP3o01<0iP3o303o0?D50?m_0003
0?lG003o08P0o`2800`0o`282`3o3P0505L0o`/0017o1`0^0?l<0?l0<P@00?oN1P0h0?l80?oooa@0
Tol01@3oool;0>00oa40dol02P3ol00@0?ooo`003`3oool:05`0oa800?oX00D00?n404Go0015o`00
AOl00:?o000E0>H0o`/0o`3e00<00?l=0?m_003oK`000P3oK`020?lG00030:?o003o08P0o`2800/0
o`282`3o3P0505L0o``0017o1@0^0?l=0?l0<PX00?oN2@3ooolB09?o00L0oooo2`3P0?l?0=?o00`0
oo003`3oool000l0oooo2`1L0?l@003oj0800?n40`15o`020:?o01<0iP3o00<0017o0022o`3o0?D0
203o0?D3003o3@80ofl0103o5`000`2So`00o`280?l0R0090?l0R0d0o`h00`1G0?l>000Ao`@0;P3o
3P3o0389003ogPP0oooo00<0oj4009?o002Co`00402Co`070?ooo`/0h03o3`3Co`0<0?o`00l0oooo
000?0?ooo``0G03o3P00onP2003oQ0@0AOl00P2So`0C0>H0o`04000Ao`00P_l0017o000Ao`@0o`3e
2000o`d40?lG0003003o3@3o08P0o`2800T0o`283@3o3P0205L0oa00017o0`0^0?l>0?l0<PP00?oN
1`3oool30?nQ0180Tol01`3oool80>00o`@0ogP03@3Co`0=0?o`00l0oooo000?0?ooo`d0G03o3000
onP00`00oh@0AOl004Go000304Go00@0Xol04@3V0?l6000Ao`<0O`3o2@00o`d20?lG00800?l=0P3o
o@080?l0R003000<o`3o3P00o`h000/0o`h000<0E`3o000Ao`004Ol03`004Ol302h0o`h0o`0b1`00
omh80?ooo`@0oj402@2Co`000`00Aol0Tol009?o000409?o00T0oooo1P3P0?l60?mh00/0dol00P2_
0?l;0?o`0100oooo000?0?ooo`h0G03o2P00onP704Go00@0Xol04@3V0?l7000Ao`80O`3o3000o`d4
0?om00H0o`280P3oo@000`003?l0o`h00?l>00090?l>00030?ooo`004Ol0017o0100017o0`0^0?l>
0?l0<PH00?oN203oool60?nQ00P0Tol000<004Oo09?o002Co`000`2Co`080?ooo`<00?mo103P0?l8
0?mh00T0dol00`2_0?l;0?o`0100oooo000@0?ooo`d0G03o0`15o`04003oj0X0AOl000<0oooo0:?o
002So`000P2So`0?0>H0o`T0017o00<0O`3o003o3@00o`d02@00o`d<0?om00800:ko2`3o3P0D000A
o`80;P3o3@3o0384003ogP/0oooo1`3oX@0<09?o000306`0o`3oool0oooo00D0oooo1@00ogl20>00
o`/0ogP01@3Co`060:l0o`T0oo004@3oool00100oooo3@1L0?l904Go00<0o`1S1015o`030?ooo`@0
Xol03@3V0?l<000Ao`T00?l=303oo@04002^o`T0o`h000<0oooo000Ao`004Ol04P004Ol302h0o``0
o`0b3`3oool80?nQ00X0Tol00P1/0?l70?ooo`H00?mo00<0h03o0?mh003oN0003P3oN0070:l0o`L0
oo004P3oool00140oooo2`1L0?l20?ooo`0404Go003o8`00ob<00?lS00<0AOl01@3o06<204Go00D0
oooo1@2So`090>H0o`h0017o2@00o`d<0?om00D00:ko1`3o3P020?oooa@0017o100^0?l:0?l0<P03
0?me003oool0oooo00h0oooo1`3oX@0306`0o`@0Tol01P1/0?l60?ooo`D00?mo0P004ol@0?mh00P0
[`3o1@3ol00C0?ooo`004P3oool905`0o`<0oooo1@3o8`000`15o`00o`1S0?l0H`050?l0H`L0oooo
1P2W0?l50>H0o`030?ooo`004Ol0017o00h0017o2000o`d<0?om00H00:ko1@3o3P030?oooa@0017o
00<0h_l00?ooo`3oool00P0^0?l80?l0<P80ogD0403oool00`1I0?l0oj400?nQ00040?nQ00h0K03o
103oool6003oO`03000Co`3oN000ogP00100ogP01P2_0?lI0?ooo`00503oool505`0o`@0oooo1`3o
8`070?l0H`H0oooo202W0?l4001Go`0308D0o`004Ol0017o00l0017o1P00o`d<0?om00`00:ko103o
oolB000Ao`030>;o003oool0oooo00@0oooo1P3o03820?me0140oooo00<0F@3o0?ooo`3oX@000P3o
X@0@06`0o`@0oooo1@00ogl2000Coa80ogP01@2_0?lJ0?ooo`007@3oool70?lS00L0o`1S1P3oool9
0:L0o`8005Oo00<0Q@3o0?ooo`004Ol04@004Ol5003o3@`0ood03000[_l40?oooa80017o9@3oool@
06`0o`D0oooo1000ogl2000Coa80ogP00`2_0?lL0?ooo`007@3oool70?lS00030?ooo`3o06<0o`1S
00<0o`1S203oool80:L0o`@0oooo4`004Ol0103oool00?l=003o3@00o`d=0?om00X00:ko1@3ooolB
000AobD0oooo401/0?l50?ooo`@00?mo0P004olB0?mh00030:l0o`3oool0oooo01`0oooo000N0?oo
o`D0ob<00`3oool30?l0H`T0oooo202W0?l50?oooa40017o1@3oool=0?om00X00:ko1P3oool@000A
obH0oooo401/0?l50?ooo`D00?mo0P004ol@0?mh0200oooo000O0?ooo`<0ob<04@3oool60:L0o`H0
oooo4@004Ol60?ooo``0ood02P00[_l70?ooo`h0017o9`3oool@06`0o`H0oooo1000ogl2000Coa00
ogP0803oool003D0oooo0P2W0?l90?ooo`l0017o1`3oool=0?om00P00:ko2@3oool<000AobT0oooo
3P1/0?l:0?ooo`800?mo00<001?o0?mh003oN0003P3oN00P0?ooo`00@03oool?000Ao`L0oooo403o
o@02002^o`d0oooo2P004Ol[0?ooo``0K03o3P3oool00`004ol0ogP00?mh000<0?mh0240oooo0011
0?ooo`d0017o2@3oool@0?om0140oooo10004Ol^0?ooo``0K03o3`3oool00`004ol0ogP00?mh000:
0?mh0280oooo00130?ooo`T0017o303oool>0?om04H0oooo201/0?lC0?ooo`X0ogP08`3oool004D0
oooo1@004Ol?0?ooo``0ood0B03oool606`0oaL0oooo103oN00V0?ooo`00FP3oool:0?om0900oooo
001M0?ooo`@0ood0T`3oool00001\
\>"],
  ImageRangeCache->{{{153.125, 303.375}, {559.5, 467.063}} -> {-1.26129, \
5.74968, 0.00478141, 0.00773478}},
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[17]=",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "The algebraic solution is given by the following steps. First solve the \
equations for ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  " and ",
  Cell[BoxData[
      \(TraditionalForm\`y\)]],
  "."
}], "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    \(Clear[x, y, r]\)], "Input",
  CellLabel->"In[18]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(soln = 
      Solve[{\((x - 1)\)\^2 + \((y - 1)\)\^2 \[Equal] 
            2, \((x + 3)\)\^2 + \((y - 4)\)\^2 \[Equal] r\^2}, {x, 
          y}]\)], "Input",
  CellLabel->"In[19]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    \({{x \[Rule] 
          1\/50\ \((\(-58\) + 4\ r\^2 - 
                3\ \@\(\(-529\) + 54\ r\^2 - r\^4\))\), 
        y \[Rule] 
          1\/50\ \((131 - 3\ r\^2 - 
                4\ \@\(\(-529\) + 54\ r\^2 - r\^4\))\)}, {x \[Rule] 
          1\/50\ \((\(-58\) + 4\ r\^2 + 
                3\ \@\(\(-529\) + 54\ r\^2 - r\^4\))\), 
        y \[Rule] 
          1\/50\ \((131 - 3\ r\^2 + 
                4\ \@\(\(-529\) + 54\ r\^2 - r\^4\))\)}}\)], "Output",
  CellLabel->"Out[19]=",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],

Cell[TextData[{
  "Then find those values of ",
  Cell[BoxData[
      \(TraditionalForm\`r\)]],
  " for which the ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  " and ",
  Cell[BoxData[
      \(TraditionalForm\`y\)]],
  " coordinates are identical."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[{\((x /. soln[\([1]\)])\) == \((x /. soln[\([2]\)])\), \((y /. 
              soln[\([1]\)])\) == \((y /. soln[\([2]\)])\)}, r]\)], "Input",
  CellLabel->"In[20]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    \({{r \[Rule] \(-5\) - \@2}, {r \[Rule] 
          5 - \@2}, {r \[Rule] \(-5\) + \@2}, {r \[Rule] 
          5 + \@2}}\)], "Output",
  CellLabel->"Out[20]=",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],

Cell[TextData[{
  "Here then are those values of ",
  Cell[BoxData[
      \(TraditionalForm\`r\)]],
  " that are positive."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Cases[%, {r \[Rule] _?Positive}]\)], "Input",
  CellLabel->"In[21]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    \({{r \[Rule] 5 - \@2}, {r \[Rule] 5 + \@2}}\)], "Output",
  CellLabel->"Out[21]=",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],

Cell["\<\
To display the solution, we will plot the first circle with solid lines and \
the two solutions with dashed lines together in one graphic. Here is the \
first circle centered at (1, 1).\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    \(\(circ = Circle[{1, 1}, \@2];\)\)], "Input",
  CellLabel->"In[22]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Show[
        Graphics[circ, Axes \[Rule] Automatic, 
          AspectRatio \[Rule] Automatic]];\)\)], "Input",
  CellLabel->"In[23]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.163282 0.336718 0.163282 0.336718 [
[.33164 .15078 -8.25 -11.875 ]
[.33164 .15078 8.25 0 ]
[.5 .15078 -4.5 -11.875 ]
[.5 .15078 4.5 0 ]
[.66836 .15078 -8.25 -11.875 ]
[.66836 .15078 8.25 0 ]
[.83672 .15078 -4.5 -11.875 ]
[.83672 .15078 4.5 0 ]
[.15078 .33164 -16.5 -5.9375 ]
[.15078 .33164 0 5.9375 ]
[.15078 .5 -9 -5.9375 ]
[.15078 .5 0 5.9375 ]
[.15078 .66836 -16.5 -5.9375 ]
[.15078 .66836 0 5.9375 ]
[.15078 .83672 -9 -5.9375 ]
[.15078 .83672 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.33164 .16328 m
.33164 .16953 L
s
gsave
.33164 .15078 -69.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.5 .16328 m
.5 .16953 L
s
gsave
.5 .15078 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.66836 .16328 m
.66836 .16953 L
s
gsave
.66836 .15078 -69.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.5) show
1.000 setlinewidth
grestore
.83672 .16328 m
.83672 .16953 L
s
gsave
.83672 .15078 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.125 Mabswid
.0286 .16328 m
.0286 .16703 L
s
.06227 .16328 m
.06227 .16703 L
s
.09594 .16328 m
.09594 .16703 L
s
.12961 .16328 m
.12961 .16703 L
s
.19695 .16328 m
.19695 .16703 L
s
.23063 .16328 m
.23063 .16703 L
s
.2643 .16328 m
.2643 .16703 L
s
.29797 .16328 m
.29797 .16703 L
s
.36531 .16328 m
.36531 .16703 L
s
.39898 .16328 m
.39898 .16703 L
s
.43266 .16328 m
.43266 .16703 L
s
.46633 .16328 m
.46633 .16703 L
s
.53367 .16328 m
.53367 .16703 L
s
.56734 .16328 m
.56734 .16703 L
s
.60102 .16328 m
.60102 .16703 L
s
.63469 .16328 m
.63469 .16703 L
s
.70203 .16328 m
.70203 .16703 L
s
.7357 .16328 m
.7357 .16703 L
s
.76937 .16328 m
.76937 .16703 L
s
.80305 .16328 m
.80305 .16703 L
s
.87039 .16328 m
.87039 .16703 L
s
.90406 .16328 m
.90406 .16703 L
s
.93773 .16328 m
.93773 .16703 L
s
.9714 .16328 m
.9714 .16703 L
s
.25 Mabswid
0 .16328 m
1 .16328 L
s
.16328 .33164 m
.16953 .33164 L
s
gsave
.15078 .33164 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.16328 .5 m
.16953 .5 L
s
gsave
.15078 .5 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.16328 .66836 m
.16953 .66836 L
s
gsave
.15078 .66836 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.5) show
1.000 setlinewidth
grestore
.16328 .83672 m
.16953 .83672 L
s
gsave
.15078 .83672 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.125 Mabswid
.16328 .0286 m
.16703 .0286 L
s
.16328 .06227 m
.16703 .06227 L
s
.16328 .09594 m
.16703 .09594 L
s
.16328 .12961 m
.16703 .12961 L
s
.16328 .19695 m
.16703 .19695 L
s
.16328 .23063 m
.16703 .23063 L
s
.16328 .2643 m
.16703 .2643 L
s
.16328 .29797 m
.16703 .29797 L
s
.16328 .36531 m
.16703 .36531 L
s
.16328 .39898 m
.16703 .39898 L
s
.16328 .43266 m
.16703 .43266 L
s
.16328 .46633 m
.16703 .46633 L
s
.16328 .53367 m
.16703 .53367 L
s
.16328 .56734 m
.16703 .56734 L
s
.16328 .60102 m
.16703 .60102 L
s
.16328 .63469 m
.16703 .63469 L
s
.16328 .70203 m
.16703 .70203 L
s
.16328 .7357 m
.16703 .7357 L
s
.16328 .76937 m
.16703 .76937 L
s
.16328 .80305 m
.16703 .80305 L
s
.16328 .87039 m
.16703 .87039 L
s
.16328 .90406 m
.16703 .90406 L
s
.16328 .93773 m
.16703 .93773 L
s
.16328 .9714 m
.16703 .9714 L
s
.25 Mabswid
.16328 0 m
.16328 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
.5 Mabswid
newpath
.5 .5 .47619 0 365.73 arc
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[23]:=",
  ImageSize->{200, 200},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000380000b2000`400?l00000o`00003o803oool0
0`000000oooo0?ooo`2U0?ooo`00803oool00`000000oooo0?ooo`2U0?ooo`00803oool00`000000
oooo0?ooo`2U0?ooo`00803oool00`000000oooo0?ooo`2U0?ooo`00803oool00`000000oooo0?oo
o`2U0?ooo`00803oool00`000000oooo0?ooo`0k0?ooo`/00000G`3oool00200oooo0P00000c0?oo
o`T000002`3oool9000005H0oooo000P0?ooo`030000003oool0oooo02d0oooo1@00000M0?ooo`D0
0000D@3oool00200oooo00<000000?ooo`3oool0:03oool5000002L0oooo1@00001<0?ooo`00803o
ool00`000000oooo0?ooo`0T0?ooo`@00000<@3oool4000004P0oooo000P0?ooo`030000003oool0
oooo0280oooo0P00000i0?ooo`800000AP3oool00200oooo00<000000?ooo`3oool07`3oool30000
03d0oooo0`0000130?ooo`00803oool00`000000oooo0?ooo`0M0?ooo`800000@`3oool200000440
oooo000P0?ooo`800000703oool2000004L0oooo0P00000o0?ooo`00803oool00`000000oooo0?oo
o`0I0?ooo`800000B`3oool2000003d0oooo000P0?ooo`030000003oool0oooo01L0oooo0P00001?
0?ooo`800000>`3oool00200oooo00<000000?ooo`3oool05@3oool2000005<0oooo0P00000i0?oo
o`00803oool00`000000oooo0?ooo`0C0?ooo`800000E`3oool2000003L0oooo000P0?ooo`030000
003oool0oooo0140oooo0P00001K0?ooo`800000=@3oool00200oooo00<000000?ooo`3oool03`3o
ool2000005l0oooo0P00000c0?ooo`00803oool2000000h0oooo0P00001S0?ooo`800000<@3oool0
0200oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`1U0?ooo`030000003oool0oooo
02h0oooo000P0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0I`3oool00`000000
oooo0?ooo`0]0?ooo`00803oool00`000000oooo0?ooo`090?ooo`8000003@3oool3000000<0oooo
00<000000?ooo`3oool00P00000M0?ooo`030000003oool0oooo01X0oooo00D000000?ooo`3oool0
oooo000000020?ooo`800000403oool2000000T0oooo1000000P0?ooo`00803oool00`000000oooo
0?ooo`070?ooo`8000003`3oool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo0000
01`0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo
00000140oooo0P0000080?ooo`030000003oool0oooo0200oooo000P0?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool03`3oool010000000oooo0?ooo`0000070?ooo`030000003oool0
oooo01X0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo0140oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0O0?ooo`00803oool20000
00H0oooo00<000000?ooo`3oool0403oool010000000oooo0?ooo`0000040?ooo`040000003oool0
oooo000001`0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`030?ooo`040000003o
ool0oooo000001@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0O0?ooo`00803o
ool00`000000oooo0?ooo`030?ooo`8000004`3oool010000000oooo0?ooo`0000040?ooo`<00000
7@3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo00<0oooo0`00000F0?ooo`800000
1P3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo01<0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`0K0?ooo`800000
6`3oool2000000H0oooo00<000000?ooo`3oool05`3oool010000000oooo0?ooo`0000020?ooo`03
0000003oool0oooo01h0oooo000P0?ooo`050000003oool0oooo0?ooo`0000005`3oool2000000H0
oooo0`00000L0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0103oool3000001P0
oooo00<000000?ooo`3oool00P00000Q0?ooo`00803oool010000000oooo0?ooo`00001n0?ooo`03
0000003oool0oooo02<0oooo000P0?ooo`040000003oool0oooo000007l0oooo00<000000?ooo`3o
ool08P3oool00200oooo0`0000210?ooo`8000008P3oool00<P0000000050?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo00<0oooo0P0000060?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo0P0000050?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo000N0?ooo`030000003oool0000008H0oooo00<000000?ooo`3oool07P3oool001h0
oooo00<000000?ooo`000000Q`3oool00`000000oooo0?ooo`0M0?ooo`00703oool200000080oooo
00<000000?ooo`3oool0QP3oool2000001d0oooo000K0?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool0R03oool00`000000oooo0?ooo`0J0?ooo`006P3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo08T0oooo00<000000?ooo`3oool06@3oool001T0oooo00<000000?oo
o`3oool0103oool2000008X0oooo00<000000?ooo`3oool06@3oool001T0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`2:0?ooo`030000003oool0oooo01P0oooo000H0?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0R`3oool00`000000oooo0?ooo`0G0?ooo`005`3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo08`0oooo00<000000?ooo`3oool05P3o
ool001H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`2<0?ooo`030000003oool0
oooo01H0oooo000F0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0S@3oool00`00
0000oooo0?ooo`0E0?ooo`005@3oool00`000000oooo0?ooo`080?ooo`800000SP3oool00`000000
oooo0?ooo`0E0?ooo`005@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo08h0oooo
00<000000?ooo`3oool0503oool001@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`2?0?ooo`030000003oool0oooo01<0oooo000C0?ooo`030000003oool0oooo00X0oooo00<00000
0?ooo`3oool0T03oool00`000000oooo0?ooo`0B0?ooo`004P3oool00`000000oooo0?ooo`0;0?oo
o`030000003oool0oooo0900oooo00<000000?ooo`3oool04P3oool00180oooo00<000000?ooo`3o
ool02`3oool00`000000oooo0?ooo`2A0?ooo`030000003oool0oooo0140oooo000A0?ooo`030000
003oool0oooo00`0oooo00<000000?ooo`3oool0T@3oool00`000000oooo0?ooo`0A0?ooo`004@3o
ool00`000000oooo0?ooo`0<0?ooo`800000T`3oool00`000000oooo0?ooo`0@0?ooo`00403oool0
0`000000oooo0?ooo`0=0?ooo`030000003oool0oooo0980oooo00<000000?ooo`3oool0403oool0
0100oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`2C0?ooo`030000003oool0oooo
00l0oooo000?0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0T`3oool00`000000
oooo0?ooo`0?0?ooo`003`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo09@0oooo
00<000000?ooo`3oool03P3oool000h0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?oo
o`2D0?ooo`030000003oool0oooo00h0oooo000>0?ooo`030000003oool0oooo00l0oooo00<00000
0?ooo`3oool0U@3oool00`000000oooo0?ooo`0=0?ooo`003@3oool00`000000oooo0?ooo`0@0?oo
o`800000UP3oool00`000000oooo0?ooo`0=0?ooo`003@3oool00`000000oooo0?ooo`0@0?ooo`03
0000003oool0oooo09H0oooo00<000000?ooo`3oool0303oool000`0oooo00<000000?ooo`3oool0
4@3oool00`000000oooo0?ooo`2F0?ooo`030000003oool0oooo00`0oooo000<0?ooo`030000003o
ool0oooo0140oooo00<000000?ooo`3oool0U`3oool00`000000oooo0?ooo`0;0?ooo`002`3oool0
10000000oooo0?ooo`3oool3000000<0oooo00<000000?ooo`3oool00P0000060?ooo`030000003o
ool0oooo09L0oooo00<000000?ooo`3oool02`3oool000/0oooo00D000000?ooo`3oool0oooo0000
00020?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000001@3oool00`000000oooo
0?ooo`2H0?ooo`030000003oool0oooo00X0oooo000;0?ooo`050000003oool0oooo0?ooo`000000
0P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo0P00002I0?ooo`030000
003oool0oooo00X0oooo000:0?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool00000
103oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo09T0oooo00<000000?ooo`3o
ool02@3oool000X0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000040?ooo`<0
00001P3oool00`000000oooo0?ooo`2I0?ooo`030000003oool0oooo00T0oooo00090?ooo`030000
003oool0oooo00<0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo09T0oooo00<000000?ooo`3oool02@3oool000T0oooo00<000000?ooo`3oool0
103oool2000000H0oooo0`0000050?ooo`030000003oool0oooo09X0oooo00<000000?ooo`3oool0
203oool000P0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`2J0?ooo`030000003o
ool0oooo00P0oooo00080?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0V`3oool0
0`000000oooo0?ooo`070?ooo`00203oool00`000000oooo0?ooo`0E0?ooo`800000W03oool00`00
0000oooo0?ooo`070?ooo`00203oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo09/0
oooo00<000000?ooo`3oool01`3oool000P0oooo00<000000?ooo`3oool05@3oool00`000000oooo
0?ooo`2K0?ooo`030000003oool0oooo00L0oooo00070?ooo`030000003oool0oooo01H0oooo00<0
00000?ooo`3oool0W03oool00`000000oooo0?ooo`060?ooo`001`3oool00`000000oooo0?ooo`0F
0?ooo`030000003oool0oooo09`0oooo00<000000?ooo`3oool01P3oool000L0oooo00<000000?oo
o`3oool05P3oool00`000000oooo0?ooo`2L0?ooo`030000003oool0oooo00H0oooo00070?ooo`03
0000003oool0oooo01H0oooo00<000000?ooo`3oool0W03oool00`000000oooo0?ooo`060?ooo`00
1P3oool00`000000oooo0?ooo`0G0?ooo`800000W@3oool00`000000oooo0?ooo`060?ooo`001P3o
ool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo09d0oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`2M0?ooo`030000003oool0
oooo00D0oooo00060?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0W@3oool00`00
0000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo09d0
oooo00<000000?ooo`3oool01@3oool000D0oooo00<000000?ooo`3oool0603oool00`000000oooo
0?ooo`2M0?ooo`030000003oool0oooo00D0oooo00050?ooo`030000003oool0oooo01P0oooo00<0
00000?ooo`3oool0WP3oool00`000000oooo0?ooo`040?ooo`001@3oool00`000000oooo0?ooo`0H
0?ooo`800000W`3oool00`000000oooo0?ooo`040?ooo`001@3oool00`000000oooo0?ooo`0H0?oo
o`030000003oool0oooo09h0oooo00<000000?ooo`3oool0103oool000D0oooo00<000000?ooo`3o
ool0603oool00`000000oooo0?ooo`2N0?ooo`030000003oool0oooo00@0oooo00050?ooo`030000
003oool0oooo01P0oooo00<000000?ooo`3oool0WP3oool00`000000oooo0?ooo`040?ooo`001@3o
ool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo09h0oooo00<000000?ooo`3oool0103o
ool000D0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`2N0?ooo`030000003oool0
oooo00@0oooo00050?ooo`030000003oool0oooo01P0oooo0P00002O0?ooo`030000003oool0oooo
00@0oooo00040?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0WP3oool00`000000
oooo0?ooo`040?ooo`00103oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo09l0oooo
00<000000?ooo`3oool00`3oool000@0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?oo
o`2O0?ooo`030000003oool0oooo00<0oooo00040?ooo`030000003oool0oooo01T0oooo00<00000
0?ooo`3oool0W`3oool00`000000oooo0?ooo`030?ooo`00103oool00`000000oooo0?ooo`0B0?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0W`3oool00`000000oooo0?ooo`030?oo
o`00103oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0W`3oool00`000000oooo0?ooo`030?ooo`00103oool00`000000oooo0?ooo`0B0?ooo`030000
003oool0oooo00@0oooo0P00002P0?ooo`030000003oool0oooo00<0oooo00040?ooo`030000003o
ool0oooo0180oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`2O0?ooo`030000003o
ool0oooo00<0oooo00040?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`2O0?ooo`030000003oool0oooo00<0oooo00040?ooo`030000003oool0oooo
0140oooo0P0000060?ooo`030000003oool0oooo09l0oooo00<000000?ooo`3oool00`3oool000@0
oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo09l0
oooo00<000000?ooo`3oool00`3oool000@0oooo00<000000?ooo`3oool06@3oool00`000000oooo
0?ooo`2O0?ooo`030000003oool0oooo00<0oooo00040?ooo`030000003oool0oooo01T0oooo00<0
00000?ooo`3oool0WP3oool00`000000oooo0?ooo`040?ooo`001@3oool00`000000oooo0?ooo`0H
0?ooo`800000W`3oool00`000000oooo0?ooo`040?ooo`001@3oool00`000000oooo0?ooo`0H0?oo
o`030000003oool0oooo09h0oooo00<000000?ooo`3oool0103oool000D0oooo00<000000?ooo`3o
ool0603oool00`000000oooo0?ooo`2N0?ooo`030000003oool0oooo00@0oooo00050?ooo`030000
003oool0oooo01P0oooo00<000000?ooo`3oool0WP3oool00`000000oooo0?ooo`040?ooo`001@3o
ool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo09h0oooo00<000000?ooo`3oool0103o
ool000D0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`2N0?ooo`030000003oool0
oooo00@0oooo00050?ooo`030000003oool0oooo01P0oooo0P00002O0?ooo`030000003oool0oooo
00@0oooo00050?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0WP3oool00`000000
oooo0?ooo`040?ooo`001@3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo09d0oooo
00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?oo
o`2M0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo01L0oooo00<00000
0?ooo`3oool0W@3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`0G0?oo
o`030000003oool0oooo09d0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3o
ool05`3oool00`000000oooo0?ooo`2M0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000
003oool0oooo01L0oooo0P00002M0?ooo`030000003oool0oooo00H0oooo00070?ooo`030000003o
ool0oooo01H0oooo00<000000?ooo`3oool0W03oool00`000000oooo0?ooo`060?ooo`001`3oool0
0`000000oooo0?ooo`0F0?ooo`030000003oool0oooo09`0oooo00<000000?ooo`3oool01P3oool0
00L0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`2L0?ooo`030000003oool0oooo
00H0oooo00070?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0W03oool00`000000
oooo0?ooo`060?ooo`00203oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo09/0oooo
00<000000?ooo`3oool01`3oool000P0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`2K0?ooo`030000003oool0oooo00L0oooo00080?ooo`030000003oool0oooo01D0oooo0P00002L
0?ooo`030000003oool0oooo00L0oooo00080?ooo`030000003oool0oooo01D0oooo00<000000?oo
o`3oool0V`3oool00`000000oooo0?ooo`070?ooo`00203oool00`000000oooo0?ooo`0E0?ooo`03
0000003oool0oooo09X0oooo00<000000?ooo`3oool0203oool000T0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`2J0?ooo`030000003oool0oooo00P0oooo00090?ooo`030000003o
ool0oooo00D0oooo00D000000?ooo`3oool0oooo000000020?ooo`8000001P3oool00`000000oooo
0?ooo`2I0?ooo`030000003oool0oooo00T0oooo000:0?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool00`3oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo09T0oooo
00<000000?ooo`3oool02@3oool000X0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0V@3oool00`000000oooo0?oo
o`090?ooo`002`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00@00000
0?ooo`3oool000001@3oool2000009T0oooo00<000000?ooo`3oool02P3oool000/0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`<000001P3oool00`000000oooo0?ooo`2H
0?ooo`030000003oool0oooo00X0oooo000;0?ooo`030000003oool0oooo0080oooo0P0000060?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0U`3oool00`000000oooo0?ooo`0;0?oo
o`00303oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo0`0000050?ooo`03
0000003oool0oooo09L0oooo00<000000?ooo`3oool02`3oool000`0oooo00<000000?ooo`3oool0
4@3oool00`000000oooo0?ooo`2F0?ooo`030000003oool0oooo00`0oooo000=0?ooo`030000003o
ool0oooo0100oooo00<000000?ooo`3oool0UP3oool00`000000oooo0?ooo`0<0?ooo`003@3oool0
0`000000oooo0?ooo`0@0?ooo`800000UP3oool00`000000oooo0?ooo`0=0?ooo`003P3oool00`00
0000oooo0?ooo`0?0?ooo`030000003oool0oooo09D0oooo00<000000?ooo`3oool03@3oool000h0
oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`2D0?ooo`030000003oool0oooo00h0
oooo000?0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0U03oool00`000000oooo
0?ooo`0>0?ooo`003`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo09<0oooo00<0
00000?ooo`3oool03`3oool00100oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`2C
0?ooo`030000003oool0oooo00l0oooo000@0?ooo`030000003oool0oooo00d0oooo00<000000?oo
o`3oool0TP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`0<0?ooo`80
0000T`3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`0<0?ooo`030000
003oool0oooo0940oooo00<000000?ooo`3oool04@3oool00180oooo00<000000?ooo`3oool02`3o
ool00`000000oooo0?ooo`2A0?ooo`030000003oool0oooo0140oooo000B0?ooo`030000003oool0
oooo00/0oooo00<000000?ooo`3oool0T03oool00`000000oooo0?ooo`0B0?ooo`004`3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo0900oooo00<000000?ooo`3oool04P3oool001@0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`2?0?ooo`030000003oool0oooo01<0
oooo000E0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0SP3oool00`000000oooo
0?ooo`0D0?ooo`005@3oool00`000000oooo0?ooo`080?ooo`800000SP3oool00`000000oooo0?oo
o`0E0?ooo`005P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo08d0oooo00<00000
0?ooo`3oool05@3oool001H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`2<0?oo
o`030000003oool0oooo01H0oooo000G0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool0S03oool00`000000oooo0?ooo`0F0?ooo`00603oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo08/0oooo00<000000?ooo`3oool05`3oool001T0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`2:0?ooo`030000003oool0oooo01P0oooo000I0?ooo`030000003oool0
oooo00@0oooo0P00002:0?ooo`030000003oool0oooo01T0oooo000J0?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool0R@3oool00`000000oooo0?ooo`0I0?ooo`006`3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo08P0oooo00<000000?ooo`3oool06P3oool001`0oooo
00D000000?ooo`3oool0oooo000000290?ooo`030000003oool0oooo01/0oooo000M0?ooo`800000
00<0oooo0000003oool0QP3oool2000001h0oooo000G0?ooo`@000000`3oool00`000000oooo0000
00260?ooo`030000003oool0oooo01h0oooo000H0?ooo`030000003oool0oooo00@0oooo0P000026
0?ooo`030000003oool0oooo01h0oooo000I0?ooo`030000003oool0oooo00@0oooo0P0000240?oo
o`030000003oool0oooo01l0oooo000I0?ooo`030000003oool0oooo00@0oooo0P0000230?ooo`03
0000003oool0oooo0200oooo000J0?ooo`030000003oool0oooo00<0oooo00@000000?ooo`000000
0000O`3oool2000002<0oooo000G0?ooo`040000003oool0oooo000000D0oooo00@000000?ooo`3o
ool00000OP3oool00`000000oooo0?ooo`0S0?ooo`00603oool2000000H0oooo00D000000?ooo`3o
ool0oooo0000001m0?ooo`030000003oool0oooo02<0oooo000P0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool0N@3oool00`000000oooo0?ooo`0T0?ooo`00803oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo07L0oooo00<000000?ooo`3oool09@3oool00200oooo0P00
00050?ooo`800000M@3oool2000002P0oooo000P0?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool0L@3oool00`000000oooo0?ooo`0X0?ooo`00803oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo06l0oooo00<000000?ooo`3oool0:@3oool00200oooo00<000000?ooo`3o
ool0203oool2000006d0oooo0P00000/0?ooo`00803oool00`000000oooo0?ooo`0:0?ooo`800000
J@3oool2000002h0oooo000P0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0I@3o
ool00`000000oooo0?ooo`0^0?ooo`00803oool2000000h0oooo00<000000?ooo`3oool0H`3oool0
0`000000oooo0?ooo`0_0?ooo`00803oool00`000000oooo0?ooo`0>0?ooo`800000H@3oool20000
0380oooo000P0?ooo`030000003oool0oooo0100oooo0P00001M0?ooo`800000=03oool00200oooo
00<000000?ooo`3oool04P3oool2000005T0oooo0P00000f0?ooo`00803oool00`000000oooo0?oo
o`0D0?ooo`800000E@3oool2000003P0oooo000P0?ooo`030000003oool0oooo01H0oooo0P00001A
0?ooo`800000>P3oool00200oooo00<000000?ooo`3oool0603oool2000004d0oooo0P00000l0?oo
o`00803oool2000001/0oooo0P0000190?ooo`800000?P3oool00200oooo00<000000?ooo`3oool0
703oool3000004<0oooo0`0000100?ooo`00803oool00`000000oooo0?ooo`0O0?ooo`800000?`3o
ool2000004<0oooo000P0?ooo`030000003oool0oooo0240oooo0P00000k0?ooo`800000A@3oool0
0200oooo00<000000?ooo`3oool08`3oool500000340oooo1@0000170?ooo`00803oool00`000000
oooo0?ooo`0X0?ooo`@00000:@3oool4000004`0oooo000P0?ooo`030000003oool0oooo02`0oooo
1@00000O0?ooo`D00000D03oool00200oooo0P00000b0?ooo`T000003@3oool9000005D0oooo000P
0?ooo`030000003oool0oooo03X0oooo3@00001N0?ooo`00803oool00`000000oooo0?ooo`2U0?oo
o`00803oool00`000000oooo0?ooo`2U0?ooo`00803oool00`000000oooo0?ooo`2U0?ooo`00803o
ool00`000000oooo0?ooo`2U0?ooo`00\
\>"],
  ImageRangeCache->{{{153.125, 276.125}, {576, 453}} -> {-4.18219, 10.4529, \
0.0149701, 0.0149701}},
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],

Cell[TextData[{
  "Notice that we have used the ",
  StyleBox["Axes", "MR"],
  " and ",
  StyleBox["AspectRatio", "MR"],
  " options because we want these commands to apply to the entire graphic."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell["\<\
Here are the circles that represent the solution to the problem.\
\>", "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[{
    \(\(r1 = 5 - \@2;\)\), "\n", 
    \(\(r2 = 5 + \@2;\)\)}], "Input",
  CellLabel->"In[24]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Show[
        Graphics[{circ, Circle[{\(-3\), 4}, r1], Circle[{\(-3\), 4}, r2]}, 
          Axes \[Rule] Automatic, 
          AspectRatio \[Rule] Automatic]];\)\)], "Input",
  CellLabel->"In[26]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.72272 0.0742399 0.20304 0.0742399 [
[.1288 .19054 -7.59375 -11.875 ]
[.1288 .19054 7.59375 0 ]
[.27728 .19054 -7.59375 -11.875 ]
[.27728 .19054 7.59375 0 ]
[.42576 .19054 -7.59375 -11.875 ]
[.42576 .19054 7.59375 0 ]
[.57424 .19054 -7.59375 -11.875 ]
[.57424 .19054 7.59375 0 ]
[.8712 .19054 -4.5 -11.875 ]
[.8712 .19054 4.5 0 ]
[.71022 .05456 -15.1875 -5.9375 ]
[.71022 .05456 0 5.9375 ]
[.71022 .35152 -9 -5.9375 ]
[.71022 .35152 0 5.9375 ]
[.71022 .5 -9 -5.9375 ]
[.71022 .5 0 5.9375 ]
[.71022 .64848 -9 -5.9375 ]
[.71022 .64848 0 5.9375 ]
[.71022 .79696 -9 -5.9375 ]
[.71022 .79696 0 5.9375 ]
[.71022 .94544 -14 -5.9375 ]
[.71022 .94544 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.1288 .20304 m
.1288 .20929 L
s
gsave
.1288 .19054 -68.5938 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(8) show
1.000 setlinewidth
grestore
.27728 .20304 m
.27728 .20929 L
s
gsave
.27728 .19054 -68.5938 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
.42576 .20304 m
.42576 .20929 L
s
gsave
.42576 .19054 -68.5938 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4) show
1.000 setlinewidth
grestore
.57424 .20304 m
.57424 .20929 L
s
gsave
.57424 .19054 -68.5938 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.8712 .20304 m
.8712 .20929 L
s
gsave
.8712 .19054 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.125 Mabswid
.16592 .20304 m
.16592 .20679 L
s
.20304 .20304 m
.20304 .20679 L
s
.24016 .20304 m
.24016 .20679 L
s
.3144 .20304 m
.3144 .20679 L
s
.35152 .20304 m
.35152 .20679 L
s
.38864 .20304 m
.38864 .20679 L
s
.46288 .20304 m
.46288 .20679 L
s
.5 .20304 m
.5 .20679 L
s
.53712 .20304 m
.53712 .20679 L
s
.61136 .20304 m
.61136 .20679 L
s
.64848 .20304 m
.64848 .20679 L
s
.6856 .20304 m
.6856 .20679 L
s
.75984 .20304 m
.75984 .20679 L
s
.79696 .20304 m
.79696 .20679 L
s
.83408 .20304 m
.83408 .20679 L
s
.09168 .20304 m
.09168 .20679 L
s
.05456 .20304 m
.05456 .20679 L
s
.01744 .20304 m
.01744 .20679 L
s
.90832 .20304 m
.90832 .20679 L
s
.94544 .20304 m
.94544 .20679 L
s
.98256 .20304 m
.98256 .20679 L
s
.25 Mabswid
0 .20304 m
1 .20304 L
s
.72272 .05456 m
.72897 .05456 L
s
gsave
.71022 .05456 -76.1875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.72272 .35152 m
.72897 .35152 L
s
gsave
.71022 .35152 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.72272 .5 m
.72897 .5 L
s
gsave
.71022 .5 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4) show
1.000 setlinewidth
grestore
.72272 .64848 m
.72897 .64848 L
s
gsave
.71022 .64848 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
.72272 .79696 m
.72897 .79696 L
s
gsave
.71022 .79696 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(8) show
1.000 setlinewidth
grestore
.72272 .94544 m
.72897 .94544 L
s
gsave
.71022 .94544 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(10) show
1.000 setlinewidth
grestore
.125 Mabswid
.72272 .09168 m
.72647 .09168 L
s
.72272 .1288 m
.72647 .1288 L
s
.72272 .16592 m
.72647 .16592 L
s
.72272 .24016 m
.72647 .24016 L
s
.72272 .27728 m
.72647 .27728 L
s
.72272 .3144 m
.72647 .3144 L
s
.72272 .38864 m
.72647 .38864 L
s
.72272 .42576 m
.72647 .42576 L
s
.72272 .46288 m
.72647 .46288 L
s
.72272 .53712 m
.72647 .53712 L
s
.72272 .57424 m
.72647 .57424 L
s
.72272 .61136 m
.72647 .61136 L
s
.72272 .6856 m
.72647 .6856 L
s
.72272 .72272 m
.72647 .72272 L
s
.72272 .75984 m
.72647 .75984 L
s
.72272 .83408 m
.72647 .83408 L
s
.72272 .8712 m
.72647 .8712 L
s
.72272 .90832 m
.72647 .90832 L
s
.72272 .01744 m
.72647 .01744 L
s
.72272 .98256 m
.72647 .98256 L
s
.25 Mabswid
.72272 0 m
.72272 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
.5 Mabswid
newpath
.79696 .27728 .10499 0 365.73 arc
s
newpath
.5 .5 .26621 0 365.73 arc
s
newpath
.5 .5 .47619 0 365.73 arc
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[26]:=",
  ImageSize->{187.625, 187.625},
  ImageMargins->{{42.625, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40002k0000^b000`400?l00000o`00003oQP3oool0
0`000000oooo0?ooo`0b0?ooo`00QP3oool00`000000oooo0?ooo`0b0?ooo`00QP3oool00`000000
oooo0?ooo`0b0?ooo`00QP3oool2000003<0oooo001H0?ooo`X00000903oool00`000000oooo0?oo
o`0b0?ooo`00C`3oool9000000X0oooo2@00000K0?ooo`030000003oool0oooo0380oooo001;0?oo
o`@00000703oool5000001H0oooo00<000000?ooo`3oool0<P3oool004L0oooo1000000U0?ooo`@0
00004P3oool00`000000oooo0?ooo`0b0?ooo`00@`3oool4000002d0oooo100000050?ooo`@00000
1@3oool00`000000oooo0?ooo`0b0?ooo`00@03oool3000003D0oooo0P0000040?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0<P3oool003`0oooo1000000h0?ooo`H0000000<0oooo
0000003oool01@3oool300000380oooo000j0?ooo`800000@P3oool2000000H0oooo00<000000?oo
o`3oool0<P3oool003P0oooo0P0000160?ooo`800000103oool00`000000oooo0?ooo`0b0?ooo`00
=P3oool2000004D0oooo00D000000?ooo`3oool000000?ooo`0200000080oooo00<000000?ooo`3o
ool0<P3oool003@0oooo0P0000180?ooo`800000103oool3000003@0oooo000b0?ooo`800000DP3o
ool2000003<0oooo000`0?ooo`800000E03oool010000000oooo00000000000a0?ooo`00;P3oool2
000005H0oooo0P0000020?ooo`800000;`3oool002d0oooo00<000000?ooo`3oool0EP3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo02`0oooo000]0?ooo`030000003oool0oooo05H0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0[0?ooo`00:`3oool2000005T0oooo
00<000000?ooo`3oool01@3oool2000002/0oooo000Y0?ooo`800000F`3oool00`000000oooo0?oo
o`070?ooo`800000:@3oool002L0oooo0P00001M0?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool09P3oool002H0oooo00<000000?ooo`3oool0G@3oool00`000000oooo0?ooo`0:0?oo
o`030000003oool0oooo02D0oooo000U0?ooo`030000003oool0oooo05h0oooo0P00000<0?ooo`03
0000003oool0oooo02@0oooo000T0?ooo`030000003oool0oooo05l0oooo00<000000?ooo`3oool0
303oool2000002@0oooo000S0?ooo`030000003oool0oooo0600oooo00<000000?ooo`3oool03P3o
ool00`000000oooo0?ooo`0Q0?ooo`006@3oool2000000L0oooo00<000000?ooo`3oool0403oool2
000001`0oooo00<000000?ooo`3oool05@3oool4000001L0oooo00<000000?ooo`3oool03`3oool0
0`000000oooo0?ooo`050?ooo`@000005`3oool001P0oooo00@000000?ooo`3oool00000103oool2
00000180oooo00@000000?ooo`3oool000006`3oool00`000000oooo0?ooo`0F0?ooo`030000003o
ool0oooo01L0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo01L0oooo000C0?ooo`@0000000D0oooo0000003oool0oooo000000030?ooo`030000003o
ool0oooo00d0oooo100000001@3oool000000?ooo`3oool000000180oooo100000020?ooo`D00000
4@3oool4000000<0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0A0?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool05P3oool001T0oooo0P0000040?ooo`030000003o
ool0oooo0180oooo00@000000?ooo`3oool00000603oool010000000oooo0?ooo`00000I0?ooo`03
0000003oool0oooo01H0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo01H0oooo000H0?ooo`050000003oool0oooo0000003oool00P00000E0?ooo`<0
00006P3oool00`000000oooo0000000J0?ooo`030000003oool0oooo01D0oooo0P00000D0?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool05@3oool001P0oooo00<000000?ooo`3oool0
0P00000G0?ooo`040000003oool0oooo000001X0oooo0P00000G0?ooo`040000003oool0oooo0000
01L0oooo00<000000?ooo`3oool02@3oool7000000@0oooo00@000000?ooo`3oool000000P3oool0
0`000000oooo0?ooo`0E0?ooo`006@3oool2000000030?ooo`000000oooo01L0oooo0P00000L0?oo
o`030000003oool0oooo01H0oooo0P00000H0?ooo`030000003oool0oooo00D0oooo100000070?oo
o`<000000P3oool00`000000oooo0?ooo`02000001P0oooo000J0?ooo`800000JP3oool00`000000
oooo0?ooo`030?ooo`8000003P3oool2000000030?ooo`000000oooo01X0oooo000I0?ooo`030000
003oool0oooo06X0oooo00@000000?ooo`3oool0oooo0P00000B0?ooo`<000006P3oool001T0oooo
00<000000?ooo`3oool0JP3oool010000000oooo0?ooo`00000F0?ooo`8000006@3oool001P0oooo
00<000000?ooo`3oool0J`3oool3000001P0oooo00<000000?ooo`3oool05`3oool00;/00000000F
0?ooo`030000003oool0000001X0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0I
0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool06@3oool2000001L0oooo000F0?oo
o`030000003oool0oooo06`0oooo0P00000L0?ooo`8000005P3oool001D0oooo00<000000?ooo`3o
ool0K03oool00`000000oooo0000000M0?ooo`8000005@3oool001@0oooo00<000000?ooo`3oool0
K03oool010000000oooo0?ooo`00000N0?ooo`030000003oool0oooo01<0oooo000C0?ooo`030000
003oool0oooo06d0oooo00@000000?ooo`3oool000007P3oool2000001@0oooo000B0?ooo`030000
003oool0oooo03l0oooo4`00000K0?ooo`050000003oool0oooo0?ooo`0000007`3oool00`000000
oooo0?ooo`0B0?ooo`004P3oool00`000000oooo0?ooo`0j0?ooo`D000004`3oool5000001H0oooo
00@000000?ooo`3oool0oooo0P00000N0?ooo`8000004`3oool00140oooo00<000000?ooo`3oool0
>@3oool2000001d0oooo0P00000C0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
7P3oool200000180oooo000A0?ooo`030000003oool0oooo03H0oooo0`00000Q0?ooo`8000004@3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo01h0oooo00<000000?ooo`0000004@3o
ool00100oooo00<000000?ooo`3oool0=@3oool2000002H0oooo0P00000?0?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool07P3oool00`000000oooo0000000A0?ooo`00403oool00`00
0000oooo0?ooo`0c0?ooo`800000:P3oool3000000`0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`0N0?ooo`040000003oool0oooo00000100oooo000?0?ooo`030000003oool0oooo
0380oooo0P00000_0?ooo`8000002P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
01l0oooo00<000000?ooo`000000403oool000l0oooo00<000000?ooo`3oool0<03oool2000003<0
oooo0P0000080?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool07`3oool010000000
oooo0?ooo`00000?0?ooo`003P3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo03D0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`800000803oool010000000
oooo0?ooo`00000?0?ooo`003P3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo03L0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo01l0
oooo00D000000?ooo`3oool0oooo0000000>0?ooo`003@3oool00`000000oooo0?ooo`0^0?ooo`80
0000>`3oool2000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0O0?ooo`05
0000003oool0oooo0?ooo`0000003P3oool000d0oooo00<000000?ooo`3oool0;@3oool00`000000
oooo0?ooo`0m0?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`0N0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool02`3oool000`0oooo00<000000?ooo`3o
ool0;@3oool00`000000oooo0?ooo`0o0?ooo`040000003oool0oooo000000@0oooo00<000000?oo
o`3oool07P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00/0oooo000<0?ooo`03
0000003oool0oooo02`0oooo00<000000?ooo`3oool0@@3oool00`000000oooo000000040?ooo`03
0000003oool0oooo01h0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0:0?ooo`00
2`3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo04<0oooo00<000000?ooo`000000
0`3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
2P3oool000/0oooo00<000000?ooo`3oool0:P3oool2000004L0oooo0P0000030?ooo`8000007P3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00T0oooo000:0?ooo`030000003oool0
oooo02X0oooo00<000000?ooo`3oool0B03oool200000080oooo00<000000?ooo`3oool0703oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo00T0oooo000:0?ooo`030000003oool0oooo
02X0oooo00<000000?ooo`3oool0B@3oool010000000oooo0?ooo`00000N0?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool0203oool000T0oooo00<000000?ooo`3oool0:P3oool00`00
0000oooo0?ooo`1:0?ooo`80000000<0oooo0000003oool0703oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo00P0oooo00090?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3o
ool0A@3oool4000000<0oooo0`00000M0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool0203oool000T0oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`170?ooo`030000
003oool0oooo00@0oooo0P00000L0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
203oool000T0oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`180?ooo`030000003o
ool0oooo00@0oooo0`00000J0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool01`3o
ool000P0oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`190?ooo`030000003oool0
oooo00@0oooo0P00000J0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool01`3oool0
00P0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`1;0?ooo`030000003oool0oooo
00<0oooo0`00000G0?ooo`800000403oool00`000000oooo0?ooo`060?ooo`001`3oool00`000000
oooo0?ooo`0W0?ooo`030000003oool0oooo04T0oooo00@000000?ooo`3oool000001@3oool20000
00030?ooo`000000oooo01@0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`060?oo
o`001`3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo04X0oooo0P0000060?ooo`04
0000003oool000000?ooo`<00000403oool2000001<0oooo00<000000?ooo`3oool01P3oool000L0
oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`1B0?ooo`040000003oool0oooo0000
00<0oooo0P00000;0?ooo`<000005@3oool00`000000oooo0?ooo`060?ooo`001`3oool00`000000
oooo0?ooo`0V0?ooo`030000003oool0oooo05<0oooo00@000000?ooo`3oool000001@3oool;0000
01T0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool09`3oool00`000000
oooo0?ooo`1C0?ooo`8000000P3oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo00D0
oooo00060?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0E03oool01@000000oooo
0?ooo`3oool0000002P0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
9P3oool00`000000oooo0?ooo`1D0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
9@3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`0U0?ooo`030000003o
ool0oooo05D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0V0?ooo`030000003o
ool0oooo00@0oooo00060?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0E@3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0103oool0
00D0oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`1E0?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`040?ooo`001@3oool00`000000
oooo0?ooo`0U0?ooo`030000003oool0oooo05H0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0U0?ooo`030000003oool0oooo00@0oooo00050?ooo`030000003oool0oooo02D0oooo
00<000000?ooo`3oool0EP3oool2000000@0oooo00<000000?ooo`3oool09@3oool00`000000oooo
0?ooo`040?ooo`001@3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo05H0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo00<0oooo0005
0?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0EP3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool00`3oool000D0oooo00<000000?oo
o`3oool0903oool00`000000oooo0?ooo`1G0?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool09@3oool00`000000oooo0?ooo`030?ooo`00103oool00`000000oooo0?ooo`0U0?ooo`03
0000003oool0oooo05L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0T0?ooo`03
0000003oool0oooo00<0oooo00040?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0
E`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0
0`3oool000@0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`1G0?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`030?ooo`00103oool0
0`000000oooo0?ooo`0U0?ooo`030000003oool0oooo05L0oooo0P0000060?ooo`030000003oool0
oooo02@0oooo00<000000?ooo`3oool00`3oool000@0oooo00<000000?ooo`3oool0903oool00`00
0000oooo0?ooo`1H0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0903oool00`00
0000oooo0?ooo`030?ooo`00103oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo05P0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo00<0
oooo00040?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0F03oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool00P3oool000@0oooo00<0
00000?ooo`3oool0903oool00`000000oooo0?ooo`1H0?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool09@3oool00`000000oooo0?ooo`020?ooo`00103oool00`000000oooo0?ooo`0T
0?ooo`030000003oool0oooo0580oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool00P3oool000@0oooo00<000000?oo
o`3oool0903oool00`000000oooo0?ooo`1B0?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo0080oooo00040?ooo`03
0000003oool0oooo02@0oooo00<000000?ooo`3oool0C`3oool5000000@0oooo0`0000050?ooo`03
0000003oool0oooo02D0oooo00<000000?ooo`3oool00P3oool000@0oooo00<000000?ooo`3oool0
903oool00`000000oooo0?ooo`1?0?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo0080oooo00040?ooo`030000
003oool0oooo02@0oooo00<000000?ooo`3oool0D03oool00`000000oooo000000050?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`020?ooo`00103o
ool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo0540oooo0P0000050?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`020?ooo`00103oool0
0`000000oooo0?ooo`0T0?ooo`030000003oool0oooo0580oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool00P3oool0
00@0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`1H0?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`020?ooo`00103oool00`000000
oooo0?ooo`0T0?ooo`030000003oool0oooo05P0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`0T0?ooo`030000003oool0oooo00<0oooo00040?ooo`030000003oool0oooo02D0oooo
00<000000?ooo`3oool0E`3oool2000000H0oooo00<000000?ooo`3oool0903oool00`000000oooo
0?ooo`030?ooo`00103oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo05L0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo00<0oooo0004
0?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0E`3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool00`3oool000@0oooo00<000000?oo
o`3oool09@3oool00`000000oooo0?ooo`1G0?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0903oool00`000000oooo0?ooo`030?ooo`001@3oool00`000000oooo0?ooo`0T0?ooo`03
0000003oool0oooo05L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0U0?ooo`03
0000003oool0oooo00<0oooo00050?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0
EP3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0
0`3oool000D0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`1F0?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`030?ooo`001@3oool0
0`000000oooo0?ooo`0U0?ooo`030000003oool0oooo05H0oooo0P0000040?ooo`030000003oool0
oooo02H0oooo00<000000?ooo`3oool00`3oool000D0oooo00<000000?ooo`3oool09@3oool00`00
0000oooo0?ooo`1F0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool09@3oool00`00
0000oooo0?ooo`040?ooo`001@3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo05H0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo00@0
oooo00050?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0E@3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0103oool000H0oooo00<0
00000?ooo`3oool09@3oool00`000000oooo0?ooo`1E0?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool09P3oool00`000000oooo0?ooo`040?ooo`001P3oool00`000000oooo0?ooo`0V
0?ooo`030000003oool0oooo05@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0U
0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo02H0oooo00<000000?oo
o`3oool0E03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo02D0oooo00<000000?oo
o`3oool01@3oool000H0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`1C0?ooo`80
00000P3oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo00D0oooo00070?ooo`030000
003oool0oooo02H0oooo00<000000?ooo`3oool0D`3oool01@000000oooo0?ooo`3oool0000002P0
oooo00<000000?ooo`3oool01@3oool000L0oooo00<000000?ooo`3oool09P3oool00`000000oooo
0?ooo`1C0?ooo`040000003oool0oooo000002P0oooo00<000000?ooo`3oool01P3oool000L0oooo
00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`1B0?ooo`030000003oool0000002T0oooo
00<000000?ooo`3oool01P3oool000L0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?oo
o`1B0?ooo`800000:P3oool00`000000oooo0?ooo`060?ooo`00203oool00`000000oooo0?ooo`0W
0?ooo`030000003oool0oooo04T0oooo0P0000060?ooo`800000:P3oool00`000000oooo0?ooo`06
0?ooo`00203oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo04L0oooo00@000000?oo
o`3oool000001@3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo00L0oooo00090?oo
o`030000003oool0oooo02P0oooo00<000000?ooo`3oool0AP3oool010000000oooo0?ooo`000005
0?ooo`<00000:03oool00`000000oooo0?ooo`070?ooo`002@3oool00`000000oooo0?ooo`0X0?oo
o`030000003oool0oooo04H0oooo00@000000?ooo`3oool00000103oool2000002X0oooo00<00000
0?ooo`3oool01`3oool000T0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`150?oo
o`<00000103oool00`000000oooo0000000Y0?ooo`030000003oool0oooo00P0oooo00090?ooo`03
0000003oool0oooo02X0oooo00<000000?ooo`3oool0A03oool010000000oooo0?ooo`0000020?oo
o`040000003oool0oooo000002T0oooo00<000000?ooo`3oool0203oool000T0oooo00<000000?oo
o`3oool0:`3oool00`000000oooo0?ooo`140?ooo`8000000`3oool010000000oooo0?ooo`00000Y
0?ooo`030000003oool0oooo00P0oooo000:0?ooo`030000003oool0oooo02X0oooo00<000000?oo
o`3oool0B03oool01@000000oooo0?ooo`3oool0000002T0oooo00<000000?ooo`3oool0203oool0
00X0oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`160?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`090?ooo`002`3oool00`000000
oooo0?ooo`0[0?ooo`030000003oool0oooo04@0oooo00<000000?ooo`3oool00`3oool2000002L0
oooo00<000000?ooo`3oool02@3oool000/0oooo00<000000?ooo`3oool0;03oool00`000000oooo
0?ooo`130?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool09@3oool00`000000oooo
0?ooo`0:0?ooo`00303oool00`000000oooo0?ooo`0/0?ooo`800000@@3oool2000000H0oooo00<0
00000?ooo`3oool09@3oool00`000000oooo0?ooo`0:0?ooo`00303oool00`000000oooo0?ooo`0^
0?ooo`030000003oool0oooo03d0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0T
0?ooo`030000003oool0oooo00/0oooo000=0?ooo`030000003oool0oooo02h0oooo00<000000?oo
o`3oool0>`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo02@0oooo00<000000?oo
o`3oool02`3oool000d0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0i0?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0<0?ooo`00
3P3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool0
2@3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo00`0oooo000>0?ooo`030000003o
ool0oooo0300oooo0P00000e0?ooo`800000303oool2000002<0oooo00<000000?ooo`3oool03@3o
ool000l0oooo00<000000?ooo`3oool0<@3oool200000300oooo0`00000>0?ooo`030000003oool0
oooo0280oooo00<000000?ooo`3oool03@3oool000l0oooo00<000000?ooo`3oool0<`3oool20000
02`0oooo0P00000A0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool03P3oool00100
oooo00<000000?ooo`3oool0=03oool3000002L0oooo0P00000C0?ooo`030000003oool0oooo0240
oooo00<000000?ooo`3oool03P3oool00100oooo00<000000?ooo`3oool0=`3oool2000002<0oooo
0P00000E0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool03`3oool00140oooo00<0
00000?ooo`3oool0>03oool2000001h0oooo0`00000G0?ooo`030000003oool0oooo0200oooo00<0
00000?ooo`3oool03`3oool00180oooo00<000000?ooo`3oool0>@3oool3000001T0oooo0P00000J
0?ooo`030000003oool0oooo01h0oooo0P00000B0?ooo`004P3oool00`000000oooo0?ooo`0l0?oo
o`L000002`3oool7000001`0oooo0P00000N0?ooo`030000003oool0oooo0180oooo000C0?ooo`03
0000003oool0oooo0480oooo2`00000S0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3o
ool04P3oool001@0oooo00<000000?ooo`3oool0K`3oool00`000000oooo0?ooo`0L0?ooo`030000
003oool0oooo01<0oooo000E0?ooo`030000003oool0oooo06h0oooo00<000000?ooo`3oool0703o
ool00`000000oooo0?ooo`0C0?ooo`005@3oool00`000000oooo0?ooo`1^0?ooo`030000003oool0
oooo01/0oooo00<000000?ooo`3oool0503oool001H0oooo00<000000?ooo`3oool0I@3oool20000
00H0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0D0?ooo`005P3oool00`000000
oooo0?ooo`1T0?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool06P3oool00`00
0000oooo0?ooo`0E0?ooo`005`3oool00`000000oooo0?ooo`1S0?ooo`040000003oool0oooo0000
00D0oooo0`00000I0?ooo`030000003oool0oooo01H0oooo000H0?ooo`800000I03oool2000000H0
oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0G0?ooo`006@3oool00`000000oooo
0?ooo`1Q0?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool05`3oool00`000000
oooo0?ooo`0H0?ooo`006P3oool00`000000oooo0?ooo`1P0?ooo`040000003oool0oooo000000D0
oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0I0?ooo`006`3oool00`000000oooo
0?ooo`1P0?ooo`8000001P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01X0oooo
000L0?ooo`030000003oool0oooo06L0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`0J0?ooo`007@3oool00`000000oooo0?ooo`1V0?ooo`030000003oool0oooo01<0oooo0P00000M
0?ooo`007P3oool00`000000oooo0?ooo`1U0?ooo`8000004`3oool00`000000oooo0?ooo`0M0?oo
o`007`3oool00`000000oooo0?ooo`1T0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3o
ool07@3oool00200oooo00<000000?ooo`3oool0H`3oool00`000000oooo0?ooo`0@0?ooo`800000
803oool00240oooo00<000000?ooo`3oool0HP3oool00`000000oooo0?ooo`0?0?ooo`030000003o
ool0oooo0200oooo000R0?ooo`030000003oool0oooo0640oooo00<000000?ooo`3oool03`3oool0
0`000000oooo0?ooo`0P0?ooo`008`3oool200000640oooo00<000000?ooo`3oool03@3oool20000
02<0oooo000T0?ooo`030000003oool0oooo05l0oooo0P00000=0?ooo`030000003oool0oooo02<0
oooo000U0?ooo`030000003oool0oooo05h0oooo00<000000?ooo`3oool02`3oool00`000000oooo
0?ooo`0T0?ooo`009P3oool2000005h0oooo00<000000?ooo`3oool02@3oool2000002L0oooo000X
0?ooo`800000G03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo02L0oooo000Z0?oo
o`030000003oool0oooo05T0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0X0?oo
o`00:`3oool00`000000oooo0?ooo`1H0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool0:@3oool002`0oooo0P00001H0?ooo`030000003oool0oooo00@0oooo0P00000/0?ooo`00;P3o
ool00`000000oooo0?ooo`1E0?ooo`8000000`3oool2000002h0oooo000_0?ooo`800000E@3oool0
0`000000oooo0?ooo`0200000300oooo000a0?ooo`800000D`3oool300000380oooo000c0?ooo`80
0000D03oool2000003@0oooo000e0?ooo`800000C03oool2000000030?ooo`000000oooo03<0oooo
000g0?ooo`800000@@3oool00`000000oooo0?ooo`03000000030?ooo`000000000000<0oooo00<0
00000?ooo`3oool0<P3oool003T0oooo0P00000o0?ooo`050000003oool0oooo0000003oool00P00
00050?ooo`030000003oool0oooo0380oooo000k0?ooo`800000?@3oool00`000000oooo0?ooo`02
000000030?ooo`000000oooo00@0oooo0`00000b0?ooo`00?@3oool5000003L0oooo1@0000020?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool0<P3oool00480oooo0P00000c0?ooo`80
000000D0oooo0000003oool0oooo000000020?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool0<P3oool004@0oooo1000000[0?ooo`@000000P3oool200000080oooo00@000000?ooo`3o
ool000001@3oool00`000000oooo0?ooo`0b0?ooo`00B03oool400000280oooo1@0000070?ooo`04
0000003oool0oooo0?ooo`8000001P3oool00`000000oooo0?ooo`0b0?ooo`00C03oool7000001D0
oooo1P00000H0?ooo`030000003oool0oooo0380oooo001C0?oooaD000007P3oool00`000000oooo
0?ooo`0b0?ooo`00QP3oool2000003<0oooo00260?ooo`030000003oool0oooo0380oooo00260?oo
o`030000003oool0oooo0380oooo00260?ooo`030000003oool0oooo0380oooo0000\
\>"],
  ImageRangeCache->{{{0, 186.625}, {186.625, 0}} -> {-9.73499, -2.73498, \
0.0721767, 0.0721767}},
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],

Cell[TextData[{
  "We wanted to display the solutions (two circles) using dashed lines. The \
graphics directive ",
  StyleBox["Dashing[{", "MR"],
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  StyleBox[",", "MR"],
  Cell[BoxData[
      \(TraditionalForm\`y\)]],
  StyleBox["}]", "MR"],
  " directs all subsequent lines to be plotted as dashed, alternating the \
dash ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  " units and the space ",
  Cell[BoxData[
      \(TraditionalForm\`y\)]],
  " units. We use it as a graphics directive on the two circles ",
  StyleBox["c1", "MR"],
  " and ",
  StyleBox["c2.", "MR"],
  " The important point to note here is that each of the circles inherits \
only those directives in whose scope they appear."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[{
    \(\(dashc1 = {Dashing[{ .025,  .025}], 
          Circle[{\(-3\), 4}, r1]};\)\), "\n", 
    \(\(dashc2 = {Dashing[{ .05,  .05}], 
          Circle[{\(-3\), 4}, r2]};\)\)}], "Input",
  CellLabel->"In[27]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Show[
        Graphics[{circ, dashc1, dashc2}, Axes \[Rule] Automatic, 
          AspectRatio \[Rule] Automatic]];\)\)], "Input",
  CellLabel->"In[29]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.72272 0.0742399 0.20304 0.0742399 [
[.1288 .19054 -7.59375 -11.875 ]
[.1288 .19054 7.59375 0 ]
[.27728 .19054 -7.59375 -11.875 ]
[.27728 .19054 7.59375 0 ]
[.42576 .19054 -7.59375 -11.875 ]
[.42576 .19054 7.59375 0 ]
[.57424 .19054 -7.59375 -11.875 ]
[.57424 .19054 7.59375 0 ]
[.8712 .19054 -4.5 -11.875 ]
[.8712 .19054 4.5 0 ]
[.71022 .05456 -15.1875 -5.9375 ]
[.71022 .05456 0 5.9375 ]
[.71022 .35152 -9 -5.9375 ]
[.71022 .35152 0 5.9375 ]
[.71022 .5 -9 -5.9375 ]
[.71022 .5 0 5.9375 ]
[.71022 .64848 -9 -5.9375 ]
[.71022 .64848 0 5.9375 ]
[.71022 .79696 -9 -5.9375 ]
[.71022 .79696 0 5.9375 ]
[.71022 .94544 -14 -5.9375 ]
[.71022 .94544 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.1288 .20304 m
.1288 .20929 L
s
gsave
.1288 .19054 -68.5938 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(8) show
1.000 setlinewidth
grestore
.27728 .20304 m
.27728 .20929 L
s
gsave
.27728 .19054 -68.5938 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
.42576 .20304 m
.42576 .20929 L
s
gsave
.42576 .19054 -68.5938 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4) show
1.000 setlinewidth
grestore
.57424 .20304 m
.57424 .20929 L
s
gsave
.57424 .19054 -68.5938 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.8712 .20304 m
.8712 .20929 L
s
gsave
.8712 .19054 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.125 Mabswid
.16592 .20304 m
.16592 .20679 L
s
.20304 .20304 m
.20304 .20679 L
s
.24016 .20304 m
.24016 .20679 L
s
.3144 .20304 m
.3144 .20679 L
s
.35152 .20304 m
.35152 .20679 L
s
.38864 .20304 m
.38864 .20679 L
s
.46288 .20304 m
.46288 .20679 L
s
.5 .20304 m
.5 .20679 L
s
.53712 .20304 m
.53712 .20679 L
s
.61136 .20304 m
.61136 .20679 L
s
.64848 .20304 m
.64848 .20679 L
s
.6856 .20304 m
.6856 .20679 L
s
.75984 .20304 m
.75984 .20679 L
s
.79696 .20304 m
.79696 .20679 L
s
.83408 .20304 m
.83408 .20679 L
s
.09168 .20304 m
.09168 .20679 L
s
.05456 .20304 m
.05456 .20679 L
s
.01744 .20304 m
.01744 .20679 L
s
.90832 .20304 m
.90832 .20679 L
s
.94544 .20304 m
.94544 .20679 L
s
.98256 .20304 m
.98256 .20679 L
s
.25 Mabswid
0 .20304 m
1 .20304 L
s
.72272 .05456 m
.72897 .05456 L
s
gsave
.71022 .05456 -76.1875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.72272 .35152 m
.72897 .35152 L
s
gsave
.71022 .35152 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.72272 .5 m
.72897 .5 L
s
gsave
.71022 .5 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4) show
1.000 setlinewidth
grestore
.72272 .64848 m
.72897 .64848 L
s
gsave
.71022 .64848 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
.72272 .79696 m
.72897 .79696 L
s
gsave
.71022 .79696 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(8) show
1.000 setlinewidth
grestore
.72272 .94544 m
.72897 .94544 L
s
gsave
.71022 .94544 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(10) show
1.000 setlinewidth
grestore
.125 Mabswid
.72272 .09168 m
.72647 .09168 L
s
.72272 .1288 m
.72647 .1288 L
s
.72272 .16592 m
.72647 .16592 L
s
.72272 .24016 m
.72647 .24016 L
s
.72272 .27728 m
.72647 .27728 L
s
.72272 .3144 m
.72647 .3144 L
s
.72272 .38864 m
.72647 .38864 L
s
.72272 .42576 m
.72647 .42576 L
s
.72272 .46288 m
.72647 .46288 L
s
.72272 .53712 m
.72647 .53712 L
s
.72272 .57424 m
.72647 .57424 L
s
.72272 .61136 m
.72647 .61136 L
s
.72272 .6856 m
.72647 .6856 L
s
.72272 .72272 m
.72647 .72272 L
s
.72272 .75984 m
.72647 .75984 L
s
.72272 .83408 m
.72647 .83408 L
s
.72272 .8712 m
.72647 .8712 L
s
.72272 .90832 m
.72647 .90832 L
s
.72272 .01744 m
.72647 .01744 L
s
.72272 .98256 m
.72647 .98256 L
s
.25 Mabswid
.72272 0 m
.72272 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
.5 Mabswid
newpath
.79696 .27728 .10499 0 365.73 arc
s
[ .025 .025 ] 0 setdash
newpath
.5 .5 .26621 0 365.73 arc
s
[ .05 .05 ] 0 setdash
newpath
.5 .5 .47619 0 365.73 arc
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[29]:=",
  ImageSize->{188.813, 188.813},
  ImageMargins->{{42.8125, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40002l0000_2000`400?l00000o`00003oQ`3oool0
0`000000oooo0?ooo`0b0?ooo`00Q`3oool00`000000oooo0?ooo`0b0?ooo`00Q`3oool00`000000
oooo0?ooo`0b0?ooo`00Q`3oool2000003<0oooo001I0?ooo`X00000903oool00`000000oooo0?oo
o`0b0?ooo`00D03oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo01P0oooo00<00000
0?ooo`3oool0<P3oool004T0oooo1`00000M0?ooo`D000005@3oool00`000000oooo0?ooo`0b0?oo
o`00AP3oool3000002T0oooo1000000A0?ooo`030000003oool0oooo0380oooo001n0?ooo`@00000
1@3oool00`000000oooo0?ooo`0b0?ooo`00O`3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo0380oooo000m0?ooo`030000003oool0oooo03T0oooo10000000103oool000000?ooo`00
00060?ooo`800000<`3oool003/0oooo0P0000120?ooo`8000001P3oool00`000000oooo0?ooo`0b
0?ooo`00>@3oool2000004H0oooo0P0000040?ooo`030000003oool0oooo0380oooo000g0?ooo`80
0000A@3oool01@000000oooo0?ooo`000000oooo008000000P3oool00`000000oooo0?ooo`0b0?oo
o`00=@3oool2000004P0oooo0P0000040?ooo`<00000=03oool008L0oooo00<000000?ooo`3oool0
<P3oool008L0oooo00<000000?ooo`3oool0<P3oool008L0oooo0P00000c0?ooo`00Q`3oool00`00
0000oooo0?ooo`0b0?ooo`00;@3oool00`000000oooo0?ooo`1G0?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0:`3oool002/0oooo0P00001J0?ooo`030000003oool0oooo00D0oooo
0P00000[0?ooo`00:@3oool2000005`0oooo00<000000?ooo`3oool01`3oool2000002T0oooo000W
0?ooo`800000GP3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo02H0oooo000V0?oo
o`030000003oool0oooo05h0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0U0?oo
o`009@3oool200000600oooo0P00000<0?ooo`8000009@3oool008L0oooo00<000000?ooo`3oool0
<P3oool008L0oooo00<000000?ooo`3oool0<P3oool001T0oooo0P00000J0?ooo`800000703oool0
0`000000oooo0?ooo`0F0?ooo`@000005`3oool00`000000oooo0?ooo`0G0?ooo`@000005`3oool0
01P0oooo00@000000?ooo`3oool00000603oool010000000oooo0?ooo`00000K0?ooo`030000003o
ool0oooo01L0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0H0?ooo`030000003o
ool0oooo01L0oooo000C0?ooo`@0000000D0oooo0000003oool0oooo0000000C0?ooo`@0000000D0
oooo0000003oool0oooo0000000C0?ooo`@0000000<0oooo0000000000000`00000B0?ooo`@00000
0`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0
5P3oool001T0oooo0P0000030?ooo`030000003oool0oooo01<0oooo00@000000?ooo`3oool00000
603oool010000000oooo0?ooo`00000J0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3o
ool06@3oool00`000000oooo0?ooo`0F0?ooo`00603oool01P000000oooo0?ooo`000000oooo0000
01H0oooo0`00000J0?ooo`030000003oool0000001/0oooo00<000000?ooo`3oool05@3oool20000
01@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0E0?ooo`00603oool00`000000
oooo0?ooo`02000001L0oooo00@000000?ooo`3oool000006P3oool2000001P0oooo00@000000?oo
o`3oool000005`3oool00`000000oooo0?ooo`090?ooo`L00000103oool010000000oooo0?ooo`00
00020?ooo`030000003oool0oooo01D0oooo000I0?ooo`80000000<0oooo0000003oool05`3oool2
000001`0oooo00<000000?ooo`3oool05`3oool2000001P0oooo00<000000?ooo`3oool01@3oool4
000000L0oooo0`0000020?ooo`030000003oool0oooo00800000603oool001X0oooo0P00001[0?oo
o`030000003oool0oooo00<0oooo0P00000>0?ooo`80000000<0oooo0000003oool06P3oool001T0
oooo00<000000?ooo`3oool0J`3oool010000000oooo0?ooo`3oool200000180oooo0`00000J0?oo
o`006@3oool00`000000oooo0?ooo`1[0?ooo`040000003oool0oooo000001H0oooo0P00000I0?oo
o`00603oool00`000000oooo0?ooo`1/0?ooo`<00000603oool00`000000oooo0?ooo`0G0?ooo`00
_000000000<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool00`3oool2000000H0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo0P0000050?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`010?ooo`00Q@3oool0
0`000000oooo0000000L0?ooo`030000003oool0oooo01D0oooo00240?ooo`040000003oool0oooo
000001d0oooo00<000000?ooo`3oool0503oool008<0oooo00D000000?ooo`3oool0oooo0000000N
0?ooo`030000003oool0oooo01<0oooo00230?ooo`050000003oool0oooo0?ooo`0000007P3oool0
0`000000oooo0?ooo`0C0?ooo`00E@3oool4000000<0oooo1P0000040?ooo`8000006`3oool01@00
0000oooo0?ooo`3oool0000001l0oooo00<000000?ooo`3oool04P3oool00180oooo00<000000?oo
o`3oool0?P3oool2000001<0oooo0`00000H0?ooo`040000003oool0oooo0?ooo`8000007P3oool0
0`000000oooo0000000B0?ooo`004@3oool00`000000oooo0?ooo`0i0?ooo`<00000<P3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo01h0oooo0P00000B0?ooo`004@3oool00`000000
oooo0?ooo`0f0?ooo`<000008P3oool200000140oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`0N0?ooo`030000003oool000000140oooo000@0?ooo`030000003oool0oooo05h0oooo
0P00000?0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool07`3oool200000140oooo
000@0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?oo
o`0<0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool07`3oool00`000000oooo0000
000@0?ooo`003`3oool00`000000oooo0?ooo`0b0?ooo`800000>`3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`000000403oool000l0oooo00<000000?oo
o`3oool0<@3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo00L0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`0O0?ooo`040000003oool0oooo000000l0oooo000>0?oo
o`030000003oool0oooo0340oooo00<000000?ooo`3oool0<`3oool2000000L0oooo00<000000?oo
o`3oool00`3oool200000200oooo00@000000?ooo`3oool000003`3oool000h0oooo00<000000?oo
o`3oool0J@3oool2000000D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0O0?oo
o`050000003oool0oooo0?ooo`0000003P3oool007/0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0403oool003h0
oooo00<000000?ooo`3oool0@@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo01l0
oooo00<000000?ooo`3oool0403oool003`0oooo0P0000110?ooo`040000003oool0oooo000000@0
oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0@0?ooo`00>`3oool00`000000oooo
0?ooo`110?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool07P3oool00`000000
oooo0?ooo`0A0?ooo`00>`3oool00`000000oooo0?ooo`120?ooo`030000003oool0000000@0oooo
00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`0A0?ooo`00P@3oool00`000000oooo0000
00030?ooo`8000007P3oool00`000000oooo0?ooo`0B0?ooo`00PP3oool2000000<0oooo00<00000
0?ooo`3oool0703oool00`000000oooo0?ooo`0C0?ooo`00=`3oool00`000000oooo0?ooo`190?oo
o`050000003oool0oooo0?ooo`0000007P3oool00`000000oooo0?ooo`0C0?ooo`002P3oool00`00
0000oooo0?ooo`0Y0?ooo`030000003oool0oooo04/0oooo00@000000?ooo`3oool000007@3oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo00P0oooo00090?ooo`030000003oool0oooo
02X0oooo00<000000?ooo`3oool0B`3oool2000000030?ooo`000000oooo01`0oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`080?ooo`002@3oool00`000000oooo0?ooo`0Y0?ooo`03
0000003oool0oooo04H0oooo100000030?ooo`<00000703oool00`000000oooo0?ooo`0:0?ooo`03
0000003oool0oooo00P0oooo00090?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool0
B03oool00`000000oooo0?ooo`040?ooo`800000703oool00`000000oooo0?ooo`0;0?ooo`030000
003oool0oooo00L0oooo00080?ooo`030000003oool0oooo07D0oooo00<000000?ooo`3oool0103o
ool2000001X0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`070?ooo`00203oool0
0`000000oooo0?ooo`1e0?ooo`030000003oool0oooo00@0oooo0`00000G0?ooo`800000403oool0
0`000000oooo0?ooo`060?ooo`001`3oool00`000000oooo0?ooo`1g0?ooo`030000003oool0oooo
00<0oooo00@000000?ooo`3oool000005@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0
oooo00H0oooo00070?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool0B@3oool01000
0000oooo0?ooo`0000050?ooo`050000003oool0oooo0?ooo`0000004P3oool2000001@0oooo00<0
00000?ooo`3oool01@3oool000L0oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`1:
0?ooo`8000001P3oool00`000000oooo0?ooo`020?ooo`@00000303oool2000001H0oooo00<00000
0?ooo`3oool01@3oool000L0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`1C0?oo
o`040000003oool0oooo000000D0oooo3000000H0?ooo`030000003oool0oooo00D0oooo000`0?oo
o`030000003oool0oooo05@0oooo00@000000?ooo`3oool00000<@3oool00300oooo00<000000?oo
o`3oool0E03oool2000000030?ooo`000000oooo0300oooo00270?ooo`050000003oool0oooo0?oo
o`000000<03oool008L0oooo00D000000?ooo`3oool0oooo0000000`0?ooo`00Q`3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo02d0oooo000^0?ooo`030000003oool0oooo05H0oooo
00<000000?ooo`3oool0<P3oool002h0oooo00<000000?ooo`3oool0EP3oool00`000000oooo0?oo
o`0b0?ooo`00;P3oool00`000000oooo0?ooo`1F0?ooo`030000003oool0oooo0380oooo00050?oo
o`030000003oool0oooo02D0oooo00<000000?ooo`3oool0E`3oool2000000@0oooo00<000000?oo
o`3oool09P3oool00`000000oooo0?ooo`030?ooo`001@3oool00`000000oooo0?ooo`0U0?ooo`03
0000003oool0oooo05L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0U0?ooo`03
0000003oool0oooo00<0oooo00050?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0
E`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0
0`3oool000D0oooo00<000000?ooo`3oool0O`3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo02D0oooo00<000000?ooo`3oool00`3oool000@0oooo00<000000?ooo`3oool0P03oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool00`3oool0
00@0oooo00<000000?ooo`3oool0P03oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
02@0oooo00<000000?ooo`3oool00`3oool000@0oooo00<000000?ooo`3oool09@3oool00`000000
oooo0?ooo`1H0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool00`3oool000@0oooo
00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`1H0?ooo`800000;P3oool00`000000oooo
0?ooo`020?ooo`00103oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo05P0oooo00<0
00000?ooo`3oool0;@3oool00`000000oooo0?ooo`020?ooo`00103oool00`000000oooo0?ooo`0U
0?ooo`030000003oool0oooo05P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0U
0?ooo`030000003oool0oooo0080oooo00040?ooo`030000003oool0oooo02@0oooo00<000000?oo
o`3oool0F@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02X0oooo00040?ooo`03
0000003oool0oooo02@0oooo00<000000?ooo`3oool0F@3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo02X0oooo00040?ooo`030000003oool0oooo07X0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02X0oooo00040?ooo`030000003o
ool0oooo07X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo02X0oooo001n0?ooo`D00000103oool2000000H0oooo00<000000?ooo`3oool09@3oool0
0`000000oooo0?ooo`020?ooo`00OP3oool010000000oooo0?ooo`0000050?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`020?ooo`00:`3oool00`00
0000oooo0?ooo`1A0?ooo`030000003oool0000000D0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`0U0?ooo`030000003oool0oooo0080oooo000[0?ooo`030000003oool0oooo0580
oooo0P0000050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool09@3oool00`000000
oooo0?ooo`020?ooo`00;03oool00`000000oooo0?ooo`1B0?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo0080oooo
000/0?ooo`030000003oool0oooo05P0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?oo
o`020?ooo`00;03oool00`000000oooo0?ooo`1H0?ooo`030000003oool0oooo02d0oooo00<00000
0?ooo`3oool00P3oool008L0oooo0P00000]0?ooo`800000103oool000@0oooo00<000000?ooo`3o
ool0P03oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo00<0oooo00040?ooo`030000
003oool0oooo0800oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0U0?ooo`030000
003oool0oooo00<0oooo00050?ooo`030000003oool0oooo07l0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`0[0?ooo`001@3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0
oooo05L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0[0?ooo`001@3oool00`00
0000oooo0?ooo`0U0?ooo`030000003oool0oooo05L0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`0[0?ooo`001@3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo05L0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0/0?ooo`001@3oool00`000000oooo
0?ooo`0V0?ooo`030000003oool0oooo05H0oooo0P0000040?ooo`030000003oool0oooo02`0oooo
00050?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0EP3oool00`000000oooo0?oo
o`0b0?ooo`001@3oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo05H0oooo00<00000
0?ooo`3oool0<P3oool000H0oooo00<000000?ooo`3oool0OP3oool00`000000oooo0?ooo`0b0?oo
o`001P3oool00`000000oooo0?ooo`1n0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool09P3oool00`000000oooo0?ooo`040?ooo`00Q`3oool01@000000oooo0?ooo`3oool0000002T0
oooo00<000000?ooo`3oool0103oool00300oooo00<000000?ooo`3oool0E03oool010000000oooo
0?ooo`00000Z0?ooo`030000003oool0oooo00@0oooo000`0?ooo`030000003oool0oooo05@0oooo
0P0000000`3oool000000?ooo`0X0?ooo`030000003oool0oooo00D0oooo000`0?ooo`030000003o
ool0oooo05@0oooo00@000000?ooo`3oool00000:@3oool00`000000oooo0?ooo`050?ooo`00<@3o
ool00`000000oooo0?ooo`1C0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool01P3o
ool00380oooo00<000000?ooo`3oool0DP3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0
oooo00H0oooo001o0?ooo`8000001P3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo
00H0oooo001n0?ooo`040000003oool0oooo000000D0oooo0P00000Z0?ooo`030000003oool0oooo
00H0oooo00080?ooo`030000003oool0oooo07<0oooo00@000000?ooo`3oool000001@3oool20000
02T0oooo00<000000?ooo`3oool01`3oool000T0oooo00<000000?ooo`3oool0:03oool00`000000
oooo0?ooo`170?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool0<P3oool000T0
oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`160?ooo`<000001@3oool2000003@0
oooo00090?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool0A@3oool010000000oooo
0?ooo`0000030?ooo`030000003oool0000003@0oooo00090?ooo`030000003oool0oooo02X0oooo
00<000000?ooo`3oool0AP3oool2000000H0oooo00<000000?ooo`3oool0<P3oool000X0oooo00<0
00000?ooo`3oool0:P3oool00`000000oooo0?ooo`1=0?ooo`030000003oool0oooo0380oooo000:
0?ooo`030000003oool0oooo07X0oooo00<000000?ooo`3oool0<P3oool000/0oooo00<000000?oo
o`3oool0M03oool00`000000oooo0?ooo`020?ooo`800000<`3oool000/0oooo00<000000?ooo`3o
ool0;03oool00`000000oooo0?ooo`130?ooo`8000001@3oool00`000000oooo0?ooo`0b0?ooo`00
>`3oool00`000000oooo0?ooo`110?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
9@3oool00`000000oooo0?ooo`0:0?ooo`00?03oool00`000000oooo0?ooo`100?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0;0?ooo`00?@3oool2
000004P0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0;0?ooo`00Q`3oool00`00
0000oooo0?ooo`0S0?ooo`030000003oool0oooo00`0oooo001k0?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0<0?ooo`00@P3oool00`000000oooo
0?ooo`0e0?ooo`030000003oool0oooo00X0oooo0P00000S0?ooo`030000003oool0oooo00d0oooo
00120?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?oo
o`0R0?ooo`030000003oool0oooo00d0oooo00130?ooo`800000<P3oool2000000h0oooo00<00000
0?ooo`3oool08@3oool00`000000oooo0?ooo`0>0?ooo`00403oool00`000000oooo0?ooo`0b0?oo
o`800000@03oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo00h0oooo000@0?ooo`03
0000003oool0oooo05l0oooo0P00000C0?ooo`030000003oool0oooo0380oooo000A0?ooo`030000
003oool0oooo03H0oooo0P00000T0?ooo`8000005@3oool00`000000oooo0?ooo`0b0?ooo`004@3o
ool00`000000oooo0?ooo`0h0?ooo`<00000803oool00`000000oooo0?ooo`0E0?ooo`030000003o
ool0oooo0380oooo000B0?ooo`030000003oool0oooo03h0oooo00<000000?ooo`3oool04P3oool3
000001`0oooo0P00000c0?ooo`004`3oool00`000000oooo0?ooo`0n0?ooo`@000003@3oool30000
01l0oooo00<000000?ooo`3oool0<P3oool001@0oooo00<000000?ooo`3oool0A@3oool6000002D0
oooo00<000000?ooo`3oool0<P3oool001@0oooo00<000000?ooo`3oool0L03oool00`000000oooo
0?ooo`0b0?ooo`005@3oool00`000000oooo0?ooo`1_0?ooo`030000003oool0oooo01`0oooo00<0
00000?ooo`3oool04`3oool007l0oooo0P0000060?ooo`030000003oool0oooo01/0oooo00<00000
0?ooo`3oool0503oool007h0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`0K
0?ooo`030000003oool0oooo01@0oooo001n0?ooo`040000003oool0oooo000000D0oooo0P00000J
0?ooo`8000005`3oool007l0oooo0P0000060?ooo`030000003oool0oooo01P0oooo00<000000?oo
o`3oool05`3oool007h0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`0H0?oo
o`030000003oool0oooo01L0oooo001n0?ooo`040000003oool0oooo000000D0oooo00<000000?oo
o`3oool05`3oool00`000000oooo0?ooo`0H0?ooo`006`3oool00`000000oooo0?ooo`1Q0?ooo`80
00001P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo01T0oooo000L0?ooo`030000
003oool0oooo06P0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0I0?ooo`00703o
ool00`000000oooo0?ooo`1X0?ooo`030000003oool0oooo0380oooo000M0?ooo`030000003oool0
oooo06L0oooo0P00000c0?ooo`007P3oool00`000000oooo0?ooo`1V0?ooo`030000003oool0oooo
0380oooo000O0?ooo`030000003oool0oooo06D0oooo00<000000?ooo`3oool0<P3oool00200oooo
0P00001U0?ooo`030000003oool0oooo0380oooo000Q0?ooo`030000003oool0oooo06<0oooo00<0
00000?ooo`3oool03`3oool00`000000oooo0?ooo`0P0?ooo`00Q`3oool00`000000oooo0?ooo`0?
0?ooo`030000003oool0oooo0200oooo00270?ooo`030000003oool0oooo00d0oooo0P00000S0?oo
o`00Q`3oool2000000d0oooo00<000000?ooo`3oool08`3oool008L0oooo00<000000?ooo`3oool0
2`3oool00`000000oooo0?ooo`0T0?ooo`00Q`3oool00`000000oooo0?ooo`090?ooo`8000009`3o
ool002P0oooo0P00001M0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool09`3oool0
02X0oooo0P00001K0?ooo`030000003oool0oooo0380oooo000/0?ooo`030000003oool0oooo05P0
oooo00<000000?ooo`3oool0<P3oool002d0oooo00<000000?ooo`3oool0E`3oool00`000000oooo
0?ooo`0b0?ooo`00;P3oool2000005L0oooo0P00000c0?ooo`00<03oool00`000000oooo0?ooo`1D
0?ooo`040000003oool0oooo00000340oooo00270?ooo`<00000<P3oool008H0oooo0P00000d0?oo
o`00Q03oool2000000030?ooo`000000oooo03<0oooo000i0?ooo`030000003oool0oooo03l0oooo
00<000000?ooo`3oool01P0000030?ooo`030000003oool0oooo0380oooo000j0?ooo`800000?`3o
ool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
<P3oool003`0oooo0P00000m0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0
0`3oool2000003<0oooo000n0?ooo`@00000>@3oool010000000oooo0?ooo`0000020?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool0<P3oool00440oooo00<000000?ooo`3oool0=03o
ool2000000050?ooo`000000oooo0?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo0380oooo001c0?ooo`D000000P3oool200000080oooo00@000000?ooo`3oool00000
1@3oool00`000000oooo0?ooo`0b0?ooo`00BP3oool3000002<0oooo0`0000080?ooo`040000003o
ool0oooo0?ooo`8000001P3oool00`000000oooo0?ooo`0b0?ooo`00C@3oool6000003@0oooo00<0
00000?ooo`3oool0<P3oool005<0oooo0P0000080?ooo`X00000803oool00`000000oooo0?ooo`0b
0?ooo`00Q`3oool2000003<0oooo00270?ooo`030000003oool0oooo0380oooo00270?ooo`030000
003oool0oooo0380oooo00270?ooo`030000003oool0oooo0380oooo0000\
\>"],
  ImageRangeCache->{{{0, 187.813}, {187.813, 0}} -> {-9.73499, -2.73498, \
0.0717204, 0.0717204}},
  CellTags->"IPM3.Sol.9.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
This loads the package containing the definitions for the polyhedra.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    \(Needs["\<Graphics`Polyhedra`\>"]\)], "Input",
  CellLabel->"In[30]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell["\<\
It is often helpful to get a list of the functions defined in a recently \
loaded package.\
\>", "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Names["\<Graphics`Polyhedra`*\>"]\)], "Input",
  CellLabel->"In[31]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    \({"Geodesate", "GreatDodecahedron", "GreatIcosahedron", 
      "GreatStellatedDodecahedron", "OpenTruncate", "Polyhedra", 
      "Polyhedron", "SmallStellatedDodecahedron", "Stellate", 
      "Truncate"}\)], "Output",
  CellLabel->"Out[31]=",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],

Cell[TextData[{
  "First the polyhedra are turned into ",
  StyleBox["Graphics3D", "MR"],
  " objects."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    \(\(solids = 
        Map[Graphics3D, {Cube[], Dodecahedron[], GreatDodecahedron[], 
            GreatIcosahedron[], GreatStellatedDodecahedron[], Icosahedron[], 
            Octahedron[], Tetrahedron[], 
            SmallStellatedDodecahedron[]}];\)\)], "Input",
  CellLabel->"In[32]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[TextData[{
  "We then use ",
  StyleBox["Partition", "MR"],
  " to split the list of nine solids into three sublists and then display the \
nine polyhedra with ",
  StyleBox["GraphicsArray", "MR"],
  " and ",
  StyleBox["Show", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Show[GraphicsArray[Partition[solids, 3]]]\)], "Input",
  CellLabel->"In[33]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1.0855 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.31746 0.0258451 0.31746 [
[ 0 0 0 0 ]
[ 1 1.0855 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1.0855 L
0 1.0855 L
closepath
clip
newpath
% Start of sub-graphic
p
0.0238095 0.0258451 0.321429 0.348909 MathSubStart
%% Graphics3D
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
-0.0567234 1.16608 5.89806e-017 1.16608 [
[ 0 0 0 0 ]
[ 1 1.0855 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.08846 .24555 m
0 .80374 L
s
0 .80374 m
.40037 1.0855 L
s
.40037 1.0855 m
.41799 .58158 L
s
.41799 .58158 m
.08846 .24555 L
s
.67245 0 m
.92713 .41497 L
s
.92713 .41497 m
1 .94814 L
s
1 .94814 m
.70644 .58546 L
s
.70644 .58546 m
.67245 0 L
s
.08846 .24555 m
0 .80374 L
s
0 .80374 m
.70644 .58546 L
s
.70644 .58546 m
.67245 0 L
s
.67245 0 m
.08846 .24555 L
s
.41799 .58158 m
.92713 .41497 L
s
.92713 .41497 m
1 .94814 L
s
1 .94814 m
.40037 1.0855 L
s
.40037 1.0855 m
.41799 .58158 L
s
0 0 m
1 0 L
1 1.0855 L
0 1.0855 L
closepath
clip
newpath
.5 Mabswid
.752 .614 .706 r
.66477 .73412 m .52632 .34495 L .25961 .66843 L closepath p F P
0 g
s
.406 .416 .758 r
.82351 .48789 m .52632 .34495 L .66477 .73412 L closepath p F P
0 g
s
.667 .205 .147 r
.52632 .86433 m .66477 .73412 L .25961 .66843 L closepath p F P
0 g
s
.714 .925 .589 r
.52632 .86433 m .82351 .48789 L .66477 .73412 L closepath p F P
0 g
s
.88 .993 .78 r
.52632 .34495 m .35716 .39846 L .25961 .66843 L closepath p F P
0 g
s
.558 .005 0 r
.82351 .48789 m .35716 .39846 L .52632 .34495 L closepath p F P
0 g
s
.298 .353 .751 r
.52632 .86433 m .25961 .66843 L .35716 .39846 L closepath p F P
0 g
s
.759 .621 .706 r
.52632 .86433 m .35716 .39846 L .82351 .48789 L closepath p F P
0 g
s
.25 Mabswid
.67245 0 m
.92713 .41497 L
s
.92713 .41497 m
1 .94814 L
s
1 .94814 m
.70644 .58546 L
s
.70644 .58546 m
.67245 0 L
s
.08846 .24555 m
0 .80374 L
s
0 .80374 m
.70644 .58546 L
s
.70644 .58546 m
.67245 0 L
s
.67245 0 m
.08846 .24555 L
s
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.35119 0.0258451 0.64881 0.348909 MathSubStart
%% Graphics3D
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
-0.021936 1.08048 -2.92735e-018 1.08048 [
[ 0 0 0 0 ]
[ 1 1.00395 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.07126 .25397 m
0 .73686 L
s
0 .73686 m
.36259 1.00395 L
s
.36259 1.00395 m
.38081 .56173 L
s
.38081 .56173 m
.07126 .25397 L
s
.69971 0 m
.93785 .38108 L
s
.93785 .38108 m
1 .84869 L
s
1 .84869 m
.73283 .5067 L
s
.73283 .5067 m
.69971 0 L
s
.07126 .25397 m
0 .73686 L
s
0 .73686 m
.73283 .5067 L
s
.73283 .5067 m
.69971 0 L
s
.69971 0 m
.07126 .25397 L
s
.38081 .56173 m
.93785 .38108 L
s
.93785 .38108 m
1 .84869 L
s
1 .84869 m
.36259 1.00395 L
s
.36259 1.00395 m
.38081 .56173 L
s
0 0 m
1 0 L
1 1.00395 L
0 1.00395 L
closepath
clip
newpath
.5 Mabswid
.67 .732 .896 r
.64047 .47848 m .69039 .02774 L .09182 .26714 L closepath p F P
0 g
s
.808 .424 .328 r
.46626 .73274 m .64047 .47848 L .09182 .26714 L closepath p F P
0 g
s
.932 .907 .516 r
.46626 .73274 m .69039 .02774 L .64047 .47848 L closepath p F P
0 g
s
.578 .425 .637 r
.46626 .73274 m .09182 .26714 L .69039 .02774 L closepath p F P
0 g
s
.25 Mabswid
.69971 0 m
.93785 .38108 L
s
.93785 .38108 m
1 .84869 L
s
1 .84869 m
.73283 .5067 L
s
.73283 .5067 m
.69971 0 L
s
.07126 .25397 m
0 .73686 L
s
0 .73686 m
.73283 .5067 L
s
.73283 .5067 m
.69971 0 L
s
.69971 0 m
.07126 .25397 L
s
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.678571 0.0258451 0.97619 0.348909 MathSubStart
%% Graphics3D
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
-0.0844264 1.2109 3.08998e-017 1.2109 [
[ 0 0 0 0 ]
[ 1 1.1504 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.08676 .24213 m
0 .87494 L
s
0 .87494 m
.38254 1.1504 L
s
.38254 1.1504 m
.40225 .57033 L
s
.40225 .57033 m
.08676 .24213 L
s
.67488 0 m
.92568 .39615 L
s
.92568 .39615 m
1 1.00617 L
s
1 1.00617 m
.70966 .66123 L
s
.70966 .66123 m
.67488 0 L
s
.08676 .24213 m
0 .87494 L
s
0 .87494 m
.70966 .66123 L
s
.70966 .66123 m
.67488 0 L
s
.67488 0 m
.08676 .24213 L
s
.40225 .57033 m
.92568 .39615 L
s
.92568 .39615 m
1 1.00617 L
s
1 1.00617 m
.38254 1.1504 L
s
.38254 1.1504 m
.40225 .57033 L
s
0 0 m
1 0 L
1 1.1504 L
0 1.1504 L
closepath
clip
newpath
.5 Mabswid
.758 .347 .272 r
.57293 .65641 m .43953 .67708 L .55567 .746 L closepath p F P
0 g
s
.899 .76 .699 r
.57293 .65641 m .47098 .54482 L .43953 .67708 L closepath p F P
0 g
s
.664 .74 .907 r
.57293 .65641 m .60575 .52962 L .47098 .54482 L closepath p F P
0 g
s
.225 .282 .713 r
.57293 .65641 m .65966 .65389 L .60575 .52962 L closepath p F P
0 g
s
.179 0 .14 r
.57293 .65641 m .55567 .746 L .65966 .65389 L closepath p F P
0 g
s
.664 .74 .907 r
.25726 .56891 m .47098 .54482 L .40156 .46883 L closepath p F P
0 g
s
.673 .523 .674 r
.25726 .56891 m .43953 .67708 L .47098 .54482 L closepath p F P
0 g
s
.758 .347 .272 r
.25726 .56891 m .34772 .6913 L .43953 .67708 L closepath p F P
0 g
s
.06 .172 .668 r
.25726 .56891 m .32162 .55883 L .34772 .6913 L closepath p F P
0 g
s
0 0 0 r
.25726 .56891 m .40156 .46883 L .32162 .55883 L closepath p F P
0 g
s
.673 .523 .674 r
.52102 .33433 m .47098 .54482 L .60575 .52962 L closepath p F P
0 g
s
.899 .76 .699 r
.52102 .33433 m .40156 .46883 L .47098 .54482 L closepath p F P
0 g
s
0 0 0 r
.52102 .33433 m .49846 .40163 L .40156 .46883 L closepath p F P
0 g
s
.225 .282 .713 r
.52102 .33433 m .60575 .52962 L .62838 .44216 L closepath p F P
0 g
s
.731 .259 .127 r
.52102 .33433 m .62838 .44216 L .49846 .40163 L closepath p F P
0 g
s
.899 .76 .699 r
.38779 .89469 m .43953 .67708 L .34772 .6913 L closepath p F P
0 g
s
.673 .523 .674 r
.38779 .89469 m .55567 .746 L .43953 .67708 L closepath p F P
0 g
s
.673 .523 .674 r
.8283 .50453 m .60575 .52962 L .65966 .65389 L closepath p F P
0 g
s
.664 .74 .907 r
.8283 .50453 m .62838 .44216 L .60575 .52962 L closepath p F P
0 g
s
.179 0 .14 r
.38779 .89469 m .54355 .80889 L .55567 .746 L closepath p F P
0 g
s
.644 .764 .935 r
.38779 .89469 m .40957 .77497 L .54355 .80889 L closepath p F P
0 g
s
.06 .172 .668 r
.38779 .89469 m .34772 .6913 L .40957 .77497 L closepath p F P
0 g
s
.758 .347 .272 r
.74952 .86104 m .55567 .746 L .54355 .80889 L closepath p F P
0 g
s
.673 .523 .674 r
.74952 .86104 m .65966 .65389 L .55567 .746 L closepath p F P
0 g
s
.179 0 .14 r
.8283 .50453 m .65966 .65389 L .72064 .65212 L closepath p F P
0 g
s
.225 .282 .713 r
.74952 .86104 m .72064 .65212 L .65966 .65389 L closepath p F P
0 g
s
.731 .259 .127 r
.8283 .50453 m .7018 .5159 L .62838 .44216 L closepath p F P
0 g
s
.926 .788 .688 r
.8283 .50453 m .72064 .65212 L .7018 .5159 L closepath p F P
0 g
s
.644 .764 .935 r
.74952 .86104 m .54355 .80889 L .64841 .75113 L closepath p F P
0 g
s
.926 .788 .688 r
.74952 .86104 m .64841 .75113 L .72064 .65212 L closepath p F P
0 g
s
.664 .74 .907 r
.27705 .33255 m .40156 .46883 L .49846 .40163 L closepath p F P
0 g
s
.899 .76 .699 r
.27705 .33255 m .32162 .55883 L .40156 .46883 L closepath p F P
0 g
s
.899 .76 .699 r
.18103 .71712 m .34772 .6913 L .32162 .55883 L closepath p F P
0 g
s
.758 .347 .272 r
.18103 .71712 m .40957 .77497 L .34772 .6913 L closepath p F P
0 g
s
.225 .282 .713 r
.66959 .28294 m .62838 .44216 L .7018 .5159 L closepath p F P
0 g
s
.664 .74 .907 r
.66959 .28294 m .49846 .40163 L .62838 .44216 L closepath p F P
0 g
s
.758 .347 .272 r
.52102 .92577 m .54355 .80889 L .40957 .77497 L closepath p F P
0 g
s
.179 0 .14 r
.52102 .92577 m .64841 .75113 L .54355 .80889 L closepath p F P
0 g
s
.06 .172 .668 r
.27705 .33255 m .36717 .55169 L .32162 .55883 L closepath p F P
0 g
s
0 0 0 r
.18103 .71712 m .32162 .55883 L .36717 .55169 L closepath p F P
0 g
s
.179 0 .14 r
.83414 .64883 m .72064 .65212 L .64841 .75113 L closepath p F P
0 g
s
.225 .282 .713 r
.83414 .64883 m .7018 .5159 L .72064 .65212 L closepath p F P
0 g
s
0 0 0 r
.66959 .28294 m .48251 .44919 L .49846 .40163 L closepath p F P
0 g
s
.731 .259 .127 r
.27705 .33255 m .49846 .40163 L .48251 .44919 L closepath p F P
0 g
s
.644 .764 .935 r
.18103 .71712 m .42473 .69164 L .40957 .77497 L closepath p F P
0 g
s
.06 .172 .668 r
.52102 .92577 m .40957 .77497 L .42473 .69164 L closepath p F P
0 g
s
.926 .788 .688 r
.66959 .28294 m .7018 .5159 L .61392 .5238 L closepath p F P
0 g
s
.731 .259 .127 r
.83414 .64883 m .61392 .5238 L .7018 .5159 L closepath p F P
0 g
s
.644 .764 .935 r
.83414 .64883 m .64841 .75113 L .57886 .67552 L closepath p F P
0 g
s
.926 .788 .688 r
.52102 .92577 m .57886 .67552 L .64841 .75113 L closepath p F P
0 g
s
.668 .516 .669 r
.27705 .33255 m .48251 .44919 L .36717 .55169 L closepath p F P
0 g
s
.668 .516 .669 r
.18103 .71712 m .36717 .55169 L .42473 .69164 L closepath p F P
0 g
s
.06 .172 .668 r
.45263 .5383 m .42473 .69164 L .36717 .55169 L closepath p F P
0 g
s
0 0 0 r
.45263 .5383 m .36717 .55169 L .48251 .44919 L closepath p F P
0 g
s
.668 .516 .669 r
.66959 .28294 m .61392 .5238 L .48251 .44919 L closepath p F P
0 g
s
.731 .259 .127 r
.45263 .5383 m .48251 .44919 L .61392 .5238 L closepath p F P
0 g
s
.644 .764 .935 r
.45263 .5383 m .57886 .67552 L .42473 .69164 L closepath p F P
0 g
s
.668 .516 .669 r
.52102 .92577 m .42473 .69164 L .57886 .67552 L closepath p F P
0 g
s
.926 .788 .688 r
.45263 .5383 m .61392 .5238 L .57886 .67552 L closepath p F P
0 g
s
.668 .516 .669 r
.83414 .64883 m .57886 .67552 L .61392 .5238 L closepath p F P
0 g
s
.25 Mabswid
.67488 0 m
.92568 .39615 L
s
.92568 .39615 m
1 1.00617 L
s
1 1.00617 m
.70966 .66123 L
s
.70966 .66123 m
.67488 0 L
s
.08676 .24213 m
0 .87494 L
s
0 .87494 m
.70966 .66123 L
s
.70966 .66123 m
.67488 0 L
s
.67488 0 m
.08676 .24213 L
s
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.0238095 0.381216 0.321429 0.70428 MathSubStart
%% Graphics3D
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
-0.0844264 1.2109 3.64834e-017 1.2109 [
[ 0 0 0 0 ]
[ 1 1.1504 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.08676 .24213 m
0 .87494 L
s
0 .87494 m
.38254 1.1504 L
s
.38254 1.1504 m
.40225 .57033 L
s
.40225 .57033 m
.08676 .24213 L
s
.67488 0 m
.92568 .39615 L
s
.92568 .39615 m
1 1.00617 L
s
1 1.00617 m
.70966 .66123 L
s
.70966 .66123 m
.67488 0 L
s
.08676 .24213 m
0 .87494 L
s
0 .87494 m
.70966 .66123 L
s
.70966 .66123 m
.67488 0 L
s
.67488 0 m
.08676 .24213 L
s
.40225 .57033 m
.92568 .39615 L
s
.92568 .39615 m
1 1.00617 L
s
1 1.00617 m
.38254 1.1504 L
s
.38254 1.1504 m
.40225 .57033 L
s
0 0 m
1 0 L
1 1.1504 L
0 1.1504 L
closepath
clip
newpath
.5 Mabswid
.949 .596 .288 r
.57293 .65641 m .47098 .54482 L p .50296 .6208 L F P
0 g
s
.949 .596 .288 r
.47098 .54482 m .40156 .46883 L p .44477 .54655 L F P
0 g
s
.584 .556 .789 r
.25726 .56891 m .40156 .46883 L p .44477 .54655 L F P
0 g
s
.112 .665 .737 r
.25726 .56891 m .47098 .54482 L p .4343 .54725 L F P
0 g
s
.584 .556 .789 r
.46805 .54378 m .44477 .54655 L .40156 .46883 L F
.796 .577 .604 r
.4343 .54725 m .40369 .55039 L .40156 .46883 L F
.444 .299 .589 r
.25726 .56891 m .40156 .46883 L p .40369 .55039 L F P
0 g
s
.112 .665 .737 r
.40369 .55039 m .25726 .56891 L .4343 .54725 L F
.32162 .55883 m .25726 .56891 L p .40369 .55039 L F P
0 g
s
.112 .665 .737 r
.42227 .54804 m .40369 .55039 L .4343 .54725 L F
.763 .754 .239 r
.47098 .54482 m .43953 .67708 L p .45507 .60443 L F P
0 g
s
.584 .556 .789 r
.43953 .67708 m .25726 .56891 L p .44254 .60218 L F P
0 g
s
.623 .34 .467 r
.47098 .54482 m .25726 .56891 L p .45507 .60443 L F P
0 g
s
.584 .556 .789 r
.45507 .60443 m .44477 .54655 L .46115 .57601 L F
.43953 .67708 m .44254 .60218 L .45507 .60443 L F
.44254 .60218 m .44477 .54655 L .45507 .60443 L F
.846 .922 .882 r
.43953 .67708 m .57293 .65641 L p .49005 .61423 L F P
0 g
s
.465 .321 .6 r
.38779 .89469 m .43953 .67708 L p .47774 .7255 L F P
0 g
s
.949 .596 .288 r
.55567 .746 m .52296 .66829 L .51369 .67049 L F
.014 0 0 r
.43953 .67708 m .57293 .65641 L p .51369 .67049 L F P
0 g
s
.949 .596 .288 r
.55567 .746 m .57293 .65641 L p .50296 .6208 L F P
0 g
s
.584 .556 .789 r
.55567 .746 m .43953 .67708 L p .51369 .67049 L F P
0 g
s
.759 .677 .771 r
.55567 .746 m .65966 .65389 L p .57529 .66401 L F P
0 g
s
.014 0 0 r
.57293 .65641 m .65966 .65389 L p .57513 .66351 L F P
0 g
s
0 0 0 r
.55567 .746 m .57293 .65641 L p .57529 .66401 L F P
0 g
s
.014 0 0 r
.5427 .66792 m .51369 .67049 L .57513 .66351 L F
.57529 .66401 m .57513 .66351 L .65966 .65389 L F
.5427 .66792 m .57513 .66351 L .57529 .66401 L F
.5756 .665 m .57529 .66401 L .65966 .65389 L F
0 0 0 r
.57293 .65641 m .60575 .52962 L p .58822 .60696 L F P
0 g
s
.191 .512 .913 r
.65966 .65389 m .57293 .65641 L p .5893 .60345 L F P
0 g
s
0 0 0 r
.57529 .66401 m .60575 .52962 L .58288 .6323 L F
.796 .577 .604 r
.60575 .52962 m .65966 .65389 L p .5893 .60345 L F P
0 g
s
.846 .922 .882 r
.57293 .65641 m .60575 .52962 L p .53653 .57299 L F P
0 g
s
.623 .34 .467 r
.56223 .58404 m .57442 .5688 L .55165 .56352 L F
.53653 .57299 m .55165 .56352 L .47098 .54482 L F
.56223 .58404 m .55165 .56352 L .53653 .57299 L F
.465 .321 .6 r
.43953 .67708 m .47098 .54482 L p .49005 .61423 L F P
0 g
s
.949 .596 .288 r
.50296 .6208 m .47098 .54482 L .49005 .61423 L F
.584 .556 .789 r
.51369 .67049 m .43953 .67708 L .49753 .64143 L F
.014 0 0 r
.50602 .67232 m .43953 .67708 L .51369 .67049 L F
.465 .321 .6 r
.50602 .67232 m .43953 .67708 L .49005 .61423 L F
.623 .34 .467 r
.47938 .6088 m .47098 .54482 L .45507 .60443 L F
.846 .922 .882 r
.43953 .67708 m .49005 .61423 L .47938 .6088 L F
.623 .34 .467 r
.41066 .64037 m .45507 .60443 L .25726 .56891 L F
.846 .922 .882 r
.43953 .67708 m .44879 .62797 L .42118 .64527 L F
.104 .474 .894 r
.25726 .56891 m .43953 .67708 L p .44163 .6548 L F P
0 g
s
.623 .34 .467 r
.44163 .6548 m .44879 .62797 L .42118 .64527 L F
.44879 .62797 m .45507 .60443 L .34772 .6913 L F
.846 .922 .882 r
.42118 .64527 m .45477 .59627 L .41386 .63259 L F
.44879 .62797 m .45477 .59627 L .42118 .64527 L F
.763 .754 .239 r
.43953 .67708 m .45477 .59627 L .46115 .57601 L F
.45507 .60443 m .46115 .57601 L .47098 .54482 L F
.949 .596 .288 r
.46115 .57601 m .47098 .54482 L .44477 .54655 L F
.49753 .64143 m .47098 .54482 L .46115 .57601 L F
.796 .577 .604 r
.40156 .46883 m .52102 .33433 L p .48102 .49249 L F P
0 g
s
.112 .665 .737 r
.47098 .54482 m .60575 .52962 L p .53066 .53734 L F P
0 g
s
.465 .321 .6 r
.47098 .54482 m .52102 .33433 L p .53066 .53734 L F P
0 g
s
.104 .474 .894 r
.43953 .67708 m .55567 .746 L p .49334 .69615 L F P
0 g
s
.846 .922 .882 r
.49005 .61423 m .57293 .65641 L .50968 .58982 L F
.763 .754 .239 r
.52102 .33433 m .47098 .54482 L p .47389 .52069 L F P
0 g
s
.191 .512 .913 r
.57293 .65641 m .47098 .54482 L p .53653 .57299 L F P
0 g
s
.846 .922 .882 r
.5609 .64374 m .57293 .65641 L .5662 .64098 L F
.5609 .64374 m .5662 .64098 L .53653 .57299 L F
.50968 .58982 m .5609 .64374 L .53653 .57299 L F
.796 .577 .604 r
.5893 .60345 m .56223 .58404 L .60575 .52962 L F
.191 .512 .913 r
.65966 .65389 m .5893 .60345 L .59143 .59659 L F
0 0 0 r
.55567 .746 m .57529 .66401 L .5756 .665 L F
.759 .677 .771 r
.55567 .746 m .57529 .66401 L .5427 .66792 L F
.584 .556 .789 r
.58197 .70459 m .55567 .746 L .5427 .66792 L F
.846 .943 .885 r
.65966 .65389 m .55567 .746 L p .59396 .6857 L F P
0 g
s
.584 .556 .789 r
.74952 .86104 m .55567 .746 L p .58197 .70459 L F P
0 g
s
.584 .556 .789 r
.59396 .6857 m .5427 .66792 L .5756 .665 L F
.74952 .86104 m .58197 .70459 L .59396 .6857 L F
.58197 .70459 m .5427 .66792 L .59396 .6857 L F
0 0 0 r
.56821 .69817 m .55567 .746 L .5756 .665 L F
.846 .943 .885 r
.55567 .746 m .56821 .69817 L .59396 .6857 L F
.014 0 0 r
.57513 .66351 m .51369 .67049 L .57293 .65641 L F
.949 .596 .288 r
.51369 .67049 m .50296 .6208 L .49753 .64143 L F
.52296 .66829 m .50296 .6208 L .51369 .67049 L F
.584 .556 .789 r
.55567 .746 m .49753 .64143 L .53452 .6187 L F
.191 .512 .913 r
.53184 .56225 m .53653 .57299 L .47098 .54482 L F
.5893 .60345 m .57293 .65641 L .53653 .57299 L F
0 0 0 r
.57529 .66401 m .57293 .65641 L .58822 .60696 L F
.796 .577 .604 r
.58288 .6323 m .58733 .61233 L .65966 .65389 L F
.191 .512 .913 r
.5893 .60345 m .53653 .57299 L .56223 .58404 L F
.796 .577 .604 r
.55464 .59354 m .56223 .58404 L .65966 .65389 L F
.584 .556 .789 r
.43953 .67708 m .46115 .57601 L .47938 .6088 L F
.949 .596 .288 r
.50296 .6208 m .49005 .61423 L .49753 .64143 L F
.465 .321 .6 r
.51549 .65449 m .4961 .60671 L .53452 .6187 L F
.4961 .60671 m .47098 .54482 L .50968 .58982 L F
.4961 .60671 m .50968 .58982 L .53452 .6187 L F
.949 .596 .288 r
.55567 .746 m .49753 .64143 L .50602 .67232 L F
.759 .677 .771 r
.55567 .746 m .5427 .66792 L .50602 .67232 L F
.49334 .69615 m .55567 .746 L .50602 .67232 L F
.584 .556 .789 r
.43953 .67708 m .47938 .6088 L .49753 .64143 L F
.44254 .60218 m .25726 .56891 L .44477 .54655 L F
.104 .474 .894 r
.44163 .6548 m .38873 .61249 L .25726 .56891 L F
.465 .321 .6 r
.50602 .67232 m .49005 .61423 L .51549 .65449 L F
.49005 .61423 m .47098 .54482 L .4961 .60671 L F
.49005 .61423 m .4961 .60671 L .51549 .65449 L F
.623 .34 .467 r
.50968 .58982 m .53653 .57299 L .47098 .54482 L F
.846 .922 .882 r
.50968 .58982 m .53653 .57299 L .53184 .56225 L F
.623 .34 .467 r
.53452 .6187 m .56223 .58404 L .51647 .59772 L F
.846 .922 .882 r
.47938 .6088 m .49005 .61423 L .49252 .61116 L F
.47938 .6088 m .49917 .60289 L .50968 .58982 L F
.623 .34 .467 r
.53452 .6187 m .51647 .59772 L .47938 .6088 L F
.47938 .6088 m .56223 .58404 L .53653 .57299 L F
.465 .321 .6 r
.53452 .6187 m .47098 .54482 L .53184 .56225 L F
.623 .34 .467 r
.47938 .6088 m .50968 .58982 L .47098 .54482 L F
.846 .922 .882 r
.47938 .6088 m .50968 .58982 L .53184 .56225 L F
0 0 0 r
.58288 .6323 m .60575 .52962 L .59143 .59659 L F
.623 .34 .467 r
.60575 .52962 m .47098 .54482 L p .59628 .57386 L F P
0 g
s
.584 .556 .789 r
.49753 .64143 m .50391 .6132 L .53452 .6187 L F
.465 .321 .6 r
.51642 .55783 m .47098 .54482 L .52077 .53858 L F
.51642 .55783 m .52077 .53858 L .53066 .53734 L F
.53184 .56225 m .51642 .55783 L .53066 .53734 L F
.191 .512 .913 r
.53184 .56225 m .52481 .56023 L .52424 .55679 L F
.52481 .56023 m .47098 .54482 L .52424 .55679 L F
.47098 .54482 m .40156 .46883 L p .47389 .52069 L F P
0 g
s
.191 .512 .913 r
.50131 .54036 m .47098 .54482 L .47389 .52069 L F
.796 .577 .604 r
.50131 .54036 m .40156 .46883 L .60575 .52962 L F
.112 .665 .737 r
.51107 .53892 m .50131 .54036 L .53066 .53734 L F
.50131 .54036 m .50209 .54092 L .53066 .53734 L F
.191 .512 .913 r
.52424 .55679 m .47098 .54482 L .50131 .54036 L F
.763 .754 .239 r
.47389 .52069 m .48398 .4718 L .52102 .33433 L F
.014 0 0 r
.55528 .66768 m .53696 .6701 L .51369 .67049 L F
.53696 .6701 m .50602 .67232 L .51369 .67049 L F
.759 .677 .771 r
.65966 .65389 m .63014 .6077 L .58288 .6323 L F
.796 .577 .604 r
.61453 .67574 m .60397 .66125 L .65966 .65389 L F
.759 .677 .771 r
.65966 .65389 m .58288 .6323 L .60351 .66063 L F
.014 0 0 r
.55528 .66768 m .51369 .67049 L .5756 .665 L F
.759 .677 .771 r
.57583 .66395 m .58288 .6323 L .50602 .67232 L F
.796 .577 .604 r
.60397 .66125 m .5756 .665 L .58288 .6323 L F
.74952 .86104 m .5756 .665 L .60397 .66125 L F
.584 .556 .789 r
.50391 .6132 m .50913 .59008 L .53452 .6187 L F
.846 .922 .882 r
.44906 .66074 m .47938 .6088 L .44346 .65626 L F
.44346 .65626 m .47938 .6088 L .44879 .62797 L F
.763 .754 .239 r
.44163 .6548 m .45477 .59627 L .43953 .67708 L F
.623 .34 .467 r
.46466 .62674 m .44863 .62859 L .44163 .6548 L F
.47938 .6088 m .44863 .62859 L .46466 .62674 L F
.47938 .6088 m .45507 .60443 L .44863 .62859 L F
.949 .596 .288 r
.50602 .67232 m .48054 .61764 L .4833 .63861 L F
.846 .922 .882 r
.49778 .57729 m .47938 .6088 L .53184 .56225 L F
.623 .34 .467 r
.47938 .6088 m .47475 .61445 L .47578 .61737 L F
.47475 .61445 m .44163 .6548 L .47578 .61737 L F
.796 .577 .604 r
.53452 .6187 m .54383 .60706 L .58288 .6323 L F
.584 .556 .789 r
.47938 .6088 m .49778 .57729 L .49753 .64143 L F
.49778 .57729 m .50913 .59008 L .49753 .64143 L F
.846 .922 .882 r
.44879 .62797 m .47938 .6088 L .45477 .59627 L F
.623 .34 .467 r
.4833 .63861 m .47938 .6088 L .46365 .64624 L F
.949 .596 .288 r
.49753 .64143 m .46115 .57601 L .50602 .67232 L F
.465 .321 .6 r
.51464 .7037 m .49334 .69615 L .50602 .67232 L F
.49334 .69615 m .43953 .67708 L .50602 .67232 L F
.47774 .7255 m .43953 .67708 L .49334 .69615 L F
.014 0 0 r
.50602 .67232 m .46907 .67675 L .43953 .67708 L F
.763 .754 .239 r
.43953 .67708 m .38779 .89469 L p .43581 .68073 L F P
0 g
s
.014 0 0 r
.34772 .6913 m .43953 .67708 L p .43581 .68073 L F P
0 g
s
.759 .677 .771 r
.49955 .68449 m .50602 .67232 L .46746 .66183 L F
.49955 .68449 m .46746 .66183 L .44163 .6548 L F
.49334 .69615 m .49955 .68449 L .44163 .6548 L F
.50602 .67232 m .4833 .63861 L .44163 .6548 L F
.846 .922 .882 r
.43953 .67708 m .44906 .66074 L .44346 .65626 L F
.104 .474 .894 r
.49334 .69615 m .46907 .67675 L .43953 .67708 L F
.46907 .67675 m .44163 .6548 L .43953 .67708 L F
.51464 .7037 m .47431 .67669 L .49334 .69615 L F
.47431 .67669 m .46907 .67675 L .49334 .69615 L F
.014 0 0 r
.48828 .67653 m .46907 .67675 L .50602 .67232 L F
.623 .34 .467 r
.48828 .67653 m .4833 .63861 L .46792 .66705 L F
.104 .474 .894 r
.51464 .7037 m .50156 .69022 L .44163 .6548 L F
.014 0 0 r
.46907 .67675 m .43581 .68073 L .43953 .67708 L F
.759 .677 .771 r
.49334 .69615 m .46907 .67675 L .34772 .6913 L F
.444 .299 .589 r
.40452 .58214 m .25726 .56891 L .40369 .55039 L F
.623 .34 .467 r
.47578 .61737 m .44163 .6548 L .46365 .64624 L F
.949 .596 .288 r
.4833 .63861 m .46115 .57601 L .45477 .59627 L F
.48054 .61764 m .46115 .57601 L .4833 .63861 L F
.614 .32 .447 r
.52102 .33433 m .40156 .46883 L p .4814 .48135 L F P
0 g
s
.763 .754 .239 r
.47505 .51105 m .49846 .40163 L .47579 .51147 L F
.47505 .51105 m .47575 .51168 L .47389 .52069 L F
.191 .512 .913 r
.52102 .53746 m .50668 .53957 L .47505 .51105 L F
.796 .577 .604 r
.52102 .33433 m .60575 .52962 L p .48102 .49249 L F P
0 g
s
.465 .321 .6 r
.57448 .50921 m .53066 .53734 L .52102 .33433 L F
.55424 .53439 m .53066 .53734 L .57448 .50921 L F
.759 .677 .771 r
.52102 .53746 m .56201 .50108 L .5447 .47399 L F
.94 .572 .216 r
.52102 .33433 m .60575 .52962 L p .57448 .50921 L F P
0 g
s
.94 .572 .216 r
.57448 .50921 m .56201 .50108 L .52102 .33433 L F
.56201 .50108 m .5447 .47399 L .52102 .33433 L F
.465 .321 .6 r
.55959 .4605 m .62838 .44216 L p .57448 .50921 L F P
0 g
s
.846 .922 .882 r
.55424 .53439 m .60575 .52962 L .57448 .50921 L F
.112 .665 .737 r
.55424 .53439 m .53066 .53734 L .60575 .52962 L F
.796 .577 .604 r
.45477 .59627 m .32162 .55883 L .4343 .54725 L F
.949 .596 .288 r
.45477 .59627 m .40156 .46883 L .42227 .54804 L F
.46115 .57601 m .40156 .46883 L .45477 .59627 L F
.796 .577 .604 r
.46805 .54378 m .4343 .54725 L .40156 .46883 L F
.112 .665 .737 r
.42227 .54804 m .4343 .54725 L .46666 .54328 L F
.4343 .54725 m .47098 .54482 L .46805 .54378 L F
.4343 .54725 m .46805 .54378 L .46666 .54328 L F
.584 .556 .789 r
.46115 .57601 m .44477 .54655 L .46805 .54378 L F
.763 .754 .239 r
.47098 .54482 m .46853 .54395 L .47389 .52069 L F
.46115 .57601 m .46805 .54378 L .47389 .52069 L F
.796 .577 .604 r
.46805 .54378 m .40156 .46883 L .47389 .52069 L F
.46805 .54378 m .47389 .52069 L .50131 .54036 L F
.584 .556 .789 r
.47505 .51105 m .40156 .46883 L .4814 .48135 L F
.40156 .46883 m .49846 .40163 L p .4814 .48135 L F P
0 g
s
.191 .512 .913 r
.47505 .51105 m .40156 .46883 L .45107 .48944 L F
.47424 .51774 m .40156 .46883 L .47505 .51105 L F
.50131 .54036 m .40156 .46883 L .50668 .53957 L F
.584 .556 .789 r
.46805 .54378 m .40156 .46883 L .47505 .51105 L F
.191 .512 .913 r
.47638 .49997 m .47505 .51105 L .47439 .51045 L F
.47638 .49997 m .47409 .51019 L .45107 .48944 L F
.763 .754 .239 r
.46666 .54328 m .47638 .49997 L .46805 .54378 L F
.614 .32 .447 r
.40156 .46883 m .47638 .49997 L .4814 .48135 L F
.763 .754 .239 r
.47638 .49997 m .49846 .40163 L .47505 .51105 L F
.47638 .49997 m .47505 .51105 L .46805 .54378 L F
.191 .512 .913 r
.50668 .53957 m .47424 .51774 L .47505 .51105 L F
.763 .754 .239 r
.47098 .54482 m .46115 .57601 L .46853 .54395 L F
.112 .665 .737 r
.46805 .54378 m .47098 .54482 L .50131 .54036 L F
.796 .577 .604 r
.49778 .57729 m .46805 .54378 L .60575 .52962 L F
.191 .512 .913 r
.53184 .56225 m .50131 .54036 L .50668 .53957 L F
.759 .677 .771 r
.52102 .53746 m .5447 .47399 L .51251 .48623 L F
.846 .922 .882 r
.52102 .53746 m .55424 .53439 L .54771 .49174 L F
.55424 .53439 m .57448 .50921 L .54771 .49174 L F
.465 .321 .6 r
.58114 .53102 m .55424 .53439 L .57448 .50921 L F
.112 .665 .737 r
.52102 .53746 m .60575 .52962 L .54714 .53466 L F
.94 .572 .216 r
.58114 .53102 m .56201 .50108 L .60575 .52962 L F
.796 .577 .604 r
.60397 .66125 m .58288 .6323 L .65966 .65389 L F
.58288 .6323 m .55464 .59354 L .58733 .61233 L F
.94 .572 .216 r
.60575 .52962 m .65966 .65389 L p .61675 .58674 L F P
0 g
s
.623 .34 .467 r
.59143 .59659 m .61675 .58674 L .59628 .57386 L F
.61675 .58674 m .8283 .50453 L .61329 .56878 L F
.61675 .58674 m .61329 .56878 L .59628 .57386 L F
.846 .943 .885 r
.59396 .6857 m .60899 .66203 L .65966 .65389 L F
.796 .577 .604 r
.65966 .65389 m .74952 .86104 L p .61453 .67574 L F P
0 g
s
.94 .572 .216 r
.65966 .65389 m .74952 .86104 L p .64382 .65813 L F P
0 g
s
.94 .572 .216 r
.74952 .86104 m .6393 .65934 L .64382 .65813 L F
.014 0 0 r
.6393 .65934 m .60899 .66203 L .65966 .65389 L F
.60899 .66203 m .5756 .665 L .65966 .65389 L F
.949 .596 .288 r
.48828 .67653 m .55567 .746 L .4833 .63861 L F
.759 .677 .771 r
.50602 .67232 m .53452 .6187 L .4833 .63861 L F
.465 .321 .6 r
.51464 .7037 m .50602 .67232 L .53896 .71233 L F
.759 .677 .771 r
.50602 .67232 m .58288 .6323 L .55879 .62553 L F
.623 .34 .467 r
.59143 .59659 m .59628 .57386 L .56223 .58404 L F
.191 .512 .913 r
.59143 .59659 m .5893 .60345 L .575 .5828 L F
.846 .922 .882 r
.5439 .55692 m .53653 .57299 L .60575 .52962 L F
.53184 .56225 m .53653 .57299 L .55424 .53439 L F
.191 .512 .913 r
.56223 .58404 m .53653 .57299 L .53184 .56225 L F
.796 .577 .604 r
.58288 .6323 m .49778 .57729 L .53184 .56225 L F
.623 .34 .467 r
.59628 .57386 m .61329 .56878 L .60575 .52962 L F
.8283 .50453 m .60575 .52962 L p .61329 .56878 L F P
0 g
s
.94 .572 .216 r
.61675 .58674 m .60004 .56059 L .60575 .52962 L F
.112 .665 .737 r
.60575 .52962 m .8283 .50453 L p .62158 .52668 L F P
0 g
s
.759 .677 .771 r
.8283 .50453 m .62838 .44216 L p .6078 .52816 L F P
0 g
s
.112 .665 .737 r
.60862 .52757 m .60575 .52962 L .63372 .52443 L F
0 0 0 r
.60575 .52962 m .62838 .44216 L p .60004 .56059 L F P
0 g
s
.614 .32 .447 r
.4814 .48135 m .54315 .46488 L .52102 .33433 L F
.62838 .44216 m .52102 .33433 L p .54315 .46488 L F P
0 g
s
.614 .32 .447 r
.51251 .48623 m .5447 .47399 L .4814 .48135 L F
.5447 .47399 m .62838 .44216 L .54315 .46488 L F
.5447 .47399 m .54315 .46488 L .4814 .48135 L F
0 0 0 r
.59143 .59659 m .60575 .52962 L .60004 .56059 L F
.763 .754 .239 r
.49846 .40163 m .52102 .33433 L p .48398 .4718 L F P
0 g
s
.94 .572 .216 r
.49846 .40163 m .52102 .33433 L p .5447 .47399 L F P
0 g
s
.846 .922 .882 r
.60575 .52962 m .62838 .44216 L p .56201 .50108 L F P
0 g
s
.112 .665 .737 r
.54714 .53466 m .60575 .52962 L .58114 .53102 L F
.846 .922 .882 r
.55424 .53439 m .5439 .55692 L .60575 .52962 L F
.796 .577 .604 r
.56223 .58404 m .53184 .56225 L .60575 .52962 L F
.94 .572 .216 r
.60004 .56059 m .58114 .53102 L .60575 .52962 L F
.112 .665 .737 r
.58114 .53102 m .60575 .52962 L .6078 .52816 L F
.759 .677 .771 r
.56021 .57037 m .8283 .50453 L .58114 .53102 L F
.465 .321 .6 r
.5897 .55903 m .57008 .55182 L .58114 .53102 L F
.57008 .55182 m .54703 .54335 L .58114 .53102 L F
.54703 .54335 m .53066 .53734 L .55424 .53439 L F
.54703 .54335 m .55424 .53439 L .58114 .53102 L F
.112 .665 .737 r
.52102 .53746 m .53066 .53734 L .55424 .53439 L F
.51107 .53892 m .53066 .53734 L .52102 .53746 L F
.465 .321 .6 r
.54703 .54335 m .53184 .56225 L .53066 .53734 L F
.5897 .55903 m .53184 .56225 L .54703 .54335 L F
.191 .512 .913 r
.5893 .60345 m .5862 .60122 L .58662 .60085 L F
.623 .34 .467 r
.56223 .58404 m .59628 .57386 L .57442 .5688 L F
.191 .512 .913 r
.5862 .60122 m .53184 .56225 L .58662 .60085 L F
.759 .677 .771 r
.61441 .61589 m .8283 .50453 L .56021 .57037 L F
0 0 0 r
.59571 .57869 m .60004 .56059 L .59576 .57886 L F
.191 .512 .913 r
.5893 .60345 m .58662 .60085 L .58717 .60036 L F
.759 .677 .771 r
.58561 .62088 m .61441 .61589 L .59143 .59659 L F
.58288 .6323 m .61441 .61589 L .55879 .62553 L F
.191 .512 .913 r
.65966 .65389 m .59143 .59659 L .6211 .60934 L F
.94 .572 .216 r
.62268 .61755 m .6211 .60934 L .65966 .65389 L F
.6211 .60934 m .61675 .58674 L .65966 .65389 L F
.759 .677 .771 r
.65966 .65389 m .8283 .50453 L p .63014 .6077 L F P
0 g
s
.191 .512 .913 r
.65966 .65389 m .6211 .60934 L .64807 .62093 L F
.846 .943 .885 r
.60899 .66203 m .62607 .63514 L .65966 .65389 L F
.94 .572 .216 r
.64382 .65813 m .63421 .63969 L .65966 .65389 L F
.63421 .63969 m .62268 .61755 L .65966 .65389 L F
.64382 .65813 m .62607 .63514 L .62268 .61755 L F
.846 .943 .885 r
.8283 .50453 m .65966 .65389 L p .62607 .63514 L F P
0 g
s
.623 .34 .467 r
.65942 .6136 m .8283 .50453 L .61675 .58674 L F
.6211 .60934 m .61675 .58674 L .59143 .59659 L F
.72064 .65212 m .61675 .58674 L .6211 .60934 L F
.191 .512 .913 r
.59873 .59973 m .59143 .59659 L .59282 .59207 L F
.59873 .59973 m .59282 .59207 L .59633 .58072 L F
.6211 .60934 m .59873 .59973 L .59633 .58072 L F
.623 .34 .467 r
.6211 .60934 m .59143 .59659 L .62607 .63514 L F
.59143 .59659 m .58945 .60582 L .62607 .63514 L F
0 0 0 r
.58945 .60582 m .58793 .61293 L .5756 .665 L F
.759 .677 .771 r
.55879 .62553 m .58561 .62088 L .59143 .59659 L F
.191 .512 .913 r
.58662 .60085 m .55292 .56828 L .58717 .60036 L F
.55292 .56828 m .55366 .5685 L .58717 .60036 L F
.759 .677 .771 r
.50602 .67232 m .5611 .62347 L .53452 .6187 L F
0 0 0 r
.60004 .56059 m .59561 .58051 L .59544 .58046 L F
.60004 .56059 m .59903 .56608 L .59561 .58051 L F
.623 .34 .467 r
.62607 .63514 m .58945 .60582 L .58477 .62772 L F
0 0 0 r
.60004 .56059 m .58793 .61293 L .58945 .60582 L F
.59531 .58042 m .59539 .58045 L .58945 .60582 L F
.59571 .57869 m .59539 .58045 L .59531 .58042 L F
.59571 .57869 m .59576 .57886 L .59539 .58045 L F
.59143 .59659 m .59571 .57869 L .58945 .60582 L F
.94 .572 .216 r
.6211 .60934 m .59845 .56921 L .61675 .58674 L F
0 0 0 r
.5756 .665 m .59903 .56608 L .59633 .58072 L F
.94 .572 .216 r
.59845 .56921 m .58616 .54744 L .59934 .56438 L F
.59845 .56921 m .59934 .56438 L .61675 .58674 L F
.61433 .60152 m .5982 .57056 L .6211 .60934 L F
.5982 .57056 m .58616 .54744 L .59845 .56921 L F
.5982 .57056 m .59845 .56921 L .6211 .60934 L F
.58616 .54744 m .58114 .53102 L .61675 .58674 L F
.61433 .60152 m .59633 .58072 L .5982 .57056 L F
.62268 .61755 m .59633 .58072 L .61433 .60152 L F
.465 .321 .6 r
.59633 .58072 m .53184 .56225 L .5897 .55903 L F
.846 .922 .882 r
.52102 .53746 m .53184 .56225 L .55424 .53439 L F
.465 .321 .6 r
.59224 .51015 m .58114 .53102 L .57448 .50921 L F
0 0 0 r
.61203 .51119 m .62838 .44216 L .61241 .51121 L F
.61203 .51119 m .61241 .51121 L .59633 .58072 L F
.59903 .56608 m .61203 .51119 L .59633 .58072 L F
.759 .677 .771 r
.58114 .53102 m .6078 .52816 L .61176 .51162 L F
.59224 .51015 m .61186 .51118 L .62838 .44216 L F
0 0 0 r
.60004 .56059 m .62838 .44216 L .59903 .56608 L F
.465 .321 .6 r
.61241 .51121 m .58114 .53102 L .59224 .51015 L F
.50602 .67232 m .51549 .65449 L .52225 .67115 L F
.50602 .67232 m .52225 .67115 L .53896 .71233 L F
.53896 .71233 m .51549 .65449 L .53452 .6187 L F
.014 0 0 r
.53696 .6701 m .48828 .67653 L .50602 .67232 L F
.5756 .665 m .5427 .66792 L .57529 .66401 L F
.584 .556 .789 r
.5756 .665 m .5427 .66792 L .53452 .6187 L F
.796 .577 .604 r
.5756 .665 m .48828 .67653 L .53452 .6187 L F
.59396 .6857 m .48828 .67653 L .5756 .665 L F
.846 .943 .885 r
.55567 .746 m .53896 .71233 L .54925 .70735 L F
.55567 .746 m .54925 .70735 L .56821 .69817 L F
.796 .577 .604 r
.74952 .86104 m .56151 .72825 L .59396 .6857 L F
0 0 0 r
.56151 .72825 m .55567 .746 L .56821 .69817 L F
.104 .474 .894 r
.55567 .746 m .74952 .86104 L p .55966 .73386 L F P
0 g
s
.796 .577 .604 r
.56151 .72825 m .53896 .71233 L .56821 .69817 L F
.56151 .72825 m .56821 .69817 L .59396 .6857 L F
.53896 .71233 m .48828 .67653 L .59396 .6857 L F
.191 .512 .913 r
.64807 .62093 m .6211 .60934 L .61983 .59422 L F
.64807 .62093 m .61983 .59422 L .64345 .60778 L F
.58717 .60036 m .52102 .53746 L .575 .5828 L F
.58662 .60085 m .53184 .56225 L .55292 .56828 L F
.759 .677 .771 r
.5827 .60433 m .59143 .59659 L .58233 .60012 L F
0 0 0 r
.58455 .62531 m .59143 .59659 L .58461 .62602 L F
.58455 .62531 m .58461 .62602 L .5756 .665 L F
.58288 .6323 m .58455 .62531 L .5756 .665 L F
.59143 .59659 m .58945 .60582 L .5756 .665 L F
.623 .34 .467 r
.58477 .62772 m .58233 .60012 L .53452 .6187 L F
.58945 .60582 m .58233 .60012 L .58477 .62772 L F
0 0 0 r
.59544 .58046 m .59561 .58051 L .58793 .61293 L F
.623 .34 .467 r
.58233 .60012 m .56223 .58404 L .53452 .6187 L F
.584 .556 .789 r
.63038 .60028 m .59633 .58072 L .63579 .55647 L F
.64345 .60778 m .63579 .55647 L .65925 .58291 L F
.846 .943 .885 r
.64807 .62093 m .64345 .60778 L .8283 .50453 L F
.191 .512 .913 r
.72064 .65212 m .65966 .65389 L p .64345 .60778 L F P
0 g
s
.623 .34 .467 r
.72064 .65212 m .63788 .61655 L .62607 .63514 L F
.846 .943 .885 r
.62607 .63514 m .64345 .60778 L .64807 .62093 L F
.623 .34 .467 r
.62885 .61267 m .6211 .60934 L .62607 .63514 L F
.584 .556 .789 r
.62607 .63514 m .63038 .60028 L .64345 .60778 L F
.63038 .60028 m .63579 .55647 L .64345 .60778 L F
.112 .665 .737 r
.63372 .52443 m .62158 .52668 L .8283 .50453 L F
.801 .576 .597 r
.62838 .44216 m .8283 .50453 L p .65925 .58291 L F P
0 g
s
.801 .576 .597 r
.63814 .59269 m .63579 .55647 L .65925 .58291 L F
.63579 .55647 m .62838 .44216 L .65925 .58291 L F
.623 .34 .467 r
.59143 .59659 m .56223 .58404 L .58945 .60582 L F
.191 .512 .913 r
.59633 .58072 m .59143 .59659 L .56794 .57259 L F
.59143 .59659 m .575 .5828 L .56794 .57259 L F
.796 .577 .604 r
.53452 .6187 m .49778 .57729 L .54383 .60706 L F
.55464 .59354 m .53184 .56225 L .56223 .58404 L F
.759 .677 .771 r
.53452 .6187 m .59143 .59659 L .56021 .57037 L F
.584 .556 .789 r
.62607 .63514 m .53452 .6187 L .59633 .58072 L F
.191 .512 .913 r
.6211 .60934 m .59633 .58072 L .61983 .59422 L F
.94 .572 .216 r
.62268 .61755 m .61433 .60152 L .6211 .60934 L F
.62268 .61755 m .60437 .60704 L .59633 .58072 L F
.62607 .63514 m .60437 .60704 L .62268 .61755 L F
.584 .556 .789 r
.62607 .63514 m .59633 .58072 L .63038 .60028 L F
.465 .321 .6 r
.64823 .58053 m .59633 .58072 L .60043 .56297 L F
.191 .512 .913 r
.64345 .60778 m .61983 .59422 L .61925 .58728 L F
.64345 .60778 m .61925 .58728 L .63814 .59269 L F
.94 .572 .216 r
.61027 .62632 m .60437 .60704 L .61492 .6207 L F
.61027 .62632 m .61655 .62281 L .62607 .63514 L F
.846 .943 .885 r
.61027 .62632 m .63814 .59269 L .8283 .50453 L F
.56821 .69817 m .5763 .66728 L .59396 .6857 L F
.104 .474 .894 r
.74952 .86104 m .56385 .72115 L .55966 .73386 L F
.796 .577 .604 r
.74952 .86104 m .54355 .80889 L p .56151 .72825 L F P
0 g
s
.465 .321 .6 r
.63293 .51228 m .57448 .50921 L .62838 .44216 L F
.63814 .59269 m .59633 .58072 L .64823 .58053 L F
.7018 .5159 m .60862 .52757 L .61241 .51121 L F
.112 .665 .737 r
.60957 .5269 m .60862 .52757 L .63372 .52443 L F
.584 .556 .789 r
.72064 .65212 m .62607 .63514 L .64345 .60778 L F
.94 .572 .216 r
.6393 .65934 m .62607 .63514 L .64382 .65813 L F
0 0 0 r
.57529 .66401 m .58288 .6323 L .5756 .665 L F
.796 .577 .604 r
.5756 .665 m .53452 .6187 L .58288 .6323 L F
.584 .556 .789 r
.74952 .86104 m .53452 .6187 L .62607 .63514 L F
.846 .943 .885 r
.58732 .66551 m .60899 .66203 L .60837 .66302 L F
.58732 .66551 m .60837 .66302 L .59396 .6857 L F
.5763 .66728 m .58732 .66551 L .59396 .6857 L F
.014 0 0 r
.63115 .66152 m .58732 .66551 L .6393 .65934 L F
.60369 .66441 m .58732 .66551 L .63115 .66152 L F
.623 .34 .467 r
.61821 .69257 m .63115 .66152 L .60369 .66441 L F
.762 .683 .775 r
.74952 .86104 m .58659 .72921 L .60317 .69852 L F
.014 0 0 r
.65966 .65389 m .72064 .65212 L p .6393 .65934 L F P
0 g
s
.584 .556 .789 r
.72064 .65212 m .74952 .86104 L p .62607 .63514 L F P
0 g
s
.623 .34 .467 r
.6358 .68563 m .63115 .66152 L .61821 .69257 L F
.94 .572 .216 r
.74952 .86104 m .62179 .66403 L .6393 .65934 L F
.762 .683 .775 r
.74952 .86104 m .60317 .69852 L .66211 .67524 L F
.623 .34 .467 r
.64841 .75113 m .6358 .68563 L .61821 .69257 L F
.60317 .69852 m .60369 .66441 L .5763 .66728 L F
.61821 .69257 m .60369 .66441 L .60317 .69852 L F
0 0 0 r
.57042 .68974 m .56821 .69817 L .5756 .665 L F
.014 0 0 r
.58732 .66551 m .57614 .66676 L .57599 .66628 L F
.60369 .66441 m .58348 .66613 L .58732 .66551 L F
.58348 .66613 m .57614 .66676 L .58732 .66551 L F
.104 .474 .894 r
.74952 .86104 m .58659 .72921 L .56385 .72115 L F
.465 .321 .6 r
.58659 .72921 m .54355 .80889 L .56385 .72115 L F
.60317 .69852 m .56385 .72115 L .5763 .66728 L F
.64841 .75113 m .58659 .72921 L .60317 .69852 L F
.58659 .72921 m .56385 .72115 L .60317 .69852 L F
.762 .683 .775 r
.58659 .72921 m .56653 .71298 L .60317 .69852 L F
.104 .474 .894 r
.56385 .72115 m .64841 .75113 L .56653 .71298 L F
0 0 0 r
.56385 .72115 m .5756 .665 L .56653 .71298 L F
.56653 .71298 m .5756 .665 L .5763 .66728 L F
.762 .683 .775 r
.58659 .72921 m .56281 .7285 L .56653 .71298 L F
.74952 .86104 m .54355 .80889 L p .58659 .72921 L F P
0 g
s
.104 .474 .894 r
.74952 .86104 m .64841 .75113 L p .58659 .72921 L F P
0 g
s
.465 .321 .6 r
.64841 .75113 m .54355 .80889 L p .58659 .72921 L F P
0 g
s
.623 .34 .467 r
.56653 .71298 m .60317 .69852 L .5763 .66728 L F
0 0 0 r
.56653 .71298 m .5763 .66728 L .57697 .66943 L F
.014 0 0 r
.57599 .66628 m .53696 .6701 L .55528 .66768 L F
.57614 .66676 m .53696 .6701 L .57599 .66628 L F
.58815 .66604 m .53696 .6701 L .60369 .66441 L F
.58732 .66551 m .60899 .66203 L .6393 .65934 L F
.94 .572 .216 r
.63115 .66152 m .62607 .63514 L .6393 .65934 L F
.014 0 0 r
.5763 .66728 m .53696 .6701 L .58815 .66604 L F
.58732 .66551 m .55528 .66768 L .60899 .66203 L F
.55528 .66768 m .5756 .665 L .60899 .66203 L F
.846 .943 .885 r
.5763 .66728 m .62607 .63514 L .60899 .66203 L F
.623 .34 .467 r
.60369 .66441 m .59796 .6533 L .5763 .66728 L F
.59796 .6533 m .58477 .62772 L .5763 .66728 L F
.60369 .66441 m .62607 .63514 L .58477 .62772 L F
.465 .321 .6 r
.61027 .62632 m .5763 .66728 L .59633 .58072 L F
0 0 0 r
.59001 .61501 m .58023 .64891 L .59633 .58072 L F
.58023 .64891 m .5756 .665 L .58477 .62772 L F
.58023 .64891 m .58477 .62772 L .59633 .58072 L F
.5763 .66728 m .5756 .665 L .59001 .61501 L F
.623 .34 .467 r
.5763 .66728 m .58477 .62772 L .53452 .6187 L F
.465 .321 .6 r
.5763 .66728 m .55755 .68991 L .53184 .56225 L F
.846 .943 .885 r
.53896 .71233 m .5763 .66728 L .56821 .69817 L F
.465 .321 .6 r
.55755 .68991 m .53896 .71233 L .53184 .56225 L F
0 0 0 r
.56385 .72115 m .56222 .72607 L .56337 .72098 L F
.56385 .72115 m .5636 .71995 L .57042 .68974 L F
.56222 .72607 m .56821 .69817 L .57042 .68974 L F
.54355 .80889 m .56151 .72825 L .56222 .72607 L F
.56151 .72825 m .56821 .69817 L .56222 .72607 L F
.465 .321 .6 r
.56385 .72115 m .53896 .71233 L .55755 .68991 L F
.014 0 0 r
.5763 .66728 m .48828 .67653 L .53696 .6701 L F
.623 .34 .467 r
.6358 .68563 m .72064 .65212 L .63115 .66152 L F
.762 .683 .775 r
.72064 .65212 m .74952 .86104 L p .66211 .67524 L F P
0 g
s
.623 .34 .467 r
.5311 .69648 m .5763 .66728 L .53218 .67192 L F
.759 .677 .771 r
.38779 .89469 m .55567 .746 L p .49334 .69615 L F P
0 g
s
.104 .474 .894 r
.55966 .73386 m .51464 .7037 L .55567 .746 L F
.51464 .7037 m .49334 .69615 L .55567 .746 L F
.54466 .72381 m .53896 .71233 L .51464 .7037 L F
.846 .943 .885 r
.55567 .746 m .38779 .89469 L p .52248 .73222 L F P
0 g
s
.465 .321 .6 r
.54355 .80889 m .49334 .69615 L .51464 .7037 L F
.104 .474 .894 r
.47858 .67664 m .48828 .67653 L .44163 .6548 L F
.614 .32 .447 r
.4401 .51377 m .47638 .49997 L .40156 .46883 L F
.584 .556 .789 r
.5293 .5087 m .50009 .52543 L .4814 .48135 L F
.763 .754 .239 r
.46805 .54378 m .47505 .51105 L .47389 .52069 L F
.584 .556 .789 r
.50009 .52543 m .46805 .54378 L .47505 .51105 L F
.50009 .52543 m .47505 .51105 L .4814 .48135 L F
.759 .677 .771 r
.58114 .53102 m .62838 .44216 L .52102 .53746 L F
.584 .556 .789 r
.56953 .53167 m .4814 .48135 L .54771 .49174 L F
.614 .32 .447 r
.47638 .49997 m .51251 .48623 L .4814 .48135 L F
.584 .556 .789 r
.52102 .53746 m .46805 .54378 L .51738 .51553 L F
.614 .32 .447 r
.54771 .49174 m .5447 .47399 L .51251 .48623 L F
.584 .556 .789 r
.51251 .48623 m .4814 .48135 L .49846 .40163 L F
.759 .677 .771 r
.47638 .49997 m .52102 .53746 L .49846 .40163 L F
.614 .32 .447 r
.54771 .49174 m .51251 .48623 L .47638 .49997 L F
.759 .677 .771 r
.51251 .48623 m .5447 .47399 L .49846 .40163 L F
.584 .556 .789 r
.54771 .49174 m .51251 .48623 L .49846 .40163 L F
.614 .32 .447 r
.51094 .51434 m .54771 .49174 L .47638 .49997 L F
.759 .677 .771 r
.62838 .44216 m .49846 .40163 L p .56201 .50108 L F P
0 g
s
.94 .572 .216 r
.56201 .50108 m .54771 .49174 L .5447 .47399 L F
.614 .32 .447 r
.54771 .49174 m .62838 .44216 L .5447 .47399 L F
.94 .572 .216 r
.54771 .49174 m .49846 .40163 L .5447 .47399 L F
.584 .556 .789 r
.52994 .52218 m .52102 .53746 L .5293 .5087 L F
.53061 .53632 m .52102 .53746 L .52994 .52218 L F
.52102 .53746 m .51738 .51553 L .5293 .5087 L F
.56953 .53167 m .53061 .53632 L .5293 .5087 L F
.846 .922 .882 r
.51094 .51434 m .52102 .53746 L .54771 .49174 L F
.191 .512 .913 r
.51834 .52129 m .52102 .53746 L .51094 .51434 L F
.465 .321 .6 r
.59633 .58072 m .5763 .66728 L .54633 .59648 L F
.56021 .57037 m .54633 .59648 L .53184 .56225 L F
.759 .677 .771 r
.56021 .57037 m .58114 .53102 L .52102 .53746 L F
.191 .512 .913 r
.575 .5828 m .52102 .53746 L .55853 .55901 L F
.465 .321 .6 r
.59633 .58072 m .54633 .59648 L .56021 .57037 L F
.191 .512 .913 r
.55292 .56828 m .52102 .53746 L .55366 .5685 L F
.55292 .56828 m .53184 .56225 L .52102 .53746 L F
.52102 .53746 m .53184 .56225 L .52396 .55514 L F
.763 .754 .239 r
.46115 .57601 m .45477 .59627 L .46805 .54378 L F
.191 .512 .913 r
.52102 .53746 m .47505 .51105 L .47638 .49997 L F
.759 .677 .771 r
.46666 .54328 m .52102 .53746 L .47638 .49997 L F
.112 .665 .737 r
.49605 .54014 m .50389 .5395 L .52102 .53746 L F
.50389 .5395 m .51107 .53892 L .52102 .53746 L F
.191 .512 .913 r
.52102 .53746 m .51262 .54492 L .50668 .53957 L F
.112 .665 .737 r
.48352 .54148 m .46805 .54378 L .50131 .54036 L F
.191 .512 .913 r
.47638 .49997 m .45107 .48944 L .43896 .47851 L F
.47638 .49997 m .43896 .47851 L .45613 .48296 L F
.759 .677 .771 r
.46666 .54328 m .49846 .40163 L .42227 .54804 L F
.796 .577 .604 r
.45477 .59627 m .4343 .54725 L .46805 .54378 L F
.759 .677 .771 r
.45477 .59627 m .46666 .54328 L .42227 .54804 L F
.112 .665 .737 r
.42227 .54804 m .46666 .54328 L .46488 .54265 L F
.444 .299 .589 r
.40156 .46883 m .49846 .40163 L p .45613 .48296 L F P
0 g
s
.623 .34 .467 r
.25726 .56891 m .34772 .6913 L p .41066 .64037 L F P
0 g
s
.759 .677 .771 r
.34772 .6913 m .45477 .59627 L .42227 .54804 L F
.34772 .6913 m .38779 .89469 L p .49334 .69615 L F P
0 g
s
.465 .321 .6 r
.54355 .80889 m .38779 .89469 L p .47774 .7255 L F P
0 g
s
.846 .922 .882 r
.34772 .6913 m .43953 .67708 L p .41386 .63259 L F P
0 g
s
.763 .754 .239 r
.43581 .68073 m .44163 .6548 L .43953 .67708 L F
.759 .677 .771 r
.46907 .67675 m .44163 .6548 L .34772 .6913 L F
.014 0 0 r
.43432 .6822 m .34772 .6913 L .43581 .68073 L F
.575 .554 .793 r
.34772 .6913 m .38779 .89469 L p .4216 .73566 L F P
0 g
s
.575 .554 .793 r
.4216 .73566 m .42765 .7072 L .34772 .6913 L F
.623 .34 .467 r
.34772 .6913 m .40957 .77497 L p .43432 .6822 L F P
0 g
s
.763 .754 .239 r
.38779 .89469 m .42765 .7072 L .43581 .68073 L F
.42765 .7072 m .43261 .68389 L .43432 .6822 L F
.42765 .7072 m .43432 .6822 L .43581 .68073 L F
.014 0 0 r
.46126 .67937 m .43432 .6822 L .46907 .67675 L F
.43432 .6822 m .43581 .68073 L .46907 .67675 L F
.104 .474 .894 r
.47431 .67669 m .44163 .6548 L .46907 .67675 L F
.623 .34 .467 r
.4833 .63861 m .46365 .64624 L .43724 .70911 L F
.4833 .63861 m .43724 .70911 L .44441 .71054 L F
.104 .474 .894 r
.50156 .69022 m .48828 .67653 L .47858 .67664 L F
.623 .34 .467 r
.48828 .67653 m .46126 .67937 L .44441 .71054 L F
.48828 .67653 m .44441 .71054 L .4588 .7134 L F
.014 0 0 r
.46433 .67969 m .46126 .67937 L .48828 .67653 L F
.575 .554 .793 r
.42765 .7072 m .43261 .68389 L .34772 .6913 L F
.104 .474 .894 r
.53896 .71233 m .48828 .67653 L .50156 .69022 L F
.949 .596 .288 r
.50924 .72672 m .55567 .746 L .48828 .67653 L F
.846 .943 .885 r
.52248 .73222 m .53896 .71233 L .55567 .746 L F
.104 .474 .894 r
.55966 .73386 m .54479 .71439 L .54466 .72381 L F
.54479 .71439 m .53896 .71233 L .54466 .72381 L F
.56151 .72825 m .54819 .71884 L .55966 .73386 L F
.51464 .7037 m .53896 .71233 L .50156 .69022 L F
.465 .321 .6 r
.52248 .73222 m .51464 .7037 L .53896 .71233 L F
.796 .577 .604 r
.53896 .71233 m .50924 .72672 L .48828 .67653 L F
.56151 .72825 m .53969 .72761 L .53896 .71233 L F
.465 .321 .6 r
.54355 .80889 m .47774 .7255 L .49334 .69615 L F
.846 .943 .885 r
.38779 .89469 m .48223 .7398 L .50924 .72672 L F
.52248 .73222 m .50924 .72672 L .53896 .71233 L F
.38779 .89469 m .50924 .72672 L .52248 .73222 L F
.796 .577 .604 r
.50924 .72672 m .46959 .72556 L .48828 .67653 L F
.949 .596 .288 r
.50924 .72672 m .48828 .67653 L .49405 .72041 L F
.104 .474 .894 r
.53896 .71233 m .5311 .69648 L .48828 .67653 L F
.575 .554 .793 r
.47615 .74976 m .4588 .7134 L .42765 .7072 L F
.54355 .80889 m .48223 .7398 L .47615 .74976 L F
.48223 .7398 m .4588 .7134 L .47615 .74976 L F
.54355 .80889 m .42765 .7072 L .4216 .73566 L F
.38779 .89469 m .46782 .76342 L .4216 .73566 L F
.763 .754 .239 r
.38779 .89469 m .40957 .77497 L p .43261 .68389 L F P
0 g
s
.623 .34 .467 r
.43724 .70911 m .42765 .7072 L .40957 .77497 L F
.846 .943 .885 r
.38779 .89469 m .40957 .77497 L p .48223 .7398 L F P
0 g
s
.623 .34 .467 r
.4588 .7134 m .44441 .71054 L .40957 .77497 L F
.44441 .71054 m .43724 .70911 L .40957 .77497 L F
.949 .596 .288 r
.54355 .80889 m .55567 .746 L p .50924 .72672 L F P
0 g
s
.575 .554 .793 r
.38779 .89469 m .54355 .80889 L p .46782 .76342 L F P
0 g
s
.623 .34 .467 r
.43432 .6822 m .44163 .6548 L .34772 .6913 L F
.444 .299 .589 r
.40957 .77497 m .34772 .6913 L p .39839 .68784 L F P
0 g
s
.014 0 0 r
.43261 .68389 m .34772 .6913 L .43432 .6822 L F
.584 .556 .789 r
.47938 .6088 m .46805 .54378 L .49778 .57729 L F
.46115 .57601 m .46805 .54378 L .47938 .6088 L F
.846 .922 .882 r
.45477 .59627 m .47938 .6088 L .48219 .60398 L F
.45477 .59627 m .48219 .60398 L .49778 .57729 L F
.623 .34 .467 r
.4833 .63861 m .53452 .6187 L .47938 .6088 L F
.48828 .67653 m .53452 .6187 L .4833 .63861 L F
.759 .677 .771 r
.53452 .6187 m .45477 .59627 L .41386 .63259 L F
.623 .34 .467 r
.44163 .6548 m .42118 .64527 L .34772 .6913 L F
.759 .677 .771 r
.44163 .6548 m .41386 .63259 L .34772 .6913 L F
.53452 .6187 m .41386 .63259 L .44163 .6548 L F
.014 0 0 r
.40727 .68723 m .34772 .6913 L .43261 .68389 L F
.104 .474 .894 r
.40546 .61804 m .38873 .61249 L .41386 .63259 L F
.846 .922 .882 r
.34772 .6913 m .41386 .63259 L .40546 .61804 L F
.444 .299 .589 r
.39502 .66154 m .34772 .6913 L .38873 .61249 L F
.846 .922 .882 r
.41386 .63259 m .45477 .59627 L .40546 .61804 L F
.104 .474 .894 r
.44262 .64429 m .40546 .61804 L .44163 .6548 L F
.40546 .61804 m .41386 .63259 L .44163 .6548 L F
.763 .754 .239 r
.44163 .6548 m .43261 .68389 L .44262 .64429 L F
.44163 .6548 m .44262 .64429 L .45477 .59627 L F
.43581 .68073 m .43432 .6822 L .44163 .6548 L F
.43432 .6822 m .43261 .68389 L .44163 .6548 L F
.623 .34 .467 r
.45704 .66198 m .44163 .6548 L .42765 .7072 L F
.45704 .66198 m .42765 .7072 L .43724 .70911 L F
.796 .577 .604 r
.4588 .7134 m .43261 .68389 L .48828 .67653 L F
.014 0 0 r
.45315 .68209 m .46126 .67937 L .4717 .68047 L F
.46126 .67937 m .46907 .67675 L .48828 .67653 L F
.575 .554 .793 r
.4588 .7134 m .43261 .68389 L .42765 .7072 L F
.014 0 0 r
.45315 .68209 m .43432 .6822 L .46126 .67937 L F
.43261 .68389 m .43432 .6822 L .45315 .68209 L F
.444 .299 .589 r
.40641 .65437 m .38873 .61249 L .40546 .61804 L F
.39502 .66154 m .38873 .61249 L .40641 .65437 L F
.846 .922 .882 r
.38298 .62796 m .34772 .6913 L .40546 .61804 L F
.444 .299 .589 r
.40369 .55039 m .40156 .46883 L .42227 .54804 L F
.38873 .61249 m .25726 .56891 L .40452 .58214 L F
.34772 .6913 m .25726 .56891 L p .38873 .61249 L F P
0 g
s
.104 .474 .894 r
.32162 .55883 m .25726 .56891 L p .38873 .61249 L F P
0 g
s
.759 .677 .771 r
.32162 .55883 m .34772 .6913 L p .38873 .61249 L F P
0 g
s
.759 .677 .771 r
.38873 .61249 m .40452 .58214 L .32162 .55883 L F
.796 .577 .604 r
.40546 .61804 m .40452 .58214 L .45477 .59627 L F
.444 .299 .589 r
.41933 .60044 m .40369 .55039 L .42227 .54804 L F
.41488 .6061 m .40369 .55039 L .41933 .60044 L F
.846 .922 .882 r
.40546 .61804 m .45477 .59627 L .43182 .58459 L F
.623 .34 .467 r
.46365 .64624 m .44163 .6548 L .45704 .66198 L F
.796 .577 .604 r
.48828 .67653 m .40546 .61804 L .46398 .61834 L F
.444 .299 .589 r
.40546 .61804 m .41729 .6181 L .41812 .62223 L F
.949 .596 .288 r
.48828 .67653 m .4833 .63861 L .45477 .59627 L F
.796 .577 .604 r
.40546 .61804 m .45477 .59627 L .53452 .6187 L F
.444 .299 .589 r
.40546 .61804 m .40369 .55039 L .41729 .6181 L F
.796 .577 .604 r
.32162 .55883 m .40156 .46883 L p .40369 .55039 L F P
0 g
s
.759 .677 .771 r
.32162 .55883 m .42227 .54804 L .40752 .52616 L F
.112 .665 .737 r
.39296 .55077 m .32162 .55883 L .40369 .55039 L F
.949 .596 .288 r
.41529 .5485 m .42227 .54804 L .40752 .52616 L F
.444 .299 .589 r
.42227 .54804 m .40156 .46883 L .46488 .54265 L F
.949 .596 .288 r
.42227 .54804 m .40156 .46883 L .40752 .52616 L F
.759 .677 .771 r
.42227 .54804 m .42925 .53462 L .41853 .5425 L F
.112 .665 .737 r
.40988 .54886 m .40369 .55039 L .42227 .54804 L F
.759 .677 .771 r
.41799 .55626 m .42227 .54804 L .41539 .54878 L F
.112 .665 .737 r
.39296 .55077 m .40369 .55039 L .40988 .54886 L F
.759 .677 .771 r
.41799 .55626 m .41539 .54878 L .32162 .55883 L F
.40452 .58214 m .41799 .55626 L .32162 .55883 L F
.614 .32 .447 r
.40988 .54886 m .40752 .52616 L .32162 .55883 L F
.444 .299 .589 r
.40546 .61804 m .38873 .61249 L .39111 .60791 L F
.796 .577 .604 r
.40546 .61804 m .32162 .55883 L .40452 .58214 L F
.104 .474 .894 r
.39683 .60308 m .32162 .55883 L .40546 .61804 L F
.40546 .61804 m .32162 .55883 L .38873 .61249 L F
.796 .577 .604 r
.40546 .61804 m .38298 .62796 L .32162 .55883 L F
.575 .554 .793 r
.38298 .62796 m .41258 .5748 L .32162 .55883 L F
.104 .474 .894 r
.4439 .63078 m .40546 .61804 L .44262 .64429 L F
.763 .754 .239 r
.44262 .64429 m .4439 .63078 L .45477 .59627 L F
.104 .474 .894 r
.4439 .63078 m .44262 .64429 L .48828 .67653 L F
.623 .34 .467 r
.48828 .67653 m .46792 .66705 L .46126 .67937 L F
.796 .577 .604 r
.48828 .67653 m .43261 .68389 L .38298 .62796 L F
.104 .474 .894 r
.48828 .67653 m .44262 .64429 L .44163 .6548 L F
.796 .577 .604 r
.48828 .67653 m .38298 .62796 L .40546 .61804 L F
.763 .754 .239 r
.43261 .68389 m .4439 .63078 L .44262 .64429 L F
.014 0 0 r
.4717 .68047 m .46433 .67969 L .48828 .67653 L F
.949 .596 .288 r
.4717 .68047 m .48828 .67653 L .4439 .63078 L F
.796 .577 .604 r
.53452 .6187 m .45477 .59627 L .46805 .54378 L F
.949 .596 .288 r
.4439 .63078 m .45477 .59627 L .42227 .54804 L F
.846 .922 .882 r
.43182 .58459 m .45477 .59627 L .46488 .54265 L F
.763 .754 .239 r
.45477 .59627 m .45441 .58662 L .46488 .54265 L F
.444 .299 .589 r
.42128 .56572 m .42227 .54804 L .4439 .63078 L F
.846 .922 .882 r
.49778 .57729 m .53184 .56225 L .52102 .53746 L F
.759 .677 .771 r
.53452 .6187 m .56021 .57037 L .52102 .53746 L F
.949 .596 .288 r
.48828 .67653 m .45477 .59627 L .4439 .63078 L F
.846 .943 .885 r
.5311 .69648 m .5763 .66728 L .53896 .71233 L F
.762 .683 .775 r
.66211 .67524 m .60317 .69852 L .62179 .66403 L F
.94 .572 .216 r
.74952 .86104 m .64841 .75113 L p .62179 .66403 L F P
0 g
s
.623 .34 .467 r
.58846 .7392 m .64841 .75113 L .60317 .69852 L F
0 0 0 r
.54355 .80889 m .55567 .746 L p .56151 .72825 L F P
0 g
s
.465 .321 .6 r
.54355 .80889 m .52248 .73222 L .53896 .71233 L F
.796 .577 .604 r
.54355 .80889 m .46959 .72556 L .56151 .72825 L F
0 0 0 r
.55882 .74518 m .56385 .72115 L .56653 .71298 L F
.104 .474 .894 r
.56385 .72115 m .5311 .69648 L .54819 .71884 L F
.56385 .72115 m .54819 .71884 L .56151 .72825 L F
0 0 0 r
.55498 .76119 m .54355 .80889 L .56222 .72607 L F
.762 .683 .775 r
.54355 .80889 m .56106 .73581 L .58659 .72921 L F
0 0 0 r
.55882 .74518 m .56222 .72607 L .56385 .72115 L F
.55769 .74986 m .56222 .72607 L .55882 .74518 L F
.55323 .76968 m .56222 .72607 L .55626 .7574 L F
.465 .321 .6 r
.56385 .72115 m .54355 .80889 L .53896 .71233 L F
.575 .554 .793 r
.34772 .6913 m .43261 .68389 L .40641 .65437 L F
.444 .299 .589 r
.40957 .77497 m .39502 .66154 L .40641 .65437 L F
.796 .577 .604 r
.54355 .80889 m .40957 .77497 L p .46959 .72556 L F P
0 g
s
.796 .577 .604 r
.40957 .77497 m .18103 .71712 L p .40823 .72376 L F P
0 g
s
.796 .577 .604 r
.40957 .77497 m .40823 .72376 L .46959 .72556 L F
.846 .943 .885 r
.50924 .72672 m .5311 .69648 L .53896 .71233 L F
.48223 .7398 m .50089 .72326 L .50924 .72672 L F
.50089 .72326 m .5311 .69648 L .50924 .72672 L F
.49405 .72041 m .5311 .69648 L .48223 .7398 L F
.575 .554 .793 r
.54355 .80889 m .49405 .72041 L .48223 .7398 L F
.949 .596 .288 r
.49669 .74057 m .54355 .80889 L .49405 .72041 L F
.54355 .80889 m .51592 .74272 L .50789 .74516 L F
.51592 .74272 m .50924 .72672 L .50789 .74516 L F
.50789 .74516 m .50924 .72672 L .49405 .72041 L F
.796 .577 .604 r
.46959 .72556 m .4588 .7134 L .48828 .67653 L F
.762 .683 .775 r
.40957 .77497 m .49669 .74057 L .50123 .74718 L F
.796 .577 .604 r
.53969 .72761 m .50924 .72672 L .53896 .71233 L F
.575 .554 .793 r
.54355 .80889 m .52974 .72752 L .49405 .72041 L F
.762 .683 .775 r
.50362 .75066 m .56281 .7285 L .56106 .73581 L F
.40957 .77497 m .50123 .74718 L .50362 .75066 L F
.50123 .74718 m .56281 .7285 L .50362 .75066 L F
.796 .577 .604 r
.46959 .72556 m .44955 .72497 L .4588 .7134 L F
.575 .554 .793 r
.48223 .7398 m .49405 .72041 L .4588 .7134 L F
.846 .943 .885 r
.40957 .77497 m .49405 .72041 L .48223 .7398 L F
.623 .34 .467 r
.45808 .71431 m .49669 .74057 L p .48828 .67653 L F P
0 g
s
.762 .683 .775 r
.54355 .80889 m .40957 .77497 L p .5324 .74322 L F P
0 g
s
.623 .34 .467 r
.52102 .92577 m .44221 .73415 L .40957 .77497 L F
.949 .596 .288 r
.49405 .72041 m .48828 .67653 L .4717 .68047 L F
.575 .554 .793 r
.49405 .72041 m .43261 .68389 L .4588 .7134 L F
.762 .683 .775 r
.50123 .74718 m .52974 .72752 L .53152 .73799 L F
.49669 .74057 m .52974 .72752 L .50123 .74718 L F
.949 .596 .288 r
.52102 .92577 m .54355 .80889 L p .49669 .74057 L F P
0 g
s
.623 .34 .467 r
.49669 .74057 m .53452 .6187 L .48828 .67653 L F
.52102 .92577 m .52974 .72752 L .49669 .74057 L F
.52974 .72752 m .53452 .6187 L .49669 .74057 L F
.465 .321 .6 r
.5763 .66728 m .56385 .72115 L .55755 .68991 L F
.104 .474 .894 r
.56385 .72115 m .56653 .71298 L .5311 .69648 L F
.762 .683 .775 r
.56281 .7285 m .52974 .72752 L .56653 .71298 L F
.846 .943 .885 r
.5311 .69648 m .52102 .67617 L .5763 .66728 L F
.623 .34 .467 r
.57583 .66952 m .5763 .66728 L .57242 .66979 L F
.57583 .66952 m .57242 .66979 L .5311 .69648 L F
.762 .683 .775 r
.53152 .73799 m .52974 .72752 L .56281 .7285 L F
.56106 .73581 m .56281 .7285 L .58659 .72921 L F
0 0 0 r
.55626 .7574 m .55769 .74986 L .55882 .74518 L F
.575 .554 .793 r
.54355 .80889 m .64841 .75113 L p .56205 .73394 L F P
0 g
s
.762 .683 .775 r
.54355 .80889 m .5324 .74322 L .56106 .73581 L F
0 0 0 r
.52102 .92577 m .54355 .80889 L p .55498 .76119 L F P
0 g
s
.623 .34 .467 r
.56205 .73394 m .60317 .69852 L .56653 .71298 L F
.52102 .92577 m .58846 .7392 L .56205 .73394 L F
.58846 .7392 m .60317 .69852 L .56205 .73394 L F
.575 .554 .793 r
.64841 .75113 m .56428 .72491 L .56205 .73394 L F
.104 .474 .894 r
.54479 .71439 m .5311 .69648 L .53896 .71233 L F
.623 .34 .467 r
.52974 .72752 m .57583 .66952 L .5311 .69648 L F
.762 .683 .775 r
.5751 .68106 m .5743 .68056 L .57566 .6788 L F
.014 0 0 r
.62179 .66403 m .5763 .66728 L .63777 .6621 L F
.5763 .66728 m .58815 .66604 L .63777 .6621 L F
.623 .34 .467 r
.64841 .75113 m .61821 .69257 L .60317 .69852 L F
.014 0 0 r
.63777 .6621 m .58815 .66604 L .60369 .66441 L F
.623 .34 .467 r
.63115 .66152 m .62607 .63514 L .60369 .66441 L F
.014 0 0 r
.62601 .6629 m .60369 .66441 L .63115 .66152 L F
.846 .943 .885 r
.5763 .66728 m .59001 .61501 L .61027 .62632 L F
.5763 .66728 m .61027 .62632 L .62607 .63514 L F
.623 .34 .467 r
.64841 .75113 m .72064 .65212 L .6358 .68563 L F
.014 0 0 r
.62601 .6629 m .6393 .65934 L .72064 .65212 L F
.623 .34 .467 r
.63115 .66152 m .72064 .65212 L .62607 .63514 L F
.762 .683 .775 r
.66211 .67524 m .65495 .66003 L .72064 .65212 L F
.014 0 0 r
.63777 .6621 m .62601 .6629 L .72064 .65212 L F
.762 .683 .775 r
.65495 .66003 m .64052 .62936 L .72064 .65212 L F
.66211 .67524 m .62179 .66403 L .65495 .66003 L F
.014 0 0 r
.65422 .66099 m .63777 .6621 L .72064 .65212 L F
.801 .576 .597 r
.72064 .65212 m .64841 .75113 L p .65422 .66099 L F P
0 g
s
.623 .34 .467 r
.72064 .65212 m .8283 .50453 L p .65942 .6136 L F P
0 g
s
.584 .556 .789 r
.72064 .65212 m .64345 .60778 L .65925 .58291 L F
.191 .512 .913 r
.72064 .65212 m .64345 .60778 L .63814 .59269 L F
.801 .576 .597 r
.65771 .60679 m .63814 .59269 L .65925 .58291 L F
.65597 .63375 m .65925 .58291 L .72064 .65212 L F
.94 .572 .216 r
.5982 .57056 m .59633 .58072 L .58616 .54744 L F
.465 .321 .6 r
.63709 .57644 m .5897 .55903 L .63483 .54167 L F
.112 .665 .737 r
.8283 .50453 m .7018 .5159 L p .63372 .52443 L F P
0 g
s
.465 .321 .6 r
.5897 .55903 m .58114 .53102 L .60862 .52757 L F
.60248 .55411 m .60862 .52757 L .7018 .5159 L F
.5897 .55903 m .60862 .52757 L .60248 .55411 L F
.801 .576 .597 r
.60957 .5269 m .62838 .44216 L .63372 .52443 L F
.465 .321 .6 r
.62838 .44216 m .7018 .5159 L p .63293 .51228 L F P
0 g
s
0 0 0 r
.60957 .5269 m .62838 .44216 L .6156 .50239 L F
.59633 .58072 m .60862 .52757 L .60957 .5269 L F
.60862 .52757 m .62838 .44216 L .60957 .5269 L F
.112 .665 .737 r
.54714 .53466 m .58114 .53102 L .56953 .53167 L F
.94 .572 .216 r
.58616 .54744 m .56201 .50108 L .58114 .53102 L F
.465 .321 .6 r
.60862 .52757 m .58114 .53102 L .61241 .51121 L F
.112 .665 .737 r
.53766 .53548 m .54714 .53466 L .56953 .53167 L F
.52102 .53746 m .54714 .53466 L .53009 .53613 L F
.191 .512 .913 r
.59633 .58072 m .56794 .57259 L .55853 .55901 L F
.584 .556 .789 r
.55853 .55901 m .52102 .53746 L .56953 .53167 L F
.53452 .6187 m .56953 .53167 L .59633 .58072 L F
.575 .554 .793 r
.48737 .70848 m .43261 .68389 L .49405 .72041 L F
.104 .474 .894 r
.5311 .69648 m .50439 .67635 L .48828 .67653 L F
.846 .943 .885 r
.62607 .63514 m .61027 .62632 L .64345 .60778 L F
.465 .321 .6 r
.64841 .75113 m .5763 .66728 L .61027 .62632 L F
.94 .572 .216 r
.62179 .66403 m .59001 .61501 L .61027 .62632 L F
.62179 .66403 m .61027 .62632 L .62607 .63514 L F
.62179 .66403 m .62607 .63514 L .63115 .66152 L F
.465 .321 .6 r
.64052 .62936 m .62179 .66403 L .61027 .62632 L F
.584 .556 .789 r
.65925 .58291 m .63579 .55647 L .7018 .5159 L F
.846 .943 .885 r
.63814 .59269 m .7018 .5159 L .65925 .58291 L F
.94 .572 .216 r
.57771 .53121 m .56481 .52305 L .56201 .50108 L F
.58616 .54744 m .56953 .53167 L .57771 .53121 L F
.56953 .53167 m .55159 .51468 L .57771 .53121 L F
.112 .665 .737 r
.58114 .53102 m .6078 .52816 L .60957 .5269 L F
.801 .576 .597 r
.60957 .5269 m .63372 .52443 L .63579 .55647 L F
.584 .556 .789 r
.59633 .58072 m .60957 .5269 L .63579 .55647 L F
.801 .576 .597 r
.60957 .5269 m .63579 .55647 L .63814 .59269 L F
.465 .321 .6 r
.60043 .56297 m .59633 .58072 L .5897 .55903 L F
.112 .665 .737 r
.54318 .5342 m .53766 .53548 L .56953 .53167 L F
.575 .554 .793 r
.50295 .7058 m .43261 .68389 L .49832 .7134 L F
.623 .34 .467 r
.56653 .71298 m .57583 .66952 L .52974 .72752 L F
.014 0 0 r
.54905 .67166 m .52102 .67617 L .48828 .67653 L F
.57697 .66943 m .52102 .67617 L .54905 .67166 L F
.62179 .66403 m .48828 .67653 L .5763 .66728 L F
.762 .683 .775 r
.60317 .69852 m .5751 .68106 L .58474 .66849 L F
.014 0 0 r
.57697 .66943 m .48828 .67653 L .62179 .66403 L F
.191 .512 .913 r
.72064 .65212 m .63814 .59269 L .65735 .59819 L F
.846 .943 .885 r
.7018 .5159 m .8283 .50453 L p .65925 .58291 L F P
0 g
s
.801 .576 .597 r
.65597 .63375 m .63814 .59269 L .65771 .60679 L F
.64052 .62936 m .63814 .59269 L .65597 .63375 L F
.8283 .50453 m .72064 .65212 L p .65925 .58291 L F P
0 g
s
.584 .556 .789 r
.7018 .5159 m .72064 .65212 L p .65925 .58291 L F P
0 g
s
.762 .683 .775 r
.7018 .5159 m .72064 .65212 L p .64052 .62936 L F P
0 g
s
.465 .321 .6 r
.65735 .59819 m .61027 .62632 L .63814 .59269 L F
.112 .665 .737 r
.7018 .5159 m .60957 .5269 L .63372 .52443 L F
.584 .556 .789 r
.63579 .55647 m .60957 .5269 L .7018 .5159 L F
.801 .576 .597 r
.60092 .56587 m .60957 .5269 L .63814 .59269 L F
.465 .321 .6 r
.64052 .62936 m .61027 .62632 L .65735 .59819 L F
.7018 .5159 m .83414 .64883 L p .63709 .57644 L F P
0 g
s
.465 .321 .6 r
.63709 .57644 m .63483 .54167 L .7018 .5159 L F
.846 .943 .885 r
.63269 .57717 m .7018 .5159 L .63814 .59269 L F
.846 .922 .882 r
.54771 .49174 m .56201 .50108 L .62838 .44216 L F
.801 .576 .597 r
.50248 .49496 m .49846 .40163 L .53301 .48215 L F
.796 .577 .604 r
.48828 .67653 m .46398 .61834 L .53452 .6187 L F
.104 .474 .894 r
.52572 .68563 m .4439 .63078 L .5311 .69648 L F
.50439 .67635 m .4439 .63078 L .48828 .67653 L F
.762 .683 .775 r
.54687 .67305 m .55975 .6715 L .60317 .69852 L F
.56653 .71298 m .52102 .67617 L .60317 .69852 L F
.52102 .67617 m .54687 .67305 L .60317 .69852 L F
.104 .474 .894 r
.64841 .75113 m .5693 .70457 L .56653 .71298 L F
.191 .512 .913 r
.61983 .59422 m .59633 .58072 L .60092 .56587 L F
.61983 .59422 m .60092 .56587 L .61852 .57855 L F
.465 .321 .6 r
.63814 .59269 m .61027 .62632 L .59633 .58072 L F
.191 .512 .913 r
.63814 .59269 m .61925 .58728 L .61852 .57855 L F
.94 .572 .216 r
.59001 .61501 m .60437 .60704 L .61027 .62632 L F
.846 .943 .885 r
.61027 .62632 m .59001 .61501 L .63814 .59269 L F
.801 .576 .597 r
.60092 .56587 m .63814 .59269 L .64052 .62936 L F
.60092 .56587 m .64052 .62936 L .62664 .62541 L F
.014 0 0 r
.65422 .66099 m .62179 .66403 L .63777 .6621 L F
.801 .576 .597 r
.64841 .75113 m .64267 .66253 L .65422 .66099 L F
.014 0 0 r
.83414 .64883 m .64267 .66253 L .65422 .66099 L F
.64267 .66253 m .62179 .66403 L .65422 .66099 L F
.762 .683 .775 r
.65495 .66003 m .62179 .66403 L .64052 .62936 L F
.801 .576 .597 r
.65422 .66099 m .64052 .62936 L .65597 .63375 L F
.64267 .66253 m .64052 .62936 L .65422 .66099 L F
.465 .321 .6 r
.64267 .66253 m .62179 .66403 L .64052 .62936 L F
.762 .683 .775 r
.58353 .66864 m .59001 .61501 L .61874 .62317 L F
.5743 .68056 m .57697 .66943 L .58353 .66864 L F
.57697 .66943 m .59001 .61501 L .58353 .66864 L F
0 0 0 r
.5684 .7073 m .57551 .67587 L .57638 .67578 L F
.57551 .67587 m .57697 .66943 L .57638 .67578 L F
.57638 .67578 m .57697 .66943 L .57753 .67123 L F
.56732 .71059 m .57697 .66943 L .5684 .7073 L F
.56653 .71298 m .57697 .66943 L .56417 .72401 L F
.55882 .74518 m .5684 .7073 L .56205 .73394 L F
.5684 .7073 m .57753 .67123 L .5693 .70457 L F
.5684 .7073 m .5693 .70457 L .56205 .73394 L F
.762 .683 .775 r
.5751 .68106 m .57566 .6788 L .58353 .66864 L F
.5751 .68106 m .58353 .66864 L .58474 .66849 L F
.575 .554 .793 r
.64841 .75113 m .57753 .67123 L .5693 .70457 L F
.801 .576 .597 r
.57185 .69683 m .57753 .67123 L .64841 .75113 L F
.762 .683 .775 r
.6103 .66541 m .58474 .66849 L .61937 .62335 L F
.60317 .69852 m .58474 .66849 L .6103 .66541 L F
.60317 .69852 m .61937 .62335 L .64052 .62936 L F
.014 0 0 r
.61215 .66661 m .57697 .66943 L .62179 .66403 L F
.762 .683 .775 r
.58474 .66849 m .58353 .66864 L .61874 .62317 L F
.58474 .66849 m .61874 .62317 L .61937 .62335 L F
.465 .321 .6 r
.83414 .64883 m .64841 .75113 L p .62179 .66403 L F P
0 g
s
.94 .572 .216 r
.64841 .75113 m .60328 .66898 L .62179 .66403 L F
.014 0 0 r
.64267 .66253 m .61215 .66661 L .62179 .66403 L F
.801 .576 .597 r
.61536 .62221 m .64267 .66253 L .62626 .66472 L F
.60092 .56587 m .62664 .62541 L .61536 .62221 L F
.62664 .62541 m .64267 .66253 L .61536 .62221 L F
.444 .299 .589 r
.41668 .64791 m .41812 .62223 L .44179 .63211 L F
.41812 .62223 m .42128 .56572 L .44109 .62985 L F
.41812 .62223 m .44109 .62985 L .44179 .63211 L F
.104 .474 .894 r
.5693 .70457 m .4439 .63078 L .56653 .71298 L F
.575 .554 .793 r
.40641 .65437 m .43897 .65395 L .4439 .63078 L F
.43897 .65395 m .48231 .65338 L .4439 .63078 L F
0 0 0 r
.55882 .74518 m .56653 .71298 L .56417 .72401 L F
.623 .34 .467 r
.56205 .73394 m .56653 .71298 L .52974 .72752 L F
.846 .943 .885 r
.49405 .72041 m .52102 .67617 L .5311 .69648 L F
.575 .554 .793 r
.52734 .7134 m .52102 .67617 L .43261 .68389 L F
.014 0 0 r
.52102 .67617 m .4717 .68047 L .48828 .67653 L F
.575 .554 .793 r
.43261 .68389 m .52102 .67617 L .40641 .65437 L F
.52102 .67617 m .51708 .65293 L .40641 .65437 L F
.796 .577 .604 r
.4588 .7134 m .18103 .71712 L .43261 .68389 L F
.44955 .72497 m .18103 .71712 L .4588 .7134 L F
.444 .299 .589 r
.40957 .77497 m .41451 .68674 L .43084 .68562 L F
.763 .754 .239 r
.40957 .77497 m .42921 .68722 L .43084 .68562 L F
.40957 .77497 m .43084 .68562 L .43261 .68389 L F
.444 .299 .589 r
.40957 .77497 m .43084 .68562 L .45776 .68379 L F
.949 .596 .288 r
.45776 .68379 m .49405 .72041 L .4717 .68047 L F
.47843 .71393 m .49405 .72041 L .45776 .68379 L F
.014 0 0 r
.43084 .68562 m .40727 .68723 L .43261 .68389 L F
.575 .554 .793 r
.32162 .55883 m .34772 .6913 L p .38298 .62796 L F P
0 g
s
.846 .922 .882 r
.33906 .64735 m .34772 .6913 L .38298 .62796 L F
.444 .299 .589 r
.42128 .56572 m .4439 .63078 L .4428 .63539 L F
.4439 .63078 m .42227 .54804 L .46488 .54265 L F
.763 .754 .239 r
.4439 .63078 m .45425 .58212 L .45441 .58662 L F
.4439 .63078 m .45441 .58662 L .45477 .59627 L F
.846 .922 .882 r
.40546 .61804 m .43182 .58459 L .41258 .5748 L F
.40546 .61804 m .41258 .5748 L .39683 .60308 L F
.444 .299 .589 r
.41812 .62223 m .41488 .6061 L .41933 .60044 L F
.104 .474 .894 r
.4439 .63078 m .39683 .60308 L .40546 .61804 L F
.796 .577 .604 r
.18103 .71712 m .32162 .55883 L p .38298 .62796 L F P
0 g
s
.846 .922 .882 r
.38298 .62796 m .40546 .61804 L .39683 .60308 L F
.575 .554 .793 r
.34772 .6913 m .40641 .65437 L .38298 .62796 L F
.444 .299 .589 r
.39839 .68784 m .34772 .6913 L .39502 .66154 L F
.846 .922 .882 r
.18103 .71712 m .34772 .6913 L .33906 .64735 L F
.796 .577 .604 r
.40641 .65437 m .18103 .71712 L .38298 .62796 L F
.43261 .68389 m .40727 .68723 L .40641 .65437 L F
.444 .299 .589 r
.40957 .77497 m .40727 .68723 L .41451 .68674 L F
.41451 .68674 m .40546 .61804 L .41812 .62223 L F
.40727 .68723 m .40546 .61804 L .41451 .68674 L F
.575 .554 .793 r
.38298 .62796 m .43088 .63018 L .40174 .59427 L F
.43088 .63018 m .4439 .63078 L .40174 .59427 L F
.40174 .59427 m .4439 .63078 L .41258 .5748 L F
.104 .474 .894 r
.4439 .63078 m .41534 .60134 L .39683 .60308 L F
.949 .596 .288 r
.4439 .63078 m .40752 .52616 L .41258 .5748 L F
.614 .32 .447 r
.40988 .54886 m .41087 .54813 L .40982 .54826 L F
.41087 .54813 m .47638 .49997 L .40982 .54826 L F
.40982 .54826 m .47638 .49997 L .40752 .52616 L F
.40156 .46883 m .32162 .55883 L p .40752 .52616 L F P
0 g
s
.759 .677 .771 r
.27705 .33255 m .32162 .55883 L p .40752 .52616 L F P
0 g
s
.575 .554 .793 r
.39849 .54962 m .381 .51836 L .32162 .55883 L F
.112 .665 .737 r
.36717 .55169 m .39296 .55077 L .40988 .54886 L F
.614 .32 .447 r
.38192 .56942 m .40988 .54886 L .32162 .55883 L F
.112 .665 .737 r
.3871 .55098 m .32162 .55883 L .39296 .55077 L F
.614 .32 .447 r
.38192 .56942 m .41104 .56002 L .40988 .54886 L F
.36782 .57978 m .41258 .5748 L .38192 .56942 L F
.38891 .58935 m .41258 .5748 L .36782 .57978 L F
.949 .596 .288 r
.4439 .63078 m .42227 .54804 L .41529 .5485 L F
.614 .32 .447 r
.41258 .5748 m .46488 .54265 L .38192 .56942 L F
.575 .554 .793 r
.41258 .5748 m .39849 .54962 L .32162 .55883 L F
.40641 .65437 m .4439 .63078 L .38298 .62796 L F
.763 .754 .239 r
.43261 .68389 m .43084 .68562 L .4439 .63078 L F
.762 .683 .775 r
.4231 .71452 m .18103 .71712 L .42921 .68722 L F
.014 0 0 r
.42473 .69164 m .34772 .6913 L .43084 .68562 L F
.444 .299 .589 r
.41451 .68674 m .41668 .64791 L .43584 .66464 L F
.41451 .68674 m .43584 .66464 L .43084 .68562 L F
.762 .683 .775 r
.4231 .71452 m .42921 .68722 L .45776 .68379 L F
.42092 .72427 m .18103 .71712 L .4231 .71452 L F
.575 .554 .793 r
.52974 .72752 m .48737 .70848 L .49405 .72041 L F
.846 .943 .885 r
.40957 .77497 m .52102 .67617 L .49405 .72041 L F
.949 .596 .288 r
.49669 .74057 m .49405 .72041 L .47843 .71393 L F
.762 .683 .775 r
.40957 .77497 m .18103 .71712 L p .52974 .72752 L F P
0 g
s
.763 .754 .239 r
.40957 .77497 m .42473 .69164 L p .42921 .68722 L F P
0 g
s
.014 0 0 r
.45776 .68379 m .45315 .68209 L .4717 .68047 L F
.42473 .69164 m .44565 .68461 L .45776 .68379 L F
.44565 .68461 m .45315 .68209 L .45776 .68379 L F
.762 .683 .775 r
.47843 .71393 m .4231 .71452 L .45776 .68379 L F
.48687 .72624 m .42092 .72427 L .48129 .71811 L F
.575 .554 .793 r
.52734 .7134 m .50295 .7058 L .52974 .72752 L F
.50295 .7058 m .49832 .7134 L .52974 .72752 L F
.762 .683 .775 r
.42092 .72427 m .4231 .71452 L .52734 .7134 L F
.444 .299 .589 r
.46408 .70797 m .40957 .77497 L .45776 .68379 L F
.762 .683 .775 r
.47843 .71393 m .45776 .68379 L .52102 .67617 L F
.949 .596 .288 r
.46408 .70797 m .47843 .71393 L .45776 .68379 L F
.846 .943 .885 r
.40957 .77497 m .48529 .68191 L .52102 .67617 L F
.762 .683 .775 r
.52734 .7134 m .47843 .71393 L .52102 .67617 L F
.104 .474 .894 r
.56653 .71298 m .52572 .68563 L .5311 .69648 L F
.762 .683 .775 r
.56653 .71298 m .52734 .7134 L .52102 .67617 L F
.52974 .72752 m .48687 .72624 L .52734 .7134 L F
.48687 .72624 m .48129 .71811 L .52734 .7134 L F
.623 .34 .467 r
.53218 .67192 m .5763 .66728 L .53452 .6187 L F
.846 .943 .885 r
.52102 .67617 m .59001 .61501 L .5763 .66728 L F
.762 .683 .775 r
.5743 .68056 m .55975 .6715 L .57697 .66943 L F
.575 .554 .793 r
.5693 .70457 m .57753 .67123 L .52102 .67617 L F
.014 0 0 r
.61215 .66661 m .57753 .67123 L .52102 .67617 L F
.57753 .67123 m .54237 .67593 L .52102 .67617 L F
.61215 .66661 m .52102 .67617 L .57697 .66943 L F
.801 .576 .597 r
.57753 .67123 m .59001 .61501 L .61215 .66661 L F
0 0 0 r
.58589 .63735 m .5763 .66728 L .59001 .61501 L F
.57753 .67123 m .5763 .66728 L .58589 .63735 L F
.762 .683 .775 r
.57697 .66943 m .51557 .64402 L .59001 .61501 L F
.55975 .6715 m .51557 .64402 L .57697 .66943 L F
.801 .576 .597 r
.57753 .67123 m .61215 .66661 L .64841 .75113 L F
.191 .512 .913 r
.72064 .65212 m .65735 .59819 L .68155 .60512 L F
.801 .576 .597 r
.65422 .66099 m .65597 .63375 L .72064 .65212 L F
.014 0 0 r
.72064 .65212 m .83414 .64883 L p .65422 .66099 L F P
0 g
s
.465 .321 .6 r
.83414 .64883 m .63814 .59269 L .64823 .58053 L F
.762 .683 .775 r
.64606 .58857 m .64574 .5883 L .7018 .5159 L F
.191 .512 .913 r
.65735 .59819 m .63814 .59269 L .6374 .58119 L F
.762 .683 .775 r
.64052 .62936 m .61937 .62335 L .7018 .5159 L F
.191 .512 .913 r
.83414 .64883 m .72064 .65212 L p .65639 .57486 L F P
0 g
s
.614 .32 .447 r
.83414 .64883 m .7018 .5159 L p .65639 .57486 L F P
0 g
s
.846 .922 .882 r
.54771 .49174 m .62838 .44216 L .55988 .47088 L F
.94 .572 .216 r
.56481 .52305 m .55159 .51468 L .55664 .50809 L F
.56481 .52305 m .55664 .50809 L .56201 .50108 L F
.112 .665 .737 r
.53009 .53613 m .53766 .53548 L .54318 .5342 L F
.763 .754 .239 r
.46666 .54328 m .46488 .54265 L .47638 .49997 L F
.112 .665 .737 r
.46488 .54265 m .50131 .54036 L .51107 .53892 L F
.584 .556 .789 r
.49778 .57729 m .46805 .54378 L .52102 .53746 L F
.112 .665 .737 r
.46488 .54265 m .46666 .54328 L .48352 .54148 L F
.46666 .54328 m .46805 .54378 L .48352 .54148 L F
.763 .754 .239 r
.45477 .59627 m .46666 .54328 L .46805 .54378 L F
.759 .677 .771 r
.45477 .59627 m .52102 .53746 L .46666 .54328 L F
.112 .665 .737 r
.46488 .54265 m .49605 .54014 L .52102 .53746 L F
.949 .596 .288 r
.40156 .46883 m .27705 .33255 L p .40752 .52616 L F P
0 g
s
.191 .512 .913 r
.40156 .46883 m .27705 .33255 L p .45107 .48944 L F P
0 g
s
.444 .299 .589 r
.45117 .49249 m .40156 .46883 L .45613 .48296 L F
.191 .512 .913 r
.45613 .48296 m .43896 .47851 L .27705 .33255 L F
.47776 .48856 m .47638 .49997 L .45613 .48296 L F
.614 .32 .447 r
.44688 .52166 m .46488 .54265 L .47638 .49997 L F
.763 .754 .239 r
.47638 .49997 m .46488 .54265 L .47776 .48856 L F
.47638 .49997 m .47776 .48856 L .49846 .40163 L F
.444 .299 .589 r
.50248 .49496 m .47776 .48856 L .50018 .44168 L F
.47776 .48856 m .45613 .48296 L .48569 .45527 L F
.47776 .48856 m .48569 .45527 L .50018 .44168 L F
.191 .512 .913 r
.47776 .48856 m .52102 .53746 L .47638 .49997 L F
.50248 .49496 m .52102 .53746 L .47776 .48856 L F
.614 .32 .447 r
.46488 .54265 m .51094 .51434 L .47638 .49997 L F
.846 .922 .882 r
.48618 .52956 m .51094 .51434 L .50248 .49496 L F
.763 .754 .239 r
.45477 .59627 m .46488 .54265 L .46666 .54328 L F
.846 .922 .882 r
.46488 .54265 m .45477 .59627 L .50248 .49496 L F
.444 .299 .589 r
.46488 .54265 m .4401 .51377 L .50344 .51742 L F
.4401 .51377 m .45117 .49249 L .50344 .51742 L F
.4401 .51377 m .40156 .46883 L .45117 .49249 L F
.614 .32 .447 r
.40752 .52616 m .4401 .51377 L .40156 .46883 L F
.759 .677 .771 r
.49846 .40163 m .27705 .33255 L p .40752 .52616 L F P
0 g
s
.759 .677 .771 r
.4401 .51377 m .49846 .40163 L .40752 .52616 L F
.94 .572 .216 r
.54771 .49174 m .51951 .47334 L .49846 .40163 L F
.444 .299 .589 r
.45613 .48296 m .49846 .40163 L .50805 .43431 L F
.801 .576 .597 r
.27705 .33255 m .49846 .40163 L p .47903 .47806 L F P
0 g
s
.614 .32 .447 r
.40988 .54886 m .46488 .54265 L .44688 .52166 L F
.41104 .56002 m .46488 .54265 L .40988 .54886 L F
.104 .474 .894 r
.39683 .60308 m .38891 .58935 L .32162 .55883 L F
.614 .32 .447 r
.32162 .55883 m .18103 .71712 L p .38192 .56942 L F P
0 g
s
.112 .665 .737 r
.36717 .55169 m .32162 .55883 L p .3871 .55098 L F P
0 g
s
.846 .922 .882 r
.38891 .58935 m .41258 .5748 L .36717 .55169 L F
.39683 .60308 m .41258 .5748 L .38891 .58935 L F
.614 .32 .447 r
.38891 .58935 m .41381 .58659 L .41258 .5748 L F
.949 .596 .288 r
.36717 .55169 m .40453 .5707 L .39849 .54962 L F
.104 .474 .894 r
.41534 .60134 m .38891 .58935 L .39683 .60308 L F
.36717 .55169 m .32162 .55883 L p .38891 .58935 L F P
0 g
s
.614 .32 .447 r
.18103 .71712 m .38891 .58935 L .36782 .57978 L F
.846 .922 .882 r
.36717 .55169 m .18103 .71712 L p .38298 .62796 L F P
0 g
s
.846 .922 .882 r
.38298 .62796 m .39683 .60308 L .36717 .55169 L F
.614 .32 .447 r
.18103 .71712 m .41534 .60134 L .38891 .58935 L F
.444 .299 .589 r
.41668 .64791 m .44179 .63211 L .45776 .68379 L F
.763 .754 .239 r
.43084 .68562 m .42921 .68722 L .4439 .63078 L F
.42921 .68722 m .43682 .65325 L .4439 .63078 L F
.444 .299 .589 r
.4428 .63539 m .45722 .68174 L .45713 .68174 L F
.4428 .63539 m .4439 .63078 L .45722 .68174 L F
.949 .596 .288 r
.4165 .61246 m .44985 .65356 L .41258 .5748 L F
.44985 .65356 m .4717 .68047 L .4439 .63078 L F
.44985 .65356 m .4439 .63078 L .41258 .5748 L F
.112 .665 .737 r
.42861 .54601 m .42227 .54804 L .46488 .54265 L F
.191 .512 .913 r
.27705 .33255 m .48251 .44919 L p .47903 .47806 L F P
0 g
s
.191 .512 .913 r
.47903 .47806 m .47776 .48856 L .27705 .33255 L F
.47776 .48856 m .45613 .48296 L .27705 .33255 L F
.444 .299 .589 r
.48987 .51095 m .45117 .49249 L .50248 .49496 L F
.45117 .49249 m .45613 .48296 L .50248 .49496 L F
.801 .576 .597 r
.47142 .50798 m .27705 .33255 L .47903 .47806 L F
.44319 .51982 m .27705 .33255 L .47142 .50798 L F
.949 .596 .288 r
.41258 .5748 m .40752 .52616 L .27705 .33255 L F
.575 .554 .793 r
.48251 .44919 m .27705 .33255 L .32162 .55883 L p F P
0 g
s
.949 .596 .288 r
.27705 .33255 m .36717 .55169 L p .39849 .54962 L F P
0 g
s
.575 .554 .793 r
.42861 .54601 m .381 .51836 L .39849 .54962 L F
.112 .665 .737 r
.36717 .55169 m .39849 .54962 L .42861 .54601 L F
.39849 .54962 m .42227 .54804 L .42861 .54601 L F
.846 .922 .882 r
.44319 .51982 m .43182 .58459 L .45847 .51341 L F
.41258 .5748 m .43182 .58459 L .44319 .51982 L F
.763 .754 .239 r
.47776 .48856 m .47903 .47806 L .49846 .40163 L F
.46488 .54265 m .48251 .44919 L .47776 .48856 L F
.846 .922 .882 r
.45847 .51341 m .47142 .50798 L .48251 .44919 L F
.43182 .58459 m .50248 .49496 L .45847 .51341 L F
.614 .32 .447 r
.4623 .54424 m .45425 .58212 L .46488 .54265 L F
.801 .576 .597 r
.46279 .54191 m .44319 .51982 L .47142 .50798 L F
.575 .554 .793 r
.44319 .51982 m .46279 .54191 L .48251 .44919 L F
.42861 .54601 m .46279 .54191 L .44319 .51982 L F
.949 .596 .288 r
.40453 .5707 m .41258 .5748 L .39849 .54962 L F
.614 .32 .447 r
.41534 .60134 m .41381 .58659 L .38891 .58935 L F
.104 .474 .894 r
.41534 .60134 m .36717 .55169 L .38891 .58935 L F
.575 .554 .793 r
.42861 .54601 m .48251 .44919 L .381 .51836 L F
.41258 .5748 m .42861 .54601 L .39849 .54962 L F
.846 .922 .882 r
.36717 .55169 m .41258 .5748 L .44319 .51982 L F
.112 .665 .737 r
.36717 .55169 m .42861 .54601 L .46279 .54191 L F
.42861 .54601 m .46488 .54265 L .46279 .54191 L F
.763 .754 .239 r
.45441 .58662 m .4635 .54216 L .46488 .54265 L F
.4635 .54216 m .46667 .52667 L .46488 .54265 L F
.801 .576 .597 r
.42051 .54624 m .27705 .33255 L .46279 .54191 L F
.763 .754 .239 r
.45441 .58662 m .45425 .58212 L .46667 .52667 L F
.846 .922 .882 r
.45477 .59627 m .52102 .53746 L .51094 .51434 L F
.45477 .59627 m .51094 .51434 L .48618 .52956 L F
.45477 .59627 m .49778 .57729 L .52102 .53746 L F
.584 .556 .789 r
.49778 .57729 m .52102 .53746 L .50913 .59008 L F
.50913 .59008 m .52102 .53746 L .53452 .6187 L F
.759 .677 .771 r
.53452 .6187 m .52102 .53746 L .45477 .59627 L F
.444 .299 .589 r
.49158 .60078 m .4439 .63078 L .49488 .57762 L F
.49158 .60078 m .49488 .57762 L .49904 .58247 L F
.45713 .68174 m .45722 .68174 L .45776 .68379 L F
.949 .596 .288 r
.45776 .68379 m .4717 .68047 L .4165 .61246 L F
.614 .32 .447 r
.18103 .71712 m .41786 .62561 L .41534 .60134 L F
.949 .596 .288 r
.41786 .62561 m .4165 .61246 L .36717 .55169 L F
.45776 .68379 m .4165 .61246 L .41786 .62561 L F
.575 .554 .793 r
.4439 .63078 m .45425 .58212 L .41258 .5748 L F
.104 .474 .894 r
.4439 .63078 m .44539 .61497 L .41534 .60134 L F
.614 .32 .447 r
.41786 .62561 m .43689 .61826 L .41534 .60134 L F
.575 .554 .793 r
.4439 .63078 m .51708 .65293 L .50662 .59131 L F
.48231 .65338 m .51708 .65293 L .4439 .63078 L F
.762 .683 .775 r
.47953 .64259 m .48788 .62679 L .55975 .6715 L F
.47953 .64259 m .55975 .6715 L .54687 .67305 L F
.52102 .67617 m .47953 .64259 L .5183 .66013 L F
.104 .474 .894 r
.52102 .67617 m .50926 .65245 L .4439 .63078 L F
.444 .299 .589 r
.47514 .64114 m .4439 .63078 L .49158 .60078 L F
.45776 .68379 m .4439 .63078 L .47514 .64114 L F
.191 .512 .913 r
.5336 .53561 m .52102 .53746 L .51834 .52129 L F
.55853 .55901 m .52102 .53746 L .5336 .53561 L F
.54153 .53444 m .51094 .51434 L .53436 .52409 L F
.55853 .55901 m .5336 .53561 L .54153 .53444 L F
.5336 .53561 m .51094 .51434 L .54153 .53444 L F
.763 .754 .239 r
.48251 .44919 m .49846 .40163 L p .47903 .47806 L F P
0 g
s
.94 .572 .216 r
.48582 .45135 m .48251 .44919 L .49846 .40163 L F
.801 .576 .597 r
.50248 .49496 m .47903 .47806 L .49846 .40163 L F
.49846 .40163 m .53182 .41203 L p .51864 .42438 L F P
0 g
s
.94 .572 .216 r
.55159 .51468 m .54771 .49174 L .56201 .50108 L F
.584 .556 .789 r
.56953 .53167 m .54771 .49174 L .58334 .49733 L F
.614 .32 .447 r
.58334 .49733 m .62838 .44216 L .54771 .49174 L F
.584 .556 .789 r
.54771 .49174 m .49846 .40163 L .58334 .49733 L F
.112 .665 .737 r
.54511 .53392 m .56953 .53167 L .55462 .53252 L F
.54318 .5342 m .56953 .53167 L .54511 .53392 L F
.94 .572 .216 r
.55462 .53252 m .55159 .51468 L .58616 .54744 L F
.614 .32 .447 r
.55462 .53252 m .58334 .49733 L .54771 .49174 L F
.801 .576 .597 r
.53301 .48215 m .51121 .43135 L .62838 .44216 L F
.56073 .42105 m .62838 .44216 L p .5498 .43491 L F P
0 g
s
.801 .576 .597 r
.51121 .43135 m .56073 .42105 L .5498 .43491 L F
.53182 .41203 m .56073 .42105 L p .51121 .43135 L F P
0 g
s
.801 .576 .597 r
.58334 .49733 m .55988 .47088 L .62838 .44216 L F
.60957 .5269 m .58334 .49733 L .62838 .44216 L F
.846 .922 .882 r
.62838 .44216 m .66959 .28294 L p .55988 .47088 L F P
0 g
s
.584 .556 .789 r
.49846 .40163 m .66959 .28294 L p .58334 .49733 L F P
0 g
s
.444 .299 .589 r
.50248 .49496 m .50018 .44168 L .50805 .43431 L F
.50248 .49496 m .50805 .43431 L .51951 .47334 L F
.51951 .47334 m .50805 .43431 L .66959 .28294 L F
.94 .572 .216 r
.51951 .47334 m .48582 .45135 L .49846 .40163 L F
.614 .32 .447 r
.55462 .53252 m .54771 .49174 L .51094 .51434 L F
.584 .556 .789 r
.7018 .5159 m .60957 .5269 L .58334 .49733 L F
.112 .665 .737 r
.61055 .52621 m .60957 .5269 L .7018 .5159 L F
.614 .32 .447 r
.7018 .5159 m .62838 .44216 L p .61055 .52621 L F P
0 g
s
.614 .32 .447 r
.60478 .55339 m .7018 .5159 L .61055 .52621 L F
.191 .512 .913 r
.55462 .53252 m .59633 .58072 L .54153 .53444 L F
.94 .572 .216 r
.56636 .54608 m .55462 .53252 L .58616 .54744 L F
.846 .922 .882 r
.50248 .49496 m .51094 .51434 L .55988 .47088 L F
.51094 .51434 m .54771 .49174 L .55988 .47088 L F
.801 .576 .597 r
.55462 .53252 m .50248 .49496 L .53301 .48215 L F
.51121 .43135 m .49846 .40163 L .51864 .42438 L F
.444 .299 .589 r
.49846 .40163 m .66959 .28294 L p .50805 .43431 L F P
0 g
s
.846 .922 .882 r
.66959 .28294 m .48251 .44919 L p .50248 .49496 L F P
0 g
s
.846 .922 .882 r
.50248 .49496 m .55988 .47088 L .66959 .28294 L F
.191 .512 .913 r
.55462 .53252 m .54153 .53444 L .51675 .49865 L F
.801 .576 .597 r
.56455 .48169 m .55788 .49432 L .55988 .47088 L F
.94 .572 .216 r
.59633 .58072 m .56224 .55028 L .58616 .54744 L F
.56224 .55028 m .56026 .54566 L .58616 .54744 L F
.112 .665 .737 r
.56953 .53167 m .58114 .53102 L .60957 .5269 L F
.584 .556 .789 r
.59633 .58072 m .56953 .53167 L .60957 .5269 L F
.60957 .5269 m .56981 .53097 L .58334 .49733 L F
.112 .665 .737 r
.55462 .53252 m .56953 .53167 L .60957 .5269 L F
0 0 0 r
.60092 .56587 m .59633 .58072 L .60025 .56477 L F
.60092 .56587 m .60032 .56449 L .60957 .5269 L F
.801 .576 .597 r
.60092 .56587 m .55788 .49432 L .56455 .48169 L F
.60092 .56587 m .55462 .53252 L .55788 .49432 L F
.191 .512 .913 r
.55462 .53252 m .51675 .49865 L .52778 .5015 L F
.614 .32 .447 r
.47392 .53709 m .55462 .53252 L .51094 .51434 L F
.584 .556 .789 r
.53452 .6187 m .52102 .53746 L .55853 .55901 L F
.762 .683 .775 r
.51557 .64402 m .50662 .59131 L .59001 .61501 L F
.52102 .67617 m .5183 .66013 L .54687 .67305 L F
.846 .943 .885 r
.52102 .67617 m .54582 .63549 L .59001 .61501 L F
.575 .554 .793 r
.52102 .67617 m .57753 .67123 L .53237 .65756 L F
.52102 .67617 m .53237 .65756 L .51708 .65293 L F
.801 .576 .597 r
.57753 .67123 m .55959 .62911 L .56979 .62438 L F
.191 .512 .913 r
.59633 .58072 m .55853 .55901 L .54153 .53444 L F
.801 .576 .597 r
.57753 .67123 m .55462 .53252 L .59001 .61501 L F
.614 .32 .447 r
.46488 .54265 m .55462 .53252 L .46674 .54151 L F
.112 .665 .737 r
.49567 .53876 m .54318 .5342 L .50431 .53766 L F
.54318 .5342 m .54511 .53392 L .50431 .53766 L F
.50431 .53766 m .54511 .53392 L .55462 .53252 L F
.763 .754 .239 r
.46667 .52667 m .47142 .50798 L .46488 .54265 L F
.45425 .58212 m .46279 .54191 L .46667 .52667 L F
.444 .299 .589 r
.46488 .54265 m .50344 .51742 L .50431 .53766 L F
.112 .665 .737 r
.46279 .54191 m .53009 .53613 L .54318 .5342 L F
.46488 .54265 m .52102 .53746 L .48959 .53986 L F
.52102 .53746 m .53009 .53613 L .46279 .54191 L F
.614 .32 .447 r
.50662 .59131 m .55462 .53252 L .46488 .54265 L F
.801 .576 .597 r
.50662 .59131 m .50248 .49496 L .53086 .56162 L F
.50662 .59131 m .53086 .56162 L .57753 .67123 L F
.575 .554 .793 r
.57753 .67123 m .58225 .65209 L .51708 .65293 L F
.51708 .65293 m .53533 .6527 L .50662 .59131 L F
.53533 .6527 m .56079 .65237 L .54582 .63549 L F
.53533 .6527 m .54582 .63549 L .50662 .59131 L F
.801 .576 .597 r
.56979 .62438 m .53086 .56162 L .55462 .53252 L F
.55959 .62911 m .53086 .56162 L .56979 .62438 L F
.444 .299 .589 r
.52778 .5015 m .50248 .49496 L .51951 .47334 L F
.191 .512 .913 r
.53436 .52409 m .51094 .51434 L .48251 .44919 L F
.801 .576 .597 r
.53086 .56162 m .50248 .49496 L .55462 .53252 L F
.444 .299 .589 r
.53717 .53351 m .48987 .51095 L .50248 .49496 L F
.45776 .68379 m .49896 .58267 L .50662 .59131 L F
.112 .665 .737 r
.53717 .53351 m .50431 .53766 L .55462 .53252 L F
.46488 .54265 m .48959 .53986 L .46279 .54191 L F
.444 .299 .589 r
.4439 .63078 m .46488 .54265 L .53717 .53351 L F
.614 .32 .447 r
.45425 .58212 m .50662 .59131 L .46488 .54265 L F
.444 .299 .589 r
.49904 .58247 m .49488 .57762 L .50556 .56648 L F
.112 .665 .737 r
.46279 .54191 m .49567 .53876 L .50431 .53766 L F
.801 .576 .597 r
.50662 .59131 m .46279 .54191 L .50248 .49496 L F
.444 .299 .589 r
.50431 .53766 m .50344 .51742 L .53717 .53351 L F
.112 .665 .737 r
.53717 .53351 m .46279 .54191 L .50431 .53766 L F
.575 .554 .793 r
.4439 .63078 m .50662 .59131 L .45425 .58212 L F
.763 .754 .239 r
.43682 .65325 m .45425 .58212 L .4439 .63078 L F
.014 0 0 r
.42473 .69164 m .18103 .71712 L .34772 .6913 L p F P
0 g
s
.796 .577 .604 r
.40727 .68723 m .18103 .71712 L .40641 .65437 L F
.762 .683 .775 r
.42921 .68722 m .18103 .71712 L .44539 .61497 L F
.763 .754 .239 r
.44539 .61497 m .45425 .58212 L .43682 .65325 L F
.014 0 0 r
.43084 .68562 m .43261 .68389 L .43396 .68541 L F
.4361 .68782 m .43261 .68389 L .45315 .68209 L F
.444 .299 .589 r
.43084 .68562 m .43584 .66464 L .45776 .68379 L F
.014 0 0 r
.42473 .69164 m .43084 .68562 L .4361 .68782 L F
.43084 .68562 m .43396 .68541 L .4361 .68782 L F
.52102 .67617 m .45776 .68379 L .4717 .68047 L F
.614 .32 .447 r
.44539 .61497 m .50662 .59131 L .45425 .58212 L F
.762 .683 .775 r
.52102 .67617 m .45776 .68379 L .47953 .64259 L F
.51557 .64402 m .45989 .60937 L .50662 .59131 L F
.763 .754 .239 r
.46667 .52667 m .48251 .44919 L .47142 .50798 L F
.801 .576 .597 r
.47142 .50798 m .47903 .47806 L .50248 .49496 L F
.191 .512 .913 r
.48251 .44919 m .50248 .49496 L .47776 .48856 L F
.846 .922 .882 r
.47142 .50798 m .50248 .49496 L .48251 .44919 L F
.801 .576 .597 r
.46279 .54191 m .47142 .50798 L .50248 .49496 L F
.763 .754 .239 r
.46667 .52667 m .46482 .5282 L .48251 .44919 L F
.575 .554 .793 r
.45425 .58212 m .50662 .59131 L .45859 .57767 L F
.112 .665 .737 r
.49753 .53775 m .46279 .54191 L .53717 .53351 L F
.575 .554 .793 r
.41258 .5748 m .45425 .58212 L .46279 .54191 L F
.41258 .5748 m .46279 .54191 L .42861 .54601 L F
.801 .576 .597 r
.36717 .55169 m .27705 .33255 L p .43762 .57171 L F P
0 g
s
.575 .554 .793 r
.45425 .58212 m .49753 .53775 L .46279 .54191 L F
.949 .596 .288 r
.4165 .61246 m .41258 .5748 L .40453 .5707 L F
.614 .32 .447 r
.41534 .60134 m .45425 .58212 L .41381 .58659 L F
.41381 .58659 m .45425 .58212 L .41258 .5748 L F
.949 .596 .288 r
.36717 .55169 m .4165 .61246 L .40453 .5707 L F
.763 .754 .239 r
.45425 .58212 m .45403 .57637 L .46279 .54191 L F
.614 .32 .447 r
.41534 .60134 m .44539 .61497 L .45425 .58212 L F
.763 .754 .239 r
.44539 .61497 m .45403 .57637 L .45425 .58212 L F
.762 .683 .775 r
.45989 .60937 m .44826 .60214 L .50662 .59131 L F
.44826 .60214 m .36717 .55169 L .45403 .57637 L F
.44826 .60214 m .45403 .57637 L .50662 .59131 L F
.614 .32 .447 r
.43689 .61826 m .44539 .61497 L .43154 .60869 L F
.43689 .61826 m .43154 .60869 L .41534 .60134 L F
.762 .683 .775 r
.47953 .64259 m .36717 .55169 L .48788 .62679 L F
.104 .474 .894 r
.41534 .60134 m .4218 .59042 L .36717 .55169 L F
.801 .576 .597 r
.36717 .55169 m .43762 .57171 L .45038 .59072 L F
.36717 .55169 m .45038 .59072 L .44608 .60765 L F
.846 .922 .882 r
.36717 .55169 m .45847 .51341 L .48251 .44919 L F
.762 .683 .775 r
.36717 .55169 m .48251 .44919 L p .46183 .54157 L F P
0 g
s
.112 .665 .737 r
.45263 .5383 m .36717 .55169 L p .46279 .54191 L F P
0 g
s
.801 .576 .597 r
.45038 .59072 m .42051 .54624 L .46279 .54191 L F
.763 .754 .239 r
.46279 .54191 m .46183 .54157 L .46667 .52667 L F
.762 .683 .775 r
.45403 .57637 m .36717 .55169 L .46183 .54157 L F
.763 .754 .239 r
.45403 .57637 m .45263 .5383 L .46183 .54157 L F
.45403 .57637 m .46183 .54157 L .46279 .54191 L F
.575 .554 .793 r
.45859 .57767 m .50662 .59131 L .49753 .53775 L F
.94 .572 .216 r
.56026 .54566 m .55462 .53252 L .56636 .54608 L F
.59001 .61501 m .56102 .5703 L .59396 .59355 L F
.56102 .5703 m .55681 .54543 L .59396 .59355 L F
.59001 .61501 m .59396 .59355 L .60437 .60704 L F
.60437 .60704 m .59396 .59355 L .59633 .58072 L F
.59396 .59355 m .55681 .54543 L .59633 .58072 L F
.801 .576 .597 r
.59001 .61501 m .55462 .53252 L .60092 .56587 L F
.60092 .56587 m .55988 .47088 L .60957 .5269 L F
.614 .32 .447 r
.58334 .49733 m .6156 .50239 L .62838 .44216 L F
0 0 0 r
.62838 .44216 m .66959 .28294 L p .6156 .50239 L F P
0 g
s
.584 .556 .789 r
.66959 .28294 m .7018 .5159 L p .58334 .49733 L F P
0 g
s
0 0 0 r
.60092 .56587 m .60957 .5269 L .66959 .28294 L F
.614 .32 .447 r
.5879 .54637 m .61055 .52621 L .58545 .54535 L F
.762 .683 .775 r
.66959 .28294 m .7018 .5159 L p .61144 .52557 L F P
0 g
s
.762 .683 .775 r
.62234 .5466 m .61117 .52671 L .7018 .5159 L F
.61387 .56114 m .61117 .52671 L .64574 .5883 L F
.801 .576 .597 r
.59001 .61501 m .60092 .56587 L .61102 .60527 L F
.191 .512 .913 r
.63814 .59269 m .61852 .57855 L .61683 .5584 L F
.762 .683 .775 r
.60478 .55339 m .61117 .52671 L .61301 .55021 L F
.191 .512 .913 r
.61852 .57855 m .60092 .56587 L .60478 .55339 L F
.762 .683 .775 r
.60478 .55339 m .61301 .55021 L .61387 .56114 L F
.64574 .5883 m .62234 .5466 L .7018 .5159 L F
.191 .512 .913 r
.61852 .57855 m .60478 .55339 L .6173 .56406 L F
.762 .683 .775 r
.60478 .55339 m .61387 .56114 L .61627 .59173 L F
.59001 .61501 m .60478 .55339 L .61627 .59173 L F
.191 .512 .913 r
.63814 .59269 m .61683 .5584 L .62767 .56292 L F
.846 .943 .885 r
.59001 .61501 m .63269 .57717 L .63814 .59269 L F
.191 .512 .913 r
.6374 .58119 m .63814 .59269 L .63269 .57717 L F
.762 .683 .775 r
.61874 .62317 m .61387 .56114 L .64574 .5883 L F
.846 .943 .885 r
.59001 .61501 m .59888 .58118 L .7018 .5159 L F
.614 .32 .447 r
.62767 .56292 m .7018 .5159 L .60478 .55339 L F
.112 .665 .737 r
.7018 .5159 m .61392 .5238 L p .61055 .52621 L F P
0 g
s
.762 .683 .775 r
.61117 .52671 m .61144 .52557 L .7018 .5159 L F
.191 .512 .913 r
.61683 .5584 m .60478 .55339 L .61392 .5238 L F
.6173 .56406 m .60478 .55339 L .61683 .5584 L F
.62767 .56292 m .61683 .5584 L .61392 .5238 L F
.801 .576 .597 r
.59001 .61501 m .61102 .60527 L .61536 .62221 L F
.762 .683 .775 r
.59001 .61501 m .61627 .59173 L .61874 .62317 L F
.465 .321 .6 r
.83414 .64883 m .64267 .66253 L .64052 .62936 L F
.801 .576 .597 r
.62664 .62541 m .64052 .62936 L .64267 .66253 L F
.94 .572 .216 r
.62179 .66403 m .60601 .6523 L .59001 .61501 L F
.60601 .6523 m .58589 .63735 L .59001 .61501 L F
0 0 0 r
.60478 .55339 m .60092 .56587 L .66959 .28294 L F
.191 .512 .913 r
.60478 .55339 m .59633 .58072 L .55462 .53252 L F
.614 .32 .447 r
.5879 .54637 m .60478 .55339 L .61055 .52621 L F
.56102 .5703 m .60478 .55339 L .5879 .54637 L F
.94 .572 .216 r
.55681 .54543 m .55462 .53252 L .56026 .54566 L F
.614 .32 .447 r
.55462 .53252 m .61055 .52621 L .6156 .50239 L F
.112 .665 .737 r
.57651 .5293 m .55462 .53252 L .60957 .5269 L F
.94 .572 .216 r
.56224 .55028 m .55681 .54543 L .56026 .54566 L F
0 0 0 r
.66959 .28294 m .61392 .5238 L p .60478 .55339 L F P
0 g
s
.614 .32 .447 r
.55462 .53252 m .6156 .50239 L .58334 .49733 L F
.762 .683 .775 r
.61144 .52557 m .57651 .5293 L .66959 .28294 L F
.763 .754 .239 r
.46183 .54157 m .45263 .5383 L .46482 .5282 L F
.46183 .54157 m .46482 .5282 L .46667 .52667 L F
.575 .554 .793 r
.46279 .54191 m .49753 .53775 L .48251 .44919 L F
.444 .299 .589 r
.53717 .53351 m .50248 .49496 L .51413 .49797 L F
.112 .665 .737 r
.59505 .52795 m .60957 .5269 L .61055 .52621 L F
.614 .32 .447 r
.50662 .59131 m .55902 .55849 L .55462 .53252 L F
.55902 .55849 m .61055 .52621 L .55462 .53252 L F
.94 .572 .216 r
.55681 .54543 m .53077 .51171 L .55159 .51468 L F
.762 .683 .775 r
.59001 .61501 m .50662 .59131 L .58524 .56094 L F
.846 .943 .885 r
.52102 .67617 m .50926 .65245 L .54582 .63549 L F
.104 .474 .894 r
.64841 .75113 m .57886 .67552 L p .5693 .70457 L F P
0 g
s
.575 .554 .793 r
.64841 .75113 m .5693 .70457 L .56428 .72491 L F
.623 .34 .467 r
.52102 .92577 m .64841 .75113 L p .58846 .7392 L F P
0 g
s
.801 .576 .597 r
.64841 .75113 m .52102 .92577 L p .57185 .69683 L F P
0 g
s
.104 .474 .894 r
.57886 .67552 m .57886 .67553 L .57185 .69683 L F
.57886 .67552 m .57185 .69683 L .57185 .69683 L F
0 0 0 r
.56887 .71023 m .57185 .69683 L .57886 .67552 L F
.57185 .69683 m .57753 .67123 L .57886 .67552 L F
.104 .474 .894 r
.57185 .69683 m .57185 .69683 L .5693 .70457 L F
0 0 0 r
.56205 .73394 m .57753 .67123 L .56887 .71023 L F
.762 .683 .775 r
.52974 .72752 m .52734 .7134 L .56653 .71298 L F
.575 .554 .793 r
.56428 .72491 m .52102 .67617 L .52734 .7134 L F
.801 .576 .597 r
.57185 .69683 m .55766 .67388 L .57753 .67123 L F
.50926 .65245 m .50662 .59131 L .57185 .69683 L F
.104 .474 .894 r
.5693 .70457 m .57886 .67552 L .52102 .67617 L F
0 0 0 r
.56417 .72401 m .56732 .71059 L .5684 .7073 L F
.575 .554 .793 r
.5693 .70457 m .52102 .67617 L .56428 .72491 L F
.014 0 0 r
.54237 .67593 m .45776 .68379 L .52102 .67617 L F
.51045 .68019 m .45776 .68379 L .54237 .67593 L F
.104 .474 .894 r
.54237 .67593 m .50926 .65245 L .52102 .67617 L F
.614 .32 .447 r
.54425 .57678 m .61055 .52621 L .50662 .59131 L F
.104 .474 .894 r
.44539 .61497 m .45263 .5383 L .41961 .59412 L F
.44539 .61497 m .41961 .59412 L .41534 .60134 L F
.762 .683 .775 r
.18103 .71712 m .36717 .55169 L p .44539 .61497 L F P
0 g
s
.949 .596 .288 r
.43557 .65143 m .42473 .69164 L p .43682 .65325 L F P
0 g
s
.949 .596 .288 r
.42473 .69164 m .43512 .65077 L .41786 .62561 L F
.614 .32 .447 r
.41786 .62561 m .42473 .69164 L .44539 .61497 L F
.18103 .71712 m .42473 .69164 L p .41786 .62561 L F P
0 g
s
.949 .596 .288 r
.42473 .69164 m .41786 .62561 L .36717 .55169 L F
.763 .754 .239 r
.42473 .69164 m .45403 .57637 L .44539 .61497 L F
.801 .576 .597 r
.45038 .59072 m .46279 .54191 L .50662 .59131 L F
.444 .299 .589 r
.50662 .59131 m .50556 .56648 L .53717 .53351 L F
.762 .683 .775 r
.5571 .56425 m .45403 .57637 L .54577 .54676 L F
.614 .32 .447 r
.56102 .5703 m .5879 .54637 L .56007 .56471 L F
.5879 .54637 m .58545 .54535 L .56007 .56471 L F
.56102 .5703 m .56007 .56471 L .54425 .57678 L F
.94 .572 .216 r
.56102 .5703 m .53717 .53351 L .55681 .54543 L F
.762 .683 .775 r
.50662 .59131 m .45403 .57637 L .58524 .56094 L F
.801 .576 .597 r
.55766 .67388 m .50662 .59131 L .57753 .67123 L F
.444 .299 .589 r
.5335 .62265 m .45776 .68379 L .50662 .59131 L F
.48529 .68191 m .45776 .68379 L .5335 .62265 L F
.104 .474 .894 r
.50926 .65245 m .49041 .63908 L .47088 .6356 L F
.50926 .65245 m .47088 .6356 L .47953 .64259 L F
.762 .683 .775 r
.45776 .68379 m .42921 .68722 L .47953 .64259 L F
.104 .474 .894 r
.47953 .64259 m .47088 .6356 L .4439 .63078 L F
.49041 .63908 m .44539 .61497 L .4439 .63078 L F
.614 .32 .447 r
.47598 .62885 m .50662 .59131 L .44539 .61497 L F
.801 .576 .597 r
.50926 .65245 m .45038 .59072 L .50662 .59131 L F
.47598 .62885 m .45038 .59072 L .50926 .65245 L F
.104 .474 .894 r
.50381 .64148 m .47598 .62885 L .49041 .63908 L F
.47598 .62885 m .44539 .61497 L .49041 .63908 L F
.762 .683 .775 r
.47953 .64259 m .44843 .67018 L .44539 .61497 L F
.44843 .67018 m .42921 .68722 L .43682 .65325 L F
.44843 .67018 m .43682 .65325 L .44539 .61497 L F
.763 .754 .239 r
.42921 .68722 m .42473 .69164 L .43682 .65325 L F
.949 .596 .288 r
.42473 .69164 m .45776 .68379 L .43682 .65325 L F
.846 .943 .885 r
.48529 .68191 m .50926 .65245 L .52102 .67617 L F
0 0 0 r
.52102 .92577 m .55626 .7574 L .5672 .71775 L F
.57886 .67552 m .52102 .92577 L p .5672 .71775 L F P
0 g
s
0 0 0 r
.55626 .7574 m .55882 .74518 L .56205 .73394 L F
.55626 .7574 m .56205 .73394 L .57886 .67552 L F
.575 .554 .793 r
.54355 .80889 m .56205 .73394 L .52974 .72752 L F
0 0 0 r
.52102 .92577 m .55323 .76968 L .55626 .7574 L F
.623 .34 .467 r
.52102 .92577 m .56205 .73394 L .52974 .72752 L F
.575 .554 .793 r
.56205 .73394 m .52734 .7134 L .52974 .72752 L F
.56428 .72491 m .52734 .7134 L .56205 .73394 L F
.801 .576 .597 r
.52102 .92577 m .50926 .65245 L .57185 .69683 L F
.444 .299 .589 r
.46408 .70797 m .45776 .68379 L .48529 .68191 L F
.949 .596 .288 r
.42473 .69164 m .46408 .70797 L .45776 .68379 L F
.846 .943 .885 r
.40957 .77497 m .42473 .69164 L p .48529 .68191 L F P
0 g
s
.444 .299 .589 r
.52102 .92577 m .40957 .77497 L p .46408 .70797 L F P
0 g
s
.949 .596 .288 r
.42473 .69164 m .52102 .92577 L p .49669 .74057 L F P
0 g
s
.949 .596 .288 r
.49669 .74057 m .47843 .71393 L .42473 .69164 L F
.444 .299 .589 r
.52102 .92577 m .46408 .70797 L .51108 .69469 L F
.57886 .67552 m .52102 .92577 L p .51108 .69469 L F P
0 g
s
.444 .299 .589 r
.46408 .70797 m .48529 .68191 L .57886 .67552 L F
.014 0 0 r
.51045 .68019 m .42473 .69164 L .45776 .68379 L F
.846 .943 .885 r
.42473 .69164 m .50926 .65245 L .48529 .68191 L F
.014 0 0 r
.57886 .67552 m .51045 .68019 L .54237 .67593 L F
.801 .576 .597 r
.62626 .66472 m .64267 .66253 L .64841 .75113 L F
.575 .554 .793 r
.64841 .75113 m .60535 .67275 L .58112 .67528 L F
.60535 .67275 m .60328 .66898 L .58112 .67528 L F
.58112 .67528 m .60328 .66898 L .57753 .67123 L F
.94 .572 .216 r
.64841 .75113 m .57886 .67552 L p .60328 .66898 L F P
0 g
s
.801 .576 .597 r
.59001 .61501 m .61536 .62221 L .62626 .66472 L F
.61215 .66661 m .62626 .66472 L .64841 .75113 L F
.575 .554 .793 r
.64841 .75113 m .83414 .64883 L .60535 .67275 L F
.60395 .67021 m .83414 .64883 L p .60328 .66898 L F P
0 g
s
.014 0 0 r
.83414 .64883 m .57886 .67552 L p .54237 .67593 L F P
0 g
s
.014 0 0 r
.83414 .64883 m .54237 .67593 L .61215 .66661 L F
.575 .554 .793 r
.57753 .67123 m .60328 .66898 L .58225 .65209 L F
.60328 .66898 m .59391 .65194 L .58225 .65209 L F
.846 .943 .885 r
.54582 .63549 m .56636 .6018 L .59001 .61501 L F
.575 .554 .793 r
.58225 .65209 m .59391 .65194 L .58399 .64505 L F
.94 .572 .216 r
.61215 .66661 m .60601 .6523 L .62179 .66403 L F
.801 .576 .597 r
.59001 .61501 m .62626 .66472 L .61215 .66661 L F
.191 .512 .913 r
.68155 .60512 m .63269 .57717 L .62767 .56292 L F
.614 .32 .447 r
.59888 .58118 m .62767 .56292 L .60478 .55339 L F
.846 .943 .885 r
.61392 .5238 m .7018 .5159 L p .59888 .58118 L F P
0 g
s
.614 .32 .447 r
.65639 .57486 m .7018 .5159 L .62767 .56292 L F
.191 .512 .913 r
.65639 .57486 m .62767 .56292 L .61392 .5238 L F
.68155 .60512 m .62767 .56292 L .65639 .57486 L F
.65735 .59819 m .63269 .57717 L .68155 .60512 L F
.614 .32 .447 r
.59349 .60657 m .65639 .57486 L .62767 .56292 L F
.59349 .60657 m .62767 .56292 L .59888 .58118 L F
0 0 0 r
.58589 .63735 m .59001 .61501 L .61392 .5238 L F
.94 .572 .216 r
.59791 .65922 m .58589 .63735 L .60601 .6523 L F
.762 .683 .775 r
.59001 .61501 m .58524 .56094 L .60478 .55339 L F
.94 .572 .216 r
.58589 .63735 m .56636 .6018 L .59001 .61501 L F
.59001 .61501 m .56636 .6018 L .56102 .5703 L F
.465 .321 .6 r
.83414 .64883 m .64052 .62936 L .65735 .59819 L F
.762 .683 .775 r
.61937 .62335 m .61874 .62317 L .64574 .5883 L F
.61937 .62335 m .64574 .5883 L .64606 .58857 L F
0 0 0 r
.59001 .61501 m .59633 .58072 L .61392 .5238 L F
.575 .554 .793 r
.56079 .65237 m .58225 .65209 L .50662 .59131 L F
.58225 .65209 m .58399 .64505 L .50662 .59131 L F
.59391 .65194 m .56636 .6018 L .50662 .59131 L F
.104 .474 .894 r
.57886 .67552 m .50926 .65245 L .54237 .67593 L F
.444 .299 .589 r
.57886 .67552 m .51045 .68019 L .52012 .65605 L F
.51045 .68019 m .48529 .68191 L .50926 .65245 L F
.801 .576 .597 r
.51045 .68019 m .47598 .62885 L .50926 .65245 L F
.763 .754 .239 r
.42473 .69164 m .44539 .61497 L .43682 .65325 L F
.614 .32 .447 r
.42473 .69164 m .47598 .62885 L .44539 .61497 L F
.801 .576 .597 r
.42473 .69164 m .36717 .55169 L p .48965 .66154 L F P
0 g
s
.614 .32 .447 r
.49517 .63755 m .56636 .6018 L .56353 .58506 L F
.801 .576 .597 r
.46636 .64064 m .47598 .62885 L .51045 .68019 L F
.614 .32 .447 r
.50381 .64148 m .56636 .6018 L .49517 .63755 L F
.104 .474 .894 r
.50926 .65245 m .50381 .64148 L .49041 .63908 L F
.614 .32 .447 r
.42473 .69164 m .60478 .55339 L .56102 .5703 L F
.191 .512 .913 r
.58293 .53477 m .5838 .54466 L .55462 .53252 L F
.57651 .5293 m .58293 .53477 L .55462 .53252 L F
.444 .299 .589 r
.53717 .53351 m .51413 .49797 L .52778 .5015 L F
.94 .572 .216 r
.53077 .51171 m .52395 .48848 L .55159 .51468 L F
.55159 .51468 m .48251 .44919 L .54771 .49174 L F
.801 .576 .597 r
.55462 .53252 m .53301 .48215 L .55988 .47088 L F
.191 .512 .913 r
.55092 .50749 m .55462 .53252 L .52778 .5015 L F
.57499 .528 m .55462 .53252 L .55092 .50749 L F
.112 .665 .737 r
.46183 .54157 m .46279 .54191 L .49753 .53775 L F
.191 .512 .913 r
.57651 .5293 m .55462 .53252 L .57499 .528 L F
.94 .572 .216 r
.53717 .53351 m .53077 .51171 L .55681 .54543 L F
.444 .299 .589 r
.53717 .53351 m .543 .50544 L .54704 .51484 L F
.53717 .53351 m .52778 .5015 L .543 .50544 L F
.762 .683 .775 r
.53717 .53351 m .49753 .53775 L .48251 .44919 L F
.49753 .53775 m .46183 .54157 L .48251 .44919 L F
.444 .299 .589 r
.54704 .51484 m .543 .50544 L .55092 .50749 L F
.191 .512 .913 r
.52778 .5015 m .51675 .49865 L .48251 .44919 L F
.94 .572 .216 r
.53077 .51171 m .48251 .44919 L .52395 .48848 L F
.444 .299 .589 r
.55092 .50749 m .52778 .5015 L .66959 .28294 L F
.52778 .5015 m .51951 .47334 L .66959 .28294 L F
.762 .683 .775 r
.48251 .44919 m .66959 .28294 L p .57651 .5293 L F P
0 g
s
.444 .299 .589 r
.66959 .28294 m .61392 .5238 L p .55092 .50749 L F P
0 g
s
.191 .512 .913 r
.48251 .44919 m .61392 .5238 L p .52778 .5015 L F P
0 g
s
.94 .572 .216 r
.53717 .53351 m .48251 .44919 L .53077 .51171 L F
.762 .683 .775 r
.57651 .5293 m .53717 .53351 L .48251 .44919 L F
.191 .512 .913 r
.60471 .52142 m .57499 .528 L .55092 .50749 L F
.60764 .52473 m .57651 .5293 L .60471 .52142 L F
.57651 .5293 m .57499 .528 L .60471 .52142 L F
.61392 .5238 m .61096 .52424 L .6112 .5231 L F
.61096 .52424 m .60764 .52473 L .6112 .5231 L F
.6112 .5231 m .60764 .52473 L .60471 .52142 L F
.444 .299 .589 r
.61392 .5238 m .53717 .53351 L .55092 .50749 L F
.763 .754 .239 r
.45263 .5383 m .48251 .44919 L p .46482 .5282 L F P
0 g
s
.94 .572 .216 r
.53717 .53351 m .52909 .53397 L .48251 .44919 L F
.112 .665 .737 r
.55495 .53087 m .55462 .53252 L .57651 .5293 L F
.575 .554 .793 r
.49753 .53775 m .52909 .53397 L .48251 .44919 L F
.94 .572 .216 r
.45263 .5383 m .48251 .44919 L p .52909 .53397 L F P
0 g
s
.112 .665 .737 r
.52909 .53397 m .55462 .53252 L .55495 .53087 L F
.762 .683 .775 r
.45403 .57637 m .46183 .54157 L .57651 .5293 L F
.575 .554 .793 r
.61392 .5238 m .48251 .44919 L p .52909 .53397 L F P
0 g
s
.112 .665 .737 r
.55495 .53087 m .57651 .5293 L .61392 .5238 L F
.57651 .5293 m .59505 .52795 L .60067 .52672 L F
.57651 .5293 m .60067 .52672 L .61392 .5238 L F
.59505 .52795 m .61055 .52621 L .61392 .5238 L F
.762 .683 .775 r
.58293 .53477 m .57651 .5293 L .61144 .52557 L F
.45403 .57637 m .57651 .5293 L .58293 .53477 L F
.191 .512 .913 r
.58293 .53477 m .60478 .55339 L .5838 .54466 L F
.762 .683 .775 r
.58524 .56094 m .58293 .53477 L .60478 .55339 L F
.58524 .56094 m .5571 .56425 L .58293 .53477 L F
.5571 .56425 m .54577 .54676 L .58293 .53477 L F
.60478 .55339 m .58293 .53477 L .61144 .52557 L F
.191 .512 .913 r
.61392 .5238 m .60478 .55339 L .57651 .5293 L F
.614 .32 .447 r
.48875 .63464 m .56102 .5703 L .47598 .62885 L F
.56102 .5703 m .54425 .57678 L .47598 .62885 L F
.94 .572 .216 r
.56102 .5703 m .5576 .58585 L .53717 .53351 L F
.614 .32 .447 r
.51397 .59987 m .54425 .57678 L .50662 .59131 L F
.575 .554 .793 r
.50662 .59131 m .56636 .6018 L .54673 .56608 L F
.94 .572 .216 r
.5576 .58585 m .55543 .5957 L .54673 .56608 L F
.5576 .58585 m .54673 .56608 L .53717 .53351 L F
.846 .943 .885 r
.59001 .61501 m .56636 .6018 L .59888 .58118 L F
.575 .554 .793 r
.59391 .65194 m .83414 .64883 L .56636 .6018 L F
.614 .32 .447 r
.56353 .58506 m .56636 .6018 L .60478 .55339 L F
0 0 0 r
.57886 .67552 m .57753 .67123 L .57789 .66978 L F
.94 .572 .216 r
.57886 .67552 m .57044 .62586 L .58589 .63735 L F
.57886 .67552 m .58589 .63735 L .59791 .65922 L F
.58589 .63735 m .57044 .62586 L .56636 .6018 L F
.614 .32 .447 r
.56636 .6018 m .57886 .67552 L .59349 .60657 L F
.56636 .6018 m .59349 .60657 L .60478 .55339 L F
.846 .943 .885 r
.59888 .58118 m .58196 .57622 L .61392 .5238 L F
.575 .554 .793 r
.54673 .56608 m .58196 .57622 L .61392 .5238 L F
.444 .299 .589 r
.55543 .5957 m .50662 .59131 L .53717 .53351 L F
.846 .943 .885 r
.50926 .65245 m .5335 .62265 L .53755 .62736 L F
.55911 .60824 m .55543 .5957 L .56636 .6018 L F
.50926 .65245 m .56636 .6018 L .54582 .63549 L F
.444 .299 .589 r
.57886 .67552 m .52012 .65605 L .5335 .62265 L F
.51045 .68019 m .50926 .65245 L .5335 .62265 L F
.801 .576 .597 r
.42473 .69164 m .48965 .66154 L .51045 .68019 L F
.846 .943 .885 r
.42473 .69164 m .50381 .64148 L .50926 .65245 L F
.444 .299 .589 r
.5335 .62265 m .50662 .59131 L .55543 .5957 L F
.112 .665 .737 r
.45263 .5383 m .46183 .54157 L .53717 .53351 L F
.575 .554 .793 r
.50662 .59131 m .54673 .56608 L .52909 .53397 L F
.50662 .59131 m .52909 .53397 L .49753 .53775 L F
.614 .32 .447 r
.47598 .62885 m .51397 .59987 L .50662 .59131 L F
.846 .943 .885 r
.50926 .65245 m .45263 .5383 L .55543 .5957 L F
.104 .474 .894 r
.57886 .67552 m .50381 .64148 L .50926 .65245 L F
.801 .576 .597 r
.52102 .92577 m .42473 .69164 L p .51045 .68019 L F P
0 g
s
.014 0 0 r
.57886 .67552 m .42473 .69164 L p .51045 .68019 L F P
0 g
s
.614 .32 .447 r
.42473 .69164 m .57886 .67552 L p .56636 .6018 L F P
0 g
s
.444 .299 .589 r
.57886 .67552 m .5335 .62265 L .55543 .5957 L F
.846 .943 .885 r
.58196 .57622 m .57333 .57369 L .61392 .5238 L F
.94 .572 .216 r
.55543 .5957 m .45263 .5383 L .53717 .53351 L F
.614 .32 .447 r
.62738 .61252 m .65639 .57486 L .59349 .60657 L F
.191 .512 .913 r
.61392 .5238 m .83414 .64883 L p .65639 .57486 L F P
0 g
s
.94 .572 .216 r
.57886 .67552 m .60601 .6523 L .61215 .66661 L F
.014 0 0 r
.83414 .64883 m .61215 .66661 L .64267 .66253 L F
.575 .554 .793 r
.60328 .66898 m .83414 .64883 L .59391 .65194 L F
.614 .32 .447 r
.57886 .67552 m .83414 .64883 L p .65639 .57486 L F P
0 g
s
.575 .554 .793 r
.83414 .64883 m .61392 .5238 L p .58196 .57622 L F P
0 g
s
.846 .943 .885 r
.56636 .6018 m .58196 .57622 L .59888 .58118 L F
.575 .554 .793 r
.56636 .6018 m .83414 .64883 L .58196 .57622 L F
.94 .572 .216 r
.56636 .6018 m .55543 .5957 L .56102 .5703 L F
.575 .554 .793 r
.56636 .6018 m .58196 .57622 L .54673 .56608 L F
.846 .943 .885 r
.56636 .6018 m .55543 .5957 L .58196 .57622 L F
.55543 .5957 m .57333 .57369 L .58196 .57622 L F
.614 .32 .447 r
.57886 .67552 m .62738 .61252 L .59349 .60657 L F
0 0 0 r
.61392 .5238 m .57886 .67552 L p .58589 .63735 L F P
0 g
s
.94 .572 .216 r
.57886 .67552 m .45263 .5383 L p .57044 .62586 L F P
0 g
s
.94 .572 .216 r
.57044 .62586 m .45263 .5383 L .56636 .6018 L F
.444 .299 .589 r
.61392 .5238 m .57886 .67552 L p .55543 .5957 L F P
0 g
s
.444 .299 .589 r
.55543 .5957 m .53717 .53351 L .61392 .5238 L F
.575 .554 .793 r
.54673 .56608 m .61392 .5238 L .54661 .56586 L F
.846 .943 .885 r
.55543 .5957 m .45263 .5383 L .57333 .57369 L F
.575 .554 .793 r
.54661 .56586 m .61392 .5238 L .52909 .53397 L F
.112 .665 .737 r
.61392 .5238 m .45263 .5383 L p .55495 .53087 L F P
0 g
s
.112 .665 .737 r
.45263 .5383 m .52909 .53397 L .55495 .53087 L F
.846 .943 .885 r
.45263 .5383 m .61392 .5238 L p .57333 .57369 L F P
0 g
s
.801 .576 .597 r
.44608 .60765 m .45038 .59072 L .47598 .62885 L F
.104 .474 .894 r
.50381 .64148 m .45263 .5383 L .44608 .60765 L F
.47598 .62885 m .44608 .60765 L .44539 .61497 L F
.50381 .64148 m .44608 .60765 L .47598 .62885 L F
.801 .576 .597 r
.36717 .55169 m .47598 .62885 L .46636 .64064 L F
.763 .754 .239 r
.42473 .69164 m .45263 .5383 L p .45403 .57637 L F P
0 g
s
.614 .32 .447 r
.42473 .69164 m .50381 .64148 L .49517 .63755 L F
.42473 .69164 m .48875 .63464 L .47598 .62885 L F
.846 .943 .885 r
.42473 .69164 m .45263 .5383 L p .50381 .64148 L F P
0 g
s
.104 .474 .894 r
.45263 .5383 m .36717 .55169 L p .4218 .59042 L F P
0 g
s
.104 .474 .894 r
.57886 .67552 m .45263 .5383 L p .50381 .64148 L F P
0 g
s
.104 .474 .894 r
.57886 .67552 m .57886 .67552 L p .57886 .67553 L F P
0 g
s
.25 Mabswid
.67488 0 m
.92568 .39615 L
s
.92568 .39615 m
1 1.00617 L
s
1 1.00617 m
.70966 .66123 L
s
.70966 .66123 m
.67488 0 L
s
.08676 .24213 m
0 .87494 L
s
0 .87494 m
.70966 .66123 L
s
.70966 .66123 m
.67488 0 L
s
.67488 0 m
.08676 .24213 L
s
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.35119 0.381216 0.64881 0.70428 MathSubStart
%% Graphics3D
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
-0.0206914 1.08755 -7.41594e-017 1.08755 [
[ 0 0 0 0 ]
[ 1 1.00162 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.07192 .25073 m
0 .71646 L
s
0 .71646 m
.38643 1.00162 L
s
.38643 1.00162 m
.40217 .57872 L
s
.40217 .57872 m
.07192 .25073 L
s
.68538 0 m
.93948 .40631 L
s
.93948 .40631 m
1 .85355 L
s
1 .85355 m
.71506 .4883 L
s
.71506 .4883 m
.68538 0 L
s
.07192 .25073 m
0 .71646 L
s
0 .71646 m
.71506 .4883 L
s
.71506 .4883 m
.68538 0 L
s
.68538 0 m
.07192 .25073 L
s
.40217 .57872 m
.93948 .40631 L
s
.93948 .40631 m
1 .85355 L
s
1 .85355 m
.38643 1.00162 L
s
.38643 1.00162 m
.40217 .57872 L
s
0 0 m
1 0 L
1 1.00162 L
0 1.00162 L
closepath
clip
newpath
.5 Mabswid
.753 .326 .237 r
.44491 .44907 m .41568 .5289 L .54476 .56506 L closepath p F P
0 g
s
.185 .256 .704 r
.44491 .44907 m .54476 .56506 L .52308 .43351 L closepath p F P
0 g
s
.029 0 0 r
.44491 .44907 m .52308 .43351 L .41568 .5289 L closepath p F P
0 g
s
.124 0 .083 r
.39521 .65616 m .4697 .65966 L .54476 .56506 L closepath p F P
0 g
s
.66 .746 .914 r
.39521 .65616 m .54476 .56506 L .41568 .5289 L closepath p F P
0 g
s
.115 .209 .685 r
.39521 .65616 m .41568 .5289 L .4697 .65966 L closepath p F P
0 g
s
.124 0 .083 r
.65615 .42467 m .54476 .56506 L .64594 .50342 L closepath p F P
0 g
s
.906 .767 .697 r
.65615 .42467 m .52308 .43351 L .54476 .56506 L closepath p F P
0 g
s
.742 .289 .176 r
.65615 .42467 m .64594 .50342 L .52308 .43351 L closepath p F P
0 g
s
.906 .767 .697 r
.57791 .76621 m .54476 .56506 L .4697 .65966 L closepath p F P
0 g
s
.185 .256 .704 r
.57791 .76621 m .61357 .64499 L .54476 .56506 L closepath p F P
0 g
s
.651 .757 .927 r
.57791 .76621 m .4697 .65966 L .61357 .64499 L closepath p F P
0 g
s
.753 .326 .237 r
.74263 .62049 m .54476 .56506 L .61357 .64499 L closepath p F P
0 g
s
.66 .746 .914 r
.74263 .62049 m .64594 .50342 L .54476 .56506 L closepath p F P
0 g
s
.918 .779 .692 r
.74263 .62049 m .61357 .64499 L .64594 .50342 L closepath p F P
0 g
s
.672 .521 .672 r
.33115 .32429 m .41568 .5289 L .52308 .43351 L closepath p F P
0 g
s
.115 .209 .685 r
.33115 .32429 m .43003 .43969 L .41568 .5289 L closepath p F P
0 g
s
.742 .289 .176 r
.33115 .32429 m .52308 .43351 L .43003 .43969 L closepath p F P
0 g
s
.672 .521 .672 r
.24235 .68284 m .4697 .65966 L .41568 .5289 L closepath p F P
0 g
s
.651 .757 .927 r
.24235 .68284 m .39481 .58591 L .4697 .65966 L closepath p F P
0 g
s
.029 0 0 r
.24235 .68284 m .41568 .5289 L .39481 .58591 L closepath p F P
0 g
s
.753 .326 .237 r
.19481 .46702 m .39481 .58591 L .41568 .5289 L closepath p F P
0 g
s
.66 .746 .914 r
.19481 .46702 m .41568 .5289 L .43003 .43969 L closepath p F P
0 g
s
.672 .521 .672 r
.69731 .27878 m .52308 .43351 L .64594 .50342 L closepath p F P
0 g
s
.029 0 0 r
.69731 .27878 m .579 .42238 L .52308 .43351 L closepath p F P
0 g
s
.185 .256 .704 r
.48589 .20782 m .52308 .43351 L .579 .42238 L closepath p F P
0 g
s
.906 .767 .697 r
.48589 .20782 m .43003 .43969 L .52308 .43351 L closepath p F P
0 g
s
.918 .779 .692 r
.69731 .27878 m .64594 .50342 L .579 .42238 L closepath p F P
0 g
s
.906 .767 .697 r
.33664 .82736 m .4697 .65966 L .39481 .58591 L closepath p F P
0 g
s
.672 .521 .672 r
.56015 .87859 m .61357 .64499 L .4697 .65966 L closepath p F P
0 g
s
.115 .209 .685 r
.56015 .87859 m .4697 .65966 L .52308 .66216 L closepath p F P
0 g
s
.124 0 .083 r
.33664 .82736 m .52308 .66216 L .4697 .65966 L closepath p F P
0 g
s
.672 .521 .672 r
.85199 .62068 m .64594 .50342 L .61357 .64499 L closepath p F P
0 g
s
.742 .289 .176 r
.85199 .62068 m .63863 .55978 L .64594 .50342 L closepath p F P
0 g
s
.124 0 .083 r
.82611 .39367 m .64594 .50342 L .63863 .55978 L closepath p F P
0 g
s
.66 .746 .914 r
.82611 .39367 m .579 .42238 L .64594 .50342 L closepath p F P
0 g
s
.651 .757 .927 r
.85199 .62068 m .61357 .64499 L .63863 .55978 L closepath p F P
0 g
s
.918 .779 .692 r
.56015 .87859 m .52308 .66216 L .61357 .64499 L closepath p F P
0 g
s
.753 .326 .237 r
.73868 .79032 m .61357 .64499 L .52308 .66216 L closepath p F P
0 g
s
.185 .256 .704 r
.73868 .79032 m .63863 .55978 L .61357 .64499 L closepath p F P
0 g
s
.67 .518 .67 r
.19481 .46702 m .43003 .43969 L .39481 .58591 L closepath p F P
0 g
s
.67 .518 .67 r
.48589 .20782 m .579 .42238 L .43003 .43969 L closepath p F P
0 g
s
.66 .746 .914 r
.45664 .27423 m .43003 .43969 L .579 .42238 L closepath p F P
0 g
s
.115 .209 .685 r
.45664 .27423 m .49871 .51984 L .43003 .43969 L closepath p F P
0 g
s
.906 .767 .697 r
.25792 .45112 m .39481 .58591 L .43003 .43969 L closepath p F P
0 g
s
.742 .289 .176 r
.25792 .45112 m .43003 .43969 L .49871 .51984 L closepath p F P
0 g
s
.651 .757 .927 r
.25792 .45112 m .49871 .51984 L .39481 .58591 L closepath p F P
0 g
s
.67 .518 .67 r
.33664 .82736 m .39481 .58591 L .52308 .66216 L closepath p F P
0 g
s
.753 .326 .237 r
.35521 .69402 m .52308 .66216 L .39481 .58591 L closepath p F P
0 g
s
.029 0 0 r
.35521 .69402 m .39481 .58591 L .49871 .51984 L closepath p F P
0 g
s
.67 .518 .67 r
.82611 .39367 m .63863 .55978 L .579 .42238 L closepath p F P
0 g
s
.918 .779 .692 r
.45664 .27423 m .579 .42238 L .49871 .51984 L closepath p F P
0 g
s
.185 .256 .704 r
.68527 .40123 m .579 .42238 L .63863 .55978 L closepath p F P
0 g
s
.029 0 0 r
.68527 .40123 m .49871 .51984 L .579 .42238 L closepath p F P
0 g
s
.67 .518 .67 r
.73868 .79032 m .52308 .66216 L .63863 .55978 L closepath p F P
0 g
s
.124 0 .083 r
.62474 .66693 m .63863 .55978 L .52308 .66216 L closepath p F P
0 g
s
.115 .209 .685 r
.62474 .66693 m .52308 .66216 L .49871 .51984 L closepath p F P
0 g
s
.918 .779 .692 r
.35521 .69402 m .49871 .51984 L .52308 .66216 L closepath p F P
0 g
s
.651 .757 .927 r
.68527 .40123 m .63863 .55978 L .49871 .51984 L closepath p F P
0 g
s
.742 .289 .176 r
.62474 .66693 m .49871 .51984 L .63863 .55978 L closepath p F P
0 g
s
.25 Mabswid
.68538 0 m
.93948 .40631 L
s
.93948 .40631 m
1 .85355 L
s
1 .85355 m
.71506 .4883 L
s
.71506 .4883 m
.68538 0 L
s
.07192 .25073 m
0 .71646 L
s
0 .71646 m
.71506 .4883 L
s
.71506 .4883 m
.68538 0 L
s
.68538 0 m
.07192 .25073 L
s
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.678571 0.381216 0.97619 0.70428 MathSubStart
%% Graphics3D
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
-0.0844264 1.2109 3.64834e-017 1.2109 [
[ 0 0 0 0 ]
[ 1 1.1504 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.08676 .24213 m
0 .87494 L
s
0 .87494 m
.38254 1.1504 L
s
.38254 1.1504 m
.40225 .57033 L
s
.40225 .57033 m
.08676 .24213 L
s
.67488 0 m
.92568 .39615 L
s
.92568 .39615 m
1 1.00617 L
s
1 1.00617 m
.70966 .66123 L
s
.70966 .66123 m
.67488 0 L
s
.08676 .24213 m
0 .87494 L
s
0 .87494 m
.70966 .66123 L
s
.70966 .66123 m
.67488 0 L
s
.67488 0 m
.08676 .24213 L
s
.40225 .57033 m
.92568 .39615 L
s
.92568 .39615 m
1 1.00617 L
s
1 1.00617 m
.38254 1.1504 L
s
.38254 1.1504 m
.40225 .57033 L
s
0 0 m
1 0 L
1 1.1504 L
0 1.1504 L
closepath
clip
newpath
.5 Mabswid
.755 .669 .767 r
.57293 .65641 m .52102 .33433 L .25726 .56891 L closepath p F P
0 g
s
.596 .559 .783 r
.8283 .50453 m .52102 .33433 L .57293 .65641 L closepath p F P
0 g
s
.789 .578 .614 r
.57293 .65641 m .25726 .56891 L .38779 .89469 L closepath p F P
0 g
s
.493 .35 .614 r
.8283 .50453 m .57293 .65641 L .74952 .86104 L closepath p F P
0 g
s
.635 .366 .494 r
.74952 .86104 m .57293 .65641 L .38779 .89469 L closepath p F P
0 g
s
.842 .889 .873 r
.25726 .56891 m .52102 .33433 L .27705 .33255 L closepath p F P
0 g
s
.902 .859 .413 r
.25726 .56891 m .27705 .33255 L .18103 .71712 L closepath p F P
0 g
s
.946 .618 .376 r
.38779 .89469 m .25726 .56891 L .18103 .71712 L closepath p F P
0 g
s
.298 .551 .921 r
.66959 .28294 m .52102 .33433 L .8283 .50453 L closepath p F P
0 g
s
.3 .789 .892 r
.27705 .33255 m .52102 .33433 L .66959 .28294 L closepath p F P
0 g
s
.201 0 0 r
.52102 .92577 m .74952 .86104 L .38779 .89469 L closepath p F P
0 g
s
0 .381 .824 r
.52102 .92577 m .38779 .89469 L .18103 .71712 L closepath p F P
0 g
s
0 0 .085 r
.83414 .64883 m .8283 .50453 L .74952 .86104 L closepath p F P
0 g
s
.894 .505 .062 r
.66959 .28294 m .8283 .50453 L .83414 .64883 L closepath p F P
0 g
s
.835 .977 .881 r
.52102 .92577 m .83414 .64883 L .74952 .86104 L closepath p F P
0 g
s
.595 .28 .405 r
.27705 .33255 m .66959 .28294 L .45263 .5383 L closepath p F P
0 g
s
.402 .256 .566 r
.18103 .71712 m .27705 .33255 L .45263 .5383 L closepath p F P
0 g
s
.558 .549 .801 r
.52102 .92577 m .18103 .71712 L .45263 .5383 L closepath p F P
0 g
s
.809 .574 .582 r
.45263 .5383 m .66959 .28294 L .83414 .64883 L closepath p F P
0 g
s
.767 .693 .781 r
.52102 .92577 m .45263 .5383 L .83414 .64883 L closepath p F P
0 g
s
.25 Mabswid
.67488 0 m
.92568 .39615 L
s
.92568 .39615 m
1 1.00617 L
s
1 1.00617 m
.70966 .66123 L
s
.70966 .66123 m
.67488 0 L
s
.08676 .24213 m
0 .87494 L
s
0 .87494 m
.70966 .66123 L
s
.70966 .66123 m
.67488 0 L
s
.67488 0 m
.08676 .24213 L
s
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.0238095 0.736586 0.321429 1.05965 MathSubStart
%% Graphics3D
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
-0.0567234 1.16608 5.89806e-017 1.16608 [
[ 0 0 0 0 ]
[ 1 1.0855 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.08846 .24555 m
0 .80374 L
s
0 .80374 m
.40037 1.0855 L
s
.40037 1.0855 m
.41799 .58158 L
s
.41799 .58158 m
.08846 .24555 L
s
.67245 0 m
.92713 .41497 L
s
.92713 .41497 m
1 .94814 L
s
1 .94814 m
.70644 .58546 L
s
.70644 .58546 m
.67245 0 L
s
.08846 .24555 m
0 .80374 L
s
0 .80374 m
.70644 .58546 L
s
.70644 .58546 m
.67245 0 L
s
.67245 0 m
.08846 .24555 L
s
.41799 .58158 m
.92713 .41497 L
s
.92713 .41497 m
1 .94814 L
s
1 .94814 m
.40037 1.0855 L
s
.40037 1.0855 m
.41799 .58158 L
s
0 0 m
1 0 L
1 1.0855 L
0 1.0855 L
closepath
clip
newpath
.5 Mabswid
.672 .728 .891 r
.10855 .26104 m .42216 .58164 L .91022 .42206 L p F P
0 g
s
.938 .685 .528 r
.40598 1.06315 m .42216 .58164 L .10855 .26104 L p F P
0 g
s
.573 .367 .563 r
.42216 .58164 m .40598 1.06315 L .97657 .93008 L p F P
0 g
s
.573 .367 .563 r
.97657 .93008 m .91022 .42206 L .42216 .58164 L p F P
0 g
s
.672 .728 .891 r
.91022 .42206 m .66497 .02988 L .10855 .26104 L p F P
0 g
s
.973 .663 .31 r
.66497 .02988 m .91022 .42206 L .97657 .93008 L p F P
0 g
s
.938 .685 .528 r
.10855 .26104 m .02877 .79167 L .40598 1.06315 L p F P
0 g
s
.625 .78 .956 r
.97657 .93008 m .40598 1.06315 L .02877 .79167 L p F P
0 g
s
.5 .261 .485 r
.02877 .79167 m .10855 .26104 L .66497 .02988 L p F P
0 g
s
.973 .663 .31 r
.97657 .93008 m .6952 .58531 L .66497 .02988 L p F P
0 g
s
.625 .78 .956 r
.02877 .79167 m .6952 .58531 L .97657 .93008 L p F P
0 g
s
.5 .261 .485 r
.66497 .02988 m .6952 .58531 L .02877 .79167 L p F P
0 g
s
.25 Mabswid
.67245 0 m
.92713 .41497 L
s
.92713 .41497 m
1 .94814 L
s
1 .94814 m
.70644 .58546 L
s
.70644 .58546 m
.67245 0 L
s
.08846 .24555 m
0 .80374 L
s
0 .80374 m
.70644 .58546 L
s
.70644 .58546 m
.67245 0 L
s
.67245 0 m
.08846 .24555 L
s
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.35119 0.736586 0.64881 1.05965 MathSubStart
%% Graphics3D
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
-0.0206914 1.08755 -1.38236e-017 1.08755 [
[ 0 0 0 0 ]
[ 1 1.00162 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.07192 .25073 m
0 .71646 L
s
0 .71646 m
.38643 1.00162 L
s
.38643 1.00162 m
.40217 .57872 L
s
.40217 .57872 m
.07192 .25073 L
s
.68538 0 m
.93948 .40631 L
s
.93948 .40631 m
1 .85355 L
s
1 .85355 m
.71506 .4883 L
s
.71506 .4883 m
.68538 0 L
s
.07192 .25073 m
0 .71646 L
s
0 .71646 m
.71506 .4883 L
s
.71506 .4883 m
.68538 0 L
s
.68538 0 m
.07192 .25073 L
s
.40217 .57872 m
.93948 .40631 L
s
.93948 .40631 m
1 .85355 L
s
1 .85355 m
.38643 1.00162 L
s
.38643 1.00162 m
.40217 .57872 L
s
0 0 m
1 0 L
1 1.00162 L
0 1.00162 L
closepath
clip
newpath
.5 Mabswid
.67 .732 .896 r
.33115 .32429 m .44491 .44907 L .65615 .42467 L p F P
0 g
s
.889 .75 .702 r
.44491 .44907 m .33115 .32429 L p .24235 .68284 L F P
0 g
s
.889 .75 .702 r
.24235 .68284 m .39521 .65616 L .44491 .44907 L p F P
0 g
s
.675 .526 .675 r
.44491 .44907 m .39521 .65616 L .57791 .76621 L p F P
0 g
s
.675 .526 .675 r
.65615 .42467 m .44491 .44907 L p .57791 .76621 L F P
0 g
s
.762 .372 .314 r
.39521 .65616 m .24235 .68284 L p .56015 .87859 L F P
0 g
s
.762 .372 .314 r
.56015 .87859 m .57791 .76621 L .39521 .65616 L p F P
0 g
s
.67 .732 .896 r
.48589 .20782 m .33115 .32429 L p .65615 .42467 L F P
0 g
s
.67 .732 .896 r
.65615 .42467 m .69731 .27878 L .48589 .20782 L p F P
0 g
s
.675 .526 .675 r
.57791 .76621 m .74263 .62049 L .65615 .42467 L p F P
0 g
s
.273 .313 .722 r
.65615 .42467 m .74263 .62049 L .85199 .62068 L p F P
0 g
s
.273 .313 .722 r
.69731 .27878 m .65615 .42467 L p .85199 .62068 L F P
0 g
s
.244 0 .208 r
.57791 .76621 m .56015 .87859 L .73868 .79032 L p F P
0 g
s
.244 0 .208 r
.74263 .62049 m .57791 .76621 L p .73868 .79032 L F P
0 g
s
.244 0 .208 r
.73868 .79032 m .85199 .62068 L .74263 .62049 L p F P
0 g
s
.889 .75 .702 r
.33115 .32429 m .19481 .46702 L .24235 .68284 L p F P
0 g
s
0 0 0 r
.33115 .32429 m .48589 .20782 L p .25792 .45112 L F P
0 g
s
0 0 0 r
.25792 .45112 m .19481 .46702 L .33115 .32429 L p F P
0 g
s
.762 .372 .314 r
.24235 .68284 m .33664 .82736 L .56015 .87859 L p F P
0 g
s
0 .109 .635 r
.33664 .82736 m .24235 .68284 L .19481 .46702 L p F P
0 g
s
.273 .313 .722 r
.85199 .62068 m .82611 .39367 L .69731 .27878 L p F P
0 g
s
.709 .208 .046 r
.69731 .27878 m .82611 .39367 L .68527 .40123 L p F P
0 g
s
.709 .208 .046 r
.48589 .20782 m .69731 .27878 L p .68527 .40123 L F P
0 g
s
.633 .775 .949 r
.73868 .79032 m .56015 .87859 L .33664 .82736 L p F P
0 g
s
0 .109 .635 r
.19481 .46702 m .25792 .45112 L p .33664 .82736 L F P
0 g
s
.939 .801 .68 r
.82611 .39367 m .85199 .62068 L .73868 .79032 L p F P
0 g
s
.709 .208 .046 r
.68527 .40123 m .45664 .27423 L .48589 .20782 L p F P
0 g
s
0 0 0 r
.48589 .20782 m .45664 .27423 L .25792 .45112 L p F P
0 g
s
0 .109 .635 r
.25792 .45112 m .35521 .69402 L .33664 .82736 L p F P
0 g
s
.633 .775 .949 r
.33664 .82736 m .35521 .69402 L p .73868 .79032 L F P
0 g
s
.939 .801 .68 r
.68527 .40123 m .82611 .39367 L p .73868 .79032 L F P
0 g
s
.939 .801 .68 r
.73868 .79032 m .62474 .66693 L .68527 .40123 L p F P
0 g
s
.633 .775 .949 r
.35521 .69402 m .62474 .66693 L .73868 .79032 L p F P
0 g
s
.666 .512 .666 r
.62474 .66693 m .35521 .69402 L .25792 .45112 L p F P
0 g
s
.666 .512 .666 r
.68527 .40123 m .62474 .66693 L p .25792 .45112 L F P
0 g
s
.666 .512 .666 r
.25792 .45112 m .45664 .27423 L .68527 .40123 L p F P
0 g
s
.25 Mabswid
.68538 0 m
.93948 .40631 L
s
.93948 .40631 m
1 .85355 L
s
1 .85355 m
.71506 .4883 L
s
.71506 .4883 m
.68538 0 L
s
.07192 .25073 m
0 .71646 L
s
0 .71646 m
.71506 .4883 L
s
.71506 .4883 m
.68538 0 L
s
.68538 0 m
.07192 .25073 L
s
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.678571 0.736586 0.97619 1.05965 MathSubStart
%% Graphics3D
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
-0.0844264 1.2109 3.64834e-017 1.2109 [
[ 0 0 0 0 ]
[ 1 1.1504 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.08676 .24213 m
0 .87494 L
s
0 .87494 m
.38254 1.1504 L
s
.38254 1.1504 m
.40225 .57033 L
s
.40225 .57033 m
.08676 .24213 L
s
.67488 0 m
.92568 .39615 L
s
.92568 .39615 m
1 1.00617 L
s
1 1.00617 m
.70966 .66123 L
s
.70966 .66123 m
.67488 0 L
s
.08676 .24213 m
0 .87494 L
s
0 .87494 m
.70966 .66123 L
s
.70966 .66123 m
.67488 0 L
s
.67488 0 m
.08676 .24213 L
s
.40225 .57033 m
.92568 .39615 L
s
.92568 .39615 m
1 1.00617 L
s
1 1.00617 m
.38254 1.1504 L
s
.38254 1.1504 m
.40225 .57033 L
s
0 0 m
1 0 L
1 1.1504 L
0 1.1504 L
closepath
clip
newpath
.5 Mabswid
.664 .74 .907 r
.47098 .54482 m .25726 .56891 L .57293 .65641 L closepath p F P
0 g
s
.899 .76 .699 r
.47098 .54482 m .57293 .65641 L .52102 .33433 L closepath p F P
0 g
s
.664 .74 .907 r
.60575 .52962 m .57293 .65641 L .8283 .50453 L closepath p F P
0 g
s
.225 .282 .713 r
.60575 .52962 m .52102 .33433 L .57293 .65641 L closepath p F P
0 g
s
.899 .76 .699 r
.43953 .67708 m .38779 .89469 L .57293 .65641 L closepath p F P
0 g
s
.758 .347 .272 r
.43953 .67708 m .57293 .65641 L .25726 .56891 L closepath p F P
0 g
s
.225 .282 .713 r
.65966 .65389 m .57293 .65641 L .74952 .86104 L closepath p F P
0 g
s
.179 0 .14 r
.65966 .65389 m .8283 .50453 L .57293 .65641 L closepath p F P
0 g
s
.179 0 .14 r
.55567 .746 m .57293 .65641 L .38779 .89469 L closepath p F P
0 g
s
.758 .347 .272 r
.55567 .746 m .74952 .86104 L .57293 .65641 L closepath p F P
0 g
s
.673 .523 .674 r
.47098 .54482 m .52102 .33433 L .25726 .56891 L closepath p F P
0 g
s
0 0 0 r
.40156 .46883 m .25726 .56891 L .52102 .33433 L closepath p F P
0 g
s
.664 .74 .907 r
.40156 .46883 m .27705 .33255 L .25726 .56891 L closepath p F P
0 g
s
.673 .523 .674 r
.43953 .67708 m .25726 .56891 L .38779 .89469 L closepath p F P
0 g
s
.06 .172 .668 r
.34772 .6913 m .38779 .89469 L .25726 .56891 L closepath p F P
0 g
s
.758 .347 .272 r
.34772 .6913 m .25726 .56891 L .18103 .71712 L closepath p F P
0 g
s
0 0 0 r
.32162 .55883 m .18103 .71712 L .25726 .56891 L closepath p F P
0 g
s
.06 .172 .668 r
.32162 .55883 m .25726 .56891 L .27705 .33255 L closepath p F P
0 g
s
.673 .523 .674 r
.60575 .52962 m .8283 .50453 L .52102 .33433 L closepath p F P
0 g
s
.731 .259 .127 r
.62838 .44216 m .52102 .33433 L .8283 .50453 L closepath p F P
0 g
s
.225 .282 .713 r
.62838 .44216 m .66959 .28294 L .52102 .33433 L closepath p F P
0 g
s
0 0 0 r
.49846 .40163 m .52102 .33433 L .66959 .28294 L closepath p F P
0 g
s
.899 .76 .699 r
.40156 .46883 m .52102 .33433 L .27705 .33255 L closepath p F P
0 g
s
.731 .259 .127 r
.49846 .40163 m .27705 .33255 L .52102 .33433 L closepath p F P
0 g
s
.899 .76 .699 r
.34772 .6913 m .18103 .71712 L .38779 .89469 L closepath p F P
0 g
s
.673 .523 .674 r
.55567 .746 m .38779 .89469 L .74952 .86104 L closepath p F P
0 g
s
.644 .764 .935 r
.40957 .77497 m .38779 .89469 L .18103 .71712 L closepath p F P
0 g
s
.644 .764 .935 r
.54355 .80889 m .74952 .86104 L .38779 .89469 L closepath p F P
0 g
s
.179 0 .14 r
.54355 .80889 m .38779 .89469 L .52102 .92577 L closepath p F P
0 g
s
.06 .172 .668 r
.40957 .77497 m .52102 .92577 L .38779 .89469 L closepath p F P
0 g
s
.673 .523 .674 r
.65966 .65389 m .74952 .86104 L .8283 .50453 L closepath p F P
0 g
s
.664 .74 .907 r
.62838 .44216 m .8283 .50453 L .66959 .28294 L closepath p F P
0 g
s
.926 .788 .688 r
.72064 .65212 m .8283 .50453 L .74952 .86104 L closepath p F P
0 g
s
.179 0 .14 r
.72064 .65212 m .83414 .64883 L .8283 .50453 L closepath p F P
0 g
s
.731 .259 .127 r
.7018 .5159 m .8283 .50453 L .83414 .64883 L closepath p F P
0 g
s
.926 .788 .688 r
.7018 .5159 m .66959 .28294 L .8283 .50453 L closepath p F P
0 g
s
.225 .282 .713 r
.72064 .65212 m .74952 .86104 L .83414 .64883 L closepath p F P
0 g
s
.758 .347 .272 r
.54355 .80889 m .52102 .92577 L .74952 .86104 L closepath p F P
0 g
s
.926 .788 .688 r
.64841 .75113 m .74952 .86104 L .52102 .92577 L closepath p F P
0 g
s
.644 .764 .935 r
.64841 .75113 m .83414 .64883 L .74952 .86104 L closepath p F P
0 g
s
.899 .76 .699 r
.32162 .55883 m .27705 .33255 L .18103 .71712 L closepath p F P
0 g
s
.664 .74 .907 r
.49846 .40163 m .66959 .28294 L .27705 .33255 L closepath p F P
0 g
s
.758 .347 .272 r
.40957 .77497 m .18103 .71712 L .52102 .92577 L closepath p F P
0 g
s
.225 .282 .713 r
.7018 .5159 m .83414 .64883 L .66959 .28294 L closepath p F P
0 g
s
.179 0 .14 r
.64841 .75113 m .52102 .92577 L .83414 .64883 L closepath p F P
0 g
s
.731 .259 .127 r
.48251 .44919 m .45263 .5383 L .27705 .33255 L closepath p F P
0 g
s
.668 .516 .669 r
.48251 .44919 m .27705 .33255 L .66959 .28294 L closepath p F P
0 g
s
.06 .172 .668 r
.36717 .55169 m .27705 .33255 L .45263 .5383 L closepath p F P
0 g
s
.668 .516 .669 r
.36717 .55169 m .18103 .71712 L .27705 .33255 L closepath p F P
0 g
s
0 0 0 r
.36717 .55169 m .45263 .5383 L .18103 .71712 L closepath p F P
0 g
s
.644 .764 .935 r
.42473 .69164 m .18103 .71712 L .45263 .5383 L closepath p F P
0 g
s
.668 .516 .669 r
.42473 .69164 m .52102 .92577 L .18103 .71712 L closepath p F P
0 g
s
0 0 0 r
.48251 .44919 m .66959 .28294 L .45263 .5383 L closepath p F P
0 g
s
.668 .516 .669 r
.61392 .5238 m .66959 .28294 L .83414 .64883 L closepath p F P
0 g
s
.926 .788 .688 r
.61392 .5238 m .45263 .5383 L .66959 .28294 L closepath p F P
0 g
s
.06 .172 .668 r
.42473 .69164 m .45263 .5383 L .52102 .92577 L closepath p F P
0 g
s
.731 .259 .127 r
.61392 .5238 m .83414 .64883 L .45263 .5383 L closepath p F P
0 g
s
.668 .516 .669 r
.57886 .67552 m .83414 .64883 L .52102 .92577 L closepath p F P
0 g
s
.644 .764 .935 r
.57886 .67552 m .45263 .5383 L .83414 .64883 L closepath p F P
0 g
s
.926 .788 .688 r
.57886 .67552 m .52102 .92577 L .45263 .5383 L closepath p F P
0 g
s
.25 Mabswid
.67488 0 m
.92568 .39615 L
s
.92568 .39615 m
1 1.00617 L
s
1 1.00617 m
.70966 .66123 L
s
.70966 .66123 m
.67488 0 L
s
.08676 .24213 m
0 .87494 L
s
0 .87494 m
.70966 .66123 L
s
.70966 .66123 m
.67488 0 L
s
.67488 0 m
.08676 .24213 L
s
MathSubEnd
P
% End of sub-graphic
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[33]:=",
  ImageSize->{200.313, 217.438},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000380000fB000`400?l00000o`00003ob03oool0
0<P0oooo00380?ooo`00b03oool00<P0oooo000[0?ooo`800000P03oool2000001T0oooo000Y0?oo
o`80000000<0oooo000000000000O@3oool2000000030?ooo`000000000001P0oooo000W0?ooo`80
00000`3oool2000007/0oooo0P0000030?ooo`800000603oool002@0oooo0`0000050?ooo`030000
003oool0000003l0oooo0P00000f0?ooo`<000001@3oool00`000000oooo0000000G0?ooo`008P3o
ool2000000P0oooo00<000000?ooo`000000?@3oool5000003<0oooo0P0000080?ooo`040000003o
ool0oooo000001H0oooo000P0?ooo`8000002P3oool010000000oooo0?ooo`00000i0?ooo`@00000
00@0TfbS0000000000000000<@3oool2000000X0oooo00@000000?ooo`3oool000005P3oool001d0
oooo0`00000<0?ooo`050000003oool0oooo0?ooo`000000=P3oool400000080TfbS0`0000000`3o
ool000000?ooo`0/0?ooo`<00000303oool01@000000oooo0?ooo`3oool0000001D0oooo000K0?oo
o`8000003`3oool01@000000oooo0?ooo`3oool0000003<0oooo1@00000409=/X`<000000P3oool0
0`000000oooo0?ooo`0X0?ooo`8000003`3oool01@000000oooo0?ooo`3oool0000001D0oooo000I
0?ooo`8000004@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo02h0oooo10000007
09=/X`<000000P3oool00`000000oooo0?ooo`0U0?ooo`<000004@3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo0180oooo000F0?ooo`<00000503oool01@000000oooo0?ooo`3oool0
000002d0oooo1@00000809=/X`80000000<0oooo0000003oool00P3oool00`000000oooo0?ooo`0R
0?ooo`800000503oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0140oooo000D0?oo
o`8000005`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo02P0oooo1@00000:09=/
X`80000000<0oooo0000003oool00P3oool00`000000oooo0?ooo`0P0?ooo`8000005`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo0140oooo000B0?ooo`8000006@3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo02D0oooo1000000=09=/X`8000000P3oool01@000000
oooo0?ooo`3oool0000001h0oooo0`00000I0?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool0403oool000l0oooo0`00000K0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool08P3oool5000000l0TfbS0P0000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool06@3oool2000001`0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0?0?ooo`00
3@3oool2000001h0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0O0?ooo`D00000
402CK:<00`000000k^R4000000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
5`3oool2000001h0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0?0?ooo`002`3o
ool200000200oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0L0?ooo`D000004`2C
K:<00`000000k^R4000000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0503o
ool200000200oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0>0?ooo`002@3oool2
00000280oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0I0?ooo`80000000<0oooo
0000000000005@2CK:<00`000000k^R4000000020?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool04`3oool200000200oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0=
0?ooo`002@3oool200000280oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0E0?oo
o`H000005P2CK:<010000000k^R40>kXQ00000020?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool04`3oool00`000000oooo0000000N0?ooo`800000203oool00`000000oooo0?ooo`0=
0?ooo`002@3oool00`000000oooo0000000Q0?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool04`3oool2000000030?ooo`000000000001T0TfbS00@000000>kXQ03^j8@000000P3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo0180oooo00@000000?ooo`3oool000006`3o
ool4000000T0oooo00<000000?ooo`3oool0303oool000T0oooo00@000000?ooo`3oool00000803o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0100oooo0P0000000`3oool000000000
000K09=/X`030000003^j8@0000000<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`0@0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool05`3oool2000000030:^4Z`00
0000000000T0oooo00<000000?ooo`3oool0303oool000P0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0403oool3
000001`0TfbS00@000000>kXQ03^j8@000000`3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo0100oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`800000303o
ool01@000000oooo0?ooo`3oool000000080ZhB[0`00000:0?ooo`030000003oool0oooo00/0oooo
00080?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0703oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00l0oooo00<000000?ooo`000000702CK:<010000000k^R40>kX
Q00000030?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool03`3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo0080oooo1@0000080?ooo`030000002k@R00000000800000
0`2[Q:/00`000000kLV`0000000;0?ooo`030000003oool0oooo00X0oooo00080?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0403oool3000000P0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`0=0?ooo`050000003oool0oooo0?ooo`0000006`2CK:<010000000k^R4
0>kXQ00000030?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool03`3oool00`000000
oooo0?ooo`050?ooo`040000003oool0oooo0?ooo`80000000<0ZhB[0000000000000`0000040?oo
o`80000000<0^d8P000000000000102[Q:/00`000000kLV`0000000;0?ooo`030000003oool0oooo
00X0oooo00080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0303oool3000000<0
SP400P0000060?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool03@3oool01@000000
oooo0?ooo`3oool0000001X0TfbS00D000000>kXQ03^j8@0k^R4000000030?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo008000000`2[Q:/2000000030;]280000000000000H000001@2[Q:/00`000000kLV`0000000;
0?ooo`8000002`3oool000P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?oo
o`@00000202>0@02000000@0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0<0?oo
o`030000003oool0oooo0080oooo00<0000009=/X`2CK:<05`2CK:<01@000000k^R40>kXQ03^j8@0
000000<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool00P0000040:^4Z`8000000P2k@R04000000D0ZhB[00@00000
0>g9/03]bK000000203oool3000000030?ooo`000000oooo00X0oooo00080?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool0103oool3000000d0SP400P0000020?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`030?ooo`030000002CK:<0
TfbS01H0TfbS00D000000>kXQ03^j8@0k^R4000000030?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool03@3oool00`000000oooo0?ooo`080?ooo`040000003oool00000000000H0ZhB[
100000070:^4Z`040000003]bK00kLV`000000D0oooo0`0000040?ooo`030000003oool0oooo00T0
oooo00070?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000`Yjd
0<:N]006000000T0SP400`00000<0?ooo`8000003@3oool00`000000oooo0?ooo`040?ooo`030000
002CK:<0TfbS01@0TfbS00<000000>kXQ03^j8@00P3^j8@01@000000oooo0?ooo`3oool0000000/0
oooo0P00000=0?ooo`030000003oool0oooo00X0oooo0`0000080:^4Z`030000002[Q:/0ZhB[00H0
ZhB[00@000000>g9/03]bK0000000P3oool3000000L0oooo00<000000?ooo`3oool02@3oool000L0
oooo00<000000?ooo`3oool02P3oool01`000000oooo0?ooo`3oool0000004aJ`00000001`32W[@5
000000H0SP400`0000070?ooo`<0000000<0oooo0000003oool0303oool00`000000oooo0?ooo`05
0?ooo`030000002CK:<0TfbS01<0TfbS00<000000>kXQ03^j8@00P3^j8@00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00D0oooo0`0000000`3oool000000?ooo`0<0?ooo`030000003oool0
oooo00/0oooo00<0000000l/Z`0000001P2[Q:/4000000H0ZhB[00<000000>g9/03]bK000`00000:
0?ooo`030000003oool0oooo00T0oooo00070?ooo`030000003oool0oooo00/0oooo00H000000?oo
o`3oool0000004aJ`000000<0<:N]0H0000000<0SP400000002>0@000P0000020?ooo`<00000103o
ool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00L0oooo00<0000009=/X`2CK:<04P2C
K:<01@000000k^R40>kXQ03^j8@0000000D0oooo00<000000?ooo`3oool00P3oool3000000@0oooo
00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0;0?ooo`030000000?;:/0000000D0ZhB[
0`0000020;]280030000002[Q:/0ZhB[00<0ZhB[00<000000>g9/03]bK001000000:0?ooo`030000
003oool0oooo00P0oooo00070?ooo`030000003oool0oooo00`0oooo00D000000?ooo`000000C5[0
0000000B0<:N]0L000001`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00L0oooo
00<0000009=/X`2CK:<04P2CK:<01@000000k^R40>kXQ03^j8@0000000D0oooo00<000000?ooo`00
00000P0000070?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool02`3oool010000000
3bb[00l/Z`0000030:^4Z`<00000102k@R0200000080ZhB[00<000000>g9/03]bK000P3]bK000`00
0000^d8P0;]28003000000L0oooo00<000000?ooo`3oool0203oool000L0oooo00<000000?ooo`3o
ool03@3oool01@000000C5[004aJ`01<F/0000000180`Yjd00<000000<:N]032W[@00P32W[@30000
00H0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`080?ooo`030000002CK:<0TfbS
0100TfbS00<000000>kXQ03^j8@00P3^j8@00`000000oooo0?ooo`020?ooo`<000002`3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo00`0oooo00<0000000l/Z`0000000P2[Q:/40000
00H0^d8P0`0000020>g9/0X000001@3oool00`000000oooo0?ooo`080?ooo`001`3oool00`000000
oooo0?ooo`0=0?ooo`050000001<F/00C5[004aJ`00000004P32W[@00`000000`Yjd0<:N]0030<:N
]0030000003oool0oooo00D0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`090?oo
o`030000002CK:<0TfbS00l0TfbS00<000000>kXQ03^j8@00P3^j8@00`000000oooo000000020000
00030?ooo`000000oooo00/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0<0?oo
o`030000000?;:/03bb[014000000P2k@R02000000@0kLV`00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`080?ooo`001`3oool00`000000oooo0?ooo`0=0?ooo`050000001<F/00C5[004aJ
`00000004P32W[@00`000000`Yjd0<:N]0020<:N]08000001`3oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo00X0oooo00<0000009=/X`2CK:<03P2CK:<00`000000k^R40>kXQ0020>kX
Q0800000103oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool02P3oool30000000300l/Z`0000000000008000000P0?;:/2000000L0kLV`0`0000020;]2
80030000002k@R0000000080kLV`00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?oo
o`001P3oool00`000000oooo0?ooo`0=0?ooo`030000001<F/00C5[000<0C5[000<000000<:N]032
W[@03`32W[@00`000000`Yjd0<:N]0020<:N]0030000003oool0oooo00H0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`0<0?ooo`030000002CK:<0TfbS00`0TfbS00<000000>kXQ03^
j8@00P3^j8@00`000000oooo0?ooo`040?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`0:0?ooo`L00000100?;:/00`000000Y<?_000000050>g9/004
0000002[Q:/0ZhB[0:^4Z`<000000P2k@R000`000000kLV`000000070?ooo`030000003oool0oooo
00P0oooo00060?ooo`030000003oool0oooo00d0oooo00<0000004aJ`01<F/000`1<F/000`000000
`Yjd0<:N]00?0<:N]00400000032W[@0`Yjd0<:N]0800000203oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo00`0oooo00<0000009=/X`2CK:<0302CK:<00`000000k^R40>kXQ0020>kX
Q0030000003oool0oooo00<0oooo0P00000<0?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool02`3oool400000080ZhB[00@0000000l/Z`0?;:/000000`2T`nl00`000000kLV`0>g9/002
0>g9/0030000002[Q:/0ZhB[00<0ZhB[00<000000;]2802k@R000P0000080?ooo`030000003oool0
oooo00P0oooo00060?ooo`030000003oool0oooo00d0oooo00<0000004aJ`01<F/00101<F/000`00
0000`Yjd0<:N]00>0<:N]00300000032W[@0`Yjd008000002@3oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo00d0oooo00<0000009=/X`2CK:<02`2CK:<01@000000k^R40>kXQ03^j8@0
00000080oooo100000020?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`0;0?ooo`<000000`2[Q:/0100000003bb[00l/Z`0000030:C3k`030000003]
bK00kLV`0080kLV`00<000000:^4Z`2[Q:/00`2[Q:/3000000030;]280000000oooo00L0oooo00<0
00000?ooo`3oool0203oool000H0oooo00<000000?ooo`3oool03@3oool00`000000C5[004aJ`004
04aJ`00300000032W[@0`Yjd00d0`Yjd0P0000000`32W[@000000000000;0?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool03P3oool00`000000TfbS09=/X`0909=/X`040000003^j8@0
k^R40>kXQ0@000001`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool02P3oool3000000@0ZhB[00@0000000l/Z`0?;:/00000102T`nl01@000000kLV`
0>g9/03]bK00000000D0ZhB[00<000000:^4Z`2[Q:/00`0000070?ooo`030000003oool0oooo00P0
oooo00060?ooo`030000003oool0oooo00`0oooo00<0000004aJ`01<F/001@1<F/000`000000`Yjd
0<:N]00:0<:N]0<000000P32W[@3000000/0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`0?0?ooo`030000002CK:<0TfbS00P0TfbS00<000000>kXQ00000000P00000:0?ooo`030000
003oool0oooo00T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`<00000
1P2[Q:/00`0000003bb[000000050:C3k`030000003]bK00000000H0ZhB[00<000000:^4Z`2[Q:/0
0P2[Q:/2000000L0oooo00<000000?ooo`3oool01`3oool000H0oooo00<000000?ooo`3oool0303o
ool00`000000C5[004aJ`00604aJ`00300000032W[@0`Yjd00D0`Yjd100000050<:N]0800000303o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0100oooo00<0000009=/X`2CK:<01@2C
K:<4000000030>kXQ0000000oooo00/0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00T0oooo00<000000:^4Z`2[Q:/01P2[Q:/2000000L0Y<?_0P00
00050:^4Z`T000001P3oool00`000000oooo0?ooo`070?ooo`001P3oool00`000000oooo0?ooo`0<
0?ooo`030000001<F/00C5[000H0C5[000<000000<:N]032W[@00P32W[@3000000P0`Yjd00<00000
0;K/UP000000303oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0140oooo00<00000
09=/X`2CK:<00P2CK:<30000000509=/X`000000k^R40>kXQ00000003P3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0203oool00`000000ZhB[0:^4
Z`080:^4Z`030000002T`nl0Y<?_0080Y<?_3@0000030:C3k`8000001`3oool00`000000oooo0?oo
o`070?ooo`001@3oool00`000000oooo0?ooo`0<0?ooo`030000001<F/00C5[000L0C5[000<00000
0<:N]00000000P00000:0<:N]0050000002fk9H000000?ooo`0000002`3oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo0180oooo1000000409=/X`040000003^j8@0k^R4000000l0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00P0oooo
00<000000:^4Z`2[Q:/00`2[Q:/;000000<0ZhB[100000060:C3k`<000002@3oool00`000000oooo
0?ooo`070?ooo`001@3oool00`000000oooo0?ooo`0<0?ooo`030000001<F/00C5[000H0C5[00`00
000<0<:N]0030000002fk9H0000000<0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00l0oooo1@00000609=/X`030000003^j8@000000140oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo1`00
00060:C3k`030000002[Q:/0ZhB[0080ZhB[0`000000102[Q:/000000>g9/00000050:C3k`800000
2`3oool00`000000oooo0?ooo`070?ooo`001@3oool00`000000oooo0?ooo`0=0?ooo`030000001<
F/00C5[00080C5[00`00000204aJ`00300000032W[@0`Yjd00X0`Yjd00<000000;K/UP000000103o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0303o
ool3000000@0oooo0P00000509=/X`8000004P3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool02@3oool3000000P0Y<?_1@0000030:^4Z`050000003]
bK00kLV`0>g9/00000000P2T`nl3000000030?ooo`000000oooo00T0oooo00<000000?ooo`3oool0
1`3oool000D0oooo00<000000?ooo`3oool03P3oool4000000D0C5[000<000000<:N]032W[@02@32
W[@00`000000]^bF000000060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`080?ooo`@000001`3oool00`000000oooo0000000309=/X`030000003^
j8@0000001<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo00`0oooo0`0000030:C3k`@000001P2[Q:/00`000000kLV`0>g9/0020>g9/08000000P3]
bK0010000000oooo0?ooo`0000090?ooo`030000003oool0oooo00L0oooo00050?ooo`030000003o
ool0oooo00/0oooo0`0000020?ooo`030000001<F/00C5[000D0C5[000<000000<:N]032W[@01`32
W[@010000000]^bF0;K/UP0000070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`050?ooo`<000002`3oool010000000oooo0?ooo`00000209=/X`80
00005@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool03`3oool3000000050:C3k`0000003bb[00l/Z`0000001@2[Q:/01`000000kLV`0>g9/03]bK00
00000:C3k`0000000`3]bK0010000000oooo0?ooo`0000080?ooo`030000003oool0oooo00L0oooo
00050?ooo`030000003oool0oooo00P0oooo0`0000060?ooo`030000001<F/00C5[000@0C5[000<0
00000<:N]032W[@01P32W[@010000000]^bF0;K/UP0000080?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`<000003P3oool010000000oooo
0?ooo`00000209=/X`030000003oool0oooo01D0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00`0oooo0`0000020?ooo`<000000P0?;:/00`000000
ZhB[0:^4Z`030:^4Z`050000003]bK00kLV`0>g9/00000000P2T`nl010000000kLV`0>g9/0000003
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool000@0oooo00<000000?oo
o`3oool01P3oool3000000X0oooo00<0000004aJ`01<F/000`1<F/000`000000`Yjd0<:N]0050<:N
]0040000002fk9H0]^bF000000X0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0000000<000004@3oool010000000oooo0?ooo`3oool3000001P0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00P0oooo1000
00050?ooo`040000000?;:/00000000000803bb[00D000000:^4Z`2[Q:/0ZhB[000000030>g9/005
0000002T`nl0Y<?_0:C3k`0000000P3]bK001@000000oooo0?ooo`3oool0000000P0oooo00<00000
0?ooo`3oool01P3oool000@0oooo00<000000?ooo`3oool00P3oool4000000h0oooo0P00000404aJ
`00300000032W[@0`Yjd00@0`Yjd00<000000;K/UP000000303oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo0P00000E0?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool05`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool01P3oool3000000T0oooo00L0000000l/Z`000000Y<?_0000000?;:/0000000<0ZhB[00@0
00000>g9/03]bK0000001@2T`nl00`000000kLV`000000040?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool01P3oool000@0oooo00<000000?ooo`0000000P00000D0?ooo`050000001<
F/00C5[004aJ`00000001@32W[@00`000000]^bF0000000>0?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool01@3oool2000001@0oooo00<000000?ooo`3oool07@3oool01@000000oooo
0?ooo`3oool0000000L0oooo00<000000?ooo`3oool00`3oool3000000`0oooo0P0000030:C3k`03
0000000?;:/000000080ZhB[00<000000>g9/00000001P0000000`2T`nl00000000000050?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool01P3oool000@0oooo0P00000G0?ooo`800000
0`1<F/0010000000`Yjd0<:N]032W[@300000100oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool07P3oool010000000
oooo0?ooo`0000070?ooo`030000003oool0000000<00000403oool01`000000Y<?_0:C3k`2T`nl0
000000l/Z`0000000P2[Q:/00`000000kLV`000000060?ooo`<000001P3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo00H0oooo00050?ooo`8000005P3oool00`000000oooo00000002
04aJ`00300000032W[@0`Yjd008000004P3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0
000000L0oooo0P00000D0?ooo`090000002T`nl000000000003oool0000000l/Z`000000ZhB[0080
00004@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00H0oooo00070?ooo`030000
003oool0oooo0180oooo00@000000?ooo`3oool0oooo0`0000020<:N]0030000003oool0oooo0180
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`080?ooo`8000003`3oool00`000000
oooo0?ooo`0Q0?ooo`030000003oool0000000L0oooo0P00000C0?ooo`800000103oool400000180
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`060?ooo`00203oool00`000000oooo
0?ooo`0A0?ooo`030000003oool0oooo00<0oooo0`00000F0?ooo`050000003oool0oooo0?ooo`00
0000303oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo0240oooo00<000000?ooo`00
00002@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00@0oooo0`00000C0?ooo`05
0000003oool0oooo0?ooo`000000203oool000T0oooo0P00000A0?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool05P3oool010000000oooo0?ooo`00000=0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool08P3oool2000000X0oooo00<000000?ooo`3oool03`3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo01<0oooo00@000000?ooo`3oool00000203oool0
00/0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0N0?ooo`030000003oool00000
00h0oooo0P00000;0?ooo`030000003oool0oooo0240oooo0`00000;0?ooo`8000003`3oool00`00
0000oooo0?ooo`0L0?ooo`040000003oool0oooo000000L0oooo000<0?ooo`8000003P3oool00`00
0000oooo0?ooo`0O0?ooo`030000003oool0000000l0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`0M0?ooo`@00000403oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo
01d0oooo00<000000?ooo`0000001`3oool000h0oooo00<000000?ooo`3oool02`3oool00`000000
oooo0?ooo`0O0?ooo`030000003oool000000100oooo0P0000080?ooo`030000003oool0oooo01T0
oooo1000000E0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool07@3oool00`000000
oooo000000070?ooo`003`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0200oooo
0P00000B0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool05@3oool4000001X0oooo
0P00000;0?ooo`030000003oool0oooo01h0oooo0P0000070?ooo`00403oool2000000X0oooo00<0
00000?ooo`3oool07`3oool3000001<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`0A0?ooo`@00000803oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo01d0oooo0`00
00070?ooo`004P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo01/0oooo1000000G
0?ooo`800000103oool00`000000oooo0?ooo`0<0?ooo`D000009@3oool2000000P0oooo00<00000
0?ooo`3oool06@3oool4000000X0oooo000C0?ooo`8000001`3oool00`000000oooo0?ooo`0F0?oo
o`D000007@3oool01@000000oooo0?ooo`3oool0000000X0oooo1000000/0?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool05@3oool4000000h0oooo000E0?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool04P3oool4000002<0oooo00@000000?ooo`3oool000001P3oool4
00000340oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0A0?ooo`@000004P3oool0
01H0oooo0P0000040?ooo`030000003oool0oooo00d0oooo1@00000X0?ooo`<000000P3oool40000
03H0oooo0P0000040?ooo`030000003oool0oooo00`0oooo1@00000F0?ooo`00603oool01@000000
oooo0?ooo`3oool0000000/0oooo1000000_0?ooo`<00000?03oool01@000000oooo0?ooo`3oool0
000000X0oooo1000000K0?ooo`006@3oool010000000oooo0?ooo`0000060?ooo`D00000L`3oool0
10000000oooo0?ooo`0000060?ooo`@000007`3oool001X0oooo0`0000020?ooo`@00000N@3oool3
00000080oooo1000000S0?ooo`00703oool3000007l0oooo0`00000W0?ooo`00b03oool00<P0oooo
00380?ooo`00b03oool00<P0oooo000[0?ooo`800000P03oool2000001T0oooo000Y0?ooo`800000
00<0oooo000000000000O@3oool2000000030?ooo`000000000001P0oooo000W0?ooo`8000000`3o
ool2000007/0oooo0P0000030?ooo`800000603oool002@0oooo0`0000050?ooo`030000003oool0
000003h0oooo0P00000g0?ooo`<000001@3oool00`000000oooo0000000G0?ooo`008P3oool20000
00P0oooo00@000000?ooo`3oool00000>`3oool2000000030?ooo`000000000003@0oooo0P000008
0?ooo`040000003oool0oooo000001H0oooo000P0?ooo`8000002P3oool010000000oooo0?ooo`00
000h0?ooo`<000000`3oool200000380oooo0P00000:0?ooo`040000003oool0oooo000001H0oooo
000M0?ooo`<00000303oool01@000000oooo0?ooo`3oool0000003D0oooo0P0000060?ooo`030000
003oool0000002h0oooo0`00000<0?ooo`050000003oool0oooo0?ooo`0000005@3oool001/0oooo
0P00000?0?ooo`050000003oool0oooo0?ooo`000000<P3oool3000000P0oooo00<000000?ooo`00
0000;03oool2000000l0oooo00D000000?ooo`3oool0oooo0000000E0?ooo`00603oool300000140
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0/0?ooo`<000002`3oool010000000
oooo0?ooo`00000X0?ooo`<000004@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
0180oooo000F0?ooo`800000503oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo02T0
oooo0P00000>0?ooo`050000003oool0oooo0?ooo`0000009@3oool2000001@0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`0A0?ooo`00503oool2000001L0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`0V0?ooo`<00000403oool01@000000oooo0?ooo`3oool00000
02<0oooo0P00000G0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool04@3oool00140
oooo0`00000I0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool08`3oool2000001@0
oooo00D000000?ooo`3oool0oooo0000000O0?ooo`<000006@3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo0100oooo000?0?ooo`800000703oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo01l0oooo0`00000F0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool06P3oool2000001`0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0?0?ooo`00
3@3oool2000001h0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0M0?ooo`800000
6@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo01P0oooo0P00000N0?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool03`3oool000/0oooo0P00000P0?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool06@3oool3000001/0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`0E0?ooo`800000803oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00h0oooo000;0?ooo`800000803oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo01D0oooo0`00000A0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`0E0?ooo`800000803oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00d0oooo000;0?ooo`030000003oool0000001d0oooo00<000000?ooo`000000203oool00`00
0000oooo0?ooo`0C0?ooo`800000503oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0503oool00`000000oooo0000000K0?ooo`D00000203oool00`00
0000oooo0?ooo`0=0?ooo`002`3oool010000000oooo0?ooo`00000K0?ooo`80000000<0oooo0000
003oool0203oool00`000000oooo0?ooo`0@0?ooo`8000005P3oool2000000/0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`0C0?ooo`040000003oool0oooo000001<0oooo1`000002
09Q7I`<000002@3oool00`000000oooo0?ooo`0<0?ooo`002P3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo01H0oooo0P0000001033[/H000000?ooo`0000090?ooo`030000003oool0
oooo0100oooo0P00000E0?ooo`030000002[Q:/0000000/0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`0B0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0203oool8
000000P0V4MW00@000000<nBU03?TY@000002@3oool00`000000oooo0?ooo`0<0?ooo`002P3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo0P00000<0?ooo`040000003oool0
oooo0?ooo`80000000D0`jk6000000000000oooo0000000:0?ooo`030000003oool0oooo00l0oooo
00<000000?ooo`000000503oool010000000ZhB[0:^4Z`00000:0?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0
oooo1000000?09Q7I`040000003?TY@0ci:D0<nBU08000002@3oool00`000000oooo0?ooo`0;0?oo
o`002P3oool00`000000oooo0?ooo`040?ooo`040000003oool0oooo0?ooo`D00000203oool30000
00030?ooo`00000000000080`jk600@000000<>^aP00000000002`3oool00`000000oooo0?ooo`0=
0?ooo`050000003oool0oooo0?ooo`0000004`3oool2000000030:^4Z`000000oooo00P0oooo0P00
00090?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`020?ooo`8000004@2HAfL010000000ci:D0<nBU03?TY@3000000T0oooo00<000000?ooo`3oool0
2P3oool000X0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020000000309>=b`00
0000000000@000000`3oool2000000040?2B=`000000000000000080`jk600<0LDbF00000033[/H0
0P00000;0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`0@0?ooo`050000003[ak4000000:^4Z`0000001P3oool2000000030>_7/@000000oooo00P0
oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`050?ooo`070000003oool0oooo0?oo
o`000000IT6@0000000?09Q7I`030000003?TY@0ci:D0080ci:D0P0000000`3TP@l000000?ooo`07
0?ooo`030000003oool0oooo00X0oooo000:0?ooo`030000003oool0oooo00H0oooo00D000000?oo
o`3oool000000<fCV00209>=b`8000000P3=TiP30000000409eALP0000000000000000@0`jk600<0
LDbF00000033[/H00P00000;0?ooo`8000003P3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool0103oool2000000040>_7/@000000ZhB[000000D0oooo
00<0000000L0000000000P00000:0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0000000306I1T0030000002HAfL0V4MW00/0V4MW00<000000<nBU03?TY@0
0`3?TY@010000000ci:D0000000000080?ooo`8000002`3oool000X0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`02000000040<fCV02CSL/0Thg;09>=b`8000000`3=TiP3000000@0
`jk600@0LDbF00000033[/H0`jk60P0000080?ooo`<0000000<0oooo0000003oool03@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00H0oooo0`0000040?ooo`070000000M=Jl00000
0>_7/@000000ZhB[000000030?ooo`0400000007000000000>_7/@8000002P3oool00`000000oooo
0?ooo`0?0?ooo`030000003oool0oooo00L0oooo0P00000406I1T0030000002HAfL0V4MW00T0V4MW
00<000000<nBU03?TY@0103?TY@01@000000ci:D0000003TP@l0000000@0oooo0`0000000`3oool0
00000?ooo`0:0?ooo`002P3oool00`000000oooo0?ooo`070?ooo`040000003oool0000000000080
cI>H102CSL/2000000030<fCV0000000000000D0`jk600@0LDbF00000033[/H0`jk60P0000050?oo
o`<00000103oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool01P3oool400000080oooo00<0000001de[`0000000P3[ak4200000080oooo00<0000000L0
000000000P3[ak42000000/0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`080?oo
o`030000001V@I00IT6@00<0IT6@00<0000009Q7I`2HAfL01`2HAfL00`000000ci:D0<nBU0050<nB
U0050000003?TY@0ci:D0000003TP@l0100000040?ooo`030000003oool0oooo00T0oooo00090?oo
o`030000003oool0oooo00T0oooo0`0000030<fCV0D0Thg;0P0000050<>^aP80LDbF00<000000<>^
aP33[/H00P0000020?ooo`<000001`3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool01@3oool0100000007CF_0000002mBBd30000000301de[`000000
jlNa0080jlNa0`0000000`07000000000>_7/@020>_7/@030000003oool0000000/0oooo00<00000
0?ooo`3oool0303oool00`000000oooo0?ooo`090?ooo`030000001V@I00IT6@00<0IT6@00<00000
09Q7I`2HAfL01P2HAfL00`000000ci:D0<nBU0060<nBU0040000003?TY@0ci:D00000080i84?00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`002@3oool00`000000oooo0?ooo`0:
0?ooo`<000000`3=TiP409>=b`@000000`33[/H2075<UP0400000033[/H0`jk60<>^aP<000002P3o
ool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3o
ool2000000<0_DT]00<0000001de[`0000000`3[ak42000000801`0000<000000>_7/@3[ak400P00
0000103oool000000?ooo`3oool4000000D0oooo00<000000?ooo`3oool0303oool00`000000oooo
0?ooo`080?ooo`030000001V@I00IT6@00D0IT6@00<0000009Q7I`2HAfL0102HAfL00`000000ci:D
0<nBU0070<nBU0040000003?TY@0ci:D00000080i84?00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`090?ooo`002@3oool00`000000oooo0?ooo`0;0?ooo`800000103=TiP209>=b`800000
0P3`TSL00`2CSL/0000000000002075<UP0300000033[/H0`jk60080`jk600<000000<fCV0000000
0`0000080?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`050?ooo`050000000M=Jl000000;e9;@0000000P0M=Jl00`000000jlNa0>_7/@020>_7/@`0
00000P2[Q:/00`000000oooo0?ooo`040?ooo`8000003@3oool00`000000oooo0?ooo`080?ooo`03
0000001V@I00IT6@00H0IT6@00<0000009Q7I`2HAfL00`2HAfL00`000000ci:D0<nBU0070<nBU005
0000003?TY@0ci:D0<nBU00000000P3TP@l00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00P0oooo00090?ooo`030000003oool0oooo00/0oooo00<0000009>=b`0000000`3=TiP200000004
0<>^aP000000l98g0?2B=`<0Thg;0`0000040<>^aP8000000P3=TiP4000000H0oooo00<000000?oo
o`3oool02P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<0000001de
[`0M=Jl00P00000201de[`030000003[ak40jlNa00<0jlNa0P0000001007000000000:K1k@000002
0:^4Z`050000002[Q:/0ZhB[0:^4Z`000000103oool3000000030?ooo`000000oooo00`0oooo00<0
00000?ooo`3oool0203oool00`000000IT6@06I1T00706I1T0050000002HAfL0V4MW09Q7I`000000
2`3?TY@010000000ci:D0<nBU00000030>B13`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool0203oool000T0oooo00<000000?ooo`3oool02`3oool00`000000Thg;000000020<fCV0040000
0033[/H0`jk6000000@0l98g3@0000020=SahP030000003oool0oooo00D0oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`0:0?ooo`/000000P0M=Jl00`000000jlNa0>_7/@020>_7/@04
000000070000000000000080Y/7]00@000000:^4Z`2[Q:/000000P2[Q:/00`000000oooo0?ooo`03
000000@0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`080?ooo`030000001V@I00
IT6@00P0IT6@00<0000009Q7I`000000303?TY@01@000000ci:D0<nBU03?TY@000000080i84?00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`080?ooo`002@3oool00`000000oooo0?ooo`0;
0?ooo`80000000@0Thg;000000000000`jk61`0000040=SahP<0000000@0f?7R09eALP2MDG800000
0P3HlN820<fCV0030000003oool0oooo00D0oooo00<000000?ooo`3oool02P3oool00`000000oooo
0?ooo`060?ooo`X000001@2mBBd0100000007CF_01de[`0000020>_7/@<00000102V`Nd01@000000
ZhB[0:^4Z`000000ZhB[00@000001`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
00L0oooo00<0000006I1T01V@I002P1V@I02000000`0ci:D00D000000<nBU03?TY@0ci:D00000002
0>B13`030000003oool0oooo00<0oooo00<000000?ooo`3oool0203oool000T0oooo00<000000?oo
o`3oool02@3oool8000000806WWT0P0000060=SahP04075<UP000000Thg;09>=b`80000000<0WE5b
0000000000000P3=TiP00`000000oooo0?ooo`060?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool0203oool2000000<0ZhB[00@000000:K1k@2V`Nd0Y/7]0`0000030;e9;@040000000M
=Jl000000>_7/@8000001@2V`Nd010000000ZhB[0:^4Z`2[Q:/2000000`0oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`070?ooo`030000001V@I00IT6@00P0IT6@0`0000000`34/LL0
000000000002000000P0ci:D00<000000<nBU03?TY@00P3?TY@00`000000i84?000000050?ooo`03
0000003oool0oooo00P0oooo00080?ooo`030000003oool0oooo00T0oooo10000000102MDG800000
0000003=TiP301Yii0040000000JNN@000000?2B=`<0f?7R00<0LDbF0000002CSL/0102CSL/20000
000309eALP000000000000T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0:0?oo
o`8000000P2[Q:/00`000000Y/7]0:K1k@030:K1k@P000001P2V`Nd00`000000ZhB[0:^4Z`020000
00d0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`080?ooo`030000001V@I00IT6@
00L0IT6@00@0000008j<c@2>S<d000001@34/LL3000000D0ci:D00<000000<nBU03?TY@00P3?TY@0
0`000000i84?000000050?ooo`030000003oool0oooo00P0oooo00080?ooo`030000003oool0oooo
00X0oooo0P0000001@2MDG8000000<>^aP33[/H000000080cI>H00D06WWT0000003HlN806WWT0000
00020?2B=`80LDbF00<0000009>=b`2CSL/0102CSL/5000000P0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`0<0?ooo`040000002[Q:/0ZhB[000000P0Y/7]0`0000070:K1k@<00000
0P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
203oool00`000000IT6@06I1T00506I1T0800000102>S<d00`000000a;770<Baa`050<Baa`@00000
00<0ci:D0000003?TY@0103?TY@2000000D0oooo00<000000?ooo`3oool0203oool000P0oooo00<0
00000?ooo`3oool02P3oool00`000000WE5b000000030<>^aP080000003=TiP0cI>H0<fCV0000000
f?7R01Yii00000030?2B=`03075<UP000000Thg;00D0Thg;00<0000009>=b`2CSL/00`0000070?oo
o`030000003oool0oooo00T0oooo00<000000?ooo`3oool03@3oool2000000030:^4Z`000000Y/7]
00D0Y/7]1P0000000`2V`Nd0000000000004000000050;e9;@00000000000?ooo`0000002`3oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo00L0oooo00<0000006I1T01V@I001@1V@I00
0`000000SXc=08j<c@0408j<c@0300000034/LL0a;7700T0a;770`0000040<nBU08000001@3oool0
0`000000oooo0?ooo`080?ooo`00203oool00`000000oooo0?ooo`090?ooo`030000002MDG800000
00D0`jk600<000000<fCV00000000`3HlN801P0JNN@000000?2B=`3`TSL0LDbF000000H0WE5b00<0
000009>=b`2CSL/00P2CSL/2000000L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`0?0?ooo`<00000102V`Nd01@0000001`000000000000007CF_00D0000000<0Y/7]000000000000
102mBBd2000000/0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`070?ooo`030000
001V@I00IT6@00<0IT6@0P00000708j<c@0300000034/LL0a;7700X0a;7700<000000<Baa`000000
0`0000000`3?TY@000000?ooo`050?ooo`030000003oool0oooo00L0oooo00080?ooo`030000003o
ool0oooo00T0oooo0P0000050<>^aP0409eALP000000cI>H000000<0f?7R0P0JNN@00`000000l98g
0000000709eALP040000002MDG80WE5b09eALP@000001P3oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo0140oooo0P000000102V`Nd000000000000700040000000301de[`000000_DT]
0080_DT]100000040;e9;@8000002P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
00L0oooo00<0000006I1T01V@I000P1V@I000`000000SXc=08j<c@0708j<c@0300000034/LL0a;77
00X0a;7700<000000<Baa`34/LL00`34/LL2000000H0oooo00<000000?ooo`3oool01`3oool000P0
oooo00<000000?ooo`3oool0203oool00`000000`jk60<>^aP020<>^aPD0WE5b0P0000030=SahP80
WE5b00<06WWT0000000000000`2MDG8800000080Thg;00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo0180oooo00<0000000L000000000100000000`3[ak40
000001de[`0201de[`050000002mBBd0_DT]0;e9;@0000000P2V`Nd400000080_DT]0P0000090?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool01`3oool00`000000IT6@06I1T0020000
00X0SXc=00<000000<Baa`34/LL02@34/LL2000000D0a;770P0000060?ooo`030000003oool0oooo
00L0oooo00080?ooo`030000003oool0oooo00L0oooo00@000000<>^aP33[/H0`jk61`2MDG820000
00040=SahP2MDG80WE5b09eALP<0000000<06WWT0000000000001000000209>=b`040000002CSL/0
Thg;000000T0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0A0?ooo`@0000000<0
1`000000003[ak400`3[ak40100000007CF_01de[`0000030;e9;@8000001@2V`Nd6000000L0oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`060?ooo`040000001V@I00IT6@000000`0
SXc=00<000000<Baa`34/LL01P34/LL300000080a;7700@000000<Baa`34/LL0a;770P0000070?oo
o`030000003oool0oooo00L0oooo00070?ooo`030000003oool0oooo00L0oooo00<000000<>^aP2M
DG80102MDG8;000000<0LDbF1000000609>=b`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`0?0?ooo`<0000000D0Y/7]0000000700001`00000000040>_7
/@050000000M=Jl07CF_01de[`0000000P2mBBd2000000P0Y/7]100000060?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool01`3oool3000000h0SXc=00@000000<Baa`34/LL0a;771000
00060<Baa`0500000034/LL000000=Gjh@0000001`3oool00`000000oooo0?ooo`070?ooo`001`3o
ool00`000000oooo0?ooo`060?ooo`P000001P33[/H00`000000cI>H0<fCV0020<fCV0@0000000<0
cI>H0000002CSL/0102CSL/2000000030?ooo`000000oooo00T0oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`0;0?ooo`H000000P2V`Nd00`0000001`00000000050>_7/@030000000M
=Jl07CF_00807CF_00@000000;e9;@000000ZhB[200000000`3oool000000?ooo`070?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool01`3oool00`000000SXc=08j<c@0>08j<c@@00000
2`34/LL00`000000eO[Q000000080?ooo`030000003oool0oooo00L0oooo00070?ooo`030000003o
ool0oooo00T0oooo100000060<>^aP030000003HlN80000000<000000P1aC9H01@000000cI>H0<fC
V03=TiP000000080Thg;00H000000<>^aP33[/H000000?ooo`00000:0?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool0203oool300000080oooo0P0000040:K1k@8000001P3[ak400`00
00007CF_01de[`0301de[`80000000<0ZhB[0000003oool0203oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool0203oool2000000`0SXc=0`00000=0<Ba
a`80000000<0eO[Q0000003oool01`3oool00`000000oooo0?ooo`070?ooo`001`3oool00`000000
oooo0?ooo`0=0?ooo`@0000000<0`jk60000000000000P0000030<fCV080LDbF00<000000<fCV03=
TiP00P3=TiP00`000000l98g0?2B=`020<>^aP040000003oool0oooo000000T0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`050?ooo`<00000103oool2000000@0Y/7]0P0000050>_7
/@X000000P2[Q:/00`000000oooo0?ooo`070?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`090?ooo`8000001`2>S<d400000080SXc=00<000000<Ba
a`34/LL02P34/LL010000000eO[Q0=Gjh@0000090?ooo`030000003oool0oooo00L0oooo00070?oo
o`030000003oool0oooo00l0oooo1@000002075<UP030000003=TiP0cI>H0080LDbF00P000000<fC
V03=TiP0cI>H0000000JNN@000000?2B=`80`jk600D000000?ooo`3oool0oooo000000080?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool00P3oool4000000H0oooo2@0000000`3[ak40
000000000002000000030:^4Z`0000000000008000001`2[Q:/00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0:0?ooo`<0
00000P2>S<d3000000H0SXc=00<000000<Baa`34/LL02@34/LL010000000eO[Q0=Gjh@3En^420000
00P0oooo00<000000?ooo`3oool01`3oool000L0oooo00<000000?ooo`3oool0303oool300000004
0?ooo`000000Thg;09>=b`80000000@0LDbF0000003=TiP0cI>H0P1aC9H02`000000cI>H0<fCV03=
TiP000000<>^aP0JNN@000000?2B=`33[/H0000000@0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`050?ooo`030000003oool00000008000004@3oool3000000@0ZhB[00<0000001de
[`0000000P3[ak42000000D0ZhB[00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool02`3oool4000000X0SXc=00<000000<Ba
a`34/LL01P34/LL2000000@0eO[Q00<000000?ooo`000000203oool00`000000oooo0?ooo`060?oo
o`001`3oool00`000000oooo0?ooo`080?ooo`@000001@3oool01P000000Thg;000000000000LDbF
00000080cI>H00<0LDbF0000003=TiP00P3=TiP00`000000`jk60<>^aP020<>^aP030000003`TSL0
000000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`800000503oool0
0`000000ZhB[0:^4Z`030:^4Z`8000000P0M=Jl01@000000jlNa0>_7/@3[ak40000000D0ZhB[00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool0203oool600000003001QdP000000SXc=00P0SXc=00<000000<Baa`34/LL01@34
/LL00`000000eO[Q0=Gjh@030=Gjh@050000003oool0oooo0?ooo`0000001`3oool00`000000oooo
0?ooo`060?ooo`001P3oool00`000000oooo0?ooo`060?ooo`<000002@3oool02P000000Thg;0000
003HlN800000075<UP000000cI>H075<UP0000020<fCV0<000001033[/H00`000000`jk600000005
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01P3oool2000001<0oooo00<00000
0:^4Z`2[Q:/00P2[Q:/01P000000oooo0?ooo`0000007CF_000000<0jlNa0`0000030:^4Z`030000
003oool0oooo00T0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00H0oooo0`0000060?ooo`0400000000HM800000000000L0SXc=00<000000<Baa`34
/LL01034/LL00`000000eO[Q0=Gjh@040=Gjh@030000003oool0oooo0080oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`060?ooo`001P3oool00`000000oooo0?ooo`030?ooo`<00000
303oool2000000030=SahP2CSL/0Thg;0080000000D0cI>H075<UP000000cI>H000000030?ooo`@0
000000<0`jk60000000000001@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool03`3oool010000000ZhB[0:^4Z`2[Q:/2000000<0oooo00<0000001de
[`0000000`3[ak4010000000oooo0?ooo`0000030:^4Z`030000003oool0oooo00T0oooo00D00000
0?ooo`3oool0oooo000000070?ooo`030000003oool0oooo00<0oooo0`00000:0?ooo`0400000000
HM80067B000000H0SXc=00<000000<Baa`34/LL00`34/LL00`000000eO[Q0=Gjh@040=Gjh@030000
003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`060?ooo`001P3o
ool00`000000oooo00000003000000l0oooo0P0000000`3HlN80Thg;00000002000000050<fCV01a
C9H000000<fCV00000001`3oool3000000H0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo00h0oooo00@000000:^4Z`2[Q:/000001P3oool200000080
jlNa00<000000?ooo`3oool00P3oool2000000030:^4Z`000000oooo00/0oooo00@000000?ooo`3o
ool000001`3oool00`000000oooo00000003000000h0oooo00<00000001QdP00HM800P00000408j<
c@0300000034/LL0a;770080a;7700<000000=Gjh@3En^40103En^42000000H0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`060?ooo`001P3oool2000001<0oooo100000020?ooo`80
000000<0LDbF0000000000004P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0
oooo0P00000>0?ooo`040000002[Q:/00000000000H0oooo00D0000001de[`000000jlNa00000006
0?ooo`<00000303oool00`000000oooo000000070?ooo`8000004`3oool010000000067B001QdP00
HM8200000080SXc=00D000000<Baa`34/LL0a;77000000040=Gjh@<000002@3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00H0oooo00070?ooo`8000004P3oool2000000D0oooo0`00
000D0?ooo`050000003oool0oooo0?ooo`0000003P3oool00`000000oooo0?ooo`0;0?ooo`<00000
203oool2000000030>_7/@000000oooo00L0oooo00<000000?ooo`3oool02`3oool00`000000oooo
000000070?ooo`8000004`3oool2000000<0067B00H0000008j<c@2>S<d000000<Baa`0000020=Gj
h@<000003@3oool01@000000oooo0?ooo`3oool0000000P0oooo00090?ooo`030000003oool0oooo
00l0oooo00<000000?ooo`3oool0103oool3000001D0oooo00@000000?ooo`3oool000003`3oool0
0`000000oooo0?ooo`090?ooo`80000000<0oooo0000003oool01`3oool2000000030>_7/@000000
oooo01D0oooo00<000000?ooo`0000002@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0
000000X000004@3oool010000000oooo0?ooo`0000080?ooo`002P3oool00`000000oooo0?ooo`0>
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool05@3oool010000000oooo0?ooo`00
000?0?ooo`8000002@3oool010000000oooo0?ooo`0000090?ooo`030000003[ak40000001L0oooo
0P00000:0?ooo`800000403oool00`000000oooo0?ooo`030?ooo`@000005@3oool010000000oooo
0?ooo`0000070?ooo`002`3oool2000000h0oooo00<000000?ooo`3oool07@3oool010000000oooo
0?ooo`00000A0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01`3oool2000001L0
oooo0`00000<0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0703oool010000000
oooo0?ooo`0000070?ooo`003@3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo01h0
oooo00<000000?ooo`0000004P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool04@3oool400000100oooo0P00000=0?ooo`030000003oool0oooo01d0
oooo00<000000?ooo`0000001`3oool000h0oooo0P00000;0?ooo`030000003oool0oooo01l0oooo
0P00000C0?ooo`800000203oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00d0oooo
1000000F0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool07P3oool2000000L0oooo
000@0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool07P3oool3000001D0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`0D0?ooo`@000006`3oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo01d0oooo0`0000070?ooo`004@3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo01X0oooo1000000I0?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0403oool400000200oooo0P0000090?ooo`030000003oool0oooo01T0oooo1000000:
0?ooo`004P3oool2000000L0oooo00<000000?ooo`3oool05P3oool4000001h0oooo0P0000040?oo
o`030000003oool0oooo00`0oooo1000000V0?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool05@3oool4000000h0oooo000D0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool04@3oool5000002@0oooo00D000000?ooo`3oool0oooo0000000:0?ooo`@00000:`3oool20000
00H0oooo00<000000?ooo`3oool04@3oool400000180oooo000E0?ooo`800000103oool00`000000
oooo0?ooo`0=0?ooo`@00000:P3oool010000000oooo0?ooo`0000060?ooo`@00000<@3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00`0oooo1@00000F0?ooo`005`3oool01@000000
oooo0?ooo`3oool0000000X0oooo1@00000_0?ooo`<000000P3oool4000003H0oooo0P0000030?oo
o`030000003oool0oooo00P0oooo1000000K0?ooo`00603oool010000000oooo0?ooo`0000060?oo
o`@00000=P3oool3000003`0oooo00@000000?ooo`3oool000001P3oool4000001l0oooo000I0?oo
o`<000000P3oool4000007X0oooo0`0000020?ooo`@000008`3oool001/0oooo0`0000200?ooo`<0
00009`3oool00<P0oooo00380?ooo`00b03oool00<P0oooo00380?ooo`00b03oool002/0oooo0P00
00200?ooo`8000006@3oool002T0oooo0P0000000`3oool000000000001m0?ooo`80000000<0oooo
000000000000603oool002H0oooo0`0000020?ooo`<00000?`3oool2000003T0oooo0`0000030?oo
o`800000603oool002@0oooo0P0000030?ooo`80000000@0Od9l0000000000000000?03oool20000
00030?ooo`000000000003H0oooo0P0000060?ooo`030000003oool0000001L0oooo000Q0?ooo`<0
00000P3oool3000000<0Od9l0`00000j0?ooo`8000000`3oool2000003<0oooo0`0000080?ooo`04
0000003oool0oooo000001H0oooo000O0?ooo`8000000`3oool2000000H0Od9l00@000000?VYC`00
00000000=P3oool3000000D0oooo00<000000?ooo`000000<03oool2000000/0oooo00@000000?oo
o`3oool000005P3oool001`0oooo0`0000020?ooo`<00000201o@W`01@000000nJU?0000003oool0
000003<0oooo0P0000080?ooo`030000003oool0000002d0oooo0`00000=0?ooo`050000003oool0
oooo0?ooo`0000005@3oool001X0oooo0P0000030?ooo`8000002`1o@W`00`000000nJU?0?VYC`02
00000300oooo0`00000:0?ooo`040000003oool0oooo000002T0oooo0`00000@0?ooo`050000003o
ool0oooo0?ooo`0000005@3oool001L0oooo0`0000020?ooo`<000003@1o@W`010000000nJU?0?VY
C`3iZDl2000002d0oooo0P00000=0?ooo`050000003oool0oooo0?ooo`0000009P3oool2000001<0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0B0?ooo`005@3oool200000080oooo
0`00000@07m2O08000000P3iZDl2000002/0oooo0P00000?0?ooo`050000003oool0oooo0?ooo`00
00008`3oool3000001D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0A0?ooo`00
4P3oool300000080oooo0P00000C07m2O08000000`3iZDl2000002L0oooo0`00000B0?ooo`050000
003oool0oooo0?ooo`000000803oool2000001T0oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`0A0?ooo`00403oool200000080oooo0`00000E07m2O08000000`3iZDl00`000000oooo
0000000T0?ooo`8000005@3oool01@000000oooo0?ooo`3oool0000001d0oooo0`00000K0?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool0403oool000d0oooo0`0000020?ooo`800000
601o@W`2000000@0nJU?0P00000Q0?ooo`<000005`3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo01P0oooo0P00000N0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
3`3oool000/0oooo0P0000020?ooo`<000006P1o@W`2000000D0nJU?0P00000N0?ooo`8000006P3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01D0oooo0P00000P0?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool03`3oool000T0oooo0P0000020?ooo`8000007@1o@W`2
000000D0nJU?0P00000L0?ooo`800000703oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo01D0oooo0P00000P0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool03P3oool0
00T0oooo1000000O07m2O08000001P3iZDl2000001P0oooo0`00000A0?ooo`8000002`3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo01@0oooo00<000000?ooo`0000007`3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo00d0oooo00090?ooo`030000003oool000000200
Od9l0P0000070?VYC`8000005@3oool2000001<0oooo0P000000102e=@/000000000000000080?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0503oool010000000oooo0?ooo`00000J
0?ooo`D00000203oool00`000000oooo0?ooo`0=0?ooo`002@3oool00`000000oooo0000000P07m2
O08000001`3iZDl2000001<0oooo0P00000C0?ooo`<000001@2e=@/4000000@0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool0403oool700000080ZhB[0`0000090?ooo`030000003oool0oooo00`0oooo00080?ooo`04
0000003oool0oooo00000200Od9l0P0000080?VYC`8000004P3oool200000180oooo100000090;De
2`<0000000<0oooo0000003oool01`3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool01`3oool8000000L0ZhB[0P0000000`3]bK000000000000090?oo
o`030000003oool0oooo00`0oooo00080?ooo`030000003oool000000280Od9l00<000000?VYC`3i
ZDl01P3iZDl200000180oooo00<000000?ooo`000000403oool5000000`0]CD;0P0000080?ooo`03
0000003oool0oooo0140oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`@0
00003P2[Q:/2000000030>g9/0000000ZhB[008000002@3oool00`000000oooo0?ooo`0;0?ooo`00
203oool00`000000oooo0000000R07m2O0030000003iZDl0nJU?00L0nJU?0P00000@0?ooo`050000
003oool0oooo0?ooo`0000003@3oool6000000030:Z3ZP000000000000/0]CD;0P0000080?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool01@3oool010000000oooo0?ooo`3oool30000
00h0ZhB[0`0000000`3]bK0000000:^4Z`03000000T0oooo00<000000?ooo`3oool02P3oool000P0
oooo00<000000?ooo`0000008P1o@W`00`000000nJU?0?VYC`080?VYC`8000003`3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo00T0oooo1P0000040:Z3ZP8000002@2e=@/00`000000
]CD;000000070?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`05000000/0ZhB[0`0000020>g9/0060000002[Q:/000000000003]bK000000203oool0
0`000000oooo0?ooo`0:0?ooo`00203oool00`000000oooo0000000R07m2O0030000003iZDl0nJU?
00P0nJU?0P00000?0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool01`3oool60000
00L0ZX>Z0P0000070;De2`040000002e=@/0]CD;000000L0oooo00<000000?ooo`3oool03`3oool0
0`000000oooo0?ooo`070?ooo`80000000D0ZhB[0000000?;:/000000;]28002000000P0ZhB[0`00
00030>g9/0040000002[Q:/000000:^4Z`800000203oool2000000/0oooo00080?ooo`030000003o
ool000000280Od9l00<000000?VYC`3iZDl02@3iZDl2000000h0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`050?ooo`D000002`2ZPjX2000000D0]CD;00D000000;De2`2e=@/0]CD;
000000070?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool01`3oool200000080ZhB[
00<0000000l/Z`0000000P2k@R02000000@0ZhB[100000030>g9/0080000002[Q:/0ZhB[0000002[
Q:/000000>g9/00000040?ooo`<0000000<0oooo0000003oool02P3oool000P0oooo00<000000?oo
o`0000008P1o@W`00`000000nJU?0?VYC`090?VYC`8000003P3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00<0oooo1@00000>0:Z3ZP800000102e=@/01@000000]CD;0;De2`2e=@/0
000000H0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`090?ooo`040000002[Q:/0
ZhB[000000803bb[00@000000;]2802k@R00^d8P0P0000000`2[Q:/0000000000002000000@0kLV`
00@000000:^4Z`2[Q:/000000P2[Q:/00`000000kLV`00000003000000@0oooo00<000000?ooo`3o
ool02@3oool000L0oooo00<000000?ooo`0000008`1o@W`00`000000nJU?0?VYC`0:0?VYC`800000
3@3oool00`000000oooo0?ooo`060?ooo`040000003oool0oooo0?ooo`D000004@2ZPjX200000080
]CD;00<000000;De2`2e=@/00P2e=@/00`000000oooo0?ooo`040?ooo`030000003oool0oooo00`0
oooo00<000000?ooo`3oool02@3oool010000000ZhB[0:^4Z`00000200l/Z`030000002k@R00^d8P
00<0^d8P100000050>g9/0040000002[Q:/0ZhB[00000080ZhB[00@000000>g9/03]bK0000001P3o
ool00`000000oooo0?ooo`090?ooo`001`3oool00`000000oooo0000000S07m2O0030000003iZDl0
nJU?00X0nJU?0P00000<0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`0000001000000D
0:Z3ZPT000001@3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00P0oooo00<00000
0:^4Z`2[Q:/00P2[Q:/0100000003bb[00l/Z`0000040;]280<000001P3]bK0010000000ZhB[0:^4
Z`0000020:^4Z`040000003]bK00kLV`000000H0oooo00<000000?ooo`3oool02@3oool000L0oooo
00<000000?ooo`0000008`1o@W`2000000/0nJU?0P00000<0?ooo`030000003oool0oooo00P0oooo
1P00000E0:Z3ZP030000003`cJh0000000D0l<f^00<000000?ooo`3oool00`3oool2000000d0oooo
00<000000?ooo`3oool0203oool00`000000ZhB[0:^4Z`020:^4Z`050000000?;:/03bb[00l/Z`00
00000`2k@R03000000D0kLV`00D000000:^4Z`2[Q:/0ZhB[000000030:^4Z`040000003]bK00kLV`
000000H0oooo00<000000?ooo`3oool0203oool000L0oooo00<000000?ooo`0000008`1o@W`20000
00/0nJU?0P00000<0?ooo`030000003oool0oooo00P0oooo1000000G0:Z3ZP030000003`cJh00000
00D0l<f^00<000000?ooo`3oool00`0000000`3oool000000?ooo`0<0?ooo`030000003oool0oooo
00P0oooo00<000000:^4Z`2[Q:/00`2[Q:/01P0000003bb[00l/Z`0?;:/000000;]280<000001P3]
bK000`000000ZhB[0:^4Z`020:^4Z`030000002[Q:/0ZhB[00D000001@3oool00`000000oooo0?oo
o`080?ooo`001`3oool00`000000oooo0000000S07m2O0800000303iZDl2000000/0oooo00<00000
0?ooo`3oool01`3oool4000001L0ZX>Z00@000000?3=[P3`cJh000001@3`cJh3000000@0oooo00<0
00000?ooo`3oool02`3oool00`000000oooo0?ooo`080?ooo`030000002[Q:/0ZhB[00<0ZhB[00<0
000000l/Z`0?;:/00P0?;:/3000000<0kLV`1@0000040:^4Z`050000002[Q:/0ZhB[0:^4Z`000000
0P2k@R000`000000oooo0?ooo`030?ooo`030000003oool0oooo00P0oooo00070?ooo`030000003o
ool0000002<0Od9l0P00000<0?VYC`8000002`3oool00`000000oooo0?ooo`060?ooo`<0000000<0
01^R0000002ZPjX05P2ZPjX010000000l<f^0?3=[P0000060?3=[P030000003oool0oooo00<0oooo
00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`070?ooo`030000002[Q:/0ZhB[00D0ZhB[
00<0000000l/Z`0?;:/01`0000050;]2808000000P2[Q:/01@000000ZhB[0:^4Z`2[Q:/000000080
^d8P00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`080?ooo`001P3oool00`000000oooo
0000000T07m2O0800000303iZDl2000000X0oooo00<000000?ooo`3oool01`3oool00`00000001^R
000KXP02000KXP030000002ZPjX0ZX>Z01@0ZX>Z00@000000?3=[P00000000001P3`cJh00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0203oool00`000000
ZhB[0:^4Z`050:^4Z`/000001P2k@R03000000@0ZhB[00<000000;]2800000001@3oool00`000000
oooo0?ooo`080?ooo`001P3oool00`000000oooo0000000T07m2O0800000303iZDl2000000X0oooo
00<000000?ooo`3oool01`3oool00`00000001^R000KXP02000KXP030000002ZPjX0ZX>Z01<0ZX>Z
0`0000020?3=[P030000003`cJh0l<f^00<0l<f^00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo00P0oooo00<000000:^4Z`2[Q:/0102[Q:/400000080Y<?_
00<000000>g9/00000000`2T`nl3000000D0^d8P00<000000:^4Z`2[Q:/00P2[Q:/00`000000^d8P
000000050?ooo`030000003oool0oooo00P0oooo00060?ooo`030000003oool0000002@0Od9l0P00
000<0?VYC`8000002P3oool00`000000oooo0?ooo`080?ooo`03000000006j8001^R008001^R00<0
00000:Z3ZP2ZPjX03`2ZPjX3000000030:Z3ZP000000l<f^00<0l<f^00<000000?3=[P3`cJh00P3`
cJh00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0203o
ool00`000000ZhB[0:^4Z`030:^4Z`@000000P2T`nl01@0000003bb[0000003]bK00000000D0Y<?_
10000000102k@R0000000000000000030:^4Z`8000001@3oool00`000000oooo0?ooo`080?ooo`00
1P3oool00`000000oooo0000000T07m2O0800000303iZDl2000000X0oooo00<000000?ooo`3oool0
203oool00`00000001^R000KXP02000KXP030000002ZPjX0ZX>Z00`0ZX>Z0`0000030:Z3ZP030000
003`cJh0l<f^00<0l<f^00<000000?3=[P3`cJh00P3`cJh00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00T0oooo00<000000?ooo`3oool01`3oool00`000000ZhB[0:^4Z`030:^4Z`<00000
102T`nl01@0000003bb[0000003]bK00000000T0Y<?_0`000000102k@R0000000000002[Q:/20000
00D0oooo00<000000?ooo`3oool0203oool000H0oooo00<000000?ooo`0000008`1o@W`3000000`0
nJU?00<000000?ooo`0000002@3oool00`000000oooo0?ooo`080?ooo`03000000006j8001^R0080
01^R00<000000:Z3ZP2ZPjX02@2ZPjX3000000H0ZX>Z00<000000?3=[P3`cJh0103`cJh01@000000
l<f^0?3=[P3`cJh0000000H0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`070?oo
o`030000002[Q:/0ZhB[0080ZhB[0`0000050:C3k`030000000?;:/000000080kLV`00<000000:C3
k`2T`nl01`2T`nl00`000000Y<?_00000005000000H0oooo00<000000?ooo`3oool01`3oool000H0
oooo00<000000?ooo`000000801o@W`40000000309o7m0000000000000/0nJU?00<000000?ooo`00
00002@3oool00`000000oooo0?ooo`080?ooo`03000000006j8001^R00<001^R00<000000:Z3ZP2Z
PjX01@2ZPjX3000000T0ZX>Z00<000000?3=[P3`cJh01@3`cJh01@000000l<f^0?3=[P3`cJh00000
00D0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`070?ooo`030000002[Q:/0ZhB[
00<000001`2T`nl00`0000003bb[000000030>g9/0030000002T`nl0Y<?_00H0Y<?_00@000000:C3
k`2T`nl0Y<?_100000060?ooo`030000003oool0oooo00L0oooo00060?ooo`030000003oool00000
01`0Od9l1@00000509o7m08000002`3iZDl2000000P0oooo00<000000?ooo`3oool02P3oool00`00
000001^R000KXP02000KXP030000002ZPjX0ZX>Z0080ZX>Z0`00000<0:Z3ZP030000003`cJh0l<f^
00H0l<f^00@000000?3=[P3`cJh000001P3oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo00L0oooo00<000000:^4Z`0000000P0000070:C3k`040000000?;:/03bb[000000@0kLV`00<0
00000:C3k`2T`nl00P2T`nl700000080ZhB[0P0000060?ooo`030000003oool0oooo00L0oooo0005
0?ooo`030000003oool0000001X0Od9l1000000:09o7m08000002P3iZDl2000000P0oooo00<00000
0?ooo`3oool02P3oool00`00000001^R000KXP03000KXP@000003`2ZPjX00`000000l<f^0?3=[P06
0?3=[P040000003`cJh0l<f^000000H0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`060?ooo`040000002[Q:/00000000000T0Y<?_00@0000000l/Z`0?;:/000001@3]bK0600000080
ZhB[00@000000:^4Z`2[Q:/0ZhB[0P0000070?ooo`030000003oool0oooo00L0oooo00050?ooo`03
0000003oool0000001L0Od9l1000000=09o7m08000002P3iZDl2000000P0oooo00<000000?ooo`3o
ool02P3oool00`00000001^R000KXP0400000180ZX>Z00<000000?3=[P3`cJh01`3`cJh00`000000
l<f^000000060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01`3oool3000000@0
Y<?_1`00000300l/Z`040000003]bK00kLV`0>g9/0@000001P2[Q:/01@000000ZhB[0000002T`nl0
000000L0oooo00<000000?ooo`3oool01`3oool000D0oooo00<000000?ooo`000000501o@W`40000
0140WlOd0P0000090?VYC`800000203oool00`000000oooo0?ooo`0:0?ooo`<000000`006j800`00
0000ZX>Z0:Z3ZP0?0:Z3ZP030000003`cJh0l<f^00T0l<f^00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo1`0000060:^4Z`040000000?;:/03bb[
00l/Z`@0000000<0kLV`0000002[Q:/0202[Q:/00`000000Y<?_000000080?ooo`030000003oool0
oooo00L0oooo00050?ooo`030000003oool000000100Od9l1@00000E09o7m0800000203iZDl00`00
0000oooo000000070?ooo`030000003oool0oooo00L0oooo0`0000000`3oool00000000KXP04000K
XP030000002ZPjX0ZX>Z00h0ZX>Z00<000000?3=[P3`cJh02@3`cJh2000000H0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`080?ooo`8000002`2[Q:/4000000<0kLV`00<000000:^4
Z`2[Q:/01`2[Q:/2000000030:C3k`000000oooo00L0oooo00<000000?ooo`3oool01`3oool000D0
oooo00<000000?ooo`0000003@1o@W`5000001T0WlOd0P0000070?VYC`030000003oool0000000L0
oooo00<000000?ooo`3oool0103oool3000000@0oooo00<00000000KXP006j800`006j800`000000
ZX>Z0:Z3ZP0;0:Z3ZP@000002P3`cJh00`000000oooo000000060?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool02@3oool2000000L0ZhB[1000000200l/Z`050000003]bK00kLV`0>g9
/0000000202[Q:/010000000Y<?_0:C3k`0000090?ooo`030000003oool0oooo00L0oooo00050?oo
o`030000003oool0000000X0Od9l1000000N09o7m08000001P3iZDl00`000000oooo000000060?oo
o`030000003oool0oooo0080oooo0`0000070?ooo`03000000006j8001^R00@001^R00<000000:Z3
ZP2ZPjX00P2ZPjX8000000@0X/Kb00<000000?3=[P3`cJh01P3`cJh01@000000oooo0?ooo`3oool0
000000D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0:0?ooo`<000000P2[Q:/3
000000@0ZhB[00<0000000l/Z`0000000`3]bK000`000000ZhB[0:^4Z`050:^4Z`040000002T`nl0
Y<?_0:C3k`800000203oool00`000000oooo0?ooo`070?ooo`001@3oool2000000P0Od9l1000000R
09o7m08000001P3iZDl2000000H0oooo00<000000?ooo`0000000P00000;0?ooo`03000000006j80
01^R00<001^R1@00000=0:;6lP030000003`cJh0l<f^00@0l<f^00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool02`3oool4
000000L0ZhB[00@0000000l/Z`0?;:/000000P3]bK000`000000ZhB[0:^4Z`030:^4Z`800000102T
`nl00`000000oooo000000080?ooo`030000003oool0oooo00H0oooo00040?ooo`030000003oool0
000000@0Od9l1@00000U09o7m0030000003iZDl0000000D0nJU?0P0000060?ooo`8000003P3oool0
0`00000001^R000KXP03000KXP030000002Ra_80X/Kb0100X/Kb00<000000?3=[P3`cJh00`3`cJh0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`080?ooo`H0000000<0Y<?_0000002[Q:/01P2[Q:/01@0000003bb[0000003]
bK00000000D0ZhB[00<000000>g9/00000000`2T`nl01@000000oooo0?ooo`3oool0000000L0oooo
00<000000?ooo`3oool01P3oool000@0oooo00@000000?ooo`000000Od9l1@00000Y09o7m0800000
1@3iZDl2000000L0oooo0P00000>0?ooo`05000000006j8001^R000KXP0000004`2Ra_800`000000
l<f^0?3=[P020?3=[P030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo000000070?oo
o`030000003oool0oooo00H0oooo0`0000060?ooo`040000002T`nl00000000000D0ZhB[00D00000
00l/Z`000000kLV`000000040:^4Z`050000003]bK00kLV`0>g9/00000000P2T`nl00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01P3oool000@0oooo00<0
00000?ooo`0000000P00000^09o7m0800000103iZDl00`000000oooo000000080?ooo`030000003o
ool0oooo00/0oooo00D00000000KXP006j8001^R0000000D0:;6lP040000003`cJh0l<f^000000T0
oooo00D000000?ooo`3oool0oooo000000070?ooo`030000003oool0oooo00<0oooo0`00000:0?oo
o`040000002T`nl0Y<?_000000D0ZhB[0P0000000`3]bK0000000:^4Z`020:^4Z`030000003]bK00
kLV`00<0kLV`0P0000050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01P3oool0
00@0oooo0P0000000`3oool000000000000_09o7m08000000`3iZDl00`000000oooo000000090?oo
o`030000003oool0oooo00/0oooo00@00000000KXP006j8000005@2Ra_800`000000l<f^0000000:
0?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`0000000`00000>0?ooo`030000002T
`nl00000008000000`2[Q:/2000000050>g9/0000000ZhB[0:^4Z`0000001P3]bK02000000H0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`060?ooo`001@3oool200000080oooo00<0
000009o7m02Oao@0;@2Oao@200000080nJU?00<000000?ooo`0000002P3oool2000000/0oooo00@0
0000000KXP006j8000005P2Ra_800`000000oooo0?ooo`0:0?ooo`030000003oool0000000L0oooo
0P00000C0?ooo`8000000P0?;:/200000080ZhB[00D000000>g9/0000000ZhB[000000040>g9/0<0
00002@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00H0oooo00070?ooo`040000
003oool0oooo000002l0WlOd0P000000103iZDl000000?ooo`00000<0?ooo`030000003oool0oooo
00T0oooo0P00000E0:;6lP8000003P3oool00`000000oooo000000070?ooo`8000004`3oool20000
00<03bb[00H000000:^4Z`00000000000:^4Z`0000020>g9/0<000003@3oool01@000000oooo0?oo
o`3oool0000000P0oooo00080?ooo`80000000<0oooo000000000000;P2Oao@3000000030?ooo`00
0000oooo00`0oooo00<000000?ooo`3oool0203oool2000001<0X/Kb0P00000@0?ooo`030000003o
ool0000000T0oooo00<000000?ooo`3oool0403oool00`000000oooo0000000:00000140oooo00@0
00000?ooo`3oool00000203oool000X0oooo00@000000?ooo`3oool00000;@2Oao@00`000000nJU?
00000002000000h0oooo0P0000090?ooo`<00000402Ra_800`000000oooo0?ooo`0A0?ooo`800000
2P3oool200000100oooo00<000000?ooo`3oool00`3oool4000001D0oooo00@000000?ooo`3oool0
00001`3oool000/0oooo0P0000000`3oool0000009o7m00/09o7m0<0000000<0oooo0000003oool0
3P3oool00`000000oooo0?ooo`090?ooo`@000002P2Ra_82000001<0oooo0`00000<0?ooo`030000
003oool0oooo00d0oooo00<000000?ooo`3oool0703oool010000000oooo0?ooo`0000070?ooo`00
3@3oool010000000oooo00000000000/09o7m080000000<0oooo0000003oool03`3oool00`000000
oooo0?ooo`080?ooo`040000003oool0oooo0?ooo`D000000`2Ra_8200000140oooo1000000@0?oo
o`8000003@3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0000000L0oooo000>0?ooo`80
000000<0oooo0000002Oao@0:@2Oao@500000140oooo0P0000080?ooo`030000003oool0oooo00H0
oooo0`00000?0?ooo`@000005P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo01h0
oooo0P0000070?ooo`00403oool010000000oooo00000000000T09o7m0@000000P3oool3000001<0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0D0?ooo`@000006`3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo01d0oooo0`0000070?ooo`004@3oool2000000030?oo
o`000000WlOd01h0WlOd100000020?ooo`@000005`3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo0100oooo1000000P0?ooo`8000002@3oool00`000000oooo0?ooo`0I0?ooo`@00000
2P3oool001<0oooo00<000000?ooo`0000006P2Oao@4000000030?ooo`000000000000<00000703o
ool2000000@0oooo00<000000?ooo`3oool0303oool4000002H0oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0?ooo`0E0?ooo`@000003P3oool001@0oooo1000000C09o7m0D0000000<0oooo
0000000000000P00000S0?ooo`050000003oool0oooo0?ooo`0000002P3oool4000002/0oooo0P00
00060?ooo`030000003oool0oooo0140oooo1000000B0?ooo`005P3oool00`000000oooo0000000>
09o7m0@0000000<0oooo0000000000000`00000X0?ooo`040000003oool0oooo000000H0oooo1000
000a0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0303oool5000001H0oooo000G
0?ooo`<000002@2Oao@4000000030?ooo`000000000000800000;P3oool300000080oooo1000000f
0?ooo`8000000`3oool00`000000oooo0?ooo`080?ooo`@000006`3oool001T0oooo0`00000309o7
m0T00000=03oool3000003`0oooo00@000000?ooo`3oool000001P3oool4000001l0oooo000J0?oo
o`T00000N@3oool300000080oooo1000000S0?ooo`00703oool3000007l0oooo0`00000W0?ooo`00
b03oool00<P0oooo00380?ooo`00b03oool00<P0oooo0000\
\>"],
  ImageRangeCache->{{{153.125, 276.313}, {433.813, 300.063}} -> {-3.99058, \
7.5911, 0.0158541, 0.0158541}, {{156, 192.688}, {430.563, 390.813}} -> \
{-3.60553, 6.95105, 0.0145198, 0.0145198}, {{196.375, 233}, {430.563, \
390.813}} -> {-4.94215, 7.46287, 0.0156676, 0.0156676}, {{236.688, 273.375}, \
{430.563, 390.813}} -> {-5.61275, 7.09398, 0.0148183, 0.0148183}, {{156, \
192.688}, {386.813, 347}} -> {-3.67773, 6.03883, 0.0147951, 0.0147951}, \
{{196.375, 233}, {386.813, 347}} -> {-4.91117, 6.31411, 0.0155657, \
0.0155657}, {{236.688, 273.375}, {386.813, 347}} -> {-5.60318, 6.03883, \
0.0147951, 0.0147951}, {{156, 192.688}, {343, 303.25}} -> {-3.60553, 4.90042, \
0.0145198, 0.0145198}, {{196.375, 233}, {343, 303.25}} -> {-4.91117, 5.21494, \
0.0155657, 0.0155657}, {{236.688, 273.375}, {343, 303.25}} -> {-5.61275, \
5.00118, 0.0148183, 0.0148183}},
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  GraphicsArray  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[33]=",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Here is a plot of the sine function.", "SolutionItem",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(sinplot = Plot[Sin[x], {x, 0, 2\ \[Pi]}]\)], "Input",
  CellLabel->"In[34]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.151576 0.309016 0.294303 [
[.17539 .29652 -4.5 -11.875 ]
[.17539 .29652 4.5 0 ]
[.32696 .29652 -4.5 -11.875 ]
[.32696 .29652 4.5 0 ]
[.47854 .29652 -4.5 -11.875 ]
[.47854 .29652 4.5 0 ]
[.63011 .29652 -4.5 -11.875 ]
[.63011 .29652 4.5 0 ]
[.78169 .29652 -4.5 -11.875 ]
[.78169 .29652 4.5 0 ]
[.93327 .29652 -4.5 -11.875 ]
[.93327 .29652 4.5 0 ]
[.01131 .01471 -15.1875 -5.9375 ]
[.01131 .01471 0 5.9375 ]
[.01131 .16187 -22.6875 -5.9375 ]
[.01131 .16187 0 5.9375 ]
[.01131 .45617 -16.5 -5.9375 ]
[.01131 .45617 0 5.9375 ]
[.01131 .60332 -9 -5.9375 ]
[.01131 .60332 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.17539 .30902 m
.17539 .31527 L
s
gsave
.17539 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.32696 .30902 m
.32696 .31527 L
s
gsave
.32696 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.47854 .30902 m
.47854 .31527 L
s
gsave
.47854 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(3) show
1.000 setlinewidth
grestore
.63011 .30902 m
.63011 .31527 L
s
gsave
.63011 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4) show
1.000 setlinewidth
grestore
.78169 .30902 m
.78169 .31527 L
s
gsave
.78169 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(5) show
1.000 setlinewidth
grestore
.93327 .30902 m
.93327 .31527 L
s
gsave
.93327 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
.125 Mabswid
.05412 .30902 m
.05412 .31277 L
s
.08444 .30902 m
.08444 .31277 L
s
.11476 .30902 m
.11476 .31277 L
s
.14507 .30902 m
.14507 .31277 L
s
.2057 .30902 m
.2057 .31277 L
s
.23602 .30902 m
.23602 .31277 L
s
.26633 .30902 m
.26633 .31277 L
s
.29665 .30902 m
.29665 .31277 L
s
.35728 .30902 m
.35728 .31277 L
s
.38759 .30902 m
.38759 .31277 L
s
.41791 .30902 m
.41791 .31277 L
s
.44822 .30902 m
.44822 .31277 L
s
.50885 .30902 m
.50885 .31277 L
s
.53917 .30902 m
.53917 .31277 L
s
.56948 .30902 m
.56948 .31277 L
s
.5998 .30902 m
.5998 .31277 L
s
.66043 .30902 m
.66043 .31277 L
s
.69074 .30902 m
.69074 .31277 L
s
.72106 .30902 m
.72106 .31277 L
s
.75138 .30902 m
.75138 .31277 L
s
.81201 .30902 m
.81201 .31277 L
s
.84232 .30902 m
.84232 .31277 L
s
.87264 .30902 m
.87264 .31277 L
s
.90295 .30902 m
.90295 .31277 L
s
.96358 .30902 m
.96358 .31277 L
s
.9939 .30902 m
.9939 .31277 L
s
.25 Mabswid
0 .30902 m
1 .30902 L
s
.02381 .01471 m
.03006 .01471 L
s
gsave
.01131 .01471 -76.1875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.02381 .16187 m
.03006 .16187 L
s
gsave
.01131 .16187 -83.6875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.02381 .45617 m
.03006 .45617 L
s
gsave
.01131 .45617 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.02381 .60332 m
.03006 .60332 L
s
gsave
.01131 .60332 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.125 Mabswid
.02381 .04414 m
.02756 .04414 L
s
.02381 .07357 m
.02756 .07357 L
s
.02381 .103 m
.02756 .103 L
s
.02381 .13243 m
.02756 .13243 L
s
.02381 .1913 m
.02756 .1913 L
s
.02381 .22073 m
.02756 .22073 L
s
.02381 .25016 m
.02756 .25016 L
s
.02381 .27959 m
.02756 .27959 L
s
.02381 .33845 m
.02756 .33845 L
s
.02381 .36788 m
.02756 .36788 L
s
.02381 .39731 m
.02756 .39731 L
s
.02381 .42674 m
.02756 .42674 L
s
.02381 .4856 m
.02756 .4856 L
s
.02381 .51503 m
.02756 .51503 L
s
.02381 .54446 m
.02756 .54446 L
s
.02381 .57389 m
.02756 .57389 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .30902 m
.06244 .38322 L
.10458 .45852 L
.14415 .51889 L
.18221 .56357 L
.20178 .58047 L
.21267 .58793 L
.22272 .59354 L
.23293 .59796 L
.23832 .59976 L
.24402 .60127 L
.24641 .60178 L
.24897 .60225 L
.25119 .60258 L
.25361 .60288 L
.25507 .60302 L
.25643 .60313 L
.25773 .60321 L
.2584 .60324 L
.25912 .60327 L
.25983 .60329 L
.26048 .60331 L
.26176 .60332 L
.26293 .60331 L
.26416 .60329 L
.26538 .60324 L
.26607 .60321 L
.26671 .60317 L
.26912 .60299 L
.27131 .60275 L
.27364 .60244 L
.27847 .60156 L
.2838 .60025 L
.29326 .59705 L
.30213 .59301 L
.32232 .58025 L
.34082 .56432 L
.38045 .51781 L
.41855 .45965 L
.45912 .38744 L
.49816 .31259 L
.53966 .23289 L
.57964 .1614 L
.61811 .10221 L
.63759 .07707 L
.65902 .05386 L
.67938 .03652 L
.69843 .02473 L
.70884 .02018 L
.71396 .01844 L
Mistroke
.71872 .01712 L
.72301 .01617 L
.72758 .01542 L
.7302 .01511 L
.73148 .01499 L
.73266 .0149 L
.73371 .01484 L
.73487 .01478 L
.73603 .01474 L
.73725 .01472 L
.73856 .01472 L
.73977 .01473 L
.7404 .01475 L
.7411 .01477 L
.74251 .01484 L
.74375 .01492 L
.74508 .01503 L
.74748 .01528 L
.74985 .0156 L
.75235 .01601 L
.7568 .01695 L
.76198 .01836 L
.7668 .01998 L
.77773 .02472 L
.78828 .0307 L
.79823 .03757 L
.81683 .05353 L
.85534 .09846 L
.89632 .16101 L
.93577 .23146 L
.97371 .3042 L
.97619 .30902 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[34]:=",
  ImageSize->{243, 150.125},
  ImageMargins->{{62, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003c0000UR000`400?l00000o`00003ol`3oool0
0?<0oooo003c0?ooo`00l`3oool00?<0oooo003c0?ooo`006@3oool00`000000oooo0?ooo`3G0?oo
o`006@3oool00`000000oooo0?ooo`3G0?ooo`004@3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo0=L0oooo000A0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0e`3o
ool000X0oooo100000030?ooo`030000003oool0oooo00D0oooo0P00002G0?ooo``00000=@3oool0
0140oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`2E0?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool0<P3oool00140oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`2B0?ooo`<000003P3oool300000340oooo000@0?ooo`8000001`3oool00`000000oooo
0?ooo`2@0?ooo`800000503oool2000002l0oooo000A0?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0SP3oool2000001P0oooo00<000000?ooo`3oool0;03oool001T0oooo00<00000
0?ooo`3oool0S@3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo02/0oooo000I0?oo
o`800000S@3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo02X0oooo000I0?ooo`03
0000003oool0oooo08/0oooo00<000000?ooo`3oool07@3oool2000002X0oooo000I0?ooo`030000
003oool0oooo08X0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0W0?ooo`006@3o
ool00`000000oooo0?ooo`290?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool09P3o
ool001T0oooo00<000000?ooo`3oool0R03oool00`000000oooo0?ooo`0T0?ooo`030000003oool0
oooo02D0oooo000I0?ooo`030000003oool0oooo08L0oooo00<000000?ooo`3oool09@3oool00`00
0000oooo0?ooo`0U0?ooo`006@3oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo02L0
oooo00<000000?ooo`3oool0903oool001T0oooo0P0000260?ooo`030000003oool0oooo02T0oooo
00<000000?ooo`3oool08`3oool001T0oooo00<000000?ooo`3oool0Q03oool00`000000oooo0?oo
o`0[0?ooo`030000003oool0oooo0280oooo000I0?ooo`030000003oool0oooo08@0oooo00<00000
0?ooo`3oool0;03oool00`000000oooo0?ooo`0Q0?ooo`006@3oool00`000000oooo0?ooo`230?oo
o`030000003oool0oooo02d0oooo00<000000?ooo`3oool08@3oool001T0oooo00<000000?ooo`3o
ool0PP3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo0200oooo000I0?ooo`030000
003oool0oooo0880oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`0O0?ooo`006@3o
ool200000880oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0N0?ooo`006@3oool0
0`000000oooo0?ooo`200?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool07P3oool0
01T0oooo00<000000?ooo`3oool0P03oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo
01d0oooo000I0?ooo`030000003oool0oooo07l0oooo00<000000?ooo`3oool0=P3oool00`000000
oooo0?ooo`0L0?ooo`006@3oool00`000000oooo0?ooo`1n0?ooo`030000003oool0oooo03P0oooo
00<000000?ooo`3oool06`3oool001T0oooo00<000000?ooo`3oool0OP3oool00`000000oooo0?oo
o`0h0?ooo`030000003oool0oooo01/0oooo000I0?ooo`030000003oool0oooo07d0oooo00<00000
0?ooo`3oool0>P3oool00`000000oooo0?ooo`0J0?ooo`006@3oool2000007d0oooo00<000000?oo
o`3oool0?03oool00`000000oooo0?ooo`0I0?ooo`006@3oool00`000000oooo0?ooo`1k0?ooo`03
0000003oool0oooo03d0oooo00<000000?ooo`3oool06@3oool001T0oooo00<000000?ooo`3oool0
N`3oool00`000000oooo0?ooo`0n0?ooo`030000003oool0oooo01P0oooo000I0?ooo`030000003o
ool0oooo07X0oooo00<000000?ooo`3oool0@03oool00`000000oooo0?ooo`0G0?ooo`00203oool3
000000<0oooo00<000000?ooo`3oool00P0000060?ooo`030000003oool0oooo07T0oooo00<00000
0?ooo`3oool0@P3oool00`000000oooo0?ooo`0F0?ooo`00203oool010000000oooo0?ooo`000004
0?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool0N@3oool00`000000oooo0?oo
o`120?ooo`030000003oool0oooo01H0oooo00030?ooo`@0000000D0oooo0000003oool0oooo0000
00070?ooo`030000003oool0oooo00<0oooo0P00001i0?ooo`030000003oool0oooo04@0oooo00<0
00000?ooo`3oool05@3oool000P0oooo00@000000?ooo`3oool00000103oool010000000oooo0?oo
o`0000050?ooo`030000003oool0oooo07L0oooo00<000000?ooo`3oool0A@3oool00`000000oooo
0?ooo`0E0?ooo`00203oool010000000oooo0?ooo`0000040?ooo`<000001P3oool00`000000oooo
0?ooo`1g0?ooo`030000003oool0oooo04H0oooo00<000000?ooo`3oool0503oool000P0oooo00@0
00000?ooo`3oool000001@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo07H0oooo
00<000000?ooo`3oool0A`3oool00`000000oooo0?ooo`0D0?ooo`002@3oool2000000H0oooo0`00
00050?ooo`030000003oool0oooo07H0oooo00<000000?ooo`3oool0B03oool00`000000oooo0?oo
o`0C0?ooo`006@3oool00`000000oooo0?ooo`1e0?ooo`030000003oool0oooo04T0oooo00<00000
0?ooo`3oool04`3oool001T0oooo00<000000?ooo`3oool0M@3oool00`000000oooo0?ooo`1:0?oo
o`030000003oool0oooo0180oooo000I0?ooo`800000M@3oool00`000000oooo0?ooo`1;0?ooo`03
0000003oool0oooo0180oooo000I0?ooo`030000003oool0oooo07<0oooo00<000000?ooo`3oool0
C@3oool00`000000oooo0?ooo`0A0?ooo`006@3oool00`000000oooo0?ooo`1c0?ooo`030000003o
ool0oooo04d0oooo00<000000?ooo`3oool04@3oool001T0oooo00<000000?ooo`3oool0LP3oool0
0`000000oooo0?ooo`1?0?ooo`030000003oool0oooo0100oooo000I0?ooo`030000003oool0oooo
0780oooo00<000000?ooo`3oool0C`3oool00`000000oooo0?ooo`0@0?ooo`006@3oool00`000000
oooo0?ooo`1a0?ooo`030000003oool0oooo0540oooo00<000000?ooo`3oool03`3oool001T0oooo
0P00001b0?ooo`030000003oool0oooo0540oooo00<000000?ooo`3oool03`3oool001T0oooo00<0
00000?ooo`3oool0L03oool00`000000oooo0?ooo`1C0?ooo`030000003oool0oooo00h0oooo000I
0?ooo`030000003oool0oooo0700oooo00<000000?ooo`3oool0D`3oool00`000000oooo0?ooo`0>
0?ooo`006@3oool00`000000oooo0?ooo`1_0?ooo`030000003oool0oooo05D0oooo00<000000?oo
o`3oool03@3oool001T0oooo00<000000?ooo`3oool0KP3oool00`000000oooo0?ooo`1G0?ooo`03
0000003oool0oooo00`0oooo000I0?ooo`030000003oool0oooo06h0oooo00<000000?ooo`3oool0
E`3oool00`000000oooo0?ooo`0<0?ooo`006@3oool00`000000oooo0?ooo`1]0?ooo`030000003o
ool0oooo05T0oooo00<000000?ooo`3oool02`3oool001T0oooo0P00001^0?ooo`030000003oool0
oooo05T0oooo00<000000?ooo`3oool02`3oool001T0oooo00<000000?ooo`3oool0K03oool00`00
0000oooo0?ooo`1K0?ooo`030000003oool0oooo00X0oooo000I0?ooo`030000003oool0oooo01h0
oooo00<000000?ooo`3oool07@3oool4000001h0oooo0P00000:0?ooo`030000003oool0oooo01D0
oooo00<000000?ooo`3oool07@3oool2000001l0oooo0P0000030?ooo`030000003oool0oooo00X0
oooo000I0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool07P3oool00`000000oooo
0?ooo`0M0?ooo`040000003oool0oooo000000P0oooo00<000000?ooo`3oool05P3oool00`000000
oooo0?ooo`0L0?ooo`040000003oool0oooo000001d0oooo00@000000?ooo`3oool000000`3oool0
0`000000oooo0?ooo`090?ooo`006@3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo
01l0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
01<0oooo1@00000P0?ooo`030000003oool0oooo01/0oooo00@000000?ooo`3oool000000`3oool0
0`000000oooo0?ooo`090?ooo`006@3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo
01l0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
01@0oooo00@000000?ooo`3oool000007P3oool010000000oooo0?ooo`00000M0?ooo`040000003o
ool0oooo000000@0oooo00<000000?ooo`3oool0203oool001T0oooo0P00000O0?ooo`030000003o
ool0oooo0200oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo01D0oooo00<000000?ooo`0000007P3oool3000001h0oooo0`0000060?ooo`030000003o
ool0oooo00L0oooo000I0?ooo`030000003oool0oooo01d0oooo0P00000O0?ooo`040000003oool0
oooo000001d0oooo00@000000?ooo`3oool000001P3oool00`000000oooo0?ooo`0G0?ooo`800000
7`3oool00`000000oooo0?ooo`0M0?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3o
ool01`3oool001T0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`0N0?ooo`800000
7`3oool2000000L0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0M0?ooo`<00000
7P3oool2000000L0oooo00<000000?ooo`3oool01P3oool001T0oooo00<000000?ooo`3oool0J03o
ool00`000000oooo0?ooo`1S0?ooo`030000003oool0oooo00H0oooo000I0?ooo`030000003oool0
oooo06P0oooo00<000000?ooo`3oool0I03oool00`000000oooo0?ooo`050?ooo`006@3oool00`00
0000oooo0?ooo`1W0?ooo`030000003oool0oooo06D0oooo00<000000?ooo`3oool01@3oool001T0
oooo00<000000?ooo`3oool0I`3oool00`000000oooo0?ooo`1V0?ooo`030000003oool0oooo00@0
oooo000D0?oooml00000000I0?ooo`8000001@3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo
0@0000010?ooo`40oooo000I0?ooo`800000IP3oool00`000000oooo0?ooo`1_0?ooo`006@3oool0
0`000000oooo0000001U0?ooo`030000003oool0oooo06l0oooo000I0?ooo`030000003oool00000
06@0oooo00<000000?ooo`3oool0L03oool001T0oooo00@000000?ooo`3oool00000H`3oool00`00
0000oooo0?ooo`1`0?ooo`006@3oool2000000030?ooo`000000oooo0640oooo00<000000?ooo`3o
ool0L@3oool001T0oooo00D000000?ooo`3oool0oooo0000001Q0?ooo`030000003oool0oooo0740
oooo000I0?ooo`050000003oool0oooo0?ooo`000000H03oool00`000000oooo0?ooo`1b0?ooo`00
6@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo05d0oooo00<000000?ooo`3oool0
LP3oool001T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1K0?ooo`030000003o
ool0oooo07<0oooo000I0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0F`3oool0
0`000000oooo0?ooo`1c0?ooo`006@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
05T0oooo00<000000?ooo`3oool0M03oool001T0oooo0P0000050?ooo`030000003oool0oooo05T0
oooo00<000000?ooo`3oool0M03oool001T0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`1G0?ooo`030000003oool0oooo07D0oooo000I0?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0E`3oool00`000000oooo0?ooo`1e0?ooo`006@3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo05D0oooo00<000000?ooo`3oool0MP3oool001T0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`1D0?ooo`030000003oool0oooo07H0oooo000I0?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool0D`3oool00`000000oooo0?ooo`1g0?ooo`00
6@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0580oooo00<000000?ooo`3oool0
M`3oool001T0oooo0P0000090?ooo`030000003oool0oooo0540oooo00<000000?ooo`3oool0N03o
ool001T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1@0?ooo`030000003oool0
oooo07P0oooo000I0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0C`3oool00`00
0000oooo0?ooo`1i0?ooo`006@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo04h0
oooo00<000000?ooo`3oool0N@3oool001T0oooo00<000000?ooo`3oool02P3oool00`000000oooo
0?ooo`1=0?ooo`030000003oool0oooo07X0oooo000I0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool0B`3oool00`000000oooo0?ooo`1k0?ooo`006@3oool2000000`0oooo00<00000
0?ooo`3oool0B`3oool00`000000oooo0?ooo`1k0?ooo`006@3oool00`000000oooo0?ooo`0<0?oo
o`030000003oool0oooo04T0oooo00<000000?ooo`3oool0O03oool001T0oooo00<000000?ooo`3o
ool0303oool00`000000oooo0?ooo`190?ooo`030000003oool0oooo07`0oooo000I0?ooo`030000
003oool0oooo00d0oooo00<000000?ooo`3oool0A`3oool00`000000oooo0?ooo`1m0?ooo`006@3o
ool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo04L0oooo00<000000?ooo`3oool0O@3o
ool000P0oooo0`0000030?ooo`030000003oool0oooo008000001P3oool00`000000oooo0?ooo`0>
0?ooo`030000003oool0oooo04D0oooo00<000000?ooo`3oool0OP3oool000P0oooo00@000000?oo
o`3oool00000103oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo00h0oooo00<0
00000?ooo`3oool0A@3oool00`000000oooo0?ooo`1n0?ooo`00203oool010000000oooo0?ooo`00
00070?ooo`030000003oool0oooo00<0oooo0P00000@0?ooo`030000003oool0oooo04<0oooo00<0
00000?ooo`3oool0O`3oool000P0oooo00@000000?ooo`3oool00000103oool010000000oooo0?oo
o`0000050?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0@@3oool00`000000oooo
0?ooo`200?ooo`00203oool010000000oooo0?ooo`0000040?ooo`<000001P3oool00`000000oooo
0?ooo`0@0?ooo`030000003oool0oooo0440oooo00<000000?ooo`3oool0P03oool000P0oooo00@0
00000?ooo`3oool000001@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0140oooo
00<000000?ooo`3oool0?`3oool00`000000oooo0?ooo`210?ooo`002@3oool2000000H0oooo0`00
00050?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?oo
o`220?ooo`006@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo03d0oooo00<00000
0?ooo`3oool0PP3oool001T0oooo0P00000D0?ooo`030000003oool0oooo03/0oooo00<000000?oo
o`3oool0P`3oool001T0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0i0?ooo`03
0000003oool0oooo08@0oooo000I0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0
=`3oool00`000000oooo0?ooo`250?ooo`006@3oool00`000000oooo0?ooo`0E0?ooo`030000003o
ool0oooo03L0oooo00<000000?ooo`3oool0Q@3oool001T0oooo00<000000?ooo`3oool05P3oool0
0`000000oooo0?ooo`0e0?ooo`030000003oool0oooo08H0oooo000I0?ooo`030000003oool0oooo
01L0oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`270?ooo`006@3oool00`000000
oooo0?ooo`0G0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0Q`3oool001T0oooo
0P00000I0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool0R03oool001T0oooo00<0
00000?ooo`3oool06@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo08T0oooo000I
0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`2:
0?ooo`006@3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo02d0oooo00<000000?oo
o`3oool0RP3oool001T0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0[0?ooo`03
0000003oool0oooo08/0oooo000I0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0
:@3oool00`000000oooo0?ooo`2<0?ooo`006@3oool2000001h0oooo00<000000?ooo`3oool09`3o
ool00`000000oooo0?ooo`2=0?ooo`006@3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0
oooo02D0oooo00<000000?ooo`3oool0SP3oool001T0oooo00<000000?ooo`3oool07P3oool00`00
0000oooo0?ooo`0T0?ooo`030000003oool0oooo08l0oooo000I0?ooo`030000003oool0oooo01l0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`2?0?ooo`006@3oool00`000000oooo
0?ooo`0P0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool0T03oool001T0oooo00<0
00000?ooo`3oool08@3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo0940oooo000I
0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`2B
0?ooo`006@3oool2000002@0oooo00<000000?ooo`3oool06P3oool2000009D0oooo000I0?ooo`03
0000003oool0oooo02@0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`2E0?ooo`00
6@3oool00`000000oooo0?ooo`0U0?ooo`8000005`3oool00`000000oooo0?ooo`2F0?ooo`006@3o
ool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo0180oooo0P00002I0?ooo`004@3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo02P0oooo0P00000A0?ooo`030000003oool0
oooo09T0oooo000A0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0:P3oool40000
00/0oooo0P00002L0?ooo`004@3oool00`000000oooo0?ooo`050?ooo`800000;`3oool;000009h0
oooo000A0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0e`3oool00140oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`3G0?ooo`00403oool2000000L0oooo00<00000
0?ooo`3oool0e`3oool00140oooo00<000000?ooo`3oool0g`3oool00?<0oooo003c0?ooo`00l`3o
ool00?<0oooo003c0?ooo`00\
\>"],
  ImageRangeCache->{{{164.938, 314.563}, {589.938, 497.875}} -> {-8.69578, \
11.1977, 0.0298331, 0.015365}},
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[34]=",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],

Cell[TextData[{
  "This solution is essentially that given in ",
  StyleBox["Exploring Mathematics with Mathematica",
    FontSlant->"Italic"],
  " (Gray and Glynn 1991). Extracting the points from which ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " constructs the plot is accomplished by the ",
  StyleBox["Nest", "MR"],
  " statement. The ",
  StyleBox["Line", "MR"],
  " primitive is then mapped across those points in such a way as to create \
lines from the points on the graph to points on the ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  "-axis with the same ",
  Cell[BoxData[
      \(TraditionalForm\`x\)],
    FormatType->StandardForm],
  "-coordinate."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{

Cell["\<\
Show[sinplot, 
  Graphics[
      {Thickness[.001],
\t  Map[Line[{{#[[1]], 0}, #}]&,
\t    Nest[First, sinplot, 4]]}]]\
\>", "Input",
  CellLabel->"In[35]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.151576 0.309016 0.294303 [
[.17539 .29652 -4.5 -11.875 ]
[.17539 .29652 4.5 0 ]
[.32696 .29652 -4.5 -11.875 ]
[.32696 .29652 4.5 0 ]
[.47854 .29652 -4.5 -11.875 ]
[.47854 .29652 4.5 0 ]
[.63011 .29652 -4.5 -11.875 ]
[.63011 .29652 4.5 0 ]
[.78169 .29652 -4.5 -11.875 ]
[.78169 .29652 4.5 0 ]
[.93327 .29652 -4.5 -11.875 ]
[.93327 .29652 4.5 0 ]
[.01131 .01471 -15.1875 -5.9375 ]
[.01131 .01471 0 5.9375 ]
[.01131 .16187 -22.6875 -5.9375 ]
[.01131 .16187 0 5.9375 ]
[.01131 .45617 -16.5 -5.9375 ]
[.01131 .45617 0 5.9375 ]
[.01131 .60332 -9 -5.9375 ]
[.01131 .60332 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.17539 .30902 m
.17539 .31527 L
s
gsave
.17539 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.32696 .30902 m
.32696 .31527 L
s
gsave
.32696 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.47854 .30902 m
.47854 .31527 L
s
gsave
.47854 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(3) show
1.000 setlinewidth
grestore
.63011 .30902 m
.63011 .31527 L
s
gsave
.63011 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4) show
1.000 setlinewidth
grestore
.78169 .30902 m
.78169 .31527 L
s
gsave
.78169 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(5) show
1.000 setlinewidth
grestore
.93327 .30902 m
.93327 .31527 L
s
gsave
.93327 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
.125 Mabswid
.05412 .30902 m
.05412 .31277 L
s
.08444 .30902 m
.08444 .31277 L
s
.11476 .30902 m
.11476 .31277 L
s
.14507 .30902 m
.14507 .31277 L
s
.2057 .30902 m
.2057 .31277 L
s
.23602 .30902 m
.23602 .31277 L
s
.26633 .30902 m
.26633 .31277 L
s
.29665 .30902 m
.29665 .31277 L
s
.35728 .30902 m
.35728 .31277 L
s
.38759 .30902 m
.38759 .31277 L
s
.41791 .30902 m
.41791 .31277 L
s
.44822 .30902 m
.44822 .31277 L
s
.50885 .30902 m
.50885 .31277 L
s
.53917 .30902 m
.53917 .31277 L
s
.56948 .30902 m
.56948 .31277 L
s
.5998 .30902 m
.5998 .31277 L
s
.66043 .30902 m
.66043 .31277 L
s
.69074 .30902 m
.69074 .31277 L
s
.72106 .30902 m
.72106 .31277 L
s
.75138 .30902 m
.75138 .31277 L
s
.81201 .30902 m
.81201 .31277 L
s
.84232 .30902 m
.84232 .31277 L
s
.87264 .30902 m
.87264 .31277 L
s
.90295 .30902 m
.90295 .31277 L
s
.96358 .30902 m
.96358 .31277 L
s
.9939 .30902 m
.9939 .31277 L
s
.25 Mabswid
0 .30902 m
1 .30902 L
s
.02381 .01471 m
.03006 .01471 L
s
gsave
.01131 .01471 -76.1875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.02381 .16187 m
.03006 .16187 L
s
gsave
.01131 .16187 -83.6875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.02381 .45617 m
.03006 .45617 L
s
gsave
.01131 .45617 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.02381 .60332 m
.03006 .60332 L
s
gsave
.01131 .60332 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.125 Mabswid
.02381 .04414 m
.02756 .04414 L
s
.02381 .07357 m
.02756 .07357 L
s
.02381 .103 m
.02756 .103 L
s
.02381 .13243 m
.02756 .13243 L
s
.02381 .1913 m
.02756 .1913 L
s
.02381 .22073 m
.02756 .22073 L
s
.02381 .25016 m
.02756 .25016 L
s
.02381 .27959 m
.02756 .27959 L
s
.02381 .33845 m
.02756 .33845 L
s
.02381 .36788 m
.02756 .36788 L
s
.02381 .39731 m
.02756 .39731 L
s
.02381 .42674 m
.02756 .42674 L
s
.02381 .4856 m
.02756 .4856 L
s
.02381 .51503 m
.02756 .51503 L
s
.02381 .54446 m
.02756 .54446 L
s
.02381 .57389 m
.02756 .57389 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .30902 m
.06244 .38322 L
.10458 .45852 L
.14415 .51889 L
.18221 .56357 L
.20178 .58047 L
.21267 .58793 L
.22272 .59354 L
.23293 .59796 L
.23832 .59976 L
.24402 .60127 L
.24641 .60178 L
.24897 .60225 L
.25119 .60258 L
.25361 .60288 L
.25507 .60302 L
.25643 .60313 L
.25773 .60321 L
.2584 .60324 L
.25912 .60327 L
.25983 .60329 L
.26048 .60331 L
.26176 .60332 L
.26293 .60331 L
.26416 .60329 L
.26538 .60324 L
.26607 .60321 L
.26671 .60317 L
.26912 .60299 L
.27131 .60275 L
.27364 .60244 L
.27847 .60156 L
.2838 .60025 L
.29326 .59705 L
.30213 .59301 L
.32232 .58025 L
.34082 .56432 L
.38045 .51781 L
.41855 .45965 L
.45912 .38744 L
.49816 .31259 L
.53966 .23289 L
.57964 .1614 L
.61811 .10221 L
.63759 .07707 L
.65902 .05386 L
.67938 .03652 L
.69843 .02473 L
.70884 .02018 L
.71396 .01844 L
Mistroke
.71872 .01712 L
.72301 .01617 L
.72758 .01542 L
.7302 .01511 L
.73148 .01499 L
.73266 .0149 L
.73371 .01484 L
.73487 .01478 L
.73603 .01474 L
.73725 .01472 L
.73856 .01472 L
.73977 .01473 L
.7404 .01475 L
.7411 .01477 L
.74251 .01484 L
.74375 .01492 L
.74508 .01503 L
.74748 .01528 L
.74985 .0156 L
.75235 .01601 L
.7568 .01695 L
.76198 .01836 L
.7668 .01998 L
.77773 .02472 L
.78828 .0307 L
.79823 .03757 L
.81683 .05353 L
.85534 .09846 L
.89632 .16101 L
.93577 .23146 L
.97371 .3042 L
.97619 .30902 L
Mfstroke
.001 w
.02381 .30902 m
.02381 .30902 L
s
.06244 .30902 m
.06244 .38322 L
s
.10458 .30902 m
.10458 .45852 L
s
.14415 .30902 m
.14415 .51889 L
s
.18221 .30902 m
.18221 .56357 L
s
.20178 .30902 m
.20178 .58047 L
s
.21267 .30902 m
.21267 .58793 L
s
.22272 .30902 m
.22272 .59354 L
s
.23293 .30902 m
.23293 .59796 L
s
.23832 .30902 m
.23832 .59976 L
s
.24402 .30902 m
.24402 .60127 L
s
.24641 .30902 m
.24641 .60178 L
s
.24897 .30902 m
.24897 .60225 L
s
.25119 .30902 m
.25119 .60258 L
s
.25361 .30902 m
.25361 .60288 L
s
.25507 .30902 m
.25507 .60302 L
s
.25643 .30902 m
.25643 .60313 L
s
.25773 .30902 m
.25773 .60321 L
s
.2584 .30902 m
.2584 .60324 L
s
.25912 .30902 m
.25912 .60327 L
s
.25983 .30902 m
.25983 .60329 L
s
.26048 .30902 m
.26048 .60331 L
s
.26176 .30902 m
.26176 .60332 L
s
.26293 .30902 m
.26293 .60331 L
s
.26416 .30902 m
.26416 .60329 L
s
.26538 .30902 m
.26538 .60324 L
s
.26607 .30902 m
.26607 .60321 L
s
.26671 .30902 m
.26671 .60317 L
s
.26912 .30902 m
.26912 .60299 L
s
.27131 .30902 m
.27131 .60275 L
s
.27364 .30902 m
.27364 .60244 L
s
.27847 .30902 m
.27847 .60156 L
s
.2838 .30902 m
.2838 .60025 L
s
.29326 .30902 m
.29326 .59705 L
s
.30213 .30902 m
.30213 .59301 L
s
.32232 .30902 m
.32232 .58025 L
s
.34082 .30902 m
.34082 .56432 L
s
.38045 .30902 m
.38045 .51781 L
s
.41855 .30902 m
.41855 .45965 L
s
.45912 .30902 m
.45912 .38744 L
s
.49816 .30902 m
.49816 .31259 L
s
.53966 .30902 m
.53966 .23289 L
s
.57964 .30902 m
.57964 .1614 L
s
.61811 .30902 m
.61811 .10221 L
s
.63759 .30902 m
.63759 .07707 L
s
.65902 .30902 m
.65902 .05386 L
s
.67938 .30902 m
.67938 .03652 L
s
.69843 .30902 m
.69843 .02473 L
s
.70884 .30902 m
.70884 .02018 L
s
.71396 .30902 m
.71396 .01844 L
s
.71872 .30902 m
.71872 .01712 L
s
.72301 .30902 m
.72301 .01617 L
s
.72758 .30902 m
.72758 .01542 L
s
.7302 .30902 m
.7302 .01511 L
s
.73148 .30902 m
.73148 .01499 L
s
.73266 .30902 m
.73266 .0149 L
s
.73371 .30902 m
.73371 .01484 L
s
.73487 .30902 m
.73487 .01478 L
s
.73603 .30902 m
.73603 .01474 L
s
.73725 .30902 m
.73725 .01472 L
s
.73856 .30902 m
.73856 .01472 L
s
.73977 .30902 m
.73977 .01473 L
s
.7404 .30902 m
.7404 .01475 L
s
.7411 .30902 m
.7411 .01477 L
s
.74251 .30902 m
.74251 .01484 L
s
.74375 .30902 m
.74375 .01492 L
s
.74508 .30902 m
.74508 .01503 L
s
.74748 .30902 m
.74748 .01528 L
s
.74985 .30902 m
.74985 .0156 L
s
.75235 .30902 m
.75235 .01601 L
s
.7568 .30902 m
.7568 .01695 L
s
.76198 .30902 m
.76198 .01836 L
s
.7668 .30902 m
.7668 .01998 L
s
.77773 .30902 m
.77773 .02472 L
s
.78828 .30902 m
.78828 .0307 L
s
.79823 .30902 m
.79823 .03757 L
s
.81683 .30902 m
.81683 .05353 L
s
.85534 .30902 m
.85534 .09846 L
s
.89632 .30902 m
.89632 .16101 L
s
.93577 .30902 m
.93577 .23146 L
s
.97371 .30902 m
.97371 .3042 L
s
.97619 .30902 m
.97619 .30902 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[35]:=",
  ImageSize->{245.813, 151.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003e0000Ub000`400?l00000o`00003om@3oool0
0?D0oooo003e0?ooo`00m@3oool00?D0oooo003e0?ooo`006@3oool00`000000oooo0?ooo`3I0?oo
o`004@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0=T0oooo000A0?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0f@3oool000X0oooo100000030?ooo`030000003o
ool0oooo00D0oooo0P00002J0?ooo`X00000=P3oool00140oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`2G0?ooo`h00000=03oool00140oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`2E0?oooa800000<P3oool00100oooo0P0000070?ooo`030000003oool0oooo09<0
oooo0`0000000`3oool000000000000<000000040?ooo`000000000000000300oooo000A0?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0T@3oool200000080oooo00<000000?ooo`00
00003@0000001@3oool000000?ooo`3oool0000002l0oooo000I0?ooo`030000003oool0oooo0900
oooo00<000000?ooo`3oool00P3oool00`000000oooo0000000=000000040?ooo`000000oooo0?oo
o`<00000;@3oool001T0oooo00<000000?ooo`3oool0S`3oool2000000@0oooo00<000000?ooo`00
00003@0000001P3oool000000?ooo`3oool000000?ooo`800000;03oool001T0oooo0P00002?0?oo
o`030000003oool0000000@0oooo00<000000?ooo`0000003@0000002@3oool000000?ooo`3oool0
00000?ooo`000000oooo0000000[0?ooo`006@3oool00`000000oooo0?ooo`2=0?ooo`040000003o
ool0oooo000000@0oooo00<000000?ooo`0000003@0000001`3oool000000?ooo`3oool000000?oo
o`0000000P3oool00`000000oooo0?ooo`0X0?ooo`006@3oool00`000000oooo0?ooo`2<0?ooo`05
0000003oool0oooo0?ooo`000000103oool00`000000oooo0000000=000000070?ooo`000000oooo
0?ooo`000000oooo000000030?ooo`030000003oool0oooo02L0oooo000I0?ooo`030000003oool0
oooo08/0oooo0P0000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000003@000000
1`3oool000000?ooo`3oool000000?ooo`0000000`3oool2000002P0oooo000I0?ooo`030000003o
ool0oooo08X0oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0000000d0000000L0oooo0000003oool0oooo0000003oool0000000<0oooo00<000000?ooo`00
00009`3oool001T0oooo00<000000?ooo`3oool0R@3oool010000000oooo0?ooo`0000030?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`0000003@0000001`3oool000000?ooo`3oool00000
0?ooo`0000000`3oool010000000oooo0?ooo`00000V0?ooo`006@3oool2000008T0oooo00D00000
0?ooo`3oool0oooo000000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000003@00
00001`3oool000000?ooo`3oool000000?ooo`0000000`3oool01@000000oooo0?ooo`3oool00000
02D0oooo000I0?ooo`030000003oool0oooo08L0oooo00<000000?ooo`3oool00P3oool01@000000
oooo0?ooo`3oool0000000@0oooo00<000000?ooo`0000003@0000001`3oool000000?ooo`3oool0
00000?ooo`0000000`3oool01@000000oooo0?ooo`3oool0000002D0oooo000I0?ooo`030000003o
ool0oooo08H0oooo0P0000040?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo
0000000=000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool08P3oool001T0oooo00<000000?ooo`3oool0QP3oool2000000@0
oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0000000d0000000L0oooo0000
003oool0oooo0000003oool0000000<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`0Q0?ooo`006@3oool00`000000oooo0?ooo`250?ooo`030000003oool0000000@0oooo00D00000
0?ooo`3oool0oooo000000040?ooo`030000003oool0000000d0000000L0oooo0000003oool0oooo
0000003oool0000000<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0P0?ooo`00
6@3oool00`000000oooo0?ooo`240?ooo`040000003oool0oooo000000@0oooo00D000000?ooo`3o
ool0oooo000000040?ooo`030000003oool0000000d0000000L0oooo0000003oool0oooo0000003o
ool0000000<0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0O0?ooo`006@3oool0
0`000000oooo0?ooo`240?ooo`040000003oool0oooo000000@0oooo00D000000?ooo`3oool0oooo
000000040?ooo`030000003oool0000000d0000000L0oooo0000003oool0oooo0000003oool00000
00<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0N0?ooo`006@3oool2000008@0
oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003oool0oooo0?ooo`000000103oool0
0`000000oooo0000000=000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000
003oool0oooo00H0oooo0P00000O0?ooo`006@3oool00`000000oooo0?ooo`220?ooo`8000000`3o
ool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo
0000000=000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000003oool0oooo
00H0oooo0P00000O0?ooo`006@3oool00`000000oooo0?ooo`220?ooo`8000000`3oool00`000000
oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0000000=0000
00070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`0000007P3oool001T0oooo00<000000?ooo`3oool0P@3oool00`000000oooo00000003
0?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003o
ool0000000d0000000L0oooo0000003oool0oooo0000003oool0000000<0oooo00<000000?ooo`3o
ool01P3oool010000000oooo0?ooo`00000M0?ooo`006@3oool00`000000oooo0?ooo`200?ooo`04
0000003oool0oooo000000<0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0
000000@0oooo00<000000?ooo`0000003@0000001`3oool000000?ooo`3oool000000?ooo`000000
0`3oool00`000000oooo0?ooo`060?ooo`040000003oool0oooo000001d0oooo000I0?ooo`030000
003oool0oooo0800oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`020?ooo`05
0000003oool0oooo0?ooo`000000103oool00`000000oooo0000000=000000070?ooo`000000oooo
0?ooo`000000oooo000000030?ooo`030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo
0000000L0?ooo`006@3oool200000800oooo00D000000?ooo`3oool0oooo000000030?ooo`030000
003oool0oooo0080oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0000000d0
000000L0oooo0000003oool0oooo0000003oool0000000<0oooo00<000000?ooo`3oool01P3oool0
1@000000oooo0?ooo`3oool0000001`0oooo000I0?ooo`030000003oool0oooo07h0oooo00<00000
0?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000@0oooo00D000000?ooo`3oool0oooo
000000040?ooo`030000003oool0000000d0000000L0oooo0000003oool0oooo0000003oool00000
00<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
01T0oooo000I0?ooo`030000003oool0oooo07d0oooo00<000000?ooo`3oool00`3oool01@000000
oooo0?ooo`3oool0000000@0oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0
000000d0000000L0oooo0000003oool0oooo0000003oool0000000<0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01P0oooo000I0?ooo`030000003o
ool0oooo07d0oooo00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3oool0000000@0oooo
00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0000000d0000000L0oooo0000003o
ool0oooo0000003oool0000000<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo01P0oooo000I0?ooo`030000003oool0oooo07`0oooo00<000000?oo
o`3oool0103oool01@000000oooo0?ooo`3oool0000000@0oooo00D000000?ooo`3oool0oooo0000
00040?ooo`030000003oool0000000d0000000L0oooo0000003oool0oooo0000003oool0000000<0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01L0
oooo00080?ooo`<000000`3oool00`000000oooo0?ooo`02000000H0oooo00<000000?ooo`3oool0
N`3oool00`000000oooo0?ooo`050?ooo`050000003oool0oooo0?ooo`000000103oool01@000000
oooo0?ooo`3oool0000000@0oooo00<000000?ooo`0000003@0000001`3oool000000?ooo`3oool0
00000?ooo`0000000`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool05P3oool000P0oooo00@000000?ooo`3oool00000103oool010000000oooo0?oo
o`0000050?ooo`030000003oool0oooo07/0oooo00<000000?ooo`3oool01@3oool01@000000oooo
0?ooo`3oool0000000@0oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool00000
00d0000000L0oooo0000003oool0oooo0000003oool0000000<0oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01H0oooo00030?ooo`@0000000D0oooo
0000003oool0oooo000000070?ooo`030000003oool0oooo00<0oooo0P00001k0?ooo`030000003o
ool0oooo00H0oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003oool0oooo0?ooo`00
0000103oool00`000000oooo0000000=000000070?ooo`000000oooo0?ooo`000000oooo00000003
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0E
0?ooo`00203oool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo000000D0oooo00<0
00000?ooo`3oool0N@3oool2000000P0oooo00D000000?ooo`3oool0oooo000000040?ooo`050000
003oool0oooo0?ooo`000000103oool00`000000oooo0000000=000000070?ooo`000000oooo0?oo
o`000000oooo000000030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool2
000001H0oooo00080?ooo`040000003oool0oooo000000@0oooo0`0000060?ooo`030000003oool0
oooo07T0oooo0P0000080?ooo`050000003oool0oooo0?ooo`000000103oool01@000000oooo0?oo
o`3oool0000000@0oooo00<000000?ooo`0000003@0000001`3oool000000?ooo`3oool000000?oo
o`0000000`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo0P00000F0?oo
o`00203oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0N03oool00`000000oooo000000080?ooo`050000003oool0oooo0?ooo`000000103oool0
1@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`0000003@0000001`3oool000000?oo
o`3oool000000?ooo`0000000`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`0000005@3oool000T0oooo0P0000060?ooo`<000001@3oool00`000000oooo
0?ooo`1h0?ooo`030000003oool0000000P0oooo00D000000?ooo`3oool0oooo000000040?ooo`05
0000003oool0oooo0?ooo`000000103oool00`000000oooo0000000=000000070?ooo`000000oooo
0?ooo`000000oooo000000030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0000000E0?ooo`006@3oool00`000000oooo0?ooo`1g0?ooo`040000003oool0
oooo000000P0oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003oool0oooo0?ooo`00
0000103oool00`000000oooo0000000=000000070?ooo`000000oooo0?ooo`000000oooo00000003
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool010000000oooo0?ooo`00
000D0?ooo`006@3oool00`000000oooo0?ooo`1g0?ooo`040000003oool0oooo000000P0oooo00D0
00000?ooo`3oool0oooo000000040?ooo`050000003oool0oooo0?ooo`000000103oool00`000000
oooo0000000=000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01P3oool010000000oooo0?ooo`00000D0?ooo`006@3oool2
000007L0oooo00D000000?ooo`3oool0oooo000000080?ooo`050000003oool0oooo0?ooo`000000
103oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`0000003@0000001`3oool0
00000?ooo`3oool000000?ooo`0000000`3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00H0oooo00D000000?ooo`3oool0oooo0000000C0?ooo`006@3oool00`000000oooo0?ooo`1e
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01P3oool01@000000oooo0?ooo`3o
ool0000000@0oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0000000d00000
00L0oooo0000003oool0oooo0000003oool0000000<0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`060?ooo`050000003oool0oooo0?ooo`0000004`3oool001T0oooo00<000000?oo
o`3oool0M@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00H0oooo00D000000?oo
o`3oool0oooo000000040?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0000
000=000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0100
oooo000I0?ooo`030000003oool0oooo07@0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`060?ooo`050000003oool0oooo0?ooo`000000103oool01@000000oooo0?ooo`3oool00000
00@0oooo00<000000?ooo`0000003@0000001`3oool000000?ooo`3oool000000?ooo`0000000`3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`0?0?ooo`006@3oool00`000000oooo0?ooo`1d0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0000000@0oooo00D0
00000?ooo`3oool0oooo000000040?ooo`030000003oool0000000d0000000L0oooo0000003oool0
oooo0000003oool0000000<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool03`3oool001T0oooo00<000000?ooo`3o
ool0L`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00H0oooo00D000000?ooo`3o
ool0oooo000000040?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0000000=
000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00h0oooo
000I0?ooo`800000M03oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00H0oooo00D0
00000?ooo`3oool0oooo000000040?ooo`050000003oool0oooo0?ooo`000000103oool00`000000
oooo0000000=000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00h0oooo000I0?ooo`030000003oool0oooo0780oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`060?ooo`050000003oool0oooo0?ooo`000000103oool01@000000oooo0?ooo`3o
ool0000000@0oooo00<000000?ooo`0000003@0000001`3oool000000?ooo`3oool000000?ooo`00
00000`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`0=0?ooo`006@3oool00`000000oooo0?ooo`1b0?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0000000@0
oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0000000d0000000L0oooo0000
003oool0oooo0000003oool0000000<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool03@3oool001T0oooo00<00000
0?ooo`3oool0L@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00D00000
0?ooo`3oool0oooo000000040?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo
0000000=000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00`0oooo000I0?ooo`030000003oool0oooo0700oooo0P0000080?ooo`030000003oool0oooo00H0
oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003oool0oooo0?ooo`000000103oool0
0`000000oooo0000000=000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00`0oooo000I0?ooo`030000003oool0oooo0700oooo0P0000080?ooo`030000003o
ool0oooo00H0oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003oool0oooo0?ooo`00
0000103oool00`000000oooo0000000=000000070?ooo`000000oooo0?ooo`000000oooo00000003
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`06
0?ooo`8000003@3oool001T0oooo00<000000?ooo`3oool0K`3oool00`000000oooo000000080?oo
o`030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003oool0
oooo0?ooo`000000103oool00`000000oooo0000000=000000070?ooo`000000oooo0?ooo`000000
oooo000000030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`060?ooo`8000003@3oool001T0oooo0P00001`0?ooo`030000003oool0000000P0oooo
00<000000?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0000000@0oooo00D000000?ooo`3o
ool0oooo000000040?ooo`030000003oool0000000d0000000L0oooo0000003oool0oooo0000003o
ool0000000<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`000000303oool001T0oooo00<000000?ooo`3oool0KP3oool0
10000000oooo0?ooo`0000080?ooo`030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo
000000040?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0000000=00000007
0?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0000000`0oooo000I0?oo
o`030000003oool0oooo01l0oooo00<000000?ooo`3oool07@3oool4000001l0oooo0P00000:0?oo
o`040000003oool0oooo000000P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`02
000000@0oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0000000d0000000L0
oooo000000000000oooo0000003oool0000000<0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo0`0000020?ooo`030000003oool0oooo00T0
oooo000I0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool07P3oool00`000000oooo
0?ooo`0N0?ooo`040000003oool0oooo000000P0oooo00D000000?ooo`3oool0oooo000000080?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool00P0000040?ooo`050000003oool0oooo
0?ooo`000000103oool00`000000oooo0000000?000000050?ooo`00000000000?ooo`0000000`3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3o
ool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00T0oooo000I0?ooo`030000003o
ool0oooo01l0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0P0?ooo`030000003o
ool0oooo00H0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo00H0oooo
1@0000040?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0000000=00000003
0?ooo`000000oooo0080000000<0oooo0000003oool00P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000030?oo
o`030000003oool0oooo00P0oooo000I0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3o
ool07`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool00P0000040?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0000000?0000
00050?ooo`00000000000?ooo`0000000`3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000030?ooo`030000003o
ool0oooo00P0oooo000I0?ooo`800000803oool00`000000oooo0?ooo`0P0?ooo`030000003oool0
oooo01l0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01P3oool2000000030?ooo`000000000000@0oooo00D00000
0?ooo`3oool0oooo000000040?ooo`030000003oool000000100000000@0oooo0000003oool00000
0`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
0`3oool4000000@0oooo00<000000?ooo`3oool01`3oool001T0oooo00<000000?ooo`3oool07P3o
ool2000001l0oooo00@000000?ooo`3oool000007P3oool010000000oooo0?ooo`0000060?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0000000800000103oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?oo
o`0000003@0000001`3oool000000?ooo`3oool000000?ooo`0000000`3oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool010000000oooo0?oo
o`0000040?ooo`030000003oool0oooo00L0oooo000I0?ooo`030000003oool0oooo01l0oooo00<0
00000?ooo`3oool07P3oool200000200oooo0P0000070?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00800000103o
ool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`0000003@0000000`3oool00000
00000002000000030?ooo`000000oooo0080oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo00@0oooo0`0000050?ooo`030000003oool0oooo00H0oooo
000I0?ooo`030000003oool0oooo06X0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo000000040?ooo`050000
003oool0oooo0?ooo`000000103oool00`000000oooo0000000=000000070?ooo`000000oooo0?oo
o`000000oooo000000030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool01P3oool0
01T0oooo00<000000?ooo`3oool0JP3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0000000@0oooo00D00000
0?ooo`3oool0oooo000000040?ooo`030000003oool0000000d0000000L0oooo0000003oool0oooo
0000003oool0000000<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`00
6@3oool00`000000oooo0?ooo`1Y0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`060?ooo`050000003oool0oooo0?ooo`000000103oool01@000000
oooo0?ooo`3oool0000000@0oooo00<000000?ooo`0000003@0000001`3oool000000?ooo`3oool0
00000?ooo`0000000`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo000I
0?ooo`030000003oool0oooo06T0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003o
ool0oooo0?ooo`000000103oool00`000000oooo0000000=000000070?ooo`000000oooo0?ooo`00
0000oooo000000030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool001@0
ooooh@00000001T0oooo0P0000050?ooo`030000003oool0000000@0oooo00L000000?ooo`3oool0
oooo0000003oool0000000H0oooo00<000000?ooo`3oool0103oool00`000000oooo000000030?oo
o`<000000P3oool00`000000oooo0000000;00000080oooo00<000000?ooo`0000000`3oool20000
0080oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0000000H0oooo00<00000
0?ooo`3oool00`3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`0000001P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool100000040oooo000I0?ooo`8000001`3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool01`000000oooo0?ooo`3o
ool000000?ooo`0000000P3oool00`000000oooo0000000;00000080oooo00<000000?ooo`000000
0`3oool01@000000oooo0?ooo`3oool0000000P0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0K`3oool001T0oooo
00<000000?ooo`0000001P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool01P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool00`00
0000oooo0000000;00000080oooo00<000000?ooo`0000000`3oool01@000000oooo0?ooo`3oool0
000000P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool0K`3oool001T0oooo00<000000?ooo`0000001P3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool01`00
0000oooo0?ooo`3oool000000?ooo`0000000P3oool00`000000oooo0000000;00000080oooo00<0
00000?ooo`0000000`3oool01@000000oooo0?ooo`3oool0000000P0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
L03oool001T0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool01`000000oooo0?ooo`3oool000000?oo
o`0000000P3oool00`000000oooo0000000;00000080oooo00<000000?ooo`0000000`3oool01@00
0000oooo0?ooo`3oool0000000P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0L03oool001T0oooo00@000000?oo
o`3oool000001@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool01P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool00`000000oooo
0000000;00000080oooo00<000000?ooo`0000000`3oool01@000000oooo0?ooo`3oool0000000P0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool0L@3oool001T0oooo0P0000020?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo
00L000000?ooo`3oool0oooo0000003oool000000080oooo00<000000?ooo`0000002`0000020?oo
o`030000003oool0000000<0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo0740oooo000I0?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool01`000000oooo0?ooo`3o
ool000000?ooo`0000000P3oool00`000000oooo0000000;00000080oooo00<000000?ooo`000000
0`3oool01@000000oooo0?ooo`3oool0000000P0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0LP3oool001T0oooo
00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000P0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`060?ooo`070000003oool0oooo0?ooo`000000oooo00000002
0?ooo`030000003oool0000000/000000P3oool00`000000oooo000000030?ooo`050000003oool0
oooo0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`1b0?ooo`006@3oool00`000000oooo0?ooo`02
0?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00H0oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo00<000000?ooo`00
00002`0000020?ooo`030000003oool0000000<0oooo00D000000?ooo`3oool0oooo000000080?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0
000007D0oooo000I0?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool00000203oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00L000000?ooo`3oool0oooo0000
003oool000000080oooo00<000000?ooo`0000002`0000020?ooo`030000003oool0000000<0oooo
00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool01P3oool01@000000oooo0?ooo`3oool0000007D0oooo000I0?ooo`030000003oool0oooo00<0
oooo00@000000?ooo`3oool00000203oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00H0oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo00<000000?ooo`0000002`00
00020?ooo`030000003oool0000000<0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool010000000oooo0?ooo`00001f0?ooo`00
6@3oool2000000D0oooo00<000000?ooo`000000203oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00H0oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo00<000000?oo
o`0000002`0000020?ooo`030000003oool0000000<0oooo00D000000?ooo`3oool0oooo00000008
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool010000000oooo0?ooo`00
001f0?ooo`006@3oool00`000000oooo0?ooo`040?ooo`030000003oool0000000P0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`070000003oool0oooo0?ooo`000000oooo
000000020?ooo`030000003oool0000000/000000P3oool00`000000oooo000000030?ooo`050000
003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`000000M`3oool001T0oooo00<000000?ooo`3oool01@3oool2000000P0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`070000003oool0oooo0?ooo`00
0000oooo000000020?ooo`030000003oool0000000/000000P3oool00`000000oooo000000030?oo
o`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`000000M`3oool001T0oooo00<000000?ooo`3oool01@3oool20000
00P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`070000003oool0oooo
0?ooo`000000oooo000000020?ooo`030000003oool0000000/000000P3oool00`000000oooo0000
00030?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00H0oooo0P00001h0?ooo`006@3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`070000003o
ool0oooo0?ooo`000000oooo000000020?ooo`030000003oool0000000/000000P3oool00`000000
oooo000000030?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo00H0oooo0P00001h0?ooo`006@3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`07
0000003oool0oooo0?ooo`000000oooo000000020?ooo`030000003oool0000000/000000P3oool0
0`000000oooo000000030?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0M`3oool001T0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool01P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool00`000000oooo
0000000;00000080oooo00<000000?ooo`0000000`3oool01@000000oooo0?ooo`3oool0000000P0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo07P0
oooo000I0?ooo`8000002@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool01P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool00`00
0000oooo0000000;00000080oooo00<000000?ooo`0000000`3oool01@000000oooo0?ooo`3oool0
000000P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo07P0oooo000I0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00L000000?ooo`3oool0oooo0000003o
ool000000080oooo00<000000?ooo`0000002`0000020?ooo`030000003oool0000000<0oooo00D0
00000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`1i0?ooo`006@3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`070000003o
ool0oooo0?ooo`000000oooo000000020?ooo`030000003oool0000000/000000P3oool00`000000
oooo000000030?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0N@3oool001T0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool01P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool00`000000oooo0000000;
00000080oooo00<000000?ooo`0000000`3oool01@000000oooo0?ooo`3oool0000000P0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo07X0oooo000I
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00H0oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo
00<000000?ooo`0000002`0000020?ooo`030000003oool0000000<0oooo00D000000?ooo`3oool0
oooo000000080?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`1j0?ooo`006@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`070000003oool0oooo0?ooo`00
0000oooo000000020?ooo`030000003oool0000000/000000P3oool00`000000oooo000000030?oo
o`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool0N`3oool001T0oooo0P00000<0?ooo`050000003oool0oooo
0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`070000003oool0oooo0?ooo`000000oooo
000000020?ooo`030000003oool0000000/000000P3oool00`000000oooo000000030?ooo`050000
003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`050000003oool0oooo0?oo
o`000000OP3oool001T0oooo00<000000?ooo`3oool02`3oool01@000000oooo0?ooo`3oool00000
00P0oooo00<000000?ooo`3oool01P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3o
ool00`000000oooo0000000;00000080oooo00<000000?ooo`0000000`3oool01@000000oooo0?oo
o`3oool0000000P0oooo00<000000?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0000007h0
oooo000I0?ooo`030000003oool0oooo00`0oooo00@000000?ooo`3oool00000203oool00`000000
oooo0?ooo`060?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`030000003oool0
000000/000000P3oool00`000000oooo000000030?ooo`050000003oool0oooo0?ooo`000000203o
ool00`000000oooo0?ooo`060?ooo`040000003oool0oooo000007l0oooo000I0?ooo`030000003o
ool0oooo00`0oooo00@000000?ooo`3oool00000203oool00`000000oooo0?ooo`060?ooo`070000
003oool0oooo0?ooo`000000oooo000000020?ooo`030000003oool0000000/000000P3oool00`00
0000oooo000000030?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`06
0?ooo`040000003oool0oooo000007l0oooo000I0?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`070000003oool0oooo0?ooo`000000oooo
000000020?ooo`030000003oool0000000/000000P3oool00`000000oooo000000030?ooo`050000
003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`030000003oool000000800
oooo00080?ooo`<000000`3oool00`000000oooo0?ooo`02000000H0oooo00<000000?ooo`3oool0
3@3oool00`000000oooo000000080?ooo`030000003oool0oooo00H0oooo00L000000?ooo`3oool0
oooo0000003oool000000080oooo00<000000?ooo`0000002`0000020?ooo`030000003oool00000
00<0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`000000P03oool000P0oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`00
00050?ooo`030000003oool0oooo00h0oooo0P0000080?ooo`030000003oool0oooo00H0oooo00L0
00000?ooo`3oool0oooo0000003oool000000080oooo00<000000?ooo`0000002`0000020?ooo`03
0000003oool0000000<0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo
00H0oooo0P0000210?ooo`00203oool010000000oooo0?ooo`0000070?ooo`030000003oool0oooo
00<0oooo0P00000?0?ooo`800000203oool00`000000oooo0?ooo`060?ooo`070000003oool0oooo
0?ooo`000000oooo000000020?ooo`030000003oool0000000/000000P3oool00`000000oooo0000
00030?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`800000
P@3oool000P0oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`0000050?ooo`03
0000003oool0oooo00l0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`07
0000003oool0oooo0?ooo`000000oooo000000020?ooo`030000003oool0000000/000000P3oool0
0`000000oooo000000030?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo0800oooo00080?ooo`040000003oool0oooo000000@0oooo0`00
00060?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`060?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`030000003oool0000000/0
00000P3oool00`000000oooo000000030?ooo`050000003oool0oooo0?ooo`000000203oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo0840oooo00080?ooo`040000003oool0oooo0000
00D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool01P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3o
ool00`000000oooo0000000;00000080oooo00<000000?ooo`0000000`3oool01@000000oooo0?oo
o`3oool0000000P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`210?ooo`002@3o
ool2000000H0oooo0`0000050?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`060?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`03
0000003oool0000000/000000P3oool00`000000oooo000000030?ooo`050000003oool0oooo0?oo
o`000000203oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0880oooo000I0?ooo`03
0000003oool0oooo0180oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`060?ooo`07
0000003oool0oooo0?ooo`000000oooo000000020?ooo`030000003oool0000000/000000P3oool0
0`000000oooo000000030?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo08<0oooo000I0?ooo`030000003oool0oooo0180oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`060?ooo`070000003oool0oooo0?ooo`000000oooo
000000020?ooo`030000003oool0000000/000000P3oool00`000000oooo000000030?ooo`050000
003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo08<0
oooo000I0?ooo`800000503oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00H0oooo
00L000000?ooo`3oool0oooo0000003oool000000080oooo00<000000?ooo`0000002`0000020?oo
o`030000003oool0000000<0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool0Q03oool001T0oooo00<000000?ooo`3oool0503oool01@00
0000oooo0?ooo`3oool0000000P0oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo
00<000000?ooo`0000002`0000020?ooo`030000003oool0000000<0oooo00D000000?ooo`3oool0
oooo000000080?ooo`050000003oool0oooo0?ooo`000000Q`3oool001T0oooo00<000000?ooo`3o
ool05@3oool010000000oooo0?ooo`0000080?ooo`070000003oool0oooo0?ooo`000000oooo0000
00020?ooo`030000003oool0000000/000000P3oool00`000000oooo000000030?ooo`050000003o
ool0oooo0?ooo`000000203oool010000000oooo0?ooo`0000280?ooo`006@3oool00`000000oooo
0?ooo`0E0?ooo`040000003oool0oooo000000P0oooo00L000000?ooo`3oool0oooo0000003oool0
00000080oooo00<000000?ooo`0000002`0000020?ooo`030000003oool0000000<0oooo00D00000
0?ooo`3oool0oooo000000080?ooo`040000003oool0oooo000008P0oooo000I0?ooo`030000003o
ool0oooo01H0oooo00<000000?ooo`000000203oool01`000000oooo0?ooo`3oool000000?ooo`00
00000P3oool00`000000oooo0000000;00000080oooo00<000000?ooo`0000000`3oool01@000000
oooo0?ooo`3oool0000000P0oooo00<000000?ooo`000000R@3oool001T0oooo00<000000?ooo`3o
ool05`3oool2000000P0oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo00<00000
0?ooo`0000002`0000020?ooo`030000003oool0000000<0oooo00D000000?ooo`3oool0oooo0000
00080?ooo`800000RP3oool001T0oooo0P00000H0?ooo`800000203oool01`000000oooo0?ooo`3o
ool000000?ooo`0000000P3oool00`000000oooo0000000;00000080oooo00<000000?ooo`000000
0`3oool01@000000oooo0?ooo`3oool0000000P0oooo0P00002:0?ooo`006@3oool00`000000oooo
0?ooo`0H0?ooo`030000003oool0oooo00H0oooo00L000000?ooo`3oool0oooo0000003oool00000
0080oooo00<000000?ooo`0000002`0000020?ooo`030000003oool0000000<0oooo00D000000?oo
o`3oool0oooo000000080?ooo`030000003oool0oooo08T0oooo000I0?ooo`030000003oool0oooo
01T0oooo00<000000?ooo`3oool01@3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3o
ool00`000000oooo0000000;00000080oooo00<000000?ooo`0000000`3oool01@000000oooo0?oo
o`3oool0000000L0oooo00<000000?ooo`3oool0RP3oool001T0oooo00<000000?ooo`3oool06P3o
ool00`000000oooo0?ooo`040?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`03
0000003oool0000000/000000P3oool00`000000oooo000000030?ooo`050000003oool0oooo0?oo
o`0000001P3oool00`000000oooo0?ooo`2;0?ooo`006@3oool00`000000oooo0?ooo`0K0?ooo`03
0000003oool0oooo00<0oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo00<00000
0?ooo`0000002`0000020?ooo`030000003oool0000000<0oooo00D000000?ooo`3oool0oooo0000
00050?ooo`030000003oool0oooo08`0oooo000I0?ooo`030000003oool0oooo01`0oooo00<00000
0?ooo`3oool00P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool00`000000oooo
0000000;00000080oooo00<000000?ooo`0000000`3oool01@000000oooo0?ooo`3oool0000000@0
oooo00<000000?ooo`3oool0S@3oool001T0oooo00<000000?ooo`3oool0703oool00`000000oooo
0?ooo`020?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`030000003oool00000
00/000000P3oool00`000000oooo000000030?ooo`050000003oool0oooo0?ooo`0000000`3oool0
0`000000oooo0?ooo`2>0?ooo`006@3oool2000001h0oooo00D000000?ooo`3oool0oooo00000003
0?ooo`030000003oool000000080oooo00<000000?ooo`0000002`0000020?ooo`030000003oool0
000000<0oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003oool0oooo08h0oooo000I
0?ooo`030000003oool0oooo01h0oooo00@000000?ooo`3oool000000`3oool00`000000oooo0000
00020?ooo`030000003oool0000000/000000P3oool00`000000oooo000000030?ooo`050000003o
ool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`2?0?ooo`006@3oool00`000000oooo0?oo
o`0O0?ooo`030000003oool0000000<0oooo00<000000?ooo`0000000P3oool00`000000oooo0000
000;00000080oooo00<000000?ooo`0000000`3oool01`000000oooo0?ooo`3oool000000?ooo`00
0000TP3oool001T0oooo00<000000?ooo`3oool0803oool2000000<0oooo00<000000?ooo`000000
0P3oool00`000000oooo0000000;00000080oooo00<000000?ooo`0000000`3oool010000000oooo
0?ooo`3oool2000009<0oooo000I0?ooo`030000003oool0oooo0240oooo00L000000?ooo`3oool0
oooo0000003oool000000080oooo00<000000?ooo`0000002`0000020?ooo`030000003oool00000
00<0oooo00D000000?ooo`3oool0oooo0000002D0?ooo`006@3oool00`000000oooo0?ooo`0R0?oo
o`060000003oool0oooo0000003oool000000P3oool00`000000oooo0000000;00000080oooo00<0
00000?ooo`0000000`3oool010000000oooo0?ooo`00002E0?ooo`006@3oool00`000000oooo0?oo
o`0S0?ooo`050000003oool000000?ooo`0000000P3oool00`000000oooo0000000;00000080oooo
00<000000?ooo`0000000`3oool00`000000oooo0000002F0?ooo`006@3oool2000002D0oooo0P00
00001P3oool000000?ooo`3oool000000?ooo``000000P3oool00`000000oooo000000030?ooo`80
0000U`3oool001T0oooo00<000000?ooo`3oool09@3oool00`000000oooo000000020?ooo`030000
003oool0000000/000000P3oool00`000000oooo000000030?ooo`030000003oool0oooo09H0oooo
000I0?ooo`030000003oool0oooo02H0oooo0P0000020?ooo`030000003oool0000000/000000P3o
ool00`000000oooo000000020?ooo`030000003oool0oooo09L0oooo000I0?ooo`030000003oool0
oooo02L0oooo0P0000000`3oool000000?ooo`0<00000080oooo00<000000?ooo`0000000P00002J
0?ooo`004@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02T0oooo0P0000000`3o
ool000000000000:00000080oooo00<000000?ooo`000000W03oool00140oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`0[0?oooa400000W@3oool00140oooo00<000000?ooo`3oool0
1@3oool2000002l0oooo2@00002R0?ooo`004@3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo0=T0oooo000A0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0f@3oool0
0100oooo0P0000070?ooo`030000003oool0oooo0=T0oooo000A0?ooo`030000003oool0oooo0>40
oooo003e0?ooo`00m@3oool00?D0oooo003e0?ooo`00m@3oool00001\
\>"],
  ImageRangeCache->{{{153.125, 304.5}, {294.25, 201.063}} -> {-8.02485, \
3.7793, 0.0294529, 0.0151692}},
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[35]=",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],

Cell["\<\
You could also construct this using pattern matching. Here are the \
coordinates.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\((coords = Cases[sinplot, {p_?NumericQ, q_?NumericQ}, Infinity])\) // 
      Short\)], "Input",
  CellLabel->"In[36]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    TagBox[\({{2.617993877991494`*^-7, 
          2.6179938779914644`*^-7}, \[LeftSkeleton]80\[RightSkeleton], \
{6.283185045380199`, \(-\[LeftSkeleton]23\[RightSkeleton]\)}}\),
      Short]], "Output",
  CellLabel->"Out[36]//Short=",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],

Cell["\<\
Here is what we use to create vertical lines from each coordinate.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\((lines = Map[Line[{{#[\([1]\)], 0}, #}] &, coords])\) // 
      Short\)], "Input",
  CellLabel->"In[37]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[BoxData[
    TagBox[\({Line[{{2.617993877991494`*^-7, 
              0}, {2.617993877991494`*^-7, \
\[LeftSkeleton]23\[RightSkeleton]}}], \[LeftSkeleton]80\[RightSkeleton], 
        Line[\[LeftSkeleton]1\[RightSkeleton]]}\),
      Short]], "Output",
  CellLabel->"Out[37]//Short=",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],

Cell["Here then is the final graphic.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Show[sinplot, 
        Graphics[\[IndentingNewLine]Map[Line[{{#[\([1]\)], 0}, #}] &, 
            Cases[sinplot, {p_?NumericQ, q_?NumericQ}, 
              Infinity]]\[IndentingNewLine]]];\)\)], "Input",
  CellLabel->"In[38]:=",
  CellTags->"IPM3.Sol.9.1"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.151576 0.309016 0.294303 [
[.17539 .29652 -4.5 -11.875 ]
[.17539 .29652 4.5 0 ]
[.32696 .29652 -4.5 -11.875 ]
[.32696 .29652 4.5 0 ]
[.47854 .29652 -4.5 -11.875 ]
[.47854 .29652 4.5 0 ]
[.63011 .29652 -4.5 -11.875 ]
[.63011 .29652 4.5 0 ]
[.78169 .29652 -4.5 -11.875 ]
[.78169 .29652 4.5 0 ]
[.93327 .29652 -4.5 -11.875 ]
[.93327 .29652 4.5 0 ]
[.01131 .01471 -15.1875 -5.9375 ]
[.01131 .01471 0 5.9375 ]
[.01131 .16187 -22.6875 -5.9375 ]
[.01131 .16187 0 5.9375 ]
[.01131 .45617 -16.5 -5.9375 ]
[.01131 .45617 0 5.9375 ]
[.01131 .60332 -9 -5.9375 ]
[.01131 .60332 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.17539 .30902 m
.17539 .31527 L
s
gsave
.17539 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.32696 .30902 m
.32696 .31527 L
s
gsave
.32696 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.47854 .30902 m
.47854 .31527 L
s
gsave
.47854 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(3) show
1.000 setlinewidth
grestore
.63011 .30902 m
.63011 .31527 L
s
gsave
.63011 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4) show
1.000 setlinewidth
grestore
.78169 .30902 m
.78169 .31527 L
s
gsave
.78169 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(5) show
1.000 setlinewidth
grestore
.93327 .30902 m
.93327 .31527 L
s
gsave
.93327 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
.125 Mabswid
.05412 .30902 m
.05412 .31277 L
s
.08444 .30902 m
.08444 .31277 L
s
.11476 .30902 m
.11476 .31277 L
s
.14507 .30902 m
.14507 .31277 L
s
.2057 .30902 m
.2057 .31277 L
s
.23602 .30902 m
.23602 .31277 L
s
.26633 .30902 m
.26633 .31277 L
s
.29665 .30902 m
.29665 .31277 L
s
.35728 .30902 m
.35728 .31277 L
s
.38759 .30902 m
.38759 .31277 L
s
.41791 .30902 m
.41791 .31277 L
s
.44822 .30902 m
.44822 .31277 L
s
.50885 .30902 m
.50885 .31277 L
s
.53917 .30902 m
.53917 .31277 L
s
.56948 .30902 m
.56948 .31277 L
s
.5998 .30902 m
.5998 .31277 L
s
.66043 .30902 m
.66043 .31277 L
s
.69074 .30902 m
.69074 .31277 L
s
.72106 .30902 m
.72106 .31277 L
s
.75138 .30902 m
.75138 .31277 L
s
.81201 .30902 m
.81201 .31277 L
s
.84232 .30902 m
.84232 .31277 L
s
.87264 .30902 m
.87264 .31277 L
s
.90295 .30902 m
.90295 .31277 L
s
.96358 .30902 m
.96358 .31277 L
s
.9939 .30902 m
.9939 .31277 L
s
.25 Mabswid
0 .30902 m
1 .30902 L
s
.02381 .01471 m
.03006 .01471 L
s
gsave
.01131 .01471 -76.1875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.02381 .16187 m
.03006 .16187 L
s
gsave
.01131 .16187 -83.6875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.02381 .45617 m
.03006 .45617 L
s
gsave
.01131 .45617 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.02381 .60332 m
.03006 .60332 L
s
gsave
.01131 .60332 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.125 Mabswid
.02381 .04414 m
.02756 .04414 L
s
.02381 .07357 m
.02756 .07357 L
s
.02381 .103 m
.02756 .103 L
s
.02381 .13243 m
.02756 .13243 L
s
.02381 .1913 m
.02756 .1913 L
s
.02381 .22073 m
.02756 .22073 L
s
.02381 .25016 m
.02756 .25016 L
s
.02381 .27959 m
.02756 .27959 L
s
.02381 .33845 m
.02756 .33845 L
s
.02381 .36788 m
.02756 .36788 L
s
.02381 .39731 m
.02756 .39731 L
s
.02381 .42674 m
.02756 .42674 L
s
.02381 .4856 m
.02756 .4856 L
s
.02381 .51503 m
.02756 .51503 L
s
.02381 .54446 m
.02756 .54446 L
s
.02381 .57389 m
.02756 .57389 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .30902 m
.06244 .38322 L
.10458 .45852 L
.14415 .51889 L
.18221 .56357 L
.20178 .58047 L
.21267 .58793 L
.22272 .59354 L
.23293 .59796 L
.23832 .59976 L
.24402 .60127 L
.24641 .60178 L
.24897 .60225 L
.25119 .60258 L
.25361 .60288 L
.25507 .60302 L
.25643 .60313 L
.25773 .60321 L
.2584 .60324 L
.25912 .60327 L
.25983 .60329 L
.26048 .60331 L
.26176 .60332 L
.26293 .60331 L
.26416 .60329 L
.26538 .60324 L
.26607 .60321 L
.26671 .60317 L
.26912 .60299 L
.27131 .60275 L
.27364 .60244 L
.27847 .60156 L
.2838 .60025 L
.29326 .59705 L
.30213 .59301 L
.32232 .58025 L
.34082 .56432 L
.38045 .51781 L
.41855 .45965 L
.45912 .38744 L
.49816 .31259 L
.53966 .23289 L
.57964 .1614 L
.61811 .10221 L
.63759 .07707 L
.65902 .05386 L
.67938 .03652 L
.69843 .02473 L
.70884 .02018 L
.71396 .01844 L
Mistroke
.71872 .01712 L
.72301 .01617 L
.72758 .01542 L
.7302 .01511 L
.73148 .01499 L
.73266 .0149 L
.73371 .01484 L
.73487 .01478 L
.73603 .01474 L
.73725 .01472 L
.73856 .01472 L
.73977 .01473 L
.7404 .01475 L
.7411 .01477 L
.74251 .01484 L
.74375 .01492 L
.74508 .01503 L
.74748 .01528 L
.74985 .0156 L
.75235 .01601 L
.7568 .01695 L
.76198 .01836 L
.7668 .01998 L
.77773 .02472 L
.78828 .0307 L
.79823 .03757 L
.81683 .05353 L
.85534 .09846 L
.89632 .16101 L
.93577 .23146 L
.97371 .3042 L
.97619 .30902 L
Mfstroke
.02381 .30902 m
.02381 .30902 L
s
.06244 .30902 m
.06244 .38322 L
s
.10458 .30902 m
.10458 .45852 L
s
.14415 .30902 m
.14415 .51889 L
s
.18221 .30902 m
.18221 .56357 L
s
.20178 .30902 m
.20178 .58047 L
s
.21267 .30902 m
.21267 .58793 L
s
.22272 .30902 m
.22272 .59354 L
s
.23293 .30902 m
.23293 .59796 L
s
.23832 .30902 m
.23832 .59976 L
s
.24402 .30902 m
.24402 .60127 L
s
.24641 .30902 m
.24641 .60178 L
s
.24897 .30902 m
.24897 .60225 L
s
.25119 .30902 m
.25119 .60258 L
s
.25361 .30902 m
.25361 .60288 L
s
.25507 .30902 m
.25507 .60302 L
s
.25643 .30902 m
.25643 .60313 L
s
.25773 .30902 m
.25773 .60321 L
s
.2584 .30902 m
.2584 .60324 L
s
.25912 .30902 m
.25912 .60327 L
s
.25983 .30902 m
.25983 .60329 L
s
.26048 .30902 m
.26048 .60331 L
s
.26176 .30902 m
.26176 .60332 L
s
.26293 .30902 m
.26293 .60331 L
s
.26416 .30902 m
.26416 .60329 L
s
.26538 .30902 m
.26538 .60324 L
s
.26607 .30902 m
.26607 .60321 L
s
.26671 .30902 m
.26671 .60317 L
s
.26912 .30902 m
.26912 .60299 L
s
.27131 .30902 m
.27131 .60275 L
s
.27364 .30902 m
.27364 .60244 L
s
.27847 .30902 m
.27847 .60156 L
s
.2838 .30902 m
.2838 .60025 L
s
.29326 .30902 m
.29326 .59705 L
s
.30213 .30902 m
.30213 .59301 L
s
.32232 .30902 m
.32232 .58025 L
s
.34082 .30902 m
.34082 .56432 L
s
.38045 .30902 m
.38045 .51781 L
s
.41855 .30902 m
.41855 .45965 L
s
.45912 .30902 m
.45912 .38744 L
s
.49816 .30902 m
.49816 .31259 L
s
.53966 .30902 m
.53966 .23289 L
s
.57964 .30902 m
.57964 .1614 L
s
.61811 .30902 m
.61811 .10221 L
s
.63759 .30902 m
.63759 .07707 L
s
.65902 .30902 m
.65902 .05386 L
s
.67938 .30902 m
.67938 .03652 L
s
.69843 .30902 m
.69843 .02473 L
s
.70884 .30902 m
.70884 .02018 L
s
.71396 .30902 m
.71396 .01844 L
s
.71872 .30902 m
.71872 .01712 L
s
.72301 .30902 m
.72301 .01617 L
s
.72758 .30902 m
.72758 .01542 L
s
.7302 .30902 m
.7302 .01511 L
s
.73148 .30902 m
.73148 .01499 L
s
.73266 .30902 m
.73266 .0149 L
s
.73371 .30902 m
.73371 .01484 L
s
.73487 .30902 m
.73487 .01478 L
s
.73603 .30902 m
.73603 .01474 L
s
.73725 .30902 m
.73725 .01472 L
s
.73856 .30902 m
.73856 .01472 L
s
.73977 .30902 m
.73977 .01473 L
s
.7404 .30902 m
.7404 .01475 L
s
.7411 .30902 m
.7411 .01477 L
s
.74251 .30902 m
.74251 .01484 L
s
.74375 .30902 m
.74375 .01492 L
s
.74508 .30902 m
.74508 .01503 L
s
.74748 .30902 m
.74748 .01528 L
s
.74985 .30902 m
.74985 .0156 L
s
.75235 .30902 m
.75235 .01601 L
s
.7568 .30902 m
.7568 .01695 L
s
.76198 .30902 m
.76198 .01836 L
s
.7668 .30902 m
.7668 .01998 L
s
.77773 .30902 m
.77773 .02472 L
s
.78828 .30902 m
.78828 .0307 L
s
.79823 .30902 m
.79823 .03757 L
s
.81683 .30902 m
.81683 .05353 L
s
.85534 .30902 m
.85534 .09846 L
s
.89632 .30902 m
.89632 .16101 L
s
.93577 .30902 m
.93577 .23146 L
s
.97371 .30902 m
.97371 .3042 L
s
.97619 .30902 m
.97619 .30902 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[38]:=",
  ImageSize->{245.813, 151.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003e0000Ub000`400?l00000o`00003om@3oool0
0?D0oooo003e0?ooo`00m@3oool00?D0oooo003e0?ooo`006@3oool00`000000oooo0?ooo`3I0?oo
o`004@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0=T0oooo000A0?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0f@3oool000X0oooo100000030?ooo`030000003o
ool0oooo00D0oooo0P00002J0?ooo`X00000=P3oool00140oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`2G0?ooo`h00000=03oool00140oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`2E0?oooa800000<P3oool00100oooo0P0000070?ooo`030000003oool0oooo09<0
oooo0`0000000`3oool000000000000<000000040?ooo`000000000000000300oooo000A0?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0T@3oool200000080oooo00<000000?ooo`00
00003@0000001@3oool000000?ooo`3oool0000002l0oooo000I0?ooo`030000003oool0oooo0900
oooo00<000000?ooo`3oool00P3oool00`000000oooo0000000=000000040?ooo`000000oooo0?oo
o`<00000;@3oool001T0oooo00<000000?ooo`3oool0S`3oool2000000@0oooo00<000000?ooo`00
00003@0000001P3oool000000?ooo`3oool000000?ooo`800000;03oool001T0oooo0P00002?0?oo
o`030000003oool0000000@0oooo00<000000?ooo`0000003@0000002@3oool000000?ooo`3oool0
00000?ooo`000000oooo0000000[0?ooo`006@3oool00`000000oooo0?ooo`2=0?ooo`040000003o
ool0oooo000000@0oooo00<000000?ooo`0000003@0000001`3oool000000?ooo`3oool000000?oo
o`0000000P3oool00`000000oooo0?ooo`0X0?ooo`006@3oool00`000000oooo0?ooo`2<0?ooo`05
0000003oool0oooo0?ooo`000000103oool00`000000oooo0000000=000000070?ooo`000000oooo
0?ooo`000000oooo000000030?ooo`030000003oool0oooo02L0oooo000I0?ooo`030000003oool0
oooo08/0oooo0P0000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000003@000000
1`3oool000000?ooo`3oool000000?ooo`0000000`3oool2000002P0oooo000I0?ooo`030000003o
ool0oooo08X0oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0000000d0000000L0oooo0000003oool0oooo0000003oool0000000<0oooo00<000000?ooo`00
00009`3oool001T0oooo00<000000?ooo`3oool0R@3oool010000000oooo0?ooo`0000030?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`0000003@0000001`3oool000000?ooo`3oool00000
0?ooo`0000000`3oool010000000oooo0?ooo`00000V0?ooo`006@3oool2000008T0oooo00D00000
0?ooo`3oool0oooo000000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000003@00
00001`3oool000000?ooo`3oool000000?ooo`0000000`3oool01@000000oooo0?ooo`3oool00000
02D0oooo000I0?ooo`030000003oool0oooo08L0oooo00<000000?ooo`3oool00P3oool01@000000
oooo0?ooo`3oool0000000@0oooo00<000000?ooo`0000003@0000001`3oool000000?ooo`3oool0
00000?ooo`0000000`3oool01@000000oooo0?ooo`3oool0000002D0oooo000I0?ooo`030000003o
ool0oooo08H0oooo0P0000040?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo
0000000=000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool08P3oool001T0oooo00<000000?ooo`3oool0QP3oool2000000@0
oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0000000d0000000L0oooo0000
003oool0oooo0000003oool0000000<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`0Q0?ooo`006@3oool00`000000oooo0?ooo`250?ooo`030000003oool0000000@0oooo00D00000
0?ooo`3oool0oooo000000040?ooo`030000003oool0000000d0000000L0oooo0000003oool0oooo
0000003oool0000000<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0P0?ooo`00
6@3oool00`000000oooo0?ooo`240?ooo`040000003oool0oooo000000@0oooo00D000000?ooo`3o
ool0oooo000000040?ooo`030000003oool0000000d0000000L0oooo0000003oool0oooo0000003o
ool0000000<0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0O0?ooo`006@3oool0
0`000000oooo0?ooo`240?ooo`040000003oool0oooo000000@0oooo00D000000?ooo`3oool0oooo
000000040?ooo`030000003oool0000000d0000000L0oooo0000003oool0oooo0000003oool00000
00<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0N0?ooo`006@3oool2000008@0
oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003oool0oooo0?ooo`000000103oool0
0`000000oooo0000000=000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000
003oool0oooo00H0oooo0P00000O0?ooo`006@3oool00`000000oooo0?ooo`220?ooo`8000000`3o
ool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo
0000000=000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000003oool0oooo
00H0oooo0P00000O0?ooo`006@3oool00`000000oooo0?ooo`220?ooo`8000000`3oool00`000000
oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0000000=0000
00070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`0000007P3oool001T0oooo00<000000?ooo`3oool0P@3oool00`000000oooo00000003
0?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003o
ool0000000d0000000L0oooo0000003oool0oooo0000003oool0000000<0oooo00<000000?ooo`3o
ool01P3oool010000000oooo0?ooo`00000M0?ooo`006@3oool00`000000oooo0?ooo`200?ooo`04
0000003oool0oooo000000<0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0
000000@0oooo00<000000?ooo`0000003@0000001`3oool000000?ooo`3oool000000?ooo`000000
0`3oool00`000000oooo0?ooo`060?ooo`040000003oool0oooo000001d0oooo000I0?ooo`030000
003oool0oooo0800oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`020?ooo`05
0000003oool0oooo0?ooo`000000103oool00`000000oooo0000000=000000070?ooo`000000oooo
0?ooo`000000oooo000000030?ooo`030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo
0000000L0?ooo`006@3oool200000800oooo00D000000?ooo`3oool0oooo000000030?ooo`030000
003oool0oooo0080oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0000000d0
000000L0oooo0000003oool0oooo0000003oool0000000<0oooo00<000000?ooo`3oool01P3oool0
1@000000oooo0?ooo`3oool0000001`0oooo000I0?ooo`030000003oool0oooo07h0oooo00<00000
0?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000@0oooo00D000000?ooo`3oool0oooo
000000040?ooo`030000003oool0000000d0000000L0oooo0000003oool0oooo0000003oool00000
00<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
01T0oooo000I0?ooo`030000003oool0oooo07d0oooo00<000000?ooo`3oool00`3oool01@000000
oooo0?ooo`3oool0000000@0oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0
000000d0000000L0oooo0000003oool0oooo0000003oool0000000<0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01P0oooo000I0?ooo`030000003o
ool0oooo07d0oooo00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3oool0000000@0oooo
00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0000000d0000000L0oooo0000003o
ool0oooo0000003oool0000000<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo01P0oooo000I0?ooo`030000003oool0oooo07`0oooo00<000000?oo
o`3oool0103oool01@000000oooo0?ooo`3oool0000000@0oooo00D000000?ooo`3oool0oooo0000
00040?ooo`030000003oool0000000d0000000L0oooo0000003oool0oooo0000003oool0000000<0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01L0
oooo00080?ooo`<000000`3oool00`000000oooo0?ooo`02000000H0oooo00<000000?ooo`3oool0
N`3oool00`000000oooo0?ooo`050?ooo`050000003oool0oooo0?ooo`000000103oool01@000000
oooo0?ooo`3oool0000000@0oooo00<000000?ooo`0000003@0000001`3oool000000?ooo`3oool0
00000?ooo`0000000`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool05P3oool000P0oooo00@000000?ooo`3oool00000103oool010000000oooo0?oo
o`0000050?ooo`030000003oool0oooo07/0oooo00<000000?ooo`3oool01@3oool01@000000oooo
0?ooo`3oool0000000@0oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool00000
00d0000000L0oooo0000003oool0oooo0000003oool0000000<0oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01H0oooo00030?ooo`@0000000D0oooo
0000003oool0oooo000000070?ooo`030000003oool0oooo00<0oooo0P00001k0?ooo`030000003o
ool0oooo00H0oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003oool0oooo0?ooo`00
0000103oool00`000000oooo0000000=000000070?ooo`000000oooo0?ooo`000000oooo00000003
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0E
0?ooo`00203oool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo000000D0oooo00<0
00000?ooo`3oool0N@3oool2000000P0oooo00D000000?ooo`3oool0oooo000000040?ooo`050000
003oool0oooo0?ooo`000000103oool00`000000oooo0000000=000000070?ooo`000000oooo0?oo
o`000000oooo000000030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool2
000001H0oooo00080?ooo`040000003oool0oooo000000@0oooo0`0000060?ooo`030000003oool0
oooo07T0oooo0P0000080?ooo`050000003oool0oooo0?ooo`000000103oool01@000000oooo0?oo
o`3oool0000000@0oooo00<000000?ooo`0000003@0000001`3oool000000?ooo`3oool000000?oo
o`0000000`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo0P00000F0?oo
o`00203oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0N03oool00`000000oooo000000080?ooo`050000003oool0oooo0?ooo`000000103oool0
1@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`0000003@0000001`3oool000000?oo
o`3oool000000?ooo`0000000`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`0000005@3oool000T0oooo0P0000060?ooo`<000001@3oool00`000000oooo
0?ooo`1h0?ooo`030000003oool0000000P0oooo00D000000?ooo`3oool0oooo000000040?ooo`05
0000003oool0oooo0?ooo`000000103oool00`000000oooo0000000=000000070?ooo`000000oooo
0?ooo`000000oooo000000030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0000000E0?ooo`006@3oool00`000000oooo0?ooo`1g0?ooo`040000003oool0
oooo000000P0oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003oool0oooo0?ooo`00
0000103oool00`000000oooo0000000=000000070?ooo`000000oooo0?ooo`000000oooo00000003
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool010000000oooo0?ooo`00
000D0?ooo`006@3oool00`000000oooo0?ooo`1g0?ooo`040000003oool0oooo000000P0oooo00D0
00000?ooo`3oool0oooo000000040?ooo`050000003oool0oooo0?ooo`000000103oool00`000000
oooo0000000=000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01P3oool010000000oooo0?ooo`00000D0?ooo`006@3oool2
000007L0oooo00D000000?ooo`3oool0oooo000000080?ooo`050000003oool0oooo0?ooo`000000
103oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`0000003@0000001`3oool0
00000?ooo`3oool000000?ooo`0000000`3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00H0oooo00D000000?ooo`3oool0oooo0000000C0?ooo`006@3oool00`000000oooo0?ooo`1e
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01P3oool01@000000oooo0?ooo`3o
ool0000000@0oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0000000d00000
00L0oooo0000003oool0oooo0000003oool0000000<0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`060?ooo`050000003oool0oooo0?ooo`0000004`3oool001T0oooo00<000000?oo
o`3oool0M@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00H0oooo00D000000?oo
o`3oool0oooo000000040?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0000
000=000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0100
oooo000I0?ooo`030000003oool0oooo07@0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`060?ooo`050000003oool0oooo0?ooo`000000103oool01@000000oooo0?ooo`3oool00000
00@0oooo00<000000?ooo`0000003@0000001`3oool000000?ooo`3oool000000?ooo`0000000`3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`0?0?ooo`006@3oool00`000000oooo0?ooo`1d0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0000000@0oooo00D0
00000?ooo`3oool0oooo000000040?ooo`030000003oool0000000d0000000L0oooo0000003oool0
oooo0000003oool0000000<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool03`3oool001T0oooo00<000000?ooo`3o
ool0L`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00H0oooo00D000000?ooo`3o
ool0oooo000000040?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0000000=
000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00h0oooo
000I0?ooo`800000M03oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00H0oooo00D0
00000?ooo`3oool0oooo000000040?ooo`050000003oool0oooo0?ooo`000000103oool00`000000
oooo0000000=000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00h0oooo000I0?ooo`030000003oool0oooo0780oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`060?ooo`050000003oool0oooo0?ooo`000000103oool01@000000oooo0?ooo`3o
ool0000000@0oooo00<000000?ooo`0000003@0000001`3oool000000?ooo`3oool000000?ooo`00
00000`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`0=0?ooo`006@3oool00`000000oooo0?ooo`1b0?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0000000@0
oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0000000d0000000L0oooo0000
003oool0oooo0000003oool0000000<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool03@3oool001T0oooo00<00000
0?ooo`3oool0L@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00D00000
0?ooo`3oool0oooo000000040?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo
0000000=000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00`0oooo000I0?ooo`030000003oool0oooo0700oooo0P0000080?ooo`030000003oool0oooo00H0
oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003oool0oooo0?ooo`000000103oool0
0`000000oooo0000000=000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00`0oooo000I0?ooo`030000003oool0oooo0700oooo0P0000080?ooo`030000003o
ool0oooo00H0oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003oool0oooo0?ooo`00
0000103oool00`000000oooo0000000=000000070?ooo`000000oooo0?ooo`000000oooo00000003
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`06
0?ooo`8000003@3oool001T0oooo00<000000?ooo`3oool0K`3oool00`000000oooo000000080?oo
o`030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003oool0
oooo0?ooo`000000103oool00`000000oooo0000000=000000070?ooo`000000oooo0?ooo`000000
oooo000000030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`060?ooo`8000003@3oool001T0oooo0P00001`0?ooo`030000003oool0000000P0oooo
00<000000?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0000000@0oooo00D000000?ooo`3o
ool0oooo000000040?ooo`030000003oool0000000d0000000L0oooo0000003oool0oooo0000003o
ool0000000<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`000000303oool001T0oooo00<000000?ooo`3oool0KP3oool0
10000000oooo0?ooo`0000080?ooo`030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo
000000040?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0000000=00000007
0?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0000000`0oooo000I0?oo
o`030000003oool0oooo01l0oooo00<000000?ooo`3oool07@3oool4000001l0oooo0P00000:0?oo
o`040000003oool0oooo000000P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`02
000000@0oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0000000d0000000L0
oooo000000000000oooo0000003oool0000000<0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo0`0000020?ooo`030000003oool0oooo00T0
oooo000I0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool07P3oool00`000000oooo
0?ooo`0N0?ooo`040000003oool0oooo000000P0oooo00D000000?ooo`3oool0oooo000000080?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool00P0000040?ooo`050000003oool0oooo
0?ooo`000000103oool00`000000oooo0000000?000000050?ooo`00000000000?ooo`0000000`3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3o
ool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00T0oooo000I0?ooo`030000003o
ool0oooo01l0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0P0?ooo`030000003o
ool0oooo00H0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo00H0oooo
1@0000040?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0000000=00000003
0?ooo`000000oooo0080000000<0oooo0000003oool00P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000030?oo
o`030000003oool0oooo00P0oooo000I0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3o
ool07`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool00P0000040?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0000000?0000
00050?ooo`00000000000?ooo`0000000`3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000030?ooo`030000003o
ool0oooo00P0oooo000I0?ooo`800000803oool00`000000oooo0?ooo`0P0?ooo`030000003oool0
oooo01l0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01P3oool2000000030?ooo`000000000000@0oooo00D00000
0?ooo`3oool0oooo000000040?ooo`030000003oool000000100000000@0oooo0000003oool00000
0`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
0`3oool4000000@0oooo00<000000?ooo`3oool01`3oool001T0oooo00<000000?ooo`3oool07P3o
ool2000001l0oooo00@000000?ooo`3oool000007P3oool010000000oooo0?ooo`0000060?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0000000800000103oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?oo
o`0000003@0000001`3oool000000?ooo`3oool000000?ooo`0000000`3oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool010000000oooo0?oo
o`0000040?ooo`030000003oool0oooo00L0oooo000I0?ooo`030000003oool0oooo01l0oooo00<0
00000?ooo`3oool07P3oool200000200oooo0P0000070?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00800000103o
ool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`0000003@0000000`3oool00000
00000002000000030?ooo`000000oooo0080oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo00@0oooo0`0000050?ooo`030000003oool0oooo00H0oooo
000I0?ooo`030000003oool0oooo06X0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo000000040?ooo`050000
003oool0oooo0?ooo`000000103oool00`000000oooo0000000=000000070?ooo`000000oooo0?oo
o`000000oooo000000030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool01P3oool0
01T0oooo00<000000?ooo`3oool0JP3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0000000@0oooo00D00000
0?ooo`3oool0oooo000000040?ooo`030000003oool0000000d0000000L0oooo0000003oool0oooo
0000003oool0000000<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`00
6@3oool00`000000oooo0?ooo`1Y0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`060?ooo`050000003oool0oooo0?ooo`000000103oool01@000000
oooo0?ooo`3oool0000000@0oooo00<000000?ooo`0000003@0000001`3oool000000?ooo`3oool0
00000?ooo`0000000`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo000I
0?ooo`030000003oool0oooo06T0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003o
ool0oooo0?ooo`000000103oool00`000000oooo0000000=000000070?ooo`000000oooo0?ooo`00
0000oooo000000030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool001@0
ooooh@00000001T0oooo0P0000050?ooo`030000003oool0000000@0oooo00L000000?ooo`3oool0
oooo0000003oool0000000H0oooo00<000000?ooo`3oool0103oool00`000000oooo000000030?oo
o`<000000P3oool00`000000oooo0000000;00000080oooo00<000000?ooo`0000000`3oool20000
0080oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0000000H0oooo00<00000
0?ooo`3oool00`3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`0000001P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool100000040oooo000I0?ooo`8000001`3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool01`000000oooo0?ooo`3o
ool000000?ooo`0000000P3oool00`000000oooo0000000;00000080oooo00<000000?ooo`000000
0`3oool01@000000oooo0?ooo`3oool0000000P0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0K`3oool001T0oooo
00<000000?ooo`0000001P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool01P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool00`00
0000oooo0000000;00000080oooo00<000000?ooo`0000000`3oool01@000000oooo0?ooo`3oool0
000000P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool0K`3oool001T0oooo00<000000?ooo`0000001P3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool01`00
0000oooo0?ooo`3oool000000?ooo`0000000P3oool00`000000oooo0000000;00000080oooo00<0
00000?ooo`0000000`3oool01@000000oooo0?ooo`3oool0000000P0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
L03oool001T0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool01`000000oooo0?ooo`3oool000000?oo
o`0000000P3oool00`000000oooo0000000;00000080oooo00<000000?ooo`0000000`3oool01@00
0000oooo0?ooo`3oool0000000P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0L03oool001T0oooo00@000000?oo
o`3oool000001@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool01P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool00`000000oooo
0000000;00000080oooo00<000000?ooo`0000000`3oool01@000000oooo0?ooo`3oool0000000P0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool0L@3oool001T0oooo0P0000020?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo
00L000000?ooo`3oool0oooo0000003oool000000080oooo00<000000?ooo`0000002`0000020?oo
o`030000003oool0000000<0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo0740oooo000I0?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool01`000000oooo0?ooo`3o
ool000000?ooo`0000000P3oool00`000000oooo0000000;00000080oooo00<000000?ooo`000000
0`3oool01@000000oooo0?ooo`3oool0000000P0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0LP3oool001T0oooo
00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000P0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`060?ooo`070000003oool0oooo0?ooo`000000oooo00000002
0?ooo`030000003oool0000000/000000P3oool00`000000oooo000000030?ooo`050000003oool0
oooo0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`1b0?ooo`006@3oool00`000000oooo0?ooo`02
0?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00H0oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo00<000000?ooo`00
00002`0000020?ooo`030000003oool0000000<0oooo00D000000?ooo`3oool0oooo000000080?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0
000007D0oooo000I0?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool00000203oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00L000000?ooo`3oool0oooo0000
003oool000000080oooo00<000000?ooo`0000002`0000020?ooo`030000003oool0000000<0oooo
00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool01P3oool01@000000oooo0?ooo`3oool0000007D0oooo000I0?ooo`030000003oool0oooo00<0
oooo00@000000?ooo`3oool00000203oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00H0oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo00<000000?ooo`0000002`00
00020?ooo`030000003oool0000000<0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool010000000oooo0?ooo`00001f0?ooo`00
6@3oool2000000D0oooo00<000000?ooo`000000203oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00H0oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo00<000000?oo
o`0000002`0000020?ooo`030000003oool0000000<0oooo00D000000?ooo`3oool0oooo00000008
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool010000000oooo0?ooo`00
001f0?ooo`006@3oool00`000000oooo0?ooo`040?ooo`030000003oool0000000P0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`070000003oool0oooo0?ooo`000000oooo
000000020?ooo`030000003oool0000000/000000P3oool00`000000oooo000000030?ooo`050000
003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`000000M`3oool001T0oooo00<000000?ooo`3oool01@3oool2000000P0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`070000003oool0oooo0?ooo`00
0000oooo000000020?ooo`030000003oool0000000/000000P3oool00`000000oooo000000030?oo
o`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`000000M`3oool001T0oooo00<000000?ooo`3oool01@3oool20000
00P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`070000003oool0oooo
0?ooo`000000oooo000000020?ooo`030000003oool0000000/000000P3oool00`000000oooo0000
00030?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00H0oooo0P00001h0?ooo`006@3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`070000003o
ool0oooo0?ooo`000000oooo000000020?ooo`030000003oool0000000/000000P3oool00`000000
oooo000000030?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo00H0oooo0P00001h0?ooo`006@3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`07
0000003oool0oooo0?ooo`000000oooo000000020?ooo`030000003oool0000000/000000P3oool0
0`000000oooo000000030?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0M`3oool001T0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool01P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool00`000000oooo
0000000;00000080oooo00<000000?ooo`0000000`3oool01@000000oooo0?ooo`3oool0000000P0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo07P0
oooo000I0?ooo`8000002@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool01P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool00`00
0000oooo0000000;00000080oooo00<000000?ooo`0000000`3oool01@000000oooo0?ooo`3oool0
000000P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo07P0oooo000I0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00L000000?ooo`3oool0oooo0000003o
ool000000080oooo00<000000?ooo`0000002`0000020?ooo`030000003oool0000000<0oooo00D0
00000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`1i0?ooo`006@3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`070000003o
ool0oooo0?ooo`000000oooo000000020?ooo`030000003oool0000000/000000P3oool00`000000
oooo000000030?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0N@3oool001T0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool01P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool00`000000oooo0000000;
00000080oooo00<000000?ooo`0000000`3oool01@000000oooo0?ooo`3oool0000000P0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo07X0oooo000I
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00H0oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo
00<000000?ooo`0000002`0000020?ooo`030000003oool0000000<0oooo00D000000?ooo`3oool0
oooo000000080?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`1j0?ooo`006@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`070000003oool0oooo0?ooo`00
0000oooo000000020?ooo`030000003oool0000000/000000P3oool00`000000oooo000000030?oo
o`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool0N`3oool001T0oooo0P00000<0?ooo`050000003oool0oooo
0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`070000003oool0oooo0?ooo`000000oooo
000000020?ooo`030000003oool0000000/000000P3oool00`000000oooo000000030?ooo`050000
003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`050000003oool0oooo0?oo
o`000000OP3oool001T0oooo00<000000?ooo`3oool02`3oool01@000000oooo0?ooo`3oool00000
00P0oooo00<000000?ooo`3oool01P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3o
ool00`000000oooo0000000;00000080oooo00<000000?ooo`0000000`3oool01@000000oooo0?oo
o`3oool0000000P0oooo00<000000?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0000007h0
oooo000I0?ooo`030000003oool0oooo00`0oooo00@000000?ooo`3oool00000203oool00`000000
oooo0?ooo`060?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`030000003oool0
000000/000000P3oool00`000000oooo000000030?ooo`050000003oool0oooo0?ooo`000000203o
ool00`000000oooo0?ooo`060?ooo`040000003oool0oooo000007l0oooo000I0?ooo`030000003o
ool0oooo00`0oooo00@000000?ooo`3oool00000203oool00`000000oooo0?ooo`060?ooo`070000
003oool0oooo0?ooo`000000oooo000000020?ooo`030000003oool0000000/000000P3oool00`00
0000oooo000000030?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`06
0?ooo`040000003oool0oooo000007l0oooo000I0?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`070000003oool0oooo0?ooo`000000oooo
000000020?ooo`030000003oool0000000/000000P3oool00`000000oooo000000030?ooo`050000
003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`030000003oool000000800
oooo00080?ooo`<000000`3oool00`000000oooo0?ooo`02000000H0oooo00<000000?ooo`3oool0
3@3oool00`000000oooo000000080?ooo`030000003oool0oooo00H0oooo00L000000?ooo`3oool0
oooo0000003oool000000080oooo00<000000?ooo`0000002`0000020?ooo`030000003oool00000
00<0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`000000P03oool000P0oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`00
00050?ooo`030000003oool0oooo00h0oooo0P0000080?ooo`030000003oool0oooo00H0oooo00L0
00000?ooo`3oool0oooo0000003oool000000080oooo00<000000?ooo`0000002`0000020?ooo`03
0000003oool0000000<0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo
00H0oooo0P0000210?ooo`00203oool010000000oooo0?ooo`0000070?ooo`030000003oool0oooo
00<0oooo0P00000?0?ooo`800000203oool00`000000oooo0?ooo`060?ooo`070000003oool0oooo
0?ooo`000000oooo000000020?ooo`030000003oool0000000/000000P3oool00`000000oooo0000
00030?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?ooo`800000
P@3oool000P0oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`0000050?ooo`03
0000003oool0oooo00l0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`07
0000003oool0oooo0?ooo`000000oooo000000020?ooo`030000003oool0000000/000000P3oool0
0`000000oooo000000030?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo0800oooo00080?ooo`040000003oool0oooo000000@0oooo0`00
00060?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`060?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`030000003oool0000000/0
00000P3oool00`000000oooo000000030?ooo`050000003oool0oooo0?ooo`000000203oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo0840oooo00080?ooo`040000003oool0oooo0000
00D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool01P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3o
ool00`000000oooo0000000;00000080oooo00<000000?ooo`0000000`3oool01@000000oooo0?oo
o`3oool0000000P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`210?ooo`002@3o
ool2000000H0oooo0`0000050?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`060?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`03
0000003oool0000000/000000P3oool00`000000oooo000000030?ooo`050000003oool0oooo0?oo
o`000000203oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0880oooo000I0?ooo`03
0000003oool0oooo0180oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`060?ooo`07
0000003oool0oooo0?ooo`000000oooo000000020?ooo`030000003oool0000000/000000P3oool0
0`000000oooo000000030?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo08<0oooo000I0?ooo`030000003oool0oooo0180oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`060?ooo`070000003oool0oooo0?ooo`000000oooo
000000020?ooo`030000003oool0000000/000000P3oool00`000000oooo000000030?ooo`050000
003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo08<0
oooo000I0?ooo`800000503oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00H0oooo
00L000000?ooo`3oool0oooo0000003oool000000080oooo00<000000?ooo`0000002`0000020?oo
o`030000003oool0000000<0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool0Q03oool001T0oooo00<000000?ooo`3oool0503oool01@00
0000oooo0?ooo`3oool0000000P0oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo
00<000000?ooo`0000002`0000020?ooo`030000003oool0000000<0oooo00D000000?ooo`3oool0
oooo000000080?ooo`050000003oool0oooo0?ooo`000000Q`3oool001T0oooo00<000000?ooo`3o
ool05@3oool010000000oooo0?ooo`0000080?ooo`070000003oool0oooo0?ooo`000000oooo0000
00020?ooo`030000003oool0000000/000000P3oool00`000000oooo000000030?ooo`050000003o
ool0oooo0?ooo`000000203oool010000000oooo0?ooo`0000280?ooo`006@3oool00`000000oooo
0?ooo`0E0?ooo`040000003oool0oooo000000P0oooo00L000000?ooo`3oool0oooo0000003oool0
00000080oooo00<000000?ooo`0000002`0000020?ooo`030000003oool0000000<0oooo00D00000
0?ooo`3oool0oooo000000080?ooo`040000003oool0oooo000008P0oooo000I0?ooo`030000003o
ool0oooo01H0oooo00<000000?ooo`000000203oool01`000000oooo0?ooo`3oool000000?ooo`00
00000P3oool00`000000oooo0000000;00000080oooo00<000000?ooo`0000000`3oool01@000000
oooo0?ooo`3oool0000000P0oooo00<000000?ooo`000000R@3oool001T0oooo00<000000?ooo`3o
ool05`3oool2000000P0oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo00<00000
0?ooo`0000002`0000020?ooo`030000003oool0000000<0oooo00D000000?ooo`3oool0oooo0000
00080?ooo`800000RP3oool001T0oooo0P00000H0?ooo`800000203oool01`000000oooo0?ooo`3o
ool000000?ooo`0000000P3oool00`000000oooo0000000;00000080oooo00<000000?ooo`000000
0`3oool01@000000oooo0?ooo`3oool0000000P0oooo0P00002:0?ooo`006@3oool00`000000oooo
0?ooo`0H0?ooo`030000003oool0oooo00H0oooo00L000000?ooo`3oool0oooo0000003oool00000
0080oooo00<000000?ooo`0000002`0000020?ooo`030000003oool0000000<0oooo00D000000?oo
o`3oool0oooo000000080?ooo`030000003oool0oooo08T0oooo000I0?ooo`030000003oool0oooo
01T0oooo00<000000?ooo`3oool01@3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3o
ool00`000000oooo0000000;00000080oooo00<000000?ooo`0000000`3oool01@000000oooo0?oo
o`3oool0000000L0oooo00<000000?ooo`3oool0RP3oool001T0oooo00<000000?ooo`3oool06P3o
ool00`000000oooo0?ooo`040?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`03
0000003oool0000000/000000P3oool00`000000oooo000000030?ooo`050000003oool0oooo0?oo
o`0000001P3oool00`000000oooo0?ooo`2;0?ooo`006@3oool00`000000oooo0?ooo`0K0?ooo`03
0000003oool0oooo00<0oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo00<00000
0?ooo`0000002`0000020?ooo`030000003oool0000000<0oooo00D000000?ooo`3oool0oooo0000
00050?ooo`030000003oool0oooo08`0oooo000I0?ooo`030000003oool0oooo01`0oooo00<00000
0?ooo`3oool00P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool00`000000oooo
0000000;00000080oooo00<000000?ooo`0000000`3oool01@000000oooo0?ooo`3oool0000000@0
oooo00<000000?ooo`3oool0S@3oool001T0oooo00<000000?ooo`3oool0703oool00`000000oooo
0?ooo`020?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`030000003oool00000
00/000000P3oool00`000000oooo000000030?ooo`050000003oool0oooo0?ooo`0000000`3oool0
0`000000oooo0?ooo`2>0?ooo`006@3oool2000001h0oooo00D000000?ooo`3oool0oooo00000003
0?ooo`030000003oool000000080oooo00<000000?ooo`0000002`0000020?ooo`030000003oool0
000000<0oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003oool0oooo08h0oooo000I
0?ooo`030000003oool0oooo01h0oooo00@000000?ooo`3oool000000`3oool00`000000oooo0000
00020?ooo`030000003oool0000000/000000P3oool00`000000oooo000000030?ooo`050000003o
ool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`2?0?ooo`006@3oool00`000000oooo0?oo
o`0O0?ooo`030000003oool0000000<0oooo00<000000?ooo`0000000P3oool00`000000oooo0000
000;00000080oooo00<000000?ooo`0000000`3oool01`000000oooo0?ooo`3oool000000?ooo`00
0000TP3oool001T0oooo00<000000?ooo`3oool0803oool2000000<0oooo00<000000?ooo`000000
0P3oool00`000000oooo0000000;00000080oooo00<000000?ooo`0000000`3oool010000000oooo
0?ooo`3oool2000009<0oooo000I0?ooo`030000003oool0oooo0240oooo00L000000?ooo`3oool0
oooo0000003oool000000080oooo00<000000?ooo`0000002`0000020?ooo`030000003oool00000
00<0oooo00D000000?ooo`3oool0oooo0000002D0?ooo`006@3oool00`000000oooo0?ooo`0R0?oo
o`060000003oool0oooo0000003oool000000P3oool00`000000oooo0000000;00000080oooo00<0
00000?ooo`0000000`3oool010000000oooo0?ooo`00002E0?ooo`006@3oool00`000000oooo0?oo
o`0S0?ooo`050000003oool000000?ooo`0000000P3oool00`000000oooo0000000;00000080oooo
00<000000?ooo`0000000`3oool00`000000oooo0000002F0?ooo`006@3oool2000002D0oooo0P00
00001P3oool000000?ooo`3oool000000?ooo``000000P3oool00`000000oooo000000030?ooo`80
0000U`3oool001T0oooo00<000000?ooo`3oool09@3oool00`000000oooo000000020?ooo`030000
003oool0000000/000000P3oool00`000000oooo000000030?ooo`030000003oool0oooo09H0oooo
000I0?ooo`030000003oool0oooo02H0oooo0P0000020?ooo`030000003oool0000000/000000P3o
ool00`000000oooo000000020?ooo`030000003oool0oooo09L0oooo000I0?ooo`030000003oool0
oooo02L0oooo0P0000000`3oool000000?ooo`0<00000080oooo00<000000?ooo`0000000P00002J
0?ooo`004@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02T0oooo0P0000000`3o
ool000000000000:00000080oooo00<000000?ooo`000000W03oool00140oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`0[0?oooa400000W@3oool00140oooo00<000000?ooo`3oool0
1@3oool2000002l0oooo2@00002R0?ooo`004@3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo0=T0oooo000A0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0f@3oool0
0100oooo0P0000070?ooo`030000003oool0oooo0=T0oooo000A0?ooo`030000003oool0oooo0>40
oooo003e0?ooo`00m@3oool00?D0oooo003e0?ooo`00m@3oool00001\
\>"],
  ImageRangeCache->{{{153.125, 304.5}, {620.625, 527.438}} -> {-8.02485, \
11.7646, 0.0294529, 0.0151692}},
  CellTags->"IPM3.Sol.9.1"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["9.2",
    ButtonData:>"IPM3.9.2.5",
    ButtonStyle->"SolutionsLink"],
  "  Graphics programming"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{

Cell[TextData[{
  "The function ",
  StyleBox["ComplexListPlot",
    FontFamily->"Courier"],
  " plots a list of complex numbers in the complex plane, with the real part \
identified with the horizontal axis and the imaginary part identified with \
the vertical axis. The appropriate options are extracted from ",
  StyleBox["ComplexListPlot", "MR"],
  " using ",
  StyleBox["FilterOptions", "MR"],
  ", given the name ",
  StyleBox["complexOpts", "MR"],
  ", and then passed to ",
  StyleBox["ListPlot", "MR"],
  "."
}], "SolutionItem",
  CellTags->{"IPM3.Sol.9.2", "i:6"}],

Cell[BoxData[
    \(<< Utilities`FilterOptions`\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(ComplexListPlot[points_, opts___] := 
      Module[{complexOpts = 
            FilterOptions[ListPlot, opts]}, \[IndentingNewLine]ListPlot[
          Map[{Re[#1], Im[#1]} &, points], complexOpts, 
          PlotStyle \[Rule] {RGBColor[1, 0, 0], PointSize[ .025]}, 
          AxesLabel \[Rule] {"\<Re\>", "\<Im\>"}]]\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell["This plots four complex numbers in the plane.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ComplexListPlot[{\(-1\) + I, 2 + I, 1 - 2  I, 0, 1}];\)\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.34127 0.31746 0.407118 0.196201 [
[.02381 .39462 -7.59375 -11.875 ]
[.02381 .39462 7.59375 0 ]
[.18254 .39462 -11.3438 -11.875 ]
[.18254 .39462 11.3438 0 ]
[.5 .39462 -8.25 -11.875 ]
[.5 .39462 8.25 0 ]
[.65873 .39462 -4.5 -11.875 ]
[.65873 .39462 4.5 0 ]
[.81746 .39462 -8.25 -11.875 ]
[.81746 .39462 8.25 0 ]
[.97619 .39462 -4.5 -11.875 ]
[.97619 .39462 4.5 0 ]
[1.025 .40712 0 -5.9375 ]
[1.025 .40712 15.4375 5.9375 ]
[.32877 .01472 -15.1875 -5.9375 ]
[.32877 .01472 0 5.9375 ]
[.32877 .11282 -22.6875 -5.9375 ]
[.32877 .11282 0 5.9375 ]
[.32877 .21092 -15.1875 -5.9375 ]
[.32877 .21092 0 5.9375 ]
[.32877 .30902 -22.6875 -5.9375 ]
[.32877 .30902 0 5.9375 ]
[.32877 .50522 -16.5 -5.9375 ]
[.32877 .50522 0 5.9375 ]
[.32877 .60332 -9 -5.9375 ]
[.32877 .60332 0 5.9375 ]
[.34127 .64303 -7.03125 0 ]
[.34127 .64303 7.03125 11.875 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.02381 .40712 m
.02381 .41337 L
s
gsave
.02381 .39462 -68.5938 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.18254 .40712 m
.18254 .41337 L
s
gsave
.18254 .39462 -72.3438 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.5 .40712 m
.5 .41337 L
s
gsave
.5 .39462 -69.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.65873 .40712 m
.65873 .41337 L
s
gsave
.65873 .39462 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.81746 .40712 m
.81746 .41337 L
s
gsave
.81746 .39462 -69.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.5) show
1.000 setlinewidth
grestore
.97619 .40712 m
.97619 .41337 L
s
gsave
.97619 .39462 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.125 Mabswid
.05556 .40712 m
.05556 .41087 L
s
.0873 .40712 m
.0873 .41087 L
s
.11905 .40712 m
.11905 .41087 L
s
.15079 .40712 m
.15079 .41087 L
s
.21429 .40712 m
.21429 .41087 L
s
.24603 .40712 m
.24603 .41087 L
s
.27778 .40712 m
.27778 .41087 L
s
.30952 .40712 m
.30952 .41087 L
s
.37302 .40712 m
.37302 .41087 L
s
.40476 .40712 m
.40476 .41087 L
s
.43651 .40712 m
.43651 .41087 L
s
.46825 .40712 m
.46825 .41087 L
s
.53175 .40712 m
.53175 .41087 L
s
.56349 .40712 m
.56349 .41087 L
s
.59524 .40712 m
.59524 .41087 L
s
.62698 .40712 m
.62698 .41087 L
s
.69048 .40712 m
.69048 .41087 L
s
.72222 .40712 m
.72222 .41087 L
s
.75397 .40712 m
.75397 .41087 L
s
.78571 .40712 m
.78571 .41087 L
s
.84921 .40712 m
.84921 .41087 L
s
.88095 .40712 m
.88095 .41087 L
s
.9127 .40712 m
.9127 .41087 L
s
.94444 .40712 m
.94444 .41087 L
s
.25 Mabswid
0 .40712 m
1 .40712 L
s
gsave
1.025 .40712 -61 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Re) show
74.438 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.34127 .01472 m
.34752 .01472 L
s
gsave
.32877 .01472 -76.1875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.34127 .11282 m
.34752 .11282 L
s
gsave
.32877 .11282 -83.6875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.5) show
1.000 setlinewidth
grestore
.34127 .21092 m
.34752 .21092 L
s
gsave
.32877 .21092 -76.1875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.34127 .30902 m
.34752 .30902 L
s
gsave
.32877 .30902 -83.6875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.34127 .50522 m
.34752 .50522 L
s
gsave
.32877 .50522 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.34127 .60332 m
.34752 .60332 L
s
gsave
.32877 .60332 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.125 Mabswid
.34127 .03434 m
.34502 .03434 L
s
.34127 .05396 m
.34502 .05396 L
s
.34127 .07358 m
.34502 .07358 L
s
.34127 .0932 m
.34502 .0932 L
s
.34127 .13244 m
.34502 .13244 L
s
.34127 .15206 m
.34502 .15206 L
s
.34127 .17168 m
.34502 .17168 L
s
.34127 .1913 m
.34502 .1913 L
s
.34127 .23054 m
.34502 .23054 L
s
.34127 .25016 m
.34502 .25016 L
s
.34127 .26978 m
.34502 .26978 L
s
.34127 .2894 m
.34502 .2894 L
s
.34127 .32864 m
.34502 .32864 L
s
.34127 .34826 m
.34502 .34826 L
s
.34127 .36788 m
.34502 .36788 L
s
.34127 .3875 m
.34502 .3875 L
s
.34127 .42674 m
.34502 .42674 L
s
.34127 .44636 m
.34502 .44636 L
s
.34127 .46598 m
.34502 .46598 L
s
.34127 .4856 m
.34502 .4856 L
s
.34127 .52484 m
.34502 .52484 L
s
.34127 .54446 m
.34502 .54446 L
s
.34127 .56408 m
.34502 .56408 L
s
.34127 .5837 m
.34502 .5837 L
s
.25 Mabswid
.34127 0 m
.34127 .61803 L
s
gsave
.34127 .64303 -68.0313 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Im) show
73.063 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.025 w
.02381 .60332 Mdot
.97619 .60332 Mdot
.65873 .01472 Mdot
.34127 .40712 Mdot
.65873 .40712 Mdot
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[3]:=",
  ImageSize->{245.125, 150.938},
  ImageMargins->{{41.3125, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003e0000UR000`400?l00000o`00003om@3oool0
0?D0oooo001?0?ooo`030000003oool0oooo0:<0oooo00160?ooo`@000001@3oool00`000000oooo
0?ooo`2S0?ooo`00A`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo03l0oooo0`3o
001Q0?ooo`00@03oool4000000@0oooo00<000000?ooo`3oool0103oool2000003l0oooo1@3o001P
0?ooo`00B03oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo03h0oooo1@3o001P0?oo
o`00B@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo03h0oooo1@3o001P0?ooo`00
AP3oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo03l0oooo0`3o001Q0?ooo`00
A`3oool2000000H0oooo00<000000?ooo`3oool0X`3oool004l0oooo0P00002T0?ooo`00C`3oool0
0`000000oooo0?ooo`2S0?ooo`00C`3oool00`000000oooo0?ooo`2S0?ooo`00C`3oool00`000000
oooo0?ooo`2S0?ooo`00C`3oool200000:@0oooo001?0?ooo`030000003oool0oooo0:<0oooo001?
0?ooo`030000003oool0oooo0:<0oooo001?0?ooo`030000003oool0oooo0:<0oooo001?0?ooo`80
0000Y03oool004l0oooo00<000000?ooo`3oool0X`3oool004l0oooo00<000000?ooo`3oool0X`3o
ool004l0oooo00<000000?ooo`3oool0X`3oool004l0oooo0P00002T0?ooo`00C`3oool00`000000
oooo0?ooo`2S0?ooo`00@03oool01@000000oooo0?ooo`3oool000000080oooo0P0000060?ooo`03
0000003oool0oooo0:<0oooo00100?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool0
00001@3oool00`000000oooo0?ooo`2S0?ooo`00>@3oool4000000<0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`030?ooo`800000Y03oool00400oooo00<000000?ooo`3oool00`3o
ool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo0:<0oooo00100?ooo`030000003o
ool0oooo00<0oooo0`0000060?ooo`030000003oool0oooo0:<0oooo000o0?ooo`8000001P3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo0:<0oooo00100?ooo`030000003oool0oooo
00@0oooo0`0000050?ooo`800000Y03oool004l0oooo00<000000?ooo`3oool0X`3oool004l0oooo
00<000000?ooo`3oool0X`3oool004l0oooo00<000000?ooo`3oool0X`3oool004l0oooo0P00002T
0?ooo`00C`3oool00`000000oooo0?ooo`2S0?ooo`00C`3oool00`000000oooo0?ooo`2S0?ooo`00
C`3oool00`000000oooo0?ooo`2S0?ooo`00C`3oool00`000000oooo0?ooo`2S0?ooo`00C`3oool2
00000:@0oooo001?0?ooo`030000003oool0oooo0:<0oooo001?0?ooo`030000003oool0oooo0:<0
oooo001?0?ooo`030000003oool0oooo0:<0oooo001?0?ooo`800000Y03oool004l0oooo00<00000
0?ooo`3oool0X`3oool004P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`2S0?oo
o`00B03oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0:<0oooo00100?ooo`@00000
103oool00`000000oooo0?ooo`040?ooo`800000Y03oool004P0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`2S0?ooo`00B03oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo0:<0oooo00170?ooo`8000001P3oool00`000000oooo0?ooo`2S0?ooo`00B03oool00`000000
oooo0?ooo`040?ooo`800000Y03oool004l0oooo00<000000?ooo`3oool0X`3oool004l0oooo00<0
00000?ooo`3oool0X`3oool004l0oooo00<000000?ooo`3oool0X`3oool004l0oooo0P00002T0?oo
o`00C`3oool00`000000oooo0?ooo`2S0?ooo`00C`3oool00`000000oooo0?ooo`2S0?ooo`00C`3o
ool00`000000oooo0?ooo`2S0?ooo`00C`3oool200000:@0oooo001?0?ooo`030000003oool0oooo
0:<0oooo001?0?ooo`030000003oool0oooo0:<0oooo001?0?ooo`030000003oool0oooo0:<0oooo
001?0?ooo`800000Y03oool004l0oooo00<000000?ooo`3oool0X`3oool003h0oooo0`0000030?oo
o`030000003oool0oooo008000001P3oool00`000000oooo0?ooo`2S0?ooo`00?P3oool010000000
oooo0?ooo`0000040?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool0X`3oool0
03T0oooo100000001@3oool000000?ooo`3oool0000000L0oooo00<000000?ooo`3oool00`3oool2
00000:@0oooo000n0?ooo`040000003oool0oooo000000@0oooo00@000000?ooo`3oool000001@3o
ool00`000000oooo0?ooo`2S0?ooo`00?P3oool010000000oooo0?ooo`0000040?ooo`<000001P3o
ool00`000000oooo0?ooo`2S0?ooo`00?P3oool010000000oooo0?ooo`0000050?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0X`3oool003l0oooo0P0000060?ooo`<000001@3oool0
0`000000oooo0?ooo`2S0?ooo`00C`3oool200000:@0oooo001?0?ooo`030000003oool0oooo0:<0
oooo001?0?ooo`030000003oool0oooo0:<0oooo001?0?ooo`030000003oool0oooo0:<0oooo001?
0?ooo`800000Y03oool000l0oooo00<000000?ooo`3oool06@3oool3000000<0oooo00<000000?oo
o`3oool00P00000I0?ooo`030000003oool0oooo01P0oooo0`0000030?ooo`030000003oool0oooo
00800000703oool00`000000oooo0?ooo`0K0?ooo`050000003oool0oooo0?ooo`0000000P3oool2
000001X0oooo1000000O0?ooo`003`3oool00`000000oooo0?ooo`0I0?ooo`040000003oool0oooo
000000@0oooo00@000000?ooo`3oool00000603oool00`000000oooo0?ooo`0H0?ooo`040000003o
ool0oooo000000@0oooo00@000000?ooo`3oool000006`3oool00`000000oooo0?ooo`0K0?ooo`03
0000003oool0oooo00<0oooo00@000000?ooo`3oool000006P3oool00`000000oooo0?ooo`0O0?oo
o`00203oool4000000<0oooo00<000000?ooo`3oool04`3oool400000080oooo00@000000?ooo`3o
ool000001`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo01P0oooo00@000000?oo
o`3oool000001`3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo01/0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo01h0oooo000?0?oo
o`030000003oool0oooo01T0oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`00
000H0?ooo`8000006@3oool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo000001/0
oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo0000
01/0oooo00<000000?ooo`3oool07P3oool000l0oooo00<000000?ooo`3oool06@3oool010000000
oooo0?ooo`0000040?ooo`<000006@3oool00`000000oooo0?ooo`0H0?ooo`040000003oool0oooo
000000@0oooo0`00000L0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool00`3oool3
000001d0oooo00<000000?ooo`3oool07@3oool000h0oooo0P00000K0?ooo`040000003oool0oooo
000000D0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0H0?ooo`040000003oool0
oooo000000D0oooo00<000000?ooo`3oool06P3oool2000001`0oooo0P0000060?ooo`030000003o
ool0oooo01T0oooo00@000000?ooo`3oool000007`3oool000l0oooo00<000000?ooo`3oool06P3o
ool2000000H0oooo0`00000H0?ooo`030000003oool0oooo01T0oooo0P0000060?ooo`<000006`3o
ool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo00@0oooo0`00000J0?ooo`800000803o
ool004l0oooo0P00002T0?ooo`00C`3oool00`000000oooo0?ooo`2S0?ooo`00CP3oool30?l00400
oooo0`3o001>0?ooo`050000003oool0oooo0?ooo`0000000P3oool3000000T0oooo001=0?ooo`D0
o`00?P3oool50?l004d0oooo00L000000?ooo`3oool0oooo0000003oool0000000`0oooo00070?oo
odH000001@3o000n000000D0o`00AP0000070?ooo`040000003oool0oooo00000080oooo10000009
0?ooo`00303oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`020?ooo`D0o`00103oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool50?l000@0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool02P3oool400000080oooo00@000000?ooo`3oool000002@3oool004h0oooo0`3o00100?oo
o`<0o`00CP3oool01@000000oooo0?ooo`3oool000000080oooo0P00000:0?ooo`00C`3oool00`00
0000oooo0?ooo`2@0?ooo`050000003oool0oooo0?ooo`0000003P3oool004l0oooo0P00002A0?oo
o`@000003`3oool004l0oooo00<000000?ooo`3oool0X`3oool004l0oooo00<000000?ooo`3oool0
X`3oool004l0oooo00<000000?ooo`3oool0X`3oool004l0oooo0P00002T0?ooo`00C`3oool00`00
0000oooo0?ooo`2S0?ooo`00C`3oool00`000000oooo0?ooo`2S0?ooo`00C`3oool00`000000oooo
0?ooo`2S0?ooo`00C`3oool200000:@0oooo001?0?ooo`030000003oool0oooo0:<0oooo001?0?oo
o`030000003oool0oooo0:<0oooo001?0?ooo`030000003oool0oooo0:<0oooo001?0?ooo`030000
003oool0oooo0:<0oooo001?0?ooo`800000Y03oool004l0oooo00<000000?ooo`3oool0X`3oool0
03h0oooo0`0000030?ooo`030000003oool0oooo008000001P3oool00`000000oooo0?ooo`2S0?oo
o`00?P3oool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo000000D0oooo00<00000
0?ooo`3oool0X`3oool003h0oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`03
0?ooo`800000Y03oool003h0oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`00
00050?ooo`030000003oool0oooo0:<0oooo000n0?ooo`040000003oool0oooo000000@0oooo0`00
00060?ooo`030000003oool0oooo0:<0oooo000n0?ooo`040000003oool0oooo000000D0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`2S0?ooo`00?`3oool2000000H0oooo0`000005
0?ooo`800000Y03oool004l0oooo00<000000?ooo`3oool0X`3oool004l0oooo00<000000?ooo`3o
ool0X`3oool004l0oooo00<000000?ooo`3oool0X`3oool004l0oooo0P00002T0?ooo`00C`3oool0
0`000000oooo0?ooo`2S0?ooo`00C`3oool00`000000oooo0?ooo`2S0?ooo`00C`3oool00`000000
oooo0?ooo`2S0?ooo`00C`3oool200000:@0oooo001?0?ooo`030000003oool0oooo0:<0oooo001?
0?ooo`030000003oool0oooo0:<0oooo001?0?ooo`030000003oool0oooo0:<0oooo001?0?ooo`80
0000Y03oool004l0oooo00<000000?ooo`3oool0X`3oool000/0oooo0`3o000j0?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0PP3oool30?l001h0oooo000:0?ooo`D0o`00>@3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo0840oooo1@3o000M0?ooo`002P3oool50?l0
03T0oooo00<000000?ooo`3oool0103oool200000880oooo1@3o000M0?ooo`002P3oool50?l003T0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`210?ooo`D0o`007@3oool000/0oooo
0`3o000j0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0PP3oool30?l001h0oooo
00170?ooo`8000001P3oool00`000000oooo0?ooo`2S0?ooo`00B03oool00`000000oooo0?ooo`2Z
0?ooo`00m@3oool00?D0oooo003e0?ooo`00m@3oool00?D0oooo003e0?ooo`00m@3oool004/0oooo
00<000000?ooo`0000000P3oool010000000oooo0?ooo`00002Q0?ooo`00B`3oool00`000000oooo
000000020?ooo`040000003oool0oooo00000:40oooo001;0?ooo`030000003oool000000080oooo
00@000000?ooo`3oool00000X@3oool004/0oooo00<000000?ooo`0000000P3oool010000000oooo
0?ooo`00002Q0?ooo`00B`3oool00`000000oooo0000000500000:80oooo001;0?ooo`030000003o
ool0oooo0:L0oooo001;0?ooo`030000003oool0oooo0:L0oooo003e0?ooo`00m@3oool00001\
\>"],
  ImageRangeCache->{{{0, 244.125}, {149.938, 0}} -> {-1.19284, -2.14391, \
0.0149797, 0.0242377}},
  CellTags->"IPM3.Sol.9.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "The function ",
  StyleBox["RootPlot",
    FontFamily->"Courier"],
  ", takes a polynomial, solves for its roots, and then uses ",
  StyleBox["ComplexListPlot",
    FontFamily->"Courier"],
  " from Exercise 1 to plot these roots in the complex plane."
}], "SolutionItem",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(RootPlot[poly_, z_, opts___] := 
      ComplexListPlot[z /. NSolve[poly == 0, z], opts]\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(RootPlot[1 + z + 2\ z\^2 + 3\ z\^3 + 5\ z\^4 + 8\ z\^5 + 13\ z\^6, z, 
        AspectRatio \[Rule] Automatic];\)\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1.26068 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.594284 0.942318 0.630338 0.942318 [
[.02889 .61784 -11.3438 -11.875 ]
[.02889 .61784 11.3438 0 ]
[.21736 .61784 -11.3438 -11.875 ]
[.21736 .61784 11.3438 0 ]
[.40582 .61784 -11.3438 -11.875 ]
[.40582 .61784 11.3438 0 ]
[.78275 .61784 -8.25 -11.875 ]
[.78275 .61784 8.25 0 ]
[.97121 .61784 -8.25 -11.875 ]
[.97121 .61784 8.25 0 ]
[1.025 .63034 0 -5.9375 ]
[1.025 .63034 15.4375 5.9375 ]
[.58178 .06495 -22.6875 -5.9375 ]
[.58178 .06495 0 5.9375 ]
[.58178 .25341 -22.6875 -5.9375 ]
[.58178 .25341 0 5.9375 ]
[.58178 .44187 -22.6875 -5.9375 ]
[.58178 .44187 0 5.9375 ]
[.58178 .8188 -16.5 -5.9375 ]
[.58178 .8188 0 5.9375 ]
[.58178 1.00727 -16.5 -5.9375 ]
[.58178 1.00727 0 5.9375 ]
[.58178 1.19573 -16.5 -5.9375 ]
[.58178 1.19573 0 5.9375 ]
[.59428 1.28568 -7.03125 0 ]
[.59428 1.28568 7.03125 11.875 ]
[ 0 0 0 0 ]
[ 1 1.26068 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.02889 .63034 m
.02889 .63659 L
s
gsave
.02889 .61784 -72.3438 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.6) show
1.000 setlinewidth
grestore
.21736 .63034 m
.21736 .63659 L
s
gsave
.21736 .61784 -72.3438 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.4) show
1.000 setlinewidth
grestore
.40582 .63034 m
.40582 .63659 L
s
gsave
.40582 .61784 -72.3438 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.2) show
1.000 setlinewidth
grestore
.78275 .63034 m
.78275 .63659 L
s
gsave
.78275 .61784 -69.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.2) show
1.000 setlinewidth
grestore
.97121 .63034 m
.97121 .63659 L
s
gsave
.97121 .61784 -69.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.4) show
1.000 setlinewidth
grestore
.125 Mabswid
.07601 .63034 m
.07601 .63409 L
s
.12313 .63034 m
.12313 .63409 L
s
.17024 .63034 m
.17024 .63409 L
s
.26447 .63034 m
.26447 .63409 L
s
.31159 .63034 m
.31159 .63409 L
s
.3587 .63034 m
.3587 .63409 L
s
.45294 .63034 m
.45294 .63409 L
s
.50005 .63034 m
.50005 .63409 L
s
.54717 .63034 m
.54717 .63409 L
s
.6414 .63034 m
.6414 .63409 L
s
.68852 .63034 m
.68852 .63409 L
s
.73563 .63034 m
.73563 .63409 L
s
.82986 .63034 m
.82986 .63409 L
s
.87698 .63034 m
.87698 .63409 L
s
.9241 .63034 m
.9241 .63409 L
s
.25 Mabswid
0 .63034 m
1 .63034 L
s
gsave
1.025 .63034 -61 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Re) show
74.438 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.59428 .06495 m
.60053 .06495 L
s
gsave
.58178 .06495 -83.6875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.6) show
1.000 setlinewidth
grestore
.59428 .25341 m
.60053 .25341 L
s
gsave
.58178 .25341 -83.6875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.4) show
1.000 setlinewidth
grestore
.59428 .44187 m
.60053 .44187 L
s
gsave
.58178 .44187 -83.6875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.2) show
1.000 setlinewidth
grestore
.59428 .8188 m
.60053 .8188 L
s
gsave
.58178 .8188 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.2) show
1.000 setlinewidth
grestore
.59428 1.00727 m
.60053 1.00727 L
s
gsave
.58178 1.00727 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.4) show
1.000 setlinewidth
grestore
.59428 1.19573 m
.60053 1.19573 L
s
gsave
.58178 1.19573 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.6) show
1.000 setlinewidth
grestore
.125 Mabswid
.59428 .11206 m
.59803 .11206 L
s
.59428 .15918 m
.59803 .15918 L
s
.59428 .20629 m
.59803 .20629 L
s
.59428 .30053 m
.59803 .30053 L
s
.59428 .34764 m
.59803 .34764 L
s
.59428 .39476 m
.59803 .39476 L
s
.59428 .48899 m
.59803 .48899 L
s
.59428 .53611 m
.59803 .53611 L
s
.59428 .58322 m
.59803 .58322 L
s
.59428 .67745 m
.59803 .67745 L
s
.59428 .72457 m
.59803 .72457 L
s
.59428 .77169 m
.59803 .77169 L
s
.59428 .86592 m
.59803 .86592 L
s
.59428 .91303 m
.59803 .91303 L
s
.59428 .96015 m
.59803 .96015 L
s
.59428 1.05438 m
.59803 1.05438 L
s
.59428 1.1015 m
.59803 1.1015 L
s
.59428 1.14861 m
.59803 1.14861 L
s
.59428 .01783 m
.59803 .01783 L
s
.59428 1.24284 m
.59803 1.24284 L
s
.25 Mabswid
.59428 0 m
.59428 1.26068 L
s
gsave
.59428 1.28568 -68.0313 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Im) show
73.063 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 1.26068 L
0 1.26068 L
closepath
clip
newpath
1 0 0 r
.025 w
.02381 .3236 Mdot
.02381 .93707 Mdot
.49291 .03002 Mdot
.49291 1.23066 Mdot
.97619 .18258 Mdot
.97619 1.0781 Mdot
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[5]:=",
  ImageSize->{192.75, 242.688},
  ImageMargins->{{40.5, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000300000lR000`400?l00000o`00003o`03oool0
0<00oooo00300?ooo`00`03oool00<00oooo00300?ooo`00`03oool00<00oooo001X0?ooo`030000
003oool0oooo05D0oooo001X0?ooo`030000003oool0oooo05D0oooo001X0?ooo`030000003oool0
oooo05D0oooo001X0?ooo`800000EP3oool005L0oooo0P3o000?0?ooo`030000003oool0oooo05D0
oooo001F0?ooo`@0o`003P3oool00`000000oooo0?ooo`1E0?ooo`00EP3oool40?l000h0oooo00<0
00000?ooo`3oool0E@3oool005L0oooo0P3o000?0?ooo`030000003oool0oooo05D0oooo001X0?oo
o`030000003oool0oooo05D0oooo001H0?ooo`<000000`3oool00`000000oooo0?ooo`02000000D0
oooo00<000000?ooo`3oool0E@3oool005P0oooo00@000000?ooo`3oool00000103oool010000000
oooo0?ooo`0000040?ooo`030000003oool0oooo05D0oooo001C0?ooo`@0000000D0oooo0000003o
ool0oooo000000040?ooo`040000003oool0oooo000000@0oooo0`00001E0?ooo`00F03oool01000
0000oooo0?ooo`0000040?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool0E@3o
ool005P0oooo00@000000?ooo`3oool00000103oool3000000D0oooo00<000000?ooo`3oool0E@3o
ool005P0oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`0000040?ooo`030000
003oool0oooo05D0oooo001I0?ooo`8000001P3oool2000000D0oooo00<000000?ooo`3oool0E@3o
ool006P0oooo00<000000?ooo`3oool0E@3oool006P0oooo00<000000?ooo`3oool0E@3oool006P0
oooo00<000000?ooo`3oool0E@3oool006P0oooo0P00001F0?ooo`00J03oool00`000000oooo0?oo
o`1E0?ooo`00J03oool00`000000oooo0?ooo`1E0?ooo`00J03oool00`000000oooo0?ooo`1E0?oo
o`00J03oool00`000000oooo0?ooo`1E0?ooo`00J03oool00`000000oooo0?ooo`1E0?ooo`00J03o
ool00`000000oooo0?ooo`1E0?ooo`00J03oool00`000000oooo0?ooo`1E0?ooo`00J03oool20000
05H0oooo001X0?ooo`030000003oool0oooo05D0oooo001X0?ooo`030000003oool0oooo03`0oooo
0P3o000G0?ooo`00J03oool00`000000oooo0?ooo`0k0?ooo`@0o`005P3oool006P0oooo00<00000
0?ooo`3oool0>`3oool40?l001H0oooo001X0?ooo`030000003oool0oooo03`0oooo0P3o000G0?oo
o`00J03oool00`000000oooo0?ooo`1E0?ooo`00J03oool2000005H0oooo001X0?ooo`030000003o
ool0oooo05D0oooo001X0?ooo`030000003oool0oooo05D0oooo001X0?ooo`030000003oool0oooo
05D0oooo001X0?ooo`030000003oool0oooo05D0oooo001X0?ooo`030000003oool0oooo05D0oooo
001H0?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool0E@3oool005P0oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo05D0oooo001C0?ooo`@0000000D0oooo0000003oool0oooo0000
00040?ooo`D000000`3oool3000005D0oooo001H0?ooo`040000003oool0oooo000000@0oooo00@0
00000?ooo`3oool00000103oool00`000000oooo0?ooo`1E0?ooo`00F03oool010000000oooo0?oo
o`0000050?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool0E@3oool005P0oooo00@0
00000?ooo`3oool000001P3oool2000000@0oooo00<000000?ooo`3oool0E@3oool005T0oooo0P00
00080?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0E@3oool006P0oooo00<00000
0?ooo`3oool0E@3oool006P0oooo00<000000?ooo`3oool0E@3oool006P0oooo00<000000?ooo`3o
ool0E@3oool006P0oooo0P00001F0?ooo`00J03oool00`000000oooo0?ooo`1E0?ooo`002@3oool2
0?l005d0oooo00<000000?ooo`3oool0E@3oool000P0oooo103o001L0?ooo`030000003oool0oooo
05D0oooo00080?ooo`@0o`00G03oool00`000000oooo0?ooo`1E0?ooo`002@3oool20?l005d0oooo
00<000000?ooo`3oool0E@3oool006P0oooo00<000000?ooo`3oool0E@3oool006P0oooo00<00000
0?ooo`3oool0E@3oool006P0oooo0P00001F0?ooo`00J03oool00`000000oooo0?ooo`1E0?ooo`00
J03oool00`000000oooo0?ooo`1E0?ooo`00J03oool00`000000oooo0?ooo`1E0?ooo`00J03oool0
0`000000oooo0?ooo`1E0?ooo`00J03oool00`000000oooo0?ooo`1E0?ooo`00J03oool00`000000
oooo0?ooo`1E0?ooo`00J03oool00`000000oooo0?ooo`1E0?ooo`00J03oool2000005H0oooo001X
0?ooo`030000003oool0oooo05D0oooo001X0?ooo`030000003oool0oooo05D0oooo001X0?ooo`03
0000003oool0oooo05D0oooo001X0?ooo`030000003oool0oooo05D0oooo001H0?ooo`<000000`3o
ool00`000000oooo00000003000000@0oooo00<000000?ooo`3oool0E@3oool005P0oooo00@00000
0?ooo`3oool000001@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo05D0oooo001C
0?ooo`@0000000D0oooo0000003oool0oooo000000060?ooo`030000003oool0oooo00<0oooo0`00
001E0?ooo`00F03oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0E@3oool005P0oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo05D0oooo001H0?ooo`040000003oool0oooo000000@0oooo00@0
00000?ooo`3oool00000103oool00`000000oooo0?ooo`1E0?ooo`00F@3oool2000000H0oooo0P00
00050?ooo`030000003oool0oooo05D0oooo001X0?ooo`030000003oool0oooo05D0oooo001X0?oo
o`030000003oool0oooo05D0oooo001X0?ooo`030000003oool0oooo05D0oooo001X0?ooo`800000
EP3oool006P0oooo00<000000?ooo`3oool0E@3oool006P0oooo00<000000?ooo`3oool0E@3oool0
06P0oooo00<000000?ooo`3oool0E@3oool006P0oooo00<000000?ooo`3oool0E@3oool006P0oooo
00<000000?ooo`3oool0E@3oool006P0oooo00<000000?ooo`3oool0E@3oool006P0oooo00<00000
0?ooo`3oool0E@3oool006P0oooo0P00001F0?ooo`00J03oool00`000000oooo0?ooo`1E0?ooo`00
J03oool00`000000oooo0?ooo`1E0?ooo`00J03oool00`000000oooo0?ooo`1E0?ooo`00J03oool0
0`000000oooo0?ooo`1E0?ooo`00J03oool00`000000oooo0?ooo`1E0?ooo`00203oool3000000<0
oooo00<000000?ooo`3oool00P00000D0?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo0140oooo0`0000030?ooo`030000003oool0000000<000005P3oool00`000000
oooo0?ooo`0F0?ooo`<000000`3oool00`000000oooo00000003000001@0oooo0`0000030?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool04@3oool000P0oooo00@000000?ooo`3oool0
0000103oool010000000oooo0?ooo`00000C0?ooo`040000003oool0oooo000000L0oooo00<00000
0?ooo`3oool04@3oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo01H0oooo00<0
00000?ooo`3oool05P3oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo01@0oooo
00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`0A0?ooo`000`3oool4000000050?oo
o`000000oooo0?ooo`000000103oool010000000oooo0?ooo`00000>0?ooo`@0000000D0oooo0000
003oool0oooo000000040?ooo`D000003@3oool4000000050?ooo`000000oooo0?ooo`0000001P3o
ool00`000000oooo0?ooo`0E0?ooo`8000005`3oool010000000oooo0?ooo`0000060?ooo`030000
003oool0oooo01<0oooo00@000000?ooo`3oool00000103oool500000180oooo00080?ooo`040000
003oool0oooo000000@0oooo00@000000?ooo`3oool000004`3oool010000000oooo0?ooo`000004
0?ooo`040000003oool0oooo000001<0oooo00@000000?ooo`3oool000001P3oool00`000000oooo
0?ooo`0E0?ooo`030000003oool0oooo01H0oooo00@000000?ooo`3oool000001P3oool00`000000
oooo0?ooo`0C0?ooo`040000003oool0oooo000000@0oooo00@000000?ooo`3oool000004`3oool0
00P0oooo00@000000?ooo`3oool00000103oool3000001@0oooo00@000000?ooo`3oool000001@3o
ool00`000000oooo0000000C0?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`0F0?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`3o
ool04P3oool010000000oooo0?ooo`0000050?ooo`030000003oool0000001<0oooo00080?ooo`04
0000003oool0oooo000000@0oooo00@000000?ooo`3oool000004`3oool010000000oooo0?ooo`00
00060?ooo`8000004`3oool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo000001H0
oooo00<000000?ooo`3oool05P3oool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo
000001@0oooo00@000000?ooo`3oool000001P3oool2000001<0oooo00090?ooo`8000001P3oool2
000001D0oooo0P0000080?ooo`030000003oool0oooo0180oooo0P0000060?ooo`8000005`3oool0
0`000000oooo0?ooo`0G0?ooo`8000001P3oool2000001H0oooo0P0000080?ooo`030000003oool0
oooo0140oooo001X0?ooo`030000003oool0oooo05D0oooo001X0?ooo`030000003oool0oooo04P0
oooo00D000000?ooo`3oool0oooo000000020?ooo`<000000`3oool006P0oooo00<000000?ooo`3o
ool0B03oool01`000000oooo0?ooo`3oool000000?ooo`0000001P3oool000H0ooooY`0000060?oo
o`040000003oool0oooo00000080oooo100000030?ooo`002`3oool00`000000oooo0?ooo`0L0?oo
o`030000003oool0oooo01`0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0M0?oo
o`030000003oool0oooo01`0oooo00<000000?ooo`3oool02@3oool400000080oooo00@000000?oo
o`3oool000000`3oool006P0oooo00<000000?ooo`3oool0B03oool01@000000oooo0?ooo`3oool0
00000080oooo0P0000040?ooo`00J03oool00`000000oooo0?ooo`180?ooo`050000003oool0oooo
0?ooo`000000203oool006P0oooo00<000000?ooo`3oool0B03oool4000000T0oooo001X0?ooo`03
0000003oool0oooo05D0oooo001X0?ooo`030000003oool0oooo05D0oooo001X0?ooo`800000EP3o
ool006P0oooo00<000000?ooo`3oool0E@3oool006P0oooo00<000000?ooo`3oool0E@3oool006P0
oooo00<000000?ooo`3oool0E@3oool006P0oooo00<000000?ooo`3oool0E@3oool006P0oooo00<0
00000?ooo`3oool0E@3oool006P0oooo00<000000?ooo`3oool0E@3oool006P0oooo00<000000?oo
o`3oool0E@3oool006P0oooo0P00001F0?ooo`00J03oool00`000000oooo0?ooo`1E0?ooo`00J03o
ool00`000000oooo0?ooo`1E0?ooo`00J03oool00`000000oooo0?ooo`1E0?ooo`00J03oool00`00
0000oooo0?ooo`1E0?ooo`00J03oool00`000000oooo0?ooo`1E0?ooo`00J03oool00`000000oooo
0?ooo`1E0?ooo`00J03oool00`000000oooo0?ooo`1E0?ooo`00J03oool2000005H0oooo001X0?oo
o`030000003oool0oooo05D0oooo001X0?ooo`030000003oool0oooo05D0oooo001X0?ooo`030000
003oool0oooo05D0oooo001X0?ooo`030000003oool0oooo05D0oooo001X0?ooo`030000003oool0
oooo05D0oooo001H0?ooo`<000000`3oool00`000000oooo00000003000000@0oooo00<000000?oo
o`3oool0E@3oool005P0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo05D0oooo001H0?ooo`040000003oool0oooo000000H0oooo00<000000?oo
o`3oool00`3oool3000005D0oooo001H0?ooo`040000003oool0oooo000000H0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`1E0?ooo`00F03oool010000000oooo0?ooo`0000070?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool0E@3oool005P0oooo00@000000?ooo`3o
ool00000103oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo05D0oooo001I0?oo
o`8000001P3oool2000000D0oooo00<000000?ooo`3oool0E@3oool006P0oooo00<000000?ooo`3o
ool0E@3oool006P0oooo00<000000?ooo`3oool0E@3oool006P0oooo00<000000?ooo`3oool0E@3o
ool006P0oooo0P00001F0?ooo`00J03oool00`000000oooo0?ooo`1E0?ooo`00J03oool00`000000
oooo0?ooo`1E0?ooo`00J03oool00`000000oooo0?ooo`1E0?ooo`00J03oool00`000000oooo0?oo
o`1E0?ooo`00J03oool00`000000oooo0?ooo`1E0?ooo`00J03oool00`000000oooo0?ooo`1E0?oo
o`00J03oool2000005H0oooo001X0?ooo`030000003oool0oooo05D0oooo001X0?ooo`030000003o
ool0oooo05D0oooo00090?ooo`80o`00G@3oool00`000000oooo0?ooo`1E0?ooo`00203oool40?l0
05`0oooo00<000000?ooo`3oool0E@3oool000P0oooo103o001L0?ooo`030000003oool0oooo05D0
oooo00090?ooo`80o`00G@3oool00`000000oooo0?ooo`1E0?ooo`00J03oool00`000000oooo0?oo
o`1E0?ooo`00J03oool2000005H0oooo001X0?ooo`030000003oool0oooo05D0oooo001X0?ooo`03
0000003oool0oooo05D0oooo001X0?ooo`030000003oool0oooo05D0oooo001X0?ooo`030000003o
ool0oooo05D0oooo001X0?ooo`030000003oool0oooo05D0oooo001H0?ooo`<000000`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0E@3oool005P0
oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
05D0oooo001H0?ooo`040000003oool0oooo000000@0oooo1@0000030?ooo`<00000E@3oool005P0
oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`0000040?ooo`030000003oool0
oooo05D0oooo001H0?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`000000103oool0
0`000000oooo0?ooo`1E0?ooo`00F03oool010000000oooo0?ooo`0000060?ooo`800000103oool0
0`000000oooo0?ooo`1E0?ooo`00F@3oool2000000P0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`1E0?ooo`00J03oool00`000000oooo0?ooo`1E0?ooo`00J03oool00`000000oooo
0?ooo`1E0?ooo`00J03oool00`000000oooo0?ooo`1E0?ooo`00J03oool2000005H0oooo001X0?oo
o`030000003oool0oooo05D0oooo001X0?ooo`030000003oool0oooo03`0oooo0P3o000G0?ooo`00
J03oool00`000000oooo0?ooo`0k0?ooo`@0o`005P3oool006P0oooo00<000000?ooo`3oool0>`3o
ool40?l001H0oooo001X0?ooo`030000003oool0oooo03`0oooo0P3o000G0?ooo`00J03oool00`00
0000oooo0?ooo`1E0?ooo`00J03oool00`000000oooo0?ooo`1E0?ooo`00J03oool2000005H0oooo
001X0?ooo`030000003oool0oooo05D0oooo001X0?ooo`030000003oool0oooo05D0oooo001X0?oo
o`030000003oool0oooo05D0oooo001X0?ooo`030000003oool0oooo05D0oooo001X0?ooo`030000
003oool0oooo05D0oooo001X0?ooo`030000003oool0oooo05D0oooo001X0?ooo`800000EP3oool0
06P0oooo00<000000?ooo`3oool0E@3oool006P0oooo00<000000?ooo`3oool0E@3oool006P0oooo
00<000000?ooo`3oool0E@3oool006P0oooo00<000000?ooo`3oool0E@3oool006P0oooo00<00000
0?ooo`3oool0E@3oool005P0oooo0`0000030?ooo`030000003oool0oooo008000001@3oool00`00
0000oooo0?ooo`1E0?ooo`00F03oool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo
000000@0oooo00<000000?ooo`3oool0E@3oool005P0oooo00@000000?ooo`3oool00000103oool0
10000000oooo0?ooo`0000040?ooo`<00000E@3oool005P0oooo00@000000?ooo`3oool00000103o
ool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo05D0oooo001H0?ooo`040000003o
ool0oooo000000@0oooo0`0000050?ooo`030000003oool0oooo05D0oooo001H0?ooo`040000003o
ool0oooo000000@0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`1E0?ooo`00
F@3oool2000000H0oooo0P0000050?ooo`030000003oool0oooo05D0oooo001G0?ooo`80o`003`3o
ool00`000000oooo0?ooo`1E0?ooo`00EP3oool40?l000h0oooo00<000000?ooo`3oool0E@3oool0
05H0oooo103o000>0?ooo`030000003oool0oooo05D0oooo001G0?ooo`80o`003`3oool2000005H0
oooo001X0?ooo`030000003oool0oooo05D0oooo001X0?ooo`030000003oool0oooo05D0oooo001X
0?ooo`030000003oool0oooo05D0oooo00300?ooo`00`03oool00<00oooo00300?ooo`00`03oool0
0<00oooo00300?ooo`00I03oool00`000000oooo000000020?ooo`040000003oool0oooo000005<0
oooo001T0?ooo`030000003oool000000080oooo00@000000?ooo`3oool00000D`3oool006@0oooo
00<000000?ooo`0000000P3oool010000000oooo0?ooo`00001C0?ooo`00I03oool00`000000oooo
000000020?ooo`040000003oool0oooo000005<0oooo001T0?ooo`030000003oool0000000D00000
E03oool006@0oooo00<000000?ooo`3oool0F@3oool006@0oooo00<000000?ooo`3oool0F@3oool0
0<00oooo00300?ooo`00`03oool00<00oooo00300?ooo`00`03oool00<00oooo00300?ooo`00`03o
ool00<00oooo0000\
\>"],
  ImageRangeCache->{{{0, 191.75}, {241.688, 0}} -> {-0.672698, -0.723035, \
0.00640785, 0.00640785}},
  CellTags->"IPM3.Sol.9.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(Clear[RootPlot]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(<< Utilities`FilterOptions`\)], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(RootPlot[fun_, {x_, xmin_, xmax_}, opts___] := 
      Module[{z, fplot, pts, spts, roots, points, 
          f = Function[x, Evaluate[fun]]}, 
        fplot = Plot[f[x], {x, xmin, xmax}, DisplayFunction \[Rule] Identity, 
            Evaluate[FilterOptions[Plot, opts]]]; \[IndentingNewLine]pts = 
          Cases[fplot, Line[{z__}] \[Rule] z, \[Infinity]]; 
        spts = Map[First, 
            Select[Split[pts, Sign[Last[#2]] == \(-Sign[Last[#1]]\) &], 
              Length[#1] == 2 &], {2}]; \[IndentingNewLine]roots = 
          Map[FindRoot[f[x] == 0, {x, #[\([1]\)], #[\([2]\)]}] &, 
            spts]; \[IndentingNewLine]points = 
          Map[Point[{#, 0}] &, x /. roots]; \[IndentingNewLine]Show[fplot, 
          DisplayFunction \[Rule] $DisplayFunction, 
          Epilog \[Rule] {RGBColor[0, 0, 1], PointSize[ .02], 
              points}]; \[IndentingNewLine]roots]\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(RootPlot[Sin[x + \@2\ Sin[x]], {x, \(-\[Pi]\), 4\ \[Pi]}, 
        PlotStyle \[Rule] Dashing[{ .02,  .02}]];\)\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.214286 0.0606305 0.309016 0.294306 [
[.06271 .29652 -11.3438 -11.875 ]
[.06271 .29652 11.3438 0 ]
[.36586 .29652 -8.25 -11.875 ]
[.36586 .29652 8.25 0 ]
[.51744 .29652 -4.5 -11.875 ]
[.51744 .29652 4.5 0 ]
[.66901 .29652 -8.25 -11.875 ]
[.66901 .29652 8.25 0 ]
[.82059 .29652 -7 -11.875 ]
[.82059 .29652 7 0 ]
[.97217 .29652 -10.75 -11.875 ]
[.97217 .29652 10.75 0 ]
[.20179 .01471 -15.1875 -5.9375 ]
[.20179 .01471 0 5.9375 ]
[.20179 .16186 -22.6875 -5.9375 ]
[.20179 .16186 0 5.9375 ]
[.20179 .45617 -16.5 -5.9375 ]
[.20179 .45617 0 5.9375 ]
[.20179 .60332 -9 -5.9375 ]
[.20179 .60332 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.06271 .30902 m
.06271 .31527 L
s
gsave
.06271 .29652 -72.3438 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.5) show
1.000 setlinewidth
grestore
.36586 .30902 m
.36586 .31527 L
s
gsave
.36586 .29652 -69.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.5) show
1.000 setlinewidth
grestore
.51744 .30902 m
.51744 .31527 L
s
gsave
.51744 .29652 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(5) show
1.000 setlinewidth
grestore
.66901 .30902 m
.66901 .31527 L
s
gsave
.66901 .29652 -69.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(7.5) show
1.000 setlinewidth
grestore
.82059 .30902 m
.82059 .31527 L
s
gsave
.82059 .29652 -68 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(10) show
1.000 setlinewidth
grestore
.97217 .30902 m
.97217 .31527 L
s
gsave
.97217 .29652 -71.75 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(12.5) show
1.000 setlinewidth
grestore
.125 Mabswid
.09302 .30902 m
.09302 .31277 L
s
.12334 .30902 m
.12334 .31277 L
s
.15366 .30902 m
.15366 .31277 L
s
.18397 .30902 m
.18397 .31277 L
s
.2446 .30902 m
.2446 .31277 L
s
.27492 .30902 m
.27492 .31277 L
s
.30523 .30902 m
.30523 .31277 L
s
.33555 .30902 m
.33555 .31277 L
s
.39618 .30902 m
.39618 .31277 L
s
.42649 .30902 m
.42649 .31277 L
s
.45681 .30902 m
.45681 .31277 L
s
.48712 .30902 m
.48712 .31277 L
s
.54775 .30902 m
.54775 .31277 L
s
.57807 .30902 m
.57807 .31277 L
s
.60838 .30902 m
.60838 .31277 L
s
.6387 .30902 m
.6387 .31277 L
s
.69933 .30902 m
.69933 .31277 L
s
.72964 .30902 m
.72964 .31277 L
s
.75996 .30902 m
.75996 .31277 L
s
.79028 .30902 m
.79028 .31277 L
s
.85091 .30902 m
.85091 .31277 L
s
.88122 .30902 m
.88122 .31277 L
s
.91154 .30902 m
.91154 .31277 L
s
.94185 .30902 m
.94185 .31277 L
s
.03239 .30902 m
.03239 .31277 L
s
.00208 .30902 m
.00208 .31277 L
s
.25 Mabswid
0 .30902 m
1 .30902 L
s
.21429 .01471 m
.22054 .01471 L
s
gsave
.20179 .01471 -76.1875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.21429 .16186 m
.22054 .16186 L
s
gsave
.20179 .16186 -83.6875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.21429 .45617 m
.22054 .45617 L
s
gsave
.20179 .45617 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.21429 .60332 m
.22054 .60332 L
s
gsave
.20179 .60332 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.125 Mabswid
.21429 .04414 m
.21804 .04414 L
s
.21429 .07357 m
.21804 .07357 L
s
.21429 .103 m
.21804 .103 L
s
.21429 .13243 m
.21804 .13243 L
s
.21429 .19129 m
.21804 .19129 L
s
.21429 .22072 m
.21804 .22072 L
s
.21429 .25015 m
.21804 .25015 L
s
.21429 .27959 m
.21804 .27959 L
s
.21429 .33845 m
.21804 .33845 L
s
.21429 .36788 m
.21804 .36788 L
s
.21429 .39731 m
.21804 .39731 L
s
.21429 .42674 m
.21804 .42674 L
s
.21429 .4856 m
.21804 .4856 L
s
.21429 .51503 m
.21804 .51503 L
s
.21429 .54446 m
.21804 .54446 L
s
.21429 .57389 m
.21804 .57389 L
s
.25 Mabswid
.21429 0 m
.21429 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
[ .02 .02 ] 0 setdash
.02381 .30902 m
.03279 .32683 L
.04262 .34468 L
.04758 .3525 L
.05288 .35966 L
.05789 .36507 L
.06244 .36869 L
.06507 .37016 L
.06639 .37073 L
.06715 .37099 L
.06785 .3712 L
.06909 .37148 L
.06977 .37158 L
.07042 .37165 L
.07157 .37169 L
.07283 .37161 L
.07359 .37151 L
.07431 .37136 L
.07566 .37097 L
.07711 .37039 L
.07868 .36955 L
.0815 .3675 L
.0841 .36498 L
.08885 .35871 L
.09406 .34925 L
.0995 .33633 L
.10458 .32136 L
.11503 .28156 L
.12493 .23327 L
.14349 .12555 L
.15314 .07192 L
.15843 .04751 L
.16102 .03752 L
.1634 .02974 L
.16541 .02429 L
.16761 .01964 L
.16876 .0178 L
.16982 .01646 L
.17095 .01545 L
.17215 .01484 L
.1734 .01474 L
.17411 .01492 L
.17476 .01525 L
.17595 .01626 L
.17722 .01791 L
.17835 .0199 L
.17941 .0222 L
.18182 .02907 L
.1844 .03895 L
.1868 .05045 L
Mistroke
.19223 .08461 L
.20211 .1723 L
.22064 .38263 L
.23124 .49174 L
.23643 .53404 L
.2412 .56451 L
.24556 .58472 L
.24775 .59208 L
.25015 .598 L
.25142 .60022 L
.25257 .60172 L
.25321 .60233 L
.2539 .60283 L
.25516 .60329 L
.25634 .60322 L
.25758 .60261 L
.25865 .60168 L
.25982 .60022 L
.26105 .59824 L
.26218 .59599 L
.26476 .58951 L
.26994 .57133 L
.27921 .52613 L
.30008 .40424 L
.31063 .34967 L
.32058 .30834 L
.32951 .28054 L
.33454 .26872 L
.33918 .26018 L
.34387 .25373 L
.3465 .25103 L
.3489 .24912 L
.35113 .2478 L
.35239 .24725 L
.35356 .24685 L
.35458 .2466 L
.3557 .24642 L
.35687 .24634 L
.35798 .24637 L
.35918 .2465 L
.3605 .24677 L
.36117 .24696 L
.36188 .24719 L
.36316 .24771 L
.36565 .24904 L
.36791 .2506 L
.37342 .25575 L
.37863 .26218 L
.39862 .29674 L
.41707 .33315 L
Mistroke
.4261 .34879 L
.43108 .3561 L
.43581 .36195 L
.43847 .36471 L
.44137 .36724 L
.44404 .3691 L
.44646 .37037 L
.44775 .37087 L
.44897 .37124 L
.45025 .37152 L
.45097 .37161 L
.45163 .37167 L
.45275 .37169 L
.45397 .37159 L
.45525 .37136 L
.45644 .37103 L
.4577 .37055 L
.45904 .36989 L
.46145 .36832 L
.46404 .36604 L
.4669 .3628 L
.47201 .35504 L
.4768 .34535 L
.48574 .3207 L
.49537 .28424 L
.51542 .17931 L
.52563 .11858 L
.53123 .08689 L
.53652 .06011 L
.54149 .03926 L
.54411 .03046 L
.54688 .02307 L
.54921 .01855 L
.54985 .01761 L
.55053 .01673 L
.55177 .01554 L
.55298 .01488 L
.55413 .01472 L
.55516 .01496 L
.55628 .01567 L
.55753 .01701 L
.55871 .01879 L
.55976 .02085 L
.5609 .02355 L
.56346 .03146 L
.56582 .041 L
.57012 .064 L
.57465 .09576 L
.58417 .18381 L
.59435 .29856 L
Mistroke
.60389 .40818 L
.6127 .49626 L
.61755 .53528 L
.62291 .56852 L
.62568 .58145 L
.62829 .59083 L
.6297 .5948 L
.63104 .59785 L
.63177 .59924 L
.63258 .60053 L
.63326 .60142 L
.63399 .60218 L
.6347 .60274 L
.63536 .60309 L
.63664 .60332 L
.63781 .60303 L
.63905 .60221 L
.63969 .60159 L
.64037 .60077 L
.64161 .59891 L
.64443 .59295 L
.64704 .58547 L
.64951 .57681 L
.65413 .55708 L
.67234 .45487 L
.68271 .39494 L
.69245 .34565 L
.70196 .30681 L
.71221 .27612 L
.71755 .26466 L
.72046 .25966 L
.72317 .25576 L
.72568 .25277 L
.72797 .25057 L
.73051 .24869 L
.7319 .24789 L
.73322 .2473 L
.73437 .2469 L
.73561 .24659 L
.73678 .24641 L
.73784 .24634 L
.73909 .24638 L
.7398 .24645 L
.74045 .24656 L
.74165 .24683 L
.74293 .24723 L
.74427 .24778 L
.74571 .24852 L
.74833 .2502 L
.75322 .25453 L
Mistroke
.7579 .25995 L
.76284 .26686 L
.77167 .28168 L
.79156 .32071 L
.80025 .33724 L
.80968 .35279 L
.8149 .35979 L
.81972 .365 L
.82433 .36868 L
.82666 .37001 L
.82798 .3706 L
.82922 .37104 L
.83045 .37137 L
.83114 .37151 L
.83179 .3716 L
.83309 .37169 L
.83382 .37168 L
.83448 .37164 L
.83567 .37147 L
.83696 .37117 L
.83818 .37075 L
.8393 .37025 L
.84181 .36875 L
.84457 .36645 L
.84745 .3633 L
.85015 .35964 L
.85514 .35093 L
.86058 .33851 L
.87047 .30763 L
.88009 .2672 L
.88901 .22149 L
.90923 .10329 L
.91405 .077 L
.91914 .0526 L
.92348 .03559 L
.92597 .02781 L
.92823 .02218 L
.92935 .01994 L
.93057 .01794 L
.93171 .01648 L
.93277 .01551 L
.93389 .01489 L
.93513 .01472 L
.93641 .01511 L
.93762 .01602 L
.93875 .01737 L
.93982 .01909 L
.94184 .0235 L
.944 .03001 L
.94637 .03922 L
Mistroke
.95128 .06531 L
.95652 .10302 L
.96594 .1925 L
.97619 .30902 L
Mfstroke
0 0 1 r
.02 w
.10818 .30902 Mdot
.21429 .30902 Mdot
.32039 .30902 Mdot
.40476 .30902 Mdot
.48913 .30902 Mdot
.59524 .30902 Mdot
.70134 .30902 Mdot
.78571 .30902 Mdot
.87009 .30902 Mdot
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[9]:=",
  ImageSize->{231.688, 142.5},
  ImageMargins->{{42.1875, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003W0000SR000`400?l00000o`00003oi`3oool0
0>L0oooo003W0?ooo`00<P3oool00`000000oooo0?ooo`2b0?ooo`00:P3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo0;80oooo000Z0?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool0/P3oool002<0oooo10000000103oool000000000000000070?ooo`800000B03oool0
0`000000oooo0?ooo`1A0?ooo`8000005@3oool002T0oooo0P0000070?ooo`030000003oool0oooo
04H0oooo0P00001B0?ooo`030000003oool0oooo01D0oooo000Z0?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0AP3oool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo01D0
oooo000Y0?ooo`8000001`3oool00`000000oooo0?ooo`150?ooo`050000003oool0oooo0?ooo`00
0000C`3oool00`000000oooo0?ooo`0F0?ooo`009P3oool01@000000oooo0?ooo`3oool0000000L0
oooo00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0540
oooo00<000000?ooo`3oool04@3oool002H0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`150?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0D@3oool00`000000oooo
0?ooo`0A0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo04X0oooo00<0
00000?ooo`3oool0D@3oool00`000000oooo0?ooo`0A0?ooo`009@3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo04X0oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo0140oooo000U0?ooo`030000003oool0oooo00<0oooo0P0000050?oo
o`030000003oool0oooo09P0oooo00<000000?ooo`3oool05`3oool00380oooo00<000000?ooo`3o
ool0A03oool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo01L0oooo000/0?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool0A03oool00`000000oooo0?ooo`1@0?ooo`030000
003oool0oooo01P0oooo000/0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0A03o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3oool0603o
ool002@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo04<0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`1A0?ooo`030000003oool0
oooo0100oooo000T0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`130?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0D@3oool00`00
0000oooo0?ooo`0@0?ooo`00903oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool0C03oool00`000000oooo0?ooo`1@0?ooo`030000003oool0oooo0100
oooo000S0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`1<0?ooo`030000003oool0oooo0540oooo00<000000?ooo`3oool03`3oool002<0oooo00<0
00000?ooo`3oool0303oool00`000000oooo0?ooo`1<0?ooo`030000003oool0oooo04L0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`0?0?ooo`008`3oool00`000000oooo0?ooo`0<
0?ooo`030000003oool0oooo09H0oooo00<000000?ooo`3oool06@3oool00380oooo00<000000?oo
o`3oool0@P3oool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo01T0oooo000]0?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool0@P3oool00`000000oooo0?ooo`1A0?ooo`03
0000003oool0oooo01T0oooo000]0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
@@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo04L0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`0?0?ooo`008`3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool0@@3oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo0540oooo00<000000?ooo`3oool03`3oool002<0oooo00<000000?ooo`3oool0203oool0
1@000000oooo0?ooo`3oool0000004<0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`1A0?ooo`030000003oool0oooo00l0oooo000R0?ooo`030000003oool0oooo00T0oooo00D00000
0?ooo`3oool0oooo0000001?0?ooo`030000003oool0oooo0540oooo00<000000?ooo`3oool03P3o
ool00280oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`1=0?ooo`030000003oool0
oooo04D0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0>0?ooo`008P3oool00`00
0000oooo0?ooo`0=0?ooo`030000003oool0oooo09D0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`0>0?ooo`00<P3oool00`000000oooo0?ooo`110?ooo`030000003oool0oooo0540
oooo00<000000?ooo`3oool06P3oool00380oooo00<000000?ooo`3oool0@@3oool00`000000oooo
0?ooo`1@0?ooo`030000003oool0oooo01/0oooo000^0?ooo`050000003oool0oooo0?ooo`000000
@`3oool00`000000oooo0?ooo`1@0?ooo`030000003oool0oooo01/0oooo000^0?ooo`050000003o
ool0oooo0?ooo`000000@P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo04@0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0>0?ooo`00803oool3000000<0oooo00<0
00000?ooo`3oool00P0000030?ooo`050000003oool0oooo0?ooo`000000@P3oool00`000000oooo
0?ooo`0:0?ooo`030000003oool0oooo0540oooo00<000000?ooo`3oool03P3oool00200oooo0P00
00000`3oool000000?ooo`030?ooo`040000003oool0oooo000000<0oooo00@000000?ooo`3oool0
0000@P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0540oooo00<000000?ooo`3o
ool03P3oool001/0oooo100000001@3oool000000?ooo`3oool0000000L0oooo00D000000?ooo`3o
ool0oooo000000020?ooo`800000C`3oool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo
00d0oooo000P0?ooo`040000003oool0oooo000000@0oooo00@000000?ooo`3oool000001P3oool0
0`000000oooo0?ooo`1>0?ooo`030000003oool0oooo0480oooo00<000000?ooo`3oool0303oool0
0`000000oooo0?ooo`0=0?ooo`00803oool010000000oooo0?ooo`0000040?ooo`<000001`3oool0
0`000000oooo0?ooo`2C0?ooo`030000003oool0oooo01`0oooo000P0?ooo`040000003oool0oooo
000000D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0o0?ooo`030000003oool0
oooo0540oooo00<000000?ooo`3oool0703oool00240oooo0P0000060?ooo`<000001P3oool00`00
0000oooo0?ooo`0o0?ooo`030000003oool0oooo0540oooo00<000000?ooo`3oool0703oool002l0
oooo00@000000?ooo`3oool00000@@3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo
0480oooo00<000000?ooo`3oool0703oool002l0oooo00@000000?ooo`3oool00000@03oool00`00
0000oooo0?ooo`0=0?ooo`030000003oool0oooo0540oooo00<000000?ooo`3oool03@3oool00200
oooo00<000000?ooo`3oool0303oool010000000oooo0?ooo`0000100?ooo`030000003oool0oooo
00d0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`0=0?ooo`00803oool00`000000
oooo0?ooo`0<0?ooo`040000003oool0oooo00000500oooo00<000000?ooo`3oool0D@3oool00`00
0000oooo0?ooo`0=0?ooo`007`3oool00`000000oooo0?ooo`0=0?ooo`040000003oool0oooo0000
0500oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`0=0?ooo`007`3oool00`000000
oooo0?ooo`0@0?ooo`030000003oool0oooo04h0oooo00<000000?ooo`3oool0@@3oool00`000000
oooo0?ooo`0=0?ooo`030000003oool0oooo00d0oooo000O0?ooo`030000003oool0oooo0100oooo
00<000000?ooo`3oool0TP3oool00`000000oooo0?ooo`0M0?ooo`00<P3oool00`000000oooo0?oo
o`0m0?ooo`030000003oool0oooo0540oooo00<000000?ooo`3oool07P3oool00300oooo00<00000
0?ooo`000000?`3oool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo01h0oooo000`0?oo
o`030000003oool0000003l0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0o0?oo
o`030000003oool0oooo01h0oooo000N0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`00
0000?`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0540oooo00<000000?ooo`3o
ool0303oool001h0oooo00<000000?ooo`3oool03`3oool00`000000oooo0000000o0?ooo`030000
003oool0oooo00l0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`0<0?ooo`007P3o
ool00`000000oooo0?ooo`0?0?ooo`030000003oool000000540oooo00<000000?ooo`3oool0D@3o
ool00`000000oooo0?ooo`0<0?ooo`007@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0
00000540oooo00<000000?ooo`3oool0?P3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0
oooo00`0oooo000M0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool06P3oool40000
0340oooo00<000000?ooo`3oool0?P3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo
00`0oooo000M0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool07P3oool00`000000
oooo0?ooo`0K0?ooo`030000003oool0oooo02h0oooo0P0000030?ooo`030000003oool0oooo01/0
oooo00<000000?ooo`3oool07`3oool00380oooo00<000000?ooo`3oool0?03oool00`000000oooo
0?ooo`0^0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool06@3oool00`000000oooo
0?ooo`0P0?ooo`003@3oool400000080oooo00<000000?ooo`3oool00P00000I0?ooo`8000006P3o
ool400000080oooo00<000000?ooo`3oool00P00000I0?ooo`040000003oool00000000001`0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`02000000H0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00<000002P3oool00`000000oooo
0?ooo`0;0?ooo`030000003oool0oooo00@000000P3oool00`000000oooo0?ooo`02000000L0oooo
000>0?ooo`030000003oool0oooo00@0oooo00@000000?ooo`3oool00000603oool2000001X0oooo
0P0000060?ooo`80000000<0oooo0000003oool05P3oool00`000000oooo000000020?ooo`030000
003oool0oooo00d0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`040?ooo`040000
003oool0oooo000000D0oooo00<000000?ooo`3oool0403oool010000000oooo0?ooo`0000020?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool02`3oool01@000000oooo0?ooo`3oool0
00000080oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo00@0oooo0008
0?ooo`@000000`3oool00`000000oooo0?ooo`060?ooo`050000003oool0oooo0?ooo`000000503o
ool2000001T0oooo00@000000?ooo`3oool000001P3oool00`000000oooo0000000G0?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool05P3oool010000000oooo0?ooo`0000020?ooo`03
0000003oool0oooo01D0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000060?ooo`03
0000003oool0oooo00@0oooo000?0?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool0
00000`3oool00`000000oooo0?ooo`0B0?ooo`800000603oool01@000000oooo0?ooo`3oool00000
00D0oooo00@000000?ooo`00000000005`3oool00`000000oooo000000020?ooo`030000003oool0
oooo00d0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`040000003oool0
oooo000001P0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo0080oooo00<000000?ooo`0000000`3oool010000000oooo0?ooo`0000060?ooo`00
403oool00`000000oooo0?ooo`020?ooo`<00000103oool00`000000oooo0?ooo`0B0?ooo`800000
603oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo0`00000J0?ooo`<00000
403oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo0`00000A0?ooo`030000
003oool0oooo00D0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0E0?ooo`03
0000003oool0oooo00<0oooo0P0000030?ooo`<000001`3oool000d0oooo00@000000?ooo`3oool0
00001@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3o
ool05P3oool00`000000oooo000000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`00
00006P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool0103oool200000080oooo00@000000?ooo`3oool00000203oool00`000000oooo0?ooo`0;0?oo
o`8000000P3oool00`000000oooo0?ooo`02000000@0oooo00<000000?ooo`3oool01P3oool000h0
oooo0P0000060?ooo`<000000P3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01T0
oooo0P0000060?ooo`<000006P3oool3000001X0oooo100000050?ooo`<000000P3oool00`000000
oooo0?ooo`0<0?ooo`030000003oool0oooo00@0oooo00@000000?ooo`3oool0oooo0P0000090?oo
o`030000003oool0oooo00`0oooo00@000000?ooo`3oool0oooo0P0000000`3oool000000?ooo`03
0?ooo`<000001P3oool00380oooo00<000000?ooo`3oool0>P3oool00`000000oooo0?ooo`0/0?oo
o`030000003oool0oooo00`0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0R0?oo
o`00<P3oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3o
ool05@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3o
ool08P3oool001X0oooo0P000?lE0?ooo`80003o5@3oool20000oa40oooo0P000?l@0?ooo`80003o
5P3oool20000oaD0oooo0P000?lA0?ooo`80003o403oool20000ob@0oooo000I0?ooo`@0003o4`3o
ool40000oa<0oooo10000?l?0?ooo`@0003o3P3oool40000oa@0oooo10000?lC0?ooo`@0003o3`3o
ool40000o`h0oooo10000?lE0?ooo`030000003oool0oooo00/0oooo00020?oooaL0000010000?lC
000000@0003o4`0000040000o`l0000010000?l>000000@0003o500000040000oa<0000010000?l?
000000@0003o3P0000040000oa`000001`3oool000<0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`0000000P000?l20?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?oo
o`80003o1@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00@000000?oo
o`000?l0003o0P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0000o`000?l00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo0P000?l5
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`02
0000o`030?ooo`000000oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`03
0?ooo`80003o1@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo0P000?l6
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00P000?l00`3oool000000?ooo`05
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0;
0?ooo`006@3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo01<0oooo00<000000?oo
o`3oool04P3oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo01<0oooo00<000000?oo
o`3oool04P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo02<0oooo000I0?ooo`03
0000003oool0oooo01H0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`0C0?ooo`03
0000003oool0oooo0180oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0S0?ooo`00
2P3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0
>03oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0
4`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo02@0oooo000;0?ooo`030000003o
ool0oooo02@0oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`0G0?ooo`030000003o
ool0oooo0180oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0;0?ooo`030000003o
ool0oooo02@0oooo000;0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0=`3oool0
0`000000oooo0?ooo`0G0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool08P3oool0
0`000000oooo0?ooo`0T0?ooo`00303oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo
0180oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
01P0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo
02@0oooo000H0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool04P3oool00`000000
oooo0?ooo`0E0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0AP3oool00`000000
oooo0?ooo`0`0?ooo`005`3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0180oooo
00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`1B0?ooo`030000003oool0oooo02l0oooo
000F0?ooo`030000003oool0oooo01T0oooo0P00000B0?ooo`030000003oool0oooo01P0oooo0P00
001B0?ooo`030000003oool0oooo02l0oooo000>0?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool06@3oool200000180oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`0A
0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0V
0?ooo`003`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01X0oooo00<000000?oo
o`3oool0=03oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0140oooo00<000000?oo
o`3oool06P3oool00`000000oooo0?ooo`020?ooo`800000:@3oool00100oooo0`00000O0?ooo`03
0000003oool0oooo0300oooo00@000000?ooo`00000000007@3oool00`000000oooo0?ooo`0@0?oo
o`030000003oool0oooo01l0oooo0P00000Z0?ooo`004P3oool00`000000oooo0?ooo`0M0?ooo`03
0000003oool0oooo0340oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`0?0?ooo`03
0000003oool0oooo04/0oooo000b0?ooo`8000004P3oool00`000000oooo0?ooo`0n0?ooo`030000
003oool0oooo00l0oooo00<000000?ooo`3oool0B`3oool00380oooo0P00000B0?ooo`030000003o
ool0oooo09h0oooo000b0?ooo`8000004P3oool00`000000oooo0?ooo`2N0?ooo`00<P3oool20000
0140oooo00<000000?ooo`3oool0W`3oool00380oooo0P00000A0?ooo`030000003oool0oooo09l0
oooo000b0?ooo`8000004@3oool00`000000oooo0?ooo`0o0?ooo`030000003oool0oooo00l0oooo
00<000000?ooo`3oool0B`3oool00380oooo00<000000?ooo`3oool0DP3oool00`000000oooo0?oo
o`0?0?ooo`030000003oool0oooo04/0oooo000b0?ooo`030000003oool0oooo0580oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`1<0?ooo`00<P3oool00`000000oooo0?ooo`1B0?oo
o`030000003oool0oooo00h0oooo00<000000?ooo`3oool0C03oool00380oooo00<000000?ooo`00
00003`3oool00`000000oooo0?ooo`110?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3o
ool0C03oool00380oooo00<000000?ooo`0000003`3oool00`000000oooo0?ooo`2P0?ooo`00<P3o
ool00`000000oooo0000000>0?ooo`030000003oool0oooo0:40oooo000b0?ooo`030000003oool0
000000h0oooo00<000000?ooo`3oool0X@3oool00380oooo00<000000?ooo`0000003P3oool00`00
0000oooo0?ooo`1A0?ooo`030000003oool0oooo04d0oooo000b0?ooo`030000003oool0000005<0
oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`1=0?ooo`00803oool3000000<0oooo
00<000000?ooo`3oool00P0000070?ooo`030000003oool0oooo05<0oooo00<000000?ooo`3oool0
2`3oool00`000000oooo0?ooo`1>0?ooo`00803oool010000000oooo0?ooo`0000040?ooo`040000
003oool0oooo000000H0oooo00<000000?ooo`3oool0D`3oool00`000000oooo0?ooo`0;0?ooo`03
0000003oool0oooo04h0oooo000P0?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`3o
ool0103oool2000005D0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`1>0?ooo`00
803oool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo000000H0oooo00@000000?oo
o`3oool00000303oool00`000000oooo0?ooo`140?ooo`030000003oool0oooo00X0oooo00<00000
0?ooo`3oool0CP3oool00200oooo00@000000?ooo`3oool00000103oool3000000L0oooo00@00000
0?ooo`3oool00000303oool00`000000oooo0?ooo`2R0?ooo`00803oool010000000oooo0?ooo`00
00050?ooo`030000003oool0oooo00H0oooo00@000000?ooo`3oool00000303oool00`000000oooo
0?ooo`2R0?ooo`008@3oool2000000H0oooo0`0000060?ooo`040000003oool0oooo000000`0oooo
00<000000?ooo`3oool0XP3oool00380oooo00@000000?ooo`3oool00000303oool00`000000oooo
0?ooo`140?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0CP3oool00380oooo00<0
00000?ooo`3oool0E03oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo04h0oooo000b
0?ooo`030000003oool0oooo05@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1?
0?ooo`00<P3oool00`000000oooo0?ooo`1D0?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool0C`3oool00380oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`150?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool0C`3oool00380oooo00D000000?ooo`3oool0
oooo0000000:0?ooo`030000003oool0oooo04D0oooo00<000000?ooo`3oool0F`3oool00380oooo
00D000000?ooo`3oool0oooo0000000:0?ooo`030000003oool0oooo0:<0oooo000b0?ooo`050000
003oool0oooo0?ooo`0000002@3oool00`000000oooo0?ooo`2T0?ooo`00<P3oool01@000000oooo
0?ooo`3oool0000000T0oooo00<000000?ooo`3oool0Y03oool00380oooo00D000000?ooo`3oool0
oooo000000090?ooo`030000003oool0oooo04L0oooo00<000000?ooo`3oool01`3oool00`000000
oooo0?ooo`1@0?ooo`00<P3oool00`000000oooo0?ooo`1E0?ooo`030000003oool0oooo00L0oooo
00<000000?ooo`3oool0D03oool00380oooo00<000000?ooo`3oool0E@3oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo0540oooo000b0?ooo`030000003oool0oooo05D0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`1A0?ooo`00<P3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0B03oool2000000L0oooo00<000000?oo
o`3oool0D@3oool00380oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo0:D0oooo000b0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`2V0?ooo`00<P3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0YP3oool00380oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo0540oooo00<000000?ooo`3oool0DP3oool0
0380oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0DP3oool00380oooo00<000000?ooo`3oool0EP3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo0580oooo000b0?ooo`030000003oool0oooo05L0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`1C0?ooo`00<P3oool00`000000oooo0?oo
o`1G0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0D`3oool00380oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo04/0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`1C0?ooo`00<P3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool0YP3oool00380oooo00<000000?ooo`3o
ool0103oool01@000000oooo0?ooo`3oool000000:T0oooo000Z0?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0103oool01@000000oooo0?ooo`3oool000000:T0oooo000Z0?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool010000000oooo0?ooo`00001@0?oo
o`040000003oool0oooo000005H0oooo000Z0?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0F@3oool3000005H0oooo000Z0?ooo`030000003oool0oooo00D0oooo0P00001J0?ooo`80
0000E`3oool002X0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`2b0?ooo`00:@3o
ool2000000L0oooo00<000000?ooo`3oool0/P3oool002X0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`2b0?ooo`00i`3oool00>L0oooo0000\
\>"],
  ImageRangeCache->{{{0, 230.688}, {141.5, 0}} -> {-3.75322, -1.09162, \
0.0748949, 0.0154292}},
  CellTags->"IPM3.Sol.9.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Here is the new code for ",
  StyleBox["DataPlot", "MR"],
  "."
}], "SolutionItem",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(Clear[DataPlot]\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(Needs["\<Utilities`FilterOptions`\>"]\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(\(Options[DataPlot] = Options[ListPlot];\)\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(\(DataPlot::baddim = "\<The data used by DataPlot must be in the form \
of a one- or two-dimensional list.\>";\)\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(DataPlot[data_, opts___] := 
      Module[{pjQ, pts, lines}, \[IndentingNewLine]pjQ = 
          PlotJoined /. 
            Flatten[{opts, Options[DataPlot]}]; \[IndentingNewLine]pts = 
          Which[\[IndentingNewLine]VectorQ[data], 
            MapIndexed[{#2[\([1]\)], #1} &, 
              data], \[IndentingNewLine]\(Dimensions[
                  data]\)[\([2]\)] \[Equal] 2, data, \[IndentingNewLine]True, 
            Message[DataPlot::baddim]; $Failed]; \[IndentingNewLine]If[
          pts =!= $Failed, \[IndentingNewLine]Show[
            Graphics[{PointSize[ .02], Point /@ pts, 
                If[pjQ, lines = Line[pts], 
                  lines = {}]}], \[IndentingNewLine]FilterOptions[Graphics, 
              opts], Axes \[Rule] Automatic]]]\)], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell["Here is some sample two-dimensional data.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(\(data2D = {{0.043, 0.575}, {0.151, 0.120}, {0.234, 0.001}, {0.283, 
            0.930}, {0.343, 0.569}, {0.416, 0.768}, {0.465, 0.675}, {0.539, 
            0.528}, {0.786, 0.856}, {0.914, 0.794}};\)\)], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell["And here is some sample one-dimensional data.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(data1D = Table[Random[Integer, {1, 10}], {8}]\)], "Input",
  CellLabel->"In[16]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \({2, 5, 7, 5, 9, 9, 10, 6}\)], "Output",
  CellLabel->"Out[16]=",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(DataPlot[data1D, PlotJoined \[Rule] True]\)], "Input",
  CellLabel->"In[17]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 -0.132436 0.0735755 [
[.2619 .00222 -4.5 -11.875 ]
[.2619 .00222 4.5 0 ]
[.5 .00222 -4.5 -11.875 ]
[.5 .00222 4.5 0 ]
[.7381 .00222 -4.5 -11.875 ]
[.7381 .00222 4.5 0 ]
[.97619 .00222 -4.5 -11.875 ]
[.97619 .00222 4.5 0 ]
[.01131 .16187 -9 -5.9375 ]
[.01131 .16187 0 5.9375 ]
[.01131 .30902 -9 -5.9375 ]
[.01131 .30902 0 5.9375 ]
[.01131 .45617 -9 -5.9375 ]
[.01131 .45617 0 5.9375 ]
[.01131 .60332 -14 -5.9375 ]
[.01131 .60332 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.2619 .01472 m
.2619 .02097 L
s
gsave
.2619 .00222 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.5 .01472 m
.5 .02097 L
s
gsave
.5 .00222 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4) show
1.000 setlinewidth
grestore
.7381 .01472 m
.7381 .02097 L
s
gsave
.7381 .00222 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
.97619 .01472 m
.97619 .02097 L
s
gsave
.97619 .00222 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(8) show
1.000 setlinewidth
grestore
.125 Mabswid
.08333 .01472 m
.08333 .01847 L
s
.14286 .01472 m
.14286 .01847 L
s
.20238 .01472 m
.20238 .01847 L
s
.32143 .01472 m
.32143 .01847 L
s
.38095 .01472 m
.38095 .01847 L
s
.44048 .01472 m
.44048 .01847 L
s
.55952 .01472 m
.55952 .01847 L
s
.61905 .01472 m
.61905 .01847 L
s
.67857 .01472 m
.67857 .01847 L
s
.79762 .01472 m
.79762 .01847 L
s
.85714 .01472 m
.85714 .01847 L
s
.91667 .01472 m
.91667 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .16187 m
.03006 .16187 L
s
gsave
.01131 .16187 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4) show
1.000 setlinewidth
grestore
.02381 .30902 m
.03006 .30902 L
s
gsave
.01131 .30902 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
.02381 .45617 m
.03006 .45617 L
s
gsave
.01131 .45617 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(8) show
1.000 setlinewidth
grestore
.02381 .60332 m
.03006 .60332 L
s
gsave
.01131 .60332 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(10) show
1.000 setlinewidth
grestore
.125 Mabswid
.02381 .0515 m
.02756 .0515 L
s
.02381 .08829 m
.02756 .08829 L
s
.02381 .12508 m
.02756 .12508 L
s
.02381 .19865 m
.02756 .19865 L
s
.02381 .23544 m
.02756 .23544 L
s
.02381 .27223 m
.02756 .27223 L
s
.02381 .3458 m
.02756 .3458 L
s
.02381 .38259 m
.02756 .38259 L
s
.02381 .41938 m
.02756 .41938 L
s
.02381 .49296 m
.02756 .49296 L
s
.02381 .52974 m
.02756 .52974 L
s
.02381 .56653 m
.02756 .56653 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.02 w
.14286 .01472 Mdot
.2619 .23544 Mdot
.38095 .38259 Mdot
.5 .23544 Mdot
.61905 .52974 Mdot
.7381 .52974 Mdot
.85714 .60332 Mdot
.97619 .30902 Mdot
.5 Mabswid
.14286 .01472 m
.2619 .23544 L
.38095 .38259 L
.5 .23544 L
.61905 .52974 L
.7381 .52974 L
.85714 .60332 L
.97619 .30902 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[17]:=",
  ImageSize->{234.875, 144.563},
  ImageMargins->{{42.3125, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003Z0000T2000`400?l00000o`00003ojP3oool0
0>X0oooo003Z0?ooo`00jP3oool004H0oooo1000000a0?ooo`030000003oool0oooo02d0oooo0P00
000_0?ooo`800000303oool004L0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`0/
0?ooo`040000003oool0oooo000002d0oooo00@000000?ooo`3oool000002`3oool004P0oooo00<0
00000?ooo`3oool0;@3oool5000002d0oooo00@000000?ooo`3oool00000;@3oool010000000oooo
0?ooo`00000;0?ooo`00B03oool00`000000oooo0?ooo`0]0?ooo`040000003oool0oooo000002h0
oooo00@000000?ooo`3oool00000;P3oool2000000`0oooo00190?ooo`030000003oool0oooo02d0
oooo00<000000?ooo`000000;P3oool3000002h0oooo00@000000?ooo`3oool000002`3oool004H0
oooo00@000000?ooo`3oool00000<03oool2000002h0oooo00@000000?ooo`3oool00000;@3oool0
10000000oooo0?ooo`00000;0?ooo`00A`3oool200000380oooo00<000000?ooo`3oool0;@3oool2
000002l0oooo0P00000<0?ooo`005`3oool00`000000oooo0?ooo`3@0?ooo`005`3oool00`000000
oooo0?ooo`3@0?ooo`005`3oool00`000000oooo0?ooo`0E0?ooo`800000^@3oool00180oooodP00
00060?ooo`005`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00P0oooo1000000:
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02@3oool001L0oooo00<000000?oo
o`3oool05@3oool3000001H0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0_0?oo
o`030000003oool0oooo02l0oooo00<000000?ooo`3oool02@3oool001L0oooo00<000000?ooo`3o
ool0603oool00`000000oooo0?ooo`2e0?ooo`005`3oool00`000000oooo0?ooo`0H0?ooo`030000
003oool0oooo0;D0oooo000G0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0]03o
ool001L0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`2d0?ooo`005`3oool00`00
0000oooo0?ooo`0J0?ooo`030000003oool0oooo0;<0oooo000G0?ooo`030000003oool0oooo01X0
oooo00<000000?ooo`3oool0/`3oool001L0oooo00<000000?ooo`3oool06`3oool00`000000oooo
0?ooo`2b0?ooo`005`3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo0;80oooo000G
0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0/@3oool001L0oooo00<000000?oo
o`3oool0703oool00`000000oooo0?ooo`2a0?ooo`005`3oool00`000000oooo0?ooo`0M0?ooo`03
0000003oool0oooo0;00oooo000G0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0
/03oool001L0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`2_0?ooo`005`3oool0
0`000000oooo0?ooo`0N0?ooo`030000003oool0oooo0:l0oooo000G0?ooo`030000003oool0oooo
01l0oooo00<000000?ooo`3oool0[P3oool001L0oooo00<000000?ooo`3oool07`3oool00`000000
oooo0?ooo`2^0?ooo`005`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo0:d0oooo
000G0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0[@3oool001L0oooo00<00000
0?ooo`3oool08@3oool00`000000oooo0?ooo`2/0?ooo`005`3oool00`000000oooo0?ooo`0Q0?oo
o`030000003oool0oooo0:`0oooo000G0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3o
ool0Z`3oool001L0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`2[0?ooo`005`3o
ool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo0:X0oooo000G0?ooo`030000003oool0
oooo02<0oooo00<000000?ooo`3oool0ZP3oool001L0oooo00<000000?ooo`3oool0903oool00`00
0000oooo0?ooo`2Y0?ooo`005`3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo0:T0
oooo000@0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool09@3oool00`000000oooo
0?ooo`2X0?ooo`00403oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo02D0oooo00<0
00000?ooo`3oool0Z03oool000d0oooo1@0000050?ooo`8000009`3oool00`000000oooo0?ooo`2W
0?ooo`003@3oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo02H0oooo00<00000
0?ooo`3oool0Y`3oool000h0oooo00<000000?ooo`0000001P3oool00`000000oooo0?ooo`0W0?oo
o`030000003oool0oooo0:H0oooo000?0?ooo`8000001P3oool00`000000oooo0?ooo`0W0?ooo`03
0000003oool0oooo0:H0oooo000@0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
:03oool00`000000oooo0?ooo`2U0?ooo`005`3oool00`000000oooo0?ooo`0X0?ooo`030000003o
ool0oooo0:D0oooo000G0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0Y03oool0
01L0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`2T0?ooo`005`3oool00`000000
oooo0?ooo`0Z0?ooo`030000003oool0oooo0:<0oooo000G0?ooo`030000003oool0oooo02X0oooo
00<000000?ooo`3oool0X`3oool001L0oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?oo
o`2R0?ooo`005`3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo0:80oooo000G0?oo
o`030000003oool0oooo02`0oooo00<000000?ooo`3oool0X@3oool001L0oooo00<000000?ooo`3o
ool0;03oool00`000000oooo0?ooo`2Q0?ooo`005`3oool00`000000oooo0?ooo`0]0?ooo`<00000
<03oool2000006h0oooo000G0?ooo`030000003oool0oooo02d0oooo1000000^0?ooo`@00000K@3o
ool001L0oooo00<000000?ooo`3oool0;@3oool4000002h0oooo1000001]0?ooo`005`3oool00`00
0000oooo0?ooo`0^0?ooo`800000;`3oool3000006h0oooo000G0?ooo`030000003oool0oooo0300
oooo00<000000?ooo`3oool0:`3oool010000000oooo0?ooo`00001^0?ooo`005`3oool00`000000
oooo0?ooo`0`0?ooo`030000003oool0oooo02X0oooo00D000000?ooo`3oool0oooo0000001^0?oo
o`005`3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`1[0?ooo`005`3oool00`000000oooo0?ooo`0b0?ooo`030000
003oool0oooo02L0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1[0?ooo`005`3o
ool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`1[0?ooo`005`3oool00`000000oooo0?ooo`0d0?ooo`030000003oool0
oooo02<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`1Z0?ooo`005`3oool00`00
0000oooo0?ooo`0e0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`1Z0?ooo`005`3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo0200
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1Y0?ooo`005`3oool00`000000oooo
0?ooo`0f0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`1Y0?ooo`005`3oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo01d0oooo00<0
00000?ooo`3oool02`3oool00`000000oooo0?ooo`1X0?ooo`005`3oool00`000000oooo0?ooo`0h
0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`1X
0?ooo`003P3oool2000000L0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`0I0?oo
o`030000003oool0oooo00d0oooo00<000000?ooo`3oool0J03oool000d0oooo00@000000?ooo`3o
ool000001P3oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo01L0oooo00<000000?oo
o`3oool03`3oool00`000000oooo0?ooo`1J0?ooo`8000002`3oool000d0oooo00@000000?ooo`3o
ool000001P3oool2000003/0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0@0?oo
o`030000003oool0oooo05T0oooo1000000:0?ooo`003@3oool010000000oooo0?ooo`0000060?oo
o`030000003oool0oooo03/0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0A0?oo
o`030000003oool0oooo05P0oooo1000000:0?ooo`003@3oool3000000L0oooo00<000000?ooo`3o
ool0?03oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3o
ool0F@3oool2000000/0oooo000=0?ooo`040000003oool0oooo000000H0oooo00<000000?ooo`3o
ool0?@3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3o
ool0F@3oool00`000000oooo0?ooo`0:0?ooo`003P3oool2000000L0oooo00<000000?ooo`3oool0
?P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0
E`3oool00`000000oooo0?ooo`0;0?ooo`005`3oool00`000000oooo0?ooo`0o0?ooo`030000003o
ool0oooo00d0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`1G0?ooo`030000003o
ool0oooo00/0oooo000G0?ooo`030000003oool0oooo03l0oooo00<000000?ooo`3oool0303oool0
0`000000oooo0?ooo`0H0?ooo`030000003oool0oooo05H0oooo00<000000?ooo`3oool02`3oool0
01L0oooo00<000000?ooo`3oool0@03oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
01P0oooo00<000000?ooo`3oool0E@3oool00`000000oooo0?ooo`0<0?ooo`005`3oool00`000000
oooo0?ooo`110?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool06@3oool00`000000
oooo0?ooo`1E0?ooo`030000003oool0oooo00`0oooo000G0?ooo`030000003oool0oooo0480oooo
00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo05<0oooo
00<000000?ooo`3oool03@3oool001L0oooo00<000000?ooo`3oool0@`3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0D`3oool00`000000oooo0?oo
o`0=0?ooo`005`3oool00`000000oooo0?ooo`140?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool07P3oool00`000000oooo0?ooo`1B0?ooo`030000003oool0oooo00d0oooo000G0?oo
o`030000003oool0oooo04@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0O0?oo
o`030000003oool0oooo0540oooo00<000000?ooo`3oool03P3oool001L0oooo00<000000?ooo`3o
ool0A@3oool01@000000oooo0?ooo`3oool000000240oooo00<000000?ooo`3oool0D@3oool00`00
0000oooo0?ooo`0>0?ooo`005`3oool00`000000oooo0?ooo`160?ooo`<000008`3oool00`000000
oooo0?ooo`1?0?ooo`030000003oool0oooo00l0oooo000G0?ooo`030000003oool0oooo04H0oooo
1000000R0?ooo`030000003oool0oooo04l0oooo00<000000?ooo`3oool03`3oool001L0oooo00<0
00000?ooo`3oool0AP3oool4000002<0oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?oo
o`0?0?ooo`005`3oool00`000000oooo0?ooo`170?ooo`800000903oool00`000000oooo0?ooo`1=
0?ooo`030000003oool0oooo0100oooo000G0?ooo`030000003oool0oooo06h0oooo00<000000?oo
o`3oool0C03oool00`000000oooo0?ooo`0@0?ooo`005`3oool00`000000oooo0?ooo`1^0?ooo`03
0000003oool0oooo04/0oooo00<000000?ooo`3oool04@3oool001L0oooo00<000000?ooo`3oool0
KP3oool00`000000oooo0?ooo`1;0?ooo`030000003oool0oooo0140oooo000G0?ooo`030000003o
ool0oooo06l0oooo00<000000?ooo`3oool0BP3oool00`000000oooo0?ooo`0A0?ooo`005`3oool0
0`000000oooo0?ooo`1_0?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3oool04P3oool0
01L0oooo00<000000?ooo`3oool0L03oool00`000000oooo0?ooo`180?ooo`030000003oool0oooo
0180oooo000G0?ooo`030000003oool0oooo0700oooo00<000000?ooo`3oool0A`3oool00`000000
oooo0?ooo`0C0?ooo`005`3oool00`000000oooo0?ooo`1`0?ooo`030000003oool0oooo04L0oooo
00<000000?ooo`3oool04`3oool001L0oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?oo
o`160?ooo`030000003oool0oooo01<0oooo000G0?ooo`030000003oool0oooo0740oooo00<00000
0?ooo`3oool0A@3oool00`000000oooo0?ooo`0D0?ooo`005`3oool00`000000oooo0?ooo`1b0?oo
o`030000003oool0oooo04@0oooo00<000000?ooo`3oool0503oool000h0oooo0P0000070?ooo`03
0000003oool0oooo0780oooo00<000000?ooo`3oool0@`3oool00`000000oooo0?ooo`0E0?ooo`00
3@3oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo0780oooo00<000000?ooo`3o
ool0@`3oool00`000000oooo0?ooo`0E0?ooo`003@3oool010000000oooo0?ooo`0000060?ooo`80
0000M03oool00`000000oooo0?ooo`110?ooo`030000003oool0oooo01H0oooo000>0?ooo`800000
1`3oool00`000000oooo0?ooo`1c0?ooo`030000003oool0oooo0440oooo00<000000?ooo`3oool0
5P3oool000d0oooo00@000000?ooo`3oool000001P3oool00`000000oooo0?ooo`1d0?ooo`030000
003oool0oooo0400oooo00<000000?ooo`3oool05P3oool000d0oooo00@000000?ooo`3oool00000
1P3oool00`000000oooo0?ooo`1d0?ooo`030000003oool0oooo03l0oooo00<000000?ooo`3oool0
5`3oool000h0oooo0P0000070?ooo`030000003oool0oooo07@0oooo00<000000?ooo`3oool0?`3o
ool00`000000oooo0?ooo`0G0?ooo`005`3oool00`000000oooo0?ooo`1e0?ooo`030000003oool0
oooo03d0oooo00<000000?ooo`3oool0603oool001L0oooo00<000000?ooo`3oool0M@3oool00`00
0000oooo0?ooo`0m0?ooo`030000003oool0oooo01P0oooo000G0?ooo`030000003oool0oooo07H0
oooo00<000000?ooo`3oool0?03oool00`000000oooo0?ooo`0H0?ooo`005`3oool00`000000oooo
0?ooo`1f0?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool06@3oool001L0oooo00<0
00000?ooo`3oool0M`3oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo01T0oooo000G
0?ooo`030000003oool0oooo07L0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`0J
0?ooo`005`3oool00`000000oooo0?ooo`1g0?ooo`030000003oool0oooo03T0oooo00<000000?oo
o`3oool06P3oool001L0oooo00<000000?ooo`3oool0N03oool00`000000oooo0?ooo`0h0?ooo`03
0000003oool0oooo01X0oooo000G0?ooo`030000003oool0oooo07P0oooo00<000000?ooo`3oool0
=`3oool00`000000oooo0?ooo`0K0?ooo`005`3oool00`000000oooo0?ooo`1i0?ooo`8000005`3o
ool2000001h0oooo00<000000?ooo`3oool06`3oool001L0oooo00<000000?ooo`3oool0N03ooolM
000001`0oooo00<000000?ooo`3oool0703oool001L0oooo00<000000?ooo`3oool0N03oool40000
01D0oooo1000000L0?ooo`030000003oool0oooo01`0oooo000G0?ooo`030000003oool0oooo07T0
oooo0P00000G0?ooo`80000000<0oooo0000003oool06P3oool00`000000oooo0?ooo`0L0?ooo`00
5`3oool00`000000oooo0?ooo`2F0?ooo`800000603oool00`000000oooo0?ooo`0M0?ooo`005`3o
ool00`000000oooo0?ooo`2H0?ooo`8000005P3oool00`000000oooo0?ooo`0M0?ooo`005`3oool0
0`000000oooo0?ooo`2J0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool07P3oool0
01L0oooo00<000000?ooo`3oool0V`3oool200000180oooo00<000000?ooo`3oool07P3oool001L0
oooo00<000000?ooo`3oool0W@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo01h0
oooo000G0?ooo`030000003oool0oooo09h0oooo0P00000>0?ooo`030000003oool0oooo01l0oooo
000G0?ooo`030000003oool0oooo0:00oooo00<000000?ooo`3oool02`3oool00`000000oooo0?oo
o`0O0?ooo`005`3oool00`000000oooo0?ooo`2Q0?ooo`8000002P3oool00`000000oooo0?ooo`0P
0?ooo`005`3oool00`000000oooo0?ooo`2S0?ooo`030000003oool0oooo00L0oooo00<000000?oo
o`3oool0803oool001L0oooo00<000000?ooo`3oool0Y03oool2000000L0oooo00<000000?ooo`3o
ool0803oool000X0oooo00<000000?ooo`3oool00`0000070?ooo`030000003oool0oooo0:H0oooo
0P0000040?ooo`030000003oool0oooo0240oooo000:0?ooo`040000003oool0oooo00000080oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`2X0?ooo`030000003oool0000000800000
8`3oool000X0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo0:T0oooo1000000S0?ooo`002P3oool010000000oooo0?ooo`0000020?ooo`030000
003oool0oooo00@0oooo0P00002Z0?ooo`@000008`3oool000X0oooo00@000000?ooo`3oool00000
0P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0:X0oooo0P00000T0?ooo`002@3o
ool200000080oooo00@000000?ooo`3oool000001P3oool00`000000oooo0?ooo`3@0?ooo`002P3o
ool010000000oooo0?ooo`3oool2000000L0oooo00<000000?ooo`3oool0d03oool00>X0oooo003Z
0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 233.875}, {143.563, 0}} -> {-0.929007, 1.05862, \
0.0401533, 0.0649695}},
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[17]=",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(DataPlot[data2D, PlotJoined \[Rule] True]\)], "Input",
  CellLabel->"In[18]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 1.04199 0.0147151 0.632907 [
[.23221 .00222 -8.25 -11.875 ]
[.23221 .00222 8.25 0 ]
[.44061 .00222 -8.25 -11.875 ]
[.44061 .00222 8.25 0 ]
[.649 .00222 -8.25 -11.875 ]
[.649 .00222 8.25 0 ]
[.8574 .00222 -8.25 -11.875 ]
[.8574 .00222 8.25 0 ]
[.01131 .1413 -16.5 -5.9375 ]
[.01131 .1413 0 5.9375 ]
[.01131 .26788 -16.5 -5.9375 ]
[.01131 .26788 0 5.9375 ]
[.01131 .39446 -16.5 -5.9375 ]
[.01131 .39446 0 5.9375 ]
[.01131 .52104 -16.5 -5.9375 ]
[.01131 .52104 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.23221 .01472 m
.23221 .02097 L
s
gsave
.23221 .00222 -69.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.2) show
1.000 setlinewidth
grestore
.44061 .01472 m
.44061 .02097 L
s
gsave
.44061 .00222 -69.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.4) show
1.000 setlinewidth
grestore
.649 .01472 m
.649 .02097 L
s
gsave
.649 .00222 -69.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.6) show
1.000 setlinewidth
grestore
.8574 .01472 m
.8574 .02097 L
s
gsave
.8574 .00222 -69.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.8) show
1.000 setlinewidth
grestore
.125 Mabswid
.07591 .01472 m
.07591 .01847 L
s
.12801 .01472 m
.12801 .01847 L
s
.18011 .01472 m
.18011 .01847 L
s
.28431 .01472 m
.28431 .01847 L
s
.33641 .01472 m
.33641 .01847 L
s
.38851 .01472 m
.38851 .01847 L
s
.49271 .01472 m
.49271 .01847 L
s
.54481 .01472 m
.54481 .01847 L
s
.59691 .01472 m
.59691 .01847 L
s
.7011 .01472 m
.7011 .01847 L
s
.7532 .01472 m
.7532 .01847 L
s
.8053 .01472 m
.8053 .01847 L
s
.9095 .01472 m
.9095 .01847 L
s
.9616 .01472 m
.9616 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .1413 m
.03006 .1413 L
s
gsave
.01131 .1413 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.2) show
1.000 setlinewidth
grestore
.02381 .26788 m
.03006 .26788 L
s
gsave
.01131 .26788 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.4) show
1.000 setlinewidth
grestore
.02381 .39446 m
.03006 .39446 L
s
gsave
.01131 .39446 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.6) show
1.000 setlinewidth
grestore
.02381 .52104 m
.03006 .52104 L
s
gsave
.01131 .52104 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.8) show
1.000 setlinewidth
grestore
.125 Mabswid
.02381 .04636 m
.02756 .04636 L
s
.02381 .07801 m
.02756 .07801 L
s
.02381 .10965 m
.02756 .10965 L
s
.02381 .17294 m
.02756 .17294 L
s
.02381 .20459 m
.02756 .20459 L
s
.02381 .23623 m
.02756 .23623 L
s
.02381 .29952 m
.02756 .29952 L
s
.02381 .33117 m
.02756 .33117 L
s
.02381 .36281 m
.02756 .36281 L
s
.02381 .4261 m
.02756 .4261 L
s
.02381 .45775 m
.02756 .45775 L
s
.02381 .4894 m
.02756 .4894 L
s
.02381 .55269 m
.02756 .55269 L
s
.02381 .58433 m
.02756 .58433 L
s
.02381 .61598 m
.02756 .61598 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.02 w
.06862 .37864 Mdot
.18115 .09066 Mdot
.26764 .01535 Mdot
.31869 .60332 Mdot
.38121 .37484 Mdot
.45728 .50079 Mdot
.50834 .44193 Mdot
.58544 .34889 Mdot
.84282 .55648 Mdot
.97619 .51724 Mdot
.5 Mabswid
.06862 .37864 m
.18115 .09066 L
.26764 .01535 L
.31869 .60332 L
.38121 .37484 L
.45728 .50079 L
.50834 .44193 L
.58544 .34889 L
.84282 .55648 L
.97619 .51724 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[18]:=",
  ImageSize->{233.625, 144.188},
  ImageMargins->{{42.6875, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003Y0000T2000`400?l00000o`00003oj@3oool0
0>T0oooo003Y0?ooo`00j@3oool003`0oooo0`0000030?ooo`030000003oool0000000<00000803o
ool3000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0N0?ooo`<000000`3o
ool00`000000oooo0?ooo`0200000280oooo0`0000030?ooo`030000003oool0oooo008000007@3o
ool003`0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`0P0?ooo`040000003o
ool0oooo000000L0oooo00<000000?ooo`3oool07P3oool010000000oooo0?ooo`0000040?ooo`04
0000003oool0oooo00000240oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`00
000L0?ooo`00?03oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo01l0oooo00@0
00000?ooo`3oool00000103oool5000001l0oooo00@000000?ooo`3oool00000103oool010000000
oooo0?ooo`00000Q0?ooo`040000003oool0oooo000000@0oooo00@000000?ooo`3oool00000703o
ool003`0oooo00@000000?ooo`3oool000001P3oool00`000000oooo0?ooo`0O0?ooo`040000003o
ool0oooo000000@0oooo00@000000?ooo`3oool00000803oool010000000oooo0?ooo`0000040?oo
o`040000003oool0oooo00000240oooo00@000000?ooo`3oool000001@3oool2000001d0oooo000l
0?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`3oool07P3oool010000000oooo0?oo
o`0000050?ooo`030000003oool000000200oooo00@000000?ooo`3oool00000103oool300000280
oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`00000L0?ooo`00?03oool01000
0000oooo0?ooo`0000040?ooo`040000003oool0oooo00000200oooo00@000000?ooo`3oool00000
1P3oool200000200oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`00000Q0?oo
o`040000003oool0oooo000000@0oooo00@000000?ooo`3oool00000703oool003d0oooo0P000006
0?ooo`8000008P3oool2000000P0oooo00<000000?ooo`3oool07`3oool2000000H0oooo0P00000S
0?ooo`8000001P3oool2000001d0oooo003Y0?ooo`005@3oool00`000000oooo0?ooo`3A0?ooo`00
5@3oool00`000000oooo0?ooo`3A0?ooo`005@3oool00`000000oooo0?ooo`0a0?ooo`800000WP3o
ool00100ooooeP0000030?ooo`005@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
00<0oooo100000000`3oool000000?ooo`090?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00T0oooo000E0?ooo`03
0000003oool0oooo02l0oooo00@000000?ooo`0000000000WP3oool001D0oooo00<000000?ooo`3o
ool0;P3oool010000000oooo0?ooo`00002O0?ooo`005@3oool00`000000oooo0?ooo`0/0?ooo`80
00000`3oool00`000000oooo0?ooo`2M0?ooo`005@3oool00`000000oooo0?ooo`0[0?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool0W@3oool001D0oooo00<000000?ooo`3oool0:P3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo09`0oooo000E0?ooo`800000:P3oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo09`0oooo000E0?ooo`030000003oool0oooo
02P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`2L0?ooo`005@3oool00`000000
oooo0?ooo`0W0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0W03oool001D0oooo
00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo09`0oooo
000E0?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`2L0?ooo`005@3oool00`000000oooo0?ooo`0S0?ooo`8000003@3oool00`000000oooo0?ooo`2L
0?ooo`005@3oool2000002<0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`2L0?oo
o`005@3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3o
ool0W03oool001D0oooo00<000000?ooo`3oool07P3oool300000140oooo00<000000?ooo`3oool0
W03oool001D0oooo00<000000?ooo`3oool07@3oool400000140oooo00<000000?ooo`3oool0W03o
ool001D0oooo00<000000?ooo`3oool07@3oool400000140oooo00<000000?ooo`3oool0W03oool0
01D0oooo00<000000?ooo`3oool07P3oool2000001<0oooo00<000000?ooo`3oool0V`3oool001D0
oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo09/0
oooo000E0?ooo`8000007P3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo09/0oooo
000E0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?oo
o`2K0?ooo`005@3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo01<0oooo00<00000
0?ooo`3oool0V`3oool001D0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo09/0oooo000E0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3o
ool0503oool00`000000oooo0?ooo`2K0?ooo`00103oool3000000<0oooo00<000000?ooo`000000
0`0000050?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool05@3oool00`000000oooo
0?ooo`2K0?ooo`00103oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo09/0oooo
00040?ooo`040000003oool0oooo000000H0oooo00<000000?ooo`3oool0103oool3000001/0oooo
00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`2K0?ooo`00103oool010000000oooo0?oo
o`0000060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool06P3oool00`000000oooo
0?ooo`0F0?ooo`030000003oool0oooo09/0oooo00040?ooo`040000003oool0oooo000000L0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo01L0oooo
00<000000?ooo`3oool0VP3oool000@0oooo00@000000?ooo`3oool00000103oool010000000oooo
0?ooo`0000050?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0603oool00`000000
oooo0?ooo`2J0?ooo`001@3oool2000000H0oooo0P0000060?ooo`030000003oool0oooo01T0oooo
00<000000?ooo`3oool0603oool00`000000oooo0?ooo`2J0?ooo`005@3oool00`000000oooo0?oo
o`0I0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0VP3oool001D0oooo00<00000
0?ooo`3oool0603oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo09X0oooo000E0?oo
o`8000006@3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo09X0oooo000E0?ooo`03
0000003oool0oooo01P0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`2J0?ooo`00
5@3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0
VP3oool001D0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0J0?ooo`030000003o
ool0oooo09X0oooo000E0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool06`3oool0
0`000000oooo0?ooo`2J0?ooo`005@3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo
01/0oooo00<000000?ooo`3oool0VP3oool001D0oooo0P00000G0?ooo`030000003oool0oooo01`0
oooo00<000000?ooo`3oool0V@3oool001D0oooo00<000000?ooo`3oool05@3oool00`000000oooo
0?ooo`0M0?ooo`030000003oool0oooo09T0oooo000E0?ooo`030000003oool0oooo01D0oooo00<0
00000?ooo`3oool07@3oool00`000000oooo0?ooo`2I0?ooo`005@3oool00`000000oooo0?ooo`0D
0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0V@3oool001D0oooo00<000000?oo
o`3oool0503oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo09T0oooo000E0?ooo`03
0000003oool0oooo01@0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`2I0?ooo`00
5@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0
V@3oool001D0oooo0P00000D0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0V@3o
ool001D0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0
oooo09T0oooo000E0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0803oool00`00
0000oooo0?ooo`2I0?ooo`005@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo0200
oooo00<000000?ooo`3oool0V@3oool001D0oooo00<000000?ooo`3oool04@3oool00`000000oooo
0?ooo`0Q0?ooo`030000003oool0oooo09T0oooo00040?ooo`<000000`3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?oo
o`0R0?ooo`030000003oool0oooo09P0oooo00040?ooo`040000003oool0oooo000000L0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo02<0oooo00<0
00000?ooo`3oool0V03oool000@0oooo00@000000?ooo`3oool00000103oool5000000@0oooo0`00
000@0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0V03oool000@0oooo00@00000
0?ooo`3oool00000103oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo0100oooo
00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`2H0?ooo`00103oool010000000oooo0?oo
o`0000050?ooo`030000003oool0000000D0oooo00<000000?ooo`3oool03`3oool00`000000oooo
0?ooo`0T0?ooo`030000003oool0oooo09P0oooo00040?ooo`040000003oool0oooo000000H0oooo
0P0000050?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0903oool00`000000oooo
0?ooo`2H0?ooo`001@3oool2000000P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`0>0?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0V03oool001D0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo09P0oooo000E0?oo
o`030000003oool0oooo00h0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`2H0?oo
o`005@3oool2000000h0oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`2H0?ooo`00
5@3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0
V03oool001D0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0W0?ooo`030000003o
ool0oooo09L0oooo000E0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0:03oool0
0`000000oooo0?ooo`2G0?ooo`005@3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo
02P0oooo00<000000?ooo`3oool0U`3oool001D0oooo00<000000?ooo`3oool02`3oool00`000000
oooo0?ooo`0Y0?ooo`030000003oool0oooo09L0oooo000E0?ooo`800000303oool00`000000oooo
0?ooo`0Y0?ooo`030000003oool0oooo09L0oooo000E0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool0:@3oool00`000000oooo0?ooo`2G0?ooo`005@3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool0U`3oool001D0oooo00<000000?oo
o`3oool02P3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo03X0oooo0P00001K0?oo
o`005@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3o
ool0>@3oool4000005X0oooo000E0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
:`3oool00`000000oooo0?ooo`0i0?ooo`@00000FP3oool001D0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo03T0oooo0`0000000`3oool000000000
001H0?ooo`005@3oool2000000T0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`0h
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0E@3oool001D0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo00h0oooo0P00000W0?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0E03oool001D0oooo00<000000?ooo`3o
ool01P3oool200000300oooo00<000000?ooo`3oool03@3oool4000002D0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`1C0?ooo`005@3oool00`000000oooo0?ooo`050?ooo`@00000
;`3oool00`000000oooo0?ooo`0=0?ooo`@00000903oool00`000000oooo0?ooo`090?ooo`800000
D`3oool001D0oooo00<000000?ooo`3oool01@3oool4000002l0oooo00<000000?ooo`3oool03P3o
ool3000002<0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`1@0?ooo`00103oool3
000000<0oooo00<000000?ooo`3oool00P0000060?ooo`030000003oool0oooo00H0oooo0P00000`
0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`0000008`3oool00`000000oooo0?ooo`0=
0?ooo`030000003oool0oooo04l0oooo00040?ooo`040000003oool0oooo000000@0oooo00@00000
0?ooo`3oool000001@3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo00h0oooo00@0
00000?ooo`3oool000008@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo04h0oooo
00040?ooo`040000003oool0oooo000000@0oooo00@000000?ooo`3oool000001@3oool3000003P0
oooo00<000000?ooo`3oool03P3oool010000000oooo0?ooo`00000P0?ooo`030000003oool0oooo
0140oooo0P00001>0?ooo`00103oool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo
000000D0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0>0?ooo`050000003oool0
oooo0?ooo`0000007P3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo04/0oooo0004
0?ooo`040000003oool0oooo000000@0oooo0`0000060?ooo`030000003oool0oooo03P0oooo00<0
00000?ooo`3oool03@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01X0oooo00<0
00000?ooo`3oool05P3oool00`000000oooo0?ooo`1:0?ooo`00103oool010000000oooo0?ooo`00
00040?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool0>03oool00`000000oooo
0?ooo`0=0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool06P3oool00`000000oooo
0?ooo`0G0?ooo`030000003oool0oooo04T0oooo00050?ooo`8000001P3oool2000000H0oooo00<0
00000?ooo`3oool0>03oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0603oool00`000000oooo0?ooo`0I0?ooo`800000B@3oool001D0oooo00<00000
0?ooo`3oool0>@3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool05P3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo04H0oooo000E0?oo
o`030000003oool0oooo03T0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo01D0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`150?oo
o`005@3oool2000003X0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo01<0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`140?ooo`00
5@3oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
203oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0240oooo0P0000140?ooo`005@3o
ool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`0?0?ooo`<000009P3oool00`000000oooo0?ooo`110?ooo`005@3oool0
0`000000oooo0?ooo`0i0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02P3oool0
0`000000oooo0?ooo`0=0?ooo`@000009`3oool00`000000oooo0?ooo`100?ooo`005@3oool00`00
0000oooo0?ooo`0i0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`0=0?ooo`@00000:03oool00`000000oooo0?ooo`0o0?ooo`005@3oool00`000000
oooo0?ooo`0i0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0303oool00`000000
oooo0?ooo`0<0?ooo`<00000:P3oool2000003l0oooo000E0?ooo`800000>P3oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool02`3oool00`000000oooo
0?ooo`0]0?ooo`030000003oool0oooo03`0oooo000E0?ooo`030000003oool0oooo03T0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool0;`3oool00`000000oooo0?ooo`0k0?ooo`005@3oool00`000000oooo0?ooo`0i
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool0>P3oool001D0oooo00<000000?oo
o`3oool0>P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00l0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`0c0?ooo`800000>P3oool001D0oooo00<000000?ooo`3o
ool0>P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0100oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo03L0oooo000E0?ooo`030000
003oool0oooo03X0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0A0?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`0f0?ooo`005@3o
ool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool04P3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool0=@3o
ool001D0oooo0P00000k0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool04`3oool0
10000000oooo0?ooo`00000m0?ooo`800000=@3oool001D0oooo00<000000?ooo`3oool0>P3oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo01<0oooo0`0000100?ooo`030000003oool0
oooo0380oooo000E0?ooo`030000003oool0oooo03X0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`0C0?ooo`@00000@@3oool00`000000oooo0?ooo`0a0?ooo`005@3oool00`000000
oooo0?ooo`0j0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool04`3oool400000480
oooo00<000000?ooo`3oool0<03oool001D0oooo00<000000?ooo`3oool0>P3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo01@0oooo0P0000140?ooo`800000<03oool000@0oooo0`00
00030?ooo`030000003oool0oooo008000001P3oool00`000000oooo0?ooo`0j0?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0G03oool00`000000oooo0?ooo`0T0?ooo`8000001`3o
ool000@0oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`0000050?ooo`030000
003oool0oooo03X0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`1N0?ooo`030000
003oool0oooo0280oooo100000060?ooo`00103oool010000000oooo0?ooo`0000040?ooo`040000
003oool0oooo000000D0oooo0`00000k0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool0G`3oool00`000000oooo0?ooo`0M0?ooo`P000001P3oool000@0oooo00@000000?ooo`3oool0
00001@3oool2000000H0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo0600oooo0P00000J0?ooo`<000001@3oool2000000L0oooo00040?ooo`040000
003oool0oooo000000@0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`0k0?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool0H`3oool00`000000oooo0?ooo`0C0?oo
o`@000004@3oool000@0oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`000005
0?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`1T
0?ooo`030000003oool0oooo00l0oooo0`00000E0?ooo`001@3oool2000000H0oooo0P0000060?oo
o`030000003oool0oooo03/0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`1U0?oo
o`030000003oool0oooo00X0oooo1000000H0?ooo`005@3oool00`000000oooo0?ooo`0k0?ooo`05
0000003oool0oooo0?ooo`000000J@3oool2000000L0oooo0`00000L0?ooo`005@3oool00`000000
oooo0?ooo`0k0?ooo`050000003oool0oooo0?ooo`000000J`3oool2000000030?ooo`0000000000
008000007`3oool001D0oooo0P00000l0?ooo`050000003oool0oooo0?ooo`000000JP3oool40000
02<0oooo000E0?ooo`030000003oool0oooo03/0oooo00D000000?ooo`3oool0oooo0000001Z0?oo
o`@000008`3oool001D0oooo00<000000?ooo`3oool0>`3oool010000000oooo0?ooo`00001/0?oo
o`800000903oool001D0oooo00<000000?ooo`3oool0>`3oool010000000oooo0?ooo`00002B0?oo
o`005@3oool00`000000oooo0?ooo`0k0?ooo`040000003oool0oooo00000980oooo000E0?ooo`03
0000003oool0oooo03`0oooo0P00002C0?ooo`005@3oool2000003d0oooo0P00002C0?ooo`005@3o
ool00`000000oooo0?ooo`0l0?ooo`800000T`3oool001D0oooo00<000000?ooo`3oool0?03oool2
000009<0oooo000E0?ooo`030000003oool0oooo03`0oooo0P00002C0?ooo`005@3oool00`000000
oooo0?ooo`0k0?ooo`@00000TP3oool001D0oooo00<000000?ooo`3oool0>`3oool400000980oooo
000E0?ooo`030000003oool0oooo03`0oooo0P00002C0?ooo`005@3oool200000=80oooo0000\
\>"],
  ImageRangeCache->{{{0, 232.625}, {143.188, 0}} -> {-0.0981921, -0.107738, \
0.00450071, 0.00740978}},
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[18]=",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]],

Cell[TextData[{
  "Here is some data that ",
  StyleBox["DataPlot", "MR"],
  " is not designed to deal with."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(DataPlot[{{1, 2, 3}, {2, 3, 4}, {4, 5, 6}}]\)], "Input",
  CellLabel->"In[19]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(DataPlot::"baddim" \(\(:\)\(\ \)\) 
      "The data used by DataPlot must be in the form of a one- or \
two-dimensional list."\)], "Message",
  CellLabel->"From In[19]:=",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "There are a number of things that could go wrong with the algorithm by \
just choosing a base point randomly and then sorting according to the \
arctangent. The default branch cut for ",
  StyleBox["ArcTan", "MR"],
  " gives values between ",
  Cell[BoxData[
      \(TraditionalForm\`\(-\[Pi]\)/2\)]],
  " and ",
  Cell[BoxData[
      \(TraditionalForm\`\[Pi]/2\)]],
  ". (The reader is encouraged to think about why this could occasionally \
cause the algorithm in the text to fail.)",
  " ",
  "By choosing the base point so that it lies at some extreme of the diameter \
of the set of points, the polar angle algorithm given in the text will work \
consistently. If you choose the base point so that it is lowest and \
left-most, then all the angles will be in the range (0, \[Pi]]."
}], "SolutionItem",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(simpleClosedPath1[lis_List] := 
      Module[{base, angle, sorted}, \[IndentingNewLine]base = 
          Last[Sort[
              lis, \((#2[\([2]\)] < #1[\([2]\)])\) &]]; \
\[IndentingNewLine]angle[a_, b_] := 
          Apply[ArcTan, b - a]; \[IndentingNewLine]sorted = 
          Sort[Complement[
              lis, {base}], \((angle[base, #1] \[LessEqual] 
                  angle[base, #2])\) &]; \[IndentingNewLine]Join[{base}, 
          sorted, {base}]\[IndentingNewLine]]\)], "Input",
  CellLabel->"In[20]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(\(pts = Table[Random[], {20}, {2}];\)\)], "Input",
  CellLabel->"In[21]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(PointPlot[coords_List] := \[IndentingNewLine]Show[
        Graphics[{\[IndentingNewLine]Line[
              coords], \[IndentingNewLine]PointSize[ .02], RGBColor[1, 0, 0], 
            Map[Point, coords]\[IndentingNewLine]}]]\)], "Input",
  CellLabel->"In[22]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(PointPlot[simpleClosedPath1[pts]];\)\)], "Input",
  CellLabel->"In[23]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 1.01032 0.0147151 0.648065 [
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
0 g
.5 Mabswid
[ ] 0 setdash
.58013 .01992 m
.83983 .07887 L
.97619 .54709 L
.8321 .37979 L
.83623 .45094 L
.69957 .28435 L
.84076 .60124 L
.63874 .31825 L
.53062 .47042 L
.35994 .60332 L
.512 .18427 L
.13114 .47696 L
.33302 .27123 L
.11661 .4878 L
.16205 .39148 L
.165 .33161 L
.26938 .20565 L
.14325 .27915 L
.03239 .21553 L
.08745 .08029 L
.58013 .01992 L
s
1 0 0 r
.02 w
.58013 .01992 Mdot
.83983 .07887 Mdot
.97619 .54709 Mdot
.8321 .37979 Mdot
.83623 .45094 Mdot
.69957 .28435 Mdot
.84076 .60124 Mdot
.63874 .31825 Mdot
.53062 .47042 Mdot
.35994 .60332 Mdot
.512 .18427 Mdot
.13114 .47696 Mdot
.33302 .27123 Mdot
.11661 .4878 Mdot
.16205 .39148 Mdot
.165 .33161 Mdot
.26938 .20565 Mdot
.14325 .27915 Mdot
.03239 .21553 Mdot
.08745 .08029 Mdot
.58013 .01992 Mdot
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[23]:=",
  ImageSize->{244, 150.75},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003d0000UR000`400?l00000o`00003om03oool0
0?@0oooo003d0?ooo`00S03oool20?l006H0oooo002;0?ooo`@0o`00I@3oool008P0oooo0`000004
0?l006D0oooo00200?ooo`P00000103oool20?l000030?ooo`000000000000800000H@3oool007L0
oooo2@00000C0?ooo`D00000G03oool006l0oooo2000000Q0?ooo`@00000F03oool006H0oooo2@00
000]0?ooo`D00000D`3oool005h0oooo2000000k0?ooo`@00000C`3oool005D0oooo2@0000170?oo
o`D00000BP3oool004d0oooo2000001E0?ooo`@00000AP3oool004@0oooo2@00001Q0?ooo`D00000
@@3oool003`0oooo2000001_0?ooo`@00000?@3oool003<0oooo2@00001k0?ooo`D00000>03oool0
02/0oooo200000290?ooo`@00000=03oool00280oooo2@00002E0?ooo`D00000;`3oool001@0oooo
0P3o00040?ooo`P00000X`3oool4000000030?ooo`3o0000o`0002P0oooo000C0?ooo`@0o`000`00
002_0?ooo`@0o`009`3oool001<0oooo103o002b0?ooo`@0o`009`3oool001@0oooo0P3o002d0?oo
o`80o`0000<000000?ooo`3oool09@3oool001@0oooo00<000000?ooo`3oool0]@3oool00`000000
oooo0?ooo`0U0?ooo`004`3oool00`000000oooo0?ooo`2f0?ooo`030000003oool0oooo02D0oooo
000C0?ooo`030000003oool0oooo0;H0oooo00<000000?ooo`3oool09@3oool001<0oooo00<00000
0?ooo`3oool0]`3oool00`000000oooo0?ooo`0T0?ooo`004P3oool00`000000oooo0?ooo`2h0?oo
o`030000003oool0oooo02@0oooo000B0?ooo`030000003oool0oooo0;P0oooo00<000000?ooo`3o
ool0903oool00140oooo00<000000?ooo`3oool0^P3oool00`000000oooo0?ooo`0S0?ooo`004@3o
ool00`000000oooo0?ooo`2j0?ooo`030000003oool0oooo02<0oooo000A0?ooo`030000003oool0
oooo0;X0oooo00<000000?ooo`3oool08`3oool00100oooo00<000000?ooo`3oool0_03oool00`00
0000oooo0?ooo`0R0?ooo`00403oool00`000000oooo0?ooo`2l0?ooo`030000003oool0oooo0280
oooo000?0?ooo`030000003oool0oooo0;d0oooo00<000000?ooo`3oool08P3oool000l0oooo00<0
00000?ooo`3oool0_@3oool00`000000oooo0?ooo`0R0?ooo`003`3oool00`000000oooo0?ooo`2n
0?ooo`030000003oool0oooo0240oooo000>0?ooo`030000003oool0oooo0;l0oooo00<000000?oo
o`3oool08@3oool000h0oooo00<000000?ooo`3oool0_`3oool00`000000oooo0?ooo`0Q0?ooo`00
3P3oool00`000000oooo0?ooo`300?ooo`030000003oool0oooo0200oooo000=0?ooo`030000003o
ool0oooo0<40oooo00<000000?ooo`3oool0803oool000d0oooo00<000000?ooo`3oool0`@3oool0
0`000000oooo0?ooo`0P0?ooo`00303oool00`000000oooo0?ooo`320?ooo`030000003oool0oooo
0200oooo000<0?ooo`030000003oool0oooo0<<0oooo00<000000?ooo`3oool07`3oool000`0oooo
00<000000?ooo`3oool0K03oool20?l005D0oooo00<000000?ooo`3oool07`3oool000/0oooo00<0
00000?ooo`3oool0K03oool40?l005@0oooo00<000000?ooo`3oool07`3oool000/0oooo00<00000
0?ooo`3oool0K03oool40?l005D0oooo00<000000?ooo`3oool07P3oool000X0oooo00<000000?oo
o`3oool0K03oool200000080o`00EP3oool00`000000oooo0?ooo`0N0?ooo`002P3oool00`000000
oooo0?ooo`1[0?ooo`040000003oool0oooo000005L0oooo00<000000?ooo`3oool07P3oool000X0
oooo00<000000?ooo`3oool0<`3oool20?l003D0oooo00D000000?ooo`3oool0oooo0000001G0?oo
o`030000003oool0oooo01h0oooo00090?ooo`030000003oool0oooo03<0oooo103o000b0?ooo`80
00000`3oool00`000000oooo0?ooo`1G0?ooo`030000003oool0oooo01d0oooo00090?ooo`030000
003oool0oooo03<0oooo103o000a0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
E`3oool00`000000oooo0?ooo`0M0?ooo`001`3oool20?l003H0oooo00<000000?l0003o0000<@3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo05P0oooo00<000000?ooo`3oool07@3o
ool000H0oooo103o000c0?ooo`<00000<@3oool2000000H0oooo00<000000?ooo`3oool0F@3oool0
0`000000oooo0?ooo`0L0?ooo`001P3oool40?l000030000003oool0oooo02h0oooo0P0000000`3o
ool000000?ooo`0`0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0F@3oool00`00
0000oooo0?ooo`0L0?ooo`001`3oool20?l00080oooo0P00000]0?ooo`050000003oool0oooo0?oo
o`000000<03oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo05X0oooo00<000000?oo
o`3oool0703oool000d0oooo0P00000Y0?ooo`8000000`3oool00`000000oooo0?ooo`0^0?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool0F`3oool00`000000oooo0?ooo`0K0?ooo`00
3`3oool2000002D0oooo0P0000040?ooo`030000003oool0oooo02d0oooo0P00000:0?ooo`030000
003oool0oooo05/0oooo00<000000?ooo`3oool06`3oool00140oooo00<000000?ooo`3oool0803o
ool2000000D0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo05`0oooo00<000000?ooo`3oool06`3oool00180oooo0P00000O0?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo05`0oooo00<000000?ooo`3oool06`3oool001@0oooo0P00000K0?ooo`8000001P3oool00`00
0000oooo0?ooo`0/0?ooo`8000003@3oool00`000000oooo0?ooo`1M0?ooo`030000003oool0oooo
01X0oooo000F0?ooo`8000005`3oool2000000P0oooo00<000000?ooo`3oool0:`3oool00`000000
oooo0?ooo`0<0?ooo`030000003oool0oooo05h0oooo00<000000?ooo`3oool06P3oool001P0oooo
0P00000C0?ooo`8000002@3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo00d0oooo
00<000000?ooo`3oool0GP3oool00`000000oooo0?ooo`0J0?ooo`006P3oool00`000000oooo0?oo
o`0>0?ooo`8000002P3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo00d0oooo00<0
00000?ooo`3oool0H03oool00`000000oooo0?ooo`0I0?ooo`006`3oool2000000d0oooo00<00000
0?ooo`3oool02@3oool00`000000oooo0?ooo`0Z0?ooo`800000403oool00`000000oooo0?ooo`1P
0?ooo`030000003oool0oooo01T0oooo000M0?ooo`8000002@3oool2000000/0oooo00<000000?oo
o`3oool0603oool20?l00100oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`1P0?oo
o`030000003oool0oooo01T0oooo000O0?ooo`8000001@3oool2000000`0oooo00<000000?ooo`3o
ool0603oool40?l000h0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`1Q0?ooo`03
0000003oool0oooo01T0oooo000Q0?ooo`030000003o0000o`00008000003P3oool00`000000oooo
0?ooo`0H0?ooo`@0o`00303oool2000001<0oooo00<000000?ooo`3oool0HP3oool00`000000oooo
0?ooo`0H0?ooo`008@3oool40?l000h0oooo00<000000?ooo`3oool06@3oool00`000000o`000?l0
000<0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0HP3oool00`000000oooo0?oo
o`0H0?ooo`008@3oool40?l000d0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0<
0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0<P3oool20?l002l0oooo00<00000
0?ooo`3oool0603oool00280oooo0P3o000=0?ooo`030000003oool0oooo01T0oooo00<000000?oo
o`3oool02`3oool2000001H0oooo00<000000?ooo`3oool0<@3oool40?l002l0oooo00<000000?oo
o`3oool05`3oool00300oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0;0?ooo`03
0000003oool0oooo01H0oooo00<000000?ooo`3oool0<@3oool40?l002l0oooo00<000000?ooo`3o
ool05`3oool002l0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0;0?ooo`030000
003oool0oooo01H0oooo00<000000?ooo`3oool0<`3oool20?l000800000;P3oool00`000000oooo
0?ooo`0G0?ooo`00;`3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool05`3oool00`000000oooo0?ooo`0e0?ooo`800000;P3oool00`000000oooo0?oo
o`0G0?ooo`00;P3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo00X0oooo0P00000I
0?ooo`030000003oool0oooo03L0oooo0P00000^0?ooo`030000003oool0oooo01H0oooo000]0?oo
o`030000003oool0oooo01P0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0I0?oo
o`030000003oool0oooo03L0oooo00<000000?ooo`000000;@3oool00`000000oooo0?ooo`0F0?oo
o`00;03oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool06P3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0000002`0oooo00<000000?ooo`3o
ool05P3oool002/0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`090?ooo`800000
703oool00`000000oooo0?ooo`0W0?ooo`80o`00403oool010000000oooo0?ooo`00000/0?ooo`03
0000003oool0oooo01D0oooo000Z0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0
2@3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo02H0oooo103o000@0?ooo`040000
003oool0oooo000002/0oooo00<000000?ooo`3oool05@3oool002X0oooo00<000000?ooo`3oool0
5`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0
9P3oool40?l00100oooo00@000000?ooo`3oool00000:`3oool00`000000oooo0?ooo`0E0?ooo`00
9`3oool20?l000030000003oool0oooo01L0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`0M0?ooo`030000003oool0oooo02P0oooo0P3o00000`000000oooo0?ooo`0?0?ooo`040000
003oool0oooo000002/0oooo00<000000?ooo`3oool0503oool002H0oooo103o000H0?ooo`030000
003oool0oooo00P0oooo0P00000P0?ooo`030000003oool0oooo02L0oooo00D000000?ooo`3oool0
oooo0000000@0?ooo`050000003oool0oooo0?ooo`000000:P3oool00`000000oooo0?ooo`0D0?oo
o`009P3oool40?l001L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0P0?ooo`03
0000003oool0oooo02H0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0>0?ooo`05
0000003oool0oooo0?ooo`000000:@3oool00`000000oooo0?ooo`0D0?ooo`009`3oool20?l001L0
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo02H0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`0D0?ooo`00:03oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo00L0oooo0P00000S0?ooo`030000003oool0oooo02H0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`0C0?ooo`00:03oool00`000000oooo0?oo
o`0C0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?oo
o`0V0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool04`3oool002P0oooo00<00000
0?ooo`3oool04P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo02<0oooo00<00000
0?ooo`3oool09@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00`0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo01<0oooo000X0?oo
o`030000003oool0oooo0140oooo00<000000?ooo`3oool01P3oool2000002H0oooo00<000000?oo
o`3oool0903oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00d0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo0180oooo000X0?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0U0?ooo`03
0000003oool0oooo02D0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0<0?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0B0?ooo`00
9`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
9P3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0
303oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
4P3oool002L0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo02L0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0?0?ooo`030000003o
ool0oooo00/0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo0180oooo000W0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool01@3oool2
000002T0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0?0?ooo`030000003oool0
oooo00`0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0S0?ooo`030000003oool0
oooo0140oooo000W0?ooo`030000003oool0oooo00d0oooo0P0000060?ooo`030000003oool0oooo
02T0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0;0?ooo`80o`005@3oool00`00
0000oooo0?ooo`0A0?ooo`009`3oool00`000000oooo0?ooo`0<0?ooo`8000001P3oool00`000000
oooo0?ooo`0Z0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool04`3oool00`000000
oooo0?ooo`0;0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02@3oool40?l001@0
oooo00<000000?ooo`3oool04@3oool002H0oooo0P3o000=0?ooo`8000001@3oool2000002`0oooo
00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`080?ooo`@0o`005@3oool00`000000oooo
0?ooo`0@0?ooo`009@3oool40?l000/0oooo0P0000050?ooo`030000003oool0oooo02`0oooo00<0
00000?ooo`3oool08P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`080?ooo`80o`0000<000000?ooo`3oool04`3o
ool00`000000oooo0?ooo`0@0?ooo`009@3oool40?l000X0oooo0P0000050?ooo`030000003oool0
oooo02`0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`080?ooo`040000003oool0
oooo000001@0oooo00<000000?ooo`3oool0403oool002H0oooo0P3o000:0?ooo`800000103oool2
000002l0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`070?ooo`040000003oool0
oooo000001@0oooo00<000000?ooo`3oool0403oool002H0oooo00<000000?ooo`3oool0203oool2
000000@0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0
oooo01X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo00H0oooo00D000000?ooo`3oool0oooo0000000D0?ooo`030000003oool0oooo00l0oooo000V
0?ooo`030000003oool0oooo00L0oooo0P0000040?ooo`030000003oool0oooo02l0oooo00<00000
0?ooo`3oool08@3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool04@3oool00`000000oooo0?ooo`0?0?ooo`009@3oool00`000000oooo0?ooo`070?oo
o`800000103oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo0200oooo00<000000?oo
o`3oool07@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0100oooo00<000000?oo
o`3oool03`3oool002D0oooo00<000000?ooo`3oool01P3oool2000000<0oooo0P00000c0?ooo`03
0000003oool0oooo01l0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool03P3oool002@0oooo00<000000?ooo`3oool0
1P3oool2000000<0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0O0?ooo`030000
003oool0oooo0200oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`080?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0?0?ooo`030000
003oool0oooo00h0oooo000T0?ooo`030000003oool0oooo00D0oooo0P0000030?ooo`030000003o
ool0oooo03<0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0Q0?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`008`3oool0
0`000000oooo0?ooo`050?ooo`8000000P3oool2000003H0oooo00<000000?ooo`3oool07P3oool0
0`000000oooo0?ooo`0S0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool03P3oool0
0`000000oooo0?ooo`0=0?ooo`008`3oool00`000000oooo0?ooo`040?ooo`8000000P3oool00`00
0000oooo0?ooo`0e0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0903oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo00X0oooo00D000000?ooo`3oool0oooo00000008
0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool03@3oool00280oooo00<000000?oo
o`3oool0103oool200000080oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`0N0?oo
o`030000003oool0oooo02D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0:0?oo
o`040000003oool0oooo000000T0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0=
0?ooo`008P3oool00`000000oooo0?ooo`030?ooo`8000000P3oool00`000000oooo0?ooo`0g0?oo
o`030000003oool0oooo01d0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00/0oooo00<000000?ooo`0000002P3oool00`000000oooo0?ooo`0<0?oo
o`030000003oool0oooo00d0oooo000Q0?ooo`030000003oool0oooo00<0oooo0P0000000`3oool0
00000000000i0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0:@3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00/0oooo00<000000?ooo`0000002`3oool00`000000
oooo0?ooo`0<0?ooo`030000003oool0oooo00`0oooo000Q0?ooo`030000003oool0oooo0080oooo
0P0000000`3oool000000?ooo`0j0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0
:P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00/0oooo00<000000?l0003o0000
2`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00`0oooo000P0?ooo`030000003o
ool0oooo0080oooo0P0000000`3oool000000?ooo`0j0?ooo`030000003oool0oooo01d0oooo00<0
00000?ooo`3oool0:`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00/0oooo103o
000;0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0303oool00200oooo00@00000
0?ooo`3oool0oooo1000000l0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0;@3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00X0oooo103o000<0?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool02`3oool001l0oooo00@000000?ooo`3oool0oooo0`00
000n0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00/0oooo0P3o000>0?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool02`3oool001l0oooo00<000000?ooo`3oool00`00000n0?ooo`030000003oool0
oooo01/0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo01X0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0;0?ooo`007P3oool00`00
0000oooo0?ooo`03000003l0oooo00<000000?ooo`3oool06P3oool20?l003<0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool02`3oool001h0oooo00@000000?l0003o00000000@@3oool00`000000oooo0?ooo`0I0?oo
o`@0o`00<`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01/0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`0:0?ooo`007@3oool00`000000o`000?l000020?l00400
oooo00<000000?ooo`3oool06P3oool40?l003<0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`0L0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool02P3oool001d0oooo
00<000000?l0003o00000P3o00100?ooo`030000003oool0oooo01P0oooo0P0000000`3oool0o`00
0?l0000e0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0703oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo00X0oooo000K0?ooo`80o`0000@000000?ooo`3o0000o`00
@@3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
2@3oool001X0oooo103o00130?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0>`3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`090?ooo`006P3oool40?l004<0oooo00<000000?ooo`3oool05@3oool2
000003h0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0N0?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool02@3oool001/0oooo0P3o00130?ooo`030000003oool0oooo
01D0oooo00<000000?ooo`3oool0?`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
01h0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`00H03oool00`000000
oooo0?ooo`0D0?ooo`030000003oool0oooo0440oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0N0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool00600oooo
00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`120?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00P0oooo
001O0?ooo`030000003oool0oooo0180oooo0P0000160?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool07`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00P0oooo001O
0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0A`3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`07
0?ooo`00G`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04T0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`0P0?ooo`050000003oool0oooo0?ooo`0000002@3oool0
05h0oooo00<000000?ooo`3oool03`3oool2000004`0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`0Q0?ooo`040000003oool0oooo000000T0oooo001N0?ooo`030000003oool0oooo
00h0oooo00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
0240oooo00@000000?ooo`3oool00000203oool005h0oooo00<000000?ooo`3oool03@3oool00`00
0000oooo0?ooo`1?0?ooo`050000003oool0oooo0?ooo`0000008`3oool010000000oooo0?ooo`00
00080?ooo`00G@3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo0500oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0000000P0oooo001M0?oo
o`030000003oool0oooo00/0oooo0P00001D0?ooo`050000003oool0oooo0?ooo`000000903oool2
000000P0oooo001L0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0E@3oool01@00
0000oooo0?ooo`3oool0000002@0oooo00<000000?l0003o00001P3oool005`0oooo00<000000?oo
o`3oool02P3oool00`000000oooo0?ooo`1G0?ooo`040000003oool0oooo000002@0oooo103o0005
0?ooo`00G03oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo05P0oooo00@000000?oo
o`3oool00000903oool40?l000D0oooo001K0?ooo`030000003oool0oooo00P0oooo0P00001L0?oo
o`040000003oool0oooo000002@0oooo0P3o00060?ooo`00F`3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo05d0oooo00<000000?ooo`000000;03oool005/0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`1O0?ooo`030000003oool0000002/0oooo001J0?ooo`030000
003oool0oooo00D0oooo0P00001R0?ooo`030000003oool0000002/0oooo001J0?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0H`3oool00`000000oooo0000000Z0?ooo`00FP3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo06D0oooo0P00000Z0?ooo`00F@3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo06H0oooo00<000000?ooo`000000:@3oool005T0
oooo00@000000?ooo`3oool0oooo0P00001Z0?ooo`800000:@3oool005P0oooo00D000000?ooo`3o
ool0oooo0000001]0?ooo`800000:03oool005P0oooo00@000000?ooo`3oool00000K`3oool00`00
0000oooo0?ooo`0V0?ooo`00F03oool300000700oooo0P3o000W0?ooo`00EP3oool20?l000030000
003oool0oooo06l0oooo103o000V0?ooo`00E@3oool40?l00740oooo103o000V0?ooo`00E@3oool4
0?l00780oooo0P3o000W0?ooo`00EP3oool20?l009`0oooo003d0?ooo`00\
\>"],
  ImageRangeCache->{{{153.125, 303.375}, {395.938, 303.5}} -> {-1.03916, \
3.10845, 0.00410297, 0.00639645}},
  CellTags->"IPM3.Sol.9.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "A simple change to the program ",
  StyleBox["simpleClosedPath", "MR"],
  " given in Exercise 5 chooses the base point with the largest ",
  Cell[BoxData[
      \(TraditionalForm\`y\)],
    FormatType->StandardForm],
  "-coordinate."
}], "SolutionItem",
  CounterAssignments->{{"SolutionItem", 6}},
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(simpleClosedPath3[lis_] := 
      Module[{base, angle, sorted}, 
        base = Last[
            Sort[lis, #2\[LeftDoubleBracket]2\[RightDoubleBracket] > #1\
\[LeftDoubleBracket]2\[RightDoubleBracket] &]]; 
        angle[a_, b_] := ArcTan @@ \((b - a)\); 
        sorted = 
          Sort[Complement[lis, {base}], 
            angle[base, #1] \[LessEqual] angle[base, #2] &]; 
        Join[{base}, sorted, {base}]]\)], "Input",
  CellLabel->"In[24]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(\(pts = Table[Random[], {20}, {2}];\)\)], "Input",
  CellLabel->"In[25]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(PointPlot[simpleClosedPath3[pts]];\)\)], "Input",
  CellLabel->"In[26]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.972386 0.0147151 0.607966 [
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
0 g
.5 Mabswid
[ ] 0 setdash
.46168 .60332 m
.07611 .47229 L
.05594 .3763 L
.2877 .30198 L
.40894 .49162 L
.38148 .30704 L
.37793 .12334 L
.51453 .05253 L
.65436 .1384 L
.55099 .43917 L
.81488 .11846 L
.75089 .23165 L
.97619 .01749 L
.57195 .50578 L
.82222 .32134 L
.84222 .31857 L
.94406 .26387 L
.86149 .53248 L
.89966 .52943 L
.70665 .59598 L
.46168 .60332 L
s
1 0 0 r
.02 w
.46168 .60332 Mdot
.07611 .47229 Mdot
.05594 .3763 Mdot
.2877 .30198 Mdot
.40894 .49162 Mdot
.38148 .30704 Mdot
.37793 .12334 Mdot
.51453 .05253 Mdot
.65436 .1384 Mdot
.55099 .43917 Mdot
.81488 .11846 Mdot
.75089 .23165 Mdot
.97619 .01749 Mdot
.57195 .50578 Mdot
.82222 .32134 Mdot
.84222 .31857 Mdot
.94406 .26387 Mdot
.86149 .53248 Mdot
.89966 .52943 Mdot
.70665 .59598 Mdot
.46168 .60332 Mdot
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[26]:=",
  ImageSize->{244, 150.75},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003d0000UR000`400?l00000o`00003om03oool0
0?@0oooo003d0?ooo`00k03oool20?l000H0oooo003[0?ooo`@0o`001@3oool00>/0oooo103o0005
0?ooo`00jP3oool010000000oooo0?l0003o00060?ooo`00j@3oool2000000T0oooo003X0?ooo`80
00002P3oool00>L0oooo0P00000;0?ooo`00iP3oool2000000`0oooo001l0?ooo`80o`00I`3oool2
000000d0oooo001k0?ooo`@0o`00I@3oool2000000h0oooo001k0?ooo`@0o`0000<000000?ooo`3o
ool0H@3oool00`000000oooo0000000>0?ooo`00N@3oool2000000030?ooo`3o0000o`000080oooo
00<000000?ooo`3oool0G`3oool00`000000oooo0000000?0?ooo`00M`3oool2000000P0oooo0P00
001N0?ooo`030000003oool000000100oooo001e0?ooo`800000303oool2000005/0oooo00<00000
0?ooo`0000004@3oool007<0oooo0P00000@0?ooo`030000003oool0oooo05H0oooo0P0000000`3o
ool000000?ooo`0A0?ooo`00L@3oool2000001<0oooo0P00001E0?ooo`040000003oool0oooo0000
01<0oooo001_0?ooo`8000005`3oool00`000000oooo0?ooo`1A0?ooo`050000003oool0oooo0?oo
o`0000004`3oool006d0oooo0P00000J0?ooo`800000D03oool01@000000oooo0?ooo`3oool00000
01@0oooo001/0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0C03oool01@000000
oooo0?ooo`3oool0000001D0oooo001Z0?ooo`800000803oool2000004/0oooo00D000000?ooo`3o
ool0oooo0000000F0?ooo`00J03oool2000002@0oooo0P0000180?ooo`050000003oool0oooo0?oo
o`0000005`3oool006H0oooo0P00000X0?ooo`030000003oool0oooo04@0oooo00D000000?ooo`3o
ool0oooo0000000H0?ooo`00I03oool2000002/0oooo0P0000130?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool05P3oool00680oooo0P00000_0?ooo`030000003oool0oooo03l0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0G0?ooo`00H03oool200000380oooo0P00
000^0?ooo`80o`003P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo01P0oooo001N
0?ooo`800000=P3oool00`000000oooo0?ooo`0Z0?ooo`@0o`00303oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo01T0oooo001K0?ooo`80o`0000<000000?ooo`3oool0=`3oool20000
02X0oooo103o000;0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool06P3oool005X0
oooo103o000k0?ooo`800000:03oool00`000000o`000?l0000;0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool06`3oool005X0oooo103o000m0?ooo`030000003oool0oooo02D0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01/0oooo
001K0?ooo`80o`00?`3oool200000080o`008P3oool2000000/0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`0L0?ooo`00F`3oool00`000000oooo0?ooo`0o0?ooo`@0o`00803oool2
000000/0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0M0?ooo`00F`3oool00`00
0000oooo0?ooo`0o0?ooo`@0o`007`3oool00`000000oooo0000000:0?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool07P3oool005/0oooo00<000000?ooo`3oool0?`3oool00`000000
o`000?l0000O0?ooo`030000003oool0000000X0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0O0?ooo`00F`3oool00`000000oooo0?ooo`0o0?ooo`030000003oool0oooo01h0oooo
00@000000?ooo`3oool000002@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0200
oooo001K0?ooo`030000003oool0oooo03l0oooo00<000000?ooo`3oool07P3oool00`000000oooo
000000090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0803oool005/0oooo00<0
00000?ooo`3oool0?P3oool00`000000oooo0?ooo`0N0?ooo`040000003oool0oooo000000P0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0Q0?ooo`00F`3oool00`000000oooo0?oo
o`0n0?ooo`030000003oool0oooo01d0oooo00@000000?ooo`3oool00000203oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo0280oooo001K0?ooo`030000003oool0oooo03h0oooo00<0
00000?ooo`3oool0703oool01@000000oooo0?ooo`3oool0000000L0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`0S0?ooo`00F`3oool00`000000oooo0?ooo`0m0?ooo`030000003o
ool0oooo01`0oooo00D000000?ooo`3oool0oooo000000070?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0903oool005/0oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?oo
o`0L0?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`0U0?ooo`00F`3oool00`000000oooo0?ooo`0m0?ooo`030000003oool0oooo01/0oooo00D0
00000?ooo`3oool0oooo000000050?ooo`8000001`3oool00`000000oooo0?ooo`0U0?ooo`00F`3o
ool00`000000oooo0?ooo`0l0?ooo`030000003oool0oooo01/0oooo00D000000?ooo`3oool0oooo
000000050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool09P3oool005/0oooo00<0
00000?ooo`3oool0?03oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo02L0oooo001K
0?ooo`030000003oool0oooo03`0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0X
0?ooo`00F`3oool00`000000oooo0?ooo`0k0?ooo`030000003oool0oooo01T0oooo00<000000?oo
o`3oool00`3oool01@000000oooo0?ooo`3oool0000000P0oooo00<000000?ooo`3oool0:@3oool0
05/0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo
0080oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo02X0oooo001K0?oo
o`030000003oool0oooo03/0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`030?oo
o`040000003oool0oooo000000T0oooo00<000000?ooo`3oool0:P3oool005/0oooo00<000000?oo
o`3oool0>P3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo00<0oooo00@000000?oo
o`3oool000002@3oool00`000000oooo0?ooo`0[0?ooo`00F`3oool00`000000oooo0?ooo`0j0?oo
o`030000003oool0oooo01L0oooo00<000000?ooo`3oool0103oool00`000000oooo000000090?oo
o`030000003oool0oooo02`0oooo001K0?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3o
ool05`3oool00`000000oooo0?ooo`040?ooo`030000003oool0000000T0oooo00<000000?ooo`3o
ool0;@3oool005`0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0F0?ooo`030000
003oool0oooo00D0oooo0P0000090?ooo`030000003oool0oooo02h0oooo001L0?ooo`030000003o
ool0oooo03P0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`040?ooo`8000002@3o
ool00`000000oooo0?ooo`0_0?ooo`00G03oool00`000000oooo0?ooo`0g0?ooo`030000003oool0
oooo01H0oooo00<000000?ooo`3oool00`3oool20?l000030000003oool0oooo00P0oooo00<00000
0?ooo`3oool0;`3oool005`0oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`0E0?oo
o`030000003oool0oooo00<0oooo103o00090?ooo`030000003oool0oooo0300oooo001L0?ooo`03
0000003oool0oooo03L0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`040?ooo`@0
o`00203oool00`000000oooo0?ooo`0a0?ooo`00G03oool00`000000oooo0?ooo`0f0?ooo`030000
003oool0oooo01@0oooo00<000000?ooo`3oool01P3oool20?l000P0oooo00<000000?ooo`3oool0
<P3oool005`0oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo00l0oooo00<000000?ooo`3oool0<`3oool005`0oooo00<000000?ooo`3oool0=P3oool0
0`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0=03oool0
05`0oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo
0100oooo00<000000?ooo`3oool0=03oool005`0oooo00<000000?ooo`3oool0=@3oool00`000000
oooo0?ooo`0B0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0=@3oool005`0oooo
00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0100oooo
00<000000?ooo`3oool09P3oool20?l000h0oooo001L0?ooo`030000003oool0oooo03@0oooo00<0
00000?ooo`3oool04@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo02H0oooo103o
000=0?ooo`00G03oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo0140oooo00<00000
0?ooo`3oool03`3oool00`000000oooo0?ooo`0W0?ooo`@0o`003@3oool005`0oooo00<000000?oo
o`3oool0=03oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0100oooo00<000000?oo
o`3oool09@3oool2000000030?ooo`3o0000o`0000h0oooo001L0?ooo`030000003oool0oooo03<0
oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo02@0
oooo0P0000030?ooo`030000003oool0oooo00d0oooo001L0?ooo`030000003oool0oooo03<0oooo
00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo02<0oooo
0P0000050?ooo`030000003oool0oooo00d0oooo001L0?ooo`030000003oool0oooo03<0oooo00<0
00000?ooo`3oool03P3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0280oooo0P00
00060?ooo`030000003oool0oooo00h0oooo001L0?ooo`030000003oool0oooo0380oooo00<00000
0?ooo`3oool03`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0240oooo0P000008
0?ooo`030000003oool0oooo00h0oooo001L0?ooo`030000003oool0oooo0380oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0200oooo0P00000:0?oo
o`030000003oool0oooo00h0oooo00150?ooo`80o`005@3oool00`000000oooo0?ooo`0b0?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0N0?ooo`80
0000303oool00`000000oooo0?ooo`0>0?ooo`00A03oool40?l001<0oooo0P3o000c0?ooo`030000
003oool0oooo00d0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0M0?ooo`800000
3@3oool00`000000oooo0?ooo`0?0?ooo`00@P3oool2000000@0o`004P3oool40?l00380oooo00<0
00000?ooo`3oool0303oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo01`0oooo0P00
000?0?ooo`030000003oool0oooo00l0oooo000o0?ooo`<000000`3oool20?l000030000003oool0
oooo0100oooo103o000b0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0403oool0
0`000000oooo0?ooo`0K0?ooo`8000004@3oool00`000000oooo0?ooo`0?0?ooo`00>`3oool40000
00T0oooo00<000000?ooo`3oool0403oool20?l00380oooo00<000000?ooo`3oool0303oool00`00
0000oooo0?ooo`0?0?ooo`030000003oool0oooo01<0oooo0P3o00030?ooo`80o`000P00000B0?oo
o`030000003oool0oooo0100oooo000h0?ooo`<000003P3oool00`000000oooo0?ooo`0@0?ooo`03
0000003oool0oooo0300oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0?0?ooo`03
0000003oool0oooo01<0oooo103o00000`3oool0o`000?l000020?l001<0oooo00<000000?ooo`3o
ool0403oool003D0oooo0`00000A0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0
;`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0
4`3oool40?l000030000003o0000o`000080o`004`3oool00`000000oooo0?ooo`0@0?ooo`00<P3o
ool3000001D0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0^0?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0D0?ooo`030000003o
0000o`0000<0oooo0P3o000C0?ooo`030000003oool0oooo0140oooo000_0?ooo`<00000603oool0
0`000000oooo0?ooo`0@0?ooo`030000003oool0oooo02h0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`0@0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool06@3oool0
0`000000oooo0?ooo`0A0?ooo`00;03oool3000001`0oooo00<000000?ooo`3oool03`3oool00`00
0000oooo0?ooo`0^0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool03`3oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool04@3oool002P0
oooo1000000P0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0;@3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool04`3oool2000001`0
oooo00<000000?ooo`3oool04P3oool002D0oooo0`00000T0?ooo`030000003oool0oooo00h0oooo
00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00l0oooo
00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo0180oooo
000R0?ooo`<00000:03oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo02`0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0140oooo0P00
000O0?ooo`030000003oool0oooo0180oooo000O0?ooo`<00000;03oool00`000000oooo0?ooo`0=
0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0B
0?ooo`00703oool3000002l0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0[0?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0A0?oo
o`030000003oool0oooo01l0oooo00<000000?ooo`3oool04`3oool001T0oooo0`00000c0?ooo`03
0000003oool0oooo00`0oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00l0oooo00<000000?ooo`3oool0403oool200000280oooo00<000000?ooo`3o
ool04`3oool001D0oooo1000000f0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0
:P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0
403oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo01<0oooo000B0?ooo`<00000>`3o
ool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool08P3o
ool00`000000oooo0?ooo`0D0?ooo`003@3oool20?l000<00000?`3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo00h0oooo0P00000U0?ooo`030000003oool0oooo01@0oooo000<0?oo
o`@0o`00@@3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo02P0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool09@3oool00`000000oooo0?ooo`0D0?ooo`00303oool40?l00480oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool0403oool00`000000oooo0?ooo`0=0?ooo`8000009`3oool00`000000oooo0?ooo`0E0?ooo`00
3@3oool20?l004@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0W0?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0=0?ooo`030000
003oool0oooo02L0oooo00<000000?ooo`3oool05@3oool000h0oooo00<000000?ooo`3oool0@P3o
ool00`000000oooo0?ooo`090?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0:03o
ool00`000000oooo0?ooo`0E0?ooo`003P3oool00`000000oooo0?ooo`130?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo00l0oooo00<000000?ooo`3oool0303oool2000002X0oooo00<000000?ooo`3oool05P3oool0
00h0oooo00<000000?ooo`3oool0@`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
02H0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`0F0?ooo`003P3oool00`000000
oooo0?ooo`140?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool09@3oool01@000000
oooo0?ooo`3oool000000180oooo00<000000?ooo`3oool02P3oool2000002d0oooo00<000000?oo
o`3oool05P3oool000l0oooo00<000000?ooo`3oool0A03oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo02D0oooo00D000000?ooo`3oool0oooo0000000A0?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`0F0?ooo`003`3oool00`000000
oooo0?ooo`140?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0903oool01@000000
oooo0?ooo`3oool000000140oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0]0?oo
o`030000003oool0oooo01L0oooo000?0?ooo`030000003oool0oooo04D0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`0T0?ooo`040000003oool0oooo00000140oooo00<000000?oo
o`3oool02@3oool200000300oooo00<000000?ooo`3oool05`3oool000l0oooo00<000000?ooo`3o
ool0AP3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02@0oooo00<000000?ooo`00
00004@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0300oooo00<000000?ooo`3o
ool05`3oool000l0oooo00<000000?ooo`3oool0AP3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo02<0oooo00<000000?ooo`0000004P3oool00`000000oooo0?ooo`080?ooo`030000
003oool0oooo0300oooo00<000000?ooo`3oool0603oool00100oooo00<000000?ooo`3oool0AP3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0280oooo0P00000B0?ooo`030000003o
ool0oooo00L0oooo0P00000c0?ooo`030000003oool0oooo01P0oooo000@0?ooo`030000003oool0
oooo04L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0R0?ooo`8000004@3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0603oool0
0100oooo00<000000?ooo`3oool0A`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
0200oooo0P3o00000`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00H0oooo0P00000e0?oo
o`030000003oool0oooo01T0oooo000@0?ooo`030000003oool0oooo04P0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`0O0?ooo`@0o`00403oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo03D0oooo00<000000?ooo`3oool06@3oool00100oooo00<000000?ooo`3oool0
B03oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01l0oooo103o000?0?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`0I0?ooo`004@3o
ool00`000000oooo0?ooo`180?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0803o
ool20?l00100oooo00<000000?ooo`3oool0103oool2000003P0oooo00<000000?ooo`3oool06P3o
ool00140oooo00<000000?ooo`3oool0B@3oool01@000000oooo0?ooo`3oool0000003<0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo01X0oooo000A
0?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0_
0?ooo`030000003oool0oooo00<0oooo0P00000k0?ooo`030000003oool0oooo01X0oooo000A0?oo
o`030000003oool0oooo04X0oooo00D000000?ooo`3oool0oooo0000000`0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`0J0?ooo`004P3oool00`00
0000oooo0?ooo`1:0?ooo`040000003oool0oooo000002l0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`0k0?ooo`030000003oool0oooo01/0oooo000A0?ooo`80o`00C03oool01000
0000oooo0?ooo`00000^0?ooo`030000003oool0oooo0080oooo0P00000n0?ooo`030000003oool0
oooo01/0oooo000@0?ooo`@0o`00C03oool00`000000oooo0000000^0?ooo`050000003oool0oooo
0?ooo`000000@03oool00`000000oooo0?ooo`0K0?ooo`00403oool40?l000<00000B@3oool00`00
0000oooo0000000]0?ooo`050000003oool0oooo0?ooo`000000@03oool00`000000oooo0?ooo`0L
0?ooo`004@3oool20?l000@0oooo0`0000170?ooo`030000003oool0000002/0oooo00<000000?oo
o`3oool00P0000110?ooo`030000003oool0oooo01`0oooo000J0?ooo`<00000A@3oool2000002X0
oooo00@000000?ooo`3oool00000@`3oool00`000000oooo0?ooo`0L0?ooo`007@3oool300000480
oooo0P3o000Y0?ooo`040000003oool00000000004<0oooo00<000000?ooo`3oool07@3oool00200
oooo0`00000n0?ooo`@0o`009`3oool00`000000oooo000000150?ooo`030000003oool0oooo01d0
oooo000S0?ooo`<00000>`3oool40?l002L0oooo0P0000160?ooo`030000003oool0oooo01d0oooo
000V0?ooo`<00000>@3oool20?l002H0oooo0P3o00000`000000oooo0?ooo`140?ooo`030000003o
ool0oooo01h0oooo000Y0?ooo`800000GP3oool40?l004H0oooo00<000000?ooo`3oool07P3oool0
02/0oooo0`00001K0?ooo`@0o`00AP3oool00`000000oooo0?ooo`0N0?ooo`00;P3oool3000005T0
oooo0P3o00170?ooo`030000003oool0oooo01h0oooo000a0?ooo`<00000WP3oool00`000000oooo
0?ooo`0O0?ooo`00=03oool3000009/0oooo00<000000?ooo`3oool07`3oool003L0oooo0`00002H
0?ooo`030000003oool0oooo00@0oooo0P3o000I0?ooo`00>P3oool3000009<0oooo0P3o00040?oo
o`800000103o000H0?ooo`00?@3oool3000008l0oooo103o0005000000@0o`00603oool00400oooo
0`00002<0?ooo`@0o`000`0000030?ooo`80o`006@3oool004<0oooo0`00002:0?ooo`80o`0000<0
00000?ooo`3oool07`3oool004H0oooo0`0000240?ooo`<00000903oool004T0oooo0`00001n0?oo
o`<000009`3oool004`0oooo0`00001h0?ooo`<00000:P3oool004l0oooo0`00001b0?ooo`<00000
;@3oool00580oooo0`00001]0?ooo`800000<03oool005D0oooo0`00001W0?ooo`<00000<P3oool0
05P0oooo0P00001R0?ooo`<00000=@3oool005X0oooo0`00001L0?ooo`<00000>03oool005d0oooo
0`00001F0?ooo`<00000>`3oool00600oooo0`00001@0?ooo`<00000?P3oool006<0oooo0`00001:
0?ooo`<00000@@3oool006H0oooo0`0000110?ooo`80o`0000@0oooo0000000000000000A03oool0
06T0oooo0`00000a0?ooo``00000103o00170?ooo`00K03oool300000080o`003P3ooolN000000`0
oooo103o00170?ooo`00KP3oool40?l000d00000:`3oool20?l004P0oooo001^0?ooo`@0o`00PP3o
ool006l0oooo0P3o00230?ooo`00m03oool00001\
\>"],
  ImageRangeCache->{{{153.125, 303.375}, {619.813, 527.375}} -> {-1.0797, \
5.7755, 0.00426303, 0.00681833}},
  CellTags->"IPM3.Sol.9.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
The area of a triangle is one-half the base times the altitude. For arbitrary \
points, the altitude requires a bit of computation that does not \
generalize.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.9.2"],

Cell[TextData[{
  "The magnitude of the cross product of two vectors gives the area of the \
parallelogram that they determine. Since the vectors we are working with are \
in two-dimensional space, we embed them in three-dimensional space in the \
plane ",
  Cell[BoxData[
      \(TraditionalForm\`z = 0\)]],
  " so that we can compute the cross product which, for the purposes of this \
problem, only makes sense in three dimensions."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(<< "\<Calculus`VectorAnalysis`\>"\)], "Input",
  CellLabel->"In[27]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(CrossProduct[{x\_2, y\_2} - {x\_1, y\_1}, {x\_3, y\_3} - {x\_1, 
            y\_1}] /. \[InvisibleSpace]{x_, y_} \[Rule] {x, y, 0}\)], "Input",\

  CellLabel->"In[28]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \({0, 
      0, \(-x\_2\)\ y\_1 + x\_3\ y\_1 + x\_1\ y\_2 - x\_3\ y\_2 - 
        x\_1\ y\_3 + x\_2\ y\_3}\)], "Output",
  CellLabel->"Out[28]=",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]],

Cell["Here are the coordinates for a triangle.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[{
    \(\(a = {0, 0};\)\), "\n", 
    \(\(b = {5, 0};\)\), "\n", 
    \(\(c = {3, 2};\)\)}], "Input",
  CellLabel->"In[29]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell["And here is the computation for the cross product.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(CrossProduct[b - a, 
        c - a] /. \[InvisibleSpace]{x_, y_} \[Rule] {x, y, 0}\)], "Input",
  CellLabel->"In[32]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \({0, 0, 10}\)], "Output",
  CellLabel->"Out[32]=",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]],

Cell["\<\
So the given area is then just half the magnitude of the cross product.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Apply[Plus, %]\/2\)], "Input",
  CellLabel->"In[33]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(5\)], "Output",
  CellLabel->"Out[33]=",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]],

Cell["\<\
Here is a function that computes the area of any triangle using the cross \
product.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(triangleArea[v_List] := 
      1\/2\ Apply[
          Plus, \((CrossProduct[
                v\[LeftDoubleBracket]2\[RightDoubleBracket] - 
                  v\[LeftDoubleBracket]1\[RightDoubleBracket], 
                v\[LeftDoubleBracket]3\[RightDoubleBracket] - 
                  v\[LeftDoubleBracket]1\[RightDoubleBracket]] \
/. \[InvisibleSpace]{x_, y_} \[Rule] {x, y, 0})\)]\)], "Input",
  CellLabel->"In[34]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell["\<\
This is done more simply using determinants and this method generalizes more \
easily to higher dimensions.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(triangleArea[{v1_, v2_, v3_}] := 
      1\/2\ Det[{v1, v2, 
              v3} /. \[InvisibleSpace]{x_, y_} \[Rule] {x, y, 1}]\)], "Input",\

  CellLabel->"In[35]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(triangleArea[{a, b, c}]\)], "Input",
  CellLabel->"In[36]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(5\)], "Output",
  CellLabel->"Out[36]=",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "The key observation is that in computing the area of a triangle using the \
determinant formulation as in Exercise 9, the area will be a positive \
quantity if the points are given in counter-clockwise order, and will be \
negative if in clockwise order. So, for a given point ",
  Cell[BoxData[
      \(TraditionalForm\`p\)]],
  " not on a line ",
  Cell[BoxData[
      \(TraditionalForm\`a\[VeryThinSpace]b\)]],
  ", the area of \[EmptyUpTriangle]",
  Cell[BoxData[
      \(TraditionalForm\`a\[VeryThinSpace]b\[VeryThinSpace]p\)]],
  " will be positive (computed using determinants), if ",
  Cell[BoxData[
      \(TraditionalForm\`p\)]],
  " is to the left of ",
  Cell[BoxData[
      \(TraditionalForm\`a\[VeryThinSpace]b\)]],
  ". Similarly, for each of the lines in a polygon, relative to the given \
point ",
  Cell[BoxData[
      \(TraditionalForm\`p\)]],
  ". So, to perform the computation, we first partition the polygon into \
pairs of points, and then map the triangle area function with the given point \
across each pair. If all such areas are greater than or equal to zero, then a \
value of ",
  StyleBox["True", "MR"],
  " is returned."
}], "SolutionItem",
  CounterAssignments->{{"SolutionItem", 8}},
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(pointInPolygonQ[poly_, p_] := 
      Module[{area}, \[IndentingNewLine]area[{v1_, v2_, v3_}] := 
          1\/2\ Det[{v1, v2, 
                    v3} /. \[InvisibleSpace]{x_, y_} \[Rule] {x, y, 
                      1}] \[GreaterEqual] 0; \[IndentingNewLine]Apply[And, 
          Map[area[Join[{p}, #]] &, 
            Partition[
              poly /. \[InvisibleSpace]{a_, b__} \[RuleDelayed] {a, b, a}, 2, 
              1]]]]\)], "Input",
  CellLabel->"In[37]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell["\<\
Here are the coordinates for a quadrilateral and two distinct points.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(\(quad = {{1, 0}, {0, 1}, {\(-1\), 0}, {0, \(-1\)}};\)\)], "Input",
  CellLabel->"In[38]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[{
    \(\(p1 = {0, 0};\)\), "\n", 
    \(\(p2 = {1, 1};\)\)}], "Input",
  CellLabel->"In[39]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Show[
        Graphics[{Line[
              quad /. \[InvisibleSpace]{a_, b__} \[RuleDelayed] {a, b, a}], 
            PointSize[ .025], Point[p1], Point[p2]}, 
          AspectRatio \[Rule] Automatic]];\)\)], "Input",
  CellLabel->"In[41]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.5 0.47619 0.5 0.47619 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 g
.5 Mabswid
[ ] 0 setdash
.97619 .5 m
.5 .97619 L
.02381 .5 L
.5 .02381 L
.97619 .5 L
s
.025 w
.5 .5 Mdot
.97619 .97619 Mdot
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[41]:=",
  ImageSize->{200, 200},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000380000b2000`400?l00000o`00003ob03oool0
0<P0oooo00380?ooo`00b03oool00<P0oooo001S0?ooo`030000003oool0oooo0680oooo001R0?oo
o`030000003oool0000006<0oooo001Q0?ooo`050000003oool0oooo0?ooo`000000HP3oool00600
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1O0?ooo`00G`3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo05h0oooo001N0?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool0G@3oool005d0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1L
0?ooo`00G03oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo05/0oooo001K0?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool0FP3oool005X0oooo00<000000?ooo`3oool0
3`3oool00`000000oooo0?ooo`1I0?ooo`00F@3oool00`000000oooo0?ooo`0A0?ooo`030000003o
ool0oooo05P0oooo001H0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0E`3oool0
05L0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`1F0?ooo`00EP3oool00`000000
oooo0?ooo`0G0?ooo`030000003oool0oooo05D0oooo001E0?ooo`030000003oool0oooo01T0oooo
00<000000?ooo`3oool0E03oool005@0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?oo
o`1C0?ooo`00D`3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo0580oooo001B0?oo
o`030000003oool0oooo01l0oooo00<000000?ooo`3oool0D@3oool00540oooo00<000000?ooo`3o
ool08@3oool00`000000oooo0?ooo`1@0?ooo`00D03oool00`000000oooo0?ooo`0S0?ooo`030000
003oool0oooo04l0oooo001?0?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0CP3o
ool004h0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`1=0?ooo`00C@3oool00`00
0000oooo0?ooo`0Y0?ooo`030000003oool0oooo04`0oooo001<0?ooo`030000003oool0oooo02/0
oooo00<000000?ooo`3oool0B`3oool004/0oooo00<000000?ooo`3oool0;@3oool00`000000oooo
0?ooo`1:0?ooo`00BP3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo04T0oooo0019
0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool0B03oool004P0oooo00<000000?oo
o`3oool0<`3oool00`000000oooo0?ooo`170?ooo`00A`3oool00`000000oooo0?ooo`0e0?ooo`03
0000003oool0oooo04H0oooo00160?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool0
A@3oool004D0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`140?ooo`00A03oool0
0`000000oooo0?ooo`0k0?ooo`030000003oool0oooo04<0oooo00130?ooo`030000003oool0oooo
03d0oooo00<000000?ooo`3oool0@P3oool00480oooo00<000000?ooo`3oool0?`3oool00`000000
oooo0?ooo`110?ooo`00@@3oool00`000000oooo0?ooo`110?ooo`030000003oool0oooo0400oooo
00100?ooo`030000003oool0oooo04<0oooo00<000000?ooo`3oool0?`3oool003l0oooo00<00000
0?ooo`3oool0A@3oool00`000000oooo0?ooo`0n0?ooo`00?P3oool00`000000oooo0?ooo`170?oo
o`030000003oool0oooo03d0oooo000m0?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3o
ool0?03oool003`0oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?ooo`0k0?ooo`00>`3o
ool00`000000oooo0?ooo`1=0?ooo`030000003oool0oooo03X0oooo000j0?ooo`030000003oool0
oooo04l0oooo00<000000?ooo`3oool0>@3oool003T0oooo00<000000?ooo`3oool0D@3oool00`00
0000oooo0?ooo`0h0?ooo`00>03oool00`000000oooo0?ooo`1C0?ooo`030000003oool0oooo03L0
oooo000g0?ooo`030000003oool0oooo05D0oooo00<000000?ooo`3oool0=P3oool003H0oooo00<0
00000?ooo`3oool0E`3oool00`000000oooo0?ooo`0e0?ooo`00=@3oool00`000000oooo0?ooo`1I
0?ooo`030000003oool0oooo03@0oooo000d0?ooo`030000003oool0oooo05/0oooo00<000000?oo
o`3oool0<`3oool003<0oooo00<000000?ooo`3oool0G@3oool00`000000oooo0?ooo`0b0?ooo`00
<P3oool00`000000oooo0?ooo`1O0?ooo`030000003oool0oooo0340oooo000a0?ooo`030000003o
ool0oooo0640oooo00<000000?ooo`3oool0<03oool00300oooo00<000000?ooo`3oool0H`3oool0
0`000000oooo0?ooo`0_0?ooo`00;`3oool00`000000oooo0?ooo`1U0?ooo`030000003oool0oooo
02h0oooo000^0?ooo`030000003oool0oooo06L0oooo00<000000?ooo`3oool0;@3oool002d0oooo
00<000000?ooo`3oool0J@3oool00`000000oooo0?ooo`0/0?ooo`00;03oool00`000000oooo0?oo
o`1[0?ooo`030000003oool0oooo02/0oooo000[0?ooo`030000003oool0oooo06d0oooo00<00000
0?ooo`3oool0:P3oool002X0oooo00<000000?ooo`3oool0K`3oool00`000000oooo0?ooo`0Y0?oo
o`00:@3oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02P0oooo000X0?ooo`030000
003oool0oooo07<0oooo00<000000?ooo`3oool09`3oool002L0oooo00<000000?ooo`3oool0M@3o
ool00`000000oooo0?ooo`0V0?ooo`009P3oool00`000000oooo0?ooo`1g0?ooo`030000003oool0
oooo02D0oooo000U0?ooo`030000003oool0oooo07T0oooo00<000000?ooo`3oool0903oool002@0
oooo00<000000?ooo`3oool0N`3oool00`000000oooo0?ooo`0S0?ooo`008`3oool00`000000oooo
0?ooo`1m0?ooo`030000003oool0oooo0280oooo000R0?ooo`030000003oool0oooo07l0oooo00<0
00000?ooo`3oool08@3oool00240oooo00<000000?ooo`3oool0P@3oool00`000000oooo0?ooo`0P
0?ooo`00803oool00`000000oooo0?ooo`230?ooo`030000003oool0oooo01l0oooo000O0?ooo`03
0000003oool0oooo08D0oooo00<000000?ooo`3oool07P3oool001h0oooo00<000000?ooo`3oool0
Q`3oool00`000000oooo0?ooo`0M0?ooo`007@3oool00`000000oooo0?ooo`290?ooo`030000003o
ool0oooo01`0oooo000L0?ooo`030000003oool0oooo08/0oooo00<000000?ooo`3oool06`3oool0
01/0oooo00<000000?ooo`3oool0S@3oool00`000000oooo0?ooo`0J0?ooo`006P3oool00`000000
oooo0?ooo`2?0?ooo`030000003oool0oooo01T0oooo000I0?ooo`030000003oool0oooo0940oooo
00<000000?ooo`3oool0603oool001P0oooo00<000000?ooo`3oool0T`3oool00`000000oooo0?oo
o`0G0?ooo`005`3oool00`000000oooo0?ooo`2E0?ooo`030000003oool0oooo01H0oooo000F0?oo
o`030000003oool0oooo09L0oooo00<000000?ooo`3oool05@3oool001D0oooo00<000000?ooo`3o
ool0V@3oool00`000000oooo0?ooo`0D0?ooo`00503oool00`000000oooo0?ooo`2K0?ooo`030000
003oool0oooo01<0oooo000C0?ooo`030000003oool0oooo09d0oooo00<000000?ooo`3oool04P3o
ool00180oooo00<000000?ooo`3oool0W`3oool00`000000oooo0?ooo`0A0?ooo`004@3oool00`00
0000oooo0?ooo`2Q0?ooo`030000003oool0oooo0100oooo000@0?ooo`030000003oool0oooo0:<0
oooo00<000000?ooo`3oool03`3oool000l0oooo00<000000?ooo`3oool0Y@3oool00`000000oooo
0?ooo`0>0?ooo`003P3oool00`000000oooo0?ooo`2W0?ooo`030000003oool0oooo00d0oooo000=
0?ooo`030000003oool0oooo0:T0oooo00<000000?ooo`3oool0303oool000`0oooo00<000000?oo
o`3oool0Z`3oool00`000000oooo0?ooo`0;0?ooo`002`3oool00`000000oooo0?ooo`2]0?ooo`03
0000003oool0oooo00X0oooo000:0?ooo`030000003oool0oooo0:l0oooo00<000000?ooo`3oool0
2@3oool000T0oooo00<000000?ooo`3oool0/@3oool00`000000oooo0?ooo`080?ooo`00203oool0
0`000000oooo0?ooo`2c0?ooo`030000003oool0oooo00L0oooo00070?ooo`030000003oool0oooo
0;D0oooo00<000000?ooo`3oool01P3oool000H0oooo00<000000?ooo`3oool0]`3oool00`000000
oooo0?ooo`050?ooo`001@3oool00`000000oooo0?ooo`1J0?ooo`800000G@3oool00`000000oooo
0?ooo`040?ooo`00103oool00`000000oooo0?ooo`1J0?ooo`@00000G@3oool00`000000oooo0?oo
o`030?ooo`001@3oool00`000000oooo0?ooo`1I0?ooo`@00000G03oool00`000000oooo0?ooo`04
0?ooo`001P3oool00`000000oooo0?ooo`1I0?ooo`800000G03oool00`000000oooo0?ooo`050?oo
o`001`3oool00`000000oooo0?ooo`2e0?ooo`030000003oool0oooo00H0oooo00080?ooo`030000
003oool0oooo0;<0oooo00<000000?ooo`3oool01`3oool000T0oooo00<000000?ooo`3oool0/@3o
ool00`000000oooo0?ooo`080?ooo`002P3oool00`000000oooo0?ooo`2_0?ooo`030000003oool0
oooo00T0oooo000;0?ooo`030000003oool0oooo0:d0oooo00<000000?ooo`3oool02P3oool000`0
oooo00<000000?ooo`3oool0Z`3oool00`000000oooo0?ooo`0;0?ooo`003@3oool00`000000oooo
0?ooo`2Y0?ooo`030000003oool0oooo00`0oooo000>0?ooo`030000003oool0oooo0:L0oooo00<0
00000?ooo`3oool03@3oool000l0oooo00<000000?ooo`3oool0Y@3oool00`000000oooo0?ooo`0>
0?ooo`00403oool00`000000oooo0?ooo`2S0?ooo`030000003oool0oooo00l0oooo000A0?ooo`03
0000003oool0oooo0:40oooo00<000000?ooo`3oool0403oool00180oooo00<000000?ooo`3oool0
W`3oool00`000000oooo0?ooo`0A0?ooo`004`3oool00`000000oooo0?ooo`2M0?ooo`030000003o
ool0oooo0180oooo000D0?ooo`030000003oool0oooo09/0oooo00<000000?ooo`3oool04`3oool0
01D0oooo00<000000?ooo`3oool0V@3oool00`000000oooo0?ooo`0D0?ooo`005P3oool00`000000
oooo0?ooo`2G0?ooo`030000003oool0oooo01D0oooo000G0?ooo`030000003oool0oooo09D0oooo
00<000000?ooo`3oool05P3oool001P0oooo00<000000?ooo`3oool0T`3oool00`000000oooo0?oo
o`0G0?ooo`006@3oool00`000000oooo0?ooo`2A0?ooo`030000003oool0oooo01P0oooo000J0?oo
o`030000003oool0oooo08l0oooo00<000000?ooo`3oool06@3oool001/0oooo00<000000?ooo`3o
ool0S@3oool00`000000oooo0?ooo`0J0?ooo`00703oool00`000000oooo0?ooo`2;0?ooo`030000
003oool0oooo01/0oooo000M0?ooo`030000003oool0oooo08T0oooo00<000000?ooo`3oool0703o
ool001h0oooo00<000000?ooo`3oool0Q`3oool00`000000oooo0?ooo`0M0?ooo`007`3oool00`00
0000oooo0?ooo`250?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo08<0
oooo00<000000?ooo`3oool07`3oool00240oooo00<000000?ooo`3oool0P@3oool00`000000oooo
0?ooo`0P0?ooo`008P3oool00`000000oooo0?ooo`1o0?ooo`030000003oool0oooo0240oooo000S
0?ooo`030000003oool0oooo07d0oooo00<000000?ooo`3oool08P3oool002@0oooo00<000000?oo
o`3oool0N`3oool00`000000oooo0?ooo`0S0?ooo`009@3oool00`000000oooo0?ooo`1i0?ooo`03
0000003oool0oooo02@0oooo000V0?ooo`030000003oool0oooo07L0oooo00<000000?ooo`3oool0
9@3oool002L0oooo00<000000?ooo`3oool0M@3oool00`000000oooo0?ooo`0V0?ooo`00:03oool0
0`000000oooo0?ooo`1c0?ooo`030000003oool0oooo02L0oooo000Y0?ooo`030000003oool0oooo
0740oooo00<000000?ooo`3oool0:03oool002X0oooo00<000000?ooo`3oool0K`3oool00`000000
oooo0?ooo`0Y0?ooo`00:`3oool00`000000oooo0?ooo`1]0?ooo`030000003oool0oooo02X0oooo
000/0?ooo`030000003oool0oooo06/0oooo00<000000?ooo`3oool0:`3oool002d0oooo00<00000
0?ooo`3oool0J@3oool00`000000oooo0?ooo`0/0?ooo`00;P3oool00`000000oooo0?ooo`1W0?oo
o`030000003oool0oooo02d0oooo000_0?ooo`030000003oool0oooo06D0oooo00<000000?ooo`3o
ool0;P3oool00300oooo00<000000?ooo`3oool0H`3oool00`000000oooo0?ooo`0_0?ooo`00<@3o
ool00`000000oooo0?ooo`1Q0?ooo`030000003oool0oooo0300oooo000b0?ooo`030000003oool0
oooo05l0oooo00<000000?ooo`3oool0<@3oool003<0oooo00<000000?ooo`3oool0G@3oool00`00
0000oooo0?ooo`0b0?ooo`00=03oool00`000000oooo0?ooo`1K0?ooo`030000003oool0oooo03<0
oooo000e0?ooo`030000003oool0oooo05T0oooo00<000000?ooo`3oool0=03oool003H0oooo00<0
00000?ooo`3oool0E`3oool00`000000oooo0?ooo`0e0?ooo`00=`3oool00`000000oooo0?ooo`1E
0?ooo`030000003oool0oooo03H0oooo000h0?ooo`030000003oool0oooo05<0oooo00<000000?oo
o`3oool0=`3oool003T0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`0h0?ooo`00
>P3oool00`000000oooo0?ooo`1?0?ooo`030000003oool0oooo03T0oooo000k0?ooo`030000003o
ool0oooo04d0oooo00<000000?ooo`3oool0>P3oool003`0oooo00<000000?ooo`3oool0B`3oool0
0`000000oooo0?ooo`0k0?ooo`00?@3oool00`000000oooo0?ooo`190?ooo`030000003oool0oooo
03`0oooo000n0?ooo`030000003oool0oooo04L0oooo00<000000?ooo`3oool0?@3oool003l0oooo
00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`0n0?ooo`00@03oool00`000000oooo0?oo
o`130?ooo`030000003oool0oooo03l0oooo00110?ooo`030000003oool0oooo0440oooo00<00000
0?ooo`3oool0@03oool00480oooo00<000000?ooo`3oool0?`3oool00`000000oooo0?ooo`110?oo
o`00@`3oool00`000000oooo0?ooo`0m0?ooo`030000003oool0oooo0480oooo00140?ooo`030000
003oool0oooo03/0oooo00<000000?ooo`3oool0@`3oool004D0oooo00<000000?ooo`3oool0>@3o
ool00`000000oooo0?ooo`140?ooo`00AP3oool00`000000oooo0?ooo`0g0?ooo`030000003oool0
oooo04D0oooo00170?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool0AP3oool004P0
oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`170?ooo`00B@3oool00`000000oooo
0?ooo`0a0?ooo`030000003oool0oooo04P0oooo001:0?ooo`030000003oool0oooo02l0oooo00<0
00000?ooo`3oool0B@3oool004/0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`1:
0?ooo`00C03oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo04/0oooo001=0?ooo`03
0000003oool0oooo02T0oooo00<000000?ooo`3oool0C03oool004h0oooo00<000000?ooo`3oool0
9`3oool00`000000oooo0?ooo`1=0?ooo`00C`3oool00`000000oooo0?ooo`0U0?ooo`030000003o
ool0oooo04h0oooo001@0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0C`3oool0
0540oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`1@0?ooo`00DP3oool00`000000
oooo0?ooo`0O0?ooo`030000003oool0oooo0540oooo001C0?ooo`030000003oool0oooo01d0oooo
00<000000?ooo`3oool0DP3oool005@0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?oo
o`1C0?ooo`00E@3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo05@0oooo001F0?oo
o`030000003oool0oooo01L0oooo00<000000?ooo`3oool0E@3oool005L0oooo00<000000?ooo`3o
ool05@3oool00`000000oooo0?ooo`1F0?ooo`00F03oool00`000000oooo0?ooo`0C0?ooo`030000
003oool0oooo05L0oooo001I0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0F03o
ool005X0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`1I0?ooo`00F`3oool00`00
0000oooo0?ooo`0=0?ooo`030000003oool0oooo05X0oooo001L0?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool0F`3oool005d0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`1L0?ooo`00GP3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo05d0oooo001O
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0GP3oool00600oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`1O0?ooo`00H@3oool01@000000oooo0?ooo`3oool00000
0680oooo001R0?ooo`030000003oool0000005`0oooo0P0000050?ooo`00H`3oool00`000000oooo
0?ooo`1J0?ooo`@00000103oool00<00oooo100000040?ooo`00`@3oool2000000D0oooo00380?oo
o`00b03oool00001\
\>"],
  ImageRangeCache->{{{153.125, 276.125}, {425.75, 302.75}} -> {-3.66437, \
4.11895, 0.0105855, 0.0105855}},
  CellTags->"IPM3.Sol.9.2"]
}, Closed]],

Cell["\<\
Finally, here are the computations for these points and polygon.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(pointInPolygonQ[quad, p1]\)], "Input",
  CellLabel->"In[42]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(True\)], "Output",
  CellLabel->"Out[42]=",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(pointInPolygonQ[quad, p2]\)], "Input",
  CellLabel->"In[43]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(False\)], "Output",
  CellLabel->"Out[43]=",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["RT", "MR"],
  " (for Reingold\[Dash]Tilford), replaces the ",
  StyleBox["placeTree", "MR"],
  " function. In ",
  StyleBox["placeTree", "MR"],
  ", the result was a separation tree plus two numbers: width of the left \
side of the tree and width of the right side of the tree. In ",
  StyleBox["RT", "MR"],
  ", the result is instead a separation tree plus two lists, the first giving \
the width of the left side of each level of the tree, the second giving the \
corresponding widths on the right side. ",
  StyleBox["sep", "MR"],
  " is calculated by adding the right widths of the left subtree to the left \
widths of the right subtree at each level, and taking the maximum separation. \
",
  StyleBox["drawSepTree", "MR"],
  " is unchanged."
}], "SolutionItem",
  CounterAssignments->{{"SolutionItem", 11}},
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(<< IPM3`Trees`\)], "Input",
  CellLabel->"In[44]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(RT[{_}] := {{}, {}, {}}\)], "Input",
  CellLabel->"In[45]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(RT[{_, lc_, rc_}] := 
      With[{left = RT[lc], right = RT[rc], minsep = 2.0}, 
        With[{sep = 
              1\/2\ \((Max[0, 
                      Max @@ \(\((Plus @@ #1 &)\) /@ 
                          zip[left\[LeftDoubleBracket]3\[RightDoubleBracket], 
                            right\[LeftDoubleBracket]2\[RightDoubleBracket]]\)\
] + minsep)\)}, 
          With[{newtree = {sep, 
                  left\[LeftDoubleBracket]1\[RightDoubleBracket], 
                  right\[LeftDoubleBracket]1\[RightDoubleBracket]}, 
              leftedge = 
                Join[{sep}, 
                  extend[left\[LeftDoubleBracket]2\[RightDoubleBracket], 
                    right\[LeftDoubleBracket]2\[RightDoubleBracket], sep]], 
              rightedge = 
                Join[{sep}, 
                  extend[right\[LeftDoubleBracket]3\[RightDoubleBracket], 
                    left\[LeftDoubleBracket]3\[RightDoubleBracket], 
                    sep]]}, {newtree, leftedge, rightedge}]]]\)], "Input",
  CellLabel->"In[46]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[{
    \(placeTree[{_}] := {{}, 0, 0}\), "\n", 
    \(placeTree[{_, lc_, rc_}] := 
      Module[{left = placeTree[lc], right = placeTree[rc], minsep = 1.0, 
          sep}, \[IndentingNewLine]sep = 
          left\[LeftDoubleBracket]3\[RightDoubleBracket] + 
            right\[LeftDoubleBracket]2\[RightDoubleBracket] + minsep; {{sep, 
            left\[LeftDoubleBracket]1\[RightDoubleBracket], 
            right\[LeftDoubleBracket]1\[RightDoubleBracket]}, 
          left\[LeftDoubleBracket]2\[RightDoubleBracket] + sep\/2, 
          right\[LeftDoubleBracket]3\[RightDoubleBracket] + 
            sep\/2}]\)}], "Input",
  CellLabel->"In[47]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[{
    \(drawSepTree[{}, lev_, xaxis_] := {Disk[{xaxis, lev}, 0.1]}\), "\n", 
    \(drawSepTree[{sep_, lc_, rc_}, lev_, xaxis_] := 
      Join[{Disk[{xaxis, lev}, 0.1], 
          Line[{{xaxis, lev}, {xaxis - sep, lev - 1}}], 
          Line[{{xaxis, lev}, {xaxis + sep, lev - 1}}]}, 
        drawSepTree[lc, lev - 1, xaxis - sep], 
        drawSepTree[rc, lev - 1, xaxis + sep]]\)}], "Input",
  CellLabel->"In[49]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(drawTree[t_] := 
      drawSepTree[\(RT[t]\)\[LeftDoubleBracket]1\[RightDoubleBracket], 0, 
        0]\)], "Input",
  CellLabel->"In[51]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[TextData[{
  "The auxiliary functions are ",
  StyleBox["zip", "MR"],
  " and ",
  StyleBox["extend", "MR"],
  ". Given the ",
  StyleBox["left",
    FontSlant->"Italic"],
  " widths of each level of the ",
  StyleBox["right",
    FontSlant->"Italic"],
  " subtree, and the ",
  StyleBox["right",
    FontSlant->"Italic"],
  " widths of each level of the ",
  StyleBox["left",
    FontSlant->"Italic"],
  " subtree, the separation of the two subtrees is determined by adding those \
numbers at each level and taking the maximum. ",
  StyleBox["zip", "MR"],
  " is used to join those two lists into a list of pairs; it facilitates this \
process."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[{
    \(zip[{}, _] := {}\), "\n", 
    \(zip[_, {}] := {}\), "\n", 
    \(zip[{x1_, y1___}, {x2_, y2___}] := 
      Join[{{x1, x2}}, zip[{y1}, {y2}]]\)}], "Input",
  CellLabel->"In[52]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[TextData[{
  "When the separation of a tree\[CloseCurlyQuote]s subtrees is determined, \
the lists of left and right widths of the combined tree are computed from the \
corresponding lists for the subtrees. This is simple enough for the most \
part: the left widths of the tree are obtained mainly by taking the left \
widths of the left subtree and shifting them left; and similarly for the \
right widths. There is an exception, though: if the right subtree is taller \
than the left subtree, the left widths of the bottom part of the tree are \
obtained from the left widths of the bottom part of the right subtree. \
Combining the left widths of the two subtrees to create the list of left \
widths of the combined tree is done by ",
  StyleBox["extend", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(extend[edges1_, edges2_, sep_] := 
      Join[edges1 + sep, 
        Take[edges2, Min[0, Length[edges1] - Length[edges2]]] - 
          sep]\)], "Input",
  CellLabel->"In[55]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[TextData[{
  "The same reasoning applies to computing the right widths, and ",
  StyleBox["extend", "MR"],
  " is also used for that."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell["\<\
Here is the \[OpenCurlyDoubleQuote]tricky\[CloseCurlyDoubleQuote] tree drawn \
in Figure 9.5.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(Clear[a, b, c, d, e, f, g]\)], "Input",
  CellLabel->"In[56]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(\(t1 = {a, {b}, {a, {c, {e, {g}, {f}}, {d}}, {b}}};\)\)], "Input",
  CellLabel->"In[57]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Show[Graphics[drawTree[t1]], 
        AspectRatio \[Rule] Automatic];\)\)], "Input",
  CellLabel->"In[58]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.5 0.226757 0.953515 0.226757 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 g
.5 .95351 m
.5 .95351 .02268 0 365.73 arc
F
.5 Mabswid
[ ] 0 setdash
.5 .95351 m
.27324 .72676 L
s
.5 .95351 m
.72676 .72676 L
s
.27324 .72676 m
.27324 .72676 .02268 0 365.73 arc
F
.72676 .72676 m
.72676 .72676 .02268 0 365.73 arc
F
.72676 .72676 m
.5 .5 L
s
.72676 .72676 m
.95351 .5 L
s
.5 .5 m
.5 .5 .02268 0 365.73 arc
F
.5 .5 m
.27324 .27324 L
s
.5 .5 m
.72676 .27324 L
s
.27324 .27324 m
.27324 .27324 .02268 0 365.73 arc
F
.27324 .27324 m
.04649 .04649 L
s
.27324 .27324 m
.5 .04649 L
s
.04649 .04649 m
.04649 .04649 .02268 0 365.73 arc
F
.5 .04649 m
.5 .04649 .02268 0 365.73 arc
F
.72676 .27324 m
.72676 .27324 .02268 0 365.73 arc
F
.95351 .5 m
.95351 .5 .02268 0 365.73 arc
F
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[58]:=",
  ImageSize->{199.813, 199.813},
  ImageMargins->{{62, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000370000ab000`400?l00000o`00003oa`3oool0
0<L0oooo00370?ooo`00a`3oool00<L0oooo00070?ooo`@00000EP3oool400000680oooo00060?oo
o`H00000E03oool600000640oooo00050?ooo`P00000DP3oool800000600oooo00050?ooo`P00000
DP3oool800000600oooo00040?ooo`T00000D@3oool900000600oooo00050?ooo`P00000DP3oool8
00000600oooo00050?ooo`P00000D`3oool700000600oooo00050?ooo`P00000D`3oool600000640
oooo00070?ooo`<000000`3oool00`000000oooo0?ooo`1?0?ooo`030000003oool0000000<00000
HP3oool000h0oooo00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`1V0?ooo`003`3oool0
0`000000oooo0?ooo`1;0?ooo`030000003oool0oooo06L0oooo000@0?ooo`030000003oool0oooo
04T0oooo00<000000?ooo`3oool0J03oool00140oooo00<000000?ooo`3oool0A`3oool00`000000
oooo0?ooo`1Y0?ooo`004P3oool00`000000oooo0?ooo`150?ooo`030000003oool0oooo06X0oooo
000C0?ooo`030000003oool0oooo04<0oooo00<000000?ooo`3oool0J`3oool001@0oooo00<00000
0?ooo`3oool0@@3oool00`000000oooo0?ooo`1/0?ooo`005@3oool00`000000oooo0?ooo`0o0?oo
o`030000003oool0oooo06d0oooo000F0?ooo`030000003oool0oooo03d0oooo00<000000?ooo`3o
ool0KP3oool001L0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`1_0?ooo`00603o
ool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo0700oooo000I0?ooo`030000003oool0
oooo03L0oooo00<000000?ooo`3oool0L@3oool001X0oooo00<000000?ooo`3oool0=@3oool00`00
0000oooo0?ooo`1b0?ooo`006`3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo07<0
oooo000L0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool0M03oool001d0oooo00<0
00000?ooo`3oool0;`3oool00`000000oooo0?ooo`1e0?ooo`007P3oool00`000000oooo0?ooo`0]
0?ooo`030000003oool0oooo07H0oooo000O0?ooo`030000003oool0oooo02/0oooo00<000000?oo
o`3oool0M`3oool00200oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`1h0?ooo`00
8@3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo07T0oooo000R0?ooo`030000003o
ool0oooo02D0oooo00<000000?ooo`3oool0NP3oool002<0oooo00<000000?ooo`3oool08`3oool0
0`000000oooo0?ooo`1k0?ooo`00903oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo
07`0oooo000U0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0O@3oool002H0oooo
00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`1n0?ooo`009`3oool00`000000oooo0?oo
o`0K0?ooo`030000003oool0oooo07l0oooo000X0?ooo`030000003oool0oooo01T0oooo00<00000
0?ooo`3oool0P03oool002T0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`210?oo
o`00:P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0880oooo000[0?ooo`030000
003oool0oooo01<0oooo00<000000?ooo`3oool0P`3oool002`0oooo00<000000?ooo`3oool04@3o
ool00`000000oooo0?ooo`240?ooo`00;@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0
oooo08D0oooo000^0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0QP3oool002l0
oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`270?ooo`00<03oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo08P0oooo000a0?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool0R@3oool00380oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`2:
0?ooo`00<`3oool7000005<0oooo1P00000d0?ooo`00<P3oool800000580oooo2000000c0?ooo`00
<P3oool800000580oooo2000000c0?ooo`00<@3oool900000540oooo2@00000c0?ooo`00<P3oool8
00000580oooo2000000c0?ooo`00<P3oool800000580oooo2000000c0?ooo`00<`3oool7000005<0
oooo1P00000d0?ooo`00=03oool3000000<0oooo00<000000?ooo`3oool0C`3oool00`000000oooo
00000003000003D0oooo000k0?ooo`030000003oool0oooo04d0oooo00<000000?ooo`3oool0>@3o
ool003`0oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?ooo`0j0?ooo`00?@3oool00`00
0000oooo0?ooo`190?ooo`030000003oool0oooo03/0oooo000n0?ooo`030000003oool0oooo04L0
oooo00<000000?ooo`3oool0?03oool003l0oooo00<000000?ooo`3oool0A@3oool00`000000oooo
0?ooo`0m0?ooo`00@03oool00`000000oooo0?ooo`130?ooo`030000003oool0oooo03h0oooo0011
0?ooo`030000003oool0oooo0440oooo00<000000?ooo`3oool0?`3oool00480oooo00<000000?oo
o`3oool0?`3oool00`000000oooo0?ooo`100?ooo`00@`3oool00`000000oooo0?ooo`0m0?ooo`03
0000003oool0oooo0440oooo00140?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool0
@P3oool004D0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`130?ooo`00AP3oool0
0`000000oooo0?ooo`0g0?ooo`030000003oool0oooo04@0oooo00170?ooo`030000003oool0oooo
03D0oooo00<000000?ooo`3oool0A@3oool004P0oooo00<000000?ooo`3oool0<`3oool00`000000
oooo0?ooo`160?ooo`00B@3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo04L0oooo
001:0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool0B03oool004/0oooo00<00000
0?ooo`3oool0;@3oool00`000000oooo0?ooo`190?ooo`00C03oool00`000000oooo0?ooo`0[0?oo
o`030000003oool0oooo04X0oooo001=0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3o
ool0B`3oool004h0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`1<0?ooo`00C`3o
ool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo04d0oooo001@0?ooo`030000003oool0
oooo02<0oooo00<000000?ooo`3oool0CP3oool00540oooo00<000000?ooo`3oool08@3oool00`00
0000oooo0?ooo`1?0?ooo`00DP3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo0500
oooo001C0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0D@3oool005@0oooo00<0
00000?ooo`3oool06`3oool00`000000oooo0?ooo`1B0?ooo`00E@3oool00`000000oooo0?ooo`0I
0?ooo`030000003oool0oooo05<0oooo001F0?ooo`030000003oool0oooo01L0oooo00<000000?oo
o`3oool0E03oool005L0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`1E0?ooo`00
F03oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo05H0oooo001I0?ooo`030000003o
ool0oooo0140oooo00<000000?ooo`3oool0E`3oool005X0oooo00<000000?ooo`3oool03`3oool0
0`000000oooo0?ooo`1H0?ooo`00F`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo
05T0oooo001L0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0FP3oool005d0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1K0?ooo`00GP3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo05`0oooo001O0?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool0G@3oool00600oooo1`00001C0?ooo`L000001P3oool005l0oooo2000001B0?ooo`P0
00001P3oool005l0oooo2000001B0?ooo`P000001P3oool005h0oooo2@00001B0?ooo`T000001@3o
ool005l0oooo2000001B0?ooo`T000001@3oool005l0oooo2000001B0?ooo`P000001P3oool00600
oooo1`00001C0?ooo`H000001`3oool00640oooo100000020?ooo`030000003oool0oooo04l0oooo
00<000000?ooo`0000000`0000080?ooo`00J03oool00`000000oooo0?ooo`1=0?ooo`030000003o
ool0oooo00`0oooo001Y0?ooo`030000003oool0oooo04/0oooo00<000000?ooo`3oool03@3oool0
06X0oooo00<000000?ooo`3oool0B@3oool00`000000oooo0?ooo`0>0?ooo`00J`3oool00`000000
oooo0?ooo`170?ooo`030000003oool0oooo00l0oooo001/0?ooo`030000003oool0oooo04D0oooo
00<000000?ooo`3oool0403oool006d0oooo00<000000?ooo`3oool0@`3oool00`000000oooo0?oo
o`0A0?ooo`00KP3oool00`000000oooo0?ooo`110?ooo`030000003oool0oooo0180oooo001_0?oo
o`030000003oool0oooo03l0oooo00<000000?ooo`3oool04`3oool00700oooo00<000000?ooo`3o
ool0?@3oool00`000000oooo0?ooo`0D0?ooo`00L@3oool00`000000oooo0?ooo`0k0?ooo`030000
003oool0oooo01D0oooo001b0?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool05P3o
ool007<0oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`0G0?ooo`00M03oool00`00
0000oooo0?ooo`0e0?ooo`030000003oool0oooo01P0oooo001e0?ooo`030000003oool0oooo03<0
oooo00<000000?ooo`3oool06@3oool007H0oooo00<000000?ooo`3oool0<@3oool00`000000oooo
0?ooo`0J0?ooo`00M`3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo01/0oooo001h
0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool0703oool007T0oooo00<000000?oo
o`3oool0:`3oool00`000000oooo0?ooo`0M0?ooo`00NP3oool00`000000oooo0?ooo`0Y0?ooo`03
0000003oool0oooo01h0oooo001k0?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool0
7`3oool007`0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`0P0?ooo`00O@3oool0
0`000000oooo0?ooo`0S0?ooo`030000003oool0oooo0240oooo001n0?ooo`030000003oool0oooo
0240oooo00<000000?ooo`3oool08P3oool007l0oooo00<000000?ooo`3oool07`3oool00`000000
oooo0?ooo`0S0?ooo`00P03oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo02@0oooo
00210?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool09@3oool00880oooo00<00000
0?ooo`3oool06@3oool00`000000oooo0?ooo`0V0?ooo`00P`3oool00`000000oooo0?ooo`0G0?oo
o`030000003oool0oooo02L0oooo00240?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3o
ool0:03oool008D0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0Y0?ooo`00QP3o
ool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo02X0oooo00270?ooo`030000003oool0
oooo00l0oooo00<000000?ooo`3oool0:`3oool008P0oooo00<000000?ooo`3oool03@3oool00`00
0000oooo0?ooo`0/0?ooo`00R@3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo02d0
oooo002:0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0;P3oool008/0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`0_0?ooo`00S03oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo0300oooo000c0?ooo`H00000E03oool7000003<0oooo000b0?ooo`P0
0000DP3oool8000003<0oooo000b0?ooo`P00000DP3oool8000003<0oooo000a0?ooo`T00000D@3o
ool9000003<0oooo000b0?ooo`P00000DP3oool8000003<0oooo000b0?ooo`P00000DP3oool80000
03<0oooo000c0?ooo`L00000D`3oool6000003@0oooo000d0?ooo`<000000`3oool00`000000oooo
0?ooo`1?0?ooo`030000003oool0000000<00000=@3oool003/0oooo00<000000?ooo`3oool0C@3o
ool00`000000oooo0?ooo`0i0?ooo`00?03oool00`000000oooo0?ooo`1;0?ooo`030000003oool0
oooo03X0oooo000m0?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3oool0>`3oool003h0
oooo00<000000?ooo`3oool0A`3oool00`000000oooo0?ooo`0l0?ooo`00?`3oool00`000000oooo
0?ooo`150?ooo`030000003oool0oooo03d0oooo00100?ooo`030000003oool0oooo04<0oooo00<0
00000?ooo`3oool0?P3oool00440oooo00<000000?ooo`3oool0@@3oool00`000000oooo0?ooo`0o
0?ooo`00@P3oool00`000000oooo0?ooo`0o0?ooo`030000003oool0oooo0400oooo00130?ooo`03
0000003oool0oooo03d0oooo00<000000?ooo`3oool0@@3oool004@0oooo00<000000?ooo`3oool0
>`3oool00`000000oooo0?ooo`120?ooo`00A@3oool00`000000oooo0?ooo`0i0?ooo`030000003o
ool0oooo04<0oooo00160?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool0A03oool0
04L0oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`150?ooo`00B03oool00`000000
oooo0?ooo`0c0?ooo`030000003oool0oooo04H0oooo00190?ooo`030000003oool0oooo0340oooo
00<000000?ooo`3oool0A`3oool004X0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?oo
o`180?ooo`00B`3oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo04T0oooo001<0?oo
o`030000003oool0oooo02/0oooo00<000000?ooo`3oool0BP3oool004d0oooo00<000000?ooo`3o
ool0:@3oool00`000000oooo0?ooo`1;0?ooo`00CP3oool00`000000oooo0?ooo`0W0?ooo`030000
003oool0oooo04`0oooo001?0?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0C@3o
ool00500oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`1>0?ooo`00D@3oool00`00
0000oooo0?ooo`0Q0?ooo`030000003oool0oooo04l0oooo001B0?ooo`030000003oool0oooo01l0
oooo00<000000?ooo`3oool0D03oool005<0oooo00<000000?ooo`3oool07@3oool00`000000oooo
0?ooo`1A0?ooo`00E03oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo0580oooo001E
0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0D`3oool005H0oooo00<000000?oo
o`3oool05`3oool00`000000oooo0?ooo`1D0?ooo`00E`3oool00`000000oooo0?ooo`0E0?ooo`03
0000003oool0oooo05D0oooo001H0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0
EP3oool005T0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`1G0?ooo`00FP3oool0
0`000000oooo0?ooo`0?0?ooo`030000003oool0oooo05P0oooo001K0?ooo`030000003oool0oooo
00d0oooo00<000000?ooo`3oool0F@3oool005`0oooo00<000000?ooo`3oool02`3oool00`000000
oooo0?ooo`1J0?ooo`00G@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo05/0oooo
001N0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0G03oool005l0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`1M0?ooo`00H03oool700000600oooo001O0?ooo`P0
0000H03oool005l0oooo2000001P0?ooo`00GP3oool900000600oooo001O0?ooo`P00000H03oool0
05l0oooo2000001P0?ooo`00H03oool600000640oooo001Q0?ooo`@00000HP3oool00<L0oooo0037
0?ooo`00a`3oool00<L0oooo00370?ooo`00\
\>"],
  ImageRangeCache->{{{164.938, 287.813}, {311.375, 188.5}} -> {-8.12472, \
2.56034, 0.0222521, 0.0222521}},
  CellTags->"IPM3.Sol.9.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["RT", "MR"],
  " is modified so that the left widths and right widths of each row take \
into account the width of the labels."
}], "SolutionItem",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[{
    \(RT[{x_}] := {{}, {width[x]\/2}, {width[x]\/2}}\), "\n", 
    \(RT[{x_, lc_, rc_}] := 
      With[{left = RT[lc], right = RT[rc], minsep = 0.5}, 
        With[{sep = 
              1\/2\ \((Max[0, 
                      Max @@ \(\((Plus @@ #1 &)\) /@ 
                          zip[left\[LeftDoubleBracket]3\[RightDoubleBracket], 
                            right\[LeftDoubleBracket]2\[RightDoubleBracket]]\)\
] + minsep)\)}, 
          With[{newtree = {sep, 
                  left\[LeftDoubleBracket]1\[RightDoubleBracket], 
                  right\[LeftDoubleBracket]1\[RightDoubleBracket]}, 
              leftedge = 
                Join[{width[x]\/2}, 
                  extend[left\[LeftDoubleBracket]2\[RightDoubleBracket], 
                    right\[LeftDoubleBracket]2\[RightDoubleBracket], sep]], 
              rightedge = 
                Join[{width[x]\/2}, 
                  extend[right\[LeftDoubleBracket]3\[RightDoubleBracket], 
                    left\[LeftDoubleBracket]3\[RightDoubleBracket], 
                    sep]]}, {newtree, leftedge, rightedge}]]]\), "\n", 
    \(width[t_] := StringLength[t]\)}], "Input",
  CellLabel->"In[59]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[TextData[{
  "Drawing the following tree using the new ",
  StyleBox["RT", "MR"],
  " and the old ",
  StyleBox["drawSepTree", "MR"],
  " will show the difference in the layout of the trees. However, since ",
  StyleBox["drawSepTree", "MR"],
  " above only prints disks at each node, a new version of it is required."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(\(t1 = {"\<a\>", {"\<abcdef\>"}, {"\<\>", {"\<abcdefghij\>"}, \
{"\<abc\>"}}};\)\)], "Input",
  CellLabel->"In[62]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[TextData[{
  "The new version of ",
  StyleBox["drawSepTree", "MR"],
  " draws the labels at each node instead of a disk. A complicating factor is \
that we can no longer just draw the lines from the center of the disk, since \
this would collide with the text. So the lines are now drawn in such a way as \
to leave a gap between the text and the line."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(settext[lab_] := FontForm[lab, {"\<Helvetica\>", 9}]\)], "Input",
  CellLabel->"In[63]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(drawSepTree[{lab_}, {}, lev_, 
        xaxis_] := {Text[settext[lab], {xaxis, lev}]}\)], "Input",
  CellLabel->"In[64]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(drawSepTree[{lab_, lc_, rc_}, {sep_, ls_, rs_}, lev_, xaxis_] := 
      With[{h1 = If[lab == "\<\>", 0,  .3], 
          h2 = If[lc\[LeftDoubleBracket]1\[RightDoubleBracket] == "\<\>", 
              0,  .3], 
          h3 = If[rc\[LeftDoubleBracket]1\[RightDoubleBracket] == "\<\>", 
              0,  .3]}, 
        Join[{Text[settext[lab], {xaxis, lev}], 
            Line[{{xaxis - \(sep\ h1\)\/2, 
                  lev - h1\/2}, {xaxis - sep + \(sep\ h2\)\/2, 
                  lev - 1 + h2\/2}}], 
            Line[{{xaxis + \(sep\ h1\)\/2, 
                  lev - h1\/2}, {xaxis + sep - \(sep\ h3\)\/2, 
                  lev - 1 + h3\/2}}]}, 
          drawSepTree[lc, ls, lev - 1, xaxis - sep], 
          drawSepTree[rc, rs, lev - 1, xaxis + sep]]]\)], "Input",
  CellLabel->"In[65]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[BoxData[
    \(drawTree[t_] := 
      drawSepTree[t, \(RT[t]\)\[LeftDoubleBracket]1\[RightDoubleBracket], 0, 
        0]\)], "Input",
  CellLabel->"In[66]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Show[Graphics[drawTree[t1]], PlotRange \[Rule] All];\)\)], "Input",
  CellLabel->"In[67]:=",
  CellTags->"IPM3.Sol.9.2"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.34127 0.31746 0.603319 0.294302 [
[.34127 .60332 -4.5 -5.9375 ]
[.34127 .60332 4.5 5.9375 ]
[.02381 .30902 -15.7188 -5.9375 ]
[.02381 .30902 15.7188 5.9375 ]
[.65873 .30902 -2 -5.9375 ]
[.65873 .30902 2 5.9375 ]
[.34127 .01472 -22.5313 -5.9375 ]
[.34127 .01472 22.5313 5.9375 ]
[.97619 .01472 -9.28125 -5.9375 ]
[.97619 .01472 9.28125 5.9375 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
gsave
.34127 .60332 -65.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(a) show
68.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.5 Mabswid
[ ] 0 setdash
.29365 .55917 m
.07143 .35316 L
s
.38889 .55917 m
.65873 .30902 L
s
gsave
.02381 .30902 -76.7188 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(abcdef) show
90.438 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.65873 .30902 -63 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.65873 .30902 m
.38889 .05886 L
s
.65873 .30902 m
.92857 .05886 L
s
gsave
.34127 .01472 -83.5313 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(abcdefghij) show
104.063 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.97619 .01472 -70.2813 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(abc) show
77.563 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[67]:=",
  ImageSize->{243, 150.125},
  ImageMargins->{{62, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003c0000UR000`400?l00000o`00003ol`3oool0
0?<0oooo003c0?ooo`00l`3oool00640oooo0P0000080?ooo`030000003oool0oooo08D0oooo001P
0?ooo`040000003oool0oooo000000P0oooo00<000000?ooo`3oool0Q03oool004<0oooo10000000
103oool000000000000000030?ooo`8000000`3oool300000080oooo0`0000020?ooo`040000003o
ool0oooo0?ooo`<0000000T0oooo0000003oool0oooo0000003oool000000?ooo`000000M03oool4
000000040?ooo`0000000000000000<0oooo0P0000050?ooo`00@`3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000
003oool0000000D0oooo00@000000?ooo`3oool000000P3oool00`000000oooo000000020?ooo`05
0000003oool000000?ooo`000000M03oool01P000000oooo0?ooo`000000oooo00000080oooo00<0
00000?ooo`0000000P3oool00`000000oooo0?ooo`020?ooo`00A03oool3000000070?ooo`000000
oooo0?ooo`000000oooo000000040?ooo`050000003oool0oooo0000003oool0100000020?ooo`04
0000003oool0oooo00000080oooo00<000000?ooo`0000000P3oool01@000000oooo0000003oool0
000007D0oooo0`0000001`3oool000000?ooo`3oool000000?ooo`0000001`3oool004H0oooo00<0
00000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<0
00000?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`060000003oool0oooo0000003o
ool000000P3oool01@000000oooo0000003oool0000007L0oooo00<000000?ooo`0000000P3oool0
0`000000oooo000000020?ooo`030000003oool0oooo0080oooo00130?ooo`@0000000@0oooo0000
0000000000000`3oool2000000<0oooo0`0000020?ooo`8000000P3oool300000080oooo0`000000
103oool000000000000000020?ooo`030000003oool0000007@0oooo10000000103oool000000000
000000030?ooo`8000001@3oool004P0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0OP3oool00`000000oooo0?oo
o`0:0?ooo`00B03oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`030000003oool0000007T0oooo00<00000
0?ooo`3oool02P3oool00?<0oooo003c0?ooo`00l`3oool00?<0oooo003c0?ooo`00HP3oool00`00
0000oooo0?ooo`1h0?ooo`030000003oool0oooo01<0oooo001S0?ooo`030000003oool0oooo07H0
oooo00<000000?ooo`3oool0503oool006@0oooo00<000000?ooo`3oool0M03oool00`000000oooo
0?ooo`0E0?ooo`00I@3oool00`000000oooo0?ooo`1b0?ooo`030000003oool0oooo01H0oooo001V
0?ooo`030000003oool0oooo0700oooo00<000000?ooo`3oool05`3oool006L0oooo00<000000?oo
o`3oool0KP3oool00`000000oooo0?ooo`0H0?ooo`00J03oool2000006d0oooo00<000000?ooo`3o
ool06@3oool006X0oooo00<000000?ooo`3oool0J03oool2000001`0oooo001[0?ooo`030000003o
ool0oooo06H0oooo00<000000?ooo`3oool0703oool006`0oooo00<000000?ooo`3oool0I03oool0
0`000000oooo0?ooo`0M0?ooo`00K@3oool00`000000oooo0?ooo`1R0?ooo`030000003oool0oooo
01h0oooo001^0?ooo`030000003oool0oooo0600oooo00<000000?ooo`3oool07`3oool006l0oooo
00<000000?ooo`3oool0GP3oool00`000000oooo0?ooo`0P0?ooo`00L03oool00`000000oooo0?oo
o`1L0?ooo`030000003oool0oooo0240oooo001a0?ooo`030000003oool0oooo05X0oooo00<00000
0?ooo`3oool08P3oool00780oooo00<000000?ooo`3oool0F03oool00`000000oooo0?ooo`0S0?oo
o`00L`3oool00`000000oooo0?ooo`1F0?ooo`030000003oool0oooo02@0oooo001d0?ooo`800000
E@3oool00`000000oooo0?ooo`0U0?ooo`00MP3oool00`000000oooo0?ooo`1A0?ooo`030000003o
ool0oooo02H0oooo001g0?ooo`030000003oool0oooo04l0oooo00<000000?ooo`3oool09`3oool0
07P0oooo00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`0X0?ooo`00N@3oool00`000000
oooo0?ooo`1:0?ooo`800000:`3oool007X0oooo00<000000?ooo`3oool0B03oool00`000000oooo
0?ooo`0[0?ooo`00N`3oool00`000000oooo0?ooo`160?ooo`030000003oool0oooo02`0oooo001l
0?ooo`030000003oool0oooo04@0oooo00<000000?ooo`3oool0;@3oool007d0oooo00<000000?oo
o`3oool0@P3oool00`000000oooo0?ooo`0^0?ooo`00OP3oool00`000000oooo0?ooo`100?ooo`03
0000003oool0oooo02l0oooo001o0?ooo`030000003oool0oooo03h0oooo00<000000?ooo`3oool0
<03oool00800oooo00<000000?ooo`3oool0?03oool00`000000oooo0?ooo`0a0?ooo`00P@3oool2
000003/0oooo00<000000?ooo`3oool0<P3oool008<0oooo00<000000?ooo`3oool0=`3oool00`00
0000oooo0?ooo`0c0?ooo`00Q03oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo03@0
oooo00250?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0=@3oool008H0oooo00<0
00000?ooo`3oool0<@3oool00`000000oooo0?ooo`0f0?ooo`00Q`3oool00`000000oooo0?ooo`0_
0?ooo`030000003oool0oooo03L0oooo00280?ooo`030000003oool0oooo02d0oooo00<000000?oo
o`3oool0>03oool008T0oooo00<000000?ooo`3oool0:P3oool2000003/0oooo002:0?ooo`030000
003oool0oooo02P0oooo00<000000?ooo`3oool0>`3oool008/0oooo00<000000?ooo`3oool09P3o
ool00`000000oooo0?ooo`0l0?ooo`00S03oool00`000000oooo0?ooo`0T0?ooo`030000003oool0
oooo03d0oooo002=0?ooo`8000008`3oool00`000000oooo0?ooo`0n0?ooo`00S`3oool00`000000
oooo0?ooo`0O0?ooo`030000003oool0oooo03l0oooo002@0?ooo`030000003oool0oooo01d0oooo
00<000000?ooo`3oool0@03oool00940oooo00<000000?ooo`3oool06`3oool00`000000oooo0?oo
o`110?ooo`00TP3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo0480oooo002C0?oo
o`030000003oool0oooo01L0oooo00<000000?ooo`3oool0@`3oool009@0oooo00<000000?ooo`3o
ool05@3oool00`000000oooo0?ooo`140?ooo`00U@3oool00`000000oooo0?ooo`0C0?ooo`030000
003oool0oooo04D0oooo002F0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0AP3o
ool009L0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`170?ooo`00V03oool00`00
0000oooo0?ooo`0<0?ooo`800000BP3oool009T0oooo0P00000;0?ooo`030000003oool0oooo04X0
oooo002K0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0B`3oool009`0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`1<0?ooo`00W@3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo04d0oooo00020?ooo`@0000000@0oooo00000000000000000`3oool2
000000<0oooo0`0000020?ooo`<000000P3oool00`000000oooo0?ooo`1o0?ooo`050000003oool0
oooo0?ooo`000000D03oool00080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000
003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo000000050?ooo`030000
003oool0oooo0800oooo00<000000?ooo`000000D@3oool000<0oooo0`0000001`3oool000000?oo
o`3oool000000?ooo`000000103oool01@000000oooo0?ooo`000000oooo00@000000P3oool00`00
0000oooo0?ooo`210?ooo`030000003oool0oooo0500oooo00050?ooo`030000003oool000000080
oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool000000080
oooo00@000000?ooo`3oool00000PP3oool00`000000oooo0?ooo`1A0?ooo`000P3oool400000004
0?ooo`0000000000000000<0oooo0P0000030?ooo`<000000P3oool200000080oooo0`0000200?oo
o`030000003oool0oooo0580oooo00070?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`1n0?ooo`030000003oool0oooo05<0oooo00070?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`1l0?ooo`030000
003oool0oooo05@0oooo002K0?ooo`030000003oool0oooo05D0oooo002I0?ooo`800000F03oool0
09P0oooo00<000000?ooo`3oool0F03oool009L0oooo00<000000?ooo`3oool0F@3oool009H0oooo
00<000000?ooo`3oool0FP3oool001X0oooo00<000000?ooo`3oool0N03oool00`000000oooo0?oo
o`1K0?ooo`006`3oool00`000000oooo0?ooo`1f0?ooo`030000003oool0oooo05`0oooo000L0?oo
o`030000003oool0oooo07@0oooo00<000000?ooo`3oool0G@3oool001d0oooo00<000000?ooo`3o
ool0LP3oool00`000000oooo0?ooo`1N0?ooo`007P3oool00`000000oooo0?ooo`1`0?ooo`030000
003oool0oooo05l0oooo000O0?ooo`030000003oool0oooo06h0oooo00<000000?ooo`3oool0H03o
ool00200oooo0P00001]0?ooo`030000003oool0oooo0640oooo000R0?ooo`030000003oool0oooo
06P0oooo0P00001T0?ooo`008`3oool00`000000oooo0?ooo`1V0?ooo`030000003oool0oooo06@0
oooo000T0?ooo`030000003oool0oooo06@0oooo00<000000?ooo`3oool0I@3oool002D0oooo00<0
00000?ooo`3oool0HP3oool00`000000oooo0?ooo`1V0?ooo`009P3oool00`000000oooo0?ooo`1P
0?ooo`030000003oool0oooo06L0oooo000W0?ooo`030000003oool0oooo05h0oooo00<000000?oo
o`3oool0J03oool002P0oooo00<000000?ooo`3oool0G03oool00`000000oooo0?ooo`1Y0?ooo`00
:@3oool00`000000oooo0?ooo`1J0?ooo`030000003oool0oooo06X0oooo000Z0?ooo`030000003o
ool0oooo05P0oooo00<000000?ooo`3oool0J`3oool002/0oooo00<000000?ooo`3oool0EP3oool0
0`000000oooo0?ooo`1/0?ooo`00;03oool00`000000oooo0?ooo`1D0?ooo`030000003oool0oooo
06d0oooo000]0?ooo`800000D`3oool00`000000oooo0?ooo`1^0?ooo`00;`3oool00`000000oooo
0?ooo`1>0?ooo`800000L@3oool00300oooo00<000000?ooo`3oool0C03oool00`000000oooo0?oo
o`1a0?ooo`00<@3oool00`000000oooo0?ooo`1:0?ooo`030000003oool0oooo0780oooo000b0?oo
o`030000003oool0oooo04P0oooo00<000000?ooo`3oool0L`3oool003<0oooo00<000000?ooo`3o
ool0AP3oool00`000000oooo0?ooo`1d0?ooo`00=03oool00`000000oooo0?ooo`140?ooo`030000
003oool0oooo07D0oooo000e0?ooo`030000003oool0oooo0480oooo00<000000?ooo`3oool0MP3o
ool003H0oooo00<000000?ooo`3oool0@03oool00`000000oooo0?ooo`1g0?ooo`00=`3oool00`00
0000oooo0?ooo`0n0?ooo`030000003oool0oooo07P0oooo000h0?ooo`030000003oool0oooo03`0
oooo00<000000?ooo`3oool0N@3oool003T0oooo0P00000k0?ooo`030000003oool0oooo07X0oooo
000k0?ooo`030000003oool0oooo03H0oooo0P00001m0?ooo`00?03oool00`000000oooo0?ooo`0d
0?ooo`030000003oool0oooo07d0oooo000m0?ooo`030000003oool0oooo0380oooo00<000000?oo
o`3oool0OP3oool003h0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`1o0?ooo`00
?`3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo0800oooo00100?ooo`030000003o
ool0oooo02`0oooo00<000000?ooo`3oool0P@3oool00440oooo00<000000?ooo`3oool0:P3oool0
0`000000oooo0?ooo`220?ooo`00@P3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo
08<0oooo00130?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0Q03oool004@0oooo
00<000000?ooo`3oool0903oool00`000000oooo0?ooo`250?ooo`00A@3oool00`000000oooo0?oo
o`0R0?ooo`030000003oool0oooo08H0oooo00160?ooo`800000803oool2000008T0oooo00180?oo
o`030000003oool0oooo01`0oooo00<000000?ooo`3oool0R@3oool004T0oooo00<000000?ooo`3o
ool06P3oool00`000000oooo0?ooo`2:0?ooo`00BP3oool00`000000oooo0?ooo`0H0?ooo`030000
003oool0oooo08/0oooo001;0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0S03o
ool004`0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`2=0?ooo`00C@3oool00`00
0000oooo0?ooo`0B0?ooo`030000003oool0oooo08h0oooo003c0?ooo`00l`3oool00?<0oooo003c
0?ooo`00l`3oool00?<0oooo003c0?ooo`00E@3oool4000009X0oooo001E0?ooo`040000003oool0
oooo000009X0oooo001F0?ooo`<00000VP3oool005P0oooo00<000000?ooo`3oool0V03oool005D0
oooo1000002J0?ooo`00l`3oool00?<0oooo003c0?ooo`00l`3oool00?<0oooo0000\
\>"],
  ImageRangeCache->{{{0, 242}, {149.125, 0}} -> {-1.21733, -2.11193, \
0.013825, 0.0149129}},
  CellTags->"IPM3.Sol.9.2"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["9.3",
    ButtonData:>"IPM3.9.3.4",
    ButtonStyle->"SolutionsLink"],
  "  Sound"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{

Cell[TextData[{
  "When ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  " is close to ",
  Cell[BoxData[
      \(TraditionalForm\`\(-2\)\)]],
  ", the frequency is quite low. As ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  " increases, the fraction ",
  Cell[BoxData[
      \(TraditionalForm\`1000/x\)]],
  " gets larger, making the frequency of the sine function bigger. This in \
turn makes the tone much higher in pitch. As ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  " approaches 0, the function is oscillating more and more, and at 0, the \
function can be thought of as oscillating infinitely often. In fact, it is \
oscillating so much that the sampling routine is not able to effectively \
compute amplitudes and, hence, we hear noise in this region."
}], "SolutionItem",
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Play[Sin[1000\/x], {x, \(-2\), 2}]\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    RowBox[{\(Power::"infy"\), \(\(:\)\(\ \)\), "\<\"Infinite expression \
\\!\\(1\\/0.`\\) encountered. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"Power::infy\\\"]\\)\"\>"}]], "Message",
  CellLabel->"From In[1]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[1]=",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "To generate a tone whose rate increases one octave per second, you need \
the sine of a function whose derivative doubles each second (frequency is a \
rate). That function is ",
  Cell[BoxData[
      \(TraditionalForm\`2\^t\)]],
  ", so here is the command to produce the tone. You need to carefully choose \
a range for ",
  Cell[BoxData[
      \(TraditionalForm\`t\)]],
  " that generates tones in a reasonable range."
}], "SolutionItem",
  PageBreakAbove->True,
  CounterAssignments->{{"SolutionItem", 2}},
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Play[Sin[2\^t], {t, 10, 14}]\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[2]=",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Here is a function that creates a square wave with decreasing amplitudes for \
higher overtones.\
\>", "SolutionItem",
  CounterAssignments->{{"SolutionItem", 4}},
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    \(SquareWave[freq_, n_] := 
      Sum[Sin[freq\ i\ 2\ \[Pi]\ t]\/i, {i, 1, n, 2}]\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[SquareWave[440, 17], {t, 0,  .01}];\)\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 95.2381 0.309016 0.317556 [
[.21429 .29652 -13.25 -11.875 ]
[.21429 .29652 13.25 0 ]
[.40476 .29652 -13.25 -11.875 ]
[.40476 .29652 13.25 0 ]
[.59524 .29652 -13.25 -11.875 ]
[.59524 .29652 13.25 0 ]
[.78571 .29652 -13.25 -11.875 ]
[.78571 .29652 13.25 0 ]
[.97619 .29652 -10.75 -11.875 ]
[.97619 .29652 10.75 0 ]
[.01131 .07085 -27.6875 -5.9375 ]
[.01131 .07085 0 5.9375 ]
[.01131 .15024 -22.6875 -5.9375 ]
[.01131 .15024 0 5.9375 ]
[.01131 .22963 -27.6875 -5.9375 ]
[.01131 .22963 0 5.9375 ]
[.01131 .38841 -21.5 -5.9375 ]
[.01131 .38841 0 5.9375 ]
[.01131 .46779 -16.5 -5.9375 ]
[.01131 .46779 0 5.9375 ]
[.01131 .54718 -21.5 -5.9375 ]
[.01131 .54718 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.21429 .30902 m
.21429 .31527 L
s
gsave
.21429 .29652 -74.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.002) show
1.000 setlinewidth
grestore
.40476 .30902 m
.40476 .31527 L
s
gsave
.40476 .29652 -74.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.004) show
1.000 setlinewidth
grestore
.59524 .30902 m
.59524 .31527 L
s
gsave
.59524 .29652 -74.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.006) show
1.000 setlinewidth
grestore
.78571 .30902 m
.78571 .31527 L
s
gsave
.78571 .29652 -74.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.008) show
1.000 setlinewidth
grestore
.97619 .30902 m
.97619 .31527 L
s
gsave
.97619 .29652 -71.75 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.01) show
1.000 setlinewidth
grestore
.125 Mabswid
.07143 .30902 m
.07143 .31277 L
s
.11905 .30902 m
.11905 .31277 L
s
.16667 .30902 m
.16667 .31277 L
s
.2619 .30902 m
.2619 .31277 L
s
.30952 .30902 m
.30952 .31277 L
s
.35714 .30902 m
.35714 .31277 L
s
.45238 .30902 m
.45238 .31277 L
s
.5 .30902 m
.5 .31277 L
s
.54762 .30902 m
.54762 .31277 L
s
.64286 .30902 m
.64286 .31277 L
s
.69048 .30902 m
.69048 .31277 L
s
.7381 .30902 m
.7381 .31277 L
s
.83333 .30902 m
.83333 .31277 L
s
.88095 .30902 m
.88095 .31277 L
s
.92857 .30902 m
.92857 .31277 L
s
.25 Mabswid
0 .30902 m
1 .30902 L
s
.02381 .07085 m
.03006 .07085 L
s
gsave
.01131 .07085 -88.6875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.75) show
1.000 setlinewidth
grestore
.02381 .15024 m
.03006 .15024 L
s
gsave
.01131 .15024 -83.6875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.02381 .22963 m
.03006 .22963 L
s
gsave
.01131 .22963 -88.6875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.25) show
1.000 setlinewidth
grestore
.02381 .38841 m
.03006 .38841 L
s
gsave
.01131 .38841 -82.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.25) show
1.000 setlinewidth
grestore
.02381 .46779 m
.03006 .46779 L
s
gsave
.01131 .46779 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.02381 .54718 m
.03006 .54718 L
s
gsave
.01131 .54718 -82.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.75) show
1.000 setlinewidth
grestore
.125 Mabswid
.02381 .08673 m
.02756 .08673 L
s
.02381 .1026 m
.02756 .1026 L
s
.02381 .11848 m
.02756 .11848 L
s
.02381 .13436 m
.02756 .13436 L
s
.02381 .16612 m
.02756 .16612 L
s
.02381 .18199 m
.02756 .18199 L
s
.02381 .19787 m
.02756 .19787 L
s
.02381 .21375 m
.02756 .21375 L
s
.02381 .24551 m
.02756 .24551 L
s
.02381 .26138 m
.02756 .26138 L
s
.02381 .27726 m
.02756 .27726 L
s
.02381 .29314 m
.02756 .29314 L
s
.02381 .32489 m
.02756 .32489 L
s
.02381 .34077 m
.02756 .34077 L
s
.02381 .35665 m
.02756 .35665 L
s
.02381 .37253 m
.02756 .37253 L
s
.02381 .40428 m
.02756 .40428 L
s
.02381 .42016 m
.02756 .42016 L
s
.02381 .43604 m
.02756 .43604 L
s
.02381 .45192 m
.02756 .45192 L
s
.02381 .48367 m
.02756 .48367 L
s
.02381 .49955 m
.02756 .49955 L
s
.02381 .51543 m
.02756 .51543 L
s
.02381 .53131 m
.02756 .53131 L
s
.02381 .05497 m
.02756 .05497 L
s
.02381 .03909 m
.02756 .03909 L
s
.02381 .02322 m
.02756 .02322 L
s
.02381 .00734 m
.02756 .00734 L
s
.02381 .56306 m
.02756 .56306 L
s
.02381 .57894 m
.02756 .57894 L
s
.02381 .59482 m
.02756 .59482 L
s
.02381 .6107 m
.02756 .6107 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .30902 m
.02499 .40454 L
.02605 .48166 L
.02729 .54978 L
.02846 .58871 L
.02954 .60274 L
.03053 .60011 L
.03163 .58572 L
.03279 .56507 L
.03395 .54649 L
.0352 .53512 L
.03638 .53469 L
.03746 .54178 L
.03876 .55523 L
.03947 .56272 L
.04014 .56873 L
.04144 .57532 L
.04262 .57435 L
.04383 .56757 L
.04495 .5588 L
.04618 .55001 L
.04748 .54513 L
.04879 .5464 L
.05001 .55227 L
.05143 .56136 L
.05213 .56529 L
.05278 .56801 L
.05395 .56985 L
.05522 .56717 L
.0563 .56206 L
.05745 .55571 L
.05867 .5503 L
.05982 .5483 L
.06108 .5502 L
.06179 .55286 L
.06244 .55592 L
.06371 .56218 L
.0649 .56652 L
.06556 .56763 L
.06627 .56759 L
.06752 .56462 L
.06977 .55456 L
.07105 .55039 L
.07225 .54964 L
.07355 .55259 L
.07429 .55552 L
.07496 .55857 L
.07566 .56174 L
.07643 .56467 L
.07715 .56652 L
Mistroke
.07783 .56721 L
.07913 .56551 L
.08032 .56116 L
.08158 .55541 L
.0823 .55255 L
.08297 .55061 L
.08363 .54961 L
.08433 .54968 L
.08508 .55105 L
.08576 .55329 L
.08709 .55928 L
.08832 .56463 L
.08901 .56669 L
.08975 .56772 L
.09048 .56741 L
.09129 .56553 L
.09199 .56283 L
.09274 .55924 L
.09345 .55567 L
.0941 .55263 L
.09538 .54875 L
.09605 .5483 L
.09677 .5492 L
.09753 .55158 L
.09824 .55487 L
.09957 .56221 L
.10082 .56788 L
.10198 .56986 L
.10324 .56736 L
.10388 .56443 L
.10458 .56032 L
.10579 .55254 L
.10708 .54632 L
.10776 .54495 L
.1085 .54535 L
.10981 .55089 L
.11097 .55943 L
.1122 .56887 L
.11284 .57269 L
.11354 .57523 L
.11477 .57427 L
.11597 .56656 L
.11725 .55343 L
.11836 .54197 L
.11956 .53435 L
.12077 .53579 L
.12192 .54684 L
.12304 .56467 L
.12407 .58315 L
.12527 .59972 L
Mistroke
.12656 .60119 L
.12778 .57844 L
.1289 .53352 L
.1302 .45356 L
.13162 .34292 L
.13296 .23326 L
.13422 .14055 L
.1349 .09907 L
.13563 .06312 L
.13692 .02455 L
.13765 .01587 L
.13842 .01562 L
.13907 .02114 L
.1398 .03139 L
.14109 .05434 L
.1418 .06619 L
.14247 .07522 L
.14378 .08409 L
.14497 .08162 L
.14611 .07217 L
.14734 .05892 L
.1485 .04823 L
.14957 .04293 L
.15075 .04337 L
.15204 .0503 L
.1534 .06099 L
.15464 .0693 L
.15527 .07193 L
.15596 .07315 L
.15721 .07094 L
.1579 .06767 L
.15864 .06324 L
.15995 .05492 L
.16117 .04952 L
.16231 .04824 L
.16356 .05129 L
.16426 .05455 L
.1649 .05803 L
.16603 .06419 L
.16724 .06871 L
.16839 .06964 L
.16942 .06748 L
.17064 .06225 L
.17196 .05572 L
.17321 .05132 L
.17435 .05032 L
.17543 .05234 L
.17643 .05622 L
.17763 .06183 L
.17872 .06618 L
Mistroke
.17986 .06844 L
.18094 .06775 L
.18208 .06431 L
.18332 .05882 L
.18452 .0538 L
.18567 .05109 L
.18699 .05165 L
.18819 .05539 L
.18933 .06046 L
.1904 .06503 L
.19163 .0682 L
.19276 .06811 L
.19399 .06471 L
.19469 .06172 L
.19533 .05869 L
.19657 .05333 L
.19772 .05051 L
.19898 .05109 L
.19965 .05294 L
.20036 .05585 L
.20181 .06302 L
.20245 .06589 L
.20315 .0683 L
.20446 .06964 L
.20518 .06838 L
.20585 .06604 L
.20659 .0625 L
.20727 .05876 L
.20806 .05444 L
.2088 .05106 L
.21004 .04821 L
.2107 .04857 L
.2114 .05042 L
.21214 .0538 L
.21284 .05793 L
.21415 .06626 L
.21536 .07188 L
.21665 .07282 L
.21775 .06882 L
.21896 .0605 L
.22026 .05031 L
.22099 .04572 L
.22165 .04307 L
.22295 .04359 L
.22418 .05132 L
.22542 .06403 L
.22608 .07112 L
.22677 .0777 L
.22805 .08424 L
.22922 .08086 L
Mistroke
.23034 .06845 L
.23139 .05099 L
.23254 .03076 L
.23378 .01614 L
.23447 .01507 L
.23511 .02032 L
.23637 .05153 L
.23751 .10536 L
.23872 .18586 L
.24127 .39142 L
.24261 .48813 L
.24333 .5303 L
.24401 .56114 L
.24514 .5934 L
.24637 .60326 L
.24741 .59553 L
.24853 .57792 L
.24967 .55755 L
.25075 .54227 L
.25171 .53485 L
.25276 .53444 L
.25392 .54187 L
.2552 .55515 L
.25645 .56759 L
.25714 .5725 L
.25778 .57508 L
.25901 .57454 L
.26017 .56835 L
.26124 .56007 L
.26241 .55138 L
.26362 .54575 L
.26473 .54519 L
.26596 .54945 L
.26724 .55728 L
.26829 .56375 L
.26941 .56856 L
.27064 .5697 L
.27179 .56672 L
.27312 .55998 L
.27383 .55606 L
.27458 .55238 L
.27523 .54996 L
.27595 .5485 L
.27721 .54933 L
.27844 .55374 L
.27976 .5603 L
.28101 .56555 L
.28215 .56773 L
.28344 .56629 L
.28416 .5639 L
Mistroke
.28482 .56108 L
.28611 .55505 L
.2873 .55085 L
.28797 .54968 L
.28869 .54963 L
.2894 .55079 L
.29019 .55327 L
.29162 .55953 L
.29291 .56478 L
.29423 .56719 L
.29547 .56581 L
.29678 .5611 L
.29821 .55467 L
.29945 .55054 L
.30077 .54968 L
.3019 .55218 L
.30315 .55739 L
.30428 .56267 L
.3055 .56676 L
.30619 .56772 L
.30683 .56754 L
.30806 .56439 L
.30927 .55885 L
.31055 .55265 L
.31122 .55018 L
.31195 .54858 L
.31324 .54925 L
.31443 .55357 L
.3157 .56045 L
.3168 .56608 L
.318 .56959 L
.31921 .56889 L
.32035 .5643 L
.32147 .55751 L
.3225 .55103 L
.32381 .54556 L
.32455 .54488 L
.32523 .54605 L
.32648 .55234 L
.3278 .56249 L
.32891 .57058 L
.33009 .57543 L
.33139 .57356 L
.3326 .56489 L
.33399 .55028 L
.33472 .5428 L
.3355 .53672 L
.33617 .53396 L
.33692 .53442 L
.33823 .54503 L
Mistroke
.33952 .56522 L
.34022 .578 L
.34089 .58926 L
.34218 .60276 L
.34336 .59741 L
.34455 .5681 L
.34584 .50672 L
.34652 .46267 L
.34725 .40939 L
.34854 .30404 L
.34968 .21202 L
.3509 .12571 L
.3516 .08588 L
.35223 .05707 L
.35348 .02262 L
.35466 .0149 L
.35576 .02408 L
.35696 .04388 L
.35824 .066 L
.35934 .0794 L
.36038 .08431 L
.36152 .08104 L
.36275 .07026 L
.36397 .05705 L
.36528 .04606 L
.36603 .0429 L
.36671 .04239 L
.3674 .04408 L
.36805 .04737 L
.36946 .05788 L
.37023 .06388 L
.37095 .06858 L
.37223 .073 L
.37291 .07292 L
.37363 .07104 L
.37492 .06432 L
.37614 .0565 L
.37723 .05086 L
.37842 .0482 L
.37973 .05026 L
.38046 .0533 L
.38112 .05676 L
.38241 .06383 L
.38362 .06853 L
.38474 .0697 L
.38595 .06722 L
.38663 .06444 L
.38728 .06128 L
.3885 .05531 L
.38979 .05104 L
Mistroke
.39097 .05046 L
.39227 .05369 L
.39293 .05644 L
.39366 .05985 L
.39477 .06479 L
.39595 .06805 L
.39724 .06802 L
.39842 .06475 L
.39962 .0595 L
.40076 .05458 L
.40178 .0516 L
.40289 .05091 L
.40418 .05368 L
.40538 .05862 L
.40665 .06426 L
.40737 .06673 L
.40804 .06815 L
.40917 .06816 L
.41037 .06498 L
.41166 .05926 L
.41284 .05401 L
.41351 .05179 L
.41422 .05046 L
.41551 .05125 L
.4163 .05366 L
.41704 .0569 L
.41842 .06378 L
.41906 .06656 L
.41975 .06867 L
.42096 .06959 L
.42228 .06615 L
.42302 .06261 L
.42371 .05879 L
.42498 .05216 L
.42562 .04976 L
.42633 .04833 L
.42758 .04953 L
.42874 .05465 L
.43009 .06314 L
.43138 .07029 L
.43208 .07257 L
.43285 .07311 L
.43356 .07167 L
.43421 .06878 L
.43539 .06061 L
.43668 .05052 L
.43789 .04372 L
.43901 .04258 L
.44031 .04876 L
.44097 .05451 L
Mistroke
.44169 .06205 L
.44294 .07522 L
.44413 .08331 L
.44529 .08305 L
.44655 .07178 L
.4477 .05357 L
.44876 .03451 L
.44991 .01864 L
.45117 .01636 L
.45249 .04069 L
.45373 .09284 L
.45598 .24886 L
.45721 .35062 L
.45838 .44177 L
.45947 .51295 L
.46064 .56797 L
.46171 .59557 L
.4627 .60332 L
.46379 .59644 L
.46498 .57782 L
.46624 .5555 L
.4674 .5402 L
.46867 .53368 L
.46938 .53507 L
.47005 .53914 L
.47124 .55061 L
.47253 .56431 L
.47323 .57021 L
.4739 .57396 L
.47513 .57538 L
.47583 .57309 L
.47646 .56945 L
.4779 .55841 L
.47916 .54958 L
.48032 .54521 L
.48154 .54597 L
.48219 .54839 L
.48288 .55211 L
.48404 .55951 L
.48527 .56638 L
.48591 .56868 L
.48661 .56982 L
.48786 .56809 L
.48903 .56299 L
.49029 .55602 L
.49148 .55062 L
.49257 .54836 L
.49363 .54926 L
.49462 .55254 L
.49571 .55774 L
Mistroke
.49686 .56332 L
.49808 .56713 L
.49923 .56753 L
.50027 .56517 L
.50138 .56055 L
.5026 .55488 L
.50375 .55084 L
.50439 .54972 L
.50508 .54958 L
.50629 .55203 L
.50744 .55666 L
.50867 .56219 L
.50972 .56578 L
.51087 .56722 L
.51153 .56663 L
.51222 .56497 L
.51346 .56009 L
.51415 .55688 L
.5149 .55367 L
.51561 .55128 L
.51625 .54992 L
.51749 .55001 L
.51866 .55328 L
.51992 .55895 L
.52058 .56202 L
.5213 .56489 L
.5226 .5677 L
.52383 .56657 L
.52457 .56417 L
.52528 .56104 L
.52661 .5544 L
.52729 .55148 L
.52801 .54927 L
.52931 .54857 L
.5301 .55038 L
.53085 .55342 L
.53225 .56096 L
.53348 .56699 L
.53477 .56984 L
.53588 .56826 L
.5371 .56263 L
.53841 .5543 L
.53913 .55001 L
.53982 .54689 L
.54045 .5452 L
.54114 .54498 L
.54235 .54882 L
.54357 .55703 L
.54469 .5659 L
.54591 .57351 L
Mistroke
.5472 .5755 L
.54833 .57077 L
.54938 .5617 L
.55052 .5494 L
.55176 .53795 L
.55246 .53436 L
.55311 .53381 L
.55439 .54161 L
.55555 .55792 L
.55678 .57984 L
.5581 .59904 L
.55933 .60212 L
.56004 .59377 L
.56068 .5784 L
.56143 .55095 L
.56214 .51539 L
.56465 .33291 L
.56701 .14786 L
.56832 .07274 L
.56905 .04382 L
.56973 .02624 L
.57093 .01472 L
.57219 .02385 L
.5735 .04555 L
.57422 .05843 L
.5749 .0692 L
.57571 .07868 L
.57644 .0834 L
.57713 .08426 L
.57788 .08159 L
.57851 .07695 L
.57921 .07015 L
.58062 .05507 L
.58192 .04498 L
.58315 .04238 L
.58439 .04674 L
.58509 .05141 L
.58572 .05635 L
.58696 .06585 L
.58811 .07173 L
.58876 .07308 L
.58944 .07279 L
.59013 .07084 L
.59089 .06716 L
.59227 .0585 L
.59352 .05152 L
.59478 .04825 L
.59598 .04964 L
.59724 .055 L
.59862 .06258 L
Mistroke
.59982 .0678 L
.60109 .06973 L
.60218 .06792 L
.60338 .06304 L
.60455 .05719 L
.60578 .05219 L
.60683 .05031 L
.60798 .05139 L
.60922 .05571 L
.61054 .0619 L
.6118 .06671 L
.61293 .06852 L
.61408 .06723 L
.61515 .06365 L
.61629 .05851 L
.61755 .05339 L
.61864 .05101 L
.61966 .05126 L
.62074 .05405 L
.6219 .05895 L
.62321 .0647 L
.62445 .06808 L
.62513 .06853 L
.62587 .06775 L
.62715 .06365 L
.62828 .05848 L
.62948 .0533 L
.6308 .05035 L
.63203 .0514 L
.63278 .05379 L
.63349 .05692 L
.63482 .06357 L
.63551 .06654 L
.63624 .06877 L
.63704 .06974 L
.63778 .06908 L
.63907 .0646 L
.64029 .05807 L
.64094 .05453 L
.64163 .05134 L
.64238 .04897 L
.64306 .04818 L
.64433 .05051 L
.64547 .05627 L
.64671 .06417 L
.64735 .068 L
.64804 .07114 L
.64928 .07312 L
.65042 .06998 L
.65149 .06331 L
Mistroke
.65267 .05403 L
.65337 .04884 L
.65404 .04498 L
.65528 .04237 L
.65598 .04411 L
.65663 .04777 L
.65734 .05371 L
.65809 .06149 L
.65925 .07385 L
.6605 .083 L
.66122 .08434 L
.66187 .08239 L
.66316 .0696 L
.66433 .05039 L
.66559 .02835 L
.66679 .01559 L
.66789 .01879 L
.66917 .04815 L
.66982 .07462 L
.67053 .11261 L
.67294 .29087 L
.67521 .46845 L
.67648 .54246 L
.67764 .58482 L
.67872 .60186 L
.6799 .59993 L
.68102 .58505 L
.68205 .56661 L
.68335 .54584 L
.68408 .5381 L
.68475 .53433 L
.68599 .53584 L
.6873 .54652 L
.68848 .55927 L
.6896 .5696 L
.69089 .57549 L
.69206 .574 L
.69332 .56654 L
.6947 .55572 L
.69597 .54771 L
.69715 .54486 L
.69844 .54752 L
.69917 .55118 L
.69986 .55543 L
.70125 .56408 L
.70203 .56765 L
.70274 .56949 L
.70399 .56896 L
.70517 .56455 L
.70627 .5586 L
Mistroke
.70743 .55257 L
.70872 .54866 L
.7099 .54889 L
.71117 .55298 L
.71189 .55642 L
.71257 .55984 L
.71321 .56287 L
.71391 .56555 L
.71518 .56777 L
.71641 .5661 L
.71756 .5618 L
.7189 .55555 L
.72016 .55095 L
.72086 .5497 L
.72161 .54964 L
.72292 .55265 L
.7241 .55759 L
.72535 .56313 L
.72654 .56657 L
.72762 .56708 L
.72883 .56446 L
.72998 .55977 L
.73123 .55414 L
.73187 .55183 L
.73257 .55012 L
.73371 .54971 L
.73477 .55209 L
.73576 .55604 L
.73681 .56103 L
.73799 .56568 L
.73922 .56777 L
.74028 .56657 L
.74143 .56246 L
.74267 .55634 L
.74397 .55064 L
.74466 .54887 L
.74541 .5483 L
.74673 .55101 L
.74798 .55695 L
.74866 .56079 L
.74932 .56426 L
.75058 .56901 L
.75173 .5696 L
.75286 .56626 L
.75405 .55953 L
.75509 .55287 L
.75621 .54711 L
.7574 .54486 L
.75852 .54748 L
.75917 .55096 L
Mistroke
.75986 .55576 L
.76108 .56546 L
.76239 .57363 L
.76358 .57559 L
.76424 .57376 L
.76496 .56948 L
.76626 .55714 L
.76748 .54413 L
.76877 .53484 L
.76987 .53462 L
.77109 .54448 L
.77249 .56645 L
.77381 .58965 L
.77455 .59904 L
.77535 .60332 L
.77607 .59969 L
.77675 .58853 L
.77744 .56841 L
.77809 .54121 L
.77931 .47029 L
.78204 .25474 L
.78321 .1652 L
.78446 .08796 L
.78563 .03978 L
.78671 .01828 L
.78796 .01679 L
.78867 .02429 L
.78933 .0345 L
.79061 .05743 L
.79182 .07516 L
.79296 .08365 L
.7942 .08229 L
.79487 .07775 L
.79557 .07108 L
.79682 .05754 L
.79814 .0463 L
.79936 .04232 L
.80007 .04328 L
.80071 .04597 L
.80144 .05071 L
.80214 .05611 L
.8033 .06508 L
.80438 .0711 L
.80551 .07317 L
.80676 .07013 L
.80783 .06425 L
.80881 .05793 L
.80994 .05167 L
.81101 .04848 L
.81216 .04896 L
Mistroke
.8134 .05348 L
.81456 .05977 L
.81561 .06523 L
.81685 .06922 L
.81755 .06973 L
.81819 .06902 L
.81937 .06517 L
.82062 .05909 L
.82184 .05349 L
.82254 .05136 L
.82318 .05037 L
.82435 .05123 L
.8256 .05541 L
.82672 .06061 L
.82778 .0652 L
.82901 .06826 L
.83013 .06803 L
.83133 .06472 L
.83263 .059 L
.83386 .05385 L
.83498 .05114 L
.83567 .05085 L
.83631 .05161 L
.837 .0534 L
.83774 .05622 L
.83907 .06224 L
.84031 .06684 L
.84138 .06852 L
.84253 .0673 L
.8438 .06281 L
.84496 .05738 L
.84617 .0525 L
.84748 .05026 L
.84872 .05205 L
.84987 .05658 L
.85093 .06187 L
.85207 .06694 L
.85315 .06953 L
.85413 .06925 L
.85518 .06613 L
.85629 .06063 L
.85752 .05386 L
.85866 .04936 L
.8599 .04837 L
.86055 .04973 L
.86123 .05249 L
.86239 .05922 L
.86366 .06721 L
.86479 .07211 L
.86601 .0728 L
Mistroke
.86716 .06851 L
.8682 .06132 L
.86942 .05173 L
.87071 .04404 L
.87145 .04234 L
.87212 .04304 L
.87343 .05052 L
.87469 .06313 L
.87538 .07059 L
.87602 .07682 L
.87715 .08373 L
.8784 .08197 L
.87955 .0705 L
.88059 .05368 L
.88182 .03194 L
.88295 .01744 L
.88416 .017 L
.88547 .0431 L
.88663 .09265 L
.88786 .17035 L
.89011 .35023 L
.8912 .43631 L
.8922 .50319 L
.89325 .5568 L
.89438 .59132 L
.89561 .60332 L
.89676 .59552 L
.89799 .57591 L
.89912 .55594 L
.90036 .53964 L
.90166 .53367 L
.90277 .53783 L
.9038 .54705 L
.90493 .55923 L
.90615 .57035 L
.90746 .57564 L
.9087 .57319 L
.90991 .56549 L
.91103 .5566 L
.91224 .5486 L
.91292 .54588 L
.91357 .54487 L
.91487 .54742 L
.9156 .55103 L
.91627 .55515 L
.91733 .56195 L
.91847 .5676 L
.91954 .56983 L
.92052 .56877 L
.92166 .56434 L
Mistroke
.92291 .55754 L
.92408 .55174 L
.92517 .54866 L
.9263 .54881 L
.92754 .55263 L
.92875 .55848 L
.93005 .56447 L
.93126 .56753 L
.9324 .56715 L
.93343 .56421 L
.93456 .55926 L
.9358 .55364 L
.93711 .54993 L
.9378 .54951 L
.93855 .55034 L
.93923 .55218 L
.93987 .5546 L
.94111 .56021 L
.94229 .56486 L
.94294 .56649 L
.94364 .56721 L
.94488 .56566 L
.946 .56167 L
.94724 .55606 L
.94853 .55121 L
.94974 .5495 L
.95087 .55103 L
.95191 .5547 L
.95313 .56039 L
.95424 .56503 L
.95546 .56767 L
.95677 .56647 L
.95798 .562 L
.95912 .55633 L
.95977 .55323 L
.96045 .55055 L
.96168 .5483 L
.963 .55039 L
.96375 .55345 L
.96446 .5571 L
.96512 .56083 L
.96585 .56466 L
.96717 .56929 L
.96845 .56913 L
.96964 .56463 L
.97115 .55534 L
.97189 .55082 L
.97257 .54747 L
.97384 .54486 L
.97451 .54583 L
Mistroke
.97521 .54862 L
.97619 .55489 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[4]:=",
  ImageSize->{245, 151.313},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003e0000Ub000`400?l00000o`00003om@3oool0
0?D0oooo003e0?ooo`00m@3oool00?D0oooo003e0?ooo`00m@3oool00?D0oooo003e0?ooo`00m@3o
ool001h0oooo00<000000?ooo`3oool0e03oool001h0oooo0P00003E0?ooo`007P3oool00`000000
oooo0?ooo`3D0?ooo`007P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0180oooo
00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo01H0oooo
00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0F0?ooo`8000004`3oool00`000000oooo
0?ooo`0M0?ooo`007P3oool2000001H0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?oo
o`0F0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool05P3oool00`000000oooo0?oo
o`0B0?ooo`030000003oool0oooo01H0oooo0P00000C0?ooo`030000003oool0oooo01d0oooo000N
0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool04@3oool2000001P0oooo0P00000B
0?ooo`800000603oool2000001<0oooo00<000000?ooo`3oool05P3oool2000001<0oooo00<00000
0?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool05@3oool200000180oooo0P00000H0?oo
o`8000004P3oool2000001P0oooo0P00000C0?ooo`030000003oool0oooo01H0oooo0P00000C0?oo
o`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo01D0oooo0P00000B0?ooo`80
0000603oool200000180oooo0P00000H0?ooo`8000004`3oool00`000000oooo0?ooo`0F0?ooo`80
00004`3oool00`000000oooo0?ooo`0M0?ooo`007P3oool2000001H0oooo0P00000B0?ooo`800000
603oool200000180oooo0P00000H0?ooo`8000004P3oool2000001P0oooo0P00000C0?ooo`030000
003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo01D0oooo0P0000000`3oool000000?oo
o`0=0?ooo`040000003oool00000000001P0oooo0P0000000`3oool000000?ooo`0=0?ooo`040000
003oool00000000001P0oooo0P0000000`3oool000000?ooo`0=0?ooo`@00000603oool200000003
0?ooo`000000oooo00d0oooo1000000O0?ooo`007P3oool00`000000oooo0?ooo`0E0?ooo`@00000
00L0oooo000000000000oooo0000003oool000000080oooo00D000000?ooo`00000000000?ooo`04
000001P0oooo0P0000000`3oool000000?ooo`02000000080?ooo`000000oooo0?ooo`000000oooo
0000003oool2000000030?ooo`000000000000800000603oool4000000050?ooo`00000000000?oo
o`0000000P3oool010000000oooo0000003oool2000000030?ooo`000000000000800000603oool2
000000070?ooo`00000000000?ooo`000000oooo000000020?ooo`030000003oool000000080oooo
00<000000?ooo`0000000`00000O0?ooo`007P3oool2000001H0oooo100000000`3oool000000000
0002000000060?ooo`00000000000?ooo`000000oooo0`000000103oool0000000000000000H0?oo
o`@0000000H0oooo000000000000oooo0000003oool2000000030?ooo`000000oooo0080000000<0
oooo0000000000000P00000H0?ooo`@0000000@0oooo000000000000oooo100000000`3oool00000
00000002000000030?ooo`000000000000800000603oool2000000030?ooo`000000000000800000
00<0oooo0000000000000P0000000`3oool0000000000002000000030?ooo`000000000000800000
7`3oool001h0oooo00<000000?ooo`3oool05@3oool4000000030?ooo`00000000000080000000<0
oooo0000000000000P0000001@3oool00000000000000000oooo00<00000603oool4000000030?oo
o`000000000000H0000000D0oooo00000000000000000?ooo`04000001P0oooo0`0000001@3oool0
0000000000000000oooo00@0000000<0oooo0000000000000P0000000`3oool00000000000020000
01P0oooo0P0000000`3oool0000000000002000000030?ooo`00000000000080000000D0oooo0000
0000000000000?ooo`05000001l0oooo00080?ooo`<000000`3oool010000000oooo0?ooo`000004
0?ooo`8000001P3oool00`000000oooo0?ooo`0E0?ooo`@0000000D0oooo00000000000000000?oo
o`04000000030?ooo`00000000000080000000@0oooo0000000000000000603oool3000000030?oo
o`00000000000080000000<0oooo0000000000000P0000000`3oool0000000000002000000040?oo
o`0000000000000001P0oooo0`0000000`3oool0000000000002000000060?ooo`00000000000?oo
o`000000oooo0P0000000`3oool0000000000003000001P0oooo0P0000001`3oool0000000000000
0000oooo0000003oool00P0000000`3oool0000000000002000000030?ooo`000000000000<00000
7`3oool000P0oooo00@000000?ooo`3oool000001@3oool01@000000oooo0?ooo`3oool000000080
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0E0?ooo`<0000000<0oooo0000003o
ool00P0000001P3oool000000?ooo`3oool000000?ooo`@0000000@0oooo0000000000000000603o
ool3000000070?ooo`000000oooo0?ooo`000000oooo000000020?ooo`070000003oool000000000
003oool000000?ooo`03000001P0oooo0`0000001P3oool000000000003oool000000?ooo`800000
00<0oooo0000003oool00P0000000`3oool000000?ooo`03000001P0oooo0`0000001P3oool00000
0000003oool000000?ooo`80000000<0oooo0000003oool00P0000000`3oool00000000000030000
01l0oooo00030?ooo`@0000000D0oooo0000003oool0oooo000000050?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool00`3oool2000001H0oooo0`0000000`3oool000000?ooo`0;0?oo
o`030000003oool0000000800000603oool3000000030?ooo`000000oooo00/0oooo00<000000?oo
o`0000000P00000H0?ooo`<0000000<0oooo0000000000002`3oool00`000000oooo000000020000
01P0oooo0`0000000`3oool000000?ooo`0;0?ooo`060000003oool000000000003oool000007P3o
ool000P0oooo00@000000?ooo`3oool000001P3oool010000000oooo0?ooo`0000020?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool05@3oool300000100oooo0`00000H0?ooo`<00000
403oool3000001P0oooo0`00000@0?ooo`<00000603oool300000100oooo0P0000000`3oool00000
0?ooo`0M0?ooo`00203oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo00<00000
1P3oool00`000000oooo0?ooo`0E0?ooo`<00000403oool3000001P0oooo00<000000?ooo`000000
403oool3000001P0oooo00<000000?ooo`000000403oool3000001P0oooo00<000000?ooo`000000
4@3oool00`000000oooo0000000N0?ooo`00203oool010000000oooo0?ooo`0000070?ooo`040000
003oool0oooo000000L0oooo0P00000F0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3o
ool05P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3o
ool04P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3o
ool0703oool000T0oooo0P0000050?ooo`@000000P3oool3000000D0oooo00<000000?ooo`3oool0
5@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0
4P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0
5P3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01`0oooo000N0?ooo`030000003o
ool0oooo01D0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0F0?ooo`030000003o
ool0oooo0180oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0C0?ooo`030000003o
ool0oooo01D0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0L0?ooo`007P3oool2
000001H0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0
oooo0180oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0
oooo01D0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0L0?ooo`007P3oool00`00
0000oooo0?ooo`0E0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool05P3oool00`00
0000oooo0?ooo`0B0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool04`3oool00`00
0000oooo0?ooo`0E0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0703oool001h0
oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo01H0
oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo01<0
oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01`0
oooo000N0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool04P3oool00`000000oooo
0?ooo`0F0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool05P3oool00`000000oooo
0?ooo`0C0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool04`3oool00`000000oooo
0?ooo`0L0?ooo`007P3oool2000001D0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?oo
o`0F0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool05P3oool00`000000oooo0?oo
o`0C0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?oo
o`0L0?ooo`007P3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01<0oooo00<00000
0?ooo`3oool05P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo01H0oooo00<00000
0?ooo`3oool04`3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01<0oooo00<00000
0?ooo`3oool0703oool001h0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0C0?oo
o`030000003oool0oooo01H0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0F0?oo
o`030000003oool0oooo01<0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?oo
o`030000003oool0oooo01`0oooo000N0?ooo`8000005@3oool00`000000oooo0?ooo`0C0?ooo`03
0000003oool0oooo01H0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0F0?ooo`03
0000003oool0oooo01<0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`03
0000003oool0oooo01`0oooo000=0?ooo`<000000`3oool00`000000oooo0?ooo`02000000H0oooo
00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01H0oooo
00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo01<0oooo
00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01`0oooo
000=0?ooo`040000003oool0oooo000000@0oooo00@000000?ooo`3oool000001@3oool00`000000
oooo0?ooo`0D0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool05P3oool00`000000
oooo0?ooo`0B0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool04`3oool00`000000
oooo0?ooo`0E0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0703oool000P0oooo
100000001@3oool000000?ooo`3oool0000000L0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000
oooo0?ooo`0B0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool04`3oool00`000000
oooo0?ooo`0E0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0703oool000d0oooo
00@000000?ooo`3oool00000103oool010000000oooo0?ooo`0000050?ooo`8000005@3oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool04P3oool00`00
0000oooo0?ooo`0F0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool05@3oool00`00
0000oooo0?ooo`0C0?ooo`030000003oool0oooo01`0oooo000=0?ooo`040000003oool0oooo0000
00@0oooo0`0000060?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`0E0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool05P3oool00`00
0000oooo0?ooo`0C0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool04`3oool00`00
0000oooo0?ooo`0L0?ooo`003@3oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo
01D0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo
01<0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo
01`0oooo000>0?ooo`8000001P3oool3000000D0oooo0P00000E0?ooo`030000003oool0oooo01@0
oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo01H0
oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01<0
oooo00<000000?ooo`3oool0703oool001h0oooo00<000000?ooo`3oool0503oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool04`3oool00`000000oooo
0?ooo`0F0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool05@3oool00`000000oooo
0?ooo`0C0?ooo`030000003oool0oooo01`0oooo000N0?ooo`030000003oool0oooo01@0oooo00<0
00000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<0
00000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01D0oooo00<0
00000?ooo`3oool04`3oool00`000000oooo0?ooo`0L0?ooo`007P3oool2000001D0oooo00<00000
0?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<00000
0?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01D0oooo00<00000
0?ooo`3oool04`3oool00`000000oooo0?ooo`0L0?ooo`007P3oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo01D0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0E0?oo
o`030000003oool0oooo01<0oooo00<000000?ooo`3oool0703oool001h0oooo00<000000?ooo`3o
ool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3o
ool0503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3o
ool05@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01`0oooo000N0?ooo`030000
003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000
003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`030000
003oool0oooo01D0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0L0?ooo`007P3o
ool2000001D0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`030000003o
ool0oooo01D0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0L0?ooo`007P3oool0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool04`3oool0
0`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0703oool0
01h0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo
01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo
01<0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo
01`0oooo000N0?ooo`8000005@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01<0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01`0
oooo00080?ooo`<000000`3oool00`000000oooo0000000300000080oooo0P0000060?ooo`030000
003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000
003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`030000
003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0L0?ooo`00203o
ool010000000oooo0?ooo`0000050?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000
oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000
oooo0?ooo`0C0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000
oooo0?ooo`0L0?ooo`000`3oool4000000050?ooo`000000oooo0?ooo`0000001P3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo0P00000E0?ooo`030000003oool0oooo01@0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0
oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0
oooo00<000000?ooo`3oool0703oool000P0oooo00@000000?ooo`3oool000001P3oool010000000
oooo0?ooo`0000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`0E0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo01`0oooo00080?ooo`040000003oool0oooo0000
00L0oooo00<000000?ooo`0000000P0000060?ooo`030000003oool0oooo01@0oooo00<000000?oo
o`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?oo
o`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01@0oooo00<000000?oo
o`3oool0503oool00`000000oooo0?ooo`0L0?ooo`00203oool010000000oooo0?ooo`0000040?oo
o`040000003oool0oooo00000080oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0D
0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D
0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D
0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0703oool000T0oooo0P0000060?oo
o`8000000`3oool3000000D0oooo0P00000E0?ooo`030000003oool0oooo01@0oooo00<000000?oo
o`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?oo
o`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?oo
o`3oool0703oool001h0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`03
0000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`03
0000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`03
0000003oool0oooo01`0oooo000N0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`0L0?ooo`007P3oool2000001D0oooo00<000000?ooo`3oool00`3o
ool3000000<0oooo00<000000?ooo`0000000P0000020?ooo`<0000000<0oooo0000000000000`00
000B0?ooo`@000000`3oool00`000000oooo0000000200000080oooo0`0000050?ooo`8000004@3o
ool300000080oooo0P000000103oool000000000000000020?ooo`<000000`3oool2000000L0oooo
00<000000?ooo`3oool02P3oool3000000<0oooo00<000000?ooo`0000000P0000020?ooo`<00000
0`3oool2000000`0oooo00<000000?ooo`3oool01`3oool3000000<0oooo00<000000?ooo`000000
0P0000040?ooo`030000003oool0oooo00<0oooo000N0?ooo`030000003oool0oooo01@0oooo00<0
00000?ooo`3oool00`3oool010000000oooo0?ooo`0000040?ooo`060000003oool0oooo0000003o
ool000000P3oool2000000030?ooo`000000oooo01<0oooo0P0000020?ooo`030000003oool0oooo
0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo0080oooo0P00
000A0?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00X0oooo00@000000?ooo`3oool00000103oool01P000000oooo000000000000oooo00000080
oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00L0
oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`0000030?ooo`030000003oool0
oooo00<0oooo000N0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool00`3oool01000
0000oooo0?ooo`0000040?ooo`060000003oool0oooo0000003oool000000P3oool200000080oooo
00<000000?ooo`3oool04@3oool200000080oooo00<000000?ooo`3oool00P3oool01P000000oooo
0?ooo`000000oooo00000080oooo00<000000?ooo`0000001000000A0?ooo`060000003oool0oooo
0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`00
00000P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00X0oooo00@000000?ooo`3o
ool00000103oool01P000000oooo000000000000oooo00000080oooo00<000000?ooo`0000000P3o
ool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00L0oooo00@000000?ooo`3oool00000
103oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo00<0oooo000N0?ooo`030000
003oool0oooo01@0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000040?ooo`06
0000003oool0oooo0000003oool000000P3oool200000080oooo00<000000?ooo`3oool04@3oool2
00000080oooo00<000000?ooo`3oool00P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00<000000?ooo`0000000P3oool200000140oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool02P3oool010000000oooo0?ooo`0000040?ooo`060000
003oool000000000003oool000000P3oool00`000000oooo0?ooo`02000000`0oooo00<000000?oo
o`3oool01`3oool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo000000<0oooo00<0
00000?ooo`3oool00`3oool001h0oooo0P00000E0?ooo`030000003oool0oooo00<0oooo00@00000
0?ooo`3oool00000103oool01P000000oooo0?ooo`000000oooo00000080oooo0P0000030?ooo`03
0000003oool0oooo0100oooo0P0000020?ooo`030000003oool0oooo0080oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`050000003oool0oooo0000003oool00P00000A0?ooo`060000003o
ool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<00000
0?ooo`0000000P0000070?ooo`030000003oool0oooo00X0oooo00@000000?ooo`3oool00000103o
ool01P000000oooo000000000000oooo00000080oooo00<000000?ooo`0000000P3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo00L0oooo00@000000?ooo`3oool00000103oool01000
0000oooo0?ooo`0000030?ooo`030000003oool0oooo00<0oooo000N0?ooo`030000003oool0oooo
01@0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000040?ooo`060000003oool0
oooo0000003oool000000P3oool300000080oooo00<000000?ooo`3oool0403oool200000080oooo
00<000000?ooo`3oool00P3oool01P000000oooo0?ooo`000000oooo00000080oooo00@000000?oo
o`3oool0oooo0`00000A0?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo
0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00X0oooo00@000000?ooo`3oool00000103oool01P000000oooo00000000
0000oooo00000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo00L0oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`0000020?oo
o`8000001@3oool001h0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`040?ooo`80
00001P3oool2000000<0oooo0P0000000`3oool000000?ooo`02000001<0oooo00@000000?ooo`00
000000001P3oool2000000<0oooo0P0000050?ooo`8000004P3oool200000080oooo00@000000?oo
o`3oool0oooo0P0000030?ooo`8000000`3oool2000000L0oooo00<000000?ooo`3oool02`3oool2
000000H0oooo0P0000030?ooo`8000000`3oool2000000`0oooo00<000000?ooo`3oool0203oool2
000000H0oooo0P0000040?ooo`030000003oool0oooo00<0oooo000N0?ooo`8000005@3oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo01`0oooo000N0?ooo`030000003oool0oooo01@0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0L0?ooo`007P3oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0703oool001T0ooooeP00
00060?ooo`007P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo00@00000
0?ooo`3oool000001P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`0000002@3oool00`000000oooo0?ooo`070?ooo`800000203oool00`000000oooo0?oo
o`070?ooo`050000003oool0oooo0?ooo`0000001P3oool00`000000oooo0?ooo`070?ooo`030000
003oool0oooo00<0oooo00D000000?ooo`3oool0oooo000000090?ooo`030000003oool0oooo00H0
oooo0P0000090?ooo`030000003oool0oooo00L0oooo00<000000?ooo`000000203oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo00T0oooo000N0?ooo`030000003oool0oooo01@0oooo
00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01@0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo01@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo01@0oooo
0P00000E0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool02@3oool001h0oooo00<0
00000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<0
00000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<0
00000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01`0oooo000N
0?ooo`8000005@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<00000
0?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<00000
0?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01`0oooo000N0?oo
o`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0L0?oo
o`007P3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3o
ool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3o
ool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3o
ool0703oool001h0oooo0P00000E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0
703oool001h0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo01`0oooo000N0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool0
0`000000oooo0?ooo`0L0?ooo`007P3oool2000001D0oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`0L0?ooo`007P3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0
oooo00<000000?ooo`3oool0703oool001h0oooo00<000000?ooo`3oool0503oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo01`0oooo000N0?ooo`030000003oool0oooo01@0oooo00<0
00000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<0
00000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<0
00000?ooo`3oool0503oool00`000000oooo0?ooo`0L0?ooo`007P3oool2000001D0oooo00<00000
0?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<00000
0?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<00000
0?ooo`3oool0503oool00`000000oooo0?ooo`0L0?ooo`00203oool3000000<0oooo00<000000?oo
o`0000000`0000020?ooo`8000001P3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo
01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo
01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo
01@0oooo00<000000?ooo`3oool0703oool000P0oooo00@000000?ooo`3oool000001@3oool01@00
0000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0D
0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D
0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C
0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0703oool000P0oooo00@000000?oo
o`3oool000001P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo0P00000E
0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D
0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C
0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0703oool000P0oooo00@000000?oo
o`3oool000001P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<0
00000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo00<0
00000?ooo`3oool04`3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01`0oooo0008
0?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`0000000P0000060?ooo`030000003o
ool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0E0?ooo`030000003o
ool0oooo01<0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0K0?ooo`00203oool0
10000000oooo0?ooo`0000040?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0
5@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0
6`3oool000T0oooo0P0000060?ooo`8000000`3oool3000000D0oooo0P00000E0?ooo`030000003o
ool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`030000003o
ool0oooo01D0oooo00<000000?ooo`3oool06`3oool001h0oooo00<000000?ooo`3oool0503oool0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool04`3oool0
0`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01/0oooo000N0?ooo`030000003oool0oooo
01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo
01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo
01<0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0K0?ooo`007P3oool2000001D0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01<0
oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0K0?ooo`007P3oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo
0?ooo`0C0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool06`3oool001h0oooo00<0
00000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<0
00000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo00<0
00000?ooo`3oool04`3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01/0oooo000N
0?ooo`8000005@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<00000
0?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo00<00000
0?ooo`3oool04`3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01/0oooo000N0?oo
o`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0E0?oo
o`030000003oool0oooo01<0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0K0?oo
o`007P3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3o
ool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3o
ool05@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3o
ool06`3oool001h0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000
003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000
003oool0oooo01D0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo01/0oooo000N0?ooo`8000005@3oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo01D0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0E0?ooo`030000003o
ool0oooo01/0oooo000=0?ooo`<000000`3oool00`000000oooo0?ooo`02000000H0oooo00<00000
0?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<00000
0?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo00<00000
0?ooo`3oool04`3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01/0oooo000=0?oo
o`040000003oool0oooo000000@0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`0C0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool06`3oool000d0oooo00@00000
0?ooo`3oool000001`3oool00`000000oooo0?ooo`030?ooo`8000005@3oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?oo
o`0E0?ooo`030000003oool0oooo01/0oooo000=0?ooo`040000003oool0oooo000000@0oooo00@0
00000?ooo`3oool000001@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo
00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo
00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01D0oooo
00<000000?ooo`3oool06`3oool000d0oooo00@000000?ooo`3oool00000103oool3000000H0oooo
00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo
00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo
00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01/0oooo
000=0?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo
0?ooo`0E0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool05@3oool00`000000oooo
0?ooo`0C0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool06`3oool000h0oooo0P00
00060?ooo`<000001@3oool2000001D0oooo00<000000?ooo`3oool0503oool00`000000oooo0?oo
o`0C0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?oo
o`0E0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`0K0?ooo`007P3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<00000
0?ooo`3oool04`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo01<0oooo00<00000
0?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01D0oooo00<00000
0?ooo`3oool06`3oool001h0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0E0?oo
o`030000003oool0oooo01<0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0C0?oo
o`030000003oool0oooo01D0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0E0?oo
o`030000003oool0oooo01/0oooo000N0?ooo`800000503oool00`000000oooo0?ooo`0E0?ooo`03
0000003oool0oooo01<0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0C0?ooo`03
0000003oool0oooo01D0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0E0?ooo`03
0000003oool0oooo01/0oooo000N0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0
5@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0
4`3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0
5@3oool00`000000oooo0?ooo`0K0?ooo`007P3oool00`000000oooo0?ooo`0C0?ooo`030000003o
ool0oooo01D0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0F0?ooo`030000003o
ool0oooo01<0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`030000003o
ool0oooo01D0oooo00<000000?ooo`3oool06`3oool001h0oooo0P00000D0?ooo`030000003oool0
oooo01H0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0
oooo01<0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0
oooo01D0oooo00<000000?ooo`3oool06`3oool001h0oooo0P00000D0?ooo`030000003oool0oooo
01H0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo
01<0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo
01D0oooo00<000000?ooo`3oool06`3oool001h0oooo0P00000D0?ooo`030000003oool0oooo01H0
oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo01<0
oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01D0
oooo00<000000?ooo`3oool06`3oool001h0oooo0P00000D0?ooo`030000003oool0oooo01H0oooo
00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo01<0oooo
00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01D0oooo
00<000000?ooo`3oool06`3oool001h0oooo0P0000000`3oool000000?ooo`0?0?ooo`030000003o
ool0000001P0oooo0`00000@0?ooo`<00000603oool00`000000oooo0000000@0?ooo`<00000603o
ool00`000000oooo0000000A0?ooo`030000003oool0000001L0oooo00<000000?ooo`0000006`3o
ool000P0oooo0`0000030?ooo`040000003oool0oooo000000@0oooo0P0000060?ooo`@00000403o
ool3000001P0oooo0`00000@0?ooo`<00000603oool300000100oooo0`00000H0?ooo`030000003o
ool000000100oooo0P0000000`3oool000000?ooo`0F0?ooo`030000003oool0000001/0oooo0008
0?ooo`040000003oool0oooo000000D0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000
003oool0oooo00<0oooo1000000@0?ooo`<00000603oool300000100oooo0`00000H0?ooo`<00000
403oool3000001P0oooo0`00000@0?ooo`80000000<0oooo0000003oool05P3oool00`000000oooo
0000000K0?ooo`00203oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool00`3oool4000000050?ooo`000000oooo0?ooo`0000001P3oool01@000000
oooo0?ooo`000000oooo00<00000603oool3000000050?ooo`000000oooo0?ooo`0000001P3oool0
1@000000oooo0?ooo`000000oooo00<00000603oool3000000050?ooo`00000000000?ooo`000000
1`3oool010000000oooo0000003oool3000001P0oooo0`0000001@3oool000000000003oool00000
00H0oooo0P0000000`3oool000000?ooo`02000000030?ooo`000000oooo01H0oooo0`0000001@3o
ool000000000003oool0000000L0oooo00@000000?ooo`00000000002`3oool000P0oooo00@00000
0?ooo`3oool000001P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00<0oooo
100000000`3oool000000?ooo`02000000030?ooo`000000oooo0080000000<0oooo000000000000
0P000000103oool0000000000000000H0?ooo`<0000000<0oooo0000003oool00P0000001P3oool0
00000000003oool000000?ooo`@0000000@0oooo0000000000000000603oool3000000030?ooo`00
000000000080000000<0oooo0000000000000P0000001P3oool000000000003oool000000?ooo`<0
0000603oool3000000030?ooo`00000000000080000000H0oooo000000000000oooo0000003oool2
000000030?ooo`00000000000080000000<0oooo0000003oool05P3oool3000000060?ooo`000000
00000?ooo`000000oooo0P0000000`3oool000000?ooo`02000000030?ooo`000000000000/0oooo
00080?ooo`040000003oool0oooo000000H0oooo00<000000?ooo`3oool00`0000060?ooo`H00000
00@0oooo000000000000oooo100000000`3oool0000000000002000000040?ooo`00000000000000
01P0oooo100000001@3oool00000000000000000oooo00@0000000<0oooo0000000000000P000000
103oool0000000000000000H0?ooo`<0000000<0oooo0000000000000P0000000`3oool000000000
0002000000050?ooo`00000000000000003oool01000000H0?ooo`<0000000<0oooo000000000000
0P000000103oool000000000003oool5000000030?ooo`000000000000800000603oool200000003
0?ooo`00000000000080000000D0oooo00000000000000000?ooo`04000000030?ooo`0000000000
00/0oooo00080?ooo`040000003oool0oooo000000L0oooo00@000000?ooo`3oool000001`3oool5
000000030?ooo`00000000000080000000<0oooo0000000000001`0000000`3oool000000000000H
0?ooo`@0000000<0oooo0000000000000P000000103oool000000000003oool4000000030?ooo`00
0000000000800000603oool3000000030?ooo`00000000000080000000D0oooo0000000000000000
0?ooo`04000000030?ooo`000000000000800000603oool4000000040?ooo`00000000000?ooo`@0
000000<0oooo0000000000000P0000000`3oool0000000000002000001P0oooo0P0000000`3oool0
000000000002000000030?ooo`00000000000080000000<0oooo0000000000000P00000=0?ooo`00
2@3oool2000000D0oooo100000020?ooo`<000001@3oool5000000060?ooo`00000000000?ooo`00
0000oooo0P0000000`3oool000000?ooo`04000000030?ooo`000000000001P0oooo100000001P3o
ool000000000003oool000000?ooo`80000000<0oooo0000003oool00P0000000`3oool000000000
0002000001P0oooo100000001P3oool000000000003oool000000?ooo`80000000<0oooo00000000
00000P0000000`3oool0000000000002000001P0oooo100000001@3oool000000000003oool00000
0080oooo00@000000?ooo`000000oooo0P0000000`3oool0000000000002000001P0oooo0P000000
0`3oool0000000000002000000060?ooo`00000000000?ooo`000000oooo0P0000000`3oool00000
0?ooo`0<0?ooo`007P3oool5000000030?ooo`000000oooo00T0oooo00@000000?ooo`000000oooo
0P00000H0?ooo`80000000@0oooo0000003oool000002P3oool010000000oooo0000003oool20000
01P0oooo0P0000000`3oool000000?ooo`02000000T0oooo00<000000?ooo`0000000`00000H0?oo
o`80000000<0oooo0000003oool00P0000090?ooo`030000003oool0000000<00000603oool20000
00050?ooo`000000oooo0?ooo`0000002@3oool00`000000oooo0?ooo`0;0?ooo`007P3oool30000
00030?ooo`000000oooo00d0oooo00@000000?ooo`0000000000603oool2000000030?ooo`000000
oooo00d0oooo00@000000?ooo`0000000000603oool2000000030?ooo`000000oooo00d0oooo00@0
00000?ooo`0000000000603oool2000000030?ooo`000000oooo00d0oooo1000000H0?ooo`800000
00<0oooo0000003oool06@3oool001h0oooo0`00000B0?ooo`800000603oool200000180oooo0P00
000H0?ooo`8000004P3oool2000001P0oooo0P00000C0?ooo`030000003oool0oooo01H0oooo0P00
000L0?ooo`007P3oool300000180oooo0P00000H0?ooo`8000004P3oool2000001P0oooo0P00000B
0?ooo`800000603oool2000001<0oooo00<000000?ooo`3oool05P3oool2000001`0oooo000N0?oo
o`<000004P3oool2000001P0oooo00<000000?ooo`3oool04@3oool2000001P0oooo0P00000B0?oo
o`800000603oool2000001<0oooo00<000000?ooo`3oool05P3oool2000001`0oooo000N0?ooo`80
00004`3oool2000001P0oooo00<000000?ooo`3oool04@3oool2000001P0oooo0P00000C0?ooo`03
0000003oool0oooo01H0oooo0P00000C0?ooo`030000003oool0oooo01H0oooo0P00000L0?ooo`00
7P3oool2000001<0oooo0P00000H0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0
5P3oool2000001<0oooo00<000000?ooo`3oool05P3oool2000001<0oooo00<000000?ooo`3oool0
5`3oool00`000000oooo0?ooo`0J0?ooo`007P3oool2000001@0oooo00<000000?ooo`3oool05P3o
ool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool04P3o
ool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool05`3o
ool00`000000oooo0?ooo`0J0?ooo`007P3oool00`000000oooo0?ooo`3D0?ooo`007P3oool20000
0=D0oooo000N0?ooo`030000003oool0oooo0=@0oooo003e0?ooo`00m@3oool00?D0oooo003e0?oo
o`00m@3oool00?D0oooo003e0?ooo`00m@3oool00?D0oooo0000\
\>"],
  ImageRangeCache->{{{153.125, 304}, {370.75, 277.938}} -> {-0.0137115, \
5.5375, 4.94431*^-05, 0.0148284}},
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],

Cell[BoxData[
    \(squarePlay[freq_, n_, time_] := 
      Play[Sum[Sin[freq\ i\ 2\ \[Pi]\ t]\/i, {i, 1, n, 2}], {t, 0, 
          time}]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell["Here then, is an example of playing a square wave.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Play[SquareWave[440, 17], {t, 0,  .5}]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[6]=",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
This function creates a saw-tooth wave. The user specifies the fundamental \
frequency and the number of terms in the approximation.\
\>", "SolutionItem",
  CounterAssignments->{{"SolutionItem", 6}},
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    \(SawtoothWave[freq_, n_] := 
      Sum[Sin[freq\ i\ 2\ \[Pi]\ t]\/i, {i, 1, n}]\)], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[SawtoothWave[440, 17], {t, 0,  .01}];\)\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 95.2381 0.309029 0.16688 [
[.21429 .29653 -13.25 -11.875 ]
[.21429 .29653 13.25 0 ]
[.40476 .29653 -13.25 -11.875 ]
[.40476 .29653 13.25 0 ]
[.59524 .29653 -13.25 -11.875 ]
[.59524 .29653 13.25 0 ]
[.78571 .29653 -13.25 -11.875 ]
[.78571 .29653 13.25 0 ]
[.97619 .29653 -10.75 -11.875 ]
[.97619 .29653 10.75 0 ]
[.01131 .05871 -22.6875 -5.9375 ]
[.01131 .05871 0 5.9375 ]
[.01131 .14215 -15.1875 -5.9375 ]
[.01131 .14215 0 5.9375 ]
[.01131 .22559 -22.6875 -5.9375 ]
[.01131 .22559 0 5.9375 ]
[.01131 .39247 -16.5 -5.9375 ]
[.01131 .39247 0 5.9375 ]
[.01131 .47591 -9 -5.9375 ]
[.01131 .47591 0 5.9375 ]
[.01131 .55935 -16.5 -5.9375 ]
[.01131 .55935 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.21429 .30903 m
.21429 .31528 L
s
gsave
.21429 .29653 -74.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.002) show
1.000 setlinewidth
grestore
.40476 .30903 m
.40476 .31528 L
s
gsave
.40476 .29653 -74.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.004) show
1.000 setlinewidth
grestore
.59524 .30903 m
.59524 .31528 L
s
gsave
.59524 .29653 -74.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.006) show
1.000 setlinewidth
grestore
.78571 .30903 m
.78571 .31528 L
s
gsave
.78571 .29653 -74.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.008) show
1.000 setlinewidth
grestore
.97619 .30903 m
.97619 .31528 L
s
gsave
.97619 .29653 -71.75 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.01) show
1.000 setlinewidth
grestore
.125 Mabswid
.07143 .30903 m
.07143 .31278 L
s
.11905 .30903 m
.11905 .31278 L
s
.16667 .30903 m
.16667 .31278 L
s
.2619 .30903 m
.2619 .31278 L
s
.30952 .30903 m
.30952 .31278 L
s
.35714 .30903 m
.35714 .31278 L
s
.45238 .30903 m
.45238 .31278 L
s
.5 .30903 m
.5 .31278 L
s
.54762 .30903 m
.54762 .31278 L
s
.64286 .30903 m
.64286 .31278 L
s
.69048 .30903 m
.69048 .31278 L
s
.7381 .30903 m
.7381 .31278 L
s
.83333 .30903 m
.83333 .31278 L
s
.88095 .30903 m
.88095 .31278 L
s
.92857 .30903 m
.92857 .31278 L
s
.25 Mabswid
0 .30903 m
1 .30903 L
s
.02381 .05871 m
.03006 .05871 L
s
gsave
.01131 .05871 -83.6875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.5) show
1.000 setlinewidth
grestore
.02381 .14215 m
.03006 .14215 L
s
gsave
.01131 .14215 -76.1875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.02381 .22559 m
.03006 .22559 L
s
gsave
.01131 .22559 -83.6875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.02381 .39247 m
.03006 .39247 L
s
gsave
.01131 .39247 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.02381 .47591 m
.03006 .47591 L
s
gsave
.01131 .47591 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.02381 .55935 m
.03006 .55935 L
s
gsave
.01131 .55935 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.5) show
1.000 setlinewidth
grestore
.125 Mabswid
.02381 .0754 m
.02756 .0754 L
s
.02381 .09209 m
.02756 .09209 L
s
.02381 .10877 m
.02756 .10877 L
s
.02381 .12546 m
.02756 .12546 L
s
.02381 .15884 m
.02756 .15884 L
s
.02381 .17552 m
.02756 .17552 L
s
.02381 .19221 m
.02756 .19221 L
s
.02381 .2089 m
.02756 .2089 L
s
.02381 .24228 m
.02756 .24228 L
s
.02381 .25896 m
.02756 .25896 L
s
.02381 .27565 m
.02756 .27565 L
s
.02381 .29234 m
.02756 .29234 L
s
.02381 .32572 m
.02756 .32572 L
s
.02381 .3424 m
.02756 .3424 L
s
.02381 .35909 m
.02756 .35909 L
s
.02381 .37578 m
.02756 .37578 L
s
.02381 .40916 m
.02756 .40916 L
s
.02381 .42584 m
.02756 .42584 L
s
.02381 .44253 m
.02756 .44253 L
s
.02381 .45922 m
.02756 .45922 L
s
.02381 .4926 m
.02756 .4926 L
s
.02381 .50928 m
.02756 .50928 L
s
.02381 .52597 m
.02756 .52597 L
s
.02381 .54266 m
.02756 .54266 L
s
.02381 .04202 m
.02756 .04202 L
s
.02381 .02533 m
.02756 .02533 L
s
.02381 .00865 m
.02756 .00865 L
s
.02381 .57604 m
.02756 .57604 L
s
.02381 .59272 m
.02756 .59272 L
s
.02381 .60941 m
.02756 .60941 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .30903 m
.02499 .40389 L
.02605 .48071 L
.02729 .54897 L
.02846 .58838 L
.02954 .60277 L
.03053 .6 L
.03163 .58446 L
.03279 .56116 L
.03395 .53841 L
.0352 .52135 L
.03638 .51523 L
.03746 .51762 L
.03873 .52662 L
.03939 .53229 L
.04011 .53782 L
.04141 .54397 L
.04262 .54302 L
.04327 .53979 L
.04396 .53465 L
.04519 .52276 L
.04588 .51568 L
.04663 .50874 L
.04732 .50345 L
.04797 .49981 L
.04923 .49697 L
.05038 .49861 L
.05164 .50298 L
.05235 .50548 L
.05302 .50728 L
.05414 .5081 L
.05539 .50497 L
.0566 .49818 L
.05791 .48862 L
.05907 .48045 L
.06028 .47407 L
.06131 .47127 L
.06244 .47094 L
.06315 .47183 L
.06381 .47304 L
.06451 .47439 L
.06529 .4755 L
.06659 .47535 L
.06731 .47384 L
.06797 .47149 L
.06924 .46498 L
.0704 .4578 L
.07166 .45043 L
.07235 .44718 L
.073 .44487 L
Mistroke
.07375 .44317 L
.07443 .44251 L
.07507 .44251 L
.07577 .443 L
.07653 .4438 L
.07734 .44452 L
.07803 .44471 L
.07878 .4442 L
.0795 .44285 L
.08015 .44088 L
.08091 .43778 L
.08162 .43421 L
.08288 .4272 L
.08355 .42358 L
.08427 .42008 L
.08554 .41557 L
.08673 .41356 L
.08739 .41327 L
.08809 .41341 L
.08933 .41406 L
.09049 .41406 L
.09157 .4127 L
.09275 .4093 L
.09401 .40375 L
.09538 .39667 L
.0961 .39308 L
.09686 .38974 L
.09753 .38737 L
.09826 .38547 L
.09955 .38384 L
.1008 .38377 L
.10151 .38395 L
.10215 .38399 L
.1034 .38314 L
.10458 .38061 L
.14288 .28613 L
.18363 .17827 L
.19336 .16222 L
.20386 .14373 L
.20635 .12794 L
.20757 .11915 L
.20868 .11307 L
.20985 .11001 L
.21111 .1109 L
.21176 .11272 L
.21248 .11526 L
.21377 .11964 L
.21486 .12108 L
.21606 .1184 L
.21732 .11034 L
Mistroke
.2185 .09924 L
.21957 .08831 L
.2206 .07961 L
.22178 .0741 L
.22286 .07459 L
.22408 .08111 L
.22524 .09055 L
.22627 .09852 L
.22739 .10285 L
.22861 .09887 L
.22991 .08325 L
.23101 .06261 L
.23222 .03783 L
.23335 .01994 L
.23439 .01482 L
.23558 .02891 L
.23671 .06595 L
.23775 .12075 L
.23872 .18632 L
.2409 .3614 L
.24203 .44799 L
.24324 .52448 L
.24439 .57398 L
.24544 .59797 L
.2466 .60262 L
.24788 .58797 L
.24852 .57593 L
.24921 .56175 L
.25044 .53764 L
.25176 .52041 L
.2525 .51597 L
.25318 .51526 L
.25443 .52076 L
.25506 .52565 L
.25576 .53154 L
.25696 .54039 L
.25825 .54441 L
.25947 .54125 L
.26058 .53315 L
.26177 .52146 L
.26305 .50901 L
.26426 .5006 L
.26537 .49718 L
.26667 .4982 L
.26732 .50016 L
.26804 .50279 L
.26929 .50688 L
.27046 .50818 L
.27165 .50573 L
.27278 .5 L
Mistroke
.27488 .48478 L
.27599 .47763 L
.27715 .47261 L
.27843 .47077 L
.27962 .47185 L
.2809 .47427 L
.28207 .47574 L
.28272 .47568 L
.28342 .47468 L
.28471 .47022 L
.28591 .46366 L
.28719 .45569 L
.28838 .44903 L
.28949 .44476 L
.29017 .44322 L
.2909 .4425 L
.29162 .44256 L
.29242 .4432 L
.29311 .44394 L
.29385 .44456 L
.29455 .4447 L
.29519 .44425 L
.29646 .44137 L
.29718 .43859 L
.29784 .43541 L
.29907 .42869 L
.30036 .42177 L
.30151 .41698 L
.30277 .41401 L
.30392 .41327 L
.30499 .41364 L
.30625 .4142 L
.3074 .41367 L
.30804 .41265 L
.30873 .41088 L
.30998 .40603 L
.31226 .39445 L
.31351 .38896 L
.31468 .38553 L
.31568 .38406 L
.31674 .38369 L
.31793 .38394 L
.31902 .38388 L
.32029 .38242 L
.321 .38071 L
.32164 .3786 L
.32407 .36739 L
.32543 .36108 L
.3262 .35825 L
.32691 .35628 L
Mistroke
.32821 .35429 L
.32886 .35395 L
.32958 .3539 L
.33089 .35391 L
.33209 .35309 L
.33275 .35198 L
.33347 .35017 L
.33477 .34533 L
.336 .33956 L
.3373 .33341 L
.33841 .32903 L
.33961 .32581 L
.34083 .3243 L
.34195 .324 L
.34317 .32393 L
.34447 .323 L
.3457 .32047 L
.34686 .31645 L
.34903 .30639 L
.35029 .30086 L
.35098 .29842 L
.35163 .29665 L
.35277 .29473 L
.35402 .29408 L
.35472 .29406 L
.35538 .29403 L
.35662 .29334 L
.35732 .29232 L
.35796 .29086 L
.35867 .28867 L
.35942 .28574 L
.36189 .27408 L
.36257 .27116 L
.36329 .26856 L
.36457 .26543 L
.36576 .26424 L
.36687 .26412 L
.3681 .26411 L
.3694 .26303 L
.37014 .26158 L
.37083 .25961 L
.37158 .2568 L
.37237 .25324 L
.37382 .24607 L
.37453 .24273 L
.37518 .24002 L
.37639 .23627 L
.37768 .23434 L
.37836 .23407 L
.37909 .23413 L
Mistroke
.37979 .2343 L
.38044 .23436 L
.38172 .23352 L
.38237 .23235 L
.38308 .2304 L
.38434 .22537 L
.38551 .21946 L
.38688 .21255 L
.38817 .20741 L
.38888 .20552 L
.38965 .20429 L
.39036 .20387 L
.39101 .20392 L
.39219 .20453 L
.3933 .20476 L
.39452 .20352 L
.39584 .1997 L
.39714 .19357 L
.39851 .18594 L
.3998 .17944 L
.40096 .17534 L
.40211 .1735 L
.40319 .17354 L
.40433 .17463 L
.40557 .17559 L
.40665 .17505 L
.4078 .1723 L
.40878 .16808 L
.40985 .16194 L
.4111 .15418 L
.41227 .14776 L
.41292 .14512 L
.41363 .1432 L
.41488 .1423 L
.41606 .14376 L
.41731 .14614 L
.4185 .14729 L
.41957 .14609 L
.42078 .14152 L
.42191 .13455 L
.42325 .12462 L
.42447 .11641 L
.42575 .11099 L
.42696 .10998 L
.42824 .1128 L
.42896 .11539 L
.42963 .11783 L
.43073 .1207 L
.43176 .12066 L
.43289 .11651 L
Mistroke
.43411 .10739 L
.4353 .09558 L
.43657 .0833 L
.43777 .07552 L
.43886 .07373 L
.43952 .07531 L
.44024 .07904 L
.44153 .0892 L
.44227 .09528 L
.44304 .10037 L
.44371 .10268 L
.44444 .1022 L
.44576 .09183 L
.4465 .08079 L
.44718 .06822 L
.44851 .04091 L
.44974 .02063 L
.45093 .01507 L
.45219 .03272 L
.45346 .0796 L
.45418 .11919 L
.45485 .16373 L
.45736 .3625 L
.45859 .4558 L
.4597 .52495 L
.46086 .57487 L
.46197 .59896 L
.46313 .60224 L
.46439 .58693 L
.46556 .56368 L
.46683 .53875 L
.46756 .52755 L
.46822 .5203 L
.46952 .51517 L
.47016 .51669 L
.47086 .52061 L
.47213 .53091 L
.47283 .53652 L
.47357 .54126 L
.47427 .54387 L
.4749 .54436 L
.47613 .54004 L
.47682 .53497 L
.47746 .52915 L
.47862 .51735 L
.47986 .50601 L
.48103 .49917 L
.48208 .49698 L
.48315 .49828 L
.48415 .50153 L
Mistroke
.48525 .50548 L
.48641 .50803 L
.48768 .50704 L
.48886 .50216 L
.48998 .49482 L
.49119 .4858 L
.49224 .47877 L
.49338 .47333 L
.49465 .47083 L
.49534 .47093 L
.49598 .47171 L
.49711 .47383 L
.49836 .47565 L
.49964 .47512 L
.50034 .47344 L
.501 .47098 L
.50216 .46484 L
.50342 .45703 L
.50412 .4528 L
.50489 .44877 L
.50561 .44579 L
.50628 .44387 L
.50755 .44245 L
.50826 .44267 L
.5089 .44323 L
.51018 .44449 L
.51136 .44452 L
.51266 .44216 L
.51331 .43992 L
.51402 .43676 L
.51532 .42981 L
.51655 .4231 L
.51765 .41812 L
.51884 .41465 L
.52001 .41333 L
.52126 .41354 L
.52233 .41411 L
.52349 .414 L
.52471 .41215 L
.52586 .40848 L
.52656 .40544 L
.52722 .40217 L
.52847 .39569 L
.52954 .39063 L
.53069 .3866 L
.53177 .38444 L
.53275 .38373 L
.53392 .38383 L
.53518 .38397 L
.53636 .38306 L
Mistroke
.53744 .38074 L
.53863 .37646 L
.53976 .37119 L
.54108 .36465 L
.54231 .35944 L
.5435 .35596 L
.54477 .3542 L
.54605 .3539 L
.54678 .35396 L
.54746 .35389 L
.54858 .35303 L
.54977 .35059 L
.55079 .34714 L
.55189 .34226 L
.55308 .33654 L
.55436 .33087 L
.55556 .32692 L
.55668 .32485 L
.55731 .32428 L
.55801 .32403 L
.55873 .324 L
.55941 .32397 L
.56061 .32337 L
.56189 .32117 L
.56261 .31908 L
.56339 .31616 L
.5648 .30967 L
.5662 .30311 L
.56746 .29833 L
.56876 .29532 L
.56998 .2942 L
.57127 .29406 L
.572 .294 L
.57267 .2937 L
.57379 .29228 L
.57502 .28901 L
.5763 .28383 L
.5775 .2781 L
.57876 .27223 L
.57946 .26952 L
.58011 .26745 L
.58125 .26507 L
.58252 .26414 L
.58319 .26411 L
.58389 .26416 L
.58514 .26382 L
.58585 .26305 L
.5865 .26181 L
.58721 .25983 L
.58797 .25703 L
Mistroke
.59065 .24427 L
.59196 .23881 L
.59317 .23557 L
.59427 .23425 L
.59543 .2341 L
.59672 .23437 L
.59789 .23386 L
.59902 .23188 L
.60009 .22839 L
.60123 .22326 L
.60246 .21687 L
.60353 .2116 L
.60468 .20721 L
.60565 .2049 L
.60673 .20389 L
.60799 .20416 L
.60914 .20474 L
.61041 .20434 L
.61105 .20337 L
.61174 .2016 L
.61292 .19694 L
.61418 .19032 L
.61536 .18381 L
.61645 .17857 L
.61768 .17472 L
.61833 .17369 L
.61903 .17334 L
.61977 .17363 L
.62046 .17428 L
.62177 .17549 L
.62299 .1752 L
.62412 .17274 L
.62536 .16741 L
.62668 .1596 L
.62812 .15086 L
.62887 .14708 L
.62967 .14418 L
.63037 .14271 L
.63114 .14225 L
.63184 .14273 L
.6325 .14374 L
.6338 .14621 L
.63504 .14729 L
.63573 .14668 L
.63647 .1448 L
.63777 .13845 L
.63903 .12963 L
.64039 .11971 L
.64167 .11271 L
.64285 .10994 L
Mistroke
.64409 .11109 L
.64541 .11538 L
.64606 .11777 L
.64676 .11987 L
.64752 .12104 L
.64824 .12062 L
.64949 .11565 L
.65019 .11056 L
.65084 .10473 L
.65202 .09287 L
.65331 .08102 L
.65446 .07466 L
.65555 .07406 L
.65669 .07905 L
.65791 .08864 L
.65907 .09784 L
.66029 .10284 L
.66092 .10209 L
.66162 .09802 L
.66285 .08258 L
.66509 .03841 L
.66634 .01897 L
.66749 .01553 L
.66817 .02287 L
.66891 .04018 L
.66961 .06591 L
.67025 .09763 L
.67151 .17818 L
.67283 .28217 L
.67516 .46463 L
.67647 .54134 L
.67767 .58516 L
.67835 .59808 L
.67908 .60332 L
.67977 .60093 L
.68042 .59364 L
.68166 .57101 L
.68299 .54402 L
.68375 .53115 L
.68457 .52117 L
.68535 .51614 L
.68606 .51524 L
.68671 .51711 L
.68742 .52137 L
.68885 .53314 L
.68954 .53841 L
.6902 .54213 L
.69143 .54429 L
.69212 .54242 L
.69276 .53887 L
Mistroke
.69346 .53333 L
.6942 .52619 L
.69535 .51457 L
.69658 .50405 L
.69729 .49997 L
.69793 .49775 L
.69921 .49746 L
.70042 .50085 L
.70152 .50489 L
.70279 .50796 L
.704 .50737 L
.70511 .50325 L
.70614 .49695 L
.70846 .4802 L
.70966 .47393 L
.7108 .47109 L
.71204 .47117 L
.71273 .47222 L
.71337 .47345 L
.71465 .47551 L
.71537 .4758 L
.71604 .4752 L
.71727 .47172 L
.71858 .46506 L
.71987 .45705 L
.72123 .44931 L
.72194 .44624 L
.72272 .4439 L
.72343 .44276 L
.72409 .44244 L
.7254 .44329 L
.7266 .44446 L
.72726 .44472 L
.72798 .44437 L
.72928 .44162 L
.73898 .41417 L
.7798 .31631 L
.8191 .21589 L
.82034 .21006 L
.82151 .20614 L
.82216 .20481 L
.82286 .20404 L
.82408 .20399 L
.82525 .20461 L
.82649 .20464 L
.82755 .20326 L
.82871 .19979 L
.82992 .19423 L
.83121 .18708 L
.83233 .18116 L
Mistroke
.83354 .17626 L
.83428 .17443 L
.83496 .17354 L
.83561 .17335 L
.8363 .17369 L
.8375 .1749 L
.83882 .1756 L
.83996 .17436 L
.84116 .17052 L
.84218 .16536 L
.8433 .15852 L
.84451 .15118 L
.8458 .1452 L
.84702 .14248 L
.84813 .14256 L
.84926 .14432 L
.85029 .14627 L
.85143 .14729 L
.85263 .14569 L
.85368 .14154 L
.85466 .1356 L
.85689 .1194 L
.85808 .11287 L
.85939 .10989 L
.86062 .11127 L
.86176 .11501 L
.86287 .11895 L
.86392 .12101 L
.86513 .1195 L
.86622 .1138 L
.86744 .10331 L
.86873 .09021 L
.86983 .08045 L
.87104 .0743 L
.87234 .07502 L
.87307 .07865 L
.87374 .08344 L
.87494 .09347 L
.87626 .10175 L
.87755 .10138 L
.87826 .09631 L
.87893 .0883 L
.88011 .0676 L
.88139 .04128 L
.88213 .02786 L
.88281 .0188 L
.88352 .01472 L
.8843 .01851 L
.8856 .04785 L
.88632 .07777 L
Mistroke
.88697 .11304 L
.88952 .30174 L
.89191 .48391 L
.8931 .54955 L
.89439 .59126 L
.89512 .6015 L
.89582 .60311 L
.89712 .5897 L
.89833 .56661 L
.8996 .54102 L
.90081 .5233 L
.9019 .5158 L
.90319 .51726 L
.90392 .52174 L
.90458 .52709 L
.90589 .5377 L
.90711 .54374 L
.90814 .54385 L
.90924 .53863 L
.91047 .52803 L
.91159 .51667 L
.91275 .50611 L
.91401 .49884 L
.91521 .497 L
.91631 .499 L
.91744 .50296 L
.91862 .50683 L
.91992 .50812 L
.92111 .5053 L
.92242 .49811 L
.92384 .48766 L
.92516 .47863 L
.9264 .47292 L
.92708 .47132 L
.92781 .47077 L
.92909 .47205 L
.92981 .47343 L
.93048 .47468 L
.93118 .47559 L
.93195 .47575 L
.93325 .47342 L
.93397 .47063 L
.93464 .46729 L
.93591 .4596 L
.93711 .45231 L
.93819 .44703 L
.93935 .44353 L
.94064 .44245 L
.94182 .44325 L
.94308 .44448 L
Mistroke
.94426 .44452 L
.94548 .44238 L
.94613 .44022 L
.94683 .43723 L
.94925 .42413 L
.95044 .41854 L
.95154 .41509 L
.95253 .41355 L
.95359 .41331 L
.95465 .41382 L
.95582 .41421 L
.95647 .41394 L
.95718 .41305 L
.95847 .40958 L
.95973 .40415 L
.96089 .39815 L
.96225 .39146 L
.96353 .38677 L
.96424 .38512 L
.965 .38408 L
.9657 .38372 L
.96634 .38372 L
.96752 .38398 L
.96863 .38373 L
.96984 .38201 L
.97113 .37807 L
.97619 .35645 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[8]:=",
  ImageSize->{245, 151.313},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003e0000Ub000`400?l00000o`00003om@3oool0
0?D0oooo003e0?ooo`00m@3oool00?D0oooo003e0?ooo`00m@3oool00?D0oooo000I0?ooo`030000
003oool0oooo0=T0oooo000I0?ooo`030000003oool0oooo0=T0oooo000I0?ooo`800000fP3oool0
01T0oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo
02`0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`0M0?ooo`006@3oool00`000000
oooo0?ooo`0[0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool0;03oool00`000000
oooo0?ooo`0/0?ooo`8000007`3oool001T0oooo0P00000/0?ooo`030000003oool0oooo02`0oooo
00<000000?ooo`3oool0;03oool2000002d0oooo0P00000O0?ooo`006@3oool00`000000oooo0?oo
o`0Z0?ooo`800000;P3oool00`000000oooo0?ooo`0/0?ooo`800000;@3oool2000001l0oooo000I
0?ooo`030000003oool0oooo02X0oooo0P00000^0?ooo`030000003oool0oooo02`0oooo0P00000]
0?ooo`8000007`3oool001T0oooo00<000000?ooo`3oool0:P3oool2000002h0oooo00<000000?oo
o`3oool0;03oool2000002d0oooo0P00000O0?ooo`006@3oool2000002/0oooo0P00000^0?ooo`03
0000003oool0oooo02`0oooo0P00000]0?ooo`8000007`3oool001T0oooo00<000000?ooo`3oool0
:P3oool2000002h0oooo00<000000?ooo`3oool0;03oool2000002d0oooo0P00000O0?ooo`002P3o
ool01@000000oooo0?ooo`3oool000000080oooo0P0000060?ooo`030000003oool0oooo02X0oooo
0P00000^0?ooo`030000003oool0oooo02`0oooo0P00000]0?ooo`8000007`3oool000X0oooo00<0
00000?ooo`3oool00`3oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo02X0oooo
0P00000]0?ooo`800000;P3oool2000002d0oooo0P00000O0?ooo`000`3oool4000000<0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`800000:`3oool2000002d0oooo00<0
00000?ooo`000000;03oool00`000000oooo0000000]0?ooo`8000007`3oool000X0oooo00<00000
0?ooo`3oool00`3oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo02X0oooo0P00
000]0?ooo`030000003oool0000002`0oooo00<000000?ooo`000000;@3oool2000001l0oooo000:
0?ooo`030000003oool0oooo00<0oooo0`0000060?ooo`030000003oool0oooo02X0oooo0P00000]
0?ooo`030000003oool0000002`0oooo00<000000?ooo`000000;@3oool2000001l0oooo00090?oo
o`8000001P3oool00`000000oooo0?ooo`050?ooo`800000:@3oool010000000oooo00000000000[
0?ooo`<0000000<0oooo0000003oool0:P3oool2000000030?ooo`000000oooo02X0oooo00@00000
0?ooo`00000000007`3oool000X0oooo00<000000?ooo`3oool0103oool3000000D0oooo00<00000
0?ooo`3oool0:03oool010000000oooo00000000000[0?ooo`<0000000<0oooo0000003oool0:@3o
ool3000000030?ooo`000000oooo02X0oooo00@000000?ooo`00000000007`3oool001T0oooo00<0
00000?ooo`3oool0:03oool4000002/0oooo0`0000000`3oool000000?ooo`0Y0?ooo`<0000000<0
oooo0000003oool0:P3oool010000000oooo00000000000O0?ooo`006@3oool00`000000oooo0?oo
o`0X0?ooo`@00000:`3oool3000000030?ooo`000000oooo02T0oooo0`0000000`3oool000000?oo
o`0Y0?ooo`80000000<0oooo0000000000007`3oool001T0oooo0P00000Y0?ooo`@00000:`3oool3
000000030?ooo`000000oooo02T0oooo0`0000000`3oool000000?ooo`0Y0?ooo`050000003oool0
00000?ooo`0000007`3oool001T0oooo00<000000?ooo`3oool09`3oool01P000000oooo00000000
0000oooo000002X0oooo0`0000000`3oool000000?ooo`0Y0?ooo`050000003oool000000?ooo`00
0000:P3oool01@000000oooo0000003oool0000001l0oooo000I0?ooo`030000003oool0oooo02L0
oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`0W0?ooo`060000003oool000000000
003oool00000:P3oool01@000000oooo0000003oool0000002X0oooo00D000000?ooo`000000oooo
0000000O0?ooo`006@3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool09`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo02P0oooo00D0
00000?ooo`3oool0oooo0000000Z0?ooo`050000003oool0oooo0?ooo`0000007`3oool001T0oooo
0P00000W0?ooo`800000103oool00`000000oooo0?ooo`0V0?ooo`800000103oool00`000000oooo
0?ooo`0V0?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool09P3oool3000000<0oooo
00<000000?ooo`3oool07@3oool001T0oooo00<000000?ooo`3oool09@3oool3000000@0oooo00<0
00000?ooo`3oool09@3oool3000000@0oooo00<000000?ooo`3oool09P3oool2000000@0oooo00<0
00000?ooo`3oool09P3oool3000000<0oooo00<000000?ooo`3oool07@3oool001T0oooo00<00000
0?ooo`3oool09@3oool3000000@0oooo00<000000?ooo`3oool09@3oool3000000@0oooo00<00000
0?ooo`3oool09@3oool00`000000oooo000000040?ooo`030000003oool0oooo02H0oooo0`000003
0?ooo`030000003oool0oooo01d0oooo000I0?ooo`8000009P3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo02D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0U0?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo01d0oooo000I0?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool09@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`0M0?ooo`004@3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo02D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0U0?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo02D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0M0?ooo`004@3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool09@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`0M0?ooo`002P3oool4000000<0oooo00<000000?ooo`3oool01@3oool2
000002D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0S0?ooo`<000001P3oool0
0`000000oooo0?ooo`0S0?ooo`<000001P3oool00`000000oooo0?ooo`0T0?ooo`8000001P3oool0
0`000000oooo0?ooo`0M0?ooo`004@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
02<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0S0?ooo`8000001`3oool00`00
0000oooo0?ooo`0S0?ooo`<000001P3oool00`000000oooo0?ooo`0S0?ooo`<000001P3oool00`00
0000oooo0?ooo`0M0?ooo`004@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0M0?ooo`00403oool2000000L0oooo
00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0280oooo
00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo00L0oooo
00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01d0oooo
000A0?ooo`030000003oool0oooo00D0oooo0P00000S0?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool08P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0280oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool07@3oool001T0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0R
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo01d0oooo000I0?ooo`030000003oool0oooo0240oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo00L0oooo00<000000?oo
o`3oool08P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`0M0?ooo`006@3oool200000240oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`0P0?ooo`<000002@3oool00`000000oooo0?ooo`0Q0?ooo`80
00002@3oool00`000000oooo0?ooo`0Q0?ooo`8000002@3oool00`000000oooo0?ooo`0M0?ooo`00
6@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
803oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0
2@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
7@3oool001T0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo0200oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0P0?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo01d0oooo000I0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool02P3oool0
0`000000oooo0?ooo`0O0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0803oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`0M0?ooo`006@3oool200000200oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`0O0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool07`3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`0M0?ooo`006@3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo01l0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool07@3oool001T0oooo00<000000?ooo`3oool07P3oool00`000000oooo
0?ooo`0;0?ooo`030000003oool0oooo01h0oooo0P00000<0?ooo`030000003oool0oooo01h0oooo
0P00000<0?ooo`030000003oool0oooo01h0oooo0`00000;0?ooo`030000003oool0oooo01d0oooo
000I0?ooo`8000007`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo01d0oooo0`00
000<0?ooo`030000003oool0oooo01h0oooo0P00000<0?ooo`030000003oool0oooo01h0oooo0P00
000<0?ooo`030000003oool0oooo01d0oooo000I0?ooo`030000003oool0oooo01d0oooo00<00000
0?ooo`3oool0303oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00`0oooo00<00000
0?ooo`3oool07@3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo01h0oooo00<00000
0?ooo`3oool0303oool00`000000oooo0?ooo`0L0?ooo`00203oool3000000<0oooo00<000000?oo
o`3oool00P0000060?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0303oool00`00
0000oooo0?ooo`0M0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool07@3oool00`00
0000oooo0?ooo`0<0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool03@3oool00`00
0000oooo0?ooo`0L0?ooo`00203oool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo
000000D0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0=0?ooo`030000003oool0
oooo01d0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0M0?ooo`030000003oool0
oooo00`0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0
oooo01`0oooo00030?ooo`@0000000D0oooo0000003oool0oooo000000070?ooo`030000003oool0
oooo00<0oooo0P00000M0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool07@3oool0
0`000000oooo0?ooo`0<0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0303oool0
0`000000oooo0?ooo`0L0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0703oool0
00P0oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`0000050?ooo`030000003o
ool0oooo01`0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0L0?ooo`030000003o
ool0oooo00d0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0<0?ooo`030000003o
ool0oooo01`0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0L0?ooo`00203oool0
10000000oooo0?ooo`0000040?ooo`<000001P3oool00`000000oooo0?ooo`0K0?ooo`030000003o
ool0oooo00h0oooo00<000000?ooo`3oool06`3oool2000000l0oooo00<000000?ooo`3oool06`3o
ool200000100oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0oooo01`0oooo00080?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool06`3o
ool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool03`3o
ool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0703o
ool000T0oooo0P0000060?ooo`<000001@3oool2000001`0oooo00<000000?ooo`3oool03P3oool0
0`000000oooo0?ooo`0J0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool06`3oool0
0`000000oooo0?ooo`0?0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool03`3oool0
0`000000oooo0?ooo`0L0?ooo`006@3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo
00l0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo
01/0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo
0100oooo00<000000?ooo`3oool0703oool001T0oooo00<000000?ooo`3oool06P3oool00`000000
oooo0?ooo`0?0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool03`3oool00`000000
oooo0?ooo`0J0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool06@3oool00`000000
oooo0?ooo`0@0?ooo`030000003oool0oooo01`0oooo000I0?ooo`8000006P3oool00`000000oooo
0?ooo`0@0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool03`3oool00`000000oooo
0?ooo`0J0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool06@3oool00`000000oooo
0?ooo`0@0?ooo`030000003oool0oooo01`0oooo000I0?ooo`030000003oool0oooo01T0oooo00<0
00000?ooo`0000000P0000030?ooo`030000003oool00000008000000P3oool3000000030?ooo`00
0000000000<00000503oool5000000030?ooo`000000oooo00<000000P3oool3000000D0oooo0P00
000B0?ooo`<000000`3oool00`000000oooo0000000200000080oooo0`0000030?ooo`800000203o
ool00`000000oooo0?ooo`0:0?ooo`<000000`3oool00`000000oooo0000000200000080oooo0`00
00030?ooo`8000003@3oool00`000000oooo0?ooo`070?ooo`<000000`3oool00`000000oooo0000
0002000000@0oooo00<000000?ooo`3oool00`3oool001T0oooo00<000000?ooo`3oool06@3oool0
0`000000oooo000000020?ooo`030000003oool0oooo0080oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`80000000<0oooo0000003oool05@3oool010000000oooo0000000000040?ooo`06
0000003oool0oooo0000003oool000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0
00000140oooo00@000000?ooo`3oool00000103oool2000000040?ooo`000000oooo00000080oooo
00<000000?ooo`0000000P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00X0oooo
00@000000?ooo`3oool00000103oool01@000000oooo0?ooo`000000oooo0080000000@0oooo0000
003oool000000P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00L0oooo00@00000
0?ooo`3oool00000103oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo00<0oooo
000I0?ooo`030000003oool0oooo01P0oooo00@000000?ooo`3oool000000P3oool00`000000oooo
0?ooo`020?ooo`060000003oool0oooo0000003oool000000P3oool200000080oooo00<000000?oo
o`3oool04`3oool010000000oooo0000000000040?ooo`060000003oool0oooo0000003oool00000
0P3oool00`000000oooo0000000500000140oooo00@000000?ooo`3oool00000103oool01P000000
oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00X0oooo00@000000?ooo`3oool00000103oool01@000000oooo0?oo
o`000000oooo0080000000@0oooo0000003oool000000P3oool00`000000oooo0?ooo`0:0?ooo`03
0000003oool0oooo00L0oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`000003
0?ooo`030000003oool0oooo00<0oooo000I0?ooo`8000006@3oool010000000oooo0?ooo`000002
0?ooo`030000003oool0oooo0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`800000
0P3oool00`000000oooo0?ooo`0C0?ooo`040000003oool00000000000@0oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`0000004@3oool0
10000000oooo0?ooo`0000040?ooo`060000003oool0oooo0000003oool000000P3oool00`000000
oooo000000020?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02P3oool010000000
oooo0?ooo`0000040?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0?oo
o`02000000d0oooo00<000000?ooo`3oool01`3oool010000000oooo0?ooo`0000040?ooo`040000
003oool0oooo000000<0oooo00<000000?ooo`3oool00`3oool001T0oooo00<000000?ooo`3oool0
5`3oool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool00P3oool01P000000
oooo0?ooo`000000oooo00000080oooo0P0000030?ooo`030000003oool0oooo0180oooo0P000000
0`3oool000000?ooo`030?ooo`060000003oool0oooo0000003oool000000P3oool020000000oooo
0?ooo`000000oooo0000003oool000004@3oool010000000oooo0?ooo`0000040?ooo`060000003o
ool0oooo0000003oool000000P3oool00`000000oooo00000002000000P0oooo00<000000?ooo`3o
ool02P3oool010000000oooo0?ooo`0000040?ooo`060000003oool0oooo0000003oool000000P3o
ool00`000000oooo000000020?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool01`3o
ool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3o
ool00`3oool001T0oooo00<000000?ooo`3oool05`3oool01@000000oooo0?ooo`3oool000000080
oooo00<000000?ooo`3oool00P3oool01P000000oooo0?ooo`000000oooo00000080oooo0`000002
0?ooo`030000003oool0oooo0180oooo0P0000000`3oool000000?ooo`030?ooo`060000003oool0
oooo0000003oool000000P3oool010000000oooo0?ooo`3oool2000000030?ooo`000000oooo0100
oooo00@000000?ooo`3oool000000`3oool200000080oooo00<000000?ooo`0000000P3oool00`00
0000oooo000000020?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02P3oool01000
0000oooo0?ooo`0000040?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo
000000020?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool01`3oool010000000oooo
0?ooo`0000040?ooo`040000003oool0oooo00000080oooo0P0000050?ooo`006@3oool00`000000
oooo0?ooo`0G0?ooo`030000003oool0oooo0080oooo0P0000060?ooo`8000000`3oool200000003
0?ooo`000000oooo008000005P3oool2000000H0oooo0P0000030?ooo`8000001@3oool00`000000
oooo0000000B0?ooo`800000103oool010000000oooo0000000000030?ooo`8000000`3oool20000
00P0oooo00<000000?ooo`3oool02`3oool2000000H0oooo0P0000000`3oool000000?ooo`020000
00<0oooo0P00000=0?ooo`030000003oool0oooo00P0oooo0P0000060?ooo`800000103oool00`00
0000oooo0?ooo`030?ooo`006@3oool2000001L0oooo00<000000?ooo`3oool04`3oool00`000000
oooo0?ooo`0F0?ooo`8000005@3oool00`000000oooo0?ooo`0E0?ooo`8000005@3oool00`000000
oooo0?ooo`0F0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0703oool001T0oooo
00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01D0oooo
00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo
00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01`0oooo
000I0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0503oool00`000000oooo0?oo
o`0E0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0503oool00`000000oooo0?oo
o`0E0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0503oool00`000000oooo0?oo
o`0L0?ooo`00503ooooK000000H0oooo000I0?ooo`030000003oool0oooo00L0oooo00<000000?oo
o`3oool0203oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool01@3oool010000000oooo0?ooo`0000090?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`000000203oool00`000000oooo0?ooo`070?ooo`050000003oool0oooo0?ooo`000000
1P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00@0oooo00@000000?ooo`3oool0
00002P3oool00`000000oooo0?ooo`060?ooo`8000002P3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0000000L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`00
6@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
2@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
3P3oool00`000000oooo0?ooo`0D0?ooo`8000005P3oool00`000000oooo0?ooo`0@0?ooo`030000
003oool0oooo00T0oooo000I0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3o
ool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool04`3o
ool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3o
ool00`000000oooo0?ooo`0L0?ooo`006@3oool2000001D0oooo00<000000?ooo`3oool05@3oool0
0`000000oooo0?ooo`0C0?ooo`800000603oool00`000000oooo0?ooo`0B0?ooo`800000603oool0
0`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0703oool0
01T0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo
01<0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo
01L0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo
01`0oooo000I0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool05P3oool00`000000
oooo0?ooo`0B0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool04@3oool00`000000
oooo0?ooo`0H0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool05`3oool00`000000
oooo0?ooo`0L0?ooo`006@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo01L0oooo
00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0140oooo
00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo01L0oooo
00<000000?ooo`3oool0703oool001T0oooo0P00000C0?ooo`030000003oool0oooo01L0oooo00<0
00000?ooo`3oool04P3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0140oooo00<0
00000?ooo`3oool0603oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo01P0oooo00<0
00000?ooo`3oool0703oool001T0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0G
0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0A
0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0H
0?ooo`030000003oool0oooo01`0oooo000I0?ooo`030000003oool0oooo0140oooo00<000000?oo
o`3oool0603oool00`000000oooo0?ooo`0@0?ooo`8000006`3oool00`000000oooo0?ooo`0@0?oo
o`030000003oool0oooo01T0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0H0?oo
o`030000003oool0oooo01`0oooo000I0?ooo`8000004P3oool00`000000oooo0?ooo`0H0?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0?0?ooo`03
0000003oool0oooo01X0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0I0?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool02@3oool001T0oooo00<000000?ooo`3oool0
4@3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0
6P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0
403oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0
2@3oool001T0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0I0?ooo`030000003o
ool0oooo00l0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0?0?ooo`030000003o
ool0oooo01X0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0J0?ooo`030000003o
ool0oooo00l0oooo00<000000?ooo`3oool02P3oool001T0oooo00<000000?ooo`3oool0403oool0
0`000000oooo0?ooo`0I0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool06`3oool0
0`000000oooo0?ooo`0?0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool03`3oool0
0`000000oooo0?ooo`0J0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool02P3oool0
01T0oooo0P00000@0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool03`3oool00`00
0000oooo0?ooo`0K0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool06`3oool00`00
0000oooo0?ooo`0>0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool03`3oool00`00
0000oooo0?ooo`0:0?ooo`00203oool3000000<0oooo00<000000?ooo`3oool00P0000060?ooo`03
0000003oool0oooo00l0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0?0?ooo`03
0000003oool0oooo01/0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0K0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo00/0oooo00080?ooo`040000003oool0oooo000000@0oooo00@000000?ooo`3o
ool000001@3oool00`000000oooo0?ooo`0=0?ooo`8000007@3oool00`000000oooo0?ooo`0=0?oo
o`8000007P3oool00`000000oooo0?ooo`0=0?ooo`8000007@3oool00`000000oooo0?ooo`0>0?oo
o`030000003oool0oooo01/0oooo00<000000?ooo`3oool03@3oool2000000d0oooo00080?ooo`04
0000003oool0oooo000000L0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0=0?oo
o`030000003oool0oooo01`0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0M0?oo
o`030000003oool0oooo00`0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0=0?oo
o`030000003oool0oooo01`0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0<0?oo
o`00203oool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo000000D0oooo0P00000>
0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0M
0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0=
0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0=
0?ooo`00203oool010000000oooo0?ooo`0000040?ooo`<000001P3oool00`000000oooo0?ooo`0<
0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0M
0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0<
0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0=
0?ooo`00203oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool0303oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00`0oooo00<00000
0?ooo`3oool07P3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo01d0oooo00<00000
0?ooo`3oool0303oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00`0oooo00<00000
0?ooo`3oool03@3oool000T0oooo0P0000060?ooo`<000001@3oool2000000d0oooo00<000000?oo
o`3oool07P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo01h0oooo00<000000?oo
o`3oool02`3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo00/0oooo00<000000?oo
o`3oool07P3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00d0oooo000I0?ooo`03
0000003oool0oooo00/0oooo0P00000P0?ooo`030000003oool0oooo00X0oooo0P00000P0?ooo`03
0000003oool0oooo00X0oooo0P00000P0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3o
ool07P3oool00`000000oooo0?ooo`0:0?ooo`<000003`3oool001T0oooo00<000000?ooo`3oool0
2P3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
7`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0
2`3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
3`3oool001T0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0P0?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo0200oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0O0?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool03`3oool001T0oooo0P00000;0?ooo`030000003oool0
oooo0200oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo01l0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0?0?ooo`006@3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`0P0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0803oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`0@0?ooo`006@3oool00`000000oooo0?ooo`090?ooo`8000008P3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`0P0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0803oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo0100oooo000I0?ooo`8000002@3oool2000002<0oooo
00<000000?ooo`3oool01`3oool300000280oooo00<000000?ooo`3oool01`3oool00`000000oooo
0000000R0?ooo`030000003oool0oooo00P0oooo0P00000R0?ooo`030000003oool0oooo00P0oooo
0P00000B0?ooo`006@3oool00`000000oooo0?ooo`080?ooo`8000008`3oool00`000000oooo0?oo
o`070?ooo`8000008`3oool00`000000oooo0?ooo`070?ooo`8000008`3oool00`000000oooo0?oo
o`070?ooo`<000008P3oool00`000000oooo0?ooo`070?ooo`<000004P3oool001T0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0280oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool04P3oool001T0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0S0?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo0280oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0R0?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool04P3oool001T0oooo0P0000080?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0S0?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo0280oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0B0?ooo`00
6@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`0B0?ooo`004@3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo02<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo0180oooo000A0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01@3oool3
000002D0oooo00<000000?ooo`3oool0103oool3000002D0oooo00<000000?ooo`3oool0103oool3
000002D0oooo00<000000?ooo`3oool01@3oool2000002D0oooo00<000000?ooo`3oool01@3oool3
000001@0oooo000A0?ooo`030000003oool0oooo00D0oooo0P0000060?ooo`8000009P3oool00`00
0000oooo0?ooo`040?ooo`8000009P3oool00`000000oooo0?ooo`040?ooo`<000009@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0000002D0oooo00<000000?ooo`3oool01@3oool20000
01D0oooo000A0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`0U0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool09@3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`0U0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool05@3oool00140oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo02H0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo02D0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0E0?ooo`00403oool2000000L0oooo0P00
00050?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`0U0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`0E0?ooo`004@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`000000:03oool00`000000oooo0?ooo`020?ooo`800000:03oool00`000000oooo0?ooo`02
0?ooo`030000003oool0000002L0oooo00<000000?ooo`3oool00P3oool00`000000oooo0000000W
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000005`3oool001T0oooo00<000000?oo
o`3oool00P3oool3000002P0oooo00@000000?ooo`3oool0oooo0`00000X0?ooo`030000003oool0
oooo0080oooo0P00000X0?ooo`030000003oool0oooo0080oooo0`00000W0?ooo`030000003oool0
oooo0080oooo0`00000G0?ooo`006@3oool00`000000oooo0?ooo`020?ooo`<00000:03oool01000
0000oooo0?ooo`3oool3000002P0oooo00L000000?ooo`3oool0oooo0000003oool0000002P0oooo
00<000000?ooo`3oool00P3oool3000002L0oooo00<000000?ooo`3oool00P3oool3000001L0oooo
000I0?ooo`8000000`3oool3000002P0oooo00@000000?ooo`3oool0oooo0`00000X0?ooo`070000
003oool0oooo0?ooo`000000oooo0000000X0?ooo`070000003oool0oooo0?ooo`000000oooo0000
000X0?ooo`030000003oool0oooo0080oooo0P00000H0?ooo`006@3oool01P000000oooo0?ooo`00
0000oooo000002X0oooo00D000000?ooo`000000oooo0000000Z0?ooo`050000003oool000000?oo
o`000000:P3oool01@000000oooo0000003oool0000002X0oooo00H000000?ooo`3oool000000?oo
o`00000I0?ooo`006@3oool4000000030?ooo`000000oooo02T0oooo00D000000?ooo`000000oooo
0000000Z0?ooo`050000003oool000000?ooo`000000:P3oool00`000000oooo00000002000002X0
oooo00H000000?ooo`00000000000?ooo`00000I0?ooo`006@3oool4000000030?ooo`000000oooo
02T0oooo00D000000?ooo`000000oooo0000000Z0?ooo`050000003oool000000?ooo`000000:P3o
ool00`000000oooo00000002000002/0oooo1000000J0?ooo`006@3oool4000000030?ooo`000000
oooo02T0oooo0`0000000`3oool000000?ooo`0Y0?ooo`050000003oool000000?ooo`000000:P3o
ool00`000000oooo00000002000002/0oooo1000000J0?ooo`006@3oool5000002/0oooo0P000000
0`3oool000000000000Z0?ooo`030000003oool0000000800000:P3oool00`000000oooo00000002
000002/0oooo1000000J0?ooo`006@3oool5000002/0oooo0P0000000`3oool000000?ooo`0Z0?oo
o`030000003oool0000000800000:P3oool00`000000oooo00000002000002/0oooo1000000J0?oo
o`006@3oool5000002/0oooo0P0000000`3oool000000?ooo`0Z0?ooo`030000003oool000000080
0000:P3oool00`000000oooo00000002000002/0oooo1000000J0?ooo`006@3oool3000000030?oo
o`000000oooo02X0oooo0P0000000`3oool000000?ooo`0Z0?ooo`040000003oool00000000002/0
oooo00D000000?ooo`000000oooo0000000[0?ooo`80000000<0oooo0000003oool06@3oool000X0
oooo00D000000?ooo`3oool0oooo000000020?ooo`8000001P3oool3000002d0oooo0P00000]0?oo
o`800000;@3oool00`000000oooo0000000]0?ooo`800000703oool000X0oooo00<000000?ooo`3o
ool00`3oool010000000oooo0?ooo`0000050?ooo`<00000;@3oool2000002d0oooo0P00000]0?oo
o`030000003oool0000002d0oooo0P00000L0?ooo`002P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00<0oooo0`00000]0?ooo`800000;@3oool2000002d0oooo0P00000^0?ooo`80
0000703oool000X0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000050?ooo`<0
0000;@3oool2000002d0oooo0P00000]0?ooo`800000;P3oool2000001`0oooo000:0?ooo`030000
003oool0oooo00<0oooo0`0000060?ooo`<00000;@3oool2000002d0oooo0P00000^0?ooo`030000
003oool0oooo02`0oooo0P00000L0?ooo`002@3oool2000000H0oooo00<000000?ooo`3oool01@3o
ool3000002d0oooo0P00000]0?ooo`800000;P3oool00`000000oooo0?ooo`0/0?ooo`800000703o
ool000X0oooo00<000000?ooo`3oool0103oool3000000D0oooo0`00000]0?ooo`800000;@3oool2
000002h0oooo00<000000?ooo`3oool0;03oool2000001`0oooo000I0?ooo`<00000;@3oool20000
02d0oooo0P00000^0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool06`3oool001T0
oooo0`00000]0?ooo`800000;@3oool2000002h0oooo00<000000?ooo`3oool0;03oool00`000000
oooo0?ooo`0K0?ooo`006@3oool2000002h0oooo0P00000^0?ooo`030000003oool0oooo02`0oooo
00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0K0?ooo`006@3oool2000002h0oooo0P00
000^0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?oo
o`0K0?ooo`006@3oool2000002l0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0/
0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool06`3oool001T0oooo00<000000?oo
o`3oool0S03oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo01/0oooo000I0?ooo`80
0000fP3oool001T0oooo00<000000?ooo`3oool0f@3oool001T0oooo00<000000?ooo`3oool0f@3o
ool00?D0oooo003e0?ooo`00m@3oool00?D0oooo003e0?ooo`00m@3oool00?D0oooo0000\
\>"],
  ImageRangeCache->{{{153.125, 304}, {648.375, 555.563}} -> {-0.0131467, \
22.6204, 4.82653*^-05, 0.0275449}},
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],

Cell["This plays the wave for a half-second duration.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Play[SawtoothWave[440, 17], {t, 0,  .5}]\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[9]=",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],

Cell["Here are definitions for true sawtooth and square waves.", \
"SolutionNoLabel",
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    \(Fractional[x_] := x - Floor[x]\)], "Input",
  CellLabel->"In[10]:=",
  AspectRatioFixed->True,
  CellTags->"IPM3.Sol.9.3"],

Cell["SawtoothWave[x_]:= Fractional[-x]", "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    \(SquareWave[x_] := \(1\/2\) Sign[SawtoothWave[x] - 1\/2] + 1\)], "Input",\

  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell["Here are plots at the fundamental frequency of 440.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[SawtoothWave[440  t], {t, 0, 3\/440}];\)\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 139.683 0.0147151 0.588604 [
[.16349 .00222 -13.25 -11.875 ]
[.16349 .00222 13.25 0 ]
[.30317 .00222 -13.25 -11.875 ]
[.30317 .00222 13.25 0 ]
[.44286 .00222 -13.25 -11.875 ]
[.44286 .00222 13.25 0 ]
[.58254 .00222 -13.25 -11.875 ]
[.58254 .00222 13.25 0 ]
[.72222 .00222 -13.25 -11.875 ]
[.72222 .00222 13.25 0 ]
[.8619 .00222 -13.25 -11.875 ]
[.8619 .00222 13.25 0 ]
[.01131 .13244 -16.5 -5.9375 ]
[.01131 .13244 0 5.9375 ]
[.01131 .25016 -16.5 -5.9375 ]
[.01131 .25016 0 5.9375 ]
[.01131 .36788 -16.5 -5.9375 ]
[.01131 .36788 0 5.9375 ]
[.01131 .4856 -16.5 -5.9375 ]
[.01131 .4856 0 5.9375 ]
[.01131 .60332 -9 -5.9375 ]
[.01131 .60332 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.16349 .01472 m
.16349 .02097 L
s
gsave
.16349 .00222 -74.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.001) show
1.000 setlinewidth
grestore
.30317 .01472 m
.30317 .02097 L
s
gsave
.30317 .00222 -74.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.002) show
1.000 setlinewidth
grestore
.44286 .01472 m
.44286 .02097 L
s
gsave
.44286 .00222 -74.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.003) show
1.000 setlinewidth
grestore
.58254 .01472 m
.58254 .02097 L
s
gsave
.58254 .00222 -74.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.004) show
1.000 setlinewidth
grestore
.72222 .01472 m
.72222 .02097 L
s
gsave
.72222 .00222 -74.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.005) show
1.000 setlinewidth
grestore
.8619 .01472 m
.8619 .02097 L
s
gsave
.8619 .00222 -74.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.006) show
1.000 setlinewidth
grestore
.125 Mabswid
.05175 .01472 m
.05175 .01847 L
s
.07968 .01472 m
.07968 .01847 L
s
.10762 .01472 m
.10762 .01847 L
s
.13556 .01472 m
.13556 .01847 L
s
.19143 .01472 m
.19143 .01847 L
s
.21937 .01472 m
.21937 .01847 L
s
.2473 .01472 m
.2473 .01847 L
s
.27524 .01472 m
.27524 .01847 L
s
.33111 .01472 m
.33111 .01847 L
s
.35905 .01472 m
.35905 .01847 L
s
.38698 .01472 m
.38698 .01847 L
s
.41492 .01472 m
.41492 .01847 L
s
.47079 .01472 m
.47079 .01847 L
s
.49873 .01472 m
.49873 .01847 L
s
.52667 .01472 m
.52667 .01847 L
s
.5546 .01472 m
.5546 .01847 L
s
.61048 .01472 m
.61048 .01847 L
s
.63841 .01472 m
.63841 .01847 L
s
.66635 .01472 m
.66635 .01847 L
s
.69429 .01472 m
.69429 .01847 L
s
.75016 .01472 m
.75016 .01847 L
s
.7781 .01472 m
.7781 .01847 L
s
.80603 .01472 m
.80603 .01847 L
s
.83397 .01472 m
.83397 .01847 L
s
.88984 .01472 m
.88984 .01847 L
s
.91778 .01472 m
.91778 .01847 L
s
.94571 .01472 m
.94571 .01847 L
s
.97365 .01472 m
.97365 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .13244 m
.03006 .13244 L
s
gsave
.01131 .13244 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.2) show
1.000 setlinewidth
grestore
.02381 .25016 m
.03006 .25016 L
s
gsave
.01131 .25016 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.4) show
1.000 setlinewidth
grestore
.02381 .36788 m
.03006 .36788 L
s
gsave
.01131 .36788 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.6) show
1.000 setlinewidth
grestore
.02381 .4856 m
.03006 .4856 L
s
gsave
.01131 .4856 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.8) show
1.000 setlinewidth
grestore
.02381 .60332 m
.03006 .60332 L
s
gsave
.01131 .60332 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.125 Mabswid
.02381 .04415 m
.02756 .04415 L
s
.02381 .07358 m
.02756 .07358 L
s
.02381 .10301 m
.02756 .10301 L
s
.02381 .16187 m
.02756 .16187 L
s
.02381 .1913 m
.02756 .1913 L
s
.02381 .22073 m
.02756 .22073 L
s
.02381 .27959 m
.02756 .27959 L
s
.02381 .30902 m
.02756 .30902 L
s
.02381 .33845 m
.02756 .33845 L
s
.02381 .39731 m
.02756 .39731 L
s
.02381 .42674 m
.02756 .42674 L
s
.02381 .45617 m
.02756 .45617 L
s
.02381 .51503 m
.02756 .51503 L
s
.02381 .54446 m
.02756 .54446 L
s
.02381 .57389 m
.02756 .57389 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .60332 m
.06244 .53169 L
.10458 .45356 L
.14415 .38019 L
.18221 .30963 L
.22272 .23452 L
.26171 .16223 L
.28158 .12538 L
.30316 .08538 L
.31323 .0667 L
.32392 .04689 L
.33304 .02998 L
.33554 .02534 L
.33823 .02036 L
.33953 .01795 L
.34076 .01565 L
.34187 .6022 L
.34309 .59995 L
.38373 .52459 L
.42286 .45204 L
.46444 .37494 L
.50451 .30066 L
.54306 .22918 L
.58406 .15316 L
.60448 .11529 L
.62355 .07994 L
.64188 .04596 L
.64715 .03618 L
.65215 .02691 L
.65433 .02288 L
.65664 .01859 L
.65785 .01636 L
.65853 .01508 L
.65918 .60249 L
.66031 .6004 L
.66152 .59814 L
.70266 .52186 L
.74229 .4484 L
.78039 .37774 L
.82096 .30254 L
.86 .23014 L
.9015 .1532 L
.94148 .07907 L
.97619 .01472 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[13]:=",
  ImageSize->{245, 151.313},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003e0000Ub000`400?l00000o`00003om@3oool0
0?D0oooo003e0?ooo`00m@3oool002/0oooo0`0000030?ooo`030000003oool00000008000000P3o
ool3000000@0oooo00<000000?ooo`3oool0203oool3000000<0oooo00<000000?ooo`0000000P00
00020?ooo`<000000P3oool4000000T0oooo0`0000030?ooo`030000003oool00000008000000P3o
ool3000000<0oooo0P0000090?ooo`<000000`3oool00`000000oooo0000000200000080oooo0`00
00050?ooo`030000003oool0oooo00L0oooo0`0000030?ooo`030000003oool00000008000000P3o
ool3000000<0oooo0P00000:0?ooo`<000000`3oool00`000000oooo0000000200000080oooo0`00
00030?ooo`8000006`3oool002/0oooo00@000000?ooo`3oool00000103oool01P000000oooo0?oo
o`000000oooo00000080oooo00D000000?ooo`3oool0oooo0000000:0?ooo`040000003oool0oooo
000000@0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`040000003oool0oooo000000/0
oooo00@000000?ooo`3oool00000103oool01P000000oooo0?ooo`000000oooo00000080oooo00<0
00000?ooo`0000000P3oool00`000000oooo0?ooo`060?ooo`040000003oool0oooo000000@0oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool01`3oool010000000oooo0?ooo`0000040?ooo`060000003oool0oooo0000003oool00000
0P3oool00`000000oooo000000020?ooo`030000003oool0oooo00L0oooo00@000000?ooo`3oool0
0000103oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool0
0`000000oooo0?ooo`0H0?ooo`00:`3oool010000000oooo0?ooo`0000040?ooo`060000003oool0
oooo0000003oool000000P3oool01@000000oooo0?ooo`3oool0000000X0oooo00@000000?ooo`3o
ool00000103oool01P000000oooo0?ooo`000000oooo00000080oooo00D000000?ooo`3oool0oooo
0000000:0?ooo`040000003oool0oooo000000@0oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01P3oool010000000oooo0?ooo`00
00040?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo00000004000000P0
oooo00@000000?ooo`3oool00000103oool01P000000oooo0?ooo`000000oooo00000080oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`070?ooo`040000003oool0oooo000000@0oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00<000000?oo
o`3oool0603oool002/0oooo00@000000?ooo`3oool00000103oool01P000000oooo0?ooo`000000
oooo00000080oooo00D000000?ooo`3oool0oooo0000000:0?ooo`040000003oool0oooo000000@0
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`050000003oool0oooo0?ooo`0000002P3o
ool010000000oooo0?ooo`0000040?ooo`060000003oool0oooo0000003oool000000P3oool01@00
0000oooo0?ooo`3oool0000000T0oooo00@000000?ooo`3oool00000103oool01P000000oooo0?oo
o`000000oooo00000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`070?ooo`04
0000003oool0oooo000000@0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003o
ool000000080oooo00<000000?ooo`3oool01`3oool010000000oooo0?ooo`0000040?ooo`060000
003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo
01P0oooo000[0?ooo`040000003oool0oooo000000@0oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`050000003oool0oooo0?ooo`0000002P3oool010000000oooo0?ooo`0000040?ooo`06
0000003oool0oooo0000003oool000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo00L0oooo00@000000?ooo`3oool00000103oool01P000000oooo0?ooo`000000oooo00000080
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`060?ooo`040000003oool0oooo0000
00@0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00002@3oool010000000oooo0?ooo`0000040?ooo`060000003oool0oooo0000003oool000000P3o
ool00`000000oooo00000002000000X0oooo00@000000?ooo`3oool00000103oool01P000000oooo
0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P00000K0?ooo`00:`3oool010000000
oooo0?ooo`0000040?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0?oo
o`02000000X0oooo00@000000?ooo`3oool00000103oool01P000000oooo0?ooo`000000oooo0000
0080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`070?ooo`040000003oool0oooo
000000@0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo
00<000000?ooo`3oool01P3oool010000000oooo0?ooo`0000040?ooo`060000003oool0oooo0000
003oool000000P3oool010000000oooo0?ooo`3oool2000000T0oooo00@000000?ooo`3oool00000
103oool01P000000oooo0?ooo`000000oooo00000080oooo00@000000?ooo`3oool000002`3oool0
10000000oooo0?ooo`0000040?ooo`060000003oool0oooo0000003oool000000P3oool00`000000
oooo000000020?ooo`030000003oool0oooo01P0oooo000/0?ooo`8000001P3oool2000000<0oooo
0P0000040?ooo`030000003oool0oooo00T0oooo0P0000060?ooo`8000000`3oool2000000<0oooo
0P00000;0?ooo`8000001P3oool2000000<0oooo0P0000030?ooo`8000002P3oool2000000H0oooo
0P0000030?ooo`8000001@3oool00`000000oooo0?ooo`080?ooo`8000001P3oool2000000<0oooo
0P0000030?ooo`<000002P3oool2000000H0oooo0P0000030?ooo`8000000`3oool2000001/0oooo
003e0?ooo`00603oool00`000000oooo0?ooo`3J0?ooo`00603oool00`000000oooo0?ooo`3J0?oo
o`00603oool00`000000oooo0?ooo`3J0?ooo`004P3ooooN000000D0oooo000H0?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo000000030?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00<0oooo00L000000?ooo`3oool0oooo0000003oool0000000D0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool00P3oool2000000/0oooo000H0?ooo`030000003oool0oooo0440oooo0P0000150?ooo`030000
003oool0oooo0480oooo00<000000?ooo`3oool02P3oool001P0oooo00<000000?ooo`3oool0@@3o
ool2000004@0oooo0P0000130?ooo`030000003oool0oooo00/0oooo000H0?ooo`030000003oool0
oooo0400oooo00<000000?ooo`000000@`3oool00`000000oooo000000130?ooo`030000003oool0
oooo00/0oooo000H0?ooo`030000003oool0oooo0400oooo00<000000?ooo`000000@`3oool00`00
0000oooo000000120?ooo`030000003oool0oooo00`0oooo000H0?ooo`030000003oool0oooo03l0
oooo00@000000?ooo`3oool00000@P3oool010000000oooo0?ooo`0000120?ooo`030000003oool0
oooo00`0oooo000H0?ooo`030000003oool0oooo03l0oooo00@000000?ooo`3oool00000@P3oool0
10000000oooo0?ooo`0000110?ooo`030000003oool0oooo00d0oooo000H0?ooo`030000003oool0
oooo03h0oooo00D000000?ooo`3oool0oooo000000110?ooo`050000003oool0oooo0?ooo`000000
@@3oool00`000000oooo0?ooo`0=0?ooo`00603oool00`000000oooo0?ooo`0m0?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool0?`3oool01@000000oooo0?ooo`3oool000000400oooo
00<000000?ooo`3oool03P3oool001P0oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo03h0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`0n0?ooo`030000003oool0oooo00h0oooo000H0?ooo`030000003oool0oooo03`0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`0n0?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool0?@3oool00`000000oooo0?ooo`0?0?ooo`00603oool00`000000oooo0?ooo`0k0?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo03d0oooo00<000000?ooo`3oool03`3oool001P0oooo00<000000?ooo`3o
ool0>`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo03d0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`0l0?ooo`030000003oool0oooo0100oooo000H0?ooo`030000
003oool0oooo03X0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0l0?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0?03oool00`000000oooo0?ooo`0@0?ooo`00603o
ool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0>`3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool04@3o
ool001P0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo03/0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0k0?ooo`030000003oool0
oooo0140oooo000H0?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`0j0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0>P3oool00`00
0000oooo0?ooo`0B0?ooo`00603oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool0>P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo03X0
oooo00<000000?ooo`3oool04P3oool001P0oooo00<000000?ooo`3oool0>03oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`0i0?ooo`030000003oool0oooo01<0oooo000H0?ooo`030000003oool0oooo03L0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool0>@3oool00`000000oooo0?ooo`0C0?ooo`00603oool00`000000oooo0?ooo`0g
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3oool0503oool001P0oooo00<000000?oo
o`3oool0=P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo03P0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo01D0oooo000H0?ooo`03
0000003oool0oooo03H0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0g0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`0E0?ooo`00
1P3oool3000000<0oooo00<000000?ooo`0000000`0000060?ooo`030000003oool0oooo03D0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`0F0?ooo`001P3oool010000000oooo0?oo
o`0000050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0=03oool00`000000oooo
0?ooo`0;0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool02P3oool00`000000oooo
0?ooo`0f0?ooo`030000003oool0oooo01H0oooo00060?ooo`040000003oool0oooo000000H0oooo
00<000000?ooo`3oool01@3oool2000003D0oooo00<000000?ooo`3oool02`3oool00`000000oooo
0?ooo`0e0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0=@3oool00`000000oooo
0?ooo`0G0?ooo`001P3oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo03D0oooo
00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo01L0oooo
00060?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`0c0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0=03oool00`000000oooo
0?ooo`0<0?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0603oool000H0oooo00@0
00000?ooo`3oool00000103oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo0380
oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo00`0
oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`0H0?ooo`001`3oool2000000H0oooo
0P0000070?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool03@3oool00`000000oooo
0?ooo`0c0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0<`3oool00`000000oooo
0?ooo`0I0?ooo`00603oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo00h0oooo00<0
00000?ooo`3oool0<P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo0380oooo00<0
00000?ooo`3oool06P3oool001P0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`0>
0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0b
0?ooo`030000003oool0oooo01X0oooo000H0?ooo`030000003oool0oooo0300oooo00<000000?oo
o`3oool03`3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo00l0oooo00<000000?oo
o`3oool0<@3oool00`000000oooo0?ooo`0K0?ooo`00603oool00`000000oooo0?ooo`0`0?ooo`03
0000003oool0oooo00l0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`0?0?ooo`03
0000003oool0oooo0340oooo00<000000?ooo`3oool06`3oool001P0oooo00<000000?ooo`3oool0
;`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0
403oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo01`0oooo000H0?ooo`030000003o
ool0oooo02l0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0`0?ooo`030000003o
ool0oooo0100oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`0L0?ooo`00603oool0
0`000000oooo0?ooo`0^0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0;`3oool0
0`000000oooo0?ooo`0A0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool07@3oool0
01P0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo
02l0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo
01d0oooo000H0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool04P3oool00`000000
oooo0?ooo`0^0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0;P3oool00`000000
oooo0?ooo`0N0?ooo`00603oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo01<0oooo
00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo02h0oooo
00<000000?ooo`3oool07P3oool001P0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?oo
o`0C0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?oo
o`0]0?ooo`030000003oool0oooo01l0oooo000H0?ooo`030000003oool0oooo02/0oooo00<00000
0?ooo`3oool0503oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo01<0oooo00<00000
0?ooo`3oool0;@3oool00`000000oooo0?ooo`0O0?ooo`00603oool00`000000oooo0?ooo`0[0?oo
o`030000003oool0oooo01@0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo02`0oooo00<000000?ooo`3oool0803oool001P0oooo00<000000?ooo`3o
ool0:P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3o
ool0503oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo0200oooo000H0?ooo`030000
003oool0oooo02X0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0[0?ooo`030000
003oool0oooo01D0oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`0Q0?ooo`00603o
ool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0:`3o
ool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool08@3o
ool001P0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0
oooo02X0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0
oooo0280oooo000H0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool05`3oool00`00
0000oooo0?ooo`0Y0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0:@3oool00`00
0000oooo0?ooo`0S0?ooo`00603oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo01P0
oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo02T0
oooo00<000000?ooo`3oool08`3oool000H0oooo0`0000030?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo01P0oooo
00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo02P0oooo
00<000000?ooo`3oool0903oool000H0oooo00@000000?ooo`3oool000001`3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool06@3oool00`000000oooo
0?ooo`0X0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0:03oool00`000000oooo
0?ooo`0T0?ooo`001P3oool010000000oooo0?ooo`0000040?ooo`D000001@3oool2000002L0oooo
00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo01T0oooo
00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`0U0?ooo`001P3oool010000000oooo0?oo
o`0000040?ooo`040000003oool0oooo000000H0oooo00<000000?ooo`3oool09@3oool00`000000
oooo0?ooo`0J0?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool06@3oool00`000000
oooo0?ooo`0W0?ooo`030000003oool0oooo02D0oooo00060?ooo`040000003oool0oooo000000D0
oooo00<000000?ooo`0000001P3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo01X0
oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo02H0
oooo00<000000?ooo`3oool09P3oool000H0oooo00@000000?ooo`3oool000001P3oool2000000H0
oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo02D0
oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo02L0
oooo00070?ooo`800000203oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo02@0oooo
00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo01/0oooo
00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`0W0?ooo`00603oool00`000000oooo0?oo
o`0S0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0903oool00`000000oooo0?oo
o`0L0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0:03oool001P0oooo00<00000
0?ooo`3oool08`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo02@0oooo00<00000
0?ooo`3oool0703oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo02P0oooo000H0?oo
o`030000003oool0oooo0280oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0S0?oo
o`030000003oool0oooo01d0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0Y0?oo
o`00603oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3o
ool08`3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3o
ool0:@3oool001P0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0N0?ooo`030000
003oool0oooo0280oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`0R0?ooo`030000
003oool0oooo02X0oooo000H0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool07P3o
ool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool08P3o
ool00`000000oooo0?ooo`0Z0?ooo`00603oool00`000000oooo0?ooo`0P0?ooo`030000003oool0
oooo01l0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0
oooo0240oooo00<000000?ooo`3oool0:`3oool001P0oooo00<000000?ooo`3oool0803oool00`00
0000oooo0?ooo`0O0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0803oool00`00
0000oooo0?ooo`0P0?ooo`030000003oool0oooo02`0oooo000H0?ooo`030000003oool0oooo01l0
oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo0240
oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0/0?ooo`00603oool00`000000oooo
0?ooo`0N0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool07P3oool00`000000oooo
0?ooo`0R0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0;@3oool001P0oooo00<0
00000?ooo`3oool07P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo01h0oooo00<0
00000?ooo`3oool08P3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo02d0oooo000H
0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0M
0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0^
0?ooo`00603oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool07@3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo01d0oooo00<000000?oo
o`3oool0;P3oool001P0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0T0?ooo`03
0000003oool0oooo01`0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0L0?ooo`03
0000003oool0oooo02l0oooo000H0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0
903oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0
703oool00`000000oooo0?ooo`0_0?ooo`00603oool00`000000oooo0?ooo`0K0?ooo`030000003o
ool0oooo02D0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0U0?ooo`030000003o
ool0oooo01/0oooo00<000000?ooo`3oool0<03oool001P0oooo00<000000?ooo`3oool06`3oool0
0`000000oooo0?ooo`0U0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool09@3oool0
0`000000oooo0?ooo`0K0?ooo`030000003oool0oooo0300oooo000H0?ooo`030000003oool0oooo
01X0oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo
02H0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0a0?ooo`00603oool00`000000
oooo0?ooo`0J0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool06P3oool00`000000
oooo0?ooo`0V0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0<@3oool000H0oooo
0`0000030?ooo`030000003oool0oooo008000001`3oool00`000000oooo0?ooo`0I0?ooo`030000
003oool0oooo02L0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0W0?ooo`030000
003oool0oooo01T0oooo00<000000?ooo`3oool0<P3oool000H0oooo00@000000?ooo`3oool00000
103oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3o
ool09`3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3o
ool06@3oool00`000000oooo0?ooo`0b0?ooo`001P3oool010000000oooo0?ooo`0000040?ooo`04
0000003oool0oooo000000H0oooo0P00000I0?ooo`030000003oool0oooo02P0oooo00<000000?oo
o`3oool0603oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo01P0oooo00<000000?oo
o`3oool0<`3oool000H0oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`000006
0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`0H
0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0c
0?ooo`001P3oool010000000oooo0?ooo`0000040?ooo`<000001`3oool00`000000oooo0?ooo`0G
0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0Y
0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0=03oool000H0oooo00@000000?oo
o`3oool00000103oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo01H0oooo00<0
00000?ooo`3oool0:P3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo02T0oooo00<0
00000?ooo`3oool05P3oool00`000000oooo0?ooo`0e0?ooo`001`3oool2000000H0oooo0P000007
0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`0F
0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0e
0?ooo`00603oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo02/0oooo00<000000?oo
o`3oool05P3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo01D0oooo00<000000?oo
o`3oool0=P3oool001P0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0[0?ooo`03
0000003oool0oooo01D0oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`0E0?ooo`03
0000003oool0oooo03H0oooo000H0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0
;03oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`0g0?ooo`00603oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo02`0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0/0?ooo`030000003o
ool0oooo01@0oooo00<000000?ooo`3oool0=`3oool001P0oooo00<000000?ooo`3oool04`3oool0
0`000000oooo0?ooo`0]0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0;03oool0
0`000000oooo0?ooo`0C0?ooo`030000003oool0oooo03P0oooo000H0?ooo`030000003oool0oooo
01<0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo
02d0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0h0?ooo`00603oool00`000000
oooo0?ooo`0B0?ooo`030000003oool0oooo02h0oooo00<000000?ooo`3oool04`3oool00`000000
oooo0?ooo`0]0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0>@3oool001P0oooo
00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo0180oooo
00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo03T0oooo
000H0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?oo
o`0B0?ooo`030000003oool0oooo02h0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?oo
o`0j0?ooo`00603oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo02l0oooo00<00000
0?ooo`3oool04@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo0140oooo00<00000
0?ooo`3oool0>P3oool001P0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0`0?oo
o`030000003oool0oooo0140oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0@0?oo
o`030000003oool0oooo03/0oooo000H0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3o
ool0<03oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3o
ool0403oool00`000000oooo0?ooo`0k0?ooo`00603oool00`000000oooo0?ooo`0?0?ooo`030000
003oool0oooo0340oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0`0?ooo`030000
003oool0oooo00l0oooo00<000000?ooo`3oool0?03oool001P0oooo00<000000?ooo`3oool03`3o
ool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0<@3o
ool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo03d0oooo000H0?ooo`030000003oool0
oooo00h0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0
oooo0380oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0m0?ooo`00603oool00`00
0000oooo0?ooo`0=0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool03P3oool00`00
0000oooo0?ooo`0b0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0?P3oool001P0
oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo00d0
oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo03h0
oooo000H0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0=03oool00`000000oooo
0?ooo`0=0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0303oool00`000000oooo
0?ooo`0o0?ooo`00603oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo03@0oooo00<0
00000?ooo`3oool0303oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo00`0oooo00<0
00000?ooo`3oool0?`3oool000H0oooo0`0000030?ooo`030000003oool0oooo008000001`3oool0
0`000000oooo0?ooo`0;0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool0303oool0
0`000000oooo0?ooo`0d0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0@03oool0
00H0oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`0000060?ooo`030000003o
ool0oooo00/0oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`0;0?ooo`030000003o
ool0oooo03D0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`100?ooo`001P3oool0
10000000oooo0?ooo`0000040?ooo`040000003oool0oooo000000H0oooo0P00000;0?ooo`030000
003oool0oooo03H0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0f0?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool0@@3oool000H0oooo00@000000?ooo`3oool00000
1@3oool2000000L0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0f0?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`0:0?ooo`030000
003oool0oooo0440oooo00060?ooo`040000003oool0oooo000000@0oooo00@000000?ooo`3oool0
00001P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool0@P3oool000H0oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`0000060?oo
o`030000003oool0oooo00T0oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo03L0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`120?oo
o`001`3oool2000000H0oooo0P0000070?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool0>03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`130?ooo`00603oool00`000000oooo0?ooo`080?ooo`030000
003oool0oooo03P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0h0?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool0@`3oool001P0oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0>@3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo04@0oooo000H0?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo03T0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`140?ooo`00603oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo03X0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`0j0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0A@3oool001P0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo04H0
oooo000H0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0>`3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`160?ooo`00603oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo03`0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`0l0?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0A`3oool001P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0l
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0?03oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo04L0oooo000H0?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool0?@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo03d0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`180?ooo`00603oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo03d0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0m0?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool0B03oool001P0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`0n0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
?P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo04T0oooo000H0?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool0?P3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo03h0oooo00D000000?ooo`3oool0oooo0000001<0?ooo`00603oool01@000000oooo0?oo
o`3oool000000440oooo00D000000?ooo`3oool0oooo000000110?ooo`050000003oool0oooo0?oo
o`000000C03oool001P0oooo00D000000?ooo`3oool0oooo000000110?ooo`050000003oool0oooo
0?ooo`000000@@3oool010000000oooo0?ooo`00001=0?ooo`00603oool010000000oooo0?ooo`00
00120?ooo`040000003oool0oooo00000480oooo00@000000?ooo`3oool00000C@3oool001P0oooo
00@000000?ooo`3oool00000@P3oool010000000oooo0?ooo`0000120?ooo`030000003oool00000
04h0oooo000H0?ooo`030000003oool0000004<0oooo00<000000?ooo`000000@`3oool00`000000
oooo0000001>0?ooo`00603oool00`000000oooo000000130?ooo`030000003oool0000004<0oooo
0P00001?0?ooo`00403oool00`000000oooo0?ooo`050?ooo`800000A03oool2000004@0oooo0P00
001?0?ooo`00403oool00`000000oooo0?ooo`050?ooo`800000A03oool2000004@0oooo00<00000
0?ooo`3oool0CP3oool00100oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`130?oo
o`030000003oool0oooo04<0oooo00<000000?ooo`3oool0CP3oool00100oooo00<000000?ooo`3o
ool01@3oool200000=/0oooo000@0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
fP3oool000l0oooo0P0000070?ooo`030000003oool0oooo0=X0oooo000@0?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool0fP3oool00?D0oooo003e0?ooo`00\
\>"],
  ImageRangeCache->{{{153.125, 304}, {393.75, 300.938}} -> {-0.00884851, \
3.64533, 3.26296*^-05, 0.00774341}},
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[SquareWave[440  t], {t, 0, 3\/440}];\)\)], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 139.683 -0.279587 0.588604 [
[.16349 .29652 -13.25 -11.875 ]
[.16349 .29652 13.25 0 ]
[.30317 .29652 -13.25 -11.875 ]
[.30317 .29652 13.25 0 ]
[.44286 .29652 -13.25 -11.875 ]
[.44286 .29652 13.25 0 ]
[.58254 .29652 -13.25 -11.875 ]
[.58254 .29652 13.25 0 ]
[.72222 .29652 -13.25 -11.875 ]
[.72222 .29652 13.25 0 ]
[.8619 .29652 -13.25 -11.875 ]
[.8619 .29652 13.25 0 ]
[.01131 .07358 -16.5 -5.9375 ]
[.01131 .07358 0 5.9375 ]
[.01131 .1913 -16.5 -5.9375 ]
[.01131 .1913 0 5.9375 ]
[.01131 .42674 -16.5 -5.9375 ]
[.01131 .42674 0 5.9375 ]
[.01131 .54446 -16.5 -5.9375 ]
[.01131 .54446 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.16349 .30902 m
.16349 .31527 L
s
gsave
.16349 .29652 -74.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.001) show
1.000 setlinewidth
grestore
.30317 .30902 m
.30317 .31527 L
s
gsave
.30317 .29652 -74.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.002) show
1.000 setlinewidth
grestore
.44286 .30902 m
.44286 .31527 L
s
gsave
.44286 .29652 -74.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.003) show
1.000 setlinewidth
grestore
.58254 .30902 m
.58254 .31527 L
s
gsave
.58254 .29652 -74.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.004) show
1.000 setlinewidth
grestore
.72222 .30902 m
.72222 .31527 L
s
gsave
.72222 .29652 -74.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.005) show
1.000 setlinewidth
grestore
.8619 .30902 m
.8619 .31527 L
s
gsave
.8619 .29652 -74.25 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.006) show
1.000 setlinewidth
grestore
.125 Mabswid
.05175 .30902 m
.05175 .31277 L
s
.07968 .30902 m
.07968 .31277 L
s
.10762 .30902 m
.10762 .31277 L
s
.13556 .30902 m
.13556 .31277 L
s
.19143 .30902 m
.19143 .31277 L
s
.21937 .30902 m
.21937 .31277 L
s
.2473 .30902 m
.2473 .31277 L
s
.27524 .30902 m
.27524 .31277 L
s
.33111 .30902 m
.33111 .31277 L
s
.35905 .30902 m
.35905 .31277 L
s
.38698 .30902 m
.38698 .31277 L
s
.41492 .30902 m
.41492 .31277 L
s
.47079 .30902 m
.47079 .31277 L
s
.49873 .30902 m
.49873 .31277 L
s
.52667 .30902 m
.52667 .31277 L
s
.5546 .30902 m
.5546 .31277 L
s
.61048 .30902 m
.61048 .31277 L
s
.63841 .30902 m
.63841 .31277 L
s
.66635 .30902 m
.66635 .31277 L
s
.69429 .30902 m
.69429 .31277 L
s
.75016 .30902 m
.75016 .31277 L
s
.7781 .30902 m
.7781 .31277 L
s
.80603 .30902 m
.80603 .31277 L
s
.83397 .30902 m
.83397 .31277 L
s
.88984 .30902 m
.88984 .31277 L
s
.91778 .30902 m
.91778 .31277 L
s
.94571 .30902 m
.94571 .31277 L
s
.97365 .30902 m
.97365 .31277 L
s
.25 Mabswid
0 .30902 m
1 .30902 L
s
.02381 .07358 m
.03006 .07358 L
s
gsave
.01131 .07358 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.6) show
1.000 setlinewidth
grestore
.02381 .1913 m
.03006 .1913 L
s
gsave
.01131 .1913 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.8) show
1.000 setlinewidth
grestore
.02381 .42674 m
.03006 .42674 L
s
gsave
.01131 .42674 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.2) show
1.000 setlinewidth
grestore
.02381 .54446 m
.03006 .54446 L
s
gsave
.01131 .54446 -77.5 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.4) show
1.000 setlinewidth
grestore
.125 Mabswid
.02381 .10301 m
.02756 .10301 L
s
.02381 .13244 m
.02756 .13244 L
s
.02381 .16187 m
.02756 .16187 L
s
.02381 .22073 m
.02756 .22073 L
s
.02381 .25016 m
.02756 .25016 L
s
.02381 .27959 m
.02756 .27959 L
s
.02381 .33845 m
.02756 .33845 L
s
.02381 .36788 m
.02756 .36788 L
s
.02381 .39731 m
.02756 .39731 L
s
.02381 .45617 m
.02756 .45617 L
s
.02381 .4856 m
.02756 .4856 L
s
.02381 .51503 m
.02756 .51503 L
s
.02381 .04415 m
.02756 .04415 L
s
.02381 .01472 m
.02756 .01472 L
s
.02381 .57389 m
.02756 .57389 L
s
.02381 .60332 m
.02756 .60332 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .60332 m
.06244 .60332 L
.10458 .60332 L
.14415 .60332 L
.16408 .60332 L
.17277 .60332 L
.17735 .60332 L
.17986 .60332 L
.18109 .60332 L
.18221 .60332 L
.18341 .01472 L
.1847 .01472 L
.18744 .01472 L
.19227 .01472 L
.20178 .01472 L
.22272 .01472 L
.26243 .01472 L
.30062 .01472 L
.32194 .01472 L
.332 .01472 L
.33642 .01472 L
.33892 .01472 L
.34015 .01472 L
.34126 .01472 L
.34243 .60332 L
.34354 .60332 L
.34597 .60332 L
.35094 .60332 L
.36141 .60332 L
.38039 .60332 L
.41872 .60332 L
.45951 .60332 L
.47976 .60332 L
.48968 .60332 L
.49402 .60332 L
.49632 .60332 L
.49758 .60332 L
.49877 .60332 L
.49992 .60332 L
.50117 .01472 L
.50231 .01472 L
.50336 .01472 L
.50762 .01472 L
.51694 .01472 L
.53652 .01472 L
.57593 .01472 L
.61381 .01472 L
.63489 .01472 L
.64489 .01472 L
.64975 .01472 L
Mistroke
.65415 .01472 L
.6553 .01472 L
.65653 .01472 L
.6577 .01472 L
.65877 .60332 L
.65991 .60332 L
.66116 .60332 L
.66368 .60332 L
.67407 .60332 L
.69298 .60332 L
.73345 .60332 L
.77241 .60332 L
.79226 .60332 L
.80273 .60332 L
.80846 .60332 L
.81126 .60332 L
.81383 .60332 L
.81614 .60332 L
.81731 .60332 L
.81858 .01472 L
.81986 .01472 L
.82123 .01472 L
.82369 .01472 L
.83456 .01472 L
.85372 .01472 L
.89527 .01472 L
.93531 .01472 L
.97383 .01472 L
.97619 .01472 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[14]:=",
  ImageSize->{247, 152.563},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003g0000V2000`400?l00000o`00003om`3oool0
0?L0oooo003g0?ooo`00m`3oool001<0oooo00<000000?ooo`3oool0h@3oool001<0oooo00<00000
0?ooo`3oool0h@3oool001<0oooo00<000000?ooo`3oool0h@3oool001<0oooo0P00000S0?ooobH0
0000903ooolU000002@0oooo9P0000060?ooo`004`3oool00`000000oooo0?ooo`0R0?ooo`030000
003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`030000
003oool0oooo0280oooo00<000000?ooo`3oool0:@3oool001<0oooo00<000000?ooo`3oool08P3o
ool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08@3o
ool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo000C0?ooo`030000003oool0
oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0
oooo0240oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Y0?ooo`004`3oool00`00
0000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`00
0000oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0:@3oool001<0
oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280
oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0
oooo000C0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo
0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool08P3oool00`000000oooo
0?ooo`0Y0?ooo`004`3oool2000002<0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?oo
o`0R0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool08P3oool00`000000oooo0?oo
o`0Y0?ooo`004`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<00000
0?ooo`3oool0:@3oool001<0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?oo
o`030000003oool0oooo0280oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?oo
o`030000003oool0oooo02T0oooo000C0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3o
ool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3o
ool08P3oool00`000000oooo0?ooo`0Y0?ooo`004`3oool00`000000oooo0?ooo`0R0?ooo`030000
003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`030000
003oool0oooo0280oooo00<000000?ooo`3oool0:@3oool00080oooo0`0000030?ooo`030000003o
ool0oooo008000001P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<0
00000?ooo`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<0
00000?ooo`3oool0:@3oool00080oooo00@000000?ooo`3oool00000103oool010000000oooo0?oo
o`0000050?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo
0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool08P3oool00`000000oooo
0?ooo`0Y0?ooo`000P3oool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo000000D0
oooo0P00000S0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000
oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0:@3oool00080oooo
00@000000?ooo`3oool00000103oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo
0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo
0240oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Y0?ooo`000P3oool010000000
oooo0?ooo`0000040?ooo`<000001P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo
0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo
0280oooo00<000000?ooo`3oool0:@3oool00080oooo00@000000?ooo`3oool00000103oool01000
0000oooo0?ooo`0000050?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool0
0`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool08P3oool0
0`000000oooo0?ooo`0Y0?ooo`000`3oool2000000H0oooo0P0000060?ooo`030000003oool0oooo
0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo
0240oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Y0?ooo`004`3oool00`000000
oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000
oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0:@3oool001<0oooo
00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo
00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo
000C0?ooo`8000008`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<0
00000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo000C
0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R
0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Y
0?ooo`004`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool0:@3oool001<0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`03
0000003oool0oooo0280oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`03
0000003oool0oooo02T0oooo000C0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0
8P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool0
8P3oool00`000000oooo0?ooo`0Y0?ooo`004`3oool00`000000oooo0?ooo`0R0?ooo`030000003o
ool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`030000003o
ool0oooo0280oooo00<000000?ooo`3oool0:@3oool001<0oooo00<000000?ooo`3oool08P3oool0
0`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08@3oool0
0`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo000C0?ooo`8000008`3oool00`00
0000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08@3oool00`00
0000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo000C0?ooo`030000003oool0oooo0280
oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0240
oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Y0?ooo`004`3oool00`000000oooo
0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo
0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0:@3oool001<0oooo00<0
00000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<0
00000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo000C
0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R
0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Y
0?ooo`004`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool0:@3oool001<0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`03
0000003oool0oooo0280oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`03
0000003oool0oooo02T0oooo000C0?ooo`8000008`3oool00`000000oooo0?ooo`0R0?ooo`030000
003oool0oooo0280oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`030000
003oool0oooo02T0oooo000C0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3o
ool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool08P3o
ool00`000000oooo0?ooo`0Y0?ooo`004`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0
oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0
oooo0280oooo00<000000?ooo`3oool0:@3oool001<0oooo00<000000?ooo`3oool08P3oool00`00
0000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08@3oool00`00
0000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo00020?ooo`<000000`3oool00`000000
oooo0?ooo`02000000H0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`03
0000003oool0oooo0280oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`03
0000003oool0oooo02T0oooo00020?ooo`040000003oool0oooo000000@0oooo00@000000?ooo`3o
ool000001@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool0:@3oool00080oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`000005
0?ooo`8000008`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<00000
0?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo00020?oo
o`040000003oool0oooo000000D0oooo0P0000060?ooo`030000003oool0oooo0280oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`0Y0?ooo`000P3oool010000000oooo0?ooo`000004
0?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?oo
o`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08@3oool00`000000oooo0?oo
o`0R0?ooo`030000003oool0oooo02T0oooo00020?ooo`040000003oool0oooo000000@0oooo00@0
00000?ooo`3oool000001@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo
00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo
00<000000?ooo`3oool0:@3oool000<0oooo0P0000060?ooo`8000001P3oool00`000000oooo0?oo
o`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?oo
o`0Q0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0:@3oool001<0oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<00000
0?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo000C0?oo
o`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?oo
o`030000003oool0oooo0240oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Y0?oo
o`004`3oool2000002<0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`03
0000003oool0oooo0240oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Y0?ooo`00
4`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0
8P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0
:@3oool001<0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003o
ool0oooo0280oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`030000003o
ool0oooo02T0oooo000C0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool0
0`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool08P3oool0
0`000000oooo0?ooo`0Y0?ooo`004`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo
0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo
0280oooo00<000000?ooo`3oool0:@3oool001<0oooo00<000000?ooo`3oool08P3oool00`000000
oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08@3oool00`000000
oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo000C0?ooo`030000003oool0oooo0280oooo
00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0240oooo
00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Y0?ooo`004`3oool2000002<0oooo00<0
00000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<0
00000?ooo`3oool08P3oool00`000000oooo0?ooo`0Y0?ooo`004`3oool00`000000oooo0?ooo`0R
0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Q
0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0:@3oool001<0oooo00<000000?oo
o`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo000C0?ooo`03
0000003oool0oooo0180oooo0`0000030?ooo`030000003oool00000008000000P3oool4000000<0
oooo00<000000?ooo`3oool02P3oool3000000<0oooo00<000000?ooo`0000000P0000020?ooo`<0
00000P3oool4000000X0oooo0`0000030?ooo`030000003oool00000008000000P3oool3000000<0
oooo0P0000040?ooo`030000003oool0oooo00@0oooo0`0000030?ooo`030000003oool000000080
00000P3oool3000000D0oooo00<000000?ooo`3oool01@3oool010000000oooo0?ooo`3oool30000
00<0oooo00<000000?ooo`0000000P0000020?ooo`<000000`3oool2000000/0oooo0`0000030?oo
o`030000003oool00000008000000P3oool3000000<0oooo0P00000H0?ooo`004`3oool00`000000
oooo0?ooo`0B0?ooo`040000003oool0oooo000000@0oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`050000003oool0oooo0?ooo`000000303oool010000000oooo0?ooo`0000040?ooo`06
0000003oool0oooo0000003oool000000P3oool00`000000oooo0?ooo`02000000/0oooo00@00000
0?ooo`3oool00000103oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`00
00000P3oool01@000000oooo0?ooo`3oool0000000H0oooo00@000000?ooo`3oool00000103oool0
1P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`050?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`020?ooo`06
0000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`030000003oool0
oooo00P0oooo0P0000000`3oool000000?ooo`030?ooo`060000003oool0oooo0000003oool00000
0P3oool00`000000oooo000000020?ooo`030000003oool0oooo01D0oooo000C0?ooo`030000003o
ool0oooo0180oooo00@000000?ooo`3oool00000103oool01P000000oooo0?ooo`000000oooo0000
0080oooo00D000000?ooo`3oool0oooo0000000<0?ooo`040000003oool0oooo000000@0oooo00H0
00000?ooo`3oool000000?ooo`0000020?ooo`050000003oool0oooo0?ooo`0000002`3oool01000
0000oooo0?ooo`0000040?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo
0?ooo`020?ooo`050000003oool0oooo0?ooo`0000001P3oool010000000oooo0?ooo`0000040?oo
o`060000003oool0oooo0000003oool000000P3oool00`000000oooo00000004000000H0oooo00D0
00000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo0080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0203oool20000
00030?ooo`000000oooo00<0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003o
ool000000080oooo00<000000?ooo`3oool05@3oool001<0oooo00<000000?ooo`3oool04P3oool0
10000000oooo0?ooo`0000040?ooo`060000003oool0oooo0000003oool000000P3oool01@000000
oooo0?ooo`3oool0000000`0oooo00@000000?ooo`3oool00000103oool01P000000oooo0?ooo`00
0000oooo00000080oooo00D000000?ooo`3oool0oooo0000000;0?ooo`040000003oool0oooo0000
00@0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`050000003oool0oooo0?ooo`000000
103oool00`000000oooo0?ooo`040?ooo`040000003oool0oooo000000@0oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool01@3oool0
1@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool00P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`080?ooo`80
000000<0oooo0000003oool00`3oool01P000000oooo0?ooo`000000oooo00000080oooo00<00000
0?ooo`0000000P3oool00`000000oooo0?ooo`0E0?ooo`004`3oool2000001<0oooo00@000000?oo
o`3oool00000103oool01P000000oooo0?ooo`000000oooo00000080oooo00D000000?ooo`3oool0
oooo0000000<0?ooo`040000003oool0oooo000000@0oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`040000003oool0oooo0?ooo`8000002P3oool010000000oooo0?ooo`0000040?ooo`06
0000003oool0oooo0000003oool000000P3oool00`000000oooo0?ooo`020?ooo`050000003oool0
oooo0?ooo`0000001P3oool010000000oooo0?ooo`0000040?ooo`060000003oool0oooo0000003o
ool000000P3oool01P000000oooo0?ooo`000000oooo000000L0oooo00D000000?ooo`3oool0oooo
000000020?ooo`030000003oool0oooo0080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`030000003oool00000008000002`3oool2000000030?ooo`000000oooo00<0oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`030000003oool0000000800000603oool001<0oooo00<00000
0?ooo`3oool04P3oool010000000oooo0?ooo`0000040?ooo`060000003oool0oooo0000003oool0
00000P3oool00`000000oooo0?ooo`02000000`0oooo00@000000?ooo`3oool00000103oool01P00
0000oooo0?ooo`000000oooo00000080oooo00@000000?ooo`000000oooo0P00000:0?ooo`040000
003oool0oooo000000@0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0
00000080oooo00D000000?ooo`3oool0oooo000000060?ooo`040000003oool0oooo000000@0oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`040000003oool0oooo0?ooo`8000001`3oool0
1@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool00P3oool01P000000oooo0?oo
o`000000oooo00000080oooo00@000000?ooo`3oool00000303oool2000000030?ooo`000000oooo
00<0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00<0
00000?ooo`3oool05@3oool001<0oooo00<000000?ooo`3oool04`3oool2000000H0oooo0P000003
0?ooo`<000000`3oool00`000000oooo0?ooo`0;0?ooo`8000001P3oool2000000<0oooo0P000003
0?ooo`800000303oool2000000H0oooo0P0000030?ooo`8000000`3oool2000000@0oooo00<00000
0?ooo`3oool01@3oool2000000H0oooo0P0000030?ooo`8000001@3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo0080oooo0P0000060?ooo`8000000`3oool2000000<0oooo0`00000;
0?ooo`8000001P3oool2000000<0oooo0P0000030?ooo`800000603oool001<0oooo00<000000?oo
o`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo000C0?ooo`03
0000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`03
0000003oool0oooo0240oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Y0?ooo`00
4`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0
8P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0
:@3oool001<0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003o
ool0oooo0280oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`030000003o
ool0oooo02T0oooo000=0?ooonX00000000C0?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000D0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool00`3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00L00000
0?ooo`3oool0oooo0000003oool0000000H0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool010000000oooo
0?ooo`0000030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`050?ooo`004`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo
00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo
00<000000?ooo`3oool0:@3oool001<0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?oo
o`0R0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool08P3oool00`000000oooo0?oo
o`0R0?ooo`030000003oool0oooo02T0oooo000C0?ooo`030000003oool0oooo0280oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`0Y0?ooo`004`3oool00`000000oooo0?ooo`0R0?oo
o`030000003oool0oooo0280oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?oo
o`030000003oool0oooo0280oooo00<000000?ooo`3oool0:@3oool001<0oooo00<000000?ooo`3o
ool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3o
ool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo000C0?ooo`800000
8`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool0
8P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo000C0?ooo`030000003o
ool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`030000003o
ool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Y0?ooo`004`3oool0
0`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08@3oool0
0`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0:@3oool0
01<0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo
0240oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo
02T0oooo000C0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000
oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000
oooo0?ooo`0Y0?ooo`004`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo
00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo
00<000000?ooo`3oool0:@3oool001<0oooo0P00000S0?ooo`030000003oool0oooo0280oooo00<0
00000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<0
00000?ooo`3oool0:@3oool001<0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R
0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R
0?ooo`030000003oool0oooo02T0oooo000C0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool08P3oool00`000000oooo0?ooo`0Y0?ooo`004`3oool00`000000oooo0?ooo`0R0?ooo`03
0000003oool0oooo0280oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`03
0000003oool0oooo0280oooo00<000000?ooo`3oool0:@3oool001<0oooo00<000000?ooo`3oool0
8P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool0
8P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo000C0?ooo`030000003o
ool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`030000003o
ool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Y0?ooo`004`3oool0
0`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08@3oool0
0`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0:@3oool0
01<0oooo0P00000S0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08@3oool00`00
0000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0:@3oool001<0
oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0240
oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0
oooo000C0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo
0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo
0?ooo`0Y0?ooo`004`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<0
00000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<0
00000?ooo`3oool0:@3oool001<0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R
0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R
0?ooo`030000003oool0oooo02T0oooo00040?ooo`060000003oool0oooo0?ooo`000000oooo1000
00050?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?oo
o`0Q0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?oo
o`0Y0?ooo`00103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo00040?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool2000002<0oooo00<000000?oo
o`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool08P3oool00`000000oooo0?ooo`0Y0?ooo`00103oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`03
0000003oool0oooo0240oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`03
0000003oool0oooo02T0oooo00040?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0
8@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0
:@3oool000<0oooo0P0000050?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool0
8P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool0
8P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo00040?ooo`030000003o
ool0oooo00@0oooo0P0000060?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3o
ool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3o
ool00`000000oooo0?ooo`0Y0?ooo`004`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0
oooo0280oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0
oooo0280oooo00<000000?ooo`3oool0:@3oool001<0oooo00<000000?ooo`3oool08P3oool00`00
0000oooo0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool08P3oool00`00
0000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo000C0?ooo`8000008`3oool00`000000
oooo0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool08P3oool00`000000
oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo000C0?ooo`030000003oool0oooo0280oooo
00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo
00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Y0?ooo`004`3oool00`000000oooo0?oo
o`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08@3oool00`000000oooo0?oo
o`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0:@3oool001<0oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo000C0?oo
o`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Q0?oo
o`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Y0?oo
o`004`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3o
ool08@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3o
ool0:@3oool001<0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000
003oool0oooo0240oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000
003oool0oooo02T0oooo000C0?ooo`8000008`3oool00`000000oooo0?ooo`0R0?ooo`030000003o
ool0oooo0240oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003o
ool0oooo02T0oooo000C0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool0
0`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool0
0`000000oooo0?ooo`0Y0?ooo`004`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo
0280oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo
0280oooo00<000000?ooo`3oool0:@3oool001<0oooo00<000000?ooo`3oool08P3oool00`000000
oooo0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool08P3oool00`000000
oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo000C0?ooo`030000003oool0oooo0280oooo
00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo
00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Y0?ooo`004`3oool00`000000oooo0?oo
o`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08@3oool00`000000oooo0?oo
o`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0:@3oool001<0oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo000C0?oo
o`8000008`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<000000?oo
o`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo000C0?ooo`03
0000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`03
0000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Y0?ooo`00
4`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0
8@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0
:@3oool001<0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003o
ool0oooo0240oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003o
ool0oooo02T0oooo00040?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?oo
o`0Q0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?oo
o`0Y0?ooo`00103oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo00040?oo
o`030000003oool0oooo00<0oooo1@0000040?ooo`8000008`3oool00`000000oooo0?ooo`0R0?oo
o`030000003oool0oooo0240oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?oo
o`030000003oool0oooo02T0oooo00040?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3o
ool000001@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool0:@3oool000@0oooo00<000000?ooo`3oool0103oool00`000000oooo000000050?ooo`03
0000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`03
0000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Y0?ooo`00
0`3oool2000000L0oooo0P0000050?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0
8P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0
8P3oool00`000000oooo0?ooo`0Y0?ooo`00103oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003o
ool0oooo0240oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003o
ool0oooo02T0oooo000C0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool0
0`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool0
0`000000oooo0?ooo`0Y0?ooo`004`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo
0280oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo
0280oooo00<000000?ooo`3oool0:@3oool001<0oooo0P00000S0?ooo`030000003oool0oooo0280
oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280
oooo00<000000?ooo`3oool0:@3oool001<0oooo00<000000?ooo`3oool08P3oool00`000000oooo
0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool08P3oool00`000000oooo
0?ooo`0R0?ooo`030000003oool0oooo02T0oooo000C0?ooo`030000003oool0oooo0280oooo00<0
00000?ooo`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<0
00000?ooo`3oool08P3oool00`000000oooo0?ooo`0Y0?ooo`004`3oool00`000000oooo0?ooo`0R
0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0R
0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0:@3oool001<0oooo00<000000?oo
o`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0240oooo00<000000?oo
o`3oool08P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02T0oooo000C0?ooo`03
0000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`03
0000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Y0?ooo`00
4`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0
8@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0
:@3oool001<0oooo9P00000T0?ooobD00000903ooolV000002/0oooo000C0?ooo`030000003oool0
oooo0>40oooo000C0?ooo`030000003oool0oooo0>40oooo000C0?ooo`030000003oool0oooo0>40
oooo003g0?ooo`00m`3oool00?L0oooo003g0?ooo`00\
\>"],
  ImageRangeCache->{{{153.125, 305.25}, {518.625, 425.063}} -> {-0.00823818, \
5.47805, 3.09275*^-05, 0.00733949}},
  CellTags->"IPM3.Sol.9.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Here is a function that picks out frequencies from the pentatonic scale, \
using essentially brownian motion ",
  Cell[BoxData[
      \(TraditionalForm\`1/f\^2\)]],
  " to select notes."
}], "SolutionItem",
  AutoSpacing->False,
  CounterAssignments->{{"SolutionItem", 8}},
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    \(pentatonic[n_Integer, r_ : 2] := 
      Module[{pscale, steps}, 
        pscale = {277.183, 311.13, 369.99, 415.30, 466.16, 554.37}; 
        steps = Table[Random[Integer, {\(-r\), r}], {n}]; 
        pscale\[LeftDoubleBracket]Mod[FoldList[Plus, 3, steps], 4] + 
            1\[RightDoubleBracket]]\)], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell["\<\
You could play a pentatonic \[OpenCurlyDoubleQuote]melody\
\[CloseCurlyDoubleQuote] as follows:\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    \(SetAttributes[PlayTones, Listable]\)], "Input",
  CellLabel->"In[16]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    \(PlayTones[freq_, time_:  0.5] := 
      Play[Sin[2\ \[Pi]\ t\ freq], {t, 0, time}]\)], "Input",
  CellLabel->"In[17]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(PlayTones[pentatonic[24]]\)], "Input",
  CellLabel->"In[18]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False], ",", 
        TagBox[\(\[SkeletonIndicator]  Sound  \[SkeletonIndicator]\),
          False,
          Editable->False]}], "}"}]], "Output",
  CellLabel->"Out[18]=",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "In this function, the notes are randomly chosen from the C major scale ",
  Cell[BoxData[
      \(TraditionalForm\`1/f\^0\)]],
  " and the durations are randomly chosen from the list that represents \
eighth notes, quarter notes, half notes, and whole notes (also ",
  Cell[BoxData[
      \(TraditionalForm\`1/f\^0\)]],
  "). ",
  StyleBox["PlayTones", "MR"],
  " accepts two arguments, so ",
  StyleBox["MapThread", "MR"],
  " threads corresponding notes and durations through ",
  StyleBox["PlayTones", "MR"],
  "."
}], "SolutionItem",
  AutoSpacing->False,
  CounterAssignments->{{"SolutionItem", 10}},
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    \(tonesAndTimes[n_] := 
      Module[{cmajor, notes, durs}, 
        cmajor = Table[N[261.62558\ 2\^\(j/12\)], {j, 0, 11}]; 
        notes := Table[
            cmajor\[LeftDoubleBracket]Random[
                Integer, {1, 12}]\[RightDoubleBracket], {n}]; 
        durs := Table[1\/2\^Random[Integer, {0, 3}], {n}]; 
        MapThread[PlayTones, {notes, durs}]]\)], "Input",
  CellLabel->"In[19]:=",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Following the implementation in the text, we first create ten steps \
between ",
  Cell[BoxData[
      \(TraditionalForm\`\(-2\)\)]],
  " and 2 (you can alter the range of step movements). These steps will \
determine how to move up or down the list of tone durations (1/8, 1/4, 1/2, \
1)."
}], "SolutionItem",
  CounterAssignments->{{"SolutionItem", 12}},
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(d10 = Table[Random[Integer, {\(-2\), 2}], {10}]\)], "Input",
  CellLabel->"In[20]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    \({0, 0, \(-2\), \(-1\), 2, 1, 2, 2, \(-2\), \(-2\)}\)], "Output",
  CellLabel->"Out[20]=",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Mod[FoldList[Plus, 0, d10], 4] + 1\)], "Input",
  CellLabel->"In[21]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    \({1, 1, 1, 3, 2, 4, 1, 3, 1, 3, 1}\)], "Output",
  CellLabel->"Out[21]=",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(durs = {1\/8, 1\/4, 1\/2, 
          1}\[LeftDoubleBracket]%\[RightDoubleBracket]\)], "Input",
  CellLabel->"In[22]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    \({1\/8, 1\/8, 1\/8, 1\/2, 1\/4, 1, 1\/8, 1\/2, 1\/8, 1\/2, 
      1\/8}\)], "Output",
  CellLabel->"Out[22]=",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],

Cell[TextData[{
  "Here are some ",
  Cell[BoxData[
      \(TraditionalForm\`1/f\^2\)]],
  " tones."
}], "SolutionNoLabel",
  AutoSpacing->False,
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(s10 = Table[Random[Integer, {\(-2\), 2}], {10}]\)], "Input",
  CellLabel->"In[23]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    \({\(-2\), \(-2\), \(-1\), \(-2\), \(-1\), 1, \(-2\), 2, \(-1\), 
      1}\)], "Output",
  CellLabel->"Out[23]=",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(pos = Mod[FoldList[Plus, 0, s10], 13] + 1\)], "Input",
  CellLabel->"In[24]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    \({1, 12, 10, 9, 7, 6, 7, 5, 7, 6, 7}\)], "Output",
  CellLabel->"Out[24]=",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Cmajor = Table[N[261.62558\ 2\^\(j/12\)], {j, 0, 12}]\)], "Input",
  CellLabel->"In[25]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    \({261.62558`, 277.1826465503454`, 293.6647844169278`, 
      311.1270012027136`, 329.62757543295515`, 349.2282510543507`, 
      369.9944434997272`, 391.99545800596655`, 415.3047209137904`, 
      440.0000247213478`, 466.1637877094457`, 493.8833290048991`, 
      523.25116`}\)], "Output",
  CellLabel->"Out[25]=",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Length[Cmajor]\)], "Input",
  CellLabel->"In[26]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    \(13\)], "Output",
  CellLabel->"Out[26]=",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(tones = Cmajor\[LeftDoubleBracket]pos\[RightDoubleBracket]\)], "Input",
  CellLabel->"In[27]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    \({261.62558`, 493.8833290048991`, 440.0000247213478`, 
      415.3047209137904`, 369.9944434997272`, 349.2282510543507`, 
      369.9944434997272`, 329.62757543295515`, 369.9944434997272`, 
      349.2282510543507`, 369.9944434997272`}\)], "Output",
  CellLabel->"Out[27]=",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],

Cell[BoxData[
    \(\(MapThread[PlayTones, {tones, durs}];\)\)], "Input",
  CellLabel->"In[28]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell["\<\
And finally, here is one function that puts this all together.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    \(tonesAndTimes2[n_] := 
      Module[{cmajor, tones, durs, d, t}, 
        cmajor = Table[N[261.62558\ 2\^\(j/12\)], {j, 0, 12}]; 
        d = Table[Random[Integer, {\(-2\), 2}], {n}]; 
        durs = {1\/8, 1\/4, 1\/2, 1}\[LeftDoubleBracket]
            Mod[FoldList[Plus, 0, d], 4] + 1\[RightDoubleBracket]; 
        t = Table[Random[Integer, {\(-2\), 2}], {n}]; 
        tones = cmajor\[LeftDoubleBracket]
            Mod[FoldList[Plus, 0, t], 13] + 1\[RightDoubleBracket]; 
        MapThread[PlayTones, {tones, durs}]]\)], "Input",
  CellLabel->"In[29]:=",
  CellTags->"IPM3.Sol.9.3"],

Cell[BoxData[
    \(\(tonesAndTimes2[12];\)\)], "Input",
  CellLabel->"In[30]:=",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["10 Front end programming", "SolutionsSection",
  CellTags->"c:10"],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["10.2",
    ButtonData:>"IPM3.10.2.3",
    ButtonStyle->"SolutionsLink"],
  "  The structure of cells and notebooks"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.10.2"],

Cell[CellGroupData[{

Cell["Here is the expression to create the notebook.", "SolutionItem",
  CellTags->"IPM3.Sol.10.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(nb = 
      NotebookPut[\[IndentingNewLine]Notebook[{\[IndentingNewLine]Cell["\<\
Demo Notebook\>", "\<Title\>"], 
            Cell["\<Section 1: Sample Cells\>", "\<Section\>"], \
\[IndentingNewLine]Cell["\<This is a text cell\>", "\<Text\>"], \
\[IndentingNewLine]Cell["\<2(3+5)\>", "\<Input\>"], \[IndentingNewLine]Cell["\
\<1+2+3\>", "\<Input\>"]}]\[IndentingNewLine]]\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.10.2"],

Cell[BoxData[
    InterpretationBox[\(NotebookObject[\[LeftSkeleton]"Untitled-3"\
\[RightSkeleton]]\),
      NotebookObject[ 
        FrontEndObject[ 
          LinkObject[ "973_shm", 1, 1]], 24],
      Editable->False]], "Output",
  CellLabel->"Out[1]=",
  CellTags->"IPM3.Sol.10.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "First we read the notebook from Exercise 1 into the kernel with ",
  StyleBox["NotebookGet", "MR"],
  "."
}], "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.10.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(nbkernel = NotebookGet[nb]\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.10.2"],

Cell[BoxData[
    \(Notebook[{Cell[
          CellGroupData[{Cell["Demo Notebook", "Title"], 
              Cell[CellGroupData[{Cell["Section 1: Sample Cells", "Section"], 
                    Cell["This is a text cell", "Text"], 
                    Cell["2(3+5)", "Input"], Cell["1+2+3", "Input"]}, 
                  Open]]}, Open]]}, 
      FrontEndVersion \[Rule] "5.1 for Microsoft Windows", 
      ScreenRectangle \[Rule] {{0.`, 1024.`}, {0.`, 681.`}}]\)], "Output",
  CellLabel->"Out[2]=",
  CellTags->"IPM3.Sol.10.2"]
}, Closed]],

Cell[TextData[{
  "Then we do a substitution on cells that contain ",
  StyleBox["\"Section\"", "MR"],
  " as their second argument (their style) and finally use ",
  StyleBox["NotebookPut", "MR"],
  " to display the resulting notebook in the front end."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(NotebookPut[
      nbkernel /. 
        Cell[str_, "\<Section\>"] \[Rule] 
          Cell[str, "\<Subsection\>"]]\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.10.2"],

Cell[BoxData[
    InterpretationBox[\(NotebookObject[\[LeftSkeleton]"Untitled-4"\
\[RightSkeleton]]\),
      NotebookObject[ 
        FrontEndObject[ 
          LinkObject[ "973_shm", 1, 1]], 25],
      Editable->False]], "Output",
  CellLabel->"Out[3]=",
  CellTags->"IPM3.Sol.10.2"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["10.3",
    ButtonData:>"IPM3.10.3.4",
    ButtonStyle->"SolutionsLink"],
  "  Cell data types"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.10.3"],

Cell[CellGroupData[{

Cell[TextData[{
  "Here is the notebook object with three ",
  StyleBox["ValueBox", "MR"],
  "es."
}], "SolutionItem",
  CellTags->"IPM3.Sol.10.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(nb = 
      NotebookPut[\[IndentingNewLine]Notebook[{\[IndentingNewLine]Cell[
              TextData[{"\<The current version is \>", 
                  ValueBox["\<$Version\>"]}], "\<Text\>"], \
\[IndentingNewLine]Cell[
              TextData[{"\<The operating system is \>", 
                  ValueBox["\<$OperatingSystem\>"]}], "\<Text\>"], \
\[IndentingNewLine]Cell[
              TextData[{"\<Current user is \>", 
                  ValueBox["\<$UserName\>"]}], \
"\<Text\>"]\[IndentingNewLine]}]]\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.10.3"],

Cell[BoxData[
    InterpretationBox[\(NotebookObject[\[LeftSkeleton]"Untitled-5"\
\[RightSkeleton]]\),
      NotebookObject[ 
        FrontEndObject[ 
          LinkObject[ "973_shm", 1, 1]], 26],
      Editable->False]], "Output",
  CellLabel->"Out[1]=",
  CellTags->"IPM3.Sol.10.3"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["10.4",
    ButtonData:>"IPM3.10.4.3",
    ButtonStyle->"SolutionsLink"],
  "  GridBoxes"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.10.4"],

Cell[CellGroupData[{

Cell["\<\
There are several ways of approaching this problem. One way is to create a \
function that contains the formatting rules for the heading.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.10.4"],

Cell[BoxData[
    \(\(headstyle[str_] := 
        StyleBox[\((MakeBoxes[#, StandardForm] &)\)[str], 
          FontFamily \[Rule] "\<Helvetica\>", FontWeight \[Rule] "\<Bold\>", 
          FontColor \[Rule] RGBColor[0, 0, 1], 
          FontSize \[Rule] 10];\)\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.10.4"],

Cell["Here are some sample strings for the heading.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.4"],

Cell[BoxData[
    \(\(headings = {"\<first\>", "\<second\>", "\<third\>"};\)\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.10.4"],

Cell[BoxData[
    \(\(data = {{"\<\[Alpha]\>", "\<\[Beta]\>", "\<\[Gamma]\>"}, {1.234, 
            2.3451, 3.4567801}, {SqrtBox["\<\[Pi]\>"], \
\*"\"\<\!\(x\/y\)\>\"", "\<\[CapitalGamma](n)\>"}};\)\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.10.4"],

Cell["\<\
We now need to create a list of the headings together with their styles and \
prepend it to the original data. This way the headings will be the first row \
of the new data set.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Prepend[data, Map[headstyle, headings]]\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.10.4"],

Cell[BoxData[
    \({{StyleBox["\"first\"", FontFamily \[Rule] "Helvetica", 
          FontWeight \[Rule] "Bold", FontColor \[Rule] RGBColor[0, 0, 1], 
          FontSize \[Rule] 10], 
        StyleBox["\"second\"", FontFamily \[Rule] "Helvetica", 
          FontWeight \[Rule] "Bold", FontColor \[Rule] RGBColor[0, 0, 1], 
          FontSize \[Rule] 10], 
        StyleBox["\"third\"", FontFamily \[Rule] "Helvetica", 
          FontWeight \[Rule] "Bold", FontColor \[Rule] RGBColor[0, 0, 1], 
          FontSize \[Rule] 10]}, {"\[Alpha]", "\[Beta]", 
        "\[Gamma]"}, {1.234`, 2.3451`, 3.4567801`}, {SqrtBox["\[Pi]"], 
        "\!\(x\/y\)", "\[CapitalGamma](n)"}}\)], "Output",
  CellLabel->"Out[4]=",
  CellTags->"IPM3.Sol.10.4"]
}, Closed]],

Cell[BoxData[
    \(ShowTable[data_, headings_List] := 
      DisplayForm[
        StyleBox[\[IndentingNewLine]GridBox[
            Prepend[data, 
              Map[headstyle, headings]], \[IndentingNewLine]GridFrame \[Rule] 
              2, GridFrameMargins \[Rule] {{1, 1}, {1, 
                  1}}, \[IndentingNewLine]RowLines \[Rule] 1, 
            ColumnLines \[Rule] 
              1], \[IndentingNewLine]FontFamily \[Rule] "\<Times\>", \
\[IndentingNewLine]Background \[Rule] GrayLevel[ .8], 
          SingleLetterItalics \[Rule] True\[IndentingNewLine]]]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.10.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ShowTable[data, {"\<first\>", "\<second\>", "\<third\>"}]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.10.4"],

Cell[BoxData[
    TagBox[
      StyleBox[GridBox[{
            {
              StyleBox["\<\"first\"\>",
                FontFamily->"Helvetica",
                FontSize->10,
                FontWeight->"Bold",
                FontColor->RGBColor[0, 0, 1]], 
              StyleBox["\<\"second\"\>",
                FontFamily->"Helvetica",
                FontSize->10,
                FontWeight->"Bold",
                FontColor->RGBColor[0, 0, 1]], 
              StyleBox["\<\"third\"\>",
                FontFamily->"Helvetica",
                FontSize->10,
                FontWeight->"Bold",
                FontColor->RGBColor[0, 0, 1]]},
            {"\[Alpha]", "\[Beta]", "\[Gamma]"},
            {"1.234", "2.3451", "3.4567801"},
            {\(\@\[Pi]\), \(x\/y\), \(\[CapitalGamma] \((n)\)\)}
            },
          GridFrame->2,
          GridFrameMargins->True,
          RowLines->True,
          ColumnLines->True],
        SingleLetterItalics->True,
        FontFamily->"Times",
        Background->GrayLevel[0.8]],
      DisplayForm]], "Output",
  CellLabel->"Out[6]//DisplayForm=",
  CellTags->"IPM3.Sol.10.4"]
}, Closed]],

Cell[TextData[{
  "A cleaner approach would be to set up the headings as an option to ",
  StyleBox["ShowTable", "MR"],
  ". In addition, the header formatting should be incorporated into ",
  StyleBox["ShowTable", "MR"],
  ". Here is one approach."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.4"],

Cell[BoxData[
    \(\(Options[ShowTable] = {Headings \[Rule] {}};\)\)], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.10.4"],

Cell[BoxData[
    RowBox[{\(ShowTable[data_, opts___?OptionQ]\), ":=", 
      RowBox[{"Module", "[", 
        RowBox[{\({headstyle, headings}\), ",", "\[IndentingNewLine]", 
          
          RowBox[{\(headstyle[str_] := 
              StyleBox[\((MakeBoxes[#, StandardForm] &)\)@str, 
                FontFamily -> "\<Helvetica\>", FontWeight \[Rule] "\<Bold\>", 
                FontColor \[Rule] RGBColor[0, 0, 1], FontSize \[Rule] 10]\), 
            ";", "\[IndentingNewLine]", 
            
            StyleBox[\(headings = \(Headings /. Flatten[{opts}]\) /. 
                  Options[ShowTable]\),
              "Color3"], 
            StyleBox[";",
              "Color3"], 
            "\[IndentingNewLine]", \(DisplayForm[
              StyleBox[\[IndentingNewLine]GridBox[
                  Prepend[data, 
                    Map[headstyle, 
                      headings]], \[IndentingNewLine]GridFrame \[Rule] 2, 
                  GridFrameMargins \[Rule] {{1, 1}, {1, 
                        1}}, \[IndentingNewLine]RowLines \[Rule] 1, 
                  ColumnLines \[Rule] 
                    1], \[IndentingNewLine]FontFamily \[Rule] "\<Times\>", \
\[IndentingNewLine]Background \[Rule] GrayLevel[ .8], 
                SingleLetterItalics \[Rule] True\[IndentingNewLine]]]\)}]}], 
        "]"}]}]], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.10.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ShowTable[data, 
      Headings \[Rule] {"\<premier\>", "\<deuxieme\>", "\<troisieme\>"}]\)], \
"Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.10.4"],

Cell[BoxData[
    TagBox[
      StyleBox[GridBox[{
            {
              StyleBox["\<\"premier\"\>",
                FontFamily->"Helvetica",
                FontSize->10,
                FontWeight->"Bold",
                FontColor->RGBColor[0, 0, 1]], 
              StyleBox["\<\"deuxieme\"\>",
                FontFamily->"Helvetica",
                FontSize->10,
                FontWeight->"Bold",
                FontColor->RGBColor[0, 0, 1]], 
              StyleBox["\<\"troisieme\"\>",
                FontFamily->"Helvetica",
                FontSize->10,
                FontWeight->"Bold",
                FontColor->RGBColor[0, 0, 1]]},
            {"\[Alpha]", "\[Beta]", "\[Gamma]"},
            {"1.234", "2.3451", "3.4567801"},
            {\(\@\[Pi]\), \(x\/y\), \(\[CapitalGamma] \((n)\)\)}
            },
          GridFrame->2,
          GridFrameMargins->True,
          RowLines->True,
          ColumnLines->True],
        SingleLetterItalics->True,
        FontFamily->"Times",
        Background->GrayLevel[0.8]],
      DisplayForm]], "Output",
  CellLabel->"Out[9]//DisplayForm=",
  CellTags->"IPM3.Sol.10.4"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
First, here is the table of all possible truth values for three variables. We \
will generalize this below.\
\>", "SolutionItem",
  CounterAssignments->{{"SolutionItem", 2}},
  CellTags->"IPM3.Sol.10.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ins = 
      Distribute[Table[{True, \ False}, \ {3}], \ List, \ List, \ 
        List]\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.10.4"],

Cell[BoxData[
    \({{True, True, True}, {True, True, False}, {True, False, True}, {True, 
        False, False}, {False, True, True}, {False, True, False}, {False, 
        False, True}, {False, False, False}}\)], "Output",
  CellLabel->"Out[10]=",
  CellTags->"IPM3.Sol.10.4"]
}, Closed]],

Cell["Here is the logical expression.", "SolutionNoLabel"],

Cell[CellGroupData[{

Cell[BoxData[
    \(expr = Implies[Or[A, \ B], \ C]\)], "Input",
  CellLabel->"In[11]:="],

Cell[BoxData[
    \(Implies[A || B, C]\)], "Output",
  CellLabel->"Out[11]="]
}, Closed]],

Cell["\<\
This creates a set of rules for all possible truth value combinations.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.4"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(vars = {A, B, C};\)\), "\[IndentingNewLine]", 
    \(Map[Thread[vars \[Rule] #] &, ins]\)}], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.10.4"],

Cell[BoxData[
    \({{A \[Rule] True, B \[Rule] True, C \[Rule] True}, {A \[Rule] True, 
        B \[Rule] True, C \[Rule] False}, {A \[Rule] True, B \[Rule] False, 
        C \[Rule] True}, {A \[Rule] True, B \[Rule] False, 
        C \[Rule] False}, {A \[Rule] False, B \[Rule] True, 
        C \[Rule] True}, {A \[Rule] False, B \[Rule] True, 
        C \[Rule] False}, {A \[Rule] False, B \[Rule] False, 
        C \[Rule] True}, {A \[Rule] False, B \[Rule] False, 
        C \[Rule] False}}\)], "Output",
  CellLabel->"Out[13]=",
  CellTags->"IPM3.Sol.10.4"]
}, Closed]],

Cell["\<\
And here we substitute these rules into the logical expression we are working \
with.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(expr /. %\)], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.10.4"],

Cell[BoxData[
    \({True, False, True, False, True, False, True, True}\)], "Output",
  CellLabel->"Out[14]=",
  CellTags->"IPM3.Sol.10.4"]
}, Closed]],

Cell[TextData[{
  "Here then is the ",
  StyleBox["TruthTable", "MR"],
  " function."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.4"],

Cell[BoxData[
    \(TruthTable[expr_, vars_] := 
      Module[{len = Length[vars], n}, 
        ins = Distribute[Table[{True, \ False}, \ {len}], \ List, \ List, \ 
            List]; res = \((expr /. \[InvisibleSpace]Thread[
                    vars \[Rule] #1] &)\) /@ ins; 
        DisplayForm[
          GridBox[Prepend[
              Transpose[
                  Append[Transpose[
                      ins], \((If[\(! MemberQ[{True, 
                                  False}, #1]\), "\<*\>", #1] &)\) /@ 
                      res]] /. \[InvisibleSpace]{True \[Rule] "\<T\>", 
                  False \[Rule] "\<F\>"}, 
              Append[vars, TraditionalForm[expr]]], 
            GridFrame \[Rule] True, \[IndentingNewLine]RowLines \[Rule] 
              Prepend[Table[0, {Length[res] - 1}], 2], 
            ColumnLines \[Rule] 
              Append[Table[0, {Length[vars] - 1}], 2]]]]\)], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.10.4"],

Cell[CellGroupData[{

Cell[BoxData[
    \(TruthTable[Implies[A || B, C], {A, B, C}]\)], "Input",
  CellLabel->"In[16]:=",
  CellTags->"IPM3.Sol.10.4"],

Cell[BoxData[
    TagBox[GridBox[{
          {"A", "B", "C", 
            TagBox[
              FormBox[\(\((A \[Or] B)\) \[Implies] C\),
                "TraditionalForm"],
              TraditionalForm,
              Editable->True]},
          {"T", "T", "T", "T"},
          {"T", "T", "F", "F"},
          {"T", "F", "T", "T"},
          {"T", "F", "F", "F"},
          {"F", "T", "T", "T"},
          {"F", "T", "F", "F"},
          {"F", "F", "T", "T"},
          {"F", "F", "F", "T"}
          },
        GridFrame->True,
        RowLines->{2, False},
        ColumnLines->{False, False, 2}],
      DisplayForm]], "Output",
  CellLabel->"Out[16]//DisplayForm=",
  CellTags->"IPM3.Sol.10.4"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["10.5",
    ButtonData:>"IPM3.10.5.6",
    ButtonStyle->"SolutionsLink"],
  "  Buttons"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.10.5"],

Cell[CellGroupData[{

Cell[TextData[{
  "Here is the code for the ",
  StyleBox["Plot3D", "MR"],
  " template button."
}], "SolutionItem",
  CellTags->"IPM3.Sol.10.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ButtonBox["\<Plot3D[fun,{x,xmin,xmax},{y,ymin,ymax}]\>", 
        Active \[Rule] True] // DisplayForm\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.10.5"],

Cell[BoxData[
    TagBox[
      ButtonBox[\(Plot3D[fun, {x, xmin, xmax}, {y, ymin, ymax}]\),
        Active->True],
      DisplayForm]], "Output",
  CellLabel->"Out[1]//DisplayForm=",
  CellTags->"IPM3.Sol.10.5"]
}, Closed]],

Cell["Alternately, you can use placeholders.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ButtonBox["\<Plot3D[\[Placeholder],{\[Placeholder],\[Placeholder],\
\[Placeholder]},{\[Placeholder],\[Placeholder],\[Placeholder]}]\>", 
        Active \[Rule] True] // DisplayForm\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.10.5"],

Cell[BoxData[
    TagBox[
      ButtonBox[\(Plot3D[\[Placeholder], {\[Placeholder], \[Placeholder], \
\[Placeholder]}, {\[Placeholder], \[Placeholder], \[Placeholder]}]\),
        Active->True],
      DisplayForm]], "Output",
  CellLabel->"Out[2]//DisplayForm=",
  CellTags->"IPM3.Sol.10.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Here is the code to create the ",
  StyleBox["Expand", "MR"],
  " button."
}], "SolutionItem",
  CellTags->"IPM3.Sol.10.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ButtonBox["\<Expand[\[SelectionPlaceholder]]\>", Active \[Rule] True, 
        ButtonStyle \[Rule] "\<CopyEvaluateCell\>"] // DisplayForm\)], "Input",\

  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.10.5"],

Cell[BoxData[
    TagBox[
      ButtonBox[\(Expand[\[SelectionPlaceholder]]\),
        Active->True,
        ButtonStyle->"CopyEvaluateCell"],
      DisplayForm]], "Output",
  CellLabel->"Out[3]//DisplayForm=",
  CellTags->"IPM3.Sol.10.5"]
}, Closed]],

Cell[TextData[{
  "Selecting the expression below and then clicking the ",
  StyleBox["Expand", "MR"],
  " button will cause a new input cell to be created with ",
  StyleBox["Expand", "MR"],
  " wrapped around the selected expression; then that cell will be evaluated \
to produce the expanded polynomial below."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.5"],

Cell[BoxData[
    \(\((\[Alpha] + \[Beta] - \[Gamma])\)\^5\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.10.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Expand[\((\[Alpha] + \[Beta] - \[Gamma])\)\^5]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.10.5"],

Cell[BoxData[
    \(\[Alpha]\^5 + 5\ \[Alpha]\^4\ \[Beta] + 10\ \[Alpha]\^3\ \[Beta]\^2 + 
      10\ \[Alpha]\^2\ \[Beta]\^3 + 5\ \[Alpha]\ \[Beta]\^4 + \[Beta]\^5 - 
      5\ \[Alpha]\^4\ \[Gamma] - 20\ \[Alpha]\^3\ \[Beta]\ \[Gamma] - 
      30\ \[Alpha]\^2\ \[Beta]\^2\ \[Gamma] - 
      20\ \[Alpha]\ \[Beta]\^3\ \[Gamma] - 5\ \[Beta]\^4\ \[Gamma] + 
      10\ \[Alpha]\^3\ \[Gamma]\^2 + 30\ \[Alpha]\^2\ \[Beta]\ \[Gamma]\^2 + 
      30\ \[Alpha]\ \[Beta]\^2\ \[Gamma]\^2 + 10\ \[Beta]\^3\ \[Gamma]\^2 - 
      10\ \[Alpha]\^2\ \[Gamma]\^3 - 20\ \[Alpha]\ \[Beta]\ \[Gamma]\^3 - 
      10\ \[Beta]\^2\ \[Gamma]\^3 + 5\ \[Alpha]\ \[Gamma]\^4 + 
      5\ \[Beta]\ \[Gamma]\^4 - \[Gamma]\^5\)], "Output",
  CellLabel->"Out[5]=",
  CellTags->"IPM3.Sol.10.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Here is the code for the palette. ", "SolutionItem",
  CellTags->"IPM3.Sol.10.5"],

Cell["\<\
Cell[BoxData[GridBox[{
        {
          ButtonBox[
            RowBox[{\"Expand\", \"[\", \"\[SelectionPlaceholder]\", \"]\"}],
            ButtonStyle->\"CopyEvaluateCell\",
            Active->True, ButtonEvaluator->Automatic]},
        {
          ButtonBox[
            RowBox[{\"Factor\", \"[\", \"\[SelectionPlaceholder]\", \"]\"}],
            ButtonStyle->\"CopyEvaluateCell\",
            Active->True, ButtonEvaluator->Automatic]},
        {
          ButtonBox[
            RowBox[{\"Apart\", \"[\", \"\[SelectionPlaceholder]\", \"]\"}],
            ButtonStyle->\"CopyEvaluateCell\",
            Active->True, ButtonEvaluator->Automatic]},
        {
          ButtonBox[
            RowBox[{\"Together\", \"[\", \"\[SelectionPlaceholder]\", \
\"]\"}],
            ButtonStyle->\"CopyEvaluateCell\",
            Active->True, ButtonEvaluator->Automatic]}
        },
      RowSpacings->0,
      ColumnSpacings->0]], \"Input\"]\
\>", "Program",
  CellTags->"IPM3.Sol.10.5"],

Cell["\<\
Here is how the palette looks when the above expression is formatted.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.5"],

Cell[BoxData[GridBox[{
        {
          ButtonBox[\(Expand[\[SelectionPlaceholder]]\),
            ButtonEvaluator->Automatic,
            Active->True,
            ButtonStyle->"CopyEvaluateCell"]},
        {
          ButtonBox[\(Factor[\[SelectionPlaceholder]]\),
            ButtonEvaluator->Automatic,
            Active->True,
            ButtonStyle->"CopyEvaluateCell"]},
        {
          ButtonBox[\(Apart[\[SelectionPlaceholder]]\),
            ButtonEvaluator->Automatic,
            Active->True,
            ButtonStyle->"CopyEvaluateCell"]},
        {
          ButtonBox[\(Together[\[SelectionPlaceholder]]\),
            ButtonEvaluator->Automatic,
            Active->True,
            ButtonStyle->"CopyEvaluateCell"]}
        },
      RowSpacings->0,
      ColumnSpacings->0]], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.10.5"],

Cell[TextData[{
  "If you wanted to turn this into a free-standing palette, select the above \
cell and choose ",
  StyleBox["Generate Palette from Selection", "SR"],
  " from the ",
  StyleBox["File", "SR"],
  " menu."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.5"],

Cell[TextData[{
  "Notice that in the code for the palette, each of the buttons used the same \
three options, ",
  StyleBox["ButtonStyle", "MR"],
  ", ",
  StyleBox["Active", "MR"],
  ", and ",
  StyleBox["ButtonEvaluator", "MR"],
  ", with identical values. Using ",
  StyleBox["ButtonBoxOptions", "MR"],
  ", we can set each value once at the ",
  StyleBox["GridBox", "MR"],
  " level and each of the buttons will inherit the option, This cleans up the \
code considerably."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.5"],

Cell["\<\
Cell[BoxData[GridBox[{
        {
          ButtonBox[
            RowBox[{\"Expand\", \"[\", \"\[SelectionPlaceholder]\", \
\"]\"}]]},
        {
          ButtonBox[
            RowBox[{\"Factor\", \"[\", \"\[SelectionPlaceholder]\", \
\"]\"}]]},
        {
          ButtonBox[
            RowBox[{\"Apart\", \"[\", \"\[SelectionPlaceholder]\", \"]\"}]]},
        {
          ButtonBox[
            RowBox[{\"Together\", \"[\", \"\[SelectionPlaceholder]\", \
\"]\"}]]}
        },
      RowSpacings->0,
      ColumnSpacings->0]], \"Input\",
      ButtonBoxOptions->{ButtonStyle->\"CopyEvaluateCell\",
            Active->True, ButtonEvaluator->Automatic}
\t]\
\>", "Program",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.10.5"],

Cell[TextData[{
  "Finally, here is the formatted palette with an input cell and the result \
of selecting that input cell and clicking the ",
  StyleBox["Together[\[SelectionPlaceholder]]", "MR"],
  " button."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.5"],

Cell[BoxData[GridBox[{
        {
          ButtonBox[\(Expand[\[SelectionPlaceholder]]\)]},
        {
          ButtonBox[\(Factor[\[SelectionPlaceholder]]\)]},
        {
          ButtonBox[\(Apart[\[SelectionPlaceholder]]\)]},
        {
          ButtonBox[\(Together[\[SelectionPlaceholder]]\)]}
        },
      RowSpacings->0,
      ColumnSpacings->0]], "Input",
  CellLabel->"In[7]:=",
  ButtonBoxOptions->{ButtonEvaluator->Automatic,
  Active->True,
  ButtonStyle->"CopyEvaluateCell"},
  CellTags->"IPM3.Sol.10.5"],

Cell[BoxData[
    \(1\/x + 1\/y\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.10.5"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Together[1\/x + 1\/y]\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.10.5"],

Cell[BoxData[
    \(\(x + y\)\/\(x\ y\)\)], "Output",
  CellLabel->"Out[9]=",
  CellTags->"IPM3.Sol.10.5"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["11 Examples and applications", "SolutionsSection",
  PageBreakAbove->True,
  CellTags->"c:11"],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["11.1",
    ButtonData:>"IPM3.11.1.6",
    ButtonStyle->"SolutionsLink"],
  "  Manipulating data files"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{

Cell[TextData[{
  "We first borrow the options from ",
  StyleBox["ReadList", "MR"],
  " that we wish to pass into ",
  StyleBox["ReadSolarData", "MR"],
  "."
}], "SolutionItem",
  CellTags->"IPM3.Sol.11.1"],

Cell[BoxData[
    \(\(Options[
          ReadSolarData] = {\[IndentingNewLine]WordSeparators \[Rule] \
"\<,\>", \[IndentingNewLine]RecordLists -> 
            True, \[IndentingNewLine]RecordSeparators \[Rule] {"\<\r\n\>", \
"\<\n\>", "\<\r\>"}\[IndentingNewLine]};\)\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell[BoxData[
    \(ReadSolarData[file_, opts___?OptionQ] := 
      Module[{ws, rl, rs, raw, 
          data}, \[IndentingNewLine]{ws, rl, 
            rs} = \({WordSeparators, RecordLists, RecordSeparators} /. 
              Flatten[{opts}]\) /. 
            Options[ReadSolarData]; \[IndentingNewLine]raw = 
          ReadList[file, Word, RecordLists \[Rule] rl, 
            RecordSeparators \[Rule] rs, 
            WordSeparators \[Rule] ws]; \[IndentingNewLine]data = 
          Select[raw, StringTake[#[\([1]\)], 1] =!= "\<\"\>" &]; \n
        Map[ToExpression, data, {2}]\[IndentingNewLine]]\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(datafile = 
      ToFileName[{"\<IPM3\>", "\<DataFiles\>"}, "\<23232.txt\>"]\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell[BoxData[
    \("IPM3\\DataFiles\\23232.txt"\)], "Output",
  CellLabel->"Out[3]=",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],

Cell[BoxData[
    \(\(data = ReadSolarData[datafile];\)\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell[TextData[{
  "Now we can use the ",
  StyleBox["GetData", "MR"],
  " function developed in Section 11.1 to select those records that fall \
between certain dates."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],

Cell[BoxData[
    \(GetData[dat_, {m1_, y1_}, {m2_, y2_}] := 
      Select[dat, \((#[\([1]\)] \[Equal] y1 && #[\([2]\)] \[GreaterEqual] 
                  m1)\) || \((#[\([1]\)] \[Equal] 
                  y2 && #[\([2]\)] \[LessEqual] m2)\) &]\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell["\<\
For example, here are the records between November 1976 and March 1977.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(GetData[data, {11, 76}, {3, 77}]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell[BoxData[
    \({{76, 11, 2.5`, 3.5`, 3.9`, 4.1`, 3.6`, 3.5`, 4.3`, 4.6`, 4.8`, 4.8`, 
        2.7`, 2.2`, 3.1`, 3.2`}, {76, 12, 2.3`, 3.7`, 4.4`, 4.7`, 4.4`, 3.5`, 
        4.6`, 5.1`, 5.4`, 5.5`, 3.6`, 2.5`, 3.8`, 4.1`}, {77, 1, 1.9`, 2.5`, 
        2.7`, 2.8`, 2.4`, 2.3`, 2.8`, 3.`, 3.1`, 3.1`, 1.5`, 1.1`, 1.6`, 
        1.7`}, {77, 2, 3.3`, 4.5`, 4.9`, 5.1`, 4.3`, 4.7`, 5.6`, 5.9`, 6.1`, 
        6.1`, 3.4`, 3.1`, 4.1`, 4.2`}, {77, 3, 4.8`, 5.8`, 6.1`, 6.`, 4.4`, 
        6.8`, 7.6`, 7.8`, 7.7`, 7.8`, 4.2`, 4.8`, 5.6`, 5.6`}}\)], "Output",
  CellLabel->"Out[6]=",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
First we need to read the data using the function created in the previous \
exercise.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(datafile = 
      ToFileName[{"\<IPM3\>", "\<DataFiles\>"}, "\<23232.txt\>"]\)], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell[BoxData[
    \("IPM3\\DataFiles\\23232.txt"\)], "Output",
  CellLabel->"Out[7]=",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],

Cell[BoxData[
    \(\(data = ReadSolarData[datafile];\)\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell["Here is the first row of the extracted data.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(data[\([1]\)]\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell[BoxData[
    \({61, 1, 1.6`, 1.9`, 2.`, 2.`, 1.6`, 1.7`, 2.`, 2.`, 2.1`, 2.1`, 0.7`, 
      0.5`, 0.8`, 0.8`}\)], "Output",
  CellLabel->"Out[9]=",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],

Cell["\<\
For 1961, we want to extract the elements in the sixth column and add them; \
then repeat for each of the successive years. For example, this function \
selects all those rows that start with 61, then pulls off all sixth column \
elements. \
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Part[Select[data, \((#[\([1]\)] == 61)\) &], All, 6]\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell[BoxData[
    \({2.`, 4.4`, 5.1`, 6.4`, 5.7`, 6.`, 6.3`, 6.2`, 6.8`, 5.9`, 4.2`, 
      2.3`}\)], "Output",
  CellLabel->"Out[10]=",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Length[%]\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell[BoxData[
    \(12\)], "Output",
  CellLabel->"Out[11]=",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],

Cell["\<\
The total solar radiation for 1961 is the sum of these values.\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Apply[Plus, 
      Part[Select[data, \((#[\([1]\)] == 61)\) &], All, 6]]\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell[BoxData[
    \(61.3`\)], "Output",
  CellLabel->"Out[12]=",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],

Cell["\<\
Here are the minimum and maximum years (from the first column).\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \({ymin, ymax} = 
      Map[{Min[#], Max[#]} &, Part[data, All, 1], {0}]\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell[BoxData[
    \({61, 90}\)], "Output",
  CellLabel->"Out[13]=",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(yearlydata = 
      Table[Apply[Plus, 
          Part[Select[data, \((#[\([1]\)] == y)\) &], All, 6]], {y, ymin, 
          ymax}]\)], "Input",
  CellLabel->"In[14]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell[BoxData[
    \({61.3`, 63.099999999999994`, 56.89999999999999`, 63.89999999999999`, 
      61.199999999999996`, 63.60000000000001`, 61.1`, 60.699999999999996`, 
      63.199999999999996`, 62.39999999999999`, 63.49999999999999`, 61.`, 
      60.699999999999996`, 63.4`, 63.6`, 66.60000000000001`, 
      62.900000000000006`, 62.2`, 63.4`, 63.10000000000001`, 
      61.599999999999994`, 58.8`, 55.7`, 63.1`, 62.00000000000001`, 
      62.99999999999999`, 64.5`, 65.3`, 64.5`, 
      67.39999999999999`}\)], "Output",
  CellLabel->"Out[14]=",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],

Cell[BoxData[
    \(<< Graphics`MultipleListPlot`\)], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(MultipleListPlot[yearlydata, SymbolShape \[Rule] Stem];\)\)], "Input",\

  CellLabel->"In[16]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.031746 0.0147151 0.00873299 [
[.18254 .00222 -4.5 -11.875 ]
[.18254 .00222 4.5 0 ]
[.34127 .00222 -7 -11.875 ]
[.34127 .00222 7 0 ]
[.5 .00222 -7 -11.875 ]
[.5 .00222 7 0 ]
[.65873 .00222 -7 -11.875 ]
[.65873 .00222 7 0 ]
[.81746 .00222 -7 -11.875 ]
[.81746 .00222 7 0 ]
[.97619 .00222 -7 -11.875 ]
[.97619 .00222 7 0 ]
[.01131 .10205 -14 -5.9375 ]
[.01131 .10205 0 5.9375 ]
[.01131 .18937 -14 -5.9375 ]
[.01131 .18937 0 5.9375 ]
[.01131 .2767 -14 -5.9375 ]
[.01131 .2767 0 5.9375 ]
[.01131 .36403 -14 -5.9375 ]
[.01131 .36403 0 5.9375 ]
[.01131 .45136 -14 -5.9375 ]
[.01131 .45136 0 5.9375 ]
[.01131 .53869 -14 -5.9375 ]
[.01131 .53869 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.18254 .01472 m
.18254 .02097 L
s
gsave
.18254 .00222 -65.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(5) show
1.000 setlinewidth
grestore
.34127 .01472 m
.34127 .02097 L
s
gsave
.34127 .00222 -68 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(10) show
1.000 setlinewidth
grestore
.5 .01472 m
.5 .02097 L
s
gsave
.5 .00222 -68 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(15) show
1.000 setlinewidth
grestore
.65873 .01472 m
.65873 .02097 L
s
gsave
.65873 .00222 -68 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(20) show
1.000 setlinewidth
grestore
.81746 .01472 m
.81746 .02097 L
s
gsave
.81746 .00222 -68 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(25) show
1.000 setlinewidth
grestore
.97619 .01472 m
.97619 .02097 L
s
gsave
.97619 .00222 -68 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(30) show
1.000 setlinewidth
grestore
.125 Mabswid
.05556 .01472 m
.05556 .01847 L
s
.0873 .01472 m
.0873 .01847 L
s
.11905 .01472 m
.11905 .01847 L
s
.15079 .01472 m
.15079 .01847 L
s
.21429 .01472 m
.21429 .01847 L
s
.24603 .01472 m
.24603 .01847 L
s
.27778 .01472 m
.27778 .01847 L
s
.30952 .01472 m
.30952 .01847 L
s
.37302 .01472 m
.37302 .01847 L
s
.40476 .01472 m
.40476 .01847 L
s
.43651 .01472 m
.43651 .01847 L
s
.46825 .01472 m
.46825 .01847 L
s
.53175 .01472 m
.53175 .01847 L
s
.56349 .01472 m
.56349 .01847 L
s
.59524 .01472 m
.59524 .01847 L
s
.62698 .01472 m
.62698 .01847 L
s
.69048 .01472 m
.69048 .01847 L
s
.72222 .01472 m
.72222 .01847 L
s
.75397 .01472 m
.75397 .01847 L
s
.78571 .01472 m
.78571 .01847 L
s
.84921 .01472 m
.84921 .01847 L
s
.88095 .01472 m
.88095 .01847 L
s
.9127 .01472 m
.9127 .01847 L
s
.94444 .01472 m
.94444 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .10205 m
.03006 .10205 L
s
gsave
.01131 .10205 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(10) show
1.000 setlinewidth
grestore
.02381 .18937 m
.03006 .18937 L
s
gsave
.01131 .18937 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(20) show
1.000 setlinewidth
grestore
.02381 .2767 m
.03006 .2767 L
s
gsave
.01131 .2767 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(30) show
1.000 setlinewidth
grestore
.02381 .36403 m
.03006 .36403 L
s
gsave
.01131 .36403 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(40) show
1.000 setlinewidth
grestore
.02381 .45136 m
.03006 .45136 L
s
gsave
.01131 .45136 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(50) show
1.000 setlinewidth
grestore
.02381 .53869 m
.03006 .53869 L
s
gsave
.01131 .53869 -75 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(60) show
1.000 setlinewidth
grestore
.125 Mabswid
.02381 .03218 m
.02756 .03218 L
s
.02381 .04965 m
.02756 .04965 L
s
.02381 .06711 m
.02756 .06711 L
s
.02381 .08458 m
.02756 .08458 L
s
.02381 .11951 m
.02756 .11951 L
s
.02381 .13698 m
.02756 .13698 L
s
.02381 .15444 m
.02756 .15444 L
s
.02381 .17191 m
.02756 .17191 L
s
.02381 .20684 m
.02756 .20684 L
s
.02381 .22431 m
.02756 .22431 L
s
.02381 .24177 m
.02756 .24177 L
s
.02381 .25924 m
.02756 .25924 L
s
.02381 .29417 m
.02756 .29417 L
s
.02381 .31164 m
.02756 .31164 L
s
.02381 .3291 m
.02756 .3291 L
s
.02381 .34657 m
.02756 .34657 L
s
.02381 .3815 m
.02756 .3815 L
s
.02381 .39897 m
.02756 .39897 L
s
.02381 .41643 m
.02756 .41643 L
s
.02381 .4339 m
.02756 .4339 L
s
.02381 .46883 m
.02756 .46883 L
s
.02381 .4863 m
.02756 .4863 L
s
.02381 .50376 m
.02756 .50376 L
s
.02381 .52123 m
.02756 .52123 L
s
.02381 .55616 m
.02756 .55616 L
s
.02381 .57363 m
.02756 .57363 L
s
.02381 .59109 m
.02756 .59109 L
s
.02381 .60856 m
.02756 .60856 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.02 w
.05556 .55005 Mdot
.0001 w
.05556 .55005 m
.05556 .01472 L
s
.02 w
.0873 .56577 Mdot
.0001 w
.0873 .56577 m
.0873 .01472 L
s
.02 w
.11905 .51162 Mdot
.0001 w
.11905 .51162 m
.11905 .01472 L
s
.02 w
.15079 .57275 Mdot
.0001 w
.15079 .57275 m
.15079 .01472 L
s
.02 w
.18254 .54917 Mdot
.0001 w
.18254 .54917 m
.18254 .01472 L
s
.02 w
.21429 .57013 Mdot
.0001 w
.21429 .57013 m
.21429 .01472 L
s
.02 w
.24603 .5483 Mdot
.0001 w
.24603 .5483 m
.24603 .01472 L
s
.02 w
.27778 .54481 Mdot
.0001 w
.27778 .54481 m
.27778 .01472 L
s
.02 w
.30952 .56664 Mdot
.0001 w
.30952 .56664 m
.30952 .01472 L
s
.02 w
.34127 .55965 Mdot
.0001 w
.34127 .55965 m
.34127 .01472 L
s
.02 w
.37302 .56926 Mdot
.0001 w
.37302 .56926 m
.37302 .01472 L
s
.02 w
.40476 .54743 Mdot
.0001 w
.40476 .54743 m
.40476 .01472 L
s
.02 w
.43651 .54481 Mdot
.0001 w
.43651 .54481 m
.43651 .01472 L
s
.02 w
.46825 .56839 Mdot
.0001 w
.46825 .56839 m
.46825 .01472 L
s
.02 w
.5 .57013 Mdot
.0001 w
.5 .57013 m
.5 .01472 L
s
.02 w
.53175 .59633 Mdot
.0001 w
.53175 .59633 m
.53175 .01472 L
s
.02 w
.56349 .56402 Mdot
.0001 w
.56349 .56402 m
.56349 .01472 L
s
.02 w
.59524 .55791 Mdot
.0001 w
.59524 .55791 m
.59524 .01472 L
s
.02 w
.62698 .56839 Mdot
.0001 w
.62698 .56839 m
.62698 .01472 L
s
.02 w
.65873 .56577 Mdot
.0001 w
.65873 .56577 m
.65873 .01472 L
s
.02 w
.69048 .55267 Mdot
.0001 w
.69048 .55267 m
.69048 .01472 L
s
.02 w
.72222 .52822 Mdot
.0001 w
.72222 .52822 m
.72222 .01472 L
s
.02 w
.75397 .50114 Mdot
.0001 w
.75397 .50114 m
.75397 .01472 L
s
.02 w
.78571 .56577 Mdot
.0001 w
.78571 .56577 m
.78571 .01472 L
s
.02 w
.81746 .55616 Mdot
.0001 w
.81746 .55616 m
.81746 .01472 L
s
.02 w
.84921 .56489 Mdot
.0001 w
.84921 .56489 m
.84921 .01472 L
s
.02 w
.88095 .57799 Mdot
.0001 w
.88095 .57799 m
.88095 .01472 L
s
.02 w
.9127 .58498 Mdot
.0001 w
.9127 .58498 m
.9127 .01472 L
s
.02 w
.94444 .57799 Mdot
.0001 w
.94444 .57799 m
.94444 .01472 L
s
.02 w
.97619 .60332 Mdot
.0001 w
.97619 .60332 m
.97619 .01472 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[16]:=",
  ImageSize->{244, 150.75},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003d0000UR000`400?l00000o`00003om03oool0
0?@0oooo003d0?ooo`00m03oool003D0oooo0P00000P0?ooo`030000003oool0oooo00<000007P3o
ool010000000oooo0?ooo`3oool2000001/0oooo10000000103oool0000000000000000L0?ooo`@0
00000P3oool2000001d0oooo0P0000020?ooo`<00000203oool003@0oooo00@000000?ooo`3oool0
00007`3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo01/0oooo00@000000?oo
o`3oool000000P3oool00`000000oooo0?ooo`0I0?ooo`050000003oool0oooo0?ooo`0000000P3o
ool00`000000oooo0?ooo`0J0?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo
0?ooo`0I0?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0?ooo`050?oo
o`00=`3oool00`000000oooo0?ooo`0M0?ooo`040000003oool0oooo00000080oooo00<000000?oo
o`3oool06`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01X0oooo00@000000?oo
o`3oool000000P3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool0703oool00`000000oooo000000020?ooo`030000003oool0oooo00D0oooo000d0?oo
o`040000003oool0oooo000001l0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?oo
o`0K0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool06P3oool010000000oooo
0?ooo`0000020?ooo`030000003oool0oooo01/0oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo0?ooo`0K0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool01@3oool0
03@0oooo0`00000P0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool06`3oool0
0`000000oooo0?ooo`03000001h0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`0L
0?ooo`030000003oool00000008000007`3oool00`000000oooo000000020?ooo`030000003oool0
oooo00D0oooo000e0?ooo`030000003oool0oooo01h0oooo0P0000020?ooo`040000003oool0oooo
000001`0oooo0P0000030?ooo`030000003oool0oooo01X0oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`030000003oool0oooo01T0oooo00@000000?ooo`3oool000000P3oool00`000000
oooo0?ooo`0K0?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0?ooo`05
0?ooo`00=@3oool3000001l0oooo00@000000?ooo`3oool0oooo0P00000N0?ooo`040000003oool0
oooo0?ooo`<000006`3oool2000000<0oooo0P00000M0?ooo`8000000`3oool3000001`0oooo0P00
00030?ooo`800000203oool001<0oooo00<000000?ooo`3oool0gP3oool001<0oooo00<000000?oo
o`3oool0gP3oool001<0oooo00<000000?ooo`3oool0gP3oool000h0ooooh@0000050?ooo`004`3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`080?ooo`004`3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`004`3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`080?ooo`004`3oool2000000D0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo000C0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo
000C0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00P0oooo000C0?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo000C0?oo
o`8000001@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0203oool001<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool001<0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
203oool001<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0203oool001<0oooo0P0000050?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`004`3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`080?ooo`004`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`004`3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`080?ooo`004`3oool2000000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00P0oooo000C0?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00070?oo
o`030000003oool0oooo00<000001P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`001`3oool010000000
oooo0?ooo`0000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool000L0
oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`030?ooo`<00000103oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool000L0
oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00P0oooo00070?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`080?ooo`001P3oool200000080oooo00@000000?ooo`3oool000001@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`080?ooo`001`3oool010000000oooo0?ooo`3oool2000000H0oooo0P0000050?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?oo
o`004`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`080?ooo`004`3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`004`3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`080?ooo`004`3oool2000000D0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo000C0?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00P0oooo000C0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo000C0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo
000C0?ooo`8000001@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0203oool001<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool001<0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0203oool001<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool001<0oooo0P0000050?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`001@3o
ool4000000040?ooo`0000000000000000H0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool000H0oooo00D0
00000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
203oool000L0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00P0oooo00070?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0
0`3oool3000000@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00P0oooo00080?ooo`030000003oool000000080oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`080?ooo`001@3oool01P000000oooo0?ooo`000000oooo00000080oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`001P3oool2000000<0oooo0P00
00060?ooo`8000001@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0203oool001<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool001<0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0203oool001<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool001<0oooo0P0000050?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`004`3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`080?ooo`004`3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`004`3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`080?ooo`004`3oool2000000D0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo000C0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo
000C0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00P0oooo000C0?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo000C0?oo
o`8000001@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0203oool001<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool000H0oooo0P0000020?ooo`<00000
1P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`080?ooo`001@3oool01P000000oooo0?ooo`000000oooo00000080
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`00203oool00`000000oooo
000000020?ooo`030000003oool0oooo00<0oooo0`0000040?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`001`3oool010000000oooo0?oo
o`0000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool000P0oooo00<0
00000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo0005
0?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00P0oooo00060?ooo`8000000`3oool2000000H0oooo0P0000050?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`004`3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`080?ooo`004`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`004`3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`080?ooo`004`3oool2000000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00P0oooo000C0?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo000C
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00P0oooo000C0?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo000C0?ooo`80
00001@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0203oool001<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0203oool001<0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203o
ool001<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool0203oool001<0oooo0P0000050?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`004`3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`080?ooo`00203oool00`000000oooo00000002000000H0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
203oool000P0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00P0oooo00050?ooo`H000000P3oool00`000000oooo0?ooo`030?ooo`<00000103oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool0
00D0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0203oool000H0oooo00D000000?ooo`000000oooo000000020?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0203oool000L0oooo0P0000001@3oool000000?ooo`3o
ool0000000D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0203oool000P0oooo00<000000?ooo`3oool00P000006
0?ooo`8000001@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool0203oool001<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool001<0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0203oool001<0oooo0P0000050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`080?ooo`004`3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`004`3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`080?ooo`004`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`004`3oool2000000D0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0
oooo000C0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00P0oooo000C0?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo000C
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00P0oooo000C0?ooo`8000001@3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool001<0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0203oool000H0oooo0P0000020?ooo`<000001P3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`001@3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`080?ooo`00203oool00`000000oooo000000020?ooo`030000003oool0oooo00<0oooo
0`0000040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`080?ooo`001@3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`080?ooo`001@3oool300000080oooo00@000000?ooo`3oool0
00001@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`080?ooo`001P3oool01@000000oooo0?ooo`3oool000000080
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`001P3oool300000080oooo
0P0000060?ooo`8000001@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool0203oool001<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool001<0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool0203oool001<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool001<0oooo0P0000050?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`00
4`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`080?ooo`004`3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00<0oooo0P0000060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo000C0?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool00P3oool4000000D0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool0
01<0oooo0P0000050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3oool20000
00H0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool00P3oool4000000D0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool001<0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080
oooo100000050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo0P0000060?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0
oooo000C0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`020?ooo`@000001@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo
000C0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`030?ooo`8000001P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo000C
0?ooo`8000001@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00/0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo0P00000=
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00P0oooo000C0?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`020?ooo`@00000303oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?oo
o`001P3oool200000080oooo0`0000060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`020?ooo`@00000303oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`00
1@3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02`3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3oool20000
00d0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0203oool000D0oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`030000003oool0oooo00<0oooo0`0000040?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool02`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`8000001P3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool2000000D0oooo0P000006
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`08
0?ooo`001@3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`040?ooo`8000001P3oool00`000000oooo0?ooo`0;0?ooo`030000003o
ool0oooo00<0oooo0P0000060?ooo`030000003oool0oooo00<0oooo0P0000040?ooo`@000001@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3o
ool4000000<0oooo100000050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool04P3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`080?ooo`001@3oool300000080oooo00@000000?ooo`3oool000001@3o
ool00`000000oooo0?ooo`030?ooo`@000001@3oool00`000000oooo0?ooo`0;0?ooo`030000003o
ool0oooo0080oooo100000050?ooo`030000003oool0oooo0080oooo100000030?ooo`@000001@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3o
ool4000000<0oooo100000050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo0P00000D0?ooo`030000003o
ool0oooo00<0oooo0P0000060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203o
ool000D0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool00`3oool4000000D0oooo00<000000?ooo`3oool02`3oool00`000000oooo
0?ooo`020?ooo`@000001@3oool00`000000oooo0?ooo`020?ooo`@00000103oool2000000H0oooo
00<000000?ooo`3oool0103oool2000000D0oooo00<000000?ooo`3oool0103oool2000000D0oooo
0P0000060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo0P0000050?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool00`3oool4000001<0oooo00<000000?ooo`3oool00P3oool4000000D0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`001P3oool2000000<0oooo0P00
00060?ooo`8000001@3oool2000000D0oooo0P00000=0?ooo`030000003oool0oooo00<0oooo0P00
00060?ooo`030000003oool0oooo00<0oooo0P00000=0?ooo`030000003oool0oooo00<0oooo1000
00040?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00<0oooo0P0000050?ooo`@00000103oool00`000000oooo0?oo
o`040?ooo`800000103oool400000180oooo0P0000040?ooo`@00000103oool2000000H0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0203oool001<0oooo00<000000?ooo`3oool02P3oool4000000`0oooo00<00000
0?ooo`3oool02P3oool2000001@0oooo0P0000040?ooo`@00000103oool2000001<0oooo0P000005
0?ooo`8000001P3oool00`000000oooo0?ooo`020?ooo`@00000103oool4000000@0oooo0P000004
0?ooo`@00000103oool200000180oooo100000040?ooo`800000103oool4000000D0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool0203oool001<0oooo00<000000?ooo`3oool02P3oool4000000/0oooo0P00000;0?oo
o`@000004P3oool4000000@0oooo0P0000040?ooo`@000004@3oool4000000<0oooo100000050?oo
o`030000003oool0oooo0080oooo100000050?ooo`800000103oool4000000<0oooo1000000H0?oo
o`@000002P3oool4000000D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool001<0oooo00<000000?ooo`3o
ool02`3oool2000000/0oooo1000000:0?ooo`@000004P3oool4000000X0oooo1000000A0?ooo`@0
00000`3oool4000000D0oooo00<000000?ooo`3oool00`3oool2000000`0oooo100000040?ooo`80
00006P3oool2000000`0oooo0P0000060?ooo`8000001@3oool00`000000oooo0?ooo`040?ooo`80
00001P3oool00`000000oooo0?ooo`080?ooo`004`3oool2000001T0oooo1000000;0?ooo`800000
503oool2000000`0oooo0P00000C0?ooo`8000001@3oool2000000H0oooo00<000000?ooo`3oool0
4P3oool2000003H0oooo100000040?ooo`030000003oool0oooo00<0oooo100000050?ooo`030000
003oool0oooo00P0oooo000C0?ooo`030000003oool0oooo01T0oooo0P00001D0?ooo`030000003o
ool0oooo04X0oooo100000040?ooo`800000103oool4000000D0oooo00<000000?ooo`3oool0203o
ool001<0oooo00<000000?ooo`3oool0K`3oool00`000000oooo0?ooo`1;0?ooo`800000103oool4
000000@0oooo0P0000060?ooo`030000003oool0oooo00P0oooo000C0?ooo`800000K`3oool20000
05<0oooo1000000<0?ooo`030000003oool0oooo00P0oooo000C0?ooo`030000003oool0oooo06d0
oooo1000001C0?ooo`8000003@3oool00`000000oooo0?ooo`080?ooo`004`3oool00`000000oooo
0?ooo`1]0?ooo`@00000H@3oool2000000X0oooo000C0?ooo`030000003oool0oooo06h0oooo0P00
001Q0?ooo`@000002@3oool001<0oooo0P00003B0?ooo`@000002@3oool001<0oooo00<000000?oo
o`3oool0dP3oool2000000X0oooo000C0?ooo`030000003oool0oooo0=h0oooo0000\
\>"],
  ImageRangeCache->{{{153.125, 303.375}, {643.313, 550.875}} -> {-37.7357, \
449.07, 0.141368, 0.513899}},
  CellTags->"IPM3.Sol.11.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["We first load the necessary packages.", "SolutionItem",
  CellTags->"IPM3.Sol.11.1"],

Cell[BoxData[
    \(<< Graphics`MultipleListPlot`\)], "Input",
  CellLabel->"In[17]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell["<< Utilities`FilterOptions`", "Input",
  CellLabel->"In[18]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell[BoxData[
    \(\(PlotSolarData[dat1_, dat2_, opts___?OptionQ] := 
        Module[{months}, \[IndentingNewLine]months = {{1, "\<Jan\>"}, {2, \
"\<Feb\>"}, {3, "\<Mar\>"}, {4, "\<Apr\>"}, {5, "\<May\>"}, {6, "\<Jun\>"}, \
{7, "\<Jul\>"}, {8, "\<Aug\>"}, {9, "\<Sep\>"}, {10, "\<Oct\>"}, {11, \
"\<Nov\>"}, {12, "\<Dec\>"}}; \[IndentingNewLine]MultipleListPlot[dat1, dat2, 
            FilterOptions[MultipleListPlot, opts], PlotJoined \[Rule] True, 
            AspectRatio \[Rule] Automatic, Ticks \[Rule] {months, Automatic}, 
            AxesLabel \[Rule] {None, \*"\"\<kWh/\!\(m\^2\)/day\>\""}]];\)\)], \
"Input",
  CellLabel->"In[19]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell["Read in the file.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(datafile = 
      ToFileName[{"\<IPM3\>", "\<DataFiles\>"}, "\<23232.txt\>"]\)], "Input",
  CellLabel->"In[20]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell[BoxData[
    \("IPM3\\DataFiles\\23232.txt"\)], "Output",
  CellLabel->"Out[20]=",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],

Cell[TextData[{
  "Use ",
  StyleBox["ReadSolarData", "MR"],
  " from the previous exercise to strip out all lines that start with a quote \
character and insure each element is a number."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],

Cell[BoxData[
    \(\(data = ReadSolarData[datafile];\)\)], "Input",
  CellLabel->"In[21]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell[TextData[{
  "Using ",
  StyleBox["GetData", "MR"],
  " developed in Section 11.1, we extract the sixth column for all dates \
between January 1980 and December 1980."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(d1 = Part[GetData[data, {1, 80}, {12, 80}], All, 6]\)], "Input",
  CellLabel->"In[22]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell[BoxData[
    \({2.7`, 3.6`, 5.9`, 5.7`, 5.9`, 5.9`, 6.1`, 6.7`, 6.8`, 6.`, 4.7`, 
      3.1`}\)], "Output",
  CellLabel->"Out[22]=",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],

Cell["Similarly for data collected in 1981.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(d2 = Part[GetData[data, {1, 81}, {12, 81}], All, 6]\)], "Input",
  CellLabel->"In[23]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell[BoxData[
    \({2.4`, 4.3`, 4.7`, 6.2`, 6.2`, 6.2`, 6.3`, 6.8`, 6.8`, 5.8`, 3.7`, 
      2.2`}\)], "Output",
  CellLabel->"Out[23]=",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],

Cell["Finally, here is the plot.", "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{

Cell[BoxData[
    \(PlotSolarData[d1, d2]\)], "Input",
  CellLabel->"In[24]:=",
  CellTags->"IPM3.Sol.11.1"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .38333 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.0793651 -0.165476 0.0793651 [
[.10317 .06012 -9.28125 -11.875 ]
[.10317 .06012 9.28125 0 ]
[.18254 .06012 -9.75 -11.875 ]
[.18254 .06012 9.75 0 ]
[.2619 .06012 -9.71875 -11.875 ]
[.2619 .06012 9.71875 0 ]
[.34127 .06012 -9.0625 -11.875 ]
[.34127 .06012 9.0625 0 ]
[.42063 .06012 -10.375 -11.875 ]
[.42063 .06012 10.375 0 ]
[.5 .06012 -9.28125 -11.875 ]
[.5 .06012 9.28125 0 ]
[.57937 .06012 -7.78125 -11.875 ]
[.57937 .06012 7.78125 0 ]
[.65873 .06012 -10 -11.875 ]
[.65873 .06012 10 0 ]
[.7381 .06012 -10 -11.875 ]
[.7381 .06012 10 0 ]
[.81746 .06012 -9 -11.875 ]
[.81746 .06012 9 0 ]
[.89683 .06012 -9.9375 -11.875 ]
[.89683 .06012 9.9375 0 ]
[.97619 .06012 -10 -11.875 ]
[.97619 .06012 10 0 ]
[.01131 .15198 -9 -5.9375 ]
[.01131 .15198 0 5.9375 ]
[.01131 .23135 -9 -5.9375 ]
[.01131 .23135 0 5.9375 ]
[.01131 .31071 -9 -5.9375 ]
[.01131 .31071 0 5.9375 ]
[.02381 .40833 -27.125 0 ]
[.02381 .40833 27.125 12.0625 ]
[ 0 0 0 0 ]
[ 1 .38333 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.10317 .07262 m
.10317 .07887 L
s
gsave
.10317 .06012 -70.2813 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Jan) show
77.563 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.18254 .07262 m
.18254 .07887 L
s
gsave
.18254 .06012 -70.75 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Feb) show
78.500 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.2619 .07262 m
.2619 .07887 L
s
gsave
.2619 .06012 -70.7188 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Mar) show
78.438 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.34127 .07262 m
.34127 .07887 L
s
gsave
.34127 .06012 -70.0625 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Apr) show
77.125 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.42063 .07262 m
.42063 .07887 L
s
gsave
.42063 .06012 -71.375 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(May) show
79.750 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.5 .07262 m
.5 .07887 L
s
gsave
.5 .06012 -70.2813 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Jun) show
77.563 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.57937 .07262 m
.57937 .07887 L
s
gsave
.57937 .06012 -68.7813 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Jul) show
74.563 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.65873 .07262 m
.65873 .07887 L
s
gsave
.65873 .06012 -71 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Aug) show
79.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.7381 .07262 m
.7381 .07887 L
s
gsave
.7381 .06012 -71 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Sep) show
79.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.81746 .07262 m
.81746 .07887 L
s
gsave
.81746 .06012 -70 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Oct) show
77.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.89683 .07262 m
.89683 .07887 L
s
gsave
.89683 .06012 -70.9375 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Nov) show
78.875 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.97619 .07262 m
.97619 .07887 L
s
gsave
.97619 .06012 -71 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Dec) show
79.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .07262 m
1 .07262 L
s
.02381 .15198 m
.03006 .15198 L
s
gsave
.01131 .15198 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4) show
1.000 setlinewidth
grestore
.02381 .23135 m
.03006 .23135 L
s
gsave
.01131 .23135 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(5) show
1.000 setlinewidth
grestore
.02381 .31071 m
.03006 .31071 L
s
gsave
.01131 .31071 -70 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
.125 Mabswid
.02381 .08849 m
.02756 .08849 L
s
.02381 .10437 m
.02756 .10437 L
s
.02381 .12024 m
.02756 .12024 L
s
.02381 .13611 m
.02756 .13611 L
s
.02381 .16786 m
.02756 .16786 L
s
.02381 .18373 m
.02756 .18373 L
s
.02381 .1996 m
.02756 .1996 L
s
.02381 .21548 m
.02756 .21548 L
s
.02381 .24722 m
.02756 .24722 L
s
.02381 .2631 m
.02756 .2631 L
s
.02381 .27897 m
.02756 .27897 L
s
.02381 .29484 m
.02756 .29484 L
s
.02381 .05675 m
.02756 .05675 L
s
.02381 .04087 m
.02756 .04087 L
s
.02381 .025 m
.02756 .025 L
s
.02381 .00913 m
.02756 .00913 L
s
.02381 .32659 m
.02756 .32659 L
s
.02381 .34246 m
.02756 .34246 L
s
.02381 .35833 m
.02756 .35833 L
s
.02381 .37421 m
.02756 .37421 L
s
.25 Mabswid
.02381 0 m
.02381 .38333 L
s
gsave
.02381 .40833 -88.125 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.0625 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 13.188 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
%%BeginResource: font Helvetica-MISO
%%BeginFont: Helvetica-MISO
/Helvetica /Helvetica-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Helvetica-MISO
%%IncludeFont: Helvetica-MISO
/Helvetica-MISO findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.188 moveto
%%IncludeResource: font Helvetica-MISO
%%IncludeFont: Helvetica-MISO
/Helvetica-MISO findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(kWh) show
%%IncludeResource: font Mathematica2
%%IncludeFont: Mathematica2
/Mathematica2 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
81.563 13.188 moveto
(\\220) show
84.438 13.188 moveto
%%IncludeResource: font Helvetica-MISO
%%IncludeFont: Helvetica-MISO
/Helvetica-MISO findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(m) show
92.000 9.563 moveto
%%IncludeResource: font Helvetica-MISO
%%IncludeFont: Helvetica-MISO
/Helvetica-MISO findfont 6.375 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
%%IncludeResource: font Mathematica2
%%IncludeFont: Mathematica2
/Mathematica2 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
95.938 13.188 moveto
(\\220) show
98.813 13.188 moveto
%%IncludeResource: font Helvetica-MISO
%%IncludeFont: Helvetica-MISO
/Helvetica-MISO findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(day) show
113.250 13.188 moveto
%%IncludeResource: font Helvetica-MISO
%%IncludeFont: Helvetica-MISO
/Helvetica-MISO findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .38333 L
0 .38333 L
closepath
clip
newpath
.001 w
.10317 .04881 m
.18254 .12024 L
.2619 .30278 L
.34127 .2869 L
.42063 .30278 L
.5 .30278 L
.57937 .31865 L
.65873 .36627 L
.7381 .37421 L
.81746 .31071 L
.89683 .20754 L
.97619 .08056 L
s
.0001 w
.10317 .04881 -1.875 0 Mabsadd m
.10317 .04881 0 2.5 Mabsadd L
.10317 .04881 1.875 0 Mabsadd L
.10317 .04881 0 -2.5 Mabsadd L
.10317 .04881 -1.875 0 Mabsadd L closepath F
.18254 .12024 -1.875 0 Mabsadd m
.18254 .12024 0 2.5 Mabsadd L
.18254 .12024 1.875 0 Mabsadd L
.18254 .12024 0 -2.5 Mabsadd L
.18254 .12024 -1.875 0 Mabsadd L closepath F
.2619 .30278 -1.875 0 Mabsadd m
.2619 .30278 0 2.5 Mabsadd L
.2619 .30278 1.875 0 Mabsadd L
.2619 .30278 0 -2.5 Mabsadd L
.2619 .30278 -1.875 0 Mabsadd L closepath F
.34127 .2869 -1.875 0 Mabsadd m
.34127 .2869 0 2.5 Mabsadd L
.34127 .2869 1.875 0 Mabsadd L
.34127 .2869 0 -2.5 Mabsadd L
.34127 .2869 -1.875 0 Mabsadd L closepath F
.42063 .30278 -1.875 0 Mabsadd m
.42063 .30278 0 2.5 Mabsadd L
.42063 .30278 1.875 0 Mabsadd L
.42063 .30278 0 -2.5 Mabsadd L
.42063 .30278 -1.875 0 Mabsadd L closepath F
.5 .30278 -1.875 0 Mabsadd m
.5 .30278 0 2.5 Mabsadd L
.5 .30278 1.875 0 Mabsadd L
.5 .30278 0 -2.5 Mabsadd L
.5 .30278 -1.875 0 Mabsadd L closepath F
.57937 .31865 -1.875 0 Mabsadd m
.57937 .31865 0 2.5 Mabsadd L
.57937 .31865 1.875 0 Mabsadd L
.57937 .31865 0 -2.5 Mabsadd L
.57937 .31865 -1.875 0 Mabsadd L closepath F
.65873 .36627 -1.875 0 Mabsadd m
.65873 .36627 0 2.5 Mabsadd L
.65873 .36627 1.875 0 Mabsadd L
.65873 .36627 0 -2.5 Mabsadd L
.65873 .36627 -1.875 0 Mabsadd L closepath F
.7381 .37421 -1.875 0 Mabsadd m
.7381 .37421 0 2.5 Mabsadd L
.7381 .37421 1.875 0 Mabsadd L
.7381 .37421 0 -2.5 Mabsadd L
.7381 .37421 -1.875 0 Mabsadd L closepath F
.81746 .31071 -1.875 0 Mabsadd m
.81746 .31071 0 2.5 Mabsadd L
.81746 .31071 1.875 0 Mabsadd L
.81746 .31071 0 -2.5 Mabsadd L
.81746 .31071 -1.875 0 Mabsadd L closepath F
.89683 .20754 -1.875 0 Mabsadd m
.89683 .20754 0 2.5 Mabsadd L
.89683 .20754 1.875 0 Mabsadd L
.89683 .20754 0 -2.5 Mabsadd L
.89683 .20754 -1.875 0 Mabsadd L closepath F
.97619 .08056 -1.875 0 Mabsadd m
.97619 .08056 0 2.5 Mabsadd L
.97619 .08056 1.875 0 Mabsadd L
.97619 .08056 0 -2.5 Mabsadd L
.97619 .08056 -1.875 0 Mabsadd L closepath F
.001 w
[ .5 3 ] 0 Mabsdash
.10317 .025 m
.18254 .17579 L
.2619 .20754 L
.34127 .32659 L
.42063 .32659 L
.5 .32659 L
.57937 .33452 L
.65873 .37421 L
.7381 .37421 L
.81746 .29484 L
.89683 .12817 L
.97619 .00913 L
s
.0001 w
[ ] 0 setdash
.10317 .025 0 2.5 Mabsadd m
.10317 .025 -0.56518 .7779 Mabsadd L
.10317 .025 -2.37764 .77254 Mabsadd L
.10317 .025 -0.91448 -0.29713 Mabsadd L
.10317 .025 -1.46946 -2.02254 Mabsadd L
.10317 .025 0 -0.96154 Mabsadd L
.10317 .025 1.46946 -2.02254 Mabsadd L
.10317 .025 .91448 -0.29713 Mabsadd L
.10317 .025 2.37764 .77254 Mabsadd L
.10317 .025 .56518 .7779 Mabsadd L
.10317 .025 0 2.5 Mabsadd L closepath F
.18254 .17579 0 2.5 Mabsadd m
.18254 .17579 -0.56518 .7779 Mabsadd L
.18254 .17579 -2.37764 .77254 Mabsadd L
.18254 .17579 -0.91448 -0.29713 Mabsadd L
.18254 .17579 -1.46946 -2.02254 Mabsadd L
.18254 .17579 0 -0.96154 Mabsadd L
.18254 .17579 1.46946 -2.02254 Mabsadd L
.18254 .17579 .91448 -0.29713 Mabsadd L
.18254 .17579 2.37764 .77254 Mabsadd L
.18254 .17579 .56518 .7779 Mabsadd L
.18254 .17579 0 2.5 Mabsadd L closepath F
.2619 .20754 0 2.5 Mabsadd m
.2619 .20754 -0.56518 .7779 Mabsadd L
.2619 .20754 -2.37764 .77254 Mabsadd L
.2619 .20754 -0.91448 -0.29713 Mabsadd L
.2619 .20754 -1.46946 -2.02254 Mabsadd L
.2619 .20754 0 -0.96154 Mabsadd L
.2619 .20754 1.46946 -2.02254 Mabsadd L
.2619 .20754 .91448 -0.29713 Mabsadd L
.2619 .20754 2.37764 .77254 Mabsadd L
.2619 .20754 .56518 .7779 Mabsadd L
.2619 .20754 0 2.5 Mabsadd L closepath F
.34127 .32659 0 2.5 Mabsadd m
.34127 .32659 -0.56518 .7779 Mabsadd L
.34127 .32659 -2.37764 .77254 Mabsadd L
.34127 .32659 -0.91448 -0.29713 Mabsadd L
.34127 .32659 -1.46946 -2.02254 Mabsadd L
.34127 .32659 0 -0.96154 Mabsadd L
.34127 .32659 1.46946 -2.02254 Mabsadd L
.34127 .32659 .91448 -0.29713 Mabsadd L
.34127 .32659 2.37764 .77254 Mabsadd L
.34127 .32659 .56518 .7779 Mabsadd L
.34127 .32659 0 2.5 Mabsadd L closepath F
.42063 .32659 0 2.5 Mabsadd m
.42063 .32659 -0.56518 .7779 Mabsadd L
.42063 .32659 -2.37764 .77254 Mabsadd L
.42063 .32659 -0.91448 -0.29713 Mabsadd L
.42063 .32659 -1.46946 -2.02254 Mabsadd L
.42063 .32659 0 -0.96154 Mabsadd L
.42063 .32659 1.46946 -2.02254 Mabsadd L
.42063 .32659 .91448 -0.29713 Mabsadd L
.42063 .32659 2.37764 .77254 Mabsadd L
.42063 .32659 .56518 .7779 Mabsadd L
.42063 .32659 0 2.5 Mabsadd L closepath F
.5 .32659 0 2.5 Mabsadd m
.5 .32659 -0.56518 .7779 Mabsadd L
.5 .32659 -2.37764 .77254 Mabsadd L
.5 .32659 -0.91448 -0.29713 Mabsadd L
.5 .32659 -1.46946 -2.02254 Mabsadd L
.5 .32659 0 -0.96154 Mabsadd L
.5 .32659 1.46946 -2.02254 Mabsadd L
.5 .32659 .91448 -0.29713 Mabsadd L
.5 .32659 2.37764 .77254 Mabsadd L
.5 .32659 .56518 .7779 Mabsadd L
.5 .32659 0 2.5 Mabsadd L closepath F
.57937 .33452 0 2.5 Mabsadd m
.57937 .33452 -0.56518 .7779 Mabsadd L
.57937 .33452 -2.37764 .77254 Mabsadd L
.57937 .33452 -0.91448 -0.29713 Mabsadd L
.57937 .33452 -1.46946 -2.02254 Mabsadd L
.57937 .33452 0 -0.96154 Mabsadd L
.57937 .33452 1.46946 -2.02254 Mabsadd L
.57937 .33452 .91448 -0.29713 Mabsadd L
.57937 .33452 2.37764 .77254 Mabsadd L
.57937 .33452 .56518 .7779 Mabsadd L
.57937 .33452 0 2.5 Mabsadd L closepath F
.65873 .37421 0 2.5 Mabsadd m
.65873 .37421 -0.56518 .7779 Mabsadd L
.65873 .37421 -2.37764 .77254 Mabsadd L
.65873 .37421 -0.91448 -0.29713 Mabsadd L
.65873 .37421 -1.46946 -2.02254 Mabsadd L
.65873 .37421 0 -0.96154 Mabsadd L
.65873 .37421 1.46946 -2.02254 Mabsadd L
.65873 .37421 .91448 -0.29713 Mabsadd L
.65873 .37421 2.37764 .77254 Mabsadd L
.65873 .37421 .56518 .7779 Mabsadd L
.65873 .37421 0 2.5 Mabsadd L closepath F
.7381 .37421 0 2.5 Mabsadd m
.7381 .37421 -0.56518 .7779 Mabsadd L
.7381 .37421 -2.37764 .77254 Mabsadd L
.7381 .37421 -0.91448 -0.29713 Mabsadd L
.7381 .37421 -1.46946 -2.02254 Mabsadd L
.7381 .37421 0 -0.96154 Mabsadd L
.7381 .37421 1.46946 -2.02254 Mabsadd L
.7381 .37421 .91448 -0.29713 Mabsadd L
.7381 .37421 2.37764 .77254 Mabsadd L
.7381 .37421 .56518 .7779 Mabsadd L
.7381 .37421 0 2.5 Mabsadd L closepath F
.81746 .29484 0 2.5 Mabsadd m
.81746 .29484 -0.56518 .7779 Mabsadd L
.81746 .29484 -2.37764 .77254 Mabsadd L
.81746 .29484 -0.91448 -0.29713 Mabsadd L
.81746 .29484 -1.46946 -2.02254 Mabsadd L
.81746 .29484 0 -0.96154 Mabsadd L
.81746 .29484 1.46946 -2.02254 Mabsadd L
.81746 .29484 .91448 -0.29713 Mabsadd L
.81746 .29484 2.37764 .77254 Mabsadd L
.81746 .29484 .56518 .7779 Mabsadd L
.81746 .29484 0 2.5 Mabsadd L closepath F
.89683 .12817 0 2.5 Mabsadd m
.89683 .12817 -0.56518 .7779 Mabsadd L
.89683 .12817 -2.37764 .77254 Mabsadd L
.89683 .12817 -0.91448 -0.29713 Mabsadd L
.89683 .12817 -1.46946 -2.02254 Mabsadd L
.89683 .12817 0 -0.96154 Mabsadd L
.89683 .12817 1.46946 -2.02254 Mabsadd L
.89683 .12817 .91448 -0.29713 Mabsadd L
.89683 .12817 2.37764 .77254 Mabsadd L
.89683 .12817 .56518 .7779 Mabsadd L
.89683 .12817 0 2.5 Mabsadd L closepath F
.97619 .00913 0 2.5 Mabsadd m
.97619 .00913 -0.56518 .7779 Mabsadd L
.97619 .00913 -2.37764 .77254 Mabsadd L
.97619 .00913 -0.91448 -0.29713 Mabsadd L
.97619 .00913 -1.46946 -2.02254 Mabsadd L
.97619 .00913 0 -0.96154 Mabsadd L
.97619 .00913 1.46946 -2.02254 Mabsadd L
.97619 .00913 .91448 -0.29713 Mabsadd L
.97619 .00913 2.37764 .77254 Mabsadd L
.97619 .00913 .56518 .7779 Mabsadd L
.97619 .00913 0 2.5 Mabsadd L closepath F
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[24]:=",
  ImageSize->{306.375, 117.125},
  ImageMargins->{{42.6875, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004b0000MB000`400?l00000o`00003o9`3oool0
0`000000oooo0?ooo`3o0?ooo`T0oooo000W0?ooo`030000003oool0oooo0?l0oooo2@3oool002L0
oooo00<000000?ooo`3oool0k`3oool2000001L0oooo000W0?ooo`800000k`3oool4000001H0oooo
000W0?ooo`030000003oool0oooo0>l0oooo0P00000G0?ooo`009`3oool00`000000oooo0?ooo`3_
0?ooo`030000003oool0oooo01H0oooo000W0?ooo`030000003oool0oooo0140oooo0P00000j0?oo
o`030000003oool0oooo01L0oooo00<000000?ooo`3oool0>@3oool200000140oooo00<000000?oo
o`3oool0C`3oool002L0oooo0P00000A0?ooo`@00000>@3oool00`000000oooo0?ooo`0H0?ooo`03
0000003oool0oooo03L0oooo00@000000?ooo`3oool00000403oool00`000000oooo0?ooo`0d0?oo
o`030000003oool0oooo01P0oooo000W0?ooo`030000003oool0oooo00X0oooo0`0000020?ooo`H0
00000P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo0`000000103oool0
00000000000000060?ooo`040000003oool0oooo00000080oooo1@0000000`3oool000000?ooo`07
0?ooo`030000003oool0oooo00<0oooo0`0000020?ooo`030000003oool0oooo00D0oooo00@00000
0?ooo`3oool000000P3oool5000000<0oooo00<000000?ooo`3oool0103oool3000000<0oooo0`00
00001@3oool000000?ooo`3oool0000000P0oooo0`0000030?ooo`<0000000<0oooo0000003oool0
1P3oool00`000000oooo0?ooo`030?ooo`@000000P3oool3000000L0oooo0P0000030?ooo`<00000
00@0oooo00000000000000002P3oool3000000<0oooo0P0000020?ooo`8000001P3oool01@000000
oooo0?ooo`3oool000000080oooo0P0000040?ooo`030000003oool0oooo00@0oooo1@0000020?oo
o`<000000P3oool200000140oooo000W0?ooo`030000003oool0oooo00X0oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000001@3o
ool01P000000oooo0000003oool000000?ooo`8000000P3oool00`000000oooo000000090?ooo`04
0000003oool0oooo0?ooo`8000000P3oool00`000000oooo000000070?ooo`060000003oool00000
0?ooo`000000oooo0P0000020?ooo`060000003oool0oooo0000003oool000001@3oool01P000000
oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`06
0?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000080?ooo`040000
003oool0oooo0?ooo`8000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo00@0
oooo00H000000?ooo`3oool000000?ooo`0000040?ooo`040000003oool0oooo000000P0oooo00L0
00000?ooo`3oool0oooo0000003oool000000080oooo00<000000?ooo`0000001`3oool00`000000
oooo0?ooo`02000000050?ooo`000000oooo0?ooo`0000000P3oool00`000000oooo000000050?oo
o`070000003oool0oooo0?ooo`000000oooo000000040?ooo`040000003oool0oooo00000100oooo
000W0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool01@0000020?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool00P3oool4000000050?ooo`000000oooo0?ooo`000000
1@3oool020000000oooo0000003oool000000?ooo`000000oooo0`0000000`3oool000000?ooo`08
0?ooo`H000000P3oool00`000000oooo000000070?ooo`080000003oool000000?ooo`000000oooo
0000003oool300000080oooo00<000000?ooo`000000203oool00`000000oooo000000020?ooo`03
0000003oool000000080oooo00<000000?ooo`3oool02@3oool00`000000oooo000000020?ooo`03
0000003oool0000000P0oooo1P0000020?ooo`030000003oool000000080oooo00<000000?ooo`3o
ool01`3oool00`000000oooo00000003000000050?ooo`000000oooo0?ooo`000000203oool01`00
0000oooo0?ooo`3oool000000?ooo`000000103oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo0080000000D0oooo0000003oool0oooo000000020?ooo`030000003oool0000000D0oooo
00H000000?ooo`000000oooo0000003oool4000000030?ooo`000000oooo0180oooo000W0?ooo`80
00003P3oool00`000000oooo0?ooo`020?ooo`030000003oool000000080oooo00<000000?ooo`3o
ool01@3oool300000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0
oooo00<0oooo00L000000?ooo`000000oooo0000003oool0000000<0oooo00<000000?ooo`000000
2@3oool010000000oooo0?ooo`3oool200000080oooo00<000000?ooo`0000001`3oool01`000000
oooo0000003oool000000?ooo`0000000`3oool01P000000oooo0?ooo`000000oooo000000P0oooo
00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`0000000P3oool00`000000oooo000000080?ooo`040000003oool0oooo0?ooo`80
00000P3oool00`000000oooo000000020?ooo`030000003oool0oooo00D0oooo0P0000020?ooo`06
0000003oool0oooo0000003oool000000P3oool00`000000oooo0?ooo`060?ooo`070000003oool0
oooo0?ooo`000000oooo000000020?ooo`030000003oool0000000L0oooo00L000000?ooo`000000
oooo0000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000050?ooo`070000003o
ool000000?ooo`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3o
ool03P3oool002L0oooo00<000000?ooo`3oool03@3oool00`000000oooo00000003000000040?oo
o`0000000000000000P0oooo00<000000?ooo`3oool00`3oool200000080oooo0`0000060?ooo`80
00000`3oool6000000040?ooo`0000000000000000P0oooo00@000000?ooo`000000oooo0`000002
0?ooo`<000001@3oool2000000<0oooo1P0000000`3oool000000?ooo`020?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`0000000P3oool00`000000oooo00000002000000`0oooo00<00000
0?ooo`0000000P3oool00`000000oooo000000090?ooo`050000003oool000000?ooo`0000000P3o
ool00`000000oooo0?ooo`03000000H0oooo00<000000?ooo`3oool00`3oool200000080oooo0`00
00090?ooo`050000003oool0oooo0?ooo`0000000P3oool2000000040?ooo`0000000000000000H0
oooo0P0000020?ooo`030000003oool0oooo008000000P3oool01@000000oooo0?ooo`3oool00000
00@0oooo00D000000?ooo`3oool0oooo000000020?ooo`8000000`3oool200000140oooo000W0?oo
o`030000003oool0oooo00d0oooo00<000000?ooo`3oool00`0000020?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`8000000`3oool20000
0100oooo00<000000?ooo`0000003P3oool2000000<0oooo0P00000A0?ooo`030000003oool0oooo
01<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`070?ooo`030000003oool00000
0100oooo00@000000?ooo`3oool000004P3oool01@000000oooo0?ooo`3oool0000000H0oooo00<0
00000?ooo`3oool01@3oool200000080oooo00<000000?ooo`3oool03@3oool01@000000oooo0?oo
o`3oool0000001X0oooo000W0?ooo`030000003oool0oooo00d0oooo00@000000?ooo`3oool0oooo
0`00000;0?ooo`@000001P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0@0?ooo`800000503oool3000000l0oooo
00D000000?ooo`3oool0oooo0000000?0?ooo`@000006`3oool002L0oooo0P00000E0?ooo`030000
003oool0oooo0?40oooo000W0?ooo`030000003oool0oooo01D0oooo0`00003?0?ooo`030000003o
ool0oooo01h0oooo000W0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0k`3oool0
02L0oooo00<000000?ooo`3oool05`3oool200000>l0oooo000Q0?ooool000000@00000A0?ooo`00
9`3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`000000
2`3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0
4P3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0
4@3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0
4@3oool00`000000oooo0?ooo`0@0?ooo`<000005P3oool002L0oooo00<000000?ooo`3oool06`3o
ool00`000000oooo0?ooo`3@0?ooo`@000005P3oool002L0oooo00<000000?ooo`3oool06P3oool0
0`000000oooo000000360?ooo`030000003oool0oooo00T0oooo0P00000G0?ooo`009`3oool20000
01/0oooo00@000000?ooo`3oool00000d@3oool00`000000oooo0?ooo`0F0?ooo`009`3oool00`00
0000oooo0?ooo`0N0?ooo`030000003oool0oooo0<d0oooo00<000000?ooo`3oool05`3oool002L0
oooo00<000000?ooo`3oool06`3oool01@000000oooo0?ooo`3oool000000<40oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`0H0?ooo`009`3oool00`000000oooo0?ooo`0L0?ooo`05
0000003oool0oooo0?ooo`000000c03oool00`000000oooo0?ooo`0H0?ooo`009`3oool200000280
oooo0P0000390?ooo`030000003oool0oooo01T0oooo000W0?ooo`030000003oool0oooo01d0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`2i0?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool06@3oool002L0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo0<@0oooo00<000000?ooo`3oool06P3oool002L0oooo00<00000
0?ooo`3oool09@3oool200000<<0oooo00<000000?ooo`3oool06`3oool002L0oooo0P00000U0?oo
o`@00000]@3oool2000000/0oooo00<000000?ooo`3oool06`3oool002L0oooo00<000000?ooo`3o
ool07`3oool00`000000oooo0?ooo`030?ooo`<00000/`3oool2000000`0oooo00<000000?ooo`3o
ool0703oool002L0oooo00<000000?ooo`3oool09P3oool200000;<0oooo0P00000;0?ooo`030000
003oool0oooo01d0oooo000W0?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool0/03o
ool4000000X0oooo00<000000?ooo`3oool07@3oool002L0oooo0P00000Q0?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool0_03oool00`000000oooo0?ooo`0N0?ooo`009`3oool00`00
0000oooo0?ooo`0X0?ooo`030000003oool0oooo0;`0oooo00<000000?ooo`3oool07P3oool00200
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo0:h0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0O0?ooo`00803oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`2i0?ooo`030000003oool0oooo0200oooo000M0?ooo`D000001@3oool3000002T0oooo00<0
00000?ooo`3oool0^@3oool00`000000oooo0?ooo`0P0?ooo`007@3oool010000000oooo0?ooo`00
00060?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool0Z`3oool2000000X0oooo00<0
00000?ooo`3oool08@3oool001h0oooo00<000000?ooo`0000001P3oool00`000000oooo0?ooo`0T
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0]P3oool00`000000oooo0?ooo`0R
0?ooo`007`3oool2000000H0oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`2e0?oo
o`030000003oool0oooo0280oooo000P0?ooo`030000003oool0oooo00@0oooo0P00000/0?ooo`03
0000003oool0oooo0:T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0S0?ooo`00
9`3oool00`000000oooo0?ooo`0U0?ooo`8000001@3oool00`000000oooo0?ooo`2c0?ooo`030000
003oool0oooo02<0oooo000W0?ooo`030000003oool0oooo02D0oooo0P0000050?ooo`030000003o
ool0oooo0;80oooo00<000000?ooo`3oool0903oool002L0oooo00<000000?ooo`3oool08`3oool6
000000<0oooo00<000000?ooo`3oool0Y`3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo02D0oooo000W0?ooo`800000;03oool00`000000oooo0000002W0?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool09@3oool002L0oooo00<000000?ooo`3oool0;@3oool00`000000
oooo0?ooo`2_0?ooo`030000003oool0oooo02H0oooo000W0?ooo`030000003oool0oooo02h0oooo
0P00002T0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool09`3oool002L0oooo00<0
00000?ooo`3oool0;P3oool00`000000oooo0?ooo`0200000:40oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`0W0?ooo`009`3oool200000300oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`2U0?ooo`030000003oool0oooo02P0oooo000W0?ooo`030000003oool0oooo
02l0oooo00<000000?ooo`3oool01P3oool4000009L0oooo00<000000?ooo`3oool01@3oool30000
02X0oooo000W0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool01P3oool3000009L0
oooo00<000000?ooo`3oool01@3oool4000002X0oooo000W0?ooo`030000003oool0oooo0300oooo
00<000000?ooo`3oool01@3oool4000009l0oooo0`00000Z0?ooo`009`3oool200000340oooo00<0
00000?ooo`3oool01`3oool2000009l0oooo0P00000[0?ooo`009`3oool00`000000oooo0?ooo`0a
0?ooo`030000003oool0oooo09d0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0[
0?ooo`007P3oool2000000L0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo09T0oooo00<000000?ooo`3oool0;03oool001d0oooo00@000000?ooo`3o
ool000001P3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool0V03oool00`000000oooo0?ooo`0]0?ooo`00803oool00`000000oooo0?ooo`040?ooo`<0
0000<P3oool00`000000oooo0?ooo`2J0?ooo`8000001`3oool00`000000oooo0?ooo`0]0?ooo`00
7@3oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo0380oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`2E0?ooo`030000003oool0oooo02h0oooo000M0?ooo`<00000
1`3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
U03oool00`000000oooo0?ooo`0_0?ooo`007P3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo03<0oooo00<000000?ooo`3oool0V03oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo0300oooo000N0?ooo`<000001P3oool2000003D0oooo00<000000?ooo`3oool02P3oool0
0`000000oooo0?ooo`2A0?ooo`030000003oool0oooo0300oooo000W0?ooo`030000003oool0oooo
03@0oooo00<000000?ooo`3oool0W@3oool00`000000oooo0?ooo`0a0?ooo`009`3oool00`000000
oooo0?ooo`0d0?ooo`030000003oool0oooo09H0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0b0?ooo`009`3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo00/0oooo
00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo03<0oooo
000W0?ooo`800000=P3oool00`000000oooo0?ooo`2J0?ooo`030000003oool0oooo03<0oooo000W
0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool0TP3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo03@0oooo000W0?ooo`030000003oool0oooo03H0oooo00<000000?oo
o`3oool02`3oool2000008D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0e0?oo
o`009`3oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo09D0oooo00<000000?ooo`3o
ool0=P3oool002L0oooo0P00000h0?ooo`030000003oool0oooo0900oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`0f0?ooo`009`3oool00`000000oooo0?ooo`0g0?ooo`030000003o
ool0oooo00`0oooo0P0000050?ooo`800000NP3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo03L0oooo000W0?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3oool04@3oool5
000007`0oooo00<000000?ooo`3oool0>03oool002L0oooo00<000000?ooo`3oool0>03oool00`00
0000oooo0?ooo`0>0?ooo`L0000000<0oooo0000000000000P00001g0?ooo`030000003oool0oooo
03T0oooo000W0?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool02@3oool5000000@0
oooo00<000000?ooo`3oool0103oool4000006h0oooo0P0000030?ooo`030000003oool0oooo03T0
oooo000W0?ooo`800000>P3oool2000000H0oooo1000000D0?ooo`@000001P3oool00`000000oooo
0?ooo`0A0?ooo`030000003oool0oooo04/0oooo1@0000000`3oool000000?ooo`0k0?ooo`007P3o
ool2000000L0oooo00<000000?ooo`3oool0>@3oool3000000030?ooo`000000000000800000703o
ool4000000030?ooo`00000000000180oooo0`00001=0?ooo`050000003oool0oooo0?ooo`000000
?@3oool001d0oooo00@000000?ooo`3oool000001P3oool00`000000oooo0?ooo`0h0?ooo`D00000
3@3oool2000001D0oooo6@00001<0?ooo`040000003oool00000000003h0oooo000M0?ooo`040000
003oool0oooo000000H0oooo00<000000?ooo`3oool0>@3oool2000002L0oooo0P00000B0?ooo`80
00000P3oool5000004P0oooo0`00000n0?ooo`007@3oool010000000oooo0?ooo`0000060?ooo`<0
0000O`3oool5000000L0oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`04000003h0
oooo000M0?ooo`<000001`3oool00`000000oooo0?ooo`1<0?ooo`030000003oool0oooo03D0oooo
1@000000103oool0000000000000000j0?ooo`800000?`3oool001d0oooo00@000000?ooo`3oool0
00001P3oool00`000000oooo0?ooo`290?ooo`@00000=03oool010000000oooo0?ooo`3oool20000
0440oooo000N0?ooo`8000001`3oool00`000000oooo0?ooo`1=0?ooo`8000004`3oool00`000000
oooo0?ooo`0A0?ooo`8000004P3oool4000003<0oooo00@000000?ooo`3oool00000@`3oool002L0
oooo0P00001=0?ooo`D0000000@0oooo0000003oool0oooo0P0000020?ooo`030000003oool0oooo
008000000P3oool500000080oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool0oooo
0080000000<0oooo000000000000100000020?ooo`030000003oool0oooo008000003@3oool20000
03<0oooo00<000000?ooo`3oool0@P3oool002L0oooo00<000000?ooo`3oool0CP3oool00`000000
oooo0?ooo`0b0?ooo`040000003oool0oooo00000080oooo0`0000040?ooo`030000003oool0oooo
02/0oooo00<000000?ooo`3oool00P0000150?ooo`009`3oool00`000000oooo0?ooo`290?ooo`@0
0000103oool2000002d0oooo00<000000?ooo`3oool0A@3oool002L0oooo00<000000?ooo`3oool0
R`3oool00`000000oooo000000050?ooo`8000009`3oool010000000oooo0?ooo`0000180?ooo`00
9`3oool200000940oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0U0?ooo`800000
B@3oool002L0oooo00<000000?ooo`3oool0UP3oool2000002@0oooo00<000000?ooo`3oool0B@3o
ool002L0oooo00<000000?ooo`3oool0T`3oool00`000000oooo0?ooo`020?ooo`8000007`3oool3
000004`0oooo000W0?ooo`030000003oool0oooo09H0oooo0P0000020?ooo`030000003oool0oooo
01`0oooo0P00001=0?ooo`009`3oool2000009`0oooo0P0000020?ooo`030000003oool0oooo01D0
oooo0P00001?0?ooo`009`3oool00`000000oooo0?ooo`2I0?ooo`8000000P3oool4000001H0oooo
00<000000?ooo`3oool0CP3oool002L0oooo00<000000?ooo`3oool0W03oool8000000l0oooo00@0
00000?ooo`0000000000D@3oool002L0oooo00<000000?ooo`3oool0W@3oool3000000@0oooo2P00
00050?ooo`<00000DP3oool002L0oooo0P00002O0?ooo`<000000P3oool200000080oooo00<00000
0?ooo`3oool00P0000020?ooo`L00000D`3oool002L0oooo00<000000?ooo`3oool0W@3oool50000
00l0oooo1@00001B0?ooo`009`3oool00`000000oooo0?ooo`3o0?ooo`T0oooo003o0?oooc<0oooo
003o0?oooc<0oooo003o0?oooc<0oooo003o0?oooc<0oooo003o0?oooc<0oooo003o0?oooc<0oooo
003o0?oooc<0oooo000Q0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool02`3oool0
0`000000oooo0?ooo`3b0?ooo`008@3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
00`0oooo00<000000?ooo`3oool0l@3oool000h0oooo00@000000?ooo`3oool000000`3oool01@00
0000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0000
00020?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool00`0000000`3oool00000
00000002000000<0oooo00<000000?ooo`3oool0l@3oool000h0oooo00<000000?ooo`0000000`3o
ool02@000000oooo0000003oool000000?ooo`000000oooo000000020?ooo`060000003oool0oooo
0000003oool000000P3oool010000000oooo0?ooo`0000050?ooo`030000003oool000000080oooo
00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000?80oooo000>0?ooo`<0
00000`3oool02@000000oooo0000003oool000000?ooo`000000oooo000000020?ooo`060000003o
ool0oooo0000003oool000000P3oool010000000oooo0?ooo`0000050?ooo`030000003oool00000
0080oooo00<000000?ooo`3oool00`0000020?ooo`030000003oool000000?80oooo000>0?ooo`03
0000003oool0000000<0oooo00T000000?ooo`000000oooo0000003oool000000?ooo`0000000P3o
ool01P000000oooo0?ooo`000000oooo00000080oooo00@000000?ooo`3oool000001@3oool00`00
0000oooo000000020?ooo`030000003oool0oooo0080oooo00H000000?ooo`3oool000000?ooo`00
003b0?ooo`003P3oool010000000oooo0?ooo`0000020?ooo`080000003oool000000?ooo`000000
oooo0000003oool3000000@0oooo1`000000103oool000000000000000030?ooo`030000003oool0
00000080000000<0oooo0000000000000P0000000`3oool000000?ooo`020?ooo`030000003oool0
oooo0>l0oooo000>0?ooo`030000003oool0oooo0080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`8000001P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0080oooo00D0
00000?ooo`3oool0oooo0000003l0?ooo`003P3oool00`000000oooo0?ooo`020?ooo`050000003o
ool0oooo0?ooo`0000000`3oool2000000H0oooo00<000000?ooo`3oool01`3oool01@000000oooo
0?ooo`3oool0000000<0oooo00<000000?ooo`3oool0nP3oool002/0oooo0`00003o0?ooo`D0oooo
003o0?oooc<0oooo0000\
\>"],
  ImageRangeCache->{{{0, 305.375}, {116.125, 0}} -> {-1.97245, 2.08497, \
0.0494415, 0.0494415}},
  CellTags->"IPM3.Sol.11.1"],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[24]=",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["11.2",
    ButtonData:>"IPM3.11.2.9",
    ButtonStyle->"SolutionsLink"],
  "  Random walks"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.11.2"],

Cell[CellGroupData[{

Cell[TextData[{
  "First defining ",
  StyleBox["walk1DOffLattice", "MR"],
  " and then inserting an ",
  StyleBox["If", "MR"],
  " statement immediately following ",
  StyleBox["dim==1", "MR"],
  " will do the trick."
}], "SolutionItem",
  CellTags->"IPM3.Sol.11.2"],

Cell[BoxData[
    \(walk1DOffLattice[n_] := \[IndentingNewLine]FoldList[Plus, 0, 
        Table[Random[Real, {\(-1\), 1}], {n}]]\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.11.2"],

Cell[BoxData[
    \(walk1D[n_] := 
      NestList[# + \((\(-1\))\)\^Random[Integer] &, 0, n]\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.11.2"],

Cell[BoxData[
    \(walk2D[
        n_] := \[IndentingNewLine]Module[{NSEW = {{0, 1}, {1, 
                0}, {0, \(-1\)}, {\(-1\), 0}}}, \[IndentingNewLine]FoldList[
          Plus, {0, 0}, \[IndentingNewLine]NSEW\[LeftDoubleBracket]
            Table[Random[
                Integer, {1, 4}], {n}]\[RightDoubleBracket]]]\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.11.2"],

Cell[BoxData[
    \(walk2DOffLattice[n_] := \[IndentingNewLine]FoldList[Plus, {0, 0}, 
        Map[{Cos[#], Sin[#]} &, 
          Table[Random[Real, {0, 2\ \[Pi]}], {n}]]]\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.11.2"],

Cell[BoxData[
    \(walk3D[n_] := 
      Module[{NSEW3 = \(\@2\) Vertices[Cube]}, 
        FoldList[Plus, {0, 0, 0}, 
          NSEW3\[LeftDoubleBracket]Table[
              Random[Integer, {1, 8}], {n}]\[RightDoubleBracket]]]\)], "Input",\

  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.11.2"],

Cell[BoxData[
    \(walk3DOffLattice[n_] := 
      FoldList[Plus, {0, 0, 0}, 
        Map[{Cos[#], Sin[#], \(\(\ \)\(#\)\)\/\(2  \[Pi]\)} &, 
          Table[Random[Real, {\(-2\) \[Pi], 2\ \[Pi]}], {n}]]]\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.11.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Options[RandomWalk] = {LatticeWalk \[Rule] True, 
        Dimension \[Rule] 2}\)], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.11.2"],

Cell[BoxData[
    \({LatticeWalk \[Rule] True, Dimension \[Rule] 2}\)], "Output",
  CellLabel->"Out[7]=",
  CellTags->"IPM3.Sol.11.2"]
}, Closed]],

Cell[BoxData[
    \(RandomWalk[n_, opts___?OptionQ] := 
      Module[{dim, latticeQ}, \[IndentingNewLine]If[
          Not[IntegerQ[n] && n > 0], 
          Message[RandomWalk::rwn, 
            n], {latticeQ, dim} = {LatticeWalk, Dimension} /. 
              Flatten[{opts, 
                  Options[
                    RandomWalk]}]; \[IndentingNewLine]Which[\
\[IndentingNewLine]dim == 1, 
            If[latticeQ, walk1D[n], 
              walk1DOffLattice[n]], \[IndentingNewLine]dim == 2, 
            If[latticeQ, walk2D[n], 
              walk2DOffLattice[n]], \[IndentingNewLine]dim == 3, 
            If[latticeQ, walk3D[n], 
              walk3DOffLattice[n]]\[IndentingNewLine]]]]\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.11.2"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "The output from ",
  StyleBox["RandomWalk", "MR"],
  " with the option ",
  StyleBox["Dimension", "MR"],
  " set to 1 is a one-dimensional list of integers. "
}], "SolutionItem",
  CellTags->"IPM3.Sol.11.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(RandomWalk[10, Dimension \[Rule] 1]\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.11.2"],

Cell[BoxData[
    \({0, 1, 2, 1, 2, 3, 2, 1, 0, 1, 0}\)], "Output",
  CellLabel->"Out[9]=",
  CellTags->"IPM3.Sol.11.2"]
}, Closed]],

Cell[TextData[{
  "This list can be passed directly to ",
  StyleBox["ListPlot", "MR"],
  "."
}], "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.11.2"],

Cell[BoxData[
    \(ShowWalk[coords_, opts___] := 
      Which[\[IndentingNewLine]Length[Dimensions[coords]] == 
          1, \[IndentingNewLine]\t
        ListPlot[coords, opts, 
          PlotJoined \[Rule] 
            True], \[IndentingNewLine]\(Dimensions[
              coords]\)\[LeftDoubleBracket]2\[RightDoubleBracket] == 
          2, \[IndentingNewLine]\t
        Show[Graphics[Line[coords], opts, 
            AspectRatio \[Rule] Automatic]], \(Dimensions[
              coords]\)\[LeftDoubleBracket]2\[RightDoubleBracket] == 
          3, \[IndentingNewLine]\t
        Show[Graphics3D[Line[coords], opts, 
            AspectRatio \[Rule] Automatic]]]\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.11.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ShowWalk[RandomWalk[1000, Dimension \[Rule] 1]];\)\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.11.2"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.00095143 0.555594 0.0159082 [
[.2141 .54309 -9.5 -11.875 ]
[.2141 .54309 9.5 0 ]
[.40438 .54309 -9.5 -11.875 ]
[.40438 .54309 9.5 0 ]
[.59467 .54309 -9.5 -11.875 ]
[.59467 .54309 9.5 0 ]
[.78495 .54309 -9.5 -11.875 ]
[.78495 .54309 9.5 0 ]
[.97524 .54309 -12 -11.875 ]
[.97524 .54309 12 0 ]
[.01131 .07835 -20.1875 -5.9375 ]
[.01131 .07835 0 5.9375 ]
[.01131 .15789 -20.1875 -5.9375 ]
[.01131 .15789 0 5.9375 ]
[.01131 .23743 -20.1875 -5.9375 ]
[.01131 .23743 0 5.9375 ]
[.01131 .31697 -20.1875 -5.9375 ]
[.01131 .31697 0 5.9375 ]
[.01131 .39651 -20.1875 -5.9375 ]
[.01131 .39651 0 5.9375 ]
[.01131 .47605 -15.1875 -5.9375 ]
[.01131 .47605 0 5.9375 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.2141 .55559 m
.2141 .56184 L
s
gsave
.2141 .54309 -70.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(200) show
1.000 setlinewidth
grestore
.40438 .55559 m
.40438 .56184 L
s
gsave
.40438 .54309 -70.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(400) show
1.000 setlinewidth
grestore
.59467 .55559 m
.59467 .56184 L
s
gsave
.59467 .54309 -70.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(600) show
1.000 setlinewidth
grestore
.78495 .55559 m
.78495 .56184 L
s
gsave
.78495 .54309 -70.5 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(800) show
1.000 setlinewidth
grestore
.97524 .55559 m
.97524 .56184 L
s
gsave
.97524 .54309 -73 -15.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1000) show
1.000 setlinewidth
grestore
.125 Mabswid
.07138 .55559 m
.07138 .55934 L
s
.11895 .55559 m
.11895 .55934 L
s
.16652 .55559 m
.16652 .55934 L
s
.26167 .55559 m
.26167 .55934 L
s
.30924 .55559 m
.30924 .55934 L
s
.35681 .55559 m
.35681 .55934 L
s
.45195 .55559 m
.45195 .55934 L
s
.49952 .55559 m
.49952 .55934 L
s
.5471 .55559 m
.5471 .55934 L
s
.64224 .55559 m
.64224 .55934 L
s
.68981 .55559 m
.68981 .55934 L
s
.73738 .55559 m
.73738 .55934 L
s
.83252 .55559 m
.83252 .55934 L
s
.8801 .55559 m
.8801 .55934 L
s
.92767 .55559 m
.92767 .55934 L
s
.25 Mabswid
0 .55559 m
1 .55559 L
s
.02381 .07835 m
.03006 .07835 L
s
gsave
.01131 .07835 -81.1875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(30) show
1.000 setlinewidth
grestore
.02381 .15789 m
.03006 .15789 L
s
gsave
.01131 .15789 -81.1875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(25) show
1.000 setlinewidth
grestore
.02381 .23743 m
.03006 .23743 L
s
gsave
.01131 .23743 -81.1875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(20) show
1.000 setlinewidth
grestore
.02381 .31697 m
.03006 .31697 L
s
gsave
.01131 .31697 -81.1875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(15) show
1.000 setlinewidth
grestore
.02381 .39651 m
.03006 .39651 L
s
gsave
.01131 .39651 -81.1875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(10) show
1.000 setlinewidth
grestore
.02381 .47605 m
.03006 .47605 L
s
gsave
.01131 .47605 -76.1875 -9.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.188 13.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(5) show
1.000 setlinewidth
grestore
.125 Mabswid
.02381 .01472 m
.02756 .01472 L
s
.02381 .03062 m
.02756 .03062 L
s
.02381 .04653 m
.02756 .04653 L
s
.02381 .06244 m
.02756 .06244 L
s
.02381 .09426 m
.02756 .09426 L
s
.02381 .11016 m
.02756 .11016 L
s
.02381 .12607 m
.02756 .12607 L
s
.02381 .14198 m
.02756 .14198 L
s
.02381 .1738 m
.02756 .1738 L
s
.02381 .18971 m
.02756 .18971 L
s
.02381 .20561 m
.02756 .20561 L
s
.02381 .22152 m
.02756 .22152 L
s
.02381 .25334 m
.02756 .25334 L
s
.02381 .26925 m
.02756 .26925 L
s
.02381 .28515 m
.02756 .28515 L
s
.02381 .30106 m
.02756 .30106 L
s
.02381 .33288 m
.02756 .33288 L
s
.02381 .34879 m
.02756 .34879 L
s
.02381 .3647 m
.02756 .3647 L
s
.02381 .3806 m
.02756 .3806 L
s
.02381 .41242 m
.02756 .41242 L
s
.02381 .42833 m
.02756 .42833 L
s
.02381 .44424 m
.02756 .44424 L
s
.02381 .46014 m
.02756 .46014 L
s
.02381 .49196 m
.02756 .49196 L
s
.02381 .50787 m
.02756 .50787 L
s
.02381 .52378 m
.02756 .52378 L
s
.02381 .53969 m
.02756 .53969 L
s
.02381 .5715 m
.02756 .5715 L
s
.02381 .58741 m
.02756 .58741 L
s
.02381 .60332 m
.02756 .60332 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02476 .55559 m
.02571 .5715 L
.02666 .55559 L
.02762 .5715 L
.02857 .58741 L
.02952 .5715 L
.03047 .58741 L
.03142 .5715 L
.03237 .55559 L
.03332 .5715 L
.03428 .55559 L
.03523 .53969 L
.03618 .52378 L
.03713 .50787 L
.03808 .49196 L
.03903 .47605 L
.03998 .46014 L
.04094 .47605 L
.04189 .49196 L
.04284 .47605 L
.04379 .49196 L
.04474 .47605 L
.04569 .49196 L
.04664 .47605 L
.0476 .46014 L
.04855 .44424 L
.0495 .42833 L
.05045 .41242 L
.0514 .39651 L
.05235 .3806 L
.0533 .3647 L
.05426 .34879 L
.05521 .33288 L
.05616 .31697 L
.05711 .30106 L
.05806 .28515 L
.05901 .30106 L
.05996 .31697 L
.06092 .33288 L
.06187 .31697 L
.06282 .33288 L
.06377 .34879 L
.06472 .33288 L
.06567 .31697 L
.06662 .30106 L
.06758 .28515 L
.06853 .26925 L
.06948 .25334 L
.07043 .23743 L
.07138 .22152 L
Mistroke
.07233 .23743 L
.07328 .22152 L
.07424 .20561 L
.07519 .18971 L
.07614 .20561 L
.07709 .22152 L
.07804 .23743 L
.07899 .22152 L
.07994 .20561 L
.0809 .22152 L
.08185 .23743 L
.0828 .22152 L
.08375 .20561 L
.0847 .18971 L
.08565 .1738 L
.0866 .18971 L
.08756 .1738 L
.08851 .18971 L
.08946 .1738 L
.09041 .18971 L
.09136 .1738 L
.09231 .15789 L
.09326 .1738 L
.09422 .15789 L
.09517 .1738 L
.09612 .18971 L
.09707 .20561 L
.09802 .22152 L
.09897 .20561 L
.09992 .22152 L
.10088 .23743 L
.10183 .25334 L
.10278 .23743 L
.10373 .25334 L
.10468 .26925 L
.10563 .25334 L
.10658 .26925 L
.10754 .28515 L
.10849 .30106 L
.10944 .28515 L
.11039 .30106 L
.11134 .31697 L
.11229 .33288 L
.11324 .31697 L
.1142 .33288 L
.11515 .34879 L
.1161 .33288 L
.11705 .31697 L
.118 .33288 L
.11895 .31697 L
Mistroke
.1199 .30106 L
.12086 .28515 L
.12181 .26925 L
.12276 .28515 L
.12371 .30106 L
.12466 .28515 L
.12561 .26925 L
.12656 .25334 L
.12752 .26925 L
.12847 .25334 L
.12942 .23743 L
.13037 .22152 L
.13132 .23743 L
.13227 .25334 L
.13322 .26925 L
.13418 .25334 L
.13513 .23743 L
.13608 .25334 L
.13703 .26925 L
.13798 .25334 L
.13893 .23743 L
.13988 .25334 L
.14084 .23743 L
.14179 .22152 L
.14274 .23743 L
.14369 .25334 L
.14464 .23743 L
.14559 .25334 L
.14654 .23743 L
.1475 .22152 L
.14845 .20561 L
.1494 .18971 L
.15035 .20561 L
.1513 .18971 L
.15225 .20561 L
.1532 .22152 L
.15416 .20561 L
.15511 .22152 L
.15606 .23743 L
.15701 .22152 L
.15796 .23743 L
.15891 .22152 L
.15986 .20561 L
.16082 .18971 L
.16177 .20561 L
.16272 .18971 L
.16367 .1738 L
.16462 .18971 L
.16557 .20561 L
.16652 .18971 L
Mistroke
.16748 .20561 L
.16843 .18971 L
.16938 .1738 L
.17033 .18971 L
.17128 .20561 L
.17223 .18971 L
.17318 .20561 L
.17414 .22152 L
.17509 .23743 L
.17604 .22152 L
.17699 .23743 L
.17794 .22152 L
.17889 .23743 L
.17984 .22152 L
.1808 .23743 L
.18175 .25334 L
.1827 .26925 L
.18365 .28515 L
.1846 .26925 L
.18555 .25334 L
.1865 .23743 L
.18746 .22152 L
.18841 .20561 L
.18936 .18971 L
.19031 .1738 L
.19126 .15789 L
.19221 .1738 L
.19316 .15789 L
.19412 .14198 L
.19507 .12607 L
.19602 .14198 L
.19697 .12607 L
.19792 .14198 L
.19887 .15789 L
.19982 .1738 L
.20078 .18971 L
.20173 .1738 L
.20268 .15789 L
.20363 .1738 L
.20458 .18971 L
.20553 .1738 L
.20648 .18971 L
.20744 .20561 L
.20839 .18971 L
.20934 .20561 L
.21029 .22152 L
.21124 .20561 L
.21219 .18971 L
.21314 .20561 L
.2141 .18971 L
Mistroke
.21505 .20561 L
.216 .18971 L
.21695 .1738 L
.2179 .15789 L
.21885 .14198 L
.2198 .15789 L
.22076 .14198 L
.22171 .15789 L
.22266 .14198 L
.22361 .15789 L
.22456 .1738 L
.22551 .18971 L
.22646 .1738 L
.22742 .15789 L
.22837 .1738 L
.22932 .15789 L
.23027 .1738 L
.23122 .15789 L
.23217 .1738 L
.23312 .15789 L
.23408 .1738 L
.23503 .15789 L
.23598 .1738 L
.23693 .15789 L
.23788 .1738 L
.23883 .18971 L
.23978 .1738 L
.24074 .15789 L
.24169 .14198 L
.24264 .15789 L
.24359 .14198 L
.24454 .12607 L
.24549 .14198 L
.24644 .15789 L
.2474 .1738 L
.24835 .18971 L
.2493 .20561 L
.25025 .18971 L
.2512 .1738 L
.25215 .18971 L
.2531 .20561 L
.25406 .22152 L
.25501 .20561 L
.25596 .18971 L
.25691 .20561 L
.25786 .22152 L
.25881 .23743 L
.25976 .22152 L
.26072 .23743 L
.26167 .25334 L
Mistroke
.26262 .26925 L
.26357 .28515 L
.26452 .30106 L
.26547 .31697 L
.26642 .33288 L
.26738 .31697 L
.26833 .30106 L
.26928 .31697 L
.27023 .30106 L
.27118 .28515 L
.27213 .30106 L
.27308 .31697 L
.27404 .30106 L
.27499 .31697 L
.27594 .33288 L
.27689 .34879 L
.27784 .3647 L
.27879 .3806 L
.27974 .3647 L
.2807 .3806 L
.28165 .39651 L
.2826 .3806 L
.28355 .3647 L
.2845 .34879 L
.28545 .33288 L
.2864 .34879 L
.28736 .33288 L
.28831 .31697 L
.28926 .30106 L
.29021 .28515 L
.29116 .30106 L
.29211 .31697 L
.29306 .33288 L
.29402 .31697 L
.29497 .33288 L
.29592 .34879 L
.29687 .3647 L
.29782 .3806 L
.29877 .3647 L
.29972 .3806 L
.30068 .3647 L
.30163 .3806 L
.30258 .39651 L
.30353 .41242 L
.30448 .39651 L
.30543 .3806 L
.30638 .3647 L
.30734 .3806 L
.30829 .3647 L
.30924 .3806 L
Mistroke
.31019 .3647 L
.31114 .3806 L
.31209 .39651 L
.31304 .3806 L
.314 .39651 L
.31495 .41242 L
.3159 .39651 L
.31685 .3806 L
.3178 .39651 L
.31875 .41242 L
.3197 .39651 L
.32066 .3806 L
.32161 .3647 L
.32256 .3806 L
.32351 .39651 L
.32446 .3806 L
.32541 .39651 L
.32636 .41242 L
.32732 .39651 L
.32827 .3806 L
.32922 .3647 L
.33017 .3806 L
.33112 .39651 L
.33207 .3806 L
.33302 .39651 L
.33398 .41242 L
.33493 .42833 L
.33588 .41242 L
.33683 .42833 L
.33778 .41242 L
.33873 .42833 L
.33968 .41242 L
.34064 .42833 L
.34159 .44424 L
.34254 .42833 L
.34349 .44424 L
.34444 .46014 L
.34539 .47605 L
.34634 .49196 L
.3473 .50787 L
.34825 .49196 L
.3492 .50787 L
.35015 .49196 L
.3511 .50787 L
.35205 .49196 L
.353 .47605 L
.35396 .49196 L
.35491 .50787 L
.35586 .49196 L
.35681 .47605 L
Mistroke
.35776 .46014 L
.35871 .44424 L
.35966 .46014 L
.36062 .44424 L
.36157 .46014 L
.36252 .44424 L
.36347 .46014 L
.36442 .47605 L
.36537 .49196 L
.36632 .47605 L
.36728 .46014 L
.36823 .47605 L
.36918 .49196 L
.37013 .47605 L
.37108 .46014 L
.37203 .47605 L
.37298 .46014 L
.37394 .44424 L
.37489 .46014 L
.37584 .44424 L
.37679 .46014 L
.37774 .47605 L
.37869 .46014 L
.37964 .44424 L
.3806 .42833 L
.38155 .44424 L
.3825 .46014 L
.38345 .47605 L
.3844 .49196 L
.38535 .50787 L
.3863 .52378 L
.38726 .50787 L
.38821 .52378 L
.38916 .53969 L
.39011 .55559 L
.39106 .5715 L
.39201 .58741 L
.39296 .5715 L
.39392 .58741 L
.39487 .5715 L
.39582 .55559 L
.39677 .53969 L
.39772 .52378 L
.39867 .50787 L
.39962 .49196 L
.40058 .50787 L
.40153 .52378 L
.40248 .50787 L
.40343 .49196 L
.40438 .47605 L
Mistroke
.40533 .49196 L
.40628 .47605 L
.40724 .49196 L
.40819 .47605 L
.40914 .49196 L
.41009 .50787 L
.41104 .52378 L
.41199 .50787 L
.41294 .49196 L
.4139 .47605 L
.41485 .46014 L
.4158 .47605 L
.41675 .49196 L
.4177 .50787 L
.41865 .52378 L
.4196 .50787 L
.42056 .52378 L
.42151 .50787 L
.42246 .52378 L
.42341 .50787 L
.42436 .52378 L
.42531 .50787 L
.42626 .52378 L
.42722 .53969 L
.42817 .55559 L
.42912 .5715 L
.43007 .55559 L
.43102 .53969 L
.43197 .55559 L
.43292 .5715 L
.43388 .55559 L
.43483 .53969 L
.43578 .55559 L
.43673 .53969 L
.43768 .52378 L
.43863 .50787 L
.43958 .52378 L
.44054 .50787 L
.44149 .49196 L
.44244 .50787 L
.44339 .49196 L
.44434 .50787 L
.44529 .49196 L
.44624 .50787 L
.4472 .52378 L
.44815 .53969 L
.4491 .52378 L
.45005 .53969 L
.451 .52378 L
.45195 .50787 L
Mistroke
.4529 .49196 L
.45386 .50787 L
.45481 .49196 L
.45576 .50787 L
.45671 .52378 L
.45766 .50787 L
.45861 .52378 L
.45956 .50787 L
.46052 .52378 L
.46147 .50787 L
.46242 .49196 L
.46337 .50787 L
.46432 .52378 L
.46527 .53969 L
.46622 .55559 L
.46718 .5715 L
.46813 .58741 L
.46908 .5715 L
.47003 .58741 L
.47098 .60332 L
.47193 .58741 L
.47288 .5715 L
.47384 .58741 L
.47479 .5715 L
.47574 .55559 L
.47669 .5715 L
.47764 .55559 L
.47859 .53969 L
.47954 .52378 L
.4805 .53969 L
.48145 .52378 L
.4824 .53969 L
.48335 .52378 L
.4843 .50787 L
.48525 .52378 L
.4862 .53969 L
.48716 .55559 L
.48811 .53969 L
.48906 .52378 L
.49001 .50787 L
.49096 .49196 L
.49191 .50787 L
.49286 .49196 L
.49382 .50787 L
.49477 .49196 L
.49572 .47605 L
.49667 .46014 L
.49762 .44424 L
.49857 .46014 L
.49952 .44424 L
Mistroke
.50048 .46014 L
.50143 .47605 L
.50238 .46014 L
.50333 .44424 L
.50428 .42833 L
.50523 .41242 L
.50618 .42833 L
.50714 .44424 L
.50809 .42833 L
.50904 .44424 L
.50999 .46014 L
.51094 .44424 L
.51189 .42833 L
.51284 .41242 L
.5138 .39651 L
.51475 .3806 L
.5157 .3647 L
.51665 .34879 L
.5176 .3647 L
.51855 .3806 L
.5195 .39651 L
.52046 .41242 L
.52141 .42833 L
.52236 .41242 L
.52331 .39651 L
.52426 .3806 L
.52521 .3647 L
.52616 .3806 L
.52712 .3647 L
.52807 .34879 L
.52902 .3647 L
.52997 .3806 L
.53092 .3647 L
.53187 .34879 L
.53282 .3647 L
.53378 .3806 L
.53473 .3647 L
.53568 .34879 L
.53663 .3647 L
.53758 .34879 L
.53853 .3647 L
.53948 .34879 L
.54044 .33288 L
.54139 .34879 L
.54234 .33288 L
.54329 .31697 L
.54424 .33288 L
.54519 .31697 L
.54614 .30106 L
.5471 .28515 L
Mistroke
.54805 .30106 L
.549 .28515 L
.54995 .30106 L
.5509 .31697 L
.55185 .30106 L
.5528 .31697 L
.55376 .30106 L
.55471 .31697 L
.55566 .30106 L
.55661 .28515 L
.55756 .26925 L
.55851 .25334 L
.55946 .23743 L
.56042 .22152 L
.56137 .23743 L
.56232 .22152 L
.56327 .23743 L
.56422 .22152 L
.56517 .20561 L
.56612 .18971 L
.56708 .1738 L
.56803 .18971 L
.56898 .1738 L
.56993 .15789 L
.57088 .14198 L
.57183 .15789 L
.57278 .1738 L
.57374 .15789 L
.57469 .1738 L
.57564 .15789 L
.57659 .14198 L
.57754 .12607 L
.57849 .14198 L
.57944 .15789 L
.5804 .14198 L
.58135 .15789 L
.5823 .14198 L
.58325 .15789 L
.5842 .1738 L
.58515 .18971 L
.5861 .20561 L
.58706 .18971 L
.58801 .20561 L
.58896 .18971 L
.58991 .20561 L
.59086 .22152 L
.59181 .23743 L
.59276 .22152 L
.59372 .23743 L
.59467 .22152 L
Mistroke
.59562 .20561 L
.59657 .22152 L
.59752 .23743 L
.59847 .25334 L
.59942 .26925 L
.60038 .25334 L
.60133 .23743 L
.60228 .25334 L
.60323 .23743 L
.60418 .25334 L
.60513 .23743 L
.60608 .22152 L
.60704 .23743 L
.60799 .22152 L
.60894 .20561 L
.60989 .22152 L
.61084 .20561 L
.61179 .22152 L
.61274 .20561 L
.6137 .18971 L
.61465 .1738 L
.6156 .18971 L
.61655 .20561 L
.6175 .18971 L
.61845 .1738 L
.6194 .15789 L
.62036 .1738 L
.62131 .15789 L
.62226 .14198 L
.62321 .12607 L
.62416 .11016 L
.62511 .12607 L
.62606 .14198 L
.62702 .12607 L
.62797 .11016 L
.62892 .12607 L
.62987 .14198 L
.63082 .12607 L
.63177 .11016 L
.63272 .09426 L
.63368 .11016 L
.63463 .09426 L
.63558 .11016 L
.63653 .12607 L
.63748 .11016 L
.63843 .12607 L
.63938 .11016 L
.64034 .12607 L
.64129 .14198 L
.64224 .12607 L
Mistroke
.64319 .14198 L
.64414 .15789 L
.64509 .14198 L
.64604 .15789 L
.647 .1738 L
.64795 .18971 L
.6489 .1738 L
.64985 .15789 L
.6508 .14198 L
.65175 .12607 L
.6527 .14198 L
.65366 .15789 L
.65461 .1738 L
.65556 .18971 L
.65651 .20561 L
.65746 .22152 L
.65841 .23743 L
.65936 .22152 L
.66032 .20561 L
.66127 .18971 L
.66222 .1738 L
.66317 .18971 L
.66412 .1738 L
.66507 .15789 L
.66602 .1738 L
.66698 .18971 L
.66793 .20561 L
.66888 .22152 L
.66983 .23743 L
.67078 .22152 L
.67173 .20561 L
.67268 .22152 L
.67364 .23743 L
.67459 .22152 L
.67554 .20561 L
.67649 .22152 L
.67744 .23743 L
.67839 .25334 L
.67934 .23743 L
.6803 .22152 L
.68125 .20561 L
.6822 .22152 L
.68315 .20561 L
.6841 .18971 L
.68505 .1738 L
.686 .18971 L
.68696 .20561 L
.68791 .18971 L
.68886 .20561 L
.68981 .22152 L
Mistroke
.69076 .20561 L
.69171 .22152 L
.69266 .23743 L
.69362 .25334 L
.69457 .26925 L
.69552 .28515 L
.69647 .30106 L
.69742 .31697 L
.69837 .33288 L
.69932 .34879 L
.70028 .3647 L
.70123 .34879 L
.70218 .33288 L
.70313 .31697 L
.70408 .30106 L
.70503 .31697 L
.70598 .33288 L
.70694 .31697 L
.70789 .30106 L
.70884 .28515 L
.70979 .26925 L
.71074 .28515 L
.71169 .26925 L
.71264 .28515 L
.7136 .26925 L
.71455 .28515 L
.7155 .26925 L
.71645 .25334 L
.7174 .23743 L
.71835 .25334 L
.7193 .23743 L
.72026 .22152 L
.72121 .20561 L
.72216 .18971 L
.72311 .1738 L
.72406 .18971 L
.72501 .20561 L
.72596 .22152 L
.72692 .20561 L
.72787 .18971 L
.72882 .20561 L
.72977 .22152 L
.73072 .23743 L
.73167 .25334 L
.73262 .26925 L
.73358 .25334 L
.73453 .23743 L
.73548 .22152 L
.73643 .20561 L
.73738 .18971 L
Mistroke
.73833 .1738 L
.73928 .18971 L
.74024 .1738 L
.74119 .15789 L
.74214 .1738 L
.74309 .15789 L
.74404 .14198 L
.74499 .15789 L
.74594 .14198 L
.7469 .15789 L
.74785 .1738 L
.7488 .18971 L
.74975 .1738 L
.7507 .15789 L
.75165 .14198 L
.7526 .12607 L
.75356 .14198 L
.75451 .15789 L
.75546 .14198 L
.75641 .12607 L
.75736 .11016 L
.75831 .09426 L
.75926 .07835 L
.76022 .09426 L
.76117 .07835 L
.76212 .09426 L
.76307 .11016 L
.76402 .09426 L
.76497 .07835 L
.76592 .09426 L
.76688 .07835 L
.76783 .09426 L
.76878 .07835 L
.76973 .06244 L
.77068 .04653 L
.77163 .03062 L
.77258 .04653 L
.77354 .03062 L
.77449 .04653 L
.77544 .06244 L
.77639 .07835 L
.77734 .06244 L
.77829 .07835 L
.77924 .06244 L
.7802 .07835 L
.78115 .06244 L
.7821 .04653 L
.78305 .03062 L
.784 .01472 L
.78495 .03062 L
Mistroke
.7859 .04653 L
.78686 .06244 L
.78781 .07835 L
.78876 .09426 L
.78971 .11016 L
.79066 .12607 L
.79161 .11016 L
.79256 .09426 L
.79352 .07835 L
.79447 .09426 L
.79542 .11016 L
.79637 .12607 L
.79732 .14198 L
.79827 .12607 L
.79922 .14198 L
.80018 .12607 L
.80113 .11016 L
.80208 .09426 L
.80303 .11016 L
.80398 .09426 L
.80493 .11016 L
.80588 .09426 L
.80684 .07835 L
.80779 .06244 L
.80874 .07835 L
.80969 .09426 L
.81064 .07835 L
.81159 .09426 L
.81254 .11016 L
.8135 .12607 L
.81445 .14198 L
.8154 .12607 L
.81635 .11016 L
.8173 .09426 L
.81825 .11016 L
.8192 .09426 L
.82016 .11016 L
.82111 .09426 L
.82206 .11016 L
.82301 .12607 L
.82396 .11016 L
.82491 .12607 L
.82586 .14198 L
.82682 .15789 L
.82777 .1738 L
.82872 .15789 L
.82967 .1738 L
.83062 .15789 L
.83157 .1738 L
.83252 .18971 L
Mistroke
.83348 .1738 L
.83443 .18971 L
.83538 .1738 L
.83633 .18971 L
.83728 .20561 L
.83823 .22152 L
.83918 .23743 L
.84014 .25334 L
.84109 .23743 L
.84204 .25334 L
.84299 .26925 L
.84394 .25334 L
.84489 .26925 L
.84584 .28515 L
.8468 .26925 L
.84775 .28515 L
.8487 .30106 L
.84965 .31697 L
.8506 .30106 L
.85155 .28515 L
.8525 .26925 L
.85346 .28515 L
.85441 .26925 L
.85536 .25334 L
.85631 .26925 L
.85726 .28515 L
.85821 .26925 L
.85916 .28515 L
.86012 .26925 L
.86107 .28515 L
.86202 .26925 L
.86297 .25334 L
.86392 .23743 L
.86487 .25334 L
.86582 .23743 L
.86678 .25334 L
.86773 .23743 L
.86868 .22152 L
.86963 .20561 L
.87058 .22152 L
.87153 .23743 L
.87248 .22152 L
.87344 .23743 L
.87439 .25334 L
.87534 .26925 L
.87629 .25334 L
.87724 .26925 L
.87819 .25334 L
.87914 .26925 L
.8801 .25334 L
Mistroke
.88105 .23743 L
.882 .22152 L
.88295 .23743 L
.8839 .22152 L
.88485 .20561 L
.8858 .18971 L
.88676 .20561 L
.88771 .18971 L
.88866 .1738 L
.88961 .18971 L
.89056 .20561 L
.89151 .18971 L
.89246 .20561 L
.89342 .22152 L
.89437 .20561 L
.89532 .18971 L
.89627 .20561 L
.89722 .22152 L
.89817 .20561 L
.89912 .18971 L
.90008 .1738 L
.90103 .15789 L
.90198 .1738 L
.90293 .18971 L
.90388 .20561 L
.90483 .18971 L
.90578 .1738 L
.90674 .18971 L
.90769 .1738 L
.90864 .18971 L
.90959 .1738 L
.91054 .15789 L
.91149 .14198 L
.91244 .12607 L
.9134 .11016 L
.91435 .12607 L
.9153 .14198 L
.91625 .15789 L
.9172 .1738 L
.91815 .18971 L
.9191 .1738 L
.92006 .18971 L
.92101 .1738 L
.92196 .15789 L
.92291 .1738 L
.92386 .18971 L
.92481 .20561 L
.92576 .18971 L
.92672 .1738 L
.92767 .18971 L
Mistroke
.92862 .20561 L
.92957 .18971 L
.93052 .20561 L
.93147 .22152 L
.93242 .20561 L
.93338 .22152 L
.93433 .20561 L
.93528 .22152 L
.93623 .23743 L
.93718 .25334 L
.93813 .23743 L
.93908 .22152 L
.94004 .23743 L
.94099 .22152 L
.94194 .20561 L
.94289 .18971 L
.94384 .20561 L
.94479 .22152 L
.94574 .20561 L
.9467 .22152 L
.94765 .23743 L
.9486 .25334 L
.94955 .23743 L
.9505 .25334 L
.95145 .26925 L
.9524 .25334 L
.95336 .23743 L
.95431 .22152 L
.95526 .20561 L
.95621 .18971 L
.95716 .20561 L
.95811 .18971 L
.95906 .1738 L
.96002 .15789 L
.96097 .1738 L
.96192 .18971 L
.96287 .1738 L
.96382 .18971 L
.96477 .1738 L
.96572 .18971 L
.96668 .20561 L
.96763 .22152 L
.96858 .20561 L
.96953 .18971 L
.97048 .1738 L
.97143 .18971 L
.97238 .20561 L
.97334 .18971 L
.97429 .20561 L
.97524 .18971 L
Mistroke
.97619 .1738 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[11]:=",
  ImageSize->{283.875, 175.375},
  ImageMargins->{{42.9375, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004K0000[b000`400?l00000o`00003oo`3ooolL
0?ooo`00o`3ooolL0?ooo`00o`3ooolL0?ooo`00o`3ooolL0?ooo`00o`3ooolL0?ooo`00o`3ooolL
0?ooo`00o`3ooolL0?ooo`005`3oool00`000000oooo0?ooo`3o0?ooo`80oooo000G0?ooo`030000
003oool0oooo0?l0oooo0P3oool001L0oooo00<000000?ooo`3oool0o`3oool20?ooo`005`3oool0
0`000000oooo0?ooo`3o0?ooo`80oooo000G0?ooo`800000a03oool00`000000oooo0?ooo`0k0?oo
o`005`3oool00`000000oooo0?ooo`330?ooo`030000003oool0oooo03/0oooo000G0?ooo`030000
003oool0oooo0<80oooo0P00000m0?ooo`005`3oool00`000000oooo0?ooo`320?ooo`800000?@3o
ool001L0oooo0P0000300?ooo`80000000<0oooo000000000000?@3oool001L0oooo00<000000?oo
o`3oool0_`3oool2000000030?ooo`000000000003d0oooo000G0?ooo`030000003oool0oooo0;l0
oooo0P0000000`3oool000000000000m0?ooo`005`3oool00`000000oooo0?ooo`2o0?ooo`800000
00<0oooo000000000000?@3oool001L0oooo0P0000300?ooo`80000000<0oooo000000000000?@3o
ool001L0oooo00<000000?ooo`3oool0_`3oool2000000030?ooo`000000000003d0oooo000G0?oo
o`030000003oool0oooo0;l0oooo0P0000000`3oool000000000000m0?ooo`005`3oool00`000000
oooo0?ooo`2o0?ooo`80000000<0oooo000000000000?@3oool001L0oooo0P0000300?ooo`D00000
1@3oool00`000000oooo0?ooo`0e0?ooo`005`3oool00`000000oooo0?ooo`2o0?ooo`D000001@3o
ool00`000000oooo0?ooo`0e0?ooo`002@3oool200000080oooo0`0000070?ooo`030000003oool0
oooo0;l0oooo1@0000050?ooo`030000003oool0oooo03D0oooo00080?ooo`060000003oool0oooo
0000003oool000000P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0;l0oooo00H0
00000?ooo`00000000000?ooo`0000040?ooo`030000003oool0oooo03D0oooo00030?ooo`@00000
103oool00`000000oooo000000020?ooo`030000003oool0oooo00@0oooo0`00002l0?ooo`@00000
00@0oooo000000000000oooo0P0000030?ooo`800000=P3oool000X0oooo00@000000?ooo`3oool0
00000P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0;`0oooo100000040?ooo`80
00000`3oool2000003H0oooo000;0?ooo`030000003oool000000080oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`2l0?ooo`<000001@3oool200000080oooo0`00000f0?ooo`00203o
ool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`2l0?ooo`<000001@3oool200000080oooo0`00000f0?ooo`002@3oool2000000<0oooo
0P0000070?ooo`800000W03oool2000001l0oooo0`0000050?ooo`80000000<0oooo000000000000
1000000d0?ooo`005`3oool00`000000oooo0?ooo`2K0?ooo`8000007`3oool2000000H0oooo0P00
0000103oool000000000003oool3000003@0oooo000G0?ooo`030000003oool0oooo09/0oooo0P00
000O0?ooo`8000001P3oool2000000040?ooo`00000000000?ooo`<00000=03oool001L0oooo00<0
00000?ooo`3oool0V`3oool2000001l0oooo0P0000060?ooo`D0000000<0oooo0000000000000P00
000c0?ooo`005`3oool00`000000oooo0?ooo`2K0?ooo`8000007`3oool2000000H0oooo1@000000
0`3oool0000000000002000003<0oooo000G0?ooo`800000VP3oool5000001h0oooo0P0000060?oo
o`D0000000<0oooo0000000000000P00000F0?ooo`030000003oool0oooo01X0oooo000G0?ooo`03
0000003oool0oooo09T0oooo1@00000N0?ooo`030000003oool0oooo00D0oooo100000020?ooo`80
000000<0oooo0000003oool05@3oool00`000000oooo0?ooo`0J0?ooo`005`3oool00`000000oooo
0?ooo`2I0?ooo`D000007@3oool00`000000oooo0?ooo`060?ooo`040000003oool0000000000080
oooo0P0000000`3oool000000?ooo`0E0?ooo`030000003oool0oooo01X0oooo000G0?ooo`030000
003oool0oooo09T0oooo1@00000M0?ooo`030000003oool0oooo00H0oooo00@000000?ooo`000000
00000P3oool2000000030?ooo`000000oooo01D0oooo0P00000K0?ooo`005`3oool2000002X0oooo
0P00000;0?ooo`030000003oool0oooo05@0oooo00<000000?ooo`3oool02@3oool6000000030?oo
o`000000oooo01P0oooo0P0000080?ooo`040000003oool0000000000080oooo0P0000000`3oool0
00000?ooo`0E0?ooo`8000006`3oool001L0oooo00<000000?ooo`3oool0:@3oool2000000/0oooo
00<000000?ooo`3oool0E03oool00`000000oooo0?ooo`090?ooo`<0000000D0oooo000000000000
oooo0000000I0?ooo`8000002P3oool200000080oooo0P0000000`3oool000000?ooo`0E0?ooo`80
00006`3oool001L0oooo00<000000?ooo`3oool0:@3oool2000000/0oooo00<000000?ooo`3oool0
E03oool00`000000oooo0?ooo`090?ooo`<0000000D0oooo000000000000oooo0000000I0?ooo`80
00002P3oool200000080oooo0P0000000`3oool000000?ooo`0E0?ooo`8000006`3oool001L0oooo
00<000000?ooo`3oool0:@3oool2000000/0oooo0P00001E0?ooo`030000003oool0oooo00T0oooo
0`0000020?ooo`030000003oool0000001T0oooo0P00000:0?ooo`8000000`3oool010000000oooo
0?ooo`00000E0?ooo`8000006`3oool001L0oooo0P00000Z0?ooo`8000001@3oool2000000@0oooo
0P00001C0?ooo`040000003oool00000000000X0oooo0`0000020?ooo`<000005`3oool4000000X0
oooo0P0000030?ooo`040000003oool0oooo000001D0oooo0P00000K0?ooo`005`3oool00`000000
oooo0?ooo`0Y0?ooo`8000001@3oool2000000@0oooo0P00001C0?ooo`040000003oool000000000
00X0oooo00<000000?ooo`3oool00P3oool3000001L0oooo1000000B0?ooo`030000003oool0oooo
01<0oooo0P00000K0?ooo`00203oool400000080oooo0P0000070?ooo`030000003oool0oooo02T0
oooo0P0000040?ooo`<000000`3oool3000005<0oooo100000090?ooo`030000003oool0oooo00<0
oooo0`00000G0?ooo`@000004P3oool00`000000oooo0?ooo`0C0?ooo`8000006`3oool000T0oooo
00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0:@3oool2000000@0oooo0`0000030?ooo`<00000D`3oool4000000T0oooo00<000000?ooo`3o
ool00`3oool4000001H0oooo1000000B0?ooo`030000003oool0oooo01<0oooo0P00000K0?ooo`00
0`3oool4000000<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`<00000
3`3oool00`000000oooo0?ooo`0F0?ooo`@000000`3oool9000005<0oooo100000090?ooo`030000
003oool0oooo00<0oooo100000020?ooo`030000003oool0oooo0140oooo1000000B0?ooo`800000
4@3oool00`000000oooo0?ooo`02000000030?ooo`000000oooo00L0oooo00<000000?ooo`3oool0
3P3oool000X0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00l0oooo00<000000?ooo`3oool05P3oool4000000<0oooo00<000000?ooo`000000
100000000`3oool000000?ooo`1B0?ooo`80000000<0oooo0000003oool0203oool00`000000oooo
0?ooo`040?ooo`<000000P3oool00`000000oooo0?ooo`0A0?ooo`<000004`3oool200000140oooo
00<000000?ooo`3oool00P0000000`3oool000000?ooo`070?ooo`030000003oool0oooo00h0oooo
000;0?ooo`030000003oool00000008000001`3oool00`000000oooo0?ooo`0?0?ooo`030000003o
ool0oooo01H0oooo100000030?ooo`030000003oool0000000@0000000<0oooo0000003oool0DP3o
ool2000000030?ooo`000000oooo00P0oooo00<000000?ooo`3oool0103oool3000000030?ooo`00
000000000180oooo1000000C0?ooo`8000004@3oool010000000oooo0000003oool3000000P0oooo
00<000000?ooo`3oool03P3oool000P0oooo00@000000?ooo`3oool000000P3oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool05P3oool2000000030?oo
o`00000000000080oooo00<000000?ooo`000000100000000`3oool000000?ooo`1B0?ooo`800000
0P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo0`0000000`3oool00000
0000000B0?ooo`@000004`3oool200000140oooo00@000000?ooo`000000oooo0`0000080?ooo`80
00003`3oool000T0oooo0P0000030?ooo`<000001P3oool2000000h0oooo0`00000A0?ooo`030000
003oool0000000@0oooo0P0000000`3oool00000000000020?ooo`030000003oool0000000@00000
00<0oooo000000000000D@3oool300000080oooo00<000000?ooo`3oool01@3oool2000000H0oooo
0`0000000`3oool00000000000040?ooo`030000003oool0oooo00L0oooo00@000000?ooo`3oool0
oooo1000000C0?ooo`<000003@3oool00`000000oooo0?ooo`03000000030?ooo`00000000000080
00001`3oool4000000030?ooo`000000oooo00X0oooo000G0?ooo`030000003oool0oooo00d0oooo
0`00000A0?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool00P0000020?ooo`040000
003oool0000000000080oooo00@000000?ooo`0000000000D@3oool2000000<0oooo00<000000?oo
o`3oool01@3oool2000000H0oooo0`0000000`3oool00000000000040?ooo`030000003oool0oooo
00L0oooo00H000000?ooo`3oool0oooo0000003oool2000001@0oooo0P00000=0?ooo`030000003o
ool0oooo00<0000000<0oooo0000000000000P0000070?ooo`@0000000<0oooo0000003oool02P3o
ool001L0oooo00<000000?ooo`3oool03@3oool300000140oooo00<000000?ooo`000000103oool0
0`000000oooo0?ooo`0200000080oooo00<000000?ooo`0000000`3oool010000000oooo00000000
001A0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool2000000L0oooo00@0
00000?ooo`000000oooo0P0000040?ooo`030000003oool0oooo00L0oooo00L000000?ooo`3oool0
oooo0000003oool0000001D0oooo0P00000=0?ooo`030000003oool0oooo00<0000000<0oooo0000
000000000P0000070?ooo`D00000303oool001L0oooo00<000000?ooo`3oool03@3oool200000003
0?ooo`000000oooo00l0oooo0`0000040?ooo`030000003oool0oooo008000000P3oool00`000000
oooo000000030?ooo`040000003oool0000000000540oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`040?ooo`8000001`3oool010000000oooo0000003oool2000000@0oooo00<00000
0?ooo`3oool01`3oool01`000000oooo0?ooo`3oool000000?ooo`0000005@3oool2000000d0oooo
00<000000?ooo`3oool00`0000020?ooo`<000001`3oool5000000`0oooo000G0?ooo`8000002`3o
ool00`000000oooo0?ooo`02000000030?ooo`000000oooo00`0oooo00<000000?ooo`3oool01000
00030?ooo`030000003oool0oooo00D0000000<0oooo0000003oool00P3oool00`000000oooo0000
000200000500oooo00<000000?ooo`3oool00P3oool2000000D0oooo0P0000070?ooo`040000003o
ool000000?ooo`800000103oool2000000P0oooo0P0000020?ooo`030000003oool0000001D0oooo
0P00000<0?ooo`L000000P3oool3000000<0oooo00<000000?ooo`3oool01P00000<0?ooo`005`3o
ool00`000000oooo0?ooo`0:0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0
2`3oool00`000000oooo0?ooo`04000000<0oooo00@000000?ooo`3oool0oooo100000070?ooo`<0
0000D03oool00`000000oooo0?ooo`020?ooo`8000001@3oool2000000T0oooo00@000000?ooo`00
00000000103oool2000000P0oooo0P0000020?ooo`030000003oool0oooo01H0oooo00<000000?oo
o`3oool02P3oool6000000@0oooo0P0000030?ooo`030000003oool0oooo0080000000@0oooo0000
000000000000303oool001L0oooo00<000000?ooo`3oool02P3oool010000000oooo0?ooo`000002
0?ooo`030000003oool0oooo00X0oooo0P0000000`3oool0000000000003000000<0oooo00@00000
0?ooo`3oool0oooo100000070?ooo`<00000D03oool00`000000oooo0?ooo`020?ooo`8000001@3o
ool2000000T0oooo0P0000000`3oool000000?ooo`020?ooo`<000001`3oool3000000030?ooo`00
0000oooo01P0oooo00<000000?ooo`3oool02P3oool4000000030?ooo`000000oooo00<0oooo0P00
00030?ooo`030000003oool0oooo0080000000@0oooo0000000000000000303oool001L0oooo00<0
00000?ooo`3oool02P3oool2000000050?ooo`000000oooo0?ooo`000000303oool2000000030?oo
o`000000000000<000000`3oool00`000000oooo0?ooo`020?ooo`<00000203oool3000004l0oooo
00<000000?ooo`3oool00P3oool2000000D0oooo0P0000090?ooo`80000000<0oooo0000003oool0
0P3oool3000000L0oooo0`0000000`3oool000000?ooo`0H0?ooo`030000003oool0oooo00X0oooo
100000000`3oool000000?ooo`030?ooo`<000000P3oool00`000000oooo0?ooo`02000000040?oo
o`0000000000000000`0oooo000G0?ooo`8000002`3oool400000080oooo00<000000?ooo`3oool0
2P3oool8000000<0oooo00<000000?ooo`3oool00P3oool3000000P0oooo0`00001?0?ooo`030000
003oool0oooo0080oooo0P000000103oool000000?ooo`3oool3000000T0oooo0P0000001@3oool0
0000000000000000oooo00<000001`3oool3000000030?ooo`000000oooo01P0oooo00<000000?oo
o`3oool01P3oool010000000oooo0?ooo`3oool4000000030?ooo`000000oooo00<0oooo10000000
103oool000000000003oool2000000040?ooo`0000000000000000`0oooo000G0?ooo`030000003o
ool0oooo00X0oooo100000020?ooo`030000003oool0oooo00X0oooo100000030?ooo`050000003o
ool0oooo0?ooo`000000103oool2000000X0oooo0P00001?0?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`0000000P3oool2000000X0oooo0P000000203oool00000000000000000oooo0000
003oool000001`3oool3000000030?ooo`000000oooo01P0oooo00<000000?ooo`3oool01P3oool0
1P000000oooo0?ooo`3oool000000?ooo`800000203oool2000000050?ooo`00000000000?ooo`00
00000P3oool2000000d0oooo000G0?ooo`030000003oool0oooo00X0oooo100000020?ooo`030000
003oool0oooo00X0oooo100000030?ooo`050000003oool0oooo0?ooo`000000103oool2000000X0
oooo0P00001?0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`0000000P3oool2000000X0
oooo0P000000203oool00000000000000000oooo0000003oool000001`3oool3000000030?ooo`00
0000oooo01P0oooo00<000000?ooo`3oool01P3oool01P000000oooo0?ooo`3oool000000?ooo`80
0000203oool2000000050?ooo`00000000000?ooo`0000000P3oool2000000d0oooo000G0?ooo`03
0000003oool0oooo00X0oooo0`0000030?ooo`8000002`3oool010000000oooo0000000000030?oo
o`050000003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`090?ooo`800000CP3oool0
0`000000oooo0?ooo`040?ooo`<000000P3oool2000000/0oooo00<000000?ooo`3oool010000000
0`3oool00000000000060?ooo`030000003oool00000008000006P3oool00`000000oooo0?ooo`05
0?ooo`060000003oool0oooo0?ooo`000000oooo0P0000080?ooo`D0000000D0oooo0000003oool0
oooo0000000>0?ooo`005`3oool00`000000oooo0?ooo`0:0?ooo`<000000`3oool2000000/0oooo
00@000000?ooo`00000000000`3oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?oo
o`3oool02@3oool2000004h0oooo00<000000?ooo`3oool0103oool300000080oooo0P00000;0?oo
o`030000003oool0oooo00@0000000<0oooo0000000000001P3oool00`000000oooo000000020000
01X0oooo00<000000?ooo`3oool01@3oool01P000000oooo0?ooo`3oool000000?ooo`800000203o
ool5000000050?ooo`000000oooo0?ooo`0000003P3oool001L0oooo0P00000:0?ooo`@000000`3o
ool2000000L0oooo00<000000?ooo`3oool00P0000000`3oool00000000000030?ooo`<0000000<0
oooo0000003oool00`3oool00`000000oooo0?ooo`090?ooo`800000C@3oool2000000H0oooo0`00
0000103oool0000000000000000;0?ooo`030000003oool0oooo00@0000000<0oooo000000000000
1P3oool00`000000oooo00000002000001X0oooo00<000000?ooo`3oool01@3oool2000000040?oo
o`00000000000?ooo`800000203oool5000000050?ooo`000000oooo0?ooo`0000003P3oool001L0
oooo00<000000?ooo`3oool02@3oool4000000@0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`02000000030?ooo`000000000000<0oooo0`0000000`3oool000000?ooo`0@0?ooo`03
0000003oool0oooo04/0oooo0P0000060?ooo`<0000000<0oooo000000000000303oool00`000000
oooo0?ooo`0400000080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`02000001X0
oooo00<000000?ooo`3oool01@3oool2000000030?ooo`000000000000`0oooo0P000000103oool0
00000?ooo`00000A0?ooo`00203oool4000000040?ooo`0000000000000000L0oooo00<000000?oo
o`3oool02@3oool4000000@0oooo00<000000?ooo`3oool0103oool2000000050?ooo`0000000000
0000003oool00P0000030?ooo`@000004P3oool00`000000oooo0?ooo`1;0?ooo`8000001P3oool3
000000030?ooo`000000000000`0oooo00<000000?ooo`3oool00`0000030?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool00P00000J0?ooo`030000003oool0oooo00@0oooo0`000000
0`3oool000000?ooo`0<0?ooo`80000000@0oooo0000003oool000004@3oool000T0oooo00D00000
0?ooo`3oool0oooo000000020?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3o
ool4000000@0oooo00<000000?ooo`3oool0103oool2000000050?ooo`00000000000000003oool0
0P0000030?ooo`@000004P3oool2000004`0oooo0P0000070?ooo`80000000<0oooo000000000000
303oool00`000000oooo0?ooo`03000000<0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`02000001X0oooo00<000000?ooo`3oool0103oool3000000030?ooo`000000oooo00`0oooo
0P000000103oool000000?ooo`00000A0?ooo`000`3oool4000000<0oooo00@000000?ooo`3oool0
00000P3oool00`000000oooo0?ooo`040?ooo`<000002@3oool4000000@0oooo00<000000?ooo`3o
ool0103oool6000000030?ooo`000000000000<0oooo1000000B0?ooo`800000C03oool2000000L0
oooo1@00000<0?ooo`030000003oool0oooo00<000000`3oool00`000000oooo0?ooo`030?ooo`80
00000P3oool2000001X0oooo00<000000?ooo`3oool00`3oool4000000030?ooo`000000oooo00`0
oooo0P000000103oool0000000000000000A0?ooo`002P3oool010000000oooo0?ooo`0000020?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00@0oooo1P0000080?ooo`8000004`3oool00`000000oooo0?ooo`1:0?oo
o`030000003oool0oooo00L0oooo0`00000B0?ooo`050000003oool0oooo0?ooo`0000001@3oool2
00000080oooo0P00000J0?ooo`030000003oool0oooo00<0oooo0P000000103oool000000?ooo`00
000=0?ooo`80000000@0oooo00000000000000004@3oool000/0oooo00<000000?ooo`0000000P3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`040?ooo`H00000203oool2000001<0oooo00<000000?ooo`3oool0BP3o
ool00`000000oooo0?ooo`070?ooo`<000004P3oool01@000000oooo0?ooo`3oool0000000D0oooo
0P0000020?ooo`8000006P3oool00`000000oooo0?ooo`030?ooo`80000000@0oooo0000003oool0
00003@3oool00`000000oooo0?ooo`0200000180oooo00080?ooo`060000003oool0oooo0000003o
ool000000P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool01@3oool2000000D0oooo1P0000080?ooo`8000004`3oool00`000000oooo0?ooo`1:0?oo
o`030000003oool0oooo00L0oooo0`00000B0?ooo`050000003oool0oooo0?ooo`0000001@3oool2
00000080oooo0P00000J0?ooo`800000103oool2000000040?ooo`000000oooo000000d0oooo00<0
00000?ooo`3oool00P00000B0?ooo`002@3oool2000000<0oooo0P0000070?ooo`8000002P3oool0
0`000000oooo0?ooo`050?ooo`8000001@3oool6000000P0oooo0P00000C0?ooo`030000003oool0
oooo04X0oooo00<000000?ooo`3oool01`3oool300000180oooo00D000000?ooo`3oool0oooo0000
00050?ooo`8000000P3oool2000001X0oooo0P0000020?ooo`050000003oool000000000003oool0
0`00000=0?ooo`030000003oool0oooo008000004P3oool001L0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo1000000:0?ooo`8000004`3o
ool00`000000oooo0?ooo`1:0?ooo`030000003oool0oooo00L0oooo0P00000G0?ooo`030000003o
ool0oooo00<0oooo00@000000?ooo`3oool0oooo0P00000K0?ooo`060000003oool0oooo0000003o
ool000000P3oool300000140oooo00<000000?ooo`3oool0403oool001L0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0080oooo1000000;0?ooo`80
00004`3oool00`000000oooo0?ooo`1:0?ooo`030000003oool0oooo00L0oooo0P00000G0?ooo`03
0000003oool0oooo00<0oooo00D000000?ooo`3oool0oooo0000000L0?ooo`060000003oool0oooo
0000003oool000000P3oool200000180oooo00<000000?ooo`3oool0403oool001L0oooo00<00000
0?ooo`3oool02@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0080oooo1000000;
0?ooo`8000004`3oool00`000000oooo0?ooo`1:0?ooo`030000003oool0oooo00P0oooo00<00000
0?ooo`3oool05@3oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0?ooo`000000703o
ool01P000000oooo0?ooo`000000oooo00000080oooo0P00000B0?ooo`030000003oool0oooo0100
oooo000G0?ooo`8000002P3oool00`000000oooo0?ooo`060?ooo`040000003oool0oooo0?ooo`D0
00002`3oool2000001<0oooo00<000000?ooo`3oool0BP3oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo01D0oooo00@000000?ooo`3oool0oooo0`0000030?ooo`030000003oool0oooo
01X0oooo1P0000020?ooo`8000004P3oool00`000000oooo0?ooo`0@0?ooo`005`3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo00H0oooo00@000000?ooo`3oool0oooo0P00000>0?oo
o`8000004`3oool00`000000oooo0?ooo`1:0?ooo`030000003oool0oooo0200oooo00@000000?oo
o`3oool0oooo0`00000P0?ooo`H00000:@3oool001L0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`070?ooo`040000003oool0oooo0?ooo`8000003P3oool2000001<0oooo00<00000
0?ooo`3oool0BP3oool00`000000oooo0?ooo`0P0?ooo`040000003oool0oooo0?ooo`<00000803o
ool6000002T0oooo000G0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`02000000l0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`1:
0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool00`00000Q0?ooo`D00000:@3oool0
01L0oooo0P0000070?ooo`030000003oool0000000X0oooo00<000000?ooo`3oool00P00000?0?oo
o`030000003oool0oooo0140oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`100?oo
o`80000000<0oooo0000003oool08P3oool00`000000oooo0?ooo`0300000240oooo1@00000Y0?oo
o`005`3oool00`000000oooo0?ooo`060?ooo`030000003oool0000000X0oooo00<000000?ooo`3o
ool00P00000S0?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool0@03oool200000003
0?ooo`000000oooo0280oooo00@000000?ooo`3oool000008`3oool2000002`0oooo000G0?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`0000002P3oool00`000000oooo0?ooo`02000002<0
oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`100?ooo`<00000903oool010000000
oooo0?ooo`00000S0?ooo`800000;03oool001L0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0000000:0?ooo`030000003oool0oooo00800000903oool3000000<0oooo00<000000?ooo`3o
ool0@03oool3000002@0oooo00@000000?ooo`3oool000008`3oool2000002`0oooo000G0?ooo`80
00001`3oool00`000000oooo0000000:0?ooo`030000003oool0oooo00800000903oool3000000<0
oooo00<000000?ooo`3oool0@03oool3000002@0oooo00@000000?ooo`00000000008`3oool20000
02`0oooo000G0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`0000002P3oool010000000
oooo0?ooo`00000U0?ooo`<000000`3oool00`000000oooo0?ooo`100?ooo`<00000903oool01000
0000oooo00000000000S0?ooo`800000;03oool000X0oooo00@000000?ooo`3oool0oooo0P000007
0?ooo`030000003oool0oooo00D0oooo0P0000000`3oool000000?ooo`090?ooo`040000003oool0
oooo000002D0oooo0`0000030?ooo`030000003oool0oooo0400oooo0`00000T0?ooo`040000003o
ool00000000002<0oooo0P00000/0?ooo`002P3oool010000000oooo0?ooo`0000020?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool2000000030?ooo`000000oooo00X0oooo
00<000000?ooo`0000009@3oool3000000<0oooo0P0000110?ooo`<00000903oool010000000oooo
00000000000T0?ooo`030000003oool0oooo02X0oooo00030?ooo`@000000`3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00@0oooo0`0000050?ooo`@000002`3oool3000002D0oooo
0`0000030?ooo`800000@03oool4000002@0oooo00@000000?ooo`0000000000903oool00`000000
oooo0?ooo`0Z0?ooo`002P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool01@3oool4000000/0oooo0`00000U0?ooo`030000003oool0000000<0
oooo0P0000100?ooo`8000009P3oool010000000oooo00000000001A0?ooo`002P3oool00`000000
oooo0?ooo`03000000L0oooo00<000000?ooo`3oool01@3oool4000000/0oooo0`00000U0?ooo`03
0000003oool0000000<0oooo0P0000100?ooo`8000009P3oool010000000oooo00000000001A0?oo
o`002@3oool2000000<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`04
0000003oool00000000000/0oooo0P00000V0?ooo`080000003oool0oooo0000003oool000000?oo
o`0000100?ooo`030000003oool0oooo02D0oooo0`00001B0?ooo`002P3oool010000000oooo0?oo
o`3oool3000000H0oooo00<000000?ooo`3oool01@3oool010000000oooo00000000000;0?ooo`80
00009P3oool020000000oooo0?ooo`000000oooo0000003oool00000@03oool00`000000oooo0?oo
o`0U0?ooo`<00000DP3oool001L0oooo0P0000060?ooo`040000003oool00000000000/0oooo0P00
000V0?ooo`080000003oool0oooo0000003oool000000?ooo`00000o0?ooo`8000009`3oool30000
0580oooo000G0?ooo`030000003oool0oooo00D0oooo00@000000?ooo`00000000002`3oool20000
02T0oooo00D000000?ooo`000000oooo0000000o0?ooo`8000009`3oool2000005<0oooo000G0?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`000000303oool2000002T0oooo00D000000?oo
o`000000oooo0000000o0?ooo`8000009`3oool2000005<0oooo000G0?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`0000003@3oool00`000000oooo0?ooo`0W0?ooo`030000003oool00000
0080oooo00<000000?ooo`3oool0?03oool2000002P0oooo00<000000?ooo`3oool0D@3oool001L0
oooo0P0000060?ooo`030000003oool0000000d0oooo00<000000?ooo`3oool09`3oool00`000000
oooo000000020?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool01@00000X0?ooo`03
0000003oool0oooo0540oooo000G0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
=`3oool00`000000oooo000000020?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool0
1000000Y0?ooo`030000003oool0oooo0540oooo000G0?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0=`3oool2000000<0oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?oo
o`04000002T0oooo00<000000?ooo`3oool0D@3oool001L0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`0g0?ooo`8000000`3oool00`000000oooo0?ooo`0f0?ooo`030000003oool0
oooo00@00000:@3oool00`000000oooo0?ooo`1A0?ooo`005`3oool2000000H0oooo00<000000?oo
o`3oool0=`3oool2000000<0oooo100000020?ooo`030000003oool000000300oooo00<000000?oo
o`0000001000000Y0?ooo`030000003oool0oooo0540oooo000G0?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0=`3oool2000000<0oooo100000020?ooo`030000003oool000000300
oooo00<000000?ooo`0000000`00001n0?ooo`005`3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo03P0oooo0P0000030?ooo`@000000P3oool00`000000oooo0000000`0?ooo`030000
003oool0000000<00000OP3oool001L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`0h0?ooo`8000000`3oool5000000030?ooo`000000000000800000;`3oool6000007h0oooo000G
0?ooo`8000001@3oool00`000000oooo0?ooo`0h0?ooo`8000000`3oool:000002l0oooo1P00001n
0?ooo`005`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo03T0oooo00<000000?oo
o`3oool00P3oool2000000030?ooo`000000000000@00000;`3oool300000840oooo000:0?ooo`03
0000003oool0oooo00<000001`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo03T0
oooo00<000000?ooo`3oool00P3oool2000000030?ooo`000000000000@00000;P3oool010000000
oooo0000000000210?ooo`002P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo
0080oooo0P0000000`3oool0000000000004000002h0oooo00@000000?ooo`0000000000P@3oool0
00<0oooo100000030?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0103oool3
000000@0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`020?ooo`80000000<0oooo
0000000000001000000^0?ooo`040000003oool0000000000840oooo000:0?ooo`040000003oool0
oooo00000080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo03h0oooo0P0000000`3oool0000000000004000002h0oooo00@000000?ooo`0000000000
P@3oool000X0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0?P3oool2000000030?ooo`000000000000@00000
;P3oool010000000oooo0000000000210?ooo`002@3oool200000080oooo00@000000?ooo`3oool0
00001P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo03l0oooo00<000000?ooo`3o
ool00P000000103oool000000?ooo`00000]0?ooo`040000003oool0000000000840oooo000:0?oo
o`040000003oool0oooo0?ooo`8000001`3oool2000000D0oooo00<000000?ooo`3oool0?`3oool0
0`000000oooo0?ooo`02000000030?ooo`000000oooo00800000:P3oool010000000oooo0000003o
ool200000840oooo000G0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0A`3oool2
000002X0oooo00@000000?ooo`000000oooo0P0000210?ooo`005`3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo04L0oooo0P00000Z0?ooo`050000003oool000000?ooo`000000PP3o
ool001L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`170?ooo`800000:P3oool0
1@000000oooo0000003oool000000880oooo000G0?ooo`8000001@3oool00`000000oooo0?ooo`17
0?ooo`<000002@3oool00`000000oooo0?ooo`0M0?ooo`<0000000<0oooo0000003oool0P@3oool0
01L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`180?ooo`8000002@3oool00`00
0000oooo0?ooo`0M0?ooo`<00000Q03oool001L0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`190?ooo`800000203oool2000001l0oooo0`0000240?ooo`005`3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo04X0oooo00<000000?ooo`3oool01P3oool2000001l0oooo
0`0000240?ooo`005`3oool2000000@0oooo00<000000?ooo`3oool0BP3oool010000000oooo0?oo
o`3oool200000080oooo0`00000M0?ooo`D00000Q03oool001L0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`1:0?ooo`040000003oool0oooo0?ooo`8000000P3oool3000001d0oooo
1@0000240?ooo`005`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo04X0oooo00@0
00000?ooo`3oool0oooo0P0000020?ooo`<000007@3oool5000008@0oooo000G0?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool0BP3oool010000000oooo0?ooo`3oool200000080oooo
0`00000M0?ooo`80000000<0oooo0000003oool0Q03oool001L0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`1:0?ooo`040000003oool0oooo0?ooo`8000000P3oool3000001d0oooo
0P0000000`3oool000000?ooo`240?ooo`005`3oool200000080oooo00<000000?ooo`000000C03o
ool010000000oooo0?ooo`3oool7000000P0oooo00<000000?ooo`3oool04P3oool2000000030?oo
o`000000oooo08@0oooo000G0?ooo`070000003oool0oooo0?ooo`000000oooo0000001<0?ooo`04
0000003oool0oooo0?ooo`L00000203oool00`000000oooo0?ooo`0B0?ooo`800000Q`3oool000h0
oooo0P0000070?ooo`070000003oool0oooo0?ooo`000000oooo0000001<0?ooo`040000003oool0
oooo0?ooo`L000001`3oool2000001@0oooo0P0000270?ooo`003@3oool010000000oooo0?ooo`00
00060?ooo`070000003oool0oooo0?ooo`000000oooo0000001=0?ooo`050000003oool0oooo0000
003oool01@0000070?ooo`800000503oool2000008L0oooo00080?ooo`@00000103oool00`000000
oooo0?ooo`040?ooo`<0000000@0oooo0000000000000000C@3oool01@000000oooo000000000000
oooo00D000001@3oool4000001@0oooo0P0000270?ooo`003@3oool010000000oooo0?ooo`000006
0?ooo`040000003oool0oooo0?ooo`<00000C@3oool01@000000oooo000000000000oooo00800000
0P3oool00`000000oooo0?ooo`030?ooo`@00000503oool00`000000oooo0?ooo`260?ooo`003@3o
ool3000000L0oooo00@000000?ooo`3oool0oooo0`00001=0?ooo`<000000P3oool200000080oooo
00<000000?ooo`3oool00`3oool4000001<0oooo00<000000?ooo`3oool0Q`3oool000h0oooo00<0
00000?ooo`3oool01P3oool010000000oooo0?ooo`3oool3000004d0oooo0`0000020?ooo`800000
0`3oool00`000000oooo0?ooo`020?ooo`@000004`3oool00`000000oooo0?ooo`270?ooo`003P3o
ool3000000H0oooo0P0000020?ooo`<00000C@3oool300000080oooo0P0000030?ooo`040000003o
ool0oooo0?ooo`D000001P3oool2000000040?ooo`000000oooo000000H0oooo0P0000290?ooo`00
5`3oool01@000000oooo0?ooo`3oool0000004l0oooo0`0000070?ooo`040000003oool0oooo0?oo
o`D000001P3oool2000000040?ooo`000000oooo000000H0oooo0P0000290?ooo`005`3oool01000
0000oooo0?ooo`00001@0?ooo`<000001`3oool00`000000oooo0?ooo`02000000040?ooo`000000
0000000000D0oooo1@0000000`3oool000000?ooo`050?ooo`800000R@3oool001L0oooo00@00000
0?ooo`3oool00000D03oool3000000L0oooo00<000000?ooo`3oool00P000000103oool000000000
000000050?ooo`D0000000<0oooo0000003oool01@3oool2000008T0oooo000G0?ooo`80000000<0
oooo0000003oool0C`3oool3000000L0oooo00<000000?ooo`3oool00P0000000`3oool000000000
0003000000<0oooo1`0000050?ooo`<00000R@3oool001L0oooo00@000000?ooo`3oool000009P3o
ool4000000040?ooo`000000000000000080oooo0`00000W0?ooo`030000003oool0000000800000
00<0oooo0000000000000`0000030?ooo`030000003oool0000000@000001@3oool2000001@0oooo
0P0000020?ooo`<000000P3oool3000002D0oooo0P0000020?ooo`<000000P3oool3000002@0oooo
00<000000?ooo`3oool00`0000020?ooo`<000000P3oool3000000D0oooo000G0?ooo`040000003o
ool0oooo000002L0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool000000080
oooo00<000000?ooo`3oool0903oool00`000000oooo00000008000000<0oooo00<000000?ooo`00
0000100000040?ooo`<000004`3oool01P000000oooo0?ooo`000000oooo00000080oooo00<00000
0?ooo`0000000P3oool00`000000oooo0?ooo`0Q0?ooo`060000003oool0oooo0000003oool00000
0P3oool00`000000oooo000000020?ooo`030000003oool0oooo0240oooo00@000000?ooo`3oool0
00000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3o
ool00P3oool001L0oooo00@000000?ooo`3oool00000:03oool010000000oooo0?ooo`0000020?oo
o`030000003oool000000080oooo00<000000?ooo`3oool08@3oool9000000030?ooo`000000oooo
00<000000P3oool01@000000oooo000000000000oooo00<000000`3oool3000001<0oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool0
8@3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool00`00
0000oooo0?ooo`0Q0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`0000000P3oool0
0`000000oooo000000020?ooo`030000003oool0oooo0080oooo000G0?ooo`80000000<0oooo0000
003oool09`3oool010000000oooo0?ooo`0000020?ooo`030000003oool000000080oooo00<00000
0?ooo`3oool08@3oool00`000000oooo0?ooo`06000000030?ooo`000000oooo00<000000P3oool0
1@000000oooo000000000000oooo00<000000P3oool4000001<0oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool08P3oool200000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo0240oooo00@00000
0?ooo`3oool000000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<0
00000?ooo`3oool00P3oool001L0oooo00@000000?ooo`3oool00000:@3oool00`000000oooo0000
00020?ooo`030000003oool000000080oooo00<000000?ooo`3oool08P3oool00`000000oooo0000
0003000000040?ooo`000000oooo00000080oooo0P0000020?ooo`040000003oool00000000000<0
oooo00<000000?ooo`3oool01000000C0?ooo`<000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00<000000?ooo`3oool08@3oool01P000000oooo0?ooo`000000oooo00000080oooo
00<000000?ooo`0000000P3oool00`000000oooo0?ooo`0Q0?ooo`040000003oool0oooo00000080
oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo0080
oooo000G0?ooo`040000003oool0oooo000002H0oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`030000003oool000000080oooo00<000000?ooo`3oool08`3oool5000000040?ooo`000000
oooo00000080oooo0P000000103oool000000?ooo`3oool2000000<0oooo00<000000?ooo`3oool0
1000000C0?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000020?oo
o`030000003oool0oooo0240oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003o
ool000000080oooo00<000000?ooo`3oool0803oool200000080oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool00P3oool001L0oooo
00@000000?ooo`3oool000009`3oool2000000<0oooo0P0000030?ooo`8000009`3oool200000003
0?ooo`000000000000<0oooo0P000000103oool000000?ooo`0000020?ooo`8000000`3oool00`00
0000oooo0?ooo`04000001@0oooo0P0000030?ooo`8000000`3oool2000002D0oooo0P0000030?oo
o`8000000`3oool2000002@0oooo00@000000?ooo`3oool0oooo0P0000030?ooo`8000000`3oool2
000000D0oooo000G0?ooo`80000000<0oooo0000003oool0FP3oool00`000000oooo000000070?oo
o`<000000P3oool2000000<0oooo00<000000?ooo`3oool01000002:0?ooo`005`3oool010000000
oooo0?ooo`00001K0?ooo`030000003oool0000000L0oooo0`0000070?ooo`050000003oool0oooo
0000003oool00P00002:0?ooo`005`3oool010000000oooo0?ooo`00001K0?ooo`030000003oool0
000000L0oooo0`0000070?ooo`060000003oool0oooo0000003oool00000R`3oool001L0oooo00@0
00000?ooo`3oool00000F`3oool00`000000oooo000000070?ooo`<000001`3oool01P000000oooo
0?ooo`000000oooo000008/0oooo000A0?ooool000001P0000050?ooo`005`3oool4000000P0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool01@3oool01@000000oooo0000003oool0000000D0oooo0`0000030?ooo`06
0000003oool0oooo0?ooo`000000oooo0P0000050?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool02@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool02P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool02P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool02P3oool001L0oooo1000000]0?ooo`030000003oool0oooo02/0oooo00D000000?oo
o`000000oooo000000050?ooo`<000001`3oool010000000oooo00000000000M0?ooo`030000003o
ool0oooo02l0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`0:0?ooo`005`3oool3
000005`0oooo0P0000080?ooo`800000203oool010000000oooo00000000002=0?ooo`005`3oool3
000005`0oooo0P0000080?ooo`800000203oool010000000oooo00000000002=0?ooo`005`3oool3
000005`0oooo0P0000080?ooo`800000203oool4000008d0oooo000G0?ooo`<00000G03oool20000
0180oooo0`00002>0?ooo`005`3oool3000005`0oooo0P00000B0?ooo`<00000SP3oool001L0oooo
0`00001M0?ooo`030000003oool0oooo0100oooo0`00002>0?ooo`005`3oool3000005d0oooo00<0
00000?ooo`3oool0403oool3000008h0oooo000G0?ooo`030000003oool0oooo0740oooo00<00000
0?ooo`3oool0S@3oool001L0oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`2=0?oo
o`005`3oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo08d0oooo000G0?ooo`800000
LP3oool00`000000oooo0?ooo`2=0?ooo`005`3oool00`000000oooo0?ooo`3o0?ooo`80oooo000G
0?ooo`030000003oool0oooo0?l0oooo0P3oool001L0oooo00<000000?ooo`3oool0o`3oool20?oo
o`005`3oool00`000000oooo0?ooo`3o0?ooo`80oooo003o0?oooa`0oooo003o0?oooa`0oooo003o
0?oooa`0oooo003o0?oooa`0oooo003o0?oooa`0oooo003o0?oooa`0oooo0000\
\>"],
  ImageRangeCache->{{{0, 282.875}, {174.375, 0}} -> {-94.73, -36.5743, \
4.04148, 0.241711}},
  CellTags->"IPM3.Sol.11.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
First we write down the formulas for representing a point on the unit sphere.\
\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.11.2"],

Cell[BoxData[{
    \(\(x[\[Phi]_, \[Theta]_] := \(\@\(1 - Cos[\[Phi]]\^2\)\) 
          Cos[\[Theta]];\)\), "\[IndentingNewLine]", 
    \(\(y[\[Phi]_, \[Theta]_] := \(\@\(1 - Cos[\[Phi]]\^2\)\) 
          Sin[\[Theta]];\)\), "\[IndentingNewLine]", 
    \(\(z[\[Phi]_] := Cos[\[Phi]];\)\)}], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.11.2"],

Cell["This checks that the formulas are correct:", "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[\@\(x[\[Phi], \[Theta]]\^2 + y[\[Phi], \[Theta]]\^2 + \
z[\[Phi]]\^2\)]\)], "Input",
  CellLabel->"In[15]:=",
  CellTags->"IPM3.Sol.11.2"],

Cell[BoxData[
    \(1\)], "Output",
  CellLabel->"Out[15]=",
  CellTags->"IPM3.Sol.11.2"]
}, Closed]],

Cell["\<\
The next step is to create a pair of angles between 0 and 2\[Pi].\
\>", "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ran = Table[Random[Real, {0, 2\ \[Pi]}], {2}]\)], "Input",
  CellLabel->"In[16]:=",
  CellTags->"IPM3.Sol.11.2"],

Cell[BoxData[
    \({3.658120490845014`, 1.4523463100686902`}\)], "Output",
  CellLabel->"Out[16]=",
  CellTags->"IPM3.Sol.11.2"]
}, Closed]],

Cell[TextData[{
  "This applies the functions ",
  StyleBox["x", "MR"],
  ", ",
  StyleBox["y", "MR"],
  ", and ",
  StyleBox["z", "MR"],
  " to this pair of angles."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Apply[{x[#1, #2], y[#1, #2], z[#1]} &, ran]\)], "Input",
  CellLabel->"In[17]:=",
  CellTags->"IPM3.Sol.11.2"],

Cell[BoxData[
    \({0.058361495566659385`, 
      0.4904034322680747`, \(-0.8695391937428207`\)}\)], "Output",
  CellLabel->"Out[17]=",
  CellTags->"IPM3.Sol.11.2"]
}, Closed]],

Cell[TextData[{
  "Starting at the origin and folding ",
  StyleBox["Plus", "MR"],
  " across this function gives the following."
}], "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.11.2"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 3;\)\), "\[IndentingNewLine]", 
    \(FoldList[Plus, {0, 0, 0}, 
      Apply[{x[#1, #2], y[#1, #2], z[#1]} &, 
        Table[Random[Real, {0, 2\ \[Pi]}], {n}, {2}], {1}]]\)}], "Input",
  CellLabel->"In[18]:=",
  CellTags->"IPM3.Sol.11.2"],

Cell[BoxData[
    \({{0, 0, 0}, {\(-0.05830348846164425`\), 0.16654632678615183`, 
        0.9843083989620546`}, {0.8639297746486252`, 0.5350369461014532`, 
        1.1013574138644033`}, {0.6429602163352823`, 0.5407579410083327`, 
        0.12609348829549272`}}\)], "Output",
  CellLabel->"Out[19]=",
  CellTags->"IPM3.Sol.11.2"]
}, Closed]],

Cell[TextData[{
  "Here then is the rewritten ",
  StyleBox["walk3DOffLattice", "MR"],
  " with this code inserted."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.2"],

Cell["<<Graphics`Polyhedra`", "Input",
  CellLabel->"In[20]:=",
  CellTags->"IPM3.Sol.11.2"],

Cell[BoxData[
    \(walk3DOffLattice[n_] := 
      Module[{x, y, 
          z}, \[IndentingNewLine]x[\[Phi]_, \[Theta]_] := \(\@\(1 - 
                  Cos[\[Phi]]\^2\)\) 
            Cos[\[Theta]]; \[IndentingNewLine]y[\[Phi]_, \[Theta]_] := \
\(\@\(1 - Cos[\[Phi]]\^2\)\) Sin[\[Theta]]; \[IndentingNewLine]z[\[Phi]_] := 
          Cos[\[Phi]]; \[IndentingNewLine]FoldList[Plus, {0, 0, 0}, 
          Apply[{x[#1, #2], y[#1, #2], z[#1]} &, 
            Table[Random[Real, {0, 2\ \[Pi]}], {n}, {2}], {1}]]]\)], "Input",
  CellLabel->"In[21]:=",
  CellTags->"IPM3.Sol.11.2"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ShowWalk[\[IndentingNewLine]RandomWalk[2500, Dimension \[Rule] 3, 
          LatticeWalk \[Rule] False]];\)\)], "Input",
  CellLabel->"In[22]:=",
  CellTags->"IPM3.Sol.11.2"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1.15976 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
-0.088653 1.21033 8.89046e-017 1.21033 [
[ 0 0 0 0 ]
[ 1 1.15976 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.08534 .24566 m
0 .90119 L
s
0 .90119 m
.35856 1.15976 L
s
.35856 1.15976 m
.38121 .55383 L
s
.38121 .55383 m
.08534 .24566 L
s
.68886 0 m
.92443 .37138 L
s
.92443 .37138 m
1 1.00829 L
s
1 1.00829 m
.72737 .68516 L
s
.72737 .68516 m
.68886 0 L
s
.08534 .24566 m
0 .90119 L
s
0 .90119 m
.72737 .68516 L
s
.72737 .68516 m
.68886 0 L
s
.68886 0 m
.08534 .24566 L
s
.38121 .55383 m
.92443 .37138 L
s
.92443 .37138 m
1 1.00829 L
s
1 1.00829 m
.35856 1.15976 L
s
.35856 1.15976 m
.38121 .55383 L
s
0 0 m
1 0 L
1 1.15976 L
0 1.15976 L
closepath
clip
newpath
.5 Mabswid
.43931 .95292 m
.43188 .95242 L
s
.4382 .94459 m
.43931 .95292 L
s
.43444 .9516 m
.4382 .94459 L
s
.43188 .95242 m
.43016 .96136 L
s
.42985 .97242 m
.43871 .9764 L
s
.43455 .97855 m
.42985 .97242 L
s
.43871 .9764 m
.43277 .97622 L
s
.4344 .96047 m
.43444 .9516 L
s
.43016 .96136 m
.43298 .97107 L
s
.43298 .97107 m
.44217 .97252 L
s
.44217 .97252 m
.43455 .97855 L
s
.43432 .96976 m
.43082 .96709 L
s
.43779 .97214 m
.43432 .96976 L
s
.43082 .96709 m
.4344 .96047 L
s
.43277 .97622 m
.43599 .97153 L
s
.44374 .97064 m
.4378 .96363 L
s
.43599 .97153 m
.44374 .97064 L
s
.44633 .97306 m
.44379 .97832 L
s
.45509 .9696 m
.44633 .97306 L
s
.46813 .93605 m
.47005 .94409 L
s
.46043 .93115 m
.46813 .93605 L
s
.45277 .96385 m
.45605 .9597 L
s
.45266 .97166 m
.45277 .96385 L
s
.4378 .96363 m
.43928 .96575 L
s
.46511 .97043 m
.46152 .96885 L
s
.47285 .96625 m
.46511 .97043 L
s
.46152 .96885 m
.45509 .9696 L
s
.44379 .97832 m
.43779 .97214 L
s
.46277 .93938 m
.46043 .93115 L
s
.46046 .95574 m
.45283 .95499 L
s
.45867 .96181 m
.46046 .95574 L
s
.46766 .96656 m
.47285 .96625 L
s
.46011 .94573 m
.45483 .9544 L
s
.47005 .94409 m
.46011 .94573 L
s
.45483 .9544 m
.45867 .96181 L
s
.44906 .98026 m
.45266 .97166 L
s
.4675 .95765 m
.46766 .96656 L
s
.46155 .95572 m
.4675 .95765 L
s
.45605 .9597 m
.44784 .96394 L
s
.43928 .96575 m
.44532 .97157 L
s
.45322 .93693 m
.46277 .93938 L
s
.45889 .9499 m
.45503 .94999 L
s
.45913 .95683 m
.45889 .9499 L
s
.44956 .9893 m
.45687 .99636 L
s
.4489 .99847 m
.44956 .9893 L
s
.45283 .95499 m
.45913 .95683 L
s
.45687 .99636 m
.4604 .99978 L
s
.44679 .93864 m
.45322 .93693 L
s
.44562 .98037 m
.44254 .9783 L
s
.44532 .97157 m
.44562 .98037 L
s
.44262 .97468 m
.44906 .98026 L
s
.44784 .96394 m
.45339 .96999 L
s
.38655 .71297 m
.39362 .71647 L
s
.38682 .72137 m
.38655 .71297 L
s
.45503 .94999 m
.46155 .95572 L
s
.44465 .98421 m
.44262 .97468 L
s
.44308 .98821 m
.44465 .98421 L
s
.44896 1.00756 m
.4489 .99847 L
s
.46839 .99339 m
.47021 1.00165 L
s
.46175 .99817 m
.46839 .99339 L
s
.38289 .71844 m
.38682 .72137 L
s
.39362 .71647 m
.39623 .70921 L
s
.45339 .96999 m
.45068 .97865 L
s
.39644 .70037 m
.40042 .70823 L
s
.39234 .69583 m
.39644 .70037 L
s
.39555 .70048 m
.393 .70991 L
s
.39623 .70921 m
.39555 .70048 L
s
.44731 .9331 m
.44679 .93864 L
s
.4604 .99978 m
.45803 1.00716 L
s
.38264 .72581 m
.38289 .71844 L
s
.38717 .73033 m
.38264 .72581 L
s
.44254 .9783 m
.44308 .98821 L
s
.45372 .99165 m
.44744 .9988 L
s
.45502 1.00005 m
.45372 .99165 L
s
.44744 .9988 m
.44896 1.00756 L
s
.393 .70991 m
.39178 .70299 L
s
.46015 1.00081 m
.4543 1.00501 L
s
.47021 1.00165 m
.46015 1.00081 L
s
.40042 .70823 m
.39941 .7172 L
s
.46198 1.00712 m
.46175 .99817 L
s
.45068 .97865 m
.44765 .98587 L
s
.46176 .99767 m
.46198 1.00712 L
s
.45803 1.00716 m
.46176 .99767 L
s
.45419 .98738 m
.45234 .99706 L
s
.45203 .99711 m
.45419 .98738 L
s
.4012 .69925 m
.39234 .69583 L
s
.44563 .929 m
.44731 .9331 L
s
.44836 1.00624 m
.45502 1.00005 L
s
.40826 .62955 m
.40806 .6378 L
s
.40733 .63808 m
.40826 .62955 L
s
.38842 .7401 m
.38717 .73033 L
s
.39941 .7172 m
.3985 .713 L
s
.45788 .99073 m
.45203 .99711 L
s
.45234 .99706 m
.44836 1.00624 L
s
.39178 .70299 m
.4012 .69925 L
s
.43864 .98628 m
.43508 .99506 L
s
.43599 .98031 m
.43864 .98628 L
s
.4543 1.00501 m
.46192 1.00283 L
s
.38511 .74408 m
.38842 .7401 L
s
.4128 .63765 m
.41256 .64562 L
s
.41549 .64498 m
.4128 .63765 L
s
.44765 .98587 m
.44608 .98629 L
s
.45094 .99757 m
.45788 .99073 L
s
.39903 .70364 m
.39778 .69375 L
s
.3985 .713 m
.39903 .70364 L
s
.41256 .64562 m
.40733 .63808 L
s
.4023 .70458 m
.39712 .70233 L
s
.40396 .71235 m
.4023 .70458 L
s
.40806 .6378 m
.4061 .63794 L
s
.43508 .99506 m
.4422 .9922 L
s
.4029 .70611 m
.39584 .70982 L
s
.39712 .70233 m
.4029 .70611 L
s
.39778 .69375 m
.40512 .69419 L
s
.44564 .92556 m
.44563 .929 L
s
.43378 .64954 m
.42718 .65088 L
s
.42736 .65291 m
.43378 .64954 L
s
.46192 1.00283 m
.45616 .99442 L
s
.44223 .9881 m
.43599 .98031 L
s
.45616 .99442 m
.45564 .98443 L
s
.57632 .41554 m
.58261 .40948 L
s
.56868 .41943 m
.57632 .41554 L
s
.42331 .97443 m
.43059 .97221 L
s
.42509 .98451 m
.42331 .97443 L
s
.38798 .74122 m
.38962 .73816 L
s
.39277 .74253 m
.38798 .74122 L
s
.45644 1.00049 m
.45094 .99757 L
s
.43396 .989 m
.42509 .98451 L
s
.43414 .99317 m
.43396 .989 L
s
.45564 .98443 m
.45237 .98051 L
s
.44648 .602 m
.44516 .60821 L
s
.44775 .60979 m
.44648 .602 L
s
.415 .64124 m
.42069 .64245 L
s
.41444 .63702 m
.415 .64124 L
s
.42069 .64245 m
.41549 .64498 L
s
.5591 .45826 m
.5612 .44823 L
s
.55636 .44911 m
.5591 .45826 L
s
.44529 .99593 m
.44223 .9881 L
s
.5612 .44823 m
.56048 .44248 L
s
.38962 .73816 m
.38511 .74408 L
s
.40312 .7023 m
.40396 .71235 L
s
.4422 .9922 m
.43414 .99317 L
s
.41139 .6454 m
.41387 .63733 L
s
.40507 .64796 m
.41139 .6454 L
s
.41994 .64633 m
.42736 .65291 L
s
.41034 .64284 m
.41994 .64633 L
s
.42147 .97213 m
.42687 .97246 L
s
.42753 .97061 m
.42147 .97213 L
s
.44608 .98629 m
.44529 .99593 L
s
.39584 .70982 m
.39425 .70218 L
s
.55921 .43542 m
.55752 .42568 L
s
.56048 .44248 m
.55921 .43542 L
s
.56493 .42541 m
.56868 .41943 L
s
.41299 .70053 m
.40312 .7023 L
s
.40512 .69419 m
.41299 .70053 L
s
.46141 .97686 m
.4604 .96783 L
s
.45237 .98051 m
.46141 .97686 L
s
.41564 .63419 m
.41034 .64284 L
s
.58261 .40948 m
.5775 .41148 L
s
.55526 .45692 m
.55636 .44911 L
s
.43059 .97221 m
.43735 .96755 L
s
.36462 .81241 m
.3704 .81982 L
s
.36539 .82059 m
.36462 .81241 L
s
.46285 .91318 m
.46476 .9213 L
s
.46118 .92332 m
.46285 .91318 L
s
.4061 .63794 m
.41564 .63419 L
s
.39061 .72173 m
.3968 .72693 L
s
.3926 .72895 m
.39061 .72173 L
s
.42718 .65088 m
.42244 .65705 L
s
.44441 .61925 m
.44775 .60979 L
s
.46609 .98054 m
.46651 .98997 L
s
.45992 .98372 m
.46609 .98054 L
s
.43824 .9255 m
.44564 .92556 L
s
.45635 .91423 m
.46118 .92332 L
s
.4566 .90471 m
.45635 .91423 L
s
.55752 .42568 m
.55715 .42418 L
s
.57586 .39091 m
.57013 .39882 L
s
.57838 .39878 m
.57586 .39091 L
s
.4357 .99158 m
.42888 .98486 L
s
.42813 .99149 m
.4357 .99158 L
s
.4604 .96783 m
.46062 .95969 L
s
.45528 1.00175 m
.45644 1.00049 L
s
.44516 .60821 m
.44443 .59924 L
s
.39283 .74226 m
.39277 .74253 L
s
.46256 1.00096 m
.4711 1.00429 L
s
.46606 .99959 m
.46256 1.00096 L
s
.39071 .7195 m
.38131 .7193 L
s
.3968 .72693 m
.39071 .7195 L
s
.45259 .62535 m
.44441 .61925 L
s
.41387 .63733 m
.41359 .6459 L
s
.41359 .6459 m
.41444 .63702 L
s
.44485 .63118 m
.45259 .62535 L
s
.44973 .911 m
.4566 .90471 L
s
.57013 .39882 m
.56957 .40006 L
s
.3704 .81982 m
.37847 .81477 L
s
.45975 .96897 m
.45213 .96272 L
s
.46062 .95969 m
.45975 .96897 L
s
.3952 .75611 m
.38619 .75977 L
s
.39125 .76542 m
.3952 .75611 L
s
.40524 .66391 m
.40917 .66551 L
s
.41489 .66702 m
.40524 .66391 L
s
.39425 .70218 m
.39438 .69236 L
s
.47031 .92142 m
.46183 .92143 L
s
.46911 .92977 m
.47031 .92142 L
s
.43735 .96755 m
.42753 .97061 L
s
.42888 .98486 m
.43007 .97722 L
s
.55715 .42418 m
.56493 .42541 L
s
.40942 .65694 m
.40507 .64796 L
s
.45096 .97276 m
.45354 .98183 L
s
.45213 .96272 m
.45096 .97276 L
s
.55573 .46444 m
.55526 .45692 L
s
.41826 .67073 m
.41489 .66702 L
s
.45814 .97498 m
.45525 .98413 L
s
.45247 .98106 m
.45814 .97498 L
s
.4598 .9975 m
.46023 1.00676 L
s
.45431 1.00592 m
.4598 .9975 L
s
.45502 .91351 m
.44673 .91964 L
s
.45788 .92259 m
.45502 .91351 L
s
.4006 .74445 m
.39283 .74226 L
s
.39681 .73525 m
.4006 .74445 L
s
.44052 .91379 m
.44973 .911 L
s
.43981 .91988 m
.44052 .91379 L
s
.42687 .97246 m
.43022 .98171 L
s
.42728 .94728 m
.42744 .94991 L
s
.43481 .94887 m
.42728 .94728 L
s
.46651 .98997 m
.46606 .99959 L
s
.36729 .82869 m
.36539 .82059 L
s
.46476 .9213 m
.46911 .92977 L
s
.43638 .96944 m
.44373 .97611 L
s
.43007 .97722 m
.43638 .96944 L
s
.3959 .77379 m
.39125 .76542 L
s
.57273 .40736 m
.57838 .39878 L
s
.57835 .40469 m
.57273 .40736 L
s
.44673 .91964 m
.43824 .9255 L
s
.39438 .69236 m
.40047 .69216 L
s
.44443 .59924 m
.45148 .6062 L
s
.37847 .81477 m
.38714 .80929 L
s
.38131 .7193 m
.38088 .72768 L
s
.38952 .71924 m
.3926 .72895 L
s
.4711 1.00429 m
.47047 1.01321 L
s
.5775 .41148 m
.57835 .40469 L
s
.38714 .80929 m
.39502 .80295 L
s
.37899 .79926 m
.38889 .79884 L
s
.37934 .80766 m
.37899 .79926 L
s
.42244 .65705 m
.42384 .65747 L
s
.44367 .63952 m
.44485 .63118 L
s
.40917 .66551 m
.40942 .65694 L
s
.38556 .80682 m
.38393 .8163 L
s
.39502 .80295 m
.38556 .80682 L
s
.38619 .75977 m
.38338 .76079 L
s
.43952 1.00374 m
.43634 1.01304 L
s
.44364 1.01119 m
.43952 1.00374 L
s
.39258 .72865 m
.39681 .73525 L
s
.38879 .72821 m
.38952 .71924 L
s
.40368 .86622 m
.39942 .8676 L
s
.39634 .87109 m
.40368 .86622 L
s
.47172 .59192 m
.47456 .59887 L
s
.47003 .60087 m
.47172 .59192 L
s
.41873 .93199 m
.42281 .94037 L
s
.4163 .94146 m
.41873 .93199 L
s
.43168 1.01936 m
.4367 1.02652 L
s
.42748 1.02753 m
.43168 1.01936 L
s
.45958 .98456 m
.45992 .98372 L
s
.43022 .98171 m
.42813 .99149 L
s
.37133 .82094 m
.3772 .82731 L
s
.36992 .83016 m
.37133 .82094 L
s
.38889 .79884 m
.38618 .78942 L
s
.45148 .6062 m
.45776 .6064 L
s
.46041 1.00747 m
.45431 1.00592 L
s
.43292 .99434 m
.43282 .98411 L
s
.42934 .99438 m
.43292 .99434 L
s
.44373 .97611 m
.45247 .98106 L
s
.39332 .7979 m
.40164 .79932 L
s
.38497 .79583 m
.39332 .7979 L
s
.46183 .92143 m
.46248 .92996 L
s
.43282 .98411 m
.43225 .9913 L
s
.36911 .83938 m
.36992 .83016 L
s
.37683 .84429 m
.36911 .83938 L
s
.39853 .78243 m
.3959 .77379 L
s
.45354 .98183 m
.44476 .97957 L
s
.46248 .92996 m
.45788 .92259 L
s
.40228 .79015 m
.39853 .78243 L
s
.39386 .78795 m
.40228 .79015 L
s
.42916 1.01974 m
.42642 1.02979 L
s
.43634 1.01304 m
.42916 1.01974 L
s
.3761 .78823 m
.38225 .79619 L
s
.38618 .78942 m
.3761 .78823 L
s
.45525 .98413 m
.45062 .98888 L
s
.42667 1.0309 m
.42687 1.03776 L
s
.42591 1.03947 m
.42667 1.0309 L
s
.38642 .73552 m
.39202 .73618 L
s
.39238 .74375 m
.38642 .73552 L
s
.45417 .97996 m
.45958 .98456 L
s
.44476 .97957 m
.45417 .97996 L
s
.39722 .77934 m
.39386 .78795 L
s
.39669 .78787 m
.39722 .77934 L
s
.43258 1.0186 m
.42748 1.02753 L
s
.43906 1.02642 m
.43258 1.0186 L
s
.46023 1.00676 m
.46029 1.01403 L
s
.42235 .92023 m
.41896 .91885 L
s
.4238 .93029 m
.42235 .92023 L
s
.54946 .46233 m
.55573 .46444 L
s
.38152 .80064 m
.37874 .81 L
s
.37578 .80895 m
.38152 .80064 L
s
.45031 1.01087 m
.45528 1.00175 L
s
.38393 .8163 m
.37753 .81967 L
s
.42962 .95692 m
.43481 .94887 L
s
.42642 1.02979 m
.42591 1.03947 L
s
.3772 .82731 m
.36729 .82869 L
s
.4016 .74732 m
.39238 .74375 L
s
.41678 .95177 m
.4163 .94146 L
s
.38225 .79619 m
.3798 .80426 L
s
.43482 .64234 m
.44367 .63952 L
s
.46758 .60896 m
.47003 .60087 L
s
.42047 .95518 m
.41678 .95177 L
s
.38088 .72768 m
.38538 .72838 L
s
.39202 .73618 m
.38879 .72821 L
s
.47047 1.01321 m
.46226 1.00843 L
s
.37726 .81115 m
.36746 .80992 L
s
.37753 .81967 m
.37726 .81115 L
s
.38744 .80572 m
.37934 .80766 L
s
.47914 .59253 m
.48091 .58717 L
s
.47542 .60191 m
.47914 .59253 L
s
.42281 .94037 m
.41937 .95017 L
s
.56957 .40006 m
.56173 .39485 L
s
.42171 1.03016 m
.42385 1.04034 L
s
.42687 1.03776 m
.42171 1.03016 L
s
.4075 .76564 m
.4089 .76612 L
s
.40138 .76058 m
.4075 .76564 L
s
.44211 1.01166 m
.45031 1.01087 L
s
.55694 .38693 m
.54845 .39244 L
s
.56173 .39485 m
.55694 .38693 L
s
.41612 .68066 m
.41826 .67073 L
s
.42294 .94045 m
.4238 .93029 L
s
.41937 .95017 m
.42294 .94045 L
s
.40618 .76665 m
.4064 .75642 L
s
.4089 .76612 m
.40618 .76665 L
s
.43064 1.03247 m
.43906 1.02642 L
s
.39706 .88138 m
.39634 .87109 L
s
.48717 .58441 m
.492 .5909 L
s
.48091 .58717 m
.48717 .58441 L
s
.38538 .72838 m
.39258 .72865 L
s
.43015 .91654 m
.43981 .91988 L
s
.37526 .75535 m
.37975 .76297 L
s
.38338 .76079 m
.37526 .75535 L
s
.44608 1.00667 m
.44364 1.01119 L
s
.40047 .69216 m
.4101 .68903 L
s
.4367 1.02652 m
.43036 1.01844 L
s
.37784 .85259 m
.37683 .84429 L
s
.43036 1.01844 m
.4245 1.02453 L
s
.4064 .75642 m
.4016 .74732 L
s
.383 .8045 m
.37578 .80895 L
s
.42385 1.04034 m
.43064 1.03247 L
s
.54585 .45014 m
.53863 .45241 L
s
.55307 .44776 m
.54585 .45014 L
s
.47456 .59887 m
.47798 .5981 L
s
.5624 .46356 m
.55956 .4726 L
s
.55727 .45461 m
.5624 .46356 L
s
.40164 .79932 m
.39434 .7969 L
s
.54845 .39244 m
.54495 .40064 L
s
.4029 .75123 m
.40138 .76058 L
s
.40123 .74975 m
.4029 .75123 L
s
.47798 .5981 m
.47542 .60191 L
s
.3798 .80426 m
.38497 .79583 L
s
.42979 .92541 m
.43015 .91654 L
s
.43268 .6522 m
.43482 .64234 L
s
.42384 .65747 m
.43268 .6522 L
s
.42744 .94991 m
.42047 .95518 L
s
.56768 .47315 m
.5716 .46372 L
s
.57009 .48047 m
.56768 .47315 L
s
.37874 .81 m
.38744 .80572 L
s
.54834 .45584 m
.55727 .45461 L
s
.39722 .88964 m
.39706 .88138 L
s
.4101 .68903 m
.41612 .68066 L
s
.56538 .45563 m
.56318 .45021 L
s
.5716 .46372 m
.56538 .45563 L
s
.46226 1.00843 m
.45865 1.01694 L
s
.36746 .80992 m
.37322 .80608 L
s
.40894 .88179 m
.40744 .89106 L
s
.40868 .89024 m
.40894 .88179 L
s
.56305 .49609 m
.57268 .4972 L
s
.55608 .50356 m
.56305 .49609 L
s
.39434 .7969 m
.39669 .78787 L
s
.45776 .6064 m
.46758 .60896 L
s
.45865 1.01694 m
.46041 1.00747 L
s
.42206 .94996 m
.42962 .95692 L
s
.39942 .8676 m
.39525 .87469 L
s
.51557 .58172 m
.5245 .581 L
s
.51253 .59079 m
.51557 .58172 L
s
.43199 .95218 m
.42206 .94996 L
s
.55053 .50295 m
.55608 .50356 L
s
.43225 .9913 m
.43383 1.00011 L
s
.55956 .4726 m
.55639 .48228 L
s
.45062 .98888 m
.44282 .99449 L
s
.429 1.00203 m
.42934 .99438 L
s
.54079 .46704 m
.54946 .46233 L
s
.42963 .9604 m
.43199 .95218 L
s
.46029 1.01403 m
.46077 1.02261 L
s
.5451 .482 m
.54929 .49083 L
s
.54472 .49031 m
.5451 .482 L
s
.40419 .84518 m
.39388 .84446 L
s
.4103 .84964 m
.40419 .84518 L
s
.37975 .76297 m
.37015 .76649 L
s
.54495 .40064 m
.53879 .40614 L
s
.55639 .48228 m
.56255 .48705 L
s
.37322 .80608 m
.383 .8045 L
s
.42163 .92869 m
.42741 .92118 L
s
.41896 .91885 m
.42163 .92869 L
s
.37079 .75625 m
.3804 .75533 L
s
.37015 .76649 m
.37079 .75625 L
s
.39388 .84446 m
.39237 .85403 L
s
.44256 1.02082 m
.44211 1.01166 L
s
.492 .5909 m
.5022 .59072 L
s
.57268 .4972 m
.5727 .49839 L
s
.53863 .45241 m
.54834 .45584 L
s
.42085 1.0341 m
.41898 1.03483 L
s
.4245 1.02453 m
.42085 1.0341 L
s
.55506 .45515 m
.56271 .4493 L
s
.55976 .4491 m
.55506 .45515 L
s
.37216 .86126 m
.37784 .85259 L
s
.5022 .59072 m
.51253 .59079 L
s
.43459 .91635 m
.42979 .92541 L
s
.3621 .85959 m
.37216 .86126 L
s
.37057 .85589 m
.3621 .85959 L
s
.40744 .89106 m
.39722 .88964 L
s
.56271 .4493 m
.55307 .44776 L
s
.54562 .47572 m
.54079 .46704 L
s
.57024 .48821 m
.57009 .48047 L
s
.43953 1.00345 m
.44608 1.00667 L
s
.43556 .92661 m
.43459 .91635 L
s
.54361 .51028 m
.54543 .50919 L
s
.5481 .50099 m
.54361 .51028 L
s
.54929 .49083 m
.5481 .50099 L
s
.5245 .581 m
.52609 .58879 L
s
.42741 .92118 m
.41754 .91982 L
s
.3804 .75533 m
.3719 .74983 L
s
.40684 .8636 m
.40633 .86707 L
s
.4032 .87161 m
.40684 .8636 L
s
.38326 .75053 m
.39227 .75496 L
s
.38382 .75935 m
.38326 .75053 L
s
.40432 .89915 m
.40868 .89024 L
s
.44282 .99449 m
.43953 1.00345 L
s
.41523 .91877 m
.40874 .91714 L
s
.41379 .91638 m
.41523 .91877 L
s
.39525 .87469 m
.4032 .87161 L
s
.43383 1.00011 m
.44114 .99303 L
s
.55357 .4819 m
.54562 .47572 L
s
.39237 .85403 m
.38483 .85844 L
s
.36973 .89675 m
.36228 .89754 L
s
.37454 .89074 m
.36973 .89675 L
s
.43539 .93573 m
.43556 .92661 L
s
.56318 .45021 m
.56123 .45931 L
s
.39117 .90336 m
.38943 .90775 L
s
.3849 .89517 m
.39117 .90336 L
s
.39227 .75496 m
.40123 .74975 L
s
.54456 .49594 m
.54472 .49031 L
s
.3719 .74983 m
.37362 .75986 L
s
.53879 .40614 m
.53817 .40281 L
s
.44114 .99303 m
.44909 .9992 L
s
.44562 1.04184 m
.44365 1.03616 L
s
.44994 1.03271 m
.44562 1.04184 L
s
.38637 .90462 m
.3849 .89517 L
s
.37238 .86246 m
.37057 .85589 L
s
.41754 .91982 m
.41428 .92905 L
s
.40684 .83308 m
.41156 .84126 L
s
.40696 .84025 m
.40684 .83308 L
s
.43672 1.02927 m
.44256 1.02082 L
s
.43741 .96577 m
.42963 .9604 L
s
.54543 .50919 m
.55053 .50295 L
s
.56255 .48705 m
.55357 .4819 L
s
.46077 1.02261 m
.4591 1.03242 L
s
.4591 1.03242 m
.44994 1.03271 L
s
.41094 .85018 m
.4103 .84964 L
s
.44842 1.03149 m
.44641 1.0391 L
s
.4412 1.02597 m
.44842 1.03149 L
s
.42998 1.01081 m
.429 1.00203 L
s
.41373 .90734 m
.41379 .91638 L
s
.41698 .90839 m
.41373 .90734 L
s
.39667 .90312 m
.40432 .89915 L
s
.37362 .75986 m
.38382 .75935 L
s
.54688 .5909 m
.54328 .58749 L
s
.53824 .58882 m
.54688 .5909 L
s
.44288 .97383 m
.43741 .96577 L
s
.44841 .96591 m
.44288 .97383 L
s
.56123 .45931 m
.55976 .4491 L
s
.56912 .49771 m
.57024 .48821 L
s
.40758 .86057 m
.41134 .86898 L
s
.40394 .86637 m
.40758 .86057 L
s
.44909 .9992 m
.45167 .99815 L
s
.36698 .89353 m
.36892 .88561 L
s
.37248 .90011 m
.36698 .89353 L
s
.36467 .89256 m
.37454 .89074 L
s
.36892 .88561 m
.36467 .89256 L
s
.52609 .58879 m
.53377 .59082 L
s
.43383 1.03542 m
.43391 1.02524 L
s
.43478 1.04587 m
.43383 1.03542 L
s
.43668 1.03059 m
.43672 1.02927 L
s
.40745 .86931 m
.40107 .87601 L
s
.41352 .87377 m
.40745 .86931 L
s
.43136 1.01747 m
.43443 1.01883 L
s
.44117 1.0173 m
.43136 1.01747 L
s
.41383 .90358 m
.42346 .89974 L
s
.40793 .90511 m
.41383 .90358 L
s
.39015 .90684 m
.38637 .90462 L
s
.43391 1.02524 m
.43935 1.02638 L
s
.39659 .843 m
.39688 .84373 L
s
.39199 .85235 m
.39659 .843 L
s
.5727 .49839 m
.57341 .50377 L
s
.42346 .89974 m
.41329 .8992 L
s
.41428 .92905 m
.41317 .92981 L
s
.38483 .85844 m
.37752 .86472 L
s
.41156 .84126 m
.41094 .85018 L
s
.44838 .97578 m
.44841 .96591 L
s
.42953 .9274 m
.43539 .93573 L
s
.44365 1.03616 m
.4412 1.02597 L
s
.44198 1.04398 m
.43478 1.04587 L
s
.41898 1.03483 m
.42046 1.02785 L
s
.3832 .85764 m
.39199 .85235 L
s
.40874 .91714 m
.41162 .90899 L
s
.41 .9176 m
.39985 .91984 L
s
.41162 .90899 m
.41 .9176 L
s
.39002 .88768 m
.39062 .89638 L
s
.38988 .89804 m
.39002 .88768 L
s
.57341 .50377 m
.56912 .49771 L
s
.38302 .87931 m
.37799 .87379 L
s
.38388 .88939 m
.38302 .87931 L
s
.38441 .89995 m
.38282 .89818 L
s
.394 .90291 m
.38441 .89995 L
s
.43614 .92552 m
.42953 .9274 L
s
.36228 .89754 m
.36866 .90155 L
s
.39985 .91984 m
.39913 .91448 L
s
.36218 .86162 m
.37238 .86246 L
s
.36954 .86593 m
.36218 .86162 L
s
.41329 .8992 m
.41698 .90839 L
s
.43935 1.02638 m
.44117 1.0173 L
s
.41393 .88481 m
.41291 .89432 L
s
.41419 .87764 m
.41393 .88481 L
s
.54159 .59731 m
.53824 .58882 L
s
.40633 .86707 m
.41352 .87377 L
s
.43443 1.01883 m
.42998 1.01081 L
s
.53835 .48761 m
.54456 .49594 L
s
.44569 1.03444 m
.44198 1.04398 L
s
.4398 1.02623 m
.44569 1.03444 L
s
.40346 .90869 m
.39667 .90312 L
s
.41134 .86898 m
.41419 .87764 L
s
.53 .48318 m
.53835 .48761 L
s
.40449 .84493 m
.40696 .84025 L
s
.38582 .86772 m
.3832 .85764 L
s
.38347 .90402 m
.38988 .89804 L
s
.40786 .92312 m
.40137 .92046 L
s
.41317 .92981 m
.40786 .92312 L
s
.39376 .912 m
.394 .90291 L
s
.37799 .87379 m
.38582 .86772 L
s
.44641 1.0391 m
.44281 1.04303 L
s
.38943 .90775 m
.38169 .90247 L
s
.41278 .89646 m
.40793 .90511 L
s
.41228 .90425 m
.41278 .89646 L
s
.38169 .90247 m
.37248 .90011 L
s
.41266 1.03166 m
.42041 1.03555 L
s
.40663 1.02887 m
.41266 1.03166 L
s
.43588 1.01661 m
.4398 1.02623 L
s
.43952 1.01964 m
.43588 1.01661 L
s
.40107 .87601 m
.40394 .86637 L
s
.53817 .40281 m
.53515 .40253 L
s
.38282 .89818 m
.38388 .88939 L
s
.44832 .98495 m
.44838 .97578 L
s
.37752 .86472 m
.37503 .86034 L
s
.40182 .91138 m
.39997 .91142 L
s
.40137 .92046 m
.40182 .91138 L
s
.53377 .59082 m
.54159 .59731 L
s
.54993 .57952 m
.54408 .57256 L
s
.54328 .58749 m
.54993 .57952 L
s
.43812 .91645 m
.43399 .92549 L
s
.43861 .91887 m
.43812 .91645 L
s
.42046 1.02785 m
.4148 1.03619 L
s
.41291 .89432 m
.41228 .90425 L
s
.45167 .99815 m
.44416 1.00505 L
s
.39062 .89638 m
.39015 .90684 L
s
.37503 .86034 m
.36954 .86593 L
s
.52857 .49051 m
.53 .48318 L
s
.53491 .39489 m
.53355 .38979 L
s
.53515 .40253 m
.53491 .39489 L
s
.39831 .92457 m
.39712 .93201 L
s
.39913 .91448 m
.39831 .92457 L
s
.36866 .90155 m
.37791 .89743 L
s
.4359 .93473 m
.43614 .92552 L
s
.40538 .91893 m
.40346 .90869 L
s
.43741 1.0394 m
.43668 1.03059 L
s
.41301 .91889 m
.40538 .91893 L
s
.38298 .90443 m
.38909 .91279 L
s
.37987 .90966 m
.38298 .90443 L
s
.52688 .48577 m
.51851 .48782 L
s
.52651 .49139 m
.52688 .48577 L
s
.38373 .91338 m
.39376 .912 L
s
.38909 .91279 m
.38347 .90402 L
s
.39688 .84373 m
.39692 .84782 L
s
.42041 1.03555 m
.42891 1.0416 L
s
.37791 .89743 m
.37749 .90622 L
s
.43399 .92549 m
.43459 .93596 L
s
.54408 .57256 m
.54848 .57496 L
s
.44416 1.00505 m
.45113 .99737 L
s
.44777 .99534 m
.44832 .98495 L
s
.42891 1.0416 m
.43741 1.0394 L
s
.5911 .19824 m
.59183 .20128 L
s
.58856 .20313 m
.5911 .19824 L
s
.4148 1.03619 m
.41637 1.02698 L
s
.45113 .99737 m
.45989 .99241 L
s
.4317 1.02551 m
.43952 1.01964 L
s
.42634 1.02916 m
.4317 1.02551 L
s
.43459 .93596 m
.43711 .94304 L
s
.41637 1.02698 m
.40663 1.02887 L
s
.39692 .84782 m
.40449 .84493 L
s
.37749 .90622 m
.38373 .91338 L
s
.45989 .99241 m
.45317 1.00048 L
s
.43864 .9341 m
.44056 .94399 L
s
.43711 .94304 m
.43864 .9341 L
s
.53756 .48271 m
.53589 .48835 L
s
.54237 .49023 m
.53756 .48271 L
s
.44281 1.04303 m
.43691 1.03457 L
s
.4458 1.00304 m
.44777 .99534 L
s
.43691 1.03457 m
.43027 1.04087 L
s
.51851 .48782 m
.52857 .49051 L
s
.45317 1.00048 m
.4458 1.00304 L
s
.44056 .94399 m
.4359 .93473 L
s
.5459 .56625 m
.55261 .55876 L
s
.54848 .57496 m
.5459 .56625 L
s
.52626 .48295 m
.5263 .49299 L
s
.52725 .48859 m
.52626 .48295 L
s
.39997 .91142 m
.40295 .92142 L
s
.40295 .92142 m
.41301 .91889 L
s
.39712 .93201 m
.39259 .92281 L
s
.44397 .91682 m
.43861 .91887 L
s
.53355 .38979 m
.53306 .39632 L
s
.5263 .49299 m
.52317 .49816 L
s
.54419 .55258 m
.55068 .54576 L
s
.55261 .55876 m
.54419 .55258 L
s
.39259 .92281 m
.39085 .93164 L
s
.38677 .90174 m
.37987 .90966 L
s
.38526 .91208 m
.38677 .90174 L
s
.53589 .48835 m
.52651 .49139 L
s
.54065 .4978 m
.54237 .49023 L
s
.44964 .91527 m
.45382 .9123 L
s
.44894 .90575 m
.44964 .91527 L
s
.4593 .92567 m
.45295 .91749 L
s
.45493 .91625 m
.4593 .92567 L
s
.4544 .9234 m
.45493 .91625 L
s
.59003 .21029 m
.58856 .20313 L
s
.45295 .91749 m
.44397 .91682 L
s
.43141 1.0304 m
.42773 1.03634 L
s
.43027 1.04087 m
.43141 1.0304 L
s
.5333 .52307 m
.52869 .51378 L
s
.54288 .51949 m
.5333 .52307 L
s
.42773 1.03634 m
.42634 1.02916 L
s
.45961 .90523 m
.45893 .9139 L
s
.4563 .91227 m
.45961 .90523 L
s
.38488 .92119 m
.38526 .91208 L
s
.59183 .20128 m
.59468 .20639 L
s
.4629 .8973 m
.46287 .90571 L
s
.46264 .89022 m
.4629 .8973 L
s
.52579 .5077 m
.52641 .51541 L
s
.53296 .50634 m
.52579 .5077 L
s
.52869 .51378 m
.53124 .5048 L
s
.53336 .49466 m
.53363 .50112 L
s
.52857 .49543 m
.53336 .49466 L
s
.44579 .90782 m
.44894 .90575 L
s
.45676 .90313 m
.4563 .91227 L
s
.45382 .9123 m
.45676 .90313 L
s
.5441 .5281 m
.54288 .51949 L
s
.55068 .54576 m
.5422 .54747 L
s
.59413 .19861 m
.59176 .19658 L
s
.59468 .20639 m
.59413 .19861 L
s
.53021 .49639 m
.52725 .48859 L
s
.46016 .89638 m
.46052 .90576 L
s
.46129 .90438 m
.46016 .89638 L
s
.59586 .21509 m
.60353 .2086 L
s
.59513 .22282 m
.59586 .21509 L
s
.39085 .93164 m
.39056 .94143 L
s
.5407 .5202 m
.53652 .51194 L
s
.53074 .523 m
.5407 .5202 L
s
.53431 .40674 m
.5387 .41138 L
s
.53306 .39632 m
.53431 .40674 L
s
.53621 .49934 m
.54065 .4978 L
s
.59353 .21032 m
.5889 .21511 L
s
.60353 .2086 m
.59353 .21032 L
s
.59808 .21646 m
.59003 .21029 L
s
.53687 .52536 m
.53074 .523 L
s
.52317 .49816 m
.52207 .48976 L
s
.5419 .53726 m
.55145 .53356 L
s
.5422 .54747 m
.5419 .53726 L
s
.39055 .92994 m
.38488 .92119 L
s
.53124 .5048 m
.52857 .49543 L
s
.58688 .22647 m
.5914 .22675 L
s
.59084 .21882 m
.58688 .22647 L
s
.45893 .9139 m
.4544 .9234 L
s
.52497 .50229 m
.52624 .50639 L
s
.52926 .50552 m
.52497 .50229 L
s
.5889 .21511 m
.59808 .21646 L
s
.47949 .89613 m
.47946 .90546 L
s
.48734 .90099 m
.47949 .89613 L
s
.54357 .53571 m
.5441 .5281 L
s
.46054 .8942 m
.46264 .89022 L
s
.52641 .51541 m
.53419 .50843 L
s
.46287 .90571 m
.46275 .91452 L
s
.55145 .53356 m
.54357 .53571 L
s
.39781 .93632 m
.39055 .92994 L
s
.4883 .8911 m
.48734 .90099 L
s
.49328 .89314 m
.4883 .8911 L
s
.52624 .50639 m
.53296 .50634 L
s
.53419 .50843 m
.53621 .49934 L
s
.39056 .94143 m
.38846 .95059 L
s
.53652 .51194 m
.53005 .50879 L
s
.46052 .90576 m
.45446 .91244 L
s
.52412 .50421 m
.53021 .49639 L
s
.53363 .50112 m
.52412 .50421 L
s
.58662 .21735 m
.59513 .22282 L
s
.53003 .40688 m
.53028 .41489 L
s
.5301 .4146 m
.53003 .40688 L
s
.46275 .91452 m
.46129 .90438 L
s
.45446 .91244 m
.44579 .90782 L
s
.5883 .22992 m
.58579 .22182 L
s
.58491 .21997 m
.5883 .22992 L
s
.5387 .41138 m
.5301 .4146 L
s
.52207 .48976 m
.53031 .48424 L
s
.5914 .22675 m
.58491 .21997 L
s
.59176 .19658 m
.59071 .20345 L
s
.4044 .93993 m
.39781 .93632 L
s
.58168 .22241 m
.58662 .21735 L
s
.47946 .90546 m
.47774 .91514 L
s
.53354 .52505 m
.53687 .52536 L
s
.59882 .22516 m
.59084 .21882 L
s
.51985 .50153 m
.52926 .50552 L
s
.52055 .50865 m
.51985 .50153 L
s
.52749 .49787 m
.52543 .5062 L
s
.5274 .49487 m
.52749 .49787 L
s
.53008 .40477 m
.52542 .41392 L
s
.53028 .41489 m
.53008 .40477 L
s
.59391 .21801 m
.59019 .22432 L
s
.58579 .22182 m
.59391 .21801 L
s
.48822 .81668 m
.48246 .81634 L
s
.48633 .82397 m
.48822 .81668 L
s
.38846 .95059 m
.39814 .94743 L
s
.59982 .21998 m
.59882 .22516 L
s
.53031 .48424 m
.53131 .49166 L
s
.52542 .41392 m
.53483 .4112 L
s
.46901 .94379 m
.46663 .93356 L
s
.46787 .93368 m
.46901 .94379 L
s
.46663 .93356 m
.46698 .9424 L
s
.53005 .50879 m
.52055 .50865 L
s
.39814 .94743 m
.39885 .94667 L
s
.50086 .89808 m
.49328 .89314 L
s
.59976 .22255 m
.60998 .22421 L
s
.59019 .22432 m
.59976 .22255 L
s
.46262 .8844 m
.46054 .8942 L
s
.47613 .92715 m
.46787 .93368 L
s
.47991 .93359 m
.47613 .92715 L
s
.47774 .91514 m
.48745 .91916 L
s
.45065 .80445 m
.45949 .80551 L
s
.44533 .81345 m
.45065 .80445 L
s
.48072 .92723 m
.48333 .92946 L
s
.48745 .91916 m
.48072 .92723 L
s
.59071 .20345 m
.59058 .20366 L
s
.45991 .89307 m
.46305 .90298 L
s
.46331 .89987 m
.45991 .89307 L
s
.60998 .22421 m
.60017 .22146 L
s
.45775 .87667 m
.46262 .8844 L
s
.52543 .5062 m
.53104 .50813 L
s
.53483 .4112 m
.53261 .4176 L
s
.58172 .22987 m
.58168 .22241 L
s
.50401 .90719 m
.50086 .89808 L
s
.49674 .91181 m
.50401 .90719 L
s
.39885 .94667 m
.4044 .93993 L
s
.44845 .80749 m
.44533 .81345 L
s
.45652 .94253 m
.46404 .93885 L
s
.46698 .9424 m
.45652 .94253 L
s
.48604 .92133 m
.48048 .91819 L
s
.48333 .92946 m
.48604 .92133 L
s
.60017 .22146 m
.59745 .22502 L
s
.48717 .82089 m
.47756 .81937 L
s
.48799 .814 m
.48717 .82089 L
s
.46305 .90298 m
.4571 .91174 L
s
.53131 .49166 m
.53356 .50081 L
s
.47756 .81937 m
.48633 .82397 L
s
.4571 .91174 m
.45679 .92106 L
s
.53692 .52768 m
.53354 .52505 L
s
.60868 .21292 m
.61145 .21925 L
s
.60013 .20713 m
.60868 .21292 L
s
.48246 .81634 m
.48279 .81379 L
s
.45949 .80551 m
.4596 .79936 L
s
.45384 .81526 m
.44845 .80749 L
s
.45279 .82377 m
.45384 .81526 L
s
.4838 .80823 m
.47906 .79959 L
s
.48887 .81393 m
.4838 .80823 L
s
.46102 .9121 m
.46044 .90157 L
s
.45679 .92106 m
.46102 .9121 L
s
.46044 .90157 m
.46362 .90308 L
s
.45064 .90671 m
.45499 .90401 L
s
.45261 .91321 m
.45064 .90671 L
s
.52659 .50297 m
.5274 .49487 L
s
.4579 .88417 m
.45775 .87667 L
s
.6033 .22509 m
.59982 .21998 L
s
.48384 .93218 m
.47991 .93359 L
s
.45363 .92957 m
.44801 .92171 L
s
.4441 .92949 m
.45363 .92957 L
s
.58479 .23867 m
.58172 .22987 L
s
.59058 .20366 m
.60013 .20713 L
s
.49623 .91626 m
.49674 .91181 L
s
.47513 .89207 m
.46653 .887 L
s
.47404 .90157 m
.47513 .89207 L
s
.53356 .50081 m
.52732 .49255 L
s
.47906 .79959 m
.47274 .80782 L
s
.45499 .90401 m
.46331 .89987 L
s
.53261 .4176 m
.52226 .41627 L
s
.46404 .93885 m
.46007 .94043 L
s
.60207 .23296 m
.60456 .24056 L
s
.60336 .22931 m
.60207 .23296 L
s
.47656 .88401 m
.47263 .89294 L
s
.46653 .887 m
.47656 .88401 L
s
.53104 .50813 m
.53481 .51785 L
s
.48115 .79554 m
.47214 .79013 L
s
.47938 .79971 m
.48115 .79554 L
s
.47843 .81661 m
.47531 .82135 L
s
.47274 .80782 m
.47843 .81661 L
s
.48348 .93728 m
.49105 .93438 L
s
.47792 .92838 m
.48348 .93728 L
s
.47361 .81003 m
.48255 .81558 L
s
.46398 .80576 m
.47361 .81003 L
s
.52226 .41627 m
.52569 .41441 L
s
.47085 .81944 m
.47345 .81621 L
s
.48016 .82445 m
.47085 .81944 L
s
.47214 .79013 m
.46882 .78015 L
s
.52732 .49255 m
.52659 .50297 L
s
.48834 .82355 m
.48799 .814 L
s
.44801 .92171 m
.45261 .91321 L
s
.48048 .91819 m
.47792 .92838 L
s
.47531 .82135 m
.48016 .82445 L
s
.46288 .8028 m
.46398 .80576 L
s
.47624 .77261 m
.47181 .78069 L
s
.46882 .78015 m
.47624 .77261 L
s
.53481 .51785 m
.53692 .52768 L
s
.44629 .7987 m
.44892 .80013 L
s
.43702 .79596 m
.44629 .7987 L
s
.59019 .23049 m
.58479 .23867 L
s
.48255 .81558 m
.48834 .82355 L
s
.44975 .8137 m
.45279 .82377 L
s
.46406 .77042 m
.4641 .75993 L
s
.47458 .77107 m
.46406 .77042 L
s
.45009 .93796 m
.4441 .92949 L
s
.61145 .21925 m
.6033 .22509 L
s
.59745 .22502 m
.60336 .22931 L
s
.44816 .82014 m
.44975 .8137 L
s
.47181 .78069 m
.47458 .77107 L
s
.48356 .81938 m
.48887 .81393 L
s
.4641 .75993 m
.46373 .76974 L
s
.4596 .79936 m
.44912 .79829 L
s
.45437 .81905 m
.45644 .82676 L
s
.45217 .81452 m
.45437 .81905 L
s
.46551 .89155 m
.4579 .88417 L
s
.46362 .90308 m
.47404 .90157 L
s
.46829 .89422 m
.46835 .90321 L
s
.46212 .90044 m
.46829 .89422 L
s
.60035 .2316 m
.59019 .23049 L
s
.59682 .23957 m
.60035 .2316 L
s
.44912 .79829 m
.44855 .80735 L
s
.45468 .93893 m
.45229 .94509 L
s
.45146 .94857 m
.45468 .93893 L
s
.47263 .89294 m
.46229 .89087 L
s
.46605 .9021 m
.46551 .89155 L
s
.48279 .81379 m
.47314 .81598 L
s
.52618 .41334 m
.53671 .4123 L
s
.52482 .42045 m
.52618 .41334 L
s
.60456 .24056 m
.59915 .23262 L
s
.45229 .94509 m
.45009 .93796 L
s
.44702 .77386 m
.44713 .78182 L
s
.44808 .78398 m
.44702 .77386 L
s
.46165 .81187 m
.46224 .81735 L
s
.45704 .8214 m
.46165 .81187 L
s
.46229 .89087 m
.46212 .90044 L
s
.53671 .4123 m
.53578 .41421 L
s
.43965 .80504 m
.43702 .79596 L
s
.44886 .7908 m
.45317 .78541 L
s
.44892 .80013 m
.44886 .7908 L
s
.45002 .81401 m
.4492 .80877 L
s
.4541 .82133 m
.45002 .81401 L
s
.46756 .82245 m
.45704 .8214 L
s
.47447 .81573 m
.46756 .82245 L
s
.481 .94227 m
.48384 .93218 L
s
.49105 .93438 m
.49003 .9386 L
s
.47772 .82508 m
.47447 .81573 L
s
.47345 .81621 m
.47772 .82508 L
s
.46833 .91074 m
.46605 .9021 L
s
.44919 .81349 m
.4541 .82133 L
s
.45309 .80649 m
.44919 .81349 L
s
.48701 .93353 m
.481 .94227 L
s
.49003 .9386 m
.48701 .93353 L
s
.46373 .76974 m
.45901 .77764 L
s
.49034 .91723 m
.49623 .91626 L
s
.49742 .84465 m
.49106 .85193 L
s
.49599 .85296 m
.49742 .84465 L
s
.46195 .80859 m
.45791 .81593 L
s
.46224 .81735 m
.46195 .80859 L
s
.485 .82943 m
.48356 .81938 L
s
.48117 .83763 m
.485 .82943 L
s
.49567 .84447 m
.49326 .85131 L
s
.48867 .84821 m
.49567 .84447 L
s
.45377 .79209 m
.44808 .78398 L
s
.46007 .94043 m
.45163 .94682 L
s
.44869 .95887 m
.45146 .94857 L
s
.48458 .91199 m
.49034 .91723 L
s
.47748 .90504 m
.48458 .91199 L
s
.47314 .81598 m
.46761 .82462 L
s
.59809 .24481 m
.59682 .23957 L
s
.45764 .94287 m
.45726 .93531 L
s
.45802 .94903 m
.45764 .94287 L
s
.47645 .82507 m
.46756 .83034 L
s
.47617 .83384 m
.47645 .82507 L
s
.47115 .79998 m
.47938 .79971 L
s
.44741 .94873 m
.4493 .94292 L
s
.45273 .95706 m
.44741 .94873 L
s
.43868 .79778 m
.44744 .80317 L
s
.4404 .78749 m
.43868 .79778 L
s
.52569 .41441 m
.52544 .40611 L
s
.46212 .83818 m
.46036 .84867 L
s
.46679 .83393 m
.46212 .83818 L
s
.59915 .23262 m
.60022 .23123 L
s
.44855 .80735 m
.43879 .80775 L
s
.46163 .92952 m
.47092 .92593 L
s
.46418 .93488 m
.46163 .92952 L
s
.46253 .83456 m
.46374 .83961 L
s
.46007 .84416 m
.46253 .83456 L
s
.46835 .90321 m
.47073 .91234 L
s
.45163 .94682 m
.45273 .95706 L
s
.45527 .80815 m
.46288 .8028 L
s
.44166 .79843 m
.43965 .80504 L
s
.45349 .96141 m
.44869 .95887 L
s
.48094 .84127 m
.47617 .83384 L
s
.48149 .85036 m
.48094 .84127 L
s
.45644 .82676 m
.44816 .82014 L
s
.47243 .79044 m
.47115 .79998 L
s
.46716 .78955 m
.47243 .79044 L
s
.43984 .7955 m
.4404 .78749 L
s
.44584 .94519 m
.45212 .95078 L
s
.44487 .93976 m
.44584 .94519 L
s
.46036 .84867 m
.45041 .84859 L
s
.47073 .91234 m
.47748 .90504 L
s
.52519 .42032 m
.52482 .42045 L
s
.59702 .24398 m
.59725 .25285 L
s
.60476 .23667 m
.59702 .24398 L
s
.46761 .82462 m
.46679 .83393 L
s
.45368 .82141 m
.45217 .81452 L
s
.44713 .78182 m
.44345 .77958 L
s
.46756 .83034 m
.47271 .8315 L
s
.60338 .24441 m
.60476 .23667 L
s
.45898 .78649 m
.45377 .79209 L
s
.44744 .80317 m
.44697 .81263 L
s
.49106 .85193 m
.48149 .85036 L
s
.45317 .78541 m
.44962 .7768 L
s
.45901 .77764 m
.45898 .78649 L
s
.45791 .81593 m
.45309 .80649 L
s
.46894 .91924 m
.46833 .91074 L
s
.47092 .92593 m
.46964 .92536 L
s
.43877 .77707 m
.44826 .77782 L
s
.43568 .78458 m
.43877 .77707 L
s
.48141 .84604 m
.48117 .83763 L
s
.4492 .80877 m
.44641 .81401 L
s
.43879 .80775 m
.44166 .79843 L
s
.49371 .86338 m
.49599 .85296 L
s
.42988 .79065 m
.43583 .79394 L
s
.43622 .79091 m
.42988 .79065 L
s
.53629 .42231 m
.53131 .41534 L
s
.53122 .41852 m
.53629 .42231 L
s
.45041 .84859 m
.46007 .84416 L
s
.53578 .41421 m
.53207 .40777 L
s
.48212 .89814 m
.47663 .90602 L
s
.48007 .90822 m
.48212 .89814 L
s
.45726 .93531 m
.44761 .93933 L
s
.49381 .87024 m
.49371 .86338 L
s
.48476 .85593 m
.48867 .84821 L
s
.46972 .83373 m
.46925 .84232 L
s
.4712 .84251 m
.46972 .83373 L
s
.45399 .77904 m
.45377 .78805 L
s
.44982 .78577 m
.45399 .77904 L
s
.45845 .80905 m
.45527 .80815 L
s
.51507 .40396 m
.51641 .40038 L
s
.52544 .40611 m
.51507 .40396 L
s
.49326 .85131 m
.49873 .84897 L
s
.59725 .25285 m
.60347 .26109 L
s
.59699 .23531 m
.59809 .24481 L
s
.44962 .7768 m
.44982 .78577 L
s
.51014 .85966 m
.50193 .86617 L
s
.50894 .86892 m
.51014 .85966 L
s
.4493 .94292 m
.45802 .94903 L
s
.44826 .77782 m
.45717 .77843 L
s
.59966 .23859 m
.59087 .24444 L
s
.59638 .24702 m
.59966 .23859 L
s
.44697 .81263 m
.44457 .82073 L
s
.44761 .93933 m
.45231 .93172 L
s
.45212 .95078 m
.45349 .96141 L
s
.60891 .23522 m
.60338 .24441 L
s
.60347 .26109 m
.59657 .26148 L
s
.43255 .78911 m
.43984 .7955 L
s
.60541 .24536 m
.60891 .23522 L
s
.59863 .23713 m
.60541 .24536 L
s
.59087 .24444 m
.59863 .23713 L
s
.59586 .24046 m
.59632 .2482 L
s
.59682 .24667 m
.59586 .24046 L
s
.4733 .92068 m
.46886 .92945 L
s
.4631 .92316 m
.4733 .92068 L
s
.48286 .83556 m
.48141 .84604 L
s
.47278 .8324 m
.48286 .83556 L
s
.47637 .90526 m
.47353 .91468 L
s
.47542 .91505 m
.47637 .90526 L
s
.47965 .91763 m
.48007 .90822 L
s
.45957 .92895 m
.46418 .93488 L
s
.44053 .94388 m
.44487 .93976 L
s
.58942 .25527 m
.59246 .24984 L
s
.59632 .2482 m
.58942 .25527 L
s
.50193 .86617 m
.5044 .87191 L
s
.46374 .83961 m
.46101 .84467 L
s
.46073 .78761 m
.46716 .78955 L
s
.46925 .84232 m
.47278 .8324 L
s
.43857 .93751 m
.44053 .94388 L
s
.43621 .92805 m
.43857 .93751 L
s
.51268 .8654 m
.51751 .87491 L
s
.51367 .85696 m
.51268 .8654 L
s
.46688 .92833 m
.46894 .91924 L
s
.44556 .8243 m
.45368 .82141 L
s
.60022 .23123 m
.60128 .23829 L
s
.4438 .79146 m
.43568 .78458 L
s
.4637 .9125 m
.4631 .92316 L
s
.47353 .91468 m
.4637 .9125 L
s
.47663 .90602 m
.4825 .90608 L
s
.59896 .24363 m
.59512 .23435 L
s
.59588 .2362 m
.59896 .24363 L
s
.47573 .85039 m
.48476 .85593 L
s
.47065 .85704 m
.47573 .85039 L
s
.45377 .78805 m
.4438 .79146 L
s
.49481 .85773 m
.50331 .85447 L
s
.49873 .84897 m
.49481 .85773 L
s
.47271 .8315 m
.47298 .84173 L
s
.60098 .23044 m
.60105 .23993 L
s
.60128 .23829 m
.60098 .23044 L
s
.49901 .86114 m
.49381 .87024 L
s
.49473 .85347 m
.49901 .86114 L
s
.53131 .41534 m
.5336 .42016 L
s
.44345 .77958 m
.44535 .79008 L
s
.51751 .87491 m
.50894 .86892 L
s
.53078 .42167 m
.52519 .42032 L
s
.50757 .88715 m
.50723 .89656 L
s
.50098 .87878 m
.50757 .88715 L
s
.4704 .85193 m
.4712 .84251 L
s
.5044 .87191 m
.50098 .87878 L
s
.59205 .24042 m
.59638 .24702 L
s
.44535 .79008 m
.44393 .78008 L
s
.42879 .78949 m
.43255 .78911 L
s
.45231 .93172 m
.45676 .93907 L
s
.43841 .78047 m
.43622 .79091 L
s
.43924 .77956 m
.43841 .78047 L
s
.43583 .79394 m
.43585 .79894 L
s
.60646 .23066 m
.59699 .23531 L
s
.53207 .40777 m
.5343 .41303 L
s
.42667 .93082 m
.43621 .92805 L
s
.45717 .77843 m
.46073 .78761 L
s
.44641 .81401 m
.44556 .8243 L
s
.52556 .42072 m
.53122 .41852 L
s
.46964 .92536 m
.47002 .93482 L
s
.43387 .92349 m
.42667 .93082 L
s
.4335 .9328 m
.43387 .92349 L
s
.59202 .25667 m
.58919 .26232 L
s
.59531 .25271 m
.59202 .25667 L
s
.46886 .92945 m
.46603 .93833 L
s
.48012 .90552 m
.47542 .91505 L
s
.44307 .79884 m
.44831 .80379 L
s
.43585 .79894 m
.44307 .79884 L
s
.48608 .91006 m
.48012 .90552 L
s
.46726 .86276 m
.47068 .86631 L
s
.47089 .87199 m
.46726 .86276 L
s
.60105 .23993 m
.59205 .24042 L
s
.44457 .82073 m
.43658 .82104 L
s
.47298 .84173 m
.4704 .85193 L
s
.43535 .78455 m
.42879 .78949 L
s
.4386 .79389 m
.43535 .78455 L
s
.47016 .91078 m
.47239 .91826 L
s
.46298 .90626 m
.47016 .91078 L
s
.47087 .84576 m
.47635 .83892 L
s
.46101 .84467 m
.47087 .84576 L
s
.44393 .78008 m
.43782 .77141 L
s
.47239 .91826 m
.47965 .91763 L
s
.60657 .23832 m
.60646 .23066 L
s
.59512 .23435 m
.58485 .23348 L
s
.50331 .85447 m
.51367 .85696 L
s
.46226 .814 m
.45845 .80905 L
s
.43782 .77141 m
.43924 .77956 L
s
.59657 .26148 m
.60052 .26159 L
s
.5996 .22641 m
.59138 .23232 L
s
.59074 .2247 m
.5996 .22641 L
s
.45676 .93907 m
.45957 .92895 L
s
.51641 .40038 m
.52251 .40318 L
s
.47015 .86155 m
.47089 .87199 L
s
.46839 .87151 m
.47015 .86155 L
s
.47233 .87972 m
.47798 .87099 L
s
.47309 .88942 m
.47233 .87972 L
s
.5981 .25364 m
.59682 .24667 L
s
.49575 .85445 m
.49473 .85347 L
s
.47591 .92429 m
.46688 .92833 L
s
.60175 .23082 m
.60657 .23832 L
s
.59138 .23232 m
.60175 .23082 L
s
.44087 .81216 m
.43214 .80848 L
s
.43658 .82104 m
.44087 .81216 L
s
.4467 .81436 m
.44582 .81402 L
s
.43664 .81096 m
.4467 .81436 L
s
.47798 .87099 m
.48285 .86201 L
s
.47068 .86631 m
.47065 .85704 L
s
.50723 .89656 m
.50665 .90475 L
s
.58485 .23348 m
.59074 .2247 L
s
.52312 .42093 m
.52423 .41768 L
s
.5336 .42016 m
.52312 .42093 L
s
.44863 .85561 m
.44086 .85278 L
s
.45714 .86172 m
.44863 .85561 L
s
.51363 .40273 m
.51725 .40389 L
s
.52251 .40318 m
.51363 .40273 L
s
.58228 .24669 m
.58693 .23791 L
s
.59246 .24984 m
.58228 .24669 L
s
.58693 .23791 m
.59588 .2362 L
s
.46174 .91631 m
.46298 .90626 L
s
.46286 .927 m
.46174 .91631 L
s
.42934 .81866 m
.43664 .81096 L
s
.4825 .90608 m
.47881 .90032 L
s
.46734 .85558 m
.47284 .86263 L
s
.47151 .84786 m
.46734 .85558 L
s
.49176 .84662 m
.49342 .85317 L
s
.48551 .85517 m
.49176 .84662 L
s
.47002 .93482 m
.46286 .927 L
s
.43513 .8033 m
.4386 .79389 L
s
.43962 .92591 m
.4335 .9328 L
s
.48065 .92794 m
.47591 .92429 L
s
.48285 .86201 m
.48403 .85614 L
s
.59583 .27072 m
.59291 .2611 L
s
.58919 .26232 m
.59583 .27072 L
s
.58106 .23659 m
.58758 .24137 L
s
.57847 .24218 m
.58106 .23659 L
s
.46603 .93833 m
.46917 .93751 L
s
.47635 .83892 m
.47151 .84786 L
s
.48673 .90423 m
.47753 .89919 L
s
.48493 .90231 m
.48673 .90423 L
s
.46827 .86499 m
.46839 .87151 L
s
.4585 .87107 m
.45714 .86172 L
s
.49773 .90734 m
.48895 .90409 L
s
.50665 .90475 m
.49773 .90734 L
s
.52286 .41765 m
.53078 .42167 L
s
.53189 .42346 m
.52777 .42687 L
s
.5343 .41303 m
.53189 .42346 L
s
.59796 .26438 m
.5981 .25364 L
s
.59948 .27268 m
.59796 .26438 L
s
.43214 .80848 m
.42934 .81866 L
s
.47753 .89919 m
.47309 .88942 L
s
.49419 .88869 m
.49163 .88891 L
s
.48847 .88378 m
.49419 .88869 L
s
.49596 .85331 m
.48551 .85517 L
s
.52777 .42687 m
.52556 .42072 L
s
.44409 .8136 m
.43664 .81256 L
s
.44831 .80379 m
.44409 .8136 L
s
.49286 .91349 m
.48608 .91006 L
s
.47588 .92017 m
.48065 .92794 L
s
.47182 .93003 m
.47588 .92017 L
s
.49481 .85142 m
.49596 .85331 L
s
.58531 .24958 m
.57847 .24218 L
s
.58031 .256 m
.58531 .24958 L
s
.60052 .26159 m
.59531 .25271 L
s
.43664 .81256 m
.43513 .8033 L
s
.45149 .85158 m
.45175 .86177 L
s
.44086 .85278 m
.45149 .85158 L
s
.44145 .9265 m
.43962 .92591 L
s
.46771 .8074 m
.46226 .814 L
s
.59291 .2611 m
.58837 .25231 L
s
.4668 .93952 m
.47182 .93003 L
s
.48895 .90409 m
.49286 .91349 L
s
.47284 .86263 m
.47634 .87005 L
s
.46201 .88116 m
.4585 .87107 L
s
.46391 .88481 m
.46201 .88116 L
s
.49375 .89723 m
.48493 .90231 L
s
.49163 .88891 m
.49375 .89723 L
s
.6015 .27216 m
.59948 .27268 L
s
.58758 .24137 m
.58719 .24073 L
s
.47881 .90032 m
.4765 .89998 L
s
.49338 .86244 m
.49575 .85445 L
s
.52457 .42531 m
.52286 .41765 L
s
.4679 .94741 m
.4668 .93952 L
s
.51725 .40389 m
.51157 .40695 L
s
.49342 .85317 m
.49338 .86244 L
s
.44582 .81402 m
.44564 .80547 L
s
.48403 .85614 m
.48994 .85166 L
s
.46572 .87117 m
.46827 .86499 L
s
.45175 .86177 m
.46102 .86446 L
s
.52423 .41768 m
.5198 .41767 L
s
.42464 .79393 m
.42579 .79976 L
s
.42495 .7945 m
.42464 .79393 L
s
.48321 .89297 m
.48847 .88378 L
s
.43338 .79429 m
.42804 .79568 L
s
.43496 .80411 m
.43338 .79429 L
s
.45888 .88419 m
.46129 .8915 L
s
.46175 .87518 m
.45888 .88419 L
s
.60159 .2672 m
.60597 .2717 L
s
.6017 .27568 m
.60159 .2672 L
s
.48988 .84242 m
.49481 .85142 L
s
.48994 .85166 m
.48988 .84242 L
s
.45116 .87718 m
.45895 .88095 L
s
.4605 .88136 m
.45116 .87718 L
s
.58353 .24568 m
.58031 .256 L
s
.58837 .25231 m
.58269 .25176 L
s
.46917 .93751 m
.4679 .94741 L
s
.4577 .81061 m
.45422 .81307 L
s
.4583 .81134 m
.4577 .81061 L
s
.46457 .81495 m
.46771 .8074 L
s
.41859 .79461 m
.42495 .7945 L
s
.42163 .79769 m
.41859 .79461 L
s
.58269 .25176 m
.58353 .24568 L
s
.51849 .434 m
.52457 .42531 L
s
.51182 .4257 m
.51849 .434 L
s
.4765 .89998 m
.48321 .89297 L
s
.64739 .25333 m
.6423 .25786 L
s
.64935 .26181 m
.64739 .25333 L
s
.46129 .8915 m
.4605 .88136 L
s
.60164 .25814 m
.60285 .26531 L
s
.59257 .26045 m
.60164 .25814 L
s
.58591 .25113 m
.58463 .25863 L
s
.58719 .24073 m
.58591 .25113 L
s
.46102 .86446 m
.46175 .87518 L
s
.47634 .87005 m
.47569 .87919 L
s
.51469 .42618 m
.51182 .4257 L
s
.43973 .81239 m
.43496 .80411 L
s
.44564 .80547 m
.44345 .8154 L
s
.59446 .26905 m
.6017 .27568 L
s
.44321 .9358 m
.44145 .9265 L
s
.51357 .42017 m
.51469 .42618 L
s
.51345 .42808 m
.51357 .42017 L
s
.43458 .93224 m
.44321 .9358 L
s
.42757 .92921 m
.43458 .93224 L
s
.45895 .88095 m
.46567 .88042 L
s
.58777 .27721 m
.59446 .26905 L
s
.5885 .28384 m
.58777 .27721 L
s
.47389 .88881 m
.46391 .88481 L
s
.47569 .87919 m
.47389 .88881 L
s
.59259 .26626 m
.59281 .27418 L
s
.60285 .26531 m
.59259 .26626 L
s
.51157 .40695 m
.51033 .41596 L
s
.60446 .28033 m
.6015 .27216 L
s
.4356 .80758 m
.43893 .81624 L
s
.43525 .80057 m
.4356 .80758 L
s
.64986 .26817 m
.64935 .26181 L
s
.60597 .2717 m
.60446 .28033 L
s
.46567 .88042 m
.46572 .87117 L
s
.5937 .2607 m
.59257 .26045 L
s
.42579 .79976 m
.43131 .80327 L
s
.4356 .80244 m
.43973 .81239 L
s
.43173 .79331 m
.4356 .80244 L
s
.45422 .81307 m
.46457 .81495 L
s
.5198 .41767 m
.52388 .42524 L
s
.64885 .25235 m
.64787 .26182 L
s
.65156 .25937 m
.64885 .25235 L
s
.44345 .8154 m
.4383 .81699 L
s
.42804 .79568 m
.43525 .80057 L
s
.42683 .9486 m
.42766 .95909 L
s
.43341 .95056 m
.42683 .9486 L
s
.64092 .2538 m
.64114 .26182 L
s
.64087 .26327 m
.64092 .2538 L
s
.6423 .25786 m
.64304 .26588 L
s
.42912 .80523 m
.42163 .79769 L
s
.42822 .81596 m
.42912 .80523 L
s
.58463 .25863 m
.57593 .26348 L
s
.44306 .80663 m
.44863 .81585 L
s
.43893 .81624 m
.44306 .80663 L
s
.44863 .81585 m
.4583 .81134 L
s
.43558 .81998 m
.42822 .81596 L
s
.50377 .40743 m
.50136 .41203 L
s
.51033 .41596 m
.50377 .40743 L
s
.43131 .80327 m
.43173 .79331 L
s
.55326 .26742 m
.54707 .25876 L
s
.5526 .25751 m
.55326 .26742 L
s
.51682 .42854 m
.51345 .42808 L
s
.64787 .26182 m
.64638 .2685 L
s
.42766 .95909 m
.42827 .96881 L
s
.59281 .27418 m
.5885 .28384 L
s
.43726 .93349 m
.42757 .92921 L
s
.57593 .26348 m
.57831 .25342 L
s
.64046 .27077 m
.64087 .26327 L
s
.63985 .26313 m
.64046 .27077 L
s
.64638 .2685 m
.63985 .26313 L
s
.59193 .42402 m
.59249 .43172 L
s
.58772 .42293 m
.59193 .42402 L
s
.52388 .42524 m
.5238 .4287 L
s
.54707 .25876 m
.54419 .26735 L
s
.43454 .9429 m
.43726 .93349 L
s
.6552 .26846 m
.65156 .25937 L
s
.64114 .26182 m
.64986 .26817 L
s
.64304 .26588 m
.64462 .27554 L
s
.54199 .27769 m
.54361 .28175 L
s
.54419 .26735 m
.54199 .27769 L
s
.41718 .94269 m
.41957 .93421 L
s
.41046 .93465 m
.41718 .94269 L
s
.43441 .95056 m
.43462 .95958 L
s
.42934 .95607 m
.43441 .95056 L
s
.54244 .24169 m
.54315 .2458 L
s
.53448 .23635 m
.54244 .24169 L
s
.43462 .95958 m
.43341 .95056 L
s
.55477 .26742 m
.5526 .25751 L
s
.44692 .83049 m
.44489 .83861 L
s
.44388 .83989 m
.44692 .83049 L
s
.57831 .25342 m
.57855 .26096 L
s
.4383 .81699 m
.4402 .82594 L
s
.59216 .44516 m
.59221 .45366 L
s
.58678 .43903 m
.59216 .44516 L
s
.44029 .82949 m
.43558 .81998 L
s
.59417 .26775 m
.5937 .2607 L
s
.40052 .93379 m
.41046 .93465 L
s
.41768 .96672 m
.41774 .96378 L
s
.42827 .96881 m
.41768 .96672 L
s
.54428 .23931 m
.53448 .23635 L
s
.53443 .24255 m
.54428 .23931 L
s
.66366 .26637 m
.6552 .26846 L
s
.64462 .27554 m
.64346 .28423 L
s
.42124 .95722 m
.41111 .95354 L
s
.41774 .96378 m
.42124 .95722 L
s
.56211 .27051 m
.55477 .26742 L
s
.41111 .95354 m
.41113 .95189 L
s
.58132 .4149 m
.58772 .42293 L
s
.58138 .42345 m
.58132 .4149 L
s
.59249 .43172 m
.59239 .44053 L
s
.50136 .41203 m
.50833 .41811 L
s
.44489 .83861 m
.44029 .82949 L
s
.42968 .94787 m
.43454 .9429 L
s
.52901 .25078 m
.53443 .24255 L
s
.59834 .45235 m
.59544 .44637 L
s
.60045 .45619 m
.59834 .45235 L
s
.41957 .93421 m
.42895 .9374 L
s
.54103 .21782 m
.54574 .22401 L
s
.53808 .22211 m
.54103 .21782 L
s
.54931 .22751 m
.55155 .22901 L
s
.551 .23362 m
.54931 .22751 L
s
.51421 .43029 m
.51682 .42854 L
s
.41935 .95319 m
.42934 .95607 L
s
.42148 .957 m
.41935 .95319 L
s
.54329 .26295 m
.53709 .25605 L
s
.54186 .27269 m
.54329 .26295 L
s
.40035 .94335 m
.40052 .93379 L
s
.447 .8328 m
.44388 .83989 L
s
.58441 .21067 m
.58838 .20753 L
s
.57577 .2115 m
.58441 .21067 L
s
.41019 .94248 m
.40035 .94335 L
s
.41113 .95189 m
.41019 .94248 L
s
.5238 .4287 m
.52114 .43514 L
s
.59221 .45366 m
.60045 .45619 L
s
.4402 .82594 m
.447 .8328 L
s
.57855 .26096 m
.56827 .26154 L
s
.59394 .24344 m
.5846 .24698 L
s
.59248 .2528 m
.59394 .24344 L
s
.53709 .25605 m
.52901 .25078 L
s
.64346 .28423 m
.63787 .27496 L
s
.58613 .45409 m
.58224 .44407 L
s
.58249 .4479 m
.58613 .45409 L
s
.54361 .28175 m
.5416 .27193 L
s
.58741 .44152 m
.58678 .43903 L
s
.55021 .25405 m
.55403 .24383 L
s
.54315 .2458 m
.55021 .25405 L
s
.58964 .25785 m
.59417 .26775 L
s
.50833 .41811 m
.50951 .4209 L
s
.42895 .9374 m
.42968 .94787 L
s
.54947 .26491 m
.54186 .27269 L
s
.66181 .27456 m
.66366 .26637 L
s
.62204 .28788 m
.62191 .27706 L
s
.6326 .28696 m
.62204 .28788 L
s
.59239 .44053 m
.58741 .44152 L
s
.63787 .27496 m
.6368 .28317 L
s
.57944 .25429 m
.58964 .25785 L
s
.57046 .25027 m
.57944 .25429 L
s
.57756 .42626 m
.58138 .42345 L
s
.53106 .43116 m
.53598 .42917 L
s
.53105 .43945 m
.53106 .43116 L
s
.55403 .24383 m
.551 .23362 L
s
.58224 .44407 m
.58649 .43677 L
s
.6236 .24906 m
.6165 .2569 L
s
.62418 .25683 m
.6236 .24906 L
s
.55419 .25567 m
.54947 .26491 L
s
.56827 .26154 m
.56211 .27051 L
s
.54758 .26381 m
.55419 .25567 L
s
.5416 .27193 m
.54758 .26381 L
s
.63175 .27181 m
.6267 .27092 L
s
.62483 .26345 m
.63175 .27181 L
s
.5846 .24698 m
.57539 .24206 L
s
.32882 .86539 m
.33274 .87541 L
s
.32099 .8595 m
.32882 .86539 L
s
.6165 .2569 m
.60989 .25925 L
s
.57222 .21194 m
.57279 .21685 L
s
.56276 .21607 m
.57222 .21194 L
s
.54572 .22975 m
.53808 .22211 L
s
.54387 .22262 m
.54572 .22975 L
s
.60111 .25294 m
.59248 .2528 L
s
.62191 .27706 m
.62484 .27247 L
s
.54574 .22401 m
.55512 .22505 L
s
.62059 .25403 m
.62483 .26345 L
s
.62445 .27979 m
.6326 .28696 L
s
.57279 .21685 m
.57577 .2115 L
s
.62782 .28891 m
.62445 .27979 L
s
.4183 .94667 m
.42148 .957 L
s
.42085 .94486 m
.4183 .94667 L
s
.59544 .44637 m
.59071 .45492 L
s
.57639 .24482 m
.57285 .2522 L
s
.57966 .24399 m
.57639 .24482 L
s
.33274 .87541 m
.3356 .86799 L
s
.56259 .22327 m
.56276 .21607 L
s
.37688 .90416 m
.38545 .90508 L
s
.37095 .89717 m
.37688 .90416 L
s
.57975 .24479 m
.57046 .25027 L
s
.62697 .26589 m
.62056 .26229 L
s
.62484 .27247 m
.62697 .26589 L
s
.57539 .24206 m
.57529 .25033 L
s
.66763 .28373 m
.66181 .27456 L
s
.66805 .29218 m
.66763 .28373 L
s
.66597 .29372 m
.66725 .28299 L
s
.66588 .3042 m
.66597 .29372 L
s
.59486 .4291 m
.59225 .43192 L
s
.58628 .43351 m
.59486 .4291 L
s
.52114 .43514 m
.53105 .43945 L
s
.31395 .87066 m
.32244 .86715 L
s
.32384 .87507 m
.31395 .87066 L
s
.6368 .28317 m
.62782 .28891 L
s
.55155 .22901 m
.54387 .22262 L
s
.50951 .4209 m
.51421 .43029 L
s
.65705 .30115 m
.65698 .31054 L
s
.65188 .30005 m
.65705 .30115 L
s
.34592 .86661 m
.34603 .87654 L
s
.3356 .86799 m
.34592 .86661 L
s
.32365 .84922 m
.32099 .8595 L
s
.31635 .88206 m
.32384 .87507 L
s
.58299 .42401 m
.58628 .43351 L
s
.58291 .41347 m
.58299 .42401 L
s
.65418 .28275 m
.65206 .29312 L
s
.65954 .28927 m
.65418 .28275 L
s
.58838 .20753 m
.5882 .21558 L
s
.59071 .45492 m
.58249 .4479 L
s
.62056 .26229 m
.62059 .25403 L
s
.61812 .26422 m
.62418 .25683 L
s
.66484 .30572 m
.66588 .3042 L
s
.57982 .25382 m
.57975 .24479 L
s
.56159 .2338 m
.56259 .22327 L
s
.55512 .22505 m
.56159 .2338 L
s
.58649 .43677 m
.5967 .43629 L
s
.32638 .85166 m
.32365 .84922 L
s
.65206 .29312 m
.65188 .30005 L
s
.66725 .28299 m
.66635 .289 L
s
.60284 .42201 m
.60577 .43226 L
s
.60894 .41319 m
.60284 .42201 L
s
.60989 .25925 m
.60111 .25294 L
s
.40325 .90073 m
.39629 .90886 L
s
.39379 .90387 m
.40325 .90073 L
s
.57263 .43473 m
.57756 .42626 L
s
.53598 .42917 m
.54539 .42798 L
s
.31633 .87115 m
.31635 .88206 L
s
.30758 .86587 m
.31633 .87115 L
s
.57285 .2522 m
.57239 .25929 L
s
.58362 .4213 m
.58291 .41347 L
s
.36973 .88986 m
.37095 .89717 L
s
.35197 .89661 m
.34921 .9072 L
s
.35143 .89913 m
.35197 .89661 L
s
.60577 .43226 m
.59929 .42506 L
s
.70617 .32189 m
.71399 .31773 L
s
.7045 .31987 m
.70617 .32189 L
s
.6267 .27092 m
.61812 .26422 L
s
.32244 .86715 m
.32685 .86987 L
s
.58244 .20689 m
.58016 .21669 L
s
.5882 .21558 m
.58244 .20689 L
s
.65698 .31054 m
.66484 .30572 L
s
.38545 .90508 m
.37592 .90848 L
s
.57529 .25033 m
.57986 .25245 L
s
.66525 .29968 m
.66805 .29218 L
s
.34921 .9072 m
.35603 .90353 L
s
.60904 .4214 m
.60894 .41319 L
s
.5967 .43629 m
.58898 .44287 L
s
.39375 .92298 m
.40132 .91965 L
s
.39248 .92315 m
.39375 .92298 L
s
.34603 .87654 m
.34834 .88619 L
s
.35727 .89924 m
.35454 .9082 L
s
.35625 .90427 m
.35727 .89924 L
s
.57239 .25929 m
.57982 .25382 L
s
.36485 .90954 m
.37007 .90546 L
s
.3607 .90008 m
.36485 .90954 L
s
.39629 .90886 m
.40337 .91204 L
s
.66482 .29794 m
.65954 .28927 L
s
.7326 .29538 m
.72298 .30003 L
s
.73964 .3032 m
.7326 .29538 L
s
.57645 .22381 m
.57517 .22437 L
s
.57047 .21564 m
.57645 .22381 L
s
.42003 .93684 m
.42085 .94486 L
s
.37973 .89825 m
.38889 .90415 L
s
.37592 .90848 m
.37973 .89825 L
s
.35383 .90569 m
.35143 .89913 L
s
.34819 .89686 m
.35383 .90569 L
s
.38889 .90415 m
.39229 .91453 L
s
.56907 .43801 m
.57263 .43473 L
s
.30295 .87229 m
.30758 .86587 L
s
.58016 .21669 m
.57047 .21564 L
s
.57493 .2348 m
.57966 .24399 L
s
.72298 .30003 m
.7168 .30052 L
s
.40205 .90424 m
.39379 .90387 L
s
.61191 .42579 m
.61435 .43271 L
s
.60688 .42889 m
.61191 .42579 L
s
.36157 .90022 m
.36084 .90985 L
s
.35454 .9082 m
.36157 .90022 L
s
.39229 .91453 m
.39248 .92315 L
s
.36084 .90985 m
.3607 .90008 L
s
.58898 .44287 m
.58867 .44998 L
s
.54539 .42798 m
.55042 .43693 L
s
.59225 .43192 m
.59396 .42422 L
s
.74005 .312 m
.73964 .3032 L
s
.59929 .42506 m
.59701 .41453 L
s
.34834 .88619 m
.34819 .89686 L
s
.67425 .29476 m
.66482 .29794 L
s
.56103 .43577 m
.55169 .43844 L
s
.55042 .43693 m
.56103 .43577 L
s
.66635 .289 m
.66525 .29968 L
s
.58727 .42122 m
.58362 .4213 L
s
.36734 .89985 m
.36973 .88986 L
s
.74054 .31188 m
.74382 .32211 L
s
.7357 .30827 m
.74054 .31188 L
s
.61485 .423 m
.61459 .43034 L
s
.61435 .43271 m
.61485 .423 L
s
.71399 .31773 m
.72105 .31603 L
s
.42805 .94379 m
.42003 .93684 L
s
.4265 .94522 m
.42805 .94379 L
s
.32523 .86185 m
.32638 .85166 L
s
.59701 .41453 m
.59309 .40438 L
s
.40132 .91965 m
.39948 .91036 L
s
.35603 .90353 m
.36144 .91302 L
s
.6074 .42748 m
.60904 .4214 L
s
.74382 .32211 m
.74005 .312 L
s
.68077 .47186 m
.68568 .47805 L
s
.67657 .48187 m
.68077 .47186 L
s
.36144 .91302 m
.35625 .90427 L
s
.57472 .24328 m
.57493 .2348 L
s
.69611 .31049 m
.69578 .31896 L
s
.69684 .32095 m
.69611 .31049 L
s
.67418 .49196 m
.67657 .48187 L
s
.70559 .28379 m
.71032 .28643 L
s
.70841 .29428 m
.70559 .28379 L
s
.7168 .30052 m
.70841 .29428 L
s
.64237 .49043 m
.643 .49741 L
s
.6438 .49786 m
.64237 .49043 L
s
.59309 .40438 m
.58687 .41324 L
s
.70162 .48181 m
.70503 .4719 L
s
.69153 .48365 m
.70162 .48181 L
s
.37007 .90546 m
.37561 .90291 L
s
.32685 .86987 m
.33143 .86813 L
s
.40337 .91204 m
.40333 .92216 L
s
.57986 .25245 m
.57472 .24328 L
s
.58687 .41324 m
.58727 .42122 L
s
.69583 .32586 m
.69684 .32095 L
s
.55169 .43844 m
.55478 .4488 L
s
.69409 .31917 m
.7045 .31987 L
s
.40183 .91383 m
.40205 .90424 L
s
.54217 .43049 m
.54387 .43582 L
s
.552 .43329 m
.54217 .43049 L
s
.66731 .30062 m
.67425 .29476 L
s
.67431 .50003 m
.67418 .49196 L
s
.31064 .87556 m
.30295 .87229 L
s
.55478 .4488 m
.55727 .43902 L
s
.66552 .48259 m
.6721 .49125 L
s
.6559 .48289 m
.66552 .48259 L
s
.58682 .46831 m
.58819 .47766 L
s
.58256 .47709 m
.58682 .46831 L
s
.57055 .43892 m
.5652 .44808 L
s
.56489 .44686 m
.57055 .43892 L
s
.37561 .90291 m
.36734 .89985 L
s
.59923 .4404 m
.60784 .43444 L
s
.59981 .4469 m
.59923 .4404 L
s
.39948 .91036 m
.40781 .90459 L
s
.68412 .49139 m
.69153 .48365 L
s
.58867 .44998 m
.59576 .45801 L
s
.33143 .86813 m
.32523 .86185 L
s
.5652 .44808 m
.56907 .43801 L
s
.6721 .49125 m
.67431 .50003 L
s
.60874 .43464 m
.60688 .42889 L
s
.70503 .4719 m
.70581 .46872 L
s
.59396 .42422 m
.6037 .42596 L
s
.69706 .32332 m
.69409 .31917 L
s
.58399 .4563 m
.58682 .45247 L
s
.58277 .46422 m
.58399 .4563 L
s
.57517 .22437 m
.58282 .21746 L
s
.59691 .42549 m
.6074 .42748 L
s
.59824 .43313 m
.59691 .42549 L
s
.56326 .44326 m
.57079 .44011 L
s
.55286 .44096 m
.56326 .44326 L
s
.68298 .49627 m
.68412 .49139 L
s
.59576 .45801 m
.59346 .45947 L
s
.69578 .31896 m
.69703 .32569 L
s
.55306 .43972 m
.552 .43329 L
s
.61459 .43034 m
.61171 .42752 L
s
.6106 .42648 m
.60874 .43464 L
s
.61008 .43259 m
.6106 .42648 L
s
.40333 .92216 m
.41082 .92959 L
s
.40781 .90459 m
.40183 .91383 L
s
.68568 .47805 m
.68106 .4869 L
s
.60784 .43444 m
.59817 .43733 L
s
.72857 .30408 m
.7357 .30827 L
s
.58688 .4675 m
.58256 .47709 L
s
.55727 .43902 m
.56489 .44686 L
s
.72105 .31603 m
.72833 .31053 L
s
.67487 .29535 m
.66731 .30062 L
s
.54387 .43582 m
.55286 .44096 L
s
.58142 .44473 m
.58565 .45016 L
s
.58954 .44127 m
.58142 .44473 L
s
.65724 .48583 m
.6559 .48289 L
s
.64384 .50669 m
.6438 .49786 L
s
.58819 .47766 m
.58875 .46839 L
s
.5654 .43094 m
.56199 .43806 L
s
.56663 .43651 m
.5654 .43094 L
s
.643 .49741 m
.64749 .49089 L
s
.5856 .44232 m
.58738 .43171 L
s
.58565 .45016 m
.5856 .44232 L
s
.6037 .42596 m
.61008 .43259 L
s
.19012 .86393 m
.19146 .8722 L
s
.18941 .87316 m
.19012 .86393 L
s
.71032 .28643 m
.70636 .29264 L
s
.42328 .95232 m
.4265 .94522 L
s
.30014 .87326 m
.31064 .87556 L
s
.58282 .21746 m
.57668 .21348 L
s
.29028 .87654 m
.30014 .87326 L
s
.29047 .885 m
.29028 .87654 L
s
.41082 .92959 m
.41926 .92311 L
s
.58549 .47191 m
.57986 .47106 L
s
.58624 .48032 m
.58549 .47191 L
s
.59576 .42859 m
.59193 .41951 L
s
.59711 .43483 m
.59576 .42859 L
s
.59817 .43733 m
.59955 .44576 L
s
.68106 .4869 m
.6839 .49604 L
s
.69429 .33445 m
.69583 .32586 L
s
.58025 .46256 m
.58688 .4675 L
s
.28736 .87617 m
.29047 .885 L
s
.28995 .88622 m
.28736 .87617 L
s
.59873 .45363 m
.59981 .4469 L
s
.58738 .43171 m
.59824 .43313 L
s
.57986 .47106 m
.58277 .46422 L
s
.41926 .92311 m
.42587 .93176 L
s
.5923 .44965 m
.59873 .45363 L
s
.59346 .45947 m
.5923 .44965 L
s
.57881 .21277 m
.58371 .21617 L
s
.58737 .2159 m
.57881 .21277 L
s
.62557 .50674 m
.6259 .49662 L
s
.63612 .50619 m
.62557 .50674 L
s
.58974 .42978 m
.59622 .43671 L
s
.58964 .43819 m
.58974 .42978 L
s
.63155 .52458 m
.62304 .52761 L
s
.6294 .51564 m
.63155 .52458 L
s
.57079 .44011 m
.56898 .44891 L
s
.65994 .30368 m
.6643 .30532 L
s
.66528 .31059 m
.65994 .30368 L
s
.69703 .32569 m
.70491 .32489 L
s
.68713 .30327 m
.68038 .30709 L
s
.69665 .29961 m
.68713 .30327 L
s
.66496 .29068 m
.67487 .29535 L
s
.65655 .29641 m
.66496 .29068 L
s
.70491 .32489 m
.69706 .32332 L
s
.63999 .52272 m
.63855 .51275 L
s
.63766 .52372 m
.63999 .52272 L
s
.42587 .93176 m
.42643 .94168 L
s
.71968 .30595 m
.72857 .30408 L
s
.64418 .49576 m
.64384 .50669 L
s
.55958 .44284 m
.55306 .43972 L
s
.58875 .46839 m
.58678 .4601 L
s
.59165 .45089 m
.58954 .44127 L
s
.67483 .49856 m
.68298 .49627 L
s
.72833 .31053 m
.71968 .30595 L
s
.58682 .45247 m
.59098 .4423 L
s
.70581 .46872 m
.71101 .47302 L
s
.56199 .43806 m
.56291 .44578 L
s
.63368 .51463 m
.63612 .50619 L
s
.64015 .50008 m
.64418 .49576 L
s
.59193 .41951 m
.59247 .42822 L
s
.70043 .45492 m
.69572 .44889 L
s
.69959 .45547 m
.70043 .45492 L
s
.2811 .89159 m
.28995 .88622 L
s
.6839 .49604 m
.67483 .49856 L
s
.59098 .4423 m
.58922 .44609 L
s
.18488 .87403 m
.18941 .87316 L
s
.61171 .42752 m
.61692 .43356 L
s
.70636 .29264 m
.70144 .29157 L
s
.69489 .34193 m
.69429 .33445 L
s
.64749 .49089 m
.65724 .48583 L
s
.6259 .49662 m
.61746 .50308 L
s
.59377 .48695 m
.58624 .48032 L
s
.63402 .53109 m
.63766 .52372 L
s
.63562 .53557 m
.63402 .53109 L
s
.65545 .30053 m
.65655 .29641 L
s
.19146 .8722 m
.18824 .87917 L
s
.59955 .44576 m
.59707 .45408 L
s
.56693 .44229 m
.56663 .43651 L
s
.59622 .43671 m
.59852 .44276 L
s
.7063 .45659 m
.70555 .46397 L
s
.70739 .46503 m
.7063 .45659 L
s
.57668 .21348 m
.58737 .2159 L
s
.58027 .43767 m
.57361 .43862 L
s
.58199 .42876 m
.58027 .43767 L
s
.71023 .47117 m
.70155 .46501 L
s
.70555 .46397 m
.71023 .47117 L
s
.42887 .95265 m
.42328 .95232 L
s
.6276 .51373 m
.62924 .52452 L
s
.63855 .51275 m
.6276 .51373 L
s
.57598 .46976 m
.58025 .46256 L
s
.62304 .52761 m
.62748 .53551 L
s
.56898 .44891 m
.56862 .45736 L
s
.43473 .94859 m
.42887 .95265 L
s
.42643 .94168 m
.43473 .94859 L
s
.67524 .30621 m
.66528 .31059 L
s
.6843 .30622 m
.67524 .30621 L
s
.58922 .44609 m
.58964 .43819 L
s
.63293 .51523 m
.6294 .51564 L
s
.18893 .8802 m
.18488 .87403 L
s
.19043 .89063 m
.18893 .8802 L
s
.58678 .4601 m
.59165 .45089 L
s
.69215 .33299 m
.69489 .34193 L
s
.68161 .33083 m
.69215 .33299 L
s
.59852 .44276 m
.59711 .43483 L
s
.61746 .50308 m
.61771 .5117 L
s
.70144 .29157 m
.69665 .29961 L
s
.62924 .52452 m
.63368 .51463 L
s
.62638 .51432 m
.63627 .5103 L
s
.61771 .5117 m
.62638 .51432 L
s
.56891 .47161 m
.5699 .47394 L
s
.57537 .46596 m
.56891 .47161 L
s
.18036 .88677 m
.18754 .88191 L
s
.17837 .89508 m
.18036 .88677 L
s
.65551 .29203 m
.65545 .30053 L
s
.65133 .29716 m
.65551 .29203 L
s
.58371 .21617 m
.57495 .21707 L
s
.70155 .46501 m
.70185 .46452 L
s
.68421 .33194 m
.68161 .33083 L
s
.68038 .30709 m
.6709 .30509 L
s
.20547 .89171 m
.20755 .89917 L
s
.19486 .89288 m
.20547 .89171 L
s
.28604 .90143 m
.2811 .89159 L
s
.5912 .49393 m
.59377 .48695 L
s
.27898 .90871 m
.28604 .90143 L
s
.59247 .42822 m
.58199 .42876 L
s
.71027 .47139 m
.7163 .47385 L
s
.69964 .47 m
.71027 .47139 L
s
.56788 .43121 m
.57354 .42227 L
s
.5697 .43823 m
.56788 .43121 L
s
.56609 .4447 m
.55958 .44284 L
s
.56291 .44578 m
.55552 .43984 L
s
.63627 .5103 m
.64015 .50008 L
s
.18983 .89721 m
.19043 .89063 L
s
.58477 .47413 m
.59248 .47765 L
s
.58869 .46889 m
.58477 .47413 L
s
.6643 .30532 m
.66521 .29733 L
s
.59707 .45408 m
.58871 .46083 L
s
.69572 .44889 m
.69542 .45758 L
s
.61692 .43356 m
.62027 .43827 L
s
.70486 .47221 m
.69964 .47 L
s
.71101 .47302 m
.71599 .46947 L
s
.70604 .47487 m
.70739 .46503 L
s
.62893 .54409 m
.63562 .53557 L
s
.62463 .55343 m
.62893 .54409 L
s
.57473 .23327 m
.5764 .23063 L
s
.57538 .22418 m
.57473 .23327 L
s
.62748 .53551 m
.63143 .5439 L
s
.56862 .45736 m
.5686 .45432 L
s
.56624 .46607 m
.57598 .46976 L
s
.69794 .45675 m
.69888 .46423 L
s
.70185 .46452 m
.69794 .45675 L
s
.58871 .46083 m
.58869 .46889 L
s
.18763 .89031 m
.19486 .89288 L
s
.68411 .3093 m
.6843 .30622 L
s
.65634 .29499 m
.65666 .30322 L
s
.66521 .29733 m
.65634 .29499 L
s
.70838 .48537 m
.70604 .47487 L
s
.705 .47811 m
.70838 .48537 L
s
.6709 .30509 m
.68078 .30112 L
s
.57826 .4445 m
.57702 .43377 L
s
.57358 .45204 m
.57826 .4445 L
s
.57254 .21641 m
.57538 .22418 L
s
.569 .22556 m
.57254 .21641 L
s
.18754 .88191 m
.18763 .89031 L
s
.18824 .87917 m
.18578 .88951 L
s
.56229 .44831 m
.56908 .45697 L
s
.55552 .43984 m
.56229 .44831 L
s
.5664 .43328 m
.56693 .44229 L
s
.57354 .42227 m
.56838 .42259 L
s
.56908 .45697 m
.57537 .46596 L
s
.57361 .43862 m
.56609 .4447 L
s
.69888 .46423 m
.69959 .45547 L
s
.57495 .21707 m
.569 .22556 L
s
.62185 .53259 m
.62041 .5433 L
s
.6199 .53934 m
.62185 .53259 L
s
.62499 .52271 m
.63293 .51523 L
s
.62256 .52134 m
.62499 .52271 L
s
.27832 .91856 m
.27898 .90871 L
s
.57766 .48364 m
.5775 .49266 L
s
.58113 .49302 m
.57766 .48364 L
s
.62041 .5433 m
.62463 .55343 L
s
.65414 .31117 m
.64827 .31685 L
s
.64824 .31493 m
.65414 .31117 L
s
.57011 .4764 m
.56624 .46607 L
s
.57979 .47788 m
.57011 .4764 L
s
.68501 .39137 m
.69051 .38383 L
s
.6901 .38308 m
.68501 .39137 L
s
.17886 .89427 m
.17837 .89508 L
s
.55932 .45224 m
.56114 .46021 L
s
.56058 .45921 m
.55932 .45224 L
s
.65328 .30798 m
.65133 .29716 L
s
.57702 .43377 m
.58451 .43283 L
s
.6535 .31598 m
.65328 .30798 L
s
.58642 .49999 m
.5912 .49393 L
s
.19188 .8865 m
.18983 .89721 L
s
.19591 .88836 m
.19188 .8865 L
s
.20755 .89917 m
.20178 .89759 L
s
.62019 .50402 m
.61603 .50165 L
s
.62148 .51312 m
.62019 .50402 L
s
.56258 .45132 m
.57001 .44686 L
s
.56114 .46021 m
.56258 .45132 L
s
.68078 .30112 m
.68411 .3093 L
s
.61079 .30879 m
.61365 .30345 L
s
.61695 .30832 m
.61079 .30879 L
s
.65263 .30849 m
.65342 .31637 L
s
.64827 .31685 m
.65263 .30849 L
s
.56729 .22792 m
.57062 .22936 L
s
.5764 .23063 m
.56729 .22792 L
s
.69542 .45758 m
.6962 .45306 L
s
.59248 .47765 m
.5827 .47946 L
s
.5699 .47394 m
.57979 .47788 L
s
.57001 .44686 m
.5697 .43823 L
s
.18578 .88951 m
.17886 .89427 L
s
.63143 .5439 m
.63579 .552 L
s
.59693 .50567 m
.59149 .50935 L
s
.58634 .50696 m
.59693 .50567 L
s
.6172 .52252 m
.62148 .51312 L
s
.61771 .52225 m
.6172 .52252 L
s
.7163 .47385 m
.71449 .48266 L
s
.69101 .33804 m
.68421 .33194 L
s
.62049 .52116 m
.61771 .52225 L
s
.61921 .52737 m
.62049 .52116 L
s
.56692 .4225 m
.5664 .43328 L
s
.56752 .4146 m
.56692 .4225 L
s
.647 .32452 m
.6535 .31598 L
s
.65342 .31637 m
.647 .32452 L
s
.59746 .48158 m
.59965 .48795 L
s
.5908 .48292 m
.59746 .48158 L
s
.56936 .46156 m
.57358 .45204 L
s
.65666 .30322 m
.66069 .29773 L
s
.62264 .50634 m
.61636 .51434 L
s
.61603 .50165 m
.62264 .50634 L
s
.58417 .48769 m
.58113 .49302 L
s
.1899 .87662 m
.18401 .88571 L
s
.19376 .88601 m
.1899 .87662 L
s
.57945 .50171 m
.57656 .49981 L
s
.58886 .50141 m
.57945 .50171 L
s
.68959 .38789 m
.68956 .37855 L
s
.68792 .39049 m
.68959 .38789 L
s
.58274 .49655 m
.58634 .50696 L
s
.58129 .49638 m
.58274 .49655 L
s
.27218 .91654 m
.27799 .90788 L
s
.27808 .92232 m
.27218 .91654 L
s
.62027 .43827 m
.62595 .44267 L
s
.62203 .51147 m
.62256 .52134 L
s
.61998 .52026 m
.62203 .51147 L
s
.71449 .48266 m
.705 .47811 L
s
.70759 .44607 m
.70082 .44069 L
s
.69688 .444 m
.70759 .44607 L
s
.27799 .90788 m
.27832 .91856 L
s
.69545 .47739 m
.70486 .47221 L
s
.62634 .30831 m
.61695 .30832 L
s
.63011 .3153 m
.62634 .30831 L
s
.71599 .46947 m
.71759 .47731 L
s
.5885 .49169 m
.58886 .50141 L
s
.5775 .49266 m
.5885 .49169 L
s
.56581 .47571 m
.56241 .4685 L
s
.5684 .48546 m
.56581 .47571 L
s
.60654 .48153 m
.60421 .49074 L
s
.61681 .48267 m
.60654 .48153 L
s
.22847 .90938 m
.2351 .91813 L
s
.22661 .91824 m
.22847 .90938 L
s
.69639 .38279 m
.6901 .38308 L
s
.6962 .45306 m
.69688 .444 L
s
.5827 .47946 m
.58417 .48769 L
s
.56275 .47038 m
.56936 .46156 L
s
.69051 .38383 m
.68792 .39049 L
s
.57342 .46902 m
.56275 .47038 L
s
.62532 .54843 m
.6199 .53934 L
s
.62854 .46007 m
.63186 .46987 L
s
.6288 .45274 m
.62854 .46007 L
s
.69412 .47228 m
.69545 .47739 L
s
.62404 .29697 m
.62849 .30673 L
s
.62435 .30532 m
.62404 .29697 L
s
.61636 .51434 m
.62331 .51816 L
s
.65069 .31353 m
.64824 .31493 L
s
.5686 .45432 m
.5755 .45901 L
s
.56838 .42259 m
.56086 .43005 L
s
.2351 .91813 m
.24417 .91577 L
s
.59149 .50935 m
.58642 .49999 L
s
.56241 .4685 m
.56058 .45921 L
s
.18401 .88571 m
.18698 .8945 L
s
.63579 .552 m
.63068 .55483 L
s
.19183 .87943 m
.18701 .8882 L
s
.1878 .88917 m
.19183 .87943 L
s
.58451 .43283 m
.58615 .43284 L
s
.60501 .49721 m
.61107 .50432 L
s
.59965 .48795 m
.60501 .49721 L
s
.19096 .88959 m
.19376 .88601 L
s
.69499 .33962 m
.69101 .33804 L
s
.62849 .30673 m
.63254 .31288 L
s
.65434 .29256 m
.65393 .29993 L
s
.64661 .29702 m
.65434 .29256 L
s
.21788 .91316 m
.22661 .91824 L
s
.20846 .91032 m
.21788 .91316 L
s
.56998 .49163 m
.5684 .48546 L
s
.63115 .27921 m
.63066 .28672 L
s
.63304 .27253 m
.63115 .27921 L
s
.5755 .45901 m
.57342 .46902 L
s
.62109 .47245 m
.61681 .48267 L
s
.63068 .55483 m
.62532 .54843 L
s
.56086 .43005 m
.57079 .42518 L
s
.68827 .33839 m
.68745 .34695 L
s
.68578 .3304 m
.68827 .33839 L
s
.63186 .46987 m
.62109 .47245 L
s
.70389 .27097 m
.70747 .27736 L
s
.70538 .27715 m
.70389 .27097 L
s
.18698 .8945 m
.19591 .88836 L
s
.68196 .37053 m
.68349 .36477 L
s
.68956 .37855 m
.68196 .37053 L
s
.64269 .31494 m
.64213 .31629 L
s
.64651 .30764 m
.64269 .31494 L
s
.20178 .89759 m
.20207 .9068 L
s
.18312 .8829 m
.17715 .8901 L
s
.1729 .88056 m
.18312 .8829 L
s
.62173 .5288 m
.61998 .52026 L
s
.60421 .49074 m
.59377 .49422 L
s
.70808 .42046 m
.71076 .42103 L
s
.70348 .42911 m
.70808 .42046 L
s
.61365 .30345 m
.62435 .30532 L
s
.65012 .30568 m
.65069 .31353 L
s
.65178 .30856 m
.65012 .30568 L
s
.57079 .42518 m
.56752 .4146 L
s
.71485 .48806 m
.7151 .49578 L
s
.71759 .47731 m
.71485 .48806 L
s
.64308 .28469 m
.651 .28331 L
s
.63939 .28403 m
.64308 .28469 L
s
.59448 .4932 m
.5908 .48292 L
s
.70082 .44069 m
.69822 .45064 L
s
.59377 .49422 m
.59027 .5014 L
s
.57062 .22936 m
.57 .22905 L
s
.62004 .53018 m
.61921 .52737 L
s
.27305 .91948 m
.27808 .92232 L
s
.69621 .3374 m
.69987 .34537 L
s
.6924 .34339 m
.69621 .3374 L
s
.6269 .32306 m
.63011 .3153 L
s
.69584 .35144 m
.6924 .34339 L
s
.68976 .35142 m
.69584 .35144 L
s
.24417 .91577 m
.25302 .91898 L
s
.65179 .27866 m
.644 .27254 L
s
.64679 .28495 m
.65179 .27866 L
s
.6405 .29236 m
.64584 .30112 L
s
.63158 .29067 m
.6405 .29236 L
s
.66069 .29773 m
.65295 .29384 L
s
.73271 .44491 m
.72869 .45363 L
s
.72531 .44544 m
.73271 .44491 L
s
.62595 .44267 m
.62647 .45045 L
s
.59107 .48533 m
.59448 .4932 L
s
.59148 .47709 m
.59107 .48533 L
s
.58758 .46685 m
.59148 .47709 L
s
.17715 .8901 m
.1878 .88917 L
s
.63566 .2982 m
.63001 .30227 L
s
.62601 .29274 m
.63566 .2982 L
s
.62807 .3027 m
.62601 .29274 L
s
.64226 .28295 m
.6354 .28932 L
s
.6532 .28472 m
.64226 .28295 L
s
.65295 .29384 m
.6532 .28472 L
s
.61107 .50432 m
.61111 .5124 L
s
.57656 .49981 m
.56998 .49163 L
s
.70083 .4399 m
.70348 .42911 L
s
.69822 .45064 m
.70083 .4399 L
s
.18701 .8882 m
.19766 .8891 L
s
.62331 .51816 m
.62173 .5288 L
s
.65332 .29296 m
.64661 .29702 L
s
.53113 .21307 m
.54042 .21777 L
s
.52877 .21029 m
.53113 .21307 L
s
.63704 .32098 m
.6269 .32306 L
s
.63393 .32252 m
.63704 .32098 L
s
.59031 .50118 m
.58129 .49638 L
s
.17305 .87883 m
.1729 .88056 L
s
.20709 .91342 m
.20846 .91032 L
s
.58182 .46078 m
.58758 .46685 L
s
.69968 .39089 m
.69639 .38279 L
s
.62238 .45981 m
.6288 .45274 L
s
.59099 .49098 m
.59031 .50118 L
s
.59027 .5014 m
.59099 .49098 L
s
.5839 .4527 m
.58182 .46078 L
s
.58031 .44224 m
.5839 .4527 L
s
.68745 .34695 m
.69545 .34385 L
s
.64584 .30112 m
.65178 .30856 L
s
.19766 .8891 m
.19363 .87911 L
s
.63254 .31288 m
.62807 .3027 L
s
.63066 .28672 m
.62854 .29381 L
s
.65393 .29993 m
.64651 .30764 L
s
.69105 .47783 m
.69412 .47228 L
s
.58615 .43284 m
.58031 .44224 L
s
.20207 .9068 m
.2118 .90395 L
s
.72869 .45363 m
.72294 .44698 L
s
.25302 .91898 m
.26306 .9143 L
s
.644 .27254 m
.63304 .27253 L
s
.26306 .9143 m
.26314 .92473 L
s
.70747 .27736 m
.71764 .27468 L
s
.62175 .29593 m
.63158 .29067 L
s
.63001 .30227 m
.62175 .29593 L
s
.68398 .33022 m
.68578 .3304 L
s
.69987 .34537 m
.70212 .35474 L
s
.54042 .21777 m
.5423 .22223 L
s
.70595 .28512 m
.70538 .27715 L
s
.19363 .87911 m
.18416 .88516 L
s
.70543 .40984 m
.70733 .39892 L
s
.70477 .41975 m
.70543 .40984 L
s
.64901 .29264 m
.64679 .28495 L
s
.7151 .49578 m
.71142 .48728 L
s
.70442 .33362 m
.69499 .33962 L
s
.56822 .21095 m
.56868 .20341 L
s
.56803 .21825 m
.56822 .21095 L
s
.6354 .28932 m
.63891 .29742 L
s
.19571 .88434 m
.19096 .88959 L
s
.651 .28331 m
.65332 .29296 L
s
.62835 .28399 m
.63939 .28403 L
s
.62854 .29381 m
.62835 .28399 L
s
.68349 .36477 m
.68195 .36714 L
s
.70089 .344 m
.70442 .33362 L
s
.62647 .45045 m
.61983 .44155 L
s
.18416 .88516 m
.18346 .89524 L
s
.72088 .44354 m
.72531 .44544 L
s
.62041 .45067 m
.62238 .45981 L
s
.54229 .21453 m
.53985 .22503 L
s
.5423 .22223 m
.54229 .21453 L
s
.68118 .46283 m
.68705 .46372 L
s
.67369 .4656 m
.68118 .46283 L
s
.2118 .90395 m
.20709 .91342 L
s
.70733 .39892 m
.69968 .39089 L
s
.64213 .31629 m
.63582 .30856 L
s
.61983 .44155 m
.62041 .45067 L
s
.69597 .35219 m
.68976 .35142 L
s
.70212 .35474 m
.70089 .344 L
s
.26314 .92473 m
.27305 .91948 L
s
.71076 .42103 m
.70479 .41749 L
s
.61111 .5124 m
.61027 .50717 L
s
.53985 .22503 m
.53964 .23472 L
s
.68549 .46274 m
.67609 .46685 L
s
.68569 .46859 m
.68549 .46274 L
s
.62448 .53407 m
.62004 .53018 L
s
.69424 .491 m
.69029 .48109 L
s
.69669 .49645 m
.69424 .491 L
s
.71764 .27468 m
.72404 .26624 L
s
.57 .22905 m
.56803 .21825 L
s
.63967 .29917 m
.63678 .30558 L
s
.63582 .30856 m
.63967 .29917 L
s
.70414 .42871 m
.70477 .41975 L
s
.17998 .89678 m
.1812 .90681 L
s
.17838 .89015 m
.17998 .89678 L
s
.53563 .23475 m
.54553 .23288 L
s
.52933 .23616 m
.53563 .23475 L
s
.67643 .45927 m
.68694 .45576 L
s
.6799 .4624 m
.67643 .45927 L
s
.71373 .44075 m
.71494 .42999 L
s
.72294 .44698 m
.71373 .44075 L
s
.69545 .34385 m
.69597 .35219 L
s
.70361 .47942 m
.69649 .48781 L
s
.71142 .48728 m
.70361 .47942 L
s
.64166 .32845 m
.64379 .33016 L
s
.6308 .33038 m
.64166 .32845 L
s
.55967 .20814 m
.54993 .20585 L
s
.55981 .19693 m
.55967 .20814 L
s
.68423 .44502 m
.67408 .4406 L
s
.68694 .45576 m
.68423 .44502 L
s
.69649 .48781 m
.69669 .49645 L
s
.67916 .48183 m
.6775 .47537 L
s
.69029 .48109 m
.67916 .48183 L
s
.6329 .31944 m
.6308 .33038 L
s
.68329 .45989 m
.68569 .46859 L
s
.68598 .45084 m
.68329 .45989 L
s
.64284 .31973 m
.63393 .32252 L
s
.63891 .29742 m
.64901 .29264 L
s
.70965 .2767 m
.70595 .28512 L
s
.69385 .34747 m
.69322 .35622 L
s
.69458 .35272 m
.69385 .34747 L
s
.68631 .46782 m
.69105 .47783 L
s
.56664 .23612 m
.56459 .22677 L
s
.5561 .23636 m
.56664 .23612 L
s
.17574 .89079 m
.17478 .90072 L
s
.18361 .89322 m
.17574 .89079 L
s
.20078 .87432 m
.19571 .88434 L
s
.21096 .87694 m
.20078 .87432 L
s
.18235 .88038 m
.17305 .87883 L
s
.53312 .2001 m
.52877 .21029 L
s
.67408 .4406 m
.68423 .43693 L
s
.67609 .46685 m
.67827 .47329 L
s
.18346 .89524 m
.18157 .90599 L
s
.53964 .23472 m
.53474 .23779 L
s
.68833 .45935 m
.68631 .46782 L
s
.53952 .2196 m
.53207 .21747 L
s
.53788 .22852 m
.53952 .2196 L
s
.71494 .42999 m
.70414 .42871 L
s
.56868 .20341 m
.55981 .19693 L
s
.63489 .33025 m
.6329 .31944 L
s
.62407 .32769 m
.63489 .33025 L
s
.63018 .32829 m
.62407 .32769 L
s
.72404 .26624 m
.72198 .26162 L
s
.67827 .47329 m
.67369 .4656 L
s
.6904 .46863 m
.68833 .45935 L
s
.68659 .46321 m
.6904 .46863 L
s
.54866 .23111 m
.54568 .22057 L
s
.55321 .22469 m
.54866 .23111 L
s
.6969 .36799 m
.69154 .37217 L
s
.70057 .37077 m
.6969 .36799 L
s
.54553 .23288 m
.5561 .23636 L
s
.21056 .88673 m
.21096 .87694 L
s
.6826 .33109 m
.68398 .33022 L
s
.1812 .90681 m
.17855 .91345 L
s
.73472 .23505 m
.73631 .24254 L
s
.73903 .24445 m
.73472 .23505 L
s
.53782 .20642 m
.53312 .2001 L
s
.7192 .43259 m
.72088 .44354 L
s
.71223 .425 m
.7192 .43259 L
s
.68423 .43693 m
.68791 .44491 L
s
.67427 .46592 m
.67591 .46057 L
s
.6775 .47537 m
.67427 .46592 L
s
.54993 .20585 m
.5531 .21638 L
s
.61076 .50818 m
.61467 .51226 L
s
.6131 .51675 m
.61076 .50818 L
s
.67661 .45564 m
.68768 .45482 L
s
.67591 .46057 m
.67661 .45564 L
s
.69805 .27193 m
.69799 .26123 L
s
.70621 .2651 m
.69805 .27193 L
s
.18157 .90599 m
.17855 .89814 L
s
.70479 .41749 m
.71223 .425 L
s
.5531 .21638 m
.55321 .22469 L
s
.68705 .46372 m
.69299 .47253 L
s
.68195 .36714 m
.68958 .36895 L
s
.17214 .87593 m
.18235 .88038 L
s
.63678 .30558 m
.63406 .31016 L
s
.69322 .35622 m
.68515 .3637 L
s
.17478 .90072 m
.17838 .89015 L
s
.18327 .92498 m
.18557 .93086 L
s
.18682 .92215 m
.18327 .92498 L
s
.71522 .27074 m
.70621 .2651 L
s
.72059 .26363 m
.71522 .27074 L
s
.61027 .50717 m
.6131 .51675 L
s
.68906 .45402 m
.68598 .45084 L
s
.6156 .52736 m
.62448 .53407 L
s
.68768 .45482 m
.6799 .4624 L
s
.54568 .22057 m
.53788 .22852 L
s
.64379 .33016 m
.64284 .31973 L
s
.70372 .27294 m
.71249 .27275 L
s
.52789 .22504 m
.52933 .23616 L
s
.18433 .90035 m
.18361 .89322 L
s
.61153 .53032 m
.6156 .52736 L
s
.73382 .24921 m
.73903 .24445 L
s
.68515 .3637 m
.68531 .35298 L
s
.56459 .22677 m
.55761 .2236 L
s
.17583 .87931 m
.17214 .87593 L
s
.52976 .23316 m
.52789 .22504 L
s
.70049 .28152 m
.70965 .2767 L
s
.1998 .88476 m
.21056 .88673 L
s
.20386 .89488 m
.1998 .88476 L
s
.60459 .21863 m
.5948 .21343 L
s
.61379 .21483 m
.60459 .21863 L
s
.59511 .21035 m
.59698 .21814 L
s
.59574 .20654 m
.59511 .21035 L
s
.69767 .36347 m
.69458 .35272 L
s
.69154 .37217 m
.69767 .36347 L
s
.69299 .47253 m
.69531 .47578 L
s
.18751 .89129 m
.18433 .90035 L
s
.17855 .89814 m
.18751 .89129 L
s
.54967 .22925 m
.55925 .22344 L
s
.55761 .2236 m
.54967 .22925 L
s
.69799 .26123 m
.703 .26338 L
s
.53207 .21747 m
.52962 .22375 L
s
.5948 .21343 m
.60179 .21739 L
s
.53474 .23779 m
.52972 .24294 L
s
.61525 .50202 m
.60819 .50588 L
s
.61467 .51226 m
.61525 .50202 L
s
.21417 .89923 m
.20386 .89488 L
s
.21568 .90713 m
.21417 .89923 L
s
.55925 .22344 m
.55756 .22096 L
s
.67836 .34432 m
.68944 .34387 L
s
.68531 .35298 m
.67836 .34432 L
s
.60792 .20843 m
.61473 .20415 L
s
.60792 .20704 m
.60792 .20843 L
s
.70094 .28976 m
.70049 .28152 L
s
.68791 .44491 m
.68906 .45402 L
s
.53069 .21325 m
.53782 .20642 L
s
.73631 .24254 m
.73138 .24032 L
s
.68775 .47039 m
.68659 .46321 L
s
.61768 .32478 m
.6218 .33402 L
s
.61738 .33414 m
.61768 .32478 L
s
.6218 .33402 m
.63018 .32829 L
s
.70212 .2764 m
.70396 .28567 L
s
.6933 .28173 m
.70212 .2764 L
s
.57236 .23151 m
.57358 .23728 L
s
.56501 .2294 m
.57236 .23151 L
s
.68944 .34387 m
.68136 .34039 L
s
.72198 .26162 m
.71191 .26087 L
s
.71083 .2897 m
.70094 .28976 L
s
.70525 .29651 m
.71083 .2897 L
s
.68958 .36895 m
.70057 .37077 L
s
.69748 .26564 m
.70372 .27294 L
s
.17855 .91345 m
.1775 .92137 L
s
.52972 .24294 m
.52976 .23316 L
s
.70356 .23397 m
.71124 .23756 L
s
.7025 .22316 m
.70356 .23397 L
s
.61473 .20415 m
.61379 .21483 L
s
.68136 .34039 m
.6826 .33109 L
s
.7214 .27325 m
.72059 .26363 L
s
.60784 .52002 m
.61153 .53032 L
s
.61604 .51368 m
.60784 .52002 L
s
.63406 .31016 m
.6287 .31202 L
s
.72946 .25183 m
.73382 .24921 L
s
.52962 .22375 m
.53069 .21325 L
s
.59698 .21814 m
.59848 .21928 L
s
.69741 .27335 m
.6933 .28173 L
s
.20133 .92053 m
.20165 .9318 L
s
.19392 .92121 m
.20133 .92053 L
s
.18583 .93084 m
.18682 .92215 L
s
.62721 .32912 m
.61738 .33414 L
s
.63031 .33139 m
.62721 .32912 L
s
.18557 .93086 m
.1885 .92013 L
s
.1885 .92013 m
.18168 .92884 L
s
.20165 .9318 m
.20717 .93115 L
s
.18384 .94064 m
.18743 .94802 L
s
.18715 .94615 m
.18384 .94064 L
s
.71191 .26087 m
.70461 .25774 L
s
.18161 .88545 m
.17583 .87931 L
s
.70396 .28567 m
.70525 .29651 L
s
.60179 .21739 m
.60244 .22578 L
s
.69558 .2819 m
.68927 .28227 L
s
.70461 .27819 m
.69558 .2819 L
s
.60819 .50588 m
.61604 .51368 L
s
.70323 .23083 m
.71308 .22529 L
s
.71124 .23756 m
.70323 .23083 L
s
.18822 .9377 m
.18715 .94615 L
s
.18104 .93864 m
.18822 .9377 L
s
.1742 .89882 m
.18125 .89674 L
s
.18482 .89654 m
.1742 .89882 L
s
.18922 .93814 m
.19534 .93959 L
s
.18743 .94802 m
.18922 .93814 L
s
.18916 .92973 m
.1933 .92092 L
s
.18988 .93458 m
.18916 .92973 L
s
.21588 .91687 m
.21568 .90713 L
s
.71122 .23016 m
.7025 .22316 L
s
.69531 .47578 m
.69938 .48086 L
s
.73139 .26797 m
.7214 .27325 L
s
.70331 .23515 m
.71122 .23016 L
s
.70397 .27186 m
.69748 .26564 L
s
.703 .26338 m
.70397 .27186 L
s
.71308 .22529 m
.71109 .22871 L
s
.60318 .20346 m
.59574 .20654 L
s
.22003 .9287 m
.21619 .92752 L
s
.20968 .92774 m
.22003 .9287 L
s
.59746 .21098 m
.60792 .20704 L
s
.59848 .21928 m
.59746 .21098 L
s
.18604 .90646 m
.18482 .89654 L
s
.6371 .21393 m
.64566 .22094 L
s
.63956 .21959 m
.6371 .21393 L
s
.6988 .47218 m
.68775 .47039 L
s
.73138 .24032 m
.73398 .24451 L
s
.18168 .92884 m
.18104 .93864 L
s
.55756 .22096 m
.56501 .2294 L
s
.72857 .27191 m
.73139 .26797 L
s
.70904 .2488 m
.71134 .23924 L
s
.70461 .25774 m
.70904 .2488 L
s
.63163 .2169 m
.63477 .2191 L
s
.64081 .21036 m
.63163 .2169 L
s
.57358 .23728 m
.57712 .24384 L
s
.64566 .22094 m
.63947 .21575 L
s
.17534 .93224 m
.18583 .93084 L
s
.1775 .92137 m
.17534 .93224 L
s
.69938 .48086 m
.6988 .47218 L
s
.1933 .92092 m
.19045 .92585 L
s
.69913 .27905 m
.69741 .27335 L
s
.64927 .21352 m
.64081 .21036 L
s
.6296 .19923 m
.63755 .19202 L
s
.6299 .20734 m
.6296 .19923 L
s
.60435 .2241 m
.61424 .22018 L
s
.60625 .22799 m
.60435 .2241 L
s
.60244 .22578 m
.59395 .22359 L
s
.19062 .9188 m
.18194 .91632 L
s
.19045 .92585 m
.19062 .9188 L
s
.6287 .31202 m
.62734 .32084 L
s
.73296 .25613 m
.72946 .25183 L
s
.70821 .28586 m
.70461 .27819 L
s
.18125 .89674 m
.18161 .88545 L
s
.71218 .24005 m
.70331 .23515 L
s
.71848 .22282 m
.71945 .23191 L
s
.71109 .22871 m
.71848 .22282 L
s
.63418 .22443 m
.6336 .22462 L
s
.63455 .22225 m
.63418 .22443 L
s
.19735 .91635 m
.19392 .92121 L
s
.21807 .9213 m
.20804 .91833 L
s
.22698 .91615 m
.21807 .9213 L
s
.20598 .93653 m
.20968 .92774 L
s
.21619 .92752 m
.21588 .91687 L
s
.20717 .93115 m
.20265 .93385 L
s
.18194 .91632 m
.18604 .90646 L
s
.72588 .22556 m
.73005 .23332 L
s
.72132 .23547 m
.72588 .22556 L
s
.62734 .32084 m
.63031 .33139 L
s
.71413 .281 m
.70493 .27535 L
s
.70719 .28516 m
.71413 .281 L
s
.68927 .28227 m
.69913 .27905 L
s
.19534 .93959 m
.19391 .94905 L
s
.71753 .24051 m
.72132 .23547 L
s
.19152 .93974 m
.18941 .94428 L
s
.19391 .94905 m
.19152 .93974 L
s
.61424 .22018 m
.60647 .21622 L
s
.71134 .23924 m
.71532 .24335 L
s
.21612 .91938 m
.22698 .91615 L
s
.60928 .20585 m
.60318 .20346 L
s
.63755 .19202 m
.64584 .1922 L
s
.6336 .22462 m
.63956 .21959 L
s
.64152 .22688 m
.64299 .22897 L
s
.63947 .21575 m
.64152 .22688 L
s
.57712 .24384 m
.58055 .23554 L
s
.70593 .24614 m
.71218 .24005 L
s
.19394 .92735 m
.18988 .93458 L
s
.70493 .27535 m
.70821 .28586 L
s
.64366 .20644 m
.64927 .21352 L
s
.20804 .91833 m
.19982 .91872 L
s
.62755 .21826 m
.6299 .20734 L
s
.71945 .23191 m
.71753 .24051 L
s
.72961 .25492 m
.73297 .26331 L
s
.73398 .24451 m
.72961 .25492 L
s
.21635 .90828 m
.21612 .91938 L
s
.7343 .26642 m
.72857 .27191 L
s
.63406 .22594 m
.62755 .21826 L
s
.59395 .22359 m
.59512 .23201 L
s
.74386 .25959 m
.74498 .26512 L
s
.7428 .26884 m
.74386 .25959 L
s
.64553 .21592 m
.64466 .22385 L
s
.63477 .2191 m
.64553 .21592 L
s
.20592 .91253 m
.21635 .90828 L
s
.73005 .23332 m
.73081 .24376 L
s
.6542 .19899 m
.65403 .20773 L
s
.64584 .1922 m
.6542 .19899 L
s
.72571 .27116 m
.7343 .26642 L
s
.72969 .26631 m
.72571 .27116 L
s
.20029 .94112 m
.20598 .93653 L
s
.70906 .29577 m
.70719 .28516 L
s
.59804 .22312 m
.60625 .22799 L
s
.63486 .22533 m
.64029 .22243 L
s
.63816 .21485 m
.63486 .22533 L
s
.19793 .91827 m
.19735 .91635 L
s
.73046 .24775 m
.73296 .25613 L
s
.21663 .9104 m
.20592 .91253 L
s
.62514 .22355 m
.63406 .22594 L
s
.63813 .21638 m
.64366 .20644 L
s
.64029 .22243 m
.63813 .21638 L
s
.71208 .2527 m
.70593 .24614 L
s
.73081 .24376 m
.72926 .24507 L
s
.60647 .21622 m
.60842 .20759 L
s
.19982 .91872 m
.19394 .92735 L
s
.7001 .28922 m
.70906 .29577 L
s
.62719 .21398 m
.63455 .22225 L
s
.64664 .22223 m
.63816 .21485 L
s
.64274 .21378 m
.64664 .22223 L
s
.73297 .26331 m
.7428 .26884 L
s
.21608 .92028 m
.21663 .9104 L
s
.59951 .21494 m
.60389 .22271 L
s
.59897 .20357 m
.59951 .21494 L
s
.20265 .93385 m
.19691 .94308 L
s
.58055 .23554 m
.58573 .22791 L
s
.61112 .21486 m
.60928 .20585 L
s
.59512 .23201 m
.59526 .23448 L
s
.71532 .24335 m
.71208 .2527 L
s
.59872 .21496 m
.59897 .20357 L
s
.60033 .22134 m
.59872 .21496 L
s
.69963 .27793 m
.7001 .28922 L
s
.70271 .28635 m
.69963 .27793 L
s
.64466 .22385 m
.64402 .22845 L
s
.65403 .20773 m
.65279 .2134 L
s
.18941 .94428 m
.18442 .95221 L
s
.62077 .2168 m
.62719 .21398 L
s
.64299 .22897 m
.64818 .23074 L
s
.60245 .21936 m
.59804 .22312 L
s
.74498 .26512 m
.7386 .27322 L
s
.18936 .96003 m
.18442 .96766 L
s
.18442 .95221 m
.18936 .96003 L
s
.58417 .21784 m
.58626 .22611 L
s
.58573 .22791 m
.58417 .21784 L
s
.59489 .22635 m
.59359 .21504 L
s
.59526 .23448 m
.59489 .22635 L
s
.62626 .21275 m
.62514 .22355 L
s
.60201 .21306 m
.60245 .21936 L
s
.60066 .22387 m
.60201 .21306 L
s
.73041 .25571 m
.73046 .24775 L
s
.19691 .94308 m
.20068 .95076 L
s
.6412 .20284 m
.64274 .21378 L
s
.64219 .21039 m
.6412 .20284 L
s
.60389 .22271 m
.61246 .22217 L
s
.20068 .95076 m
.20029 .94112 L
s
.61246 .22217 m
.61112 .21486 L
s
.64442 .22657 m
.65353 .22907 L
s
.65021 .21888 m
.64442 .22657 L
s
.7386 .27322 m
.72969 .26631 L
s
.18734 .95759 m
.18712 .96214 L
s
.18442 .96766 m
.18734 .95759 L
s
.59359 .21504 m
.60066 .22387 L
s
.60842 .20759 m
.61117 .20763 L
s
.67486 .23805 m
.67562 .24637 L
s
.68042 .22967 m
.67486 .23805 L
s
.70232 .28137 m
.70271 .28635 L
s
.18798 .92386 m
.19793 .91827 L
s
.18921 .91258 m
.18798 .92386 L
s
.18945 .92347 m
.18921 .91258 L
s
.19068 .93583 m
.18491 .93327 L
s
.1931 .92493 m
.19068 .93583 L
s
.67787 .2374 m
.68739 .24303 L
s
.67562 .24637 m
.67787 .2374 L
s
.60446 .22678 m
.60033 .22134 L
s
.20398 .92197 m
.1931 .92493 L
s
.72926 .24507 m
.73041 .25571 L
s
.20141 .91129 m
.20398 .92197 L
s
.62607 .21723 m
.62626 .21275 L
s
.60946 .21644 m
.62077 .2168 L
s
.61117 .20763 m
.60946 .21644 L
s
.65279 .2134 m
.64219 .21039 L
s
.64498 .21157 m
.63604 .21639 L
s
.64544 .22 m
.64498 .21157 L
s
.58626 .22611 m
.59745 .22485 L
s
.68739 .24303 m
.69624 .24532 L
s
.64402 .22845 m
.65021 .21888 L
s
.19134 .91651 m
.20141 .91129 L
s
.62971 .22588 m
.62607 .21723 L
s
.63604 .21639 m
.62971 .22588 L
s
.65353 .22907 m
.66237 .22191 L
s
.59745 .22485 m
.58751 .21998 L
s
.18491 .93327 m
.18945 .92347 L
s
.64818 .23074 m
.64544 .22 L
s
.68986 .31558 m
.6945 .3067 L
s
.67917 .31618 m
.68986 .31558 L
s
.67065 .23403 m
.68042 .22967 L
s
.66237 .22191 m
.67296 .22575 L
s
.18107 .91848 m
.19134 .91651 L
s
.58751 .21998 m
.59176 .22685 L
s
.67296 .22575 m
.67119 .23061 L
s
.67475 .32476 m
.67917 .31618 L
s
.66355 .22516 m
.67065 .23403 L
s
.69674 .25959 m
.70745 .25859 L
s
.70097 .2637 m
.69674 .25959 L
s
.18712 .96214 m
.18152 .97101 L
s
.60865 .22389 m
.60446 .22678 L
s
.69624 .24532 m
.69879 .25277 L
s
.67112 .23365 m
.66355 .22516 L
s
.66719 .22292 m
.67112 .23365 L
s
.70314 .28957 m
.70232 .28137 L
s
.18723 .9345 m
.18076 .93866 L
s
.18684 .94464 m
.18723 .9345 L
s
.67119 .23061 m
.66719 .22292 L
s
.59233 .21631 m
.59377 .21872 L
s
.59176 .22685 m
.59233 .21631 L
s
.6945 .3067 m
.70447 .31186 L
s
.18591 .92854 m
.18107 .91848 L
s
.70745 .25859 m
.7033 .2521 L
s
.6849 .3273 m
.67475 .32476 L
s
.70447 .31186 m
.70154 .30089 L
s
.17885 .95213 m
.18684 .94464 L
s
.17799 .95943 m
.17885 .95213 L
s
.18152 .97101 m
.18217 .97014 L
s
.18076 .93866 m
.18591 .92854 L
s
.70154 .30089 m
.70314 .28957 L
s
.69879 .25277 m
.70097 .2637 L
s
.69179 .32727 m
.6849 .3273 L
s
.17938 .96124 m
.17889 .97086 L
s
.18217 .97014 m
.17938 .96124 L
s
.59856 .22392 m
.60865 .22389 L
s
.68501 .32963 m
.68614 .33646 L
s
.69566 .33166 m
.68501 .32963 L
s
.59377 .21872 m
.5865 .22167 L
s
.7033 .2521 m
.70393 .25711 L
s
.58567 .21414 m
.59327 .21591 L
s
.58299 .20868 m
.58567 .21414 L
s
.17889 .97086 m
.17799 .95943 L
s
.59327 .21591 m
.59856 .22392 L
s
.69386 .32037 m
.69566 .33166 L
s
.68614 .33646 m
.69179 .32727 L
s
.68842 .31227 m
.69386 .32037 L
s
.67395 .29559 m
.67239 .3053 L
s
.68002 .28765 m
.67395 .29559 L
s
.68308 .30381 m
.68842 .31227 L
s
.68071 .31297 m
.68308 .30381 L
s
.5865 .22167 m
.59367 .22323 L
s
.70393 .25711 m
.69972 .26129 L
s
.68327 .27755 m
.68002 .28765 L
s
.68848 .27906 m
.68327 .27755 L
s
.67239 .3053 m
.68071 .31297 L
s
.58839 .21732 m
.58299 .20868 L
s
.58843 .20714 m
.58839 .21732 L
s
.59052 .21727 m
.58843 .20714 L
s
.69405 .27128 m
.68848 .27906 L
s
.69972 .26129 m
.69405 .27128 L
s
.5842 .22352 m
.59052 .21727 L
s
.59367 .22323 m
.5842 .22352 L
s
.25 Mabswid
.68886 0 m
.92443 .37138 L
s
.92443 .37138 m
1 1.00829 L
s
1 1.00829 m
.72737 .68516 L
s
.72737 .68516 m
.68886 0 L
s
.08534 .24566 m
0 .90119 L
s
0 .90119 m
.72737 .68516 L
s
.72737 .68516 m
.68886 0 L
s
.68886 0 m
.08534 .24566 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[22]:=",
  ImageSize->{209.438, 242.75},
  ImageMargins->{{42.8125, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003A0000lR000`400?l00000o`00003oSP3oool2
00000440oooo002<0?ooo`80000000<0oooo000000000000@03oool008T0oooo0`0000030?ooo`80
0000@03oool008L0oooo0P0000060?ooo`030000003oool0000003l0oooo00240?ooo`<00000203o
ool010000000oooo0?ooo`00000n0?ooo`00PP3oool2000000/0oooo00@000000?ooo`3oool00000
?P3oool007l0oooo0`00000=0?ooo`050000003oool0oooo0?ooo`000000?@3oool007d0oooo0P00
000@0?ooo`050000003oool0oooo0?ooo`000000?@3oool007/0oooo0P00000B0?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool0>P3oool007P0oooo0`00000E0?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool0>@3oool007H0oooo0P00000H0?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool0>@3oool007<0oooo0`00000J0?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool0>03oool00740oooo0P00000M0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0=`3oool006h0oooo0`00000O0?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0=`3oool006`0oooo0P00000R0?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool0=P3oool006T0oooo0`00000T0?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool0=@3oool006L0oooo0P00000W0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool0=@3oool006@0oooo0`00000Y0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
=03oool00680oooo0P00000/0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0=03o
ool005l0oooo0`00000^0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0<`3oool0
05d0oooo0P00000a0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0<P3oool005X0
oooo0`00000c0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0<P3oool005P0oooo
0P00000f0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0<@3oool005D0oooo0`00
000h0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0<03oool005<0oooo0P00000k
0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0<03oool00540oooo0P00000m0?oo
o`030000003oool0oooo00`0oooo00<000000?ooo`3oool0;`3oool004h0oooo0`00000o0?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool0;P3oool004`0oooo0P0000130?ooo`030000
003oool0oooo00`0oooo00<000000?ooo`3oool0;P3oool004T0oooo0`0000150?ooo`030000003o
ool0oooo00d0oooo00<000000?ooo`3oool0;@3oool004L0oooo0P0000180?ooo`030000003oool0
oooo00d0oooo00<000000?ooo`3oool0;@3oool004@0oooo0`00001:0?ooo`030000003oool0oooo
00h0oooo00<000000?ooo`3oool0;03oool00480oooo0P00001=0?ooo`030000003oool0oooo00l0
oooo00<000000?ooo`3oool0:`3oool003l0oooo0`00001?0?ooo`030000003oool0oooo00l0oooo
00<000000?ooo`3oool0:`3oool003d0oooo0P00001B0?ooo`030000003oool0oooo0100oooo00<0
00000?ooo`3oool0:P3oool003X0oooo0`00001D0?ooo`030000003oool0oooo0140oooo00<00000
0?ooo`3oool0:@3oool003P0oooo0P00001G0?ooo`030000003oool0oooo0140oooo00<000000?oo
o`3oool0:@3oool003D0oooo0`00001I0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3o
ool0:03oool003<0oooo0P00001L0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0
9`3oool00300oooo0`00001N0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool09`3o
ool002h0oooo0P00001Q0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool09P3oool0
02/0oooo0`00001F0?ooo`<000002P3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo
02H0oooo000Y0?ooo`800000A03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool01@3oool010000000oooo0?ooo`3oool2000000P0oooo00<000000?oo
o`3oool05@3oool00`000000oooo0?ooo`0U0?ooo`009`3oool2000004H0oooo00<000000?ooo`3o
ool00P3oool3000000<0oooo100000020?ooo`060000003oool0oooo0000003oool000000P3oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0903oool0
02@0oooo0`0000170?ooo`040000003oool000000?ooo`<0000000@0oooo0000003oool0oooo2000
00020?ooo`060000003oool000000000003oool00000203oool00`000000oooo0?ooo`0F0?ooo`03
0000003oool0oooo02@0oooo000R0?ooo`800000BP3oool2000000030?ooo`000000000000<0oooo
2P0000020?ooo`030000003oool0000000@00000203oool00`000000oooo0?ooo`0G0?ooo`030000
003oool0oooo02<0oooo000O0?ooo`<00000C03oool4000000030?ooo`000000oooo01<000002P3o
ool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo0280oooo000M0?ooo`800000C`3oool4
000000030?ooo`000000000000`0000000<0oooo0000000000000`0000030?ooo`8000001P3oool0
10000000oooo0?ooo`00000F0?ooo`030000003oool0oooo0280oooo000J0?ooo`<00000D@3oool0
0`000000oooo00000007000000030?ooo`000000000000@00000103oool400000080oooo10000005
0?ooo`@0000000<0oooo0000003oool0503oool00`000000oooo0?ooo`0Q0?ooo`00603oool20000
05@0oooo00<000000?ooo`0000000P0000000`3oool0000000000009000000P0oooo0P0000001@3o
ool000000000003oool0000000@0oooo1@0000000`3oool000000?ooo`0D0?ooo`030000003oool0
oooo0200oooo000E0?ooo`<00000EP3oool3000000030?ooo`000000000000@0000000<0oooo0000
000000001000000<0?ooo`<00000103oool5000000030?ooo`000000000001@0oooo00<000000?oo
o`3oool0803oool001<0oooo0P00001I0?ooo`@0000000<0oooo0000003oool00P3oool8000000d0
oooo00@000000?ooo`00000000000P3oool400000080oooo0P00000E0?ooo`030000003oool0oooo
01l0oooo000A0?ooo`800000F`3oool01P000000oooo0?ooo`000000oooo000000<0oooo2000000=
0?ooo`040000003oool0oooo0?ooo`D000000`3oool00`000000oooo0000000D0?ooo`030000003o
ool0oooo01l0oooo000A0?ooo`800000F`3oool00`000000oooo0?ooo`02000000<0oooo20000003
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool01`3oool4000000<0oooo0P00000F
0?ooo`030000003oool0oooo01h0oooo000A0?ooo`030000003oool0000005/0oooo00<000000?oo
o`3oool00P0000030?ooo`H0000000<0oooo0000003oool00`0000020?ooo`<000002@3oool20000
00D0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0M0?ooo`004@3oool010000000
oooo0?ooo`00001K0?ooo`040000003oool0000000000080oooo20000000103oool000000?ooo`00
00030?ooo`030000003oool0000000T0oooo1P0000001@3oool000000?ooo`3oool0000001D0oooo
00<000000?ooo`3oool07@3oool00140oooo00D000000?ooo`3oool0oooo0000001K0?ooo`<00000
00H0oooo0000003oool0oooo0000003oool400000080oooo00<000000?ooo`0000000P3oool30000
0080oooo00<000000?ooo`3oool00`3oool400000080oooo00<000000?ooo`0000000`00000F0?oo
o`030000003oool0oooo01`0oooo000@0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool0E`3oool200000080oooo0P0000050?ooo`@000000P3oool3000000030?ooo`000000000000<0
00001P3oool3000000030?ooo`000000000000D00000603oool00`000000oooo0?ooo`0K0?ooo`00
403oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo05H0oooo00<000000?ooo`3oool0
1`3oool4000000@0oooo1@0000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`000000
1P0000000`3oool000000?ooo`0H0?ooo`030000003oool0oooo01/0oooo000@0?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0E@3oool2000000P0oooo00@000000?ooo`3oool00000
0`3oool700000080oooo00@000000?ooo`3oool0oooo1`00000O0?ooo`030000003oool0oooo01X0
oooo000@0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0GP3oool00`000000oooo
0?ooo`040?ooo`P000000P3oool010000000oooo0000003oool600000200oooo00<000000?ooo`3o
ool06@3oool00100oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`1T0?ooo`@00000
00<0oooo000000000000100000000`3oool000000?ooo`020?ooo`@00000803oool00`000000oooo
0?ooo`0I0?ooo`00403oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo06<0oooo1@00
00000`3oool0000000000004000000D0oooo0P0000040?ooo`030000003oool0oooo01/0oooo00<0
00000?ooo`3oool0603oool00100oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1S
0?ooo`/00000103oool7000000030?ooo`000000oooo01/0oooo00<000000?ooo`3oool0603oool0
0100oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`1O0?ooo`H0000000<0oooo0000
000000002@0000000`3oool00000000000030?ooo`040000003oool0oooo000001`0oooo00<00000
0?ooo`3oool05`3oool000l0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`1N0?oo
o`H0000000<0oooo0000000000001`0000000`3oool000000000000200000080oooo1@00000M0?oo
o`030000003oool0oooo01H0oooo000?0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3o
ool0H@3oool3000000030?ooo`000000000000@0oooo00@000000?ooo`000000oooo0`0000020?oo
o`050000003oool0oooo0?ooo`0000007@3oool00`000000oooo0?ooo`0F0?ooo`003`3oool00`00
0000oooo0?ooo`0>0?ooo`030000003oool0oooo05l0oooo0P0000000`3oool000000?ooo`020000
00@0oooo2P0000030?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool05@3oool000l0
oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`1M0?ooo`030000003oool0000000D0
0000103oool010000000oooo0?ooo`3oool4000000L0oooo00<000000?ooo`3oool0703oool00`00
0000oooo0?ooo`0D0?ooo`003`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo05`0
oooo00<000000?ooo`000000100000060?ooo`D0000000<0oooo0000003oool09@3oool00`000000
oooo0?ooo`0D0?ooo`003`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo05/0oooo
1@0000000`3oool000000?ooo`060?ooo`H000009`3oool00`000000oooo0?ooo`0C0?ooo`003`3o
ool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo06P0oooo1P00000X0?ooo`030000003o
ool0oooo0180oooo000?0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0I`3oool6
000002P0oooo00<000000?ooo`3oool04P3oool000h0oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`1U0?ooo`L00000:@3oool00`000000oooo0?ooo`0A0?ooo`003P3oool00`000000
oooo0?ooo`0E0?ooo`030000003oool0oooo06D0oooo1P00000Y0?ooo`030000003oool0oooo0140
oooo000>0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0I03oool010000000oooo
0000003oool2000002X0oooo00<000000?ooo`3oool0403oool000h0oooo00<000000?ooo`3oool0
5`3oool00`000000oooo0?ooo`1S0?ooo`80000000@0oooo0000003oool00000:`3oool00`000000
oooo0?ooo`0?0?ooo`003P3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0680oooo
00H000000?ooo`3oool000000?ooo`00000[0?ooo`030000003oool0oooo00l0oooo000>0?ooo`03
0000003oool0oooo01T0oooo00<000000?ooo`3oool0H@3oool6000002/0oooo0P00000@0?ooo`00
3P3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0600oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`0V0?ooo`<0000000<0oooo0000003oool03`3oool000h0oooo00<0
00000?ooo`3oool06`3oool00`000000oooo0?ooo`1P0?ooo`050000003oool0oooo0?ooo`000000
9@3oool3000000@0oooo00<000000?ooo`3oool03P3oool000d0oooo00<000000?ooo`3oool07@3o
ool00`000000oooo0?ooo`140?ooo`030000003oool0oooo01P0oooo0`0000000`3oool000000?oo
o`0Q0?ooo`<000001`3oool00`000000oooo0?ooo`0>0?ooo`003@3oool00`000000oooo0?ooo`0N
0?ooo`030000003oool0oooo03h0oooo00@000000?ooo`3oool0oooo0P0000030?ooo`030000003o
ool0oooo01<0oooo0P0000001@3oool000000?ooo`3oool0000001h0oooo0`00000:0?ooo`030000
003oool0oooo00h0oooo000=0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0?@3o
ool010000000oooo0?ooo`0000020?ooo`040000003oool00000000001T0oooo00<000000?ooo`00
00006`3oool3000000h0oooo00<000000?ooo`3oool03@3oool000d0oooo00<000000?ooo`3oool0
803oool00`000000oooo0?ooo`0h0?ooo`070000003oool0oooo0?ooo`000000oooo000000040?oo
o`030000003oool0000001X0oooo0P00000H0?ooo`<000004@3oool00`000000oooo0?ooo`0=0?oo
o`003@3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo03L0oooo1P0000060?ooo`80
00000P3oool00`000000oooo0?ooo`0E0?ooo`8000005@3oool3000001@0oooo00<000000?ooo`3o
ool03@3oool000d0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0d0?ooo`800000
0P3oool3000000L0oooo1@00000G0?ooo`8000004P3oool3000001L0oooo00<000000?ooo`3oool0
3@3oool000d0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0b0?ooo`030000003o
ool000000080oooo100000050?ooo`030000003oool000000080000000@0oooo0000003oool00000
4`3oool00`000000oooo0000000?0?ooo`<000006P3oool00`000000oooo0?ooo`0=0?ooo`003@3o
ool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo0380oooo1`0000060?ooo`80000000<0
oooo0000000000001000000C0?ooo`<00000303oool3000001d0oooo00<000000?ooo`3oool03@3o
ool000`0oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`0b0?ooo`80000000@0oooo
0000000000000000103oool4000000030?ooo`000000000000@0000000<0oooo0000003oool0403o
ool3000000T0oooo0`00000P0?ooo`030000003oool0oooo00d0oooo000<0?ooo`030000003oool0
oooo02L0oooo00<000000?ooo`3oool0<P3oool700000080oooo0`0000000`3oool0000000000007
00000140oooo100000050?ooo`<000008`3oool00`000000oooo0?ooo`0=0?ooo`00303oool00`00
0000oooo0?ooo`0X0?ooo`030000003oool0oooo0380oooo00<000000?ooo`0000000P3oool<0000
00040?ooo`000000000000000140oooo00@000000?ooo`00000000000P3oool3000002L0oooo00<0
00000?ooo`3oool0303oool000`0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`0b
0?ooo`8000000P3oool=000000<0oooo00<000000?ooo`3oool02P3oool01P000000oooo0?ooo`3o
ool000000?ooo`@00000:P3oool00`000000oooo0?ooo`0<0?ooo`00303oool00`000000oooo0?oo
o`0Z0?ooo`030000003oool0oooo03H0oooo1@0000000`3oool0000000000003000000@0oooo0P00
00090?ooo`80000000<0oooo0000003oool010000000103oool000000?ooo`00000Y0?ooo`030000
003oool0oooo00`0oooo000<0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0=P3o
ool;000000<0oooo0P00000:0?ooo`/00000:P3oool00`000000oooo0?ooo`0<0?ooo`00303oool0
0`000000oooo0?ooo`0/0?ooo`030000003oool0oooo0380oooo200000000`3oool0000000000002
000000@0oooo0`0000080?ooo`H000000P3oool010000000oooo0?ooo`00000Z0?ooo`030000003o
ool0oooo00`0oooo000<0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool0<P3oool7
000000030?ooo`000000000000<000000`3oool3000000D0oooo2@0000000`3oool000000000000]
0?ooo`030000003oool0oooo00`0oooo000;0?ooo`030000003oool0oooo02l0oooo00<000000?oo
o`3oool0<P3oool:000000D0oooo00<000000?ooo`0000000`3oool2000000<0oooo100000000`3o
ool000000?ooo`02000002d0oooo00<000000?ooo`3oool0303oool000/0oooo00<000000?ooo`3o
ool0<03oool00`000000oooo0?ooo`0_0?ooo`80000000<0oooo0000000000001P0000080?ooo`@0
00001@3oool4000000030?ooo`000000000000800000;@3oool00`000000oooo0?ooo`0<0?ooo`00
2`3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo02h0oooo00@000000?ooo`3oool0
oooo1`0000060?ooo`<00000203oool2000000030?ooo`000000000000D00000;@3oool00`000000
oooo0?ooo`0;0?ooo`002`3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo02l0oooo
00@000000?ooo`000000oooo1`0000020?ooo`<00000303oool2000000030?ooo`00000000000080
000000<0oooo0000003oool0;03oool00`000000oooo0?ooo`0;0?ooo`002`3oool00`000000oooo
0?ooo`0b0?ooo`030000003oool0oooo02X0oooo0P0000000`3oool0000000000002000000030?oo
o`00000000000080oooo200000070?ooo`<000000P3oool3000000030?ooo`000000000000<00000
;@3oool00`000000oooo0?ooo`0;0?ooo`002`3oool00`000000oooo0?ooo`0c0?ooo`030000003o
ool0oooo02P0oooo1P0000020?ooo`<0000000<0oooo0000000000001000000:0?ooo`030000003o
ool0oooo00<0000000D0oooo00000000000000000?ooo`03000002d0oooo00<000000?ooo`3oool0
2`3oool000/0oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`0W0?ooo`L000000P3o
ool7000000030?ooo`000000oooo00H0oooo0`0000040?ooo`H000000P3oool2000002d0oooo00<0
00000?ooo`3oool02`3oool000/0oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`0V
0?ooo``0000000<0oooo0000000000000P0000000`3oool000000?ooo`020?ooo`030000003oool0
oooo008000001@3oool00`000000oooo000000020?ooo`050000003oool0oooo0?ooo`000000;@3o
ool00`000000oooo0?ooo`0;0?ooo`002P3oool00`000000oooo0?ooo`0g0?ooo`030000003oool0
oooo02D0oooo1`0000000`3oool000000?ooo`0600000080oooo00<000000?ooo`0000000P000002
0?ooo`8000001@3oool2000000L0oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`0;
0?ooo`002P3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo02@0oooo10000000103o
ool000000000000000030?ooo`030000003oool0oooo00<0000000<0oooo0000000000001@000000
0`3oool000000?ooo`0=0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool02`3oool0
00X0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`0P0?ooo`L0000000<0oooo0000
003oool0203oool010000000oooo0?ooo`3oool300000080oooo00<000000?ooo`3oool03P3oool0
0`000000oooo0?ooo`0[0?ooo`030000003oool0oooo00/0oooo000:0?ooo`030000003oool0oooo
03X0oooo00<000000?ooo`3oool0703oool3000000@0oooo0`00000?0?ooo`L000003`3oool00`00
0000oooo0?ooo`0/0?ooo`030000003oool0oooo00X0oooo000:0?ooo`030000003oool0oooo03/0
oooo00<000000?ooo`3oool0603oool3000000P0oooo1000000<0?ooo`H0000000<0oooo0000003o
ool03P3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo00X0oooo000:0?ooo`030000
003oool0oooo03`0oooo00<000000?ooo`3oool0503oool3000000/0oooo1000000<0?ooo`030000
003oool0000000D000003`3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo00X0oooo
000:0?ooo`030000003oool0oooo03d0oooo00<000000?ooo`3oool0403oool3000000l0oooo00<0
00000?ooo`0000003@3oool4000000030?ooo`000000oooo00l0oooo00<000000?ooo`3oool0;03o
ool00`000000oooo0?ooo`0:0?ooo`002P3oool00`000000oooo0?ooo`0n0?ooo`030000003oool0
oooo00`0oooo0`00000D0?ooo`8000003P3oool2000000030?ooo`000000oooo00l0oooo00<00000
0?ooo`3oool0;03oool00`000000oooo0?ooo`0:0?ooo`002@3oool00`000000oooo0?ooo`100?oo
o`030000003oool0oooo00P0oooo0`00000F0?ooo`8000003`3oool300000140oooo00<000000?oo
o`3oool0;03oool00`000000oooo0?ooo`0:0?ooo`002@3oool00`000000oooo0?ooo`110?ooo`03
0000003oool0oooo00@0oooo0`00000I0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`00
00004@3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo00X0oooo00090?ooo`030000
003oool0oooo0480oooo00<000000?ooo`3oool00`00000M0?ooo`8000003P3oool300000140oooo
00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0:0?ooo`002@3oool00`000000oooo0?oo
o`130?ooo`800000803oool00`000000oooo0?ooo`0>0?ooo`<00000403oool00`000000oooo0?oo
o`0]0?ooo`030000003oool0oooo00T0oooo00090?ooo`030000003oool0oooo04<0oooo00<00000
0?ooo`3oool0803oool200000240oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`09
0?ooo`002@3oool00`000000oooo0?ooo`130?ooo`030000003oool0oooo0200oooo00<000000?oo
o`3oool08@3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo00T0oooo00090?ooo`03
0000003oool0oooo04<0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0R0?ooo`03
0000003oool0oooo02`0oooo00<000000?ooo`3oool02@3oool000T0oooo00<000000?ooo`3oool0
@`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0
;03oool00`000000oooo0?ooo`090?ooo`00203oool00`000000oooo0?ooo`140?ooo`030000003o
ool0oooo01l0oooo0P00000S0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool02@3o
ool000P0oooo00<000000?ooo`3oool0A03oool00`000000oooo0?ooo`0I0?ooo`<00000103oool0
0`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool02@3oool0
00P0oooo00<000000?ooo`3oool0A03oool00`000000oooo0?ooo`0B0?ooo`800000103oool01000
0000oooo0?ooo`0000020?ooo`800000903oool00`000000oooo0?ooo`0/0?ooo`030000003oool0
oooo00T0oooo00080?ooo`030000003oool0oooo04@0oooo00<000000?ooo`3oool0403oool20000
0080oooo1@0000030?ooo`@00000903oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo
00P0oooo00080?ooo`030000003oool0oooo04@0oooo00<000000?ooo`3oool03`3oool3000000`0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo00P0
oooo00080?ooo`030000003oool0oooo04@0oooo00<000000?ooo`3oool02P3oool2000000<0oooo
0`00000b0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool0203oool000P0oooo00<0
00000?ooo`3oool0A03oool00`000000oooo0?ooo`0:0?ooo`@0000000<0oooo0000003oool0<`3o
ool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo00P0oooo00080?ooo`030000003oool0
oooo04@0oooo00<000000?ooo`3oool02P3oool200000080oooo0P00000d0?ooo`030000003oool0
oooo02d0oooo00<000000?ooo`3oool0203oool000L0oooo00<000000?ooo`3oool0A03oool00`00
0000oooo0?ooo`0;0?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool0;@3oool00`00
0000oooo0?ooo`080?ooo`001`3oool00`000000oooo0?ooo`140?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo00P0
oooo00070?ooo`030000003oool0oooo04@0oooo00<000000?ooo`3oool0303oool2000003L0oooo
00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`080?ooo`001`3oool00`000000oooo0?oo
o`140?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool2000003P0oooo00<0
00000?ooo`3oool0;@3oool00`000000oooo0?ooo`080?ooo`001`3oool00`000000oooo0?ooo`14
0?ooo`030000003oool0oooo00<0oooo0`0000050?ooo`030000003oool0oooo03L0oooo00<00000
0?ooo`3oool0;P3oool00`000000oooo0?ooo`070?ooo`001`3oool00`000000oooo0?ooo`140?oo
o`030000003oool0oooo00<0oooo0`0000050?ooo`030000003oool0oooo03L0oooo00<000000?oo
o`3oool0;P3oool00`000000oooo0?ooo`070?ooo`001`3oool00`000000oooo0?ooo`140?ooo`03
0000003oool0oooo00@0oooo0`0000020?ooo`800000>P3oool00`000000oooo0?ooo`0^0?ooo`03
0000003oool0oooo00L0oooo00070?ooo`030000003oool0oooo04@0oooo00<000000?ooo`3oool0
0`3oool010000000oooo0?ooo`3oool3000003`0oooo00<000000?ooo`3oool0;@3oool00`000000
oooo0?ooo`070?ooo`001P3oool00`000000oooo0?ooo`150?ooo`030000003oool0oooo00<0oooo
00@000000?ooo`3oool0oooo0`00000l0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3o
ool01`3oool000H0oooo00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00800000?@3oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo00L0oooo
00060?ooo`030000003oool0oooo04D0oooo00<000000?ooo`3oool00`3oool200000440oooo00<0
00000?ooo`3oool0;@3oool00`000000oooo0?ooo`070?ooo`001P3oool00`000000oooo0?ooo`15
0?ooo`030000003oool0oooo00@0oooo0P0000100?ooo`030000003oool0oooo02d0oooo00<00000
0?ooo`3oool01`3oool000H0oooo00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo03d0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`060?oo
o`001P3oool00`000000oooo0?ooo`150?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0?P3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo00H0oooo00060?ooo`030000
003oool0oooo04D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0n0?ooo`030000
003oool0oooo02h0oooo00<000000?ooo`3oool01P3oool000H0oooo00<000000?ooo`3oool0A@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo03h0oooo0P00000`0?ooo`030000003o
ool0oooo00H0oooo00050?ooo`030000003oool0oooo04H0oooo00@000000?ooo`3oool0oooo0`00
000m0?ooo`@000000P3oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo00H0oooo0005
0?ooo`030000003oool0oooo04H0oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool0
oooo03L0oooo0`0000070?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool01P3oool0
00D0oooo00<000000?ooo`3oool0AP3oool00`000000oooo0?ooo`06000003D0oooo0`00000;0?oo
o`030000003oool0oooo02/0oooo00<000000?ooo`3oool01P3oool000D0oooo00<000000?ooo`3o
ool0AP3oool00`000000oooo0?ooo`04000003<0oooo1000000>0?ooo`030000003oool0oooo02/0
oooo00<000000?ooo`3oool01P3oool000D0oooo00<000000?ooo`3oool0AP3oool00`000000oooo
0000000400000300oooo0`00000C0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0
1@3oool000D0oooo00<000000?ooo`3oool0AP3oool00`000000oooo00000003000002h0oooo0`00
000G0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool01@3oool000D0oooo00<00000
0?ooo`3oool0AP3oool4000002`0oooo1000000K0?ooo`030000003oool0oooo02T0oooo00<00000
0?ooo`3oool01@3oool000D0oooo00<000000?ooo`3oool0AP3oool2000000030?ooo`0000000000
02P0oooo0`00000P0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool01@3oool000@0
oooo00<000000?ooo`3oool0A`3oool010000000oooo00000000000V0?ooo`<00000903oool00`00
0000oooo0?ooo`0W0?ooo`030000003oool0oooo00D0oooo00040?ooo`030000003oool0oooo04H0
oooo00<000000?ooo`3oool00`00000Q0?ooo`@00000:03oool00`000000oooo0?ooo`0V0?ooo`03
0000003oool0oooo00D0oooo00040?ooo`030000003oool0oooo04H0oooo00<000000?ooo`3oool0
0`00000N0?ooo`<00000;03oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo00D0oooo
00040?ooo`030000003oool0oooo04H0oooo00<000000?ooo`3oool01000000J0?ooo`<00000<03o
ool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo00D0oooo00040?ooo`030000003oool0
oooo04H0oooo00<000000?ooo`0000000P3oool2000001H0oooo1000000d0?ooo`030000003oool0
oooo02D0oooo00<000000?ooo`3oool0103oool000@0oooo00<000000?ooo`3oool0AP3oool80000
0180oooo0`00000i0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0103oool000@0
oooo00<000000?ooo`3oool0AP3oool5000000030?ooo`000000000000/0oooo00<000000?ooo`3o
ool01000000m0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0103oool000@0oooo
00<000000?ooo`3oool0AP3oool01@000000oooo0000003oool000000080oooo0P00000:0?ooo`<0
0000@P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo00@0oooo00030?ooo`030000
003oool0oooo04L0oooo0P0000020?ooo`040000003oool0oooo000000P0oooo1P0000120?ooo`03
0000003oool0oooo0280oooo00<000000?ooo`3oool0103oool000<0oooo00<000000?ooo`3oool0
A`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo1@000000103oool00000
0?ooo`3oool200000480oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`040?ooo`00
0`3oool00`000000oooo0?ooo`170?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool0
oooo0`0000020?ooo`D0000000<0oooo000000000000A03oool00`000000oooo0?ooo`0P0?ooo`03
0000003oool0oooo00@0oooo00030?ooo`030000003oool0oooo04L0oooo00<000000?ooo`3oool0
0P3oool4000000@0oooo1P0000000`3oool000000?ooo`150?ooo`030000003oool0oooo01l0oooo
00<000000?ooo`3oool0103oool000<0oooo00<000000?ooo`3oool0A`3oool7000000D0oooo2P00
00160?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0103oool000<0oooo00<00000
0?ooo`3oool0AP3oool3000000040?ooo`000000oooo000000@0oooo200000030?ooo`800000AP3o
ool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo00<0oooo00030?ooo`030000003oool0
oooo04<0oooo0`0000000`3oool0000000000005000000<0oooo2@0000020?ooo`<00000AP3oool0
0`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00<0oooo00030?ooo`030000003oool0oooo
03l0oooo100000040?ooo`<000000P3oool00`000000oooo0?ooo`030?ooo`H0000000@0oooo0000
00000000oooo0P0000170?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool00`3oool0
0080oooo00<000000?ooo`3oool0?@3oool3000000P0oooo1@0000070?ooo`X0000000<0oooo0000
003oool0AP3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo00<0oooo00020?ooo`03
0000003oool0oooo03X0oooo0`00000:0?ooo`D00000203oool:000000030?ooo`000000000004L0
oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`030?ooo`000P3oool00`000000oooo
0?ooo`0f0?ooo`@000003@3oool3000000030?ooo`000000oooo00L0oooo200000000`3oool00000
00000002000004P0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`030?ooo`000P3o
ool00`000000oooo0?ooo`0c0?ooo`<000004@3oool4000000X0oooo300000190?ooo`030000003o
ool0oooo01T0oooo00<000000?ooo`3oool00`3oool00080oooo00<000000?ooo`3oool0<03oool3
000001@0oooo0`00000;0?ooo`H0000000<0oooo0000003oool00`00001:0?ooo`030000003oool0
oooo01P0oooo00<000000?ooo`3oool00`3oool00080oooo00<000000?ooo`3oool0;03oool40000
01P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`<000000`3oool30000
00030?ooo`000000oooo04X0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`020?oo
o`000P3oool00`000000oooo0?ooo`0Y0?ooo`<000006`3oool2000000H0oooo00<000000?ooo`3o
ool0103oool2000000<0oooo1@00001<0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3o
ool00P3oool00080oooo00<000000?ooo`3oool09@3oool4000001h0oooo0P0000040?ooo`040000
003oool00000000000H0oooo00<000000?ooo`3oool01P0000000`3oool000000?ooo`1:0?ooo`03
0000003oool0oooo01L0oooo00<000000?ooo`3oool00P3oool000030?ooo`000000oooo02@0oooo
0`00000S0?ooo`8000000P3oool5000000T0oooo100000000`3oool000000?ooo`02000004/0oooo
00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`020?ooo`0000<0oooo0000003oool08@3o
ool3000001`0oooo0P0000080?ooo`8000000P3oool01@000000oooo0?ooo`3oool0000000L0oooo
0`0000000`3oool0000000000005000004`0oooo00<000000?ooo`3oool05@3oool00`000000oooo
0?ooo`020?ooo`0000<0oooo0000003oool07@3oool4000001h0oooo0P0000080?ooo`8000000P3o
ool2000000T0oooo100000020?ooo`80000000<0oooo0000000000001P0000190?ooo`030000003o
ool0oooo01@0oooo00<000000?ooo`3oool00P3oool000030?ooo`000000oooo01X0oooo0`00000R
0?ooo`8000001`3oool6000000<0oooo00<000000?ooo`3oool01`3oool2000000060?ooo`000000
00000?ooo`000000oooo0`0000000`3oool000000?ooo`1:0?ooo`030000003oool0oooo01<0oooo
00<000000?ooo`3oool00P3oool000030?ooo`000000oooo01L0oooo0`00000:0?ooo`030000003o
ool0oooo01H0oooo00<000000?ooo`3oool00P0000020?ooo`8000000`3oool4000000@0oooo00<0
00000?ooo`3oool0203oool500000080oooo1@00001;0?ooo`030000003oool0oooo01<0oooo00<0
00000?ooo`3oool00P3oool000030?ooo`000000oooo01<0oooo1000000=0?ooo`030000003oool0
oooo01D0oooo00<000000?ooo`0000001@0000000`3oool000000?ooo`020?ooo`060000003oool0
oooo0?ooo`000000oooo100000090?ooo`D000000P3oool00`000000oooo0?ooo`02000004`0oooo
00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`010?ooo`0000<0oooo0000003oool0403o
ool3000000d0oooo0P0000001@3oool000000000003oool000000140oooo2@0000001@3oool00000
0?ooo`3oool0000000<0oooo00@000000?ooo`00000000000P3oool2000000030?ooo`0000000000
00P0oooo1@0000040?ooo`040000003oool0oooo000004`0oooo00<000000?ooo`3oool04P3oool0
0`000000oooo0?ooo`010?ooo`0000<0oooo0000003oool03@3oool300000140oooo1@0000000`3o
ool000000000000?0?ooo`800000103oool2000000D0oooo00D000000?ooo`3oool0oooo00000002
0?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool01@3oool6000000@0oooo00<0
00000?ooo`3oool0CP3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0040oooo0000
0`000000oooo0?ooo`090?ooo`@000005@3oool5000000030?ooo`000000oooo00l0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`0000000P3o
ool010000000oooo0?ooo`0000020?ooo`800000203oool2000000050?ooo`00000000000?ooo`00
00000P3oool00`000000oooo0?ooo`1?0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3o
ool00@3oool000030000003oool0oooo00H0oooo0`00000H0?ooo`P000003`3oool00`000000oooo
0?ooo`0:0?ooo`040000003oool0oooo0?ooo`<0000000<0oooo0000000000001@0000080?ooo`@0
000000<0oooo0000000000000P0000000`3oool000000?ooo`1@0?ooo`030000003oool0oooo00l0
oooo00<000000?ooo`3oool00@3oool000030000003oool0oooo00<0oooo0`00000K0?ooo`L00000
3`3oool00`000000oooo0?ooo`0;0?ooo`040000003oool0oooo0?ooo`80000000@0oooo00000000
000000000P3oool00`000000oooo000000080?ooo`P000000P3oool00`000000oooo0?ooo`1@0?oo
o`030000003oool0oooo00h0oooo00<000000?ooo`3oool00@3oool000030000003oool0000000<0
00007P3oool400000080oooo0`00000=0?ooo`030000003oool0oooo00/0oooo2P0000020?ooo`D0
00001P3oool;00000580oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`010?ooo`00
0P00000S0?ooo`8000000`3oool00`000000oooo0000000>0?ooo`030000003oool0oooo00X0oooo
30000000103oool000000000000000060?ooo`P000000P3oool2000005<0oooo00<000000?ooo`3o
ool03@3oool00`000000oooo0?ooo`010?ooo`0000<0oooo0000000000008P3oool2000000<0oooo
100000000`3oool000000?ooo`080?ooo`8000003@3oool5000000030?ooo`000000000000L00000
1@3oool>000005@0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`010?ooo`000`3o
ool00`000000oooo0?ooo`0O0?ooo`040000003oool000000?ooo`D0000000<0oooo000000000000
1@3oool00`000000oooo0000000200000100oooo0P0000020?ooo`P00000103oool9000000030?oo
o`000000000000800000EP3oool00`000000oooo0?ooo`0<0?ooo`4000000@3oool10?ooo`00103o
ool00`000000oooo0?ooo`0N0?ooo`L0000000D0oooo00000000000000000?ooo`06000000040?oo
o`000000oooo00000140oooo00@000000?ooo`3oool0oooo0P0000000`3oool00000000000030000
00030?ooo`000000000000d00000F03oool00`000000oooo0?ooo`0;0?ooo`4000000@3oool10?oo
o`001@3oool2000001h0oooo1P000000103oool000000000000000070?ooo`80000000<0oooo0000
003oool04@3oool010000000oooo0?ooo`3oool;000000030?ooo`000000000000P00000F`3oool0
0`000000oooo0?ooo`0:0?ooo`4000000@3oool10?ooo`001`3oool00`000000oooo0?ooo`0J0?oo
o`H0000000@0oooo0000000000000000203oool00`000000oooo0?ooo`0C0?ooo`040000003oool0
oooo0?ooo`<0000000<0oooo000000000000200000000`3oool0000000000004000005d0oooo00<0
00000?ooo`3oool02@3oool100000040oooo0@3oool000P0oooo0P00000J0?ooo`@000000P3oool2
00000200oooo00<000000?ooo`3oool00P3oool3000000030?ooo`000000000000l00000G03oool0
0`000000oooo0?ooo`090?ooo`4000000@3oool10?ooo`002P3oool00`000000oooo0?ooo`0H0?oo
o`<0000000<0oooo0000000000008@3oool00`000000oooo0?ooo`020?oooa4000000P3oool30000
05`0oooo00<000000?ooo`3oool0203oool100000040oooo0@3oool000/0oooo00<000000?ooo`3o
ool0603oool400000280oooo00<000000?ooo`3oool00P3oool00`000000oooo0000000>00000080
oooo00<000000?ooo`3oool0G@3oool00`000000oooo0?ooo`070?ooo`4000000@3oool10?ooo`00
303oool2000001P0oooo1000000R0?ooo`060000003oool0oooo0?ooo`000000oooo0P0000000`3o
ool000000000000;000006<0oooo00<000000?ooo`3oool01P3oool100000040oooo0@3oool000h0
oooo00<000000?ooo`3oool0503oool2000000030?ooo`00000000000280oooo00@000000?ooo`3o
ool0oooo0P0000030?ooo`L0000000@0oooo0000000000000000IP3oool00`000000oooo0?ooo`06
0?ooo`4000000@3oool000l0oooo0P00000D0?ooo`<00000903oool00`000000oooo0?ooo`060?oo
o`H000000P3oool5000006D0oooo00<000000?ooo`3oool01@3oool100000040oooo000A0?ooo`03
0000003oool0oooo0140oooo0`00000T0?ooo`030000003oool0oooo00P0oooo00@000000?ooo`00
000000000P3oool5000006D0oooo00<000000?ooo`3oool01@3oool100000040oooo000B0?ooo`03
0000003oool0oooo0100oooo0P00000U0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`00
00000P0000001@3oool00000000000000000oooo00800000I@3oool00`000000oooo0?ooo`040?oo
o`4000000@3oool001<0oooo0P00000@0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3o
ool0203oool;000006L0oooo00<000000?ooo`3oool00`3oool100000040oooo000E0?ooo`030000
003oool0oooo03@0oooo00<000000?ooo`3oool02@3oool6000000030?ooo`000000000006T0oooo
00<000000?ooo`3oool00P3oool100000040oooo000F0?ooo`800000<`3oool00`000000oooo0?oo
o`0:0?ooo`<0000000<0oooo0000000000000P0000000`3oool000000?ooo`1X0?ooo`050000003o
ool0oooo0?ooo`0000000@3oool001P0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?oo
o`0:0?ooo`X00000JP3oool010000000oooo0?ooo`0000010?ooo`006@3oool00`000000oooo0?oo
o`0_0?ooo`030000003oool0oooo00/0oooo0P0000000`3oool0000000000002000000030?ooo`00
0000oooo06X0oooo00<000000?ooo`3oool00@00000001X0oooo0P00000_0?ooo`030000003oool0
oooo00/0oooo1`0000000`3oool000000?ooo`1Z0?ooo`030000003oool0oooo00400000000L0?oo
o`030000003oool0oooo02`0oooo00<000000?ooo`3oool02`3oool9000006`0oooo0@0000010?oo
o`400000000M0?ooo`800000;03oool00`000000oooo0?ooo`0;0?ooo`030000003oool0000000L0
0000K03oool2000000007`3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo00/0oooo
1@0000001@3oool000000000003oool0000006/0oooo0`0000000200oooo00<000000?ooo`3oool0
:03oool00`000000oooo0?ooo`0;0?ooo`80000000H0oooo0000003oool0oooo0000003oool20000
06L0oooo100000030?ooo`008@3oool2000002P0oooo00<000000?ooo`3oool02`3oool400000080
oooo00<000000?ooo`3oool0I03oool4000000L0oooo000S0?ooo`030000003oool0oooo02D0oooo
00<000000?ooo`3oool02P3oool5000000<0oooo00<000000?ooo`3oool0GP3oool5000000/0oooo
000T0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool01P3oool8000000<0oooo00<0
00000?ooo`3oool0F`3oool400000100oooo000U0?ooo`800000903oool00`000000oooo0?ooo`07
0?ooo`/00000F@3oool4000001@0oooo000W0?ooo`030000003oool0oooo0240oooo00<000000?oo
o`3oool0203oool8000005H0oooo1@00000H0?ooo`00:03oool200000240oooo00<000000?ooo`3o
ool02P3oool3000000030?ooo`000000oooo0580oooo1000000M0?ooo`00:P3oool00`000000oooo
0?ooo`0N0?ooo`030000003oool0oooo00`0oooo0P00001@0?ooo`@000008@3oool002/0oooo00<0
00000?ooo`3oool07@3oool00`000000oooo0?ooo`1I0?ooo`D000009@3oool002`0oooo0P00000M
0?ooo`030000003oool0oooo05D0oooo1000000Z0?ooo`00;P3oool00`000000oooo0?ooo`0J0?oo
o`030000003oool0oooo0540oooo1000000^0?ooo`00;`3oool2000001X0oooo00<000000?ooo`3o
ool0C03oool500000380oooo000a0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0
B03oool4000003L0oooo000b0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0A03o
ool4000003/0oooo000c0?ooo`8000005P3oool00`000000oooo0?ooo`100?ooo`@00000?`3oool0
03D0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0k0?ooo`D00000@`3oool003H0
oooo0P00000C0?ooo`030000003oool0oooo03L0oooo100000180?ooo`00>03oool00`000000oooo
0?ooo`0@0?ooo`030000003oool0oooo03<0oooo1000001<0?ooo`00>@3oool00`000000oooo0?oo
o`0>0?ooo`030000003oool0oooo02l0oooo1@00001@0?ooo`00>P3oool2000000h0oooo00<00000
0?ooo`3oool0:`3oool4000005D0oooo000l0?ooo`030000003oool0oooo00/0oooo00<000000?oo
o`3oool09`3oool4000005T0oooo000m0?ooo`8000002`3oool00`000000oooo0?ooo`0R0?ooo`D0
0000G@3oool003l0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0N0?ooo`@00000
HP3oool00400oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0J0?ooo`@00000IP3o
ool00440oooo0P0000070?ooo`030000003oool0oooo01D0oooo1@00001Z0?ooo`00@`3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo0140oooo1000001_0?ooo`00A03oool2000000@0
oooo00<000000?ooo`3oool03@3oool4000007<0oooo00160?ooo`050000003oool0oooo0?ooo`00
00002P3oool5000007L0oooo00170?ooo`040000003oool0oooo000000H0oooo1000001l0?ooo`00
B03oool300000080oooo100000200?ooo`00BP3oool3000008@0oooo0000\
\>"],
  ImageRangeCache->{{{0, 208.438}, {241.75, 0}} -> {0.0732428, -2.96152*^-05, \
0.00396392, 0.00396392}},
  CellTags->"IPM3.Sol.11.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CounterAssignments->{{"SolutionItem", 4}},
  CellTags->"IPM3.Sol.11.2"],

Cell[BoxData[
    \(AnimateWalk[coords_, opts___] := 
      Scan[Show[
            Graphics[{{RGBColor[1, 0, 0], PointSize[ .02], 
                  Point[coords\[LeftDoubleBracket]#1\[RightDoubleBracket]]}, 
                Line[Take[coords, #1]]}], opts, 
            AspectRatio \[Rule] Automatic, 
            PlotRange \[Rule] 
              Map[{Min[#1] -  .2, Max[#1] +  .2} &, Transpose[coords]]] &, 
        Range[2, Length[coords]]]\)], "Input",
  CellLabel->"In[23]:=",
  CellTags->"IPM3.Sol.11.2"],

Cell[BoxData[
    \(\(AnimateWalk[RandomWalk[50, LatticeWalk \[Rule] False]];\)\)], "Input",\

  CellLabel->"In[24]:=",
  CellTags->"IPM3.Sol.11.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["11.3",
    ButtonData:>"IPM3.11.3.2",
    ButtonStyle->"SolutionsLink"],
  "  The Game of Life"
}], "SolutionsSubsection",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.11.3"],

Cell[CellGroupData[{

Cell["", "SolutionItem",
  CellTags->"IPM3.Sol.11.3"],

Cell[BoxData[
    \(\(Options[LifeGraphics] = 
        Colors \[Rule] {1 \[Rule] RGBColor[1, 0, 0], 
            0 \[Rule] RGBColor[0, 0, 0]};\)\)], "Input",
  CellLabel->"In[1]:=",
  CellTags->"IPM3.Sol.11.3"],

Cell[BoxData[
    \(LifeGraphics[lis_, opts___?OptionQ] := 
      Module[{colors}, \[IndentingNewLine]colors = 
          Colors /. Flatten[{opts, 
                Options[
                  LifeGraphics]}]; \
\[IndentingNewLine]Map[\[IndentingNewLine]Graphics[
              RasterArray[\[IndentingNewLine]Reverse[# /. \[InvisibleSpace]\
\[InvisibleSpace]colors]], \[IndentingNewLine]AspectRatio \[Rule] 
                Automatic] &, lis]]\)], "Input",
  CellLabel->"In[2]:=",
  CellTags->"IPM3.Sol.11.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Options[LifeGraphics]\)], "Input",
  CellLabel->"In[3]:=",
  CellTags->"IPM3.Sol.11.3"],

Cell[BoxData[
    \({Colors \[Rule] {1 \[Rule] RGBColor[1, 0, 0], 
          0 \[Rule] RGBColor[0, 0, 0]}}\)], "Output",
  CellLabel->"Out[3]=",
  CellTags->"IPM3.Sol.11.3"]
}, Closed]],

Cell[BoxData[
    \(LifeGame[n_Integer?Positive, steps_] := 
      Module[{gameboard, liveNeighbors, 
          update}, \[IndentingNewLine]gameboard = 
          Table[Random[Integer], {n}, {n}]; \[IndentingNewLine]liveNeighbors[
            mat_] := Apply[Plus, 
            Map[RotateRight[
                  mat, #] &, \[IndentingNewLine]{{\(-1\), \(-1\)}, {\(-1\), 
                  0}, {\(-1\), 1}, {0, \(-1\)}, {0, 1}, {1, \(-1\)}, {1, 
                  0}, {1, 1}}]]; \[IndentingNewLine]update[1, 2] := 
          1; \[IndentingNewLine]update[_, 3] := 
          1; \[IndentingNewLine]update[_, _] := 
          0; \[IndentingNewLine]SetAttributes[update, 
          Listable]; \[IndentingNewLine]FixedPointList[
          update[#, liveNeighbors[#]] &, gameboard, 
          steps]\[IndentingNewLine]]\)], "Input",
  CellLabel->"In[4]:=",
  CellTags->"IPM3.Sol.11.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Show[Last[LifeGraphics[LifeGame[10, 5]]]];\)\)], "Input",
  CellLabel->"In[5]:=",
  CellTags->"IPM3.Sol.11.3"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.0952381 0.0238095 0.0952381 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of colorimage (RGB)
p
.02381 .02381 translate
.95238 .95238 scale
30 string
10 10 8 [10 0 0 10 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  false 3 Mcolorimage
000000000000000000000000000000FF0000FF0000FF0000000000000000
000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000FF0000000000FF0000000000000000
000000000000000000000000000000000000FF0000FF0000000000000000
000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000FF0000FF0000FF0000
000000000000000000000000000000000000000000FF0000FF0000FF0000
FF0000000000000000000000000000000000000000FF0000000000000000
000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000FF0000000000FF0000
pop
P
% End of image
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[5]:=",
  ImageSize->{161.938, 161.938},
  ImageMargins->{{42.6875, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40001T0000I2000`400?l00000o`00003oI03oool0
06@0oooo001T0?ooo`000P3oool`000001`0o`004`0000030?ooo`000P3oool`000001`0o`004`00
00030?ooo`000P3oool`000001`0o`004`0000030?ooo`000P3oool`000001`0o`004`0000030?oo
o`000P3oool`000001`0o`004`0000030?ooo`000P3oool`000001`0o`004`0000030?ooo`000P3o
ool`000001`0o`004`0000030?ooo`000P3oool`000001`0o`004`0000030?ooo`000P3oool`0000
01`0o`004`0000030?ooo`000P3oool`000001`0o`004`0000030?ooo`000P3ooomO000000<0oooo
00020?oooel000000`3oool00080ooooG`0000030?ooo`000P3ooomO000000<0oooo00020?oooel0
00000`3oool00080ooooG`0000030?ooo`000P3ooomO000000<0oooo00020?oooel000000`3oool0
0080ooooG`0000030?ooo`000P3oool`000000T0o`002P0000090?l001<000000`3oool00080oooo
<00000090?l000X000002@3o000C000000<0oooo00020?oooc0000002@3o000:000000T0o`004`00
00030?ooo`000P3oool`000000T0o`002P0000090?l001<000000`3oool00080oooo<00000090?l0
00X000002@3o000C000000<0oooo00020?oooc0000002@3o000:000000T0o`004`0000030?ooo`00
0P3oool`000000T0o`002P0000090?l001<000000`3oool00080oooo<00000090?l000X000002@3o
000C000000<0oooo00020?oooc0000002@3o000:000000T0o`004`0000030?ooo`000P3oool`0000
00T0o`002P0000090?l001<000000`3oool00080oooo>@00000C0?l001<000000`3oool00080oooo
>@00000C0?l001<000000`3oool00080oooo>@00000C0?l001<000000`3oool00080oooo>@00000C
0?l001<000000`3oool00080oooo>@00000C0?l001<000000`3oool00080oooo>@00000C0?l001<0
00000`3oool00080oooo>@00000C0?l001<000000`3oool00080oooo>@00000C0?l001<000000`3o
ool00080oooo>@00000C0?l001<000000`3oool00080ooooG`0000030?ooo`000P3ooomO000000<0
oooo00020?oooel000000`3oool00080ooooG`0000030?ooo`000P3ooomO000000<0oooo00020?oo
oel000000`3oool00080ooooG`0000030?ooo`000P3ooomO000000<0oooo00020?oooel000000`3o
ool00080oooo@`00000L0?l000<0oooo00020?oood<00000703o00030?ooo`000P3ooom3000001`0
o`000`3oool00080oooo@`00000L0?l000<0oooo00020?oood<00000703o00030?ooo`000P3ooom3
000001`0o`000`3oool00080oooo@`00000L0?l000<0oooo00020?oood<00000703o00030?ooo`00
0P3ooom3000001`0o`000`3oool00080oooo@`00000L0?l000<0oooo00020?oood<00000703o0003
0?ooo`000P3ooom3000001`0o`000`3oool00080oooo@`00000L0?l000<0oooo00020?oood<00000
703o00030?ooo`000P3ooom3000001`0o`000`3oool00080oooo@`00000L0?l000<0oooo00020?oo
od<00000703o00030?ooo`000P3ooom3000001`0o`000`3oool00080oooo@`00000L0?l000<0oooo
00020?ooo`T0o`00>P0000090?l001<000000`3oool00080oooo2@3o000j000000T0o`004`000003
0?ooo`000P3oool90?l003X000002@3o000C000000<0oooo00020?ooo`T0o`00>P0000090?l001<0
00000`3oool00080oooo2@3o000j000000T0o`004`0000030?ooo`000P3oool90?l003X000002@3o
000C000000<0oooo00020?ooo`T0o`00>P0000090?l001<000000`3oool00080oooo2@3o000j0000
00T0o`004`0000030?ooo`000P3oool90?l003X000002@3o000C000000<0oooo00020?oooel00000
0`3oool00080ooooG`0000030?ooo`000P3ooomO000000<0oooo00020?oooel000000`3oool00080
ooooG`0000030?ooo`000P3ooomO000000<0oooo00020?oooel000000`3oool00080ooooG`000003
0?ooo`000P3ooomO000000<0oooo00020?oooel000000`3oool00080oooo@`0000090?l000X00000
2@3o00030?ooo`000P3ooom3000000T0o`002P0000090?l000<0oooo00020?oood<000002@3o000:
000000T0o`000`3oool00080oooo@`0000090?l000X000002@3o00030?ooo`000P3ooom3000000T0
o`002P0000090?l000<0oooo00020?oood<000002@3o000:000000T0o`000`3oool00080oooo@`00
00090?l000X000002@3o00030?ooo`000P3ooom3000000T0o`002P0000090?l000<0oooo00020?oo
od<000002@3o000:000000T0o`000`3oool006@0oooo001T0?ooo`00I03oool00001\
\>"],
  ImageRangeCache->{{{152.938, 252.313}, {570.625, 471.25}} -> {-16.4096, \
49.5429, 0.0655101, 0.0655101}},
  CellTags->"IPM3.Sol.11.3"]
}, Closed]],

Cell[BoxData[
    \(<< Graphics`Colors`\)], "Input",
  CellLabel->"In[6]:=",
  CellTags->"IPM3.Sol.11.3"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Show[
      Last[LifeGraphics[
          LifeGame[10, 
            5], \[IndentingNewLine]Colors \[Rule] {0 \[Rule] Blue, 
              1 \[Rule] Green}]]]\)], "Input",
  CellLabel->"In[7]:=",
  CellTags->"IPM3.Sol.11.3"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 9  scalefont  setfont
% Scaling calculations
0.0238095 0.0952381 0.0238095 0.0952381 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of colorimage (RGB)
p
.02381 .02381 translate
.95238 .95238 scale
30 string
10 10 8 [10 0 0 10 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  false 3 Mcolorimage
0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF00FF00
0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF
00FF0000FF000000FF0000FF0000FF0000FF0000FF0000FF0000FF00FF00
00FF0000FF0000FF0000FF0000FF0000FF0000FF000000FF00FF0000FF00
0000FF0000FF00FF000000FF00FF0000FF000000FF00FF000000FF00FF00
0000FF0000FF00FF000000FF00FF0000FF0000FF0000FF0000FF0000FF00
0000FF00FF000000FF00FF000000FF0000FF0000FF0000FF00FF0000FF00
0000FF00FF0000FF000000FF0000FF0000FF0000FF0000FF0000FF00FF00
0000FF00FF0000FF000000FF0000FF0000FF0000FF0000FF00FF0000FF00
00FF0000FF0000FF000000FF0000FF0000FF0000FF0000FF00FF0000FF00
pop
P
% End of image
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[7]:=",
  ImageSize->{162.063, 162.063},
  ImageMargins->{{42.125, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40001T0000I2000`400?l00000o`00003oI03oool0
06@0oooo001T0?ooo`000P3ooomF0000o`X00?l00P3oool00080ooooEP000?l:003o0080oooo0002
0?oooeH0003o2P00o`020?ooo`000P3ooomF0000o`X00?l00P3oool00080ooooEP000?l:003o0080
oooo00020?oooeH0003o2P00o`020?ooo`000P3ooomF0000o`X00?l00P3oool00080ooooEP000?l:
003o0080oooo00020?oooeH0003o2P00o`020?ooo`000P3ooomF0000o`X00?l00P3oool00080oooo
H0000?l20?ooo`000P3ooomP0000o`80oooo00020?ooof00003o0P3oool00080ooooH0000?l20?oo
o`000P3ooomP0000o`80oooo00020?ooof00003o0P3oool00080ooooH0000?l20?ooo`000P3ooomP
0000o`80oooo00020?ooof00003o0P3oool00080oooo4`00o`130000o`X00?l00P3oool00080oooo
4`00o`130000o`X00?l00P3oool00080oooo4`00o`130000o`X00?l00P3oool00080oooo4`00o`13
0000o`X00?l00P3oool00080oooo4`00o`130000o`X00?l00P3oool00080oooo4`00o`130000o`X0
0?l00P3oool00080oooo4`00o`130000o`X00?l00P3oool00080oooo4`00o`130000o`X00?l00P3o
ool00080oooo4`00o`130000o`X00?l00P3oool00080oooo4`00o`130000o`X00?l00P3oool00080
oooo@`00o`090000oa@00?l00P3oool00080oooo@`00o`090000oa@00?l00P3oool00080oooo@`00
o`090000oa@00?l00P3oool00080oooo@`00o`090000oa@00?l00P3oool00080oooo@`00o`090000
oa@00?l00P3oool00080oooo@`00o`090000oa@00?l00P3oool00080oooo@`00o`090000oa@00?l0
0P3oool00080oooo@`00o`090000oa@00?l00P3oool00080oooo@`00o`090000oa@00?l00P3oool0
0080oooo4`000?l:003o00T0003o4`00o`0:0000o`T00?l02P000?l:003o0080oooo00020?oooa<0
003o2P00o`090000oa<00?l02P000?l9003o00X0003o2P00o`020?ooo`000P3ooolC0000o`X00?l0
2@000?lC003o00X0003o2@00o`0:0000o`X00?l00P3oool00080oooo4`000?l:003o00T0003o4`00
o`0:0000o`T00?l02P000?l:003o0080oooo00020?oooa<0003o2P00o`090000oa<00?l02P000?l9
003o00X0003o2P00o`020?ooo`000P3ooolC0000o`X00?l02@000?lC003o00X0003o2@00o`0:0000
o`X00?l00P3oool00080oooo4`000?l:003o00T0003o4`00o`0:0000o`T00?l02P000?l:003o0080
oooo00020?oooa<0003o2P00o`090000oa<00?l02P000?l9003o00X0003o2P00o`020?ooo`000P3o
oolC0000o`X00?l02@000?lC003o00X0003o2@00o`0:0000o`X00?l00P3oool00080oooo4`000?l:
003o00T0003o>P00o`020?ooo`000P3ooolC0000o`X00?l02@000?lj003o0080oooo00020?oooa<0
003o2P00o`090000ocX00?l00P3oool00080oooo4`000?l:003o00T0003o>P00o`020?ooo`000P3o
oolC0000o`X00?l02@000?lj003o0080oooo00020?oooa<0003o2P00o`090000ocX00?l00P3oool0
0080oooo4`000?l:003o00T0003o>P00o`020?ooo`000P3ooolC0000o`X00?l02@000?lj003o0080
oooo00020?oooa<0003o2P00o`090000ocX00?l00P3oool00080oooo4`000?l:003o00T0003o>P00
o`020?ooo`000P3oool90000o`X00?l02P000?l9003o02H0003o5000o`020?ooo`000P3oool90000
o`X00?l02P000?l9003o02H0003o5000o`020?ooo`000P3oool90000o`X00?l02P000?l9003o02H0
003o5000o`020?ooo`000P3oool90000o`X00?l02P000?l9003o02H0003o5000o`020?ooo`000P3o
ool90000o`X00?l02P000?l9003o02H0003o5000o`020?ooo`000P3oool90000o`X00?l02P000?l9
003o02H0003o5000o`020?ooo`000P3oool90000o`X00?l02P000?l9003o02H0003o5000o`020?oo
o`000P3oool90000o`X00?l02P000?l9003o02H0003o5000o`020?ooo`000P3oool90000o`X00?l0
2P000?l9003o02H0003o5000o`020?ooo`000P3oool90000oa@00?l0>@000?l:003o0080oooo0002
0?ooo`T0003o5000o`0i0000o`X00?l00P3oool00080oooo2@000?lD003o03T0003o2P00o`020?oo
o`000P3oool90000oa@00?l0>@000?l:003o0080oooo00020?ooo`T0003o5000o`0i0000o`X00?l0
0P3oool00080oooo2@000?lD003o03T0003o2P00o`020?ooo`000P3oool90000oa@00?l0>@000?l:
003o0080oooo00020?ooo`T0003o5000o`0i0000o`X00?l00P3oool00080oooo2@000?lD003o03T0
003o2P00o`020?ooo`000P3oool90000oa@00?l0;`000?lD003o0080oooo00020?ooo`T0003o5000
o`0_0000oa@00?l00P3oool00080oooo2@000?lD003o02l0003o5000o`020?ooo`000P3oool90000
oa@00?l0;`000?lD003o0080oooo00020?ooo`T0003o5000o`0_0000oa@00?l00P3oool00080oooo
2@000?lD003o02l0003o5000o`020?ooo`000P3oool90000oa@00?l0;`000?lD003o0080oooo0002
0?ooo`T0003o5000o`0_0000oa@00?l00P3oool00080oooo2@000?lD003o02l0003o5000o`020?oo
o`000P3oool90000oa@00?l0;`000?lD003o0080oooo00020?oooad00?l0;`000?lD003o0080oooo
00020?oooad00?l0;`000?lD003o0080oooo00020?oooad00?l0;`000?lD003o0080oooo00020?oo
oad00?l0;`000?lD003o0080oooo00020?oooad00?l0;`000?lD003o0080oooo00020?oooad00?l0
;`000?lD003o0080oooo00020?oooad00?l0;`000?lD003o0080oooo00020?oooad00?l0;`000?lD
003o0080oooo00020?oooad00?l0;`000?lD003o0080oooo001T0?ooo`00I03oool006@0oooo0000
\
\>"],
  ImageRangeCache->{{{152.563, 252}, {239.063, 139.625}} -> {-16.3599, \
14.4937, 0.0654689, 0.0654689}},
  CellTags->"IPM3.Sol.11.3"],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[7]=",
  CellTags->"IPM3.Sol.11.3"]
}, Closed]],

Cell[BoxData[
    \(<< Utilities`FilterOptions`\)], "Input",
  CellLabel->"In[8]:=",
  CellTags->"IPM3.Sol.11.3"],

Cell[BoxData[
    \(\(Options[LifeGraphics] = 
        Colors \[Rule] {1 \[Rule] RGBColor[1, 0, 0], 
            0 \[Rule] RGBColor[0, 0, 0]};\)\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.11.3"],

Cell[BoxData[
    \(AnimateLife[lis_, opts___?OptionQ] := 
      Scan[Show, 
        LifeGraphics[lis, FilterOptions[LifeGraphics, opts]]]\)], "Input",
  CellLabel->"In[10]:=",
  CellTags->"IPM3.Sol.11.3"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
We will use essentially the same function as before, but we will \
\[OpenCurlyDoubleQuote]overload\[CloseCurlyDoubleQuote] the function by \
providing a definition for the case when a third argument is provided.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.11.3"],

Cell[BoxData[
    \(LifeGame[n_, steps_, lifeform_List] := 
      Module[{init = Table[0, {n}, {n}], gameboard, liveNeighbors, 
          update}, \[IndentingNewLine]gameboard = 
          ReplacePart[init, 1, lifeform]; 
        liveNeighbors[mat_] := 
          Apply[Plus, 
            Map[RotateRight[mat, #] &, {{\(-1\), \(-1\)}, {\(-1\), 
                  0}, {\(-1\), 1}, {0, \(-1\)}, {0, 1}, {1, \(-1\)}, {1, 
                  0}, {1, 1}}]]; \[IndentingNewLine]update[1, 2] := 
          1; \[IndentingNewLine]update[_, 3] := 
          1; \[IndentingNewLine]update[_, _] := 
          0; \[IndentingNewLine]Attributes[update] = Listable; 
        FixedPointList[update[#, liveNeighbors[#]] &, gameboard, 
          steps]]\)], "Input",
  CellLabel->"In[11]:=",
  CellTags->"IPM3.Sol.11.3"],

Cell[TextData[{
  "If ",
  StyleBox["LifeGame", "MR"],
  " is called with two arguments, then the definition given earlier will be \
applied (random initial game board). If ",
  StyleBox["LifeGame", "MR"],
  " is called with three arguments, then this definition above will be \
matched."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.3"],

Cell[TextData[{
  "Here is a game played on a ",
  Cell[BoxData[
      \(TraditionalForm\`50\[Times]50\)]],
  " board, starting with a glider object initially at lattice site (20, 20), \
and played for ten generations."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.3"],

Cell[BoxData[
    \(glider[x_, 
        y_] := {{x, y}, {x + 1, y}, {x + 2, y}, {x + 2, y + 1}, {x + 1, 
          y + 2}}\)], "Input",
  CellLabel->"In[12]:=",
  CellTags->"IPM3.Sol.11.3"],

Cell[BoxData[
    \(\(lg50 = LifeGame[50, 10, glider[20, 20]];\)\)], "Input",
  CellLabel->"In[13]:=",
  CellTags->"IPM3.Sol.11.3"],

Cell[TextData[{
  "This game could then be animated by evaluating ",
  StyleBox["AnimateLife[lg50]", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.3"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["12 Writing packages", "SolutionsSection",
  CellTags->"c:12"],

Cell[CellGroupData[{

Cell[TextData[{
  ButtonBox["12.5",
    ButtonData:>"IPM3.12.5.2",
    ButtonStyle->"SolutionsLink"],
  "  Writing your own packages"
}], "SolutionsSubsection",
  CellTags->"IPM3.Sol.12.5"],

Cell[CellGroupData[{

Cell[TextData[{
  "Here are the definitions for the auxiliary ",
  StyleBox["collatz", "MR"],
  " function."
}], "SolutionItem",
  CellTags->"IPM3.Sol.12.5"],

Cell[BoxData[
    \(collatz[n_?EvenQ] := n/2\)], "Input",
  CellLabel->"In[1]:="],

Cell[BoxData[
    \(collatz[n_?OddQ] := 3  n + 1\)], "Input",
  CellLabel->"In[2]:="]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
This is essentially the definition given in the solution to Exercise 5 from \
Section 5.3.\
\>", "SolutionItem",
  CellTags->"IPM3.Sol.12.5"],

Cell[BoxData[
    \(CollatzSequence[n_] := 
      NestWhileList[collatz, n, # \[NotEqual] 1 &]\)], "Input",
  CellLabel->"In[3]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(CollatzSequence[7]\)], "Input",
  CellLabel->"In[4]:="],

Cell[BoxData[
    \({7, 22, 11, 34, 17, 52, 26, 13, 40, 20, 10, 5, 16, 8, 4, 2, 
      1}\)], "Output",
  CellLabel->"Out[4]="]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "First we write the usage message for ",
  StyleBox["CollatzSequence", "MR"],
  ", our public function. Notice that we write no usage message for the \
private ",
  StyleBox["collatz", "MR"],
  " function."
}], "SolutionItem",
  CellTags->"IPM3.Sol.12.5"],

Cell[BoxData[
    \(\(CollatzSequence::usage = "\<CollatzSequence[n] computes the sequence \
of Collatz iterates starting with initial value n. The sequence terminates as \
soon as it reaches the value 1.\>";\)\)], "Input",
  CellLabel->"In[5]:="],

Cell[TextData[{
  "Here is the warning message that will be issued whenever ",
  StyleBox["CollatzSequence", "MR"],
  " is passed an argument that is not a positive integer."
}], "SolutionNoLabel"],

Cell[BoxData[
    \(\(CollatzSequence::notint = "\<First argument, `1`, to CollatzSequence \
must be a positive integer.\>";\)\)], "Input",
  CellLabel->"In[6]:="]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Here is the modified definition which now issues the warning message \
created in Exercise 3 whenever the argument ",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  " is not a positive integer."
}], "SolutionItem",
  CellTags->"IPM3.Sol.12.5"],

Cell[BoxData[
    \(CollatzSequence[n_] := \[IndentingNewLine]If[
        IntegerQ[n] && n \[GreaterEqual] 0, \[IndentingNewLine]NestWhileList[
          collatz, n, # \[NotEqual] 1 &], \[IndentingNewLine]Message[
          CollatzSequence::notint, n]\[IndentingNewLine]]\)], "Input",
  CellLabel->"In[7]:="],

Cell[TextData[{
  "The following case covers the situation when CollatzSequence is passed two \
or more arguments. Note that it uses the built-in ",
  StyleBox["argx", "MR"],
  " message, which is issued whenever built-in functions are passed the wrong \
number of arguments."
}], "SolutionNoLabel"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(CollatzSequence[_, args__]\), "/;", 
        RowBox[{"Message", "[", 
          RowBox[{
            RowBox[{
              StyleBox["CollatzSequence",
                "Color1"], "::", "argx"}], ",", "CollatzSequence", 
            ",", \(Length[{args}] + 1\)}], "]"}]}], ":=", "Null"}]], "Input",
  CellLabel->"In[8]:=",
  CellTags->{"M220:7.8.10-2", "M220.7.8"}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "The package begins by giving ",
  StyleBox["usage messages", "TermDefinition"],
  " for every exported function. The functions to be exported are ",
  StyleBox["mentioned",
    FontSlant->"Italic"],
  " here \[Dash]",
  StyleBox[" before",
    FontSlant->"Italic"],
  " the subcontext ",
  StyleBox["Private`", "MR"],
  " is entered \[Dash] so that name ",
  StyleBox["CollatzSequence", "MR"],
  " has context ",
  StyleBox["Collatz`", "MR"],
  ". Notice that ",
  StyleBox["collatz", "MR"],
  " is ",
  StyleBox["not",
    FontSlant->"Italic"],
  " mentioned here and hence will not be accessible to the user of this \
package."
}], "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.12.5"],

Cell[BoxData[
    \(Quit[]\)], "Input",
  CellLabel->"In[9]:=",
  CellTags->"IPM3.Sol.12.5"],

Cell[BoxData[
    \(\(BeginPackage["\<IPM3`Collatz`\>"];\)\)], "Input",
  CellLabel->"In[1]:="],

Cell[BoxData[
    \(\(CollatzSequence::usage = "\<CollatzSequence[n] computes the sequence \
of Collatz iterates starting with initial value n. The sequence terminates as \
soon as it reaches the value 1.\>";\)\)], "Input",
  CellLabel->"In[2]:="],

Cell[BoxData[
    \(\(CollatzSequence::notint = "\<First argument, `1`, to CollatzSequence \
must be a positive integer.\>";\)\)], "Input",
  CellLabel->"In[3]:="],

Cell[TextData[{
  "A new context ",
  StyleBox["IPM3`Collatz`Private`", "MR"],
  " is then begun ",
  StyleBox["within",
    FontSlant->"Italic"],
  " ",
  StyleBox["IPM3`Collatz", "MR"],
  ". All of the definitions of this package are given within this new \
context. The context ",
  StyleBox["IPM3`Collatz`CollatzSequence", "MR"],
  " is defined within the ",
  StyleBox["System`", "MR"],
  " context. The context of ",
  StyleBox["collatz", "MR"],
  ", on the other hand, is ",
  StyleBox["IPM3`Collatz`Private`", "MR"],
  "."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.12.5"],

Cell[BoxData[
    \(\(Begin["\<`Private`\>"];\)\)], "Input",
  CellLabel->"In[4]:="],

Cell[BoxData[
    \(collatz[n_?EvenQ] := n/2\)], "Input",
  CellLabel->"In[5]:="],

Cell[BoxData[
    \(collatz[n_?OddQ] := 3  n + 1\)], "Input",
  CellLabel->"In[6]:="],

Cell[BoxData[
    \(CollatzSequence[n_] := \[IndentingNewLine]If[
        IntegerQ[n] && n \[GreaterEqual] 0, \[IndentingNewLine]NestWhileList[
          collatz, n, # \[NotEqual] 1 &], \[IndentingNewLine]Message[
          CollatzSequence::notint, n]]\)], "Input",
  CellLabel->"In[7]:="],

Cell[BoxData[
    RowBox[{
      RowBox[{\(CollatzSequence[_, args__]\), "/;", 
        RowBox[{"Message", "[", 
          RowBox[{
            RowBox[{
              StyleBox["CollatzSequence",
                "Color1"], "::", "argx"}], ",", "CollatzSequence", 
            ",", \(Length[{args}] + 1\)}], "]"}]}], ":=", "Null"}]], "Input",
  CellLabel->"In[8]:=",
  CellTags->{"M220:7.8.10-2", "M220.7.8"}],

Cell[BoxData[
    \(\(End[];\)\)], "Input",
  CellLabel->"In[9]:="],

Cell[BoxData[
    \(EndPackage[]\)], "Input",
  CellLabel->"In[10]:="],

Cell[TextData[{
  "After the ",
  StyleBox["End[]", "MR"],
  " and ",
  StyleBox["EndPackage[]", "MR"],
  " functions are evaluated, ",
  StyleBox["$Context", "MR"],
  " and ",
  StyleBox["$ContextPath", "MR"],
  " revert to whatever they were before, except that ",
  StyleBox["IPM3`Collatz`", "MR"],
  " is added to ",
  StyleBox["$ContextPath", "MR"],
  ". Users can refer to ",
  StyleBox["CollatzSequence", "MR"],
  " using its short name, but they can only refer to the auxiliary function \
",
  StyleBox["collatz", "MR"],
  " by its full name. The intent is to discourage clients from using ",
  StyleBox["collatz", "MR"],
  " at all, and doing so should definitely be avoided, since the author of \
the package may change or remove auxiliary definitions at a later time."
}], "SolutionNoLabel",
  CellTags->"IPM3.Sol.12.5"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 685}},
AutoGeneratedPackage->None,
ScreenStyleEnvironment->"Working",
PrintingStyleEnvironment->"Production",
CellGrouping->Manual,
WindowSize->{632, 573},
WindowMargins->{{2, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingStartingPageNumber->433,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, Cell[ 
        TextData[ {"An Introduction to Programming with ", 
          StyleBox[ "Mathematica", "IT"]}], "Header"]}, {Cell[ 
        TextData[ {"Solutions to exercises"}], "Header"], Inherited, 
      Inherited}},
PrintingOptions->{"PrintingMargins"->{{54, 54}, {72, 72}},
"PrintCellBrackets"->False,
"PrintRegistrationMarks"->False,
"PrintMultipleHorizontalPages"->False,
"FacingPages"->True},
ShowSelection->True,
TaggingRules:>{"NextIndexingNumber" -> 7, "IndexEntries" -> {{"i:1", 
  StyleBox[ "Pick", "MR"]}, {"i:2", 
  StyleBox[ "IgnoreCase", "MR"]}, {"i:3", 
  StyleBox[ "ArrayPlot", "MR"]}, {"i:4", 
  StyleBox[ 
  "Subsets", "MR"]}, {"i:5", "Overloading function definitions"}, {"i:6", 
  StyleBox[ 
  "FilterOptions", 
    "MR"]}, {"i:2", "Strings", "ignoring case of"}, {"i:5", "Functions", \
"overloading"}}, "PaginationCache" -> {{2004, 9, 2, 17, 39, \
28.2391072`9.203425874848678}, {433, 433, 433, 433, 433, 433, 433, 433, 433, \
433, 433, 433, 433, 433, 433, 433, 433, 433, 433, 433, 433, 433, 433, 434, \
434, 434, 434, 434, 434, 434, 434, 434, 434, 434, 434, 434, 434, 434, 434, \
434, 434, 434, 434, 434, 434, 434, 434, 435, 435, 435, 435, 435, 435, 435, \
435, 435, 435, 435, 435, 435, 435, 435, 435, 435, 435, 435, 435, 435, 435, \
435, 435, 435, 436, 436, 436, 436, 436, 436, 436, 436, 436, 436, 436, 436, \
436, 436, 436, 436, 436, 436, 436, 436, 436, 436, 436, 436, 437, 437, 437, \
437, 437, 437, 437, 437, 437, 437, 437, 437, 437, 437, 437, 437, 437, 437, \
437, 437, 437, 437, 437, 438, 438, 438, 438, 438, 438, 438, 438, 438, 438, \
438, 438, 438, 438, 438, 438, 438, 438, 438, 438, 438, 438, 438, 438, 438, \
438, 439, 439, 439, 439, 439, 439, 439, 439, 439, 439, 439, 439, 439, 439, \
439, 439, 439, 439, 439, 439, 439, 439, 439, 439, 439, 439, 440, 440, 440, \
440, 440, 440, 440, 440, 440, 440, 440, 440, 440, 440, 440, 440, 440, 440, \
440, 440, 440, 440, 440, 440, 440, 440, 441, 441, 441, 441, 441, 441, 441, \
441, 441, 441, 441, 441, 441, 441, 441, 441, 441, 441, 441, 441, 441, 441, \
441, 441, 441, 442, 442, 442, 442, 442, 442, 442, 442, 442, 442, 442, 442, \
442, 442, 442, 442, 442, 442, 442, 442, 442, 442, 442, 443, 443, 443, 443, \
443, 443, 443, 443, 443, 443, 443, 443, 443, 443, 443, 443, 443, 443, 443, \
443, 443, 443, 444, 444, 444, 444, 444, 444, 444, 444, 444, 444, 444, 444, \
444, 444, 444, 444, 444, 444, 444, 444, 444, 444, 444, 444, 444, 445, 445, \
445, 445, 445, 445, 445, 445, 445, 445, 445, 445, 445, 445, 445, 445, 445, \
445, 445, 445, 445, 445, 445, 445, 445, 445, 446, 446, 446, 446, 446, 446, \
446, 446, 446, 446, 446, 446, 446, 446, 446, 446, 446, 446, 446, 446, 446, \
446, 447, 447, 447, 447, 447, 447, 447, 447, 447, 447, 447, 447, 447, 447, \
447, 447, 447, 447, 447, 447, 447, 447, 447, 447, 448, 448, 448, 448, 448, \
448, 448, 448, 448, 448, 448, 448, 448, 448, 448, 448, 448, 449, 449, 449, \
449, 449, 449, 449, 449, 449, 449, 449, 449, 449, 449, 449, 449, 449, 449, \
449, 449, 450, 450, 450, 450, 450, 450, 450, 450, 450, 450, 450, 450, 450, \
450, 450, 450, 450, 450, 450, 451, 451, 451, 451, 451, 451, 451, 451, 451, \
451, 451, 451, 451, 451, 451, 451, 451, 451, 451, 451, 451, 452, 452, 452, \
452, 452, 452, 452, 452, 452, 452, 452, 452, 452, 452, 452, 452, 452, 452, \
452, 452, 452, 452, 453, 453, 453, 453, 453, 453, 453, 453, 453, 453, 453, \
453, 453, 453, 453, 453, 453, 453, 453, 453, 453, 453, 453, 453, 453, 454, \
454, 454, 454, 454, 454, 454, 454, 454, 454, 454, 454, 454, 454, 454, 454, \
454, 454, 454, 455, 455, 455, 455, 455, 455, 455, 455, 455, 455, 455, 455, \
455, 455, 455, 455, 455, 455, 455, 455, 456, 456, 456, 456, 456, 456, 456, \
456, 456, 456, 456, 456, 456, 456, 456, 456, 457, 457, 457, 457, 457, 457, \
457, 457, 457, 457, 457, 457, 457, 457, 457, 457, 457, 457, 457, 457, 458, \
458, 458, 458, 458, 458, 458, 458, 458, 458, 458, 458, 458, 458, 458, 458, \
458, 458, 458, 458, 458, 458, 459, 459, 459, 459, 459, 459, 459, 459, 459, \
459, 459, 459, 459, 459, 459, 459, 459, 459, 459, 459, 460, 460, 460, 460, \
460, 460, 460, 460, 460, 460, 460, 460, 460, 460, 460, 460, 460, 460, 460, \
460, 460, 460, 460, 461, 461, 461, 461, 461, 461, 461, 461, 461, 461, 461, \
461, 461, 461, 461, 461, 461, 461, 462, 462, 462, 462, 462, 462, 462, 462, \
462, 462, 462, 462, 462, 462, 463, 463, 463, 463, 463, 463, 463, 463, 463, \
463, 463, 463, 463, 463, 463, 463, 463, 464, 464, 464, 464, 464, 464, 464, \
464, 464, 464, 464, 464, 464, 464, 464, 464, 465, 465, 465, 465, 465, 465, \
465, 465, 465, 465, 465, 465, 465, 465, 466, 466, 466, 466, 466, 466, 466, \
466, 466, 466, 466, 466, 466, 466, 466, 466, 467, 467, 467, 467, 467, 467, \
467, 467, 467, 467, 467, 467, 467, 467, 467, 467, 467, 467, 468, 468, 468, \
468, 468, 468, 468, 468, 468, 468, 468, 468, 468, 468, 468, 468, 468, 468, \
468, 468, 468, 469, 469, 469, 469, 469, 469, 469, 469, 469, 469, 469, 469, \
469, 469, 469, 469, 469, 469, 469, 469, 469, 470, 470, 470, 470, 470, 470, \
470, 470, 470, 470, 470, 470, 470, 470, 470, 470, 470, 471, 471, 471, 471, \
471, 471, 471, 471, 471, 471, 471, 471, 471, 471, 471, 471, 471, 471, 471, \
471, 471, 471, 471, 471, 471, 472, 472, 472, 472, 472, 472, 472, 472, 472, \
472, 472, 472, 472, 472, 472, 472, 472, 472, 472, 472, 473, 473, 473, 473, \
473, 473, 473, 473, 473, 473, 473, 473, 473, 473, 473, 473, 473, 473, 473, \
474, 474, 474, 474, 474, 474, 474, 474, 474, 474, 474, 474, 474, 474, 474, \
474, 474, 474, 474, 474, 474, 474, 475, 475, 475, 475, 475, 475, 475, 475, \
475, 475, 475, 475, 475, 475, 475, 475, 475, 475, 475, 475, 476, 476, 476, \
476, 476, 476, 476, 476, 476, 476, 476, 477, 477, 477, 477, 477, 477, 477, \
477, 477, 477, 477, 477, 477, 477, 477, 477, 477, 477, 477, 477, 477, 477, \
477, 477, 478, 478, 478, 478, 478, 478, 478, 478, 478, 478, 478, 478, 478, \
478, 478, 478, 479, 479, 479, 479, 479, 479, 479, 479, 479, 479, 479, 479, \
479, 479, 479, 479, 480, 480, 480, 480, 480, 480, 480, 480, 480, 480, 480, \
481, 481, 481, 481, 481, 481, 481, 481, 481, 481, 481, 481, 482, 482, 482, \
482, 482, 482, 482, 482, 482, 482, 482, 482, 482, 482, 482, 482, 482, 482, \
482, 482, 483, 483, 483, 483, 483, 483, 483, 483, 483, 483, 483, 483, 483, \
483, 483, 483, 483, 483, 483, 483, 483, 484, 484, 484, 484, 484, 484, 484, \
484, 484, 484, 484, 484, 484, 484, 484, 484, 484, 484, 485, 485, 485, 485, \
485, 485, 485, 485, 485, 485, 485, 485, 485, 485, 485, 485, 485, 485, 485, \
486, 486, 486, 486, 486, 486, 486, 486, 486, 486, 486, 486, 486, 486, 486, \
486, 486, 487, 487, 487, 487, 487, 487, 487, 487, 487, 487, 487, 487, 488, \
488, 488, 488, 488, 488, 488, 488, 488, 488, 488, 488, 488, 488, 488, 488, \
488, 489, 489, 489, 489, 489, 489, 489, 489, 489, 489, 489, 489, 489, 489, \
489, 489, 489, 489, 489, 490, 490, 490, 490, 490, 490, 490, 490, 490, 490, \
490, 490, 490, 490, 490, 490, 490, 490, 491, 491, 491, 491, 491, 491, 491, \
491, 491, 491, 491, 491, 491, 491, 492, 492, 492, 492, 492, 492, 492, 492, \
492, 492, 492, 492, 492, 492, 492, 492, 492, 492, 492, 492, 493, 493, 493, \
493, 493, 493, 493, 493, 493, 493, 493, 493, 493, 493, 493, 493, 493, 493, \
493, 493, 494, 494, 494, 494, 494, 494, 494, 494, 494, 494, 494, 494, 494, \
494, 494, 494, 494, 494, 494, 494, 494, 494, 494, 494, 495, 495, 495, 495, \
495, 495, 495, 495, 495, 495, 495, 495, 495, 495, 495, 495, 495, 495, 495, \
495, 495, 495, 495, 495, 495, 495, 496, 496, 496, 496, 496, 496, 496, 496, \
496, 496, 496, 496, 496, 496, 496, 496, 496, 496, 496, 496, 496, 496, 496, \
496, 497, 497, 497, 497, 497, 497, 497, 497, 497, 497, 497, 497, 497, 497, \
497, 497, 497, 498, 498, 498, 498, 498, 498, 498, 498, 498, 498, 498, 498, \
498, 498, 499, 499, 499, 499, 499, 499, 499, 499, 499, 499, 500, 500, 500, \
500, 500, 500, 500, 500, 500, 500, 500, 500, 500, 500, 500, 500, 500, 500, \
501, 501, 501, 501, 501, 501, 501, 501, 501, 501, 501, 501, 501, 501, 501, \
502, 502, 502, 502, 502, 502, 502, 502, 502, 502, 502, 502, 502, 502, 502, \
502, 502, 502, 502, 502, 502, 502, 502, 502, 503, 503, 503, 503, 503, 503, \
503, 503, 503, 503, 503, 503, 503, 503, 503, 504, 504, 504, 504, 504, 504, \
504, 504, 504, 504, 504, 504, 504, 504, 504, 504, 504, 504, 504, 504, 504, \
505, 505, 505, 505, 505, 505, 505, 505, 505, 505, 505, 505, 505, 505, 505, \
505, 505, 506, 506, 506, 506, 506, 506, 506, 506, 506, 506, 506, 506, 506, \
506, 506, 506, 506, 507, 507, 507, 507, 507, 507, 507, 507, 507, 507, 507, \
507, 507, 507, 508, 508, 508, 508, 508, 508, 508, 508, 508, 508, 508, 508, \
508, 508, 508, 509, 509, 509, 509, 509, 509, 509, 509, 509, 509, 510, 510, \
510, 510, 510, 510, 510, 510, 510, 510, 510, 510, 510, 511, 511, 511, 511, \
511, 511, 511, 511, 511, 511, 511, 511, 511, 511, 512, 512, 512, 512, 512, \
512, 512, 512, 512, 512, 512, 513, 513, 513, 513, 513, 513, 513, 513, 513, \
513, 513, 513, 514, 514, 514, 514, 514, 514, 514, 514, 514, 514, 514, 514, \
514, 514, 515, 515, 515, 515, 515, 515, 515, 515, 515, 515, 515, 516, 516, \
516, 516, 516, 516, 516, 516, 516, 516, 516, 516, 516, 516, 516, 516, 516, \
516, 516, 517, 517, 517, 517, 517, 517, 517, 517, 517, 517, 517, 517, 518, \
518, 518, 518, 518, 518, 518, 518, 518, 518, 519, 519, 519, 519, 519, 519, \
519, 519, 519, 519, 519, 520, 520, 520, 520, 520, 520, 520, 520, 520, 520, \
520, 520, 520, 521, 521, 521, 521, 521, 521, 521, 521, 521, 521, 521, 521, \
521, 521, 521, 522, 522, 522, 522, 522, 522, 522, 522, 522, 522, 522, 522, \
522, 522, 522, 522, 523, 523, 523, 523, 523, 523, 523, 523, 523, 523, 523, \
523, 523, 523, 523, 523, 523, 524, 524, 524, 524, 524, 524, 524, 524, 524, \
524, 524, 524, 524, 524, 524, 524, 524, 525, 525, 525, 525, 525, 525, 525, \
525, 525, 525, 525, 525, 525, 525, 525, 525, 525, 525, 526, 526, 526, 526, \
526, 526, 526, 526, 526, 527, 527, 527, 527, 527, 527, 527, 527, 527, 527, \
527, 527, 527, 527, 527, 527, 528, 528, 528, 528, 528, 528, 528, 528, 528, \
528, 528, 528, 528, 528, 528, 528, 528, 529, 529, 529, 529, 529, 529, 530, \
530, 530, 530, 530, 530, 530, 530, 531, 531, 531, 531, 531, 531, 531, 531, \
531, 531, 531, 531, 531, 531, 531, 531, 532, 532, 532, 532, 532, 532, 532, \
532, 532, 532, 532, 532, 532, 532, 532, 532, 532, 532, 532, 532, 533, 533, \
533, 533, 533, 533, 533, 533, 533, 533, 533, 533, 533, 533, 533, 533, 533, \
533, 533, 533, 534, 534, 534, 534, 534, 534, 534, 534, 534, 534, 534, 534, \
534, 534, 535, 535, 535, 535, 535, 535, 535, 535, 535, 535, 535, 535, 535, \
535, 535, 536, 536, 536, 536, 536, 536, 536, 536, 536, 536, 536, 536, 537, \
537, 537, 537, 537, 537, 537, 537, 537, 537, 538, 538, 538, 538, 538, 538, \
538, 538, 538, 538, 538, 538, 538, 538, 538, 539, 539, 539, 539, 539, 539, \
539, 539, 539, 539, 539, 539, 539, 539, 539, 539, 539, 540, 540, 540, 540, \
540, 540, 540, 540, 540, 540, 540, 540, 540, 540, 540, 540, 540, 540, 540}, \
Automatic}},
CellLabelAutoDelete->False,
Magnification->1,
StyleDefinitions -> Notebook[{
  
  Cell[CellGroupData[{
  Cell[TextData[{
    "Style Definitions\n\n",
    StyleBox["An Introduction to Programming with Mathematica, ",
      FontSlant->"Italic"],
    "Third edition"
  }], "Subtitle",
    CellMargins->{{0, 0}, {20, 0}},
    Background->RGBColor[0.890196, 0.878431, 0.717647]],
  
  Cell[CellGroupData[{
  
  Cell["Style Environment Names", "Section"],
  
  Cell[StyleData[All, "Working"],
    PageWidth->WindowWidth,
    CellLabelMargins->{{12, Inherited}, {Inherited, Inherited}},
    ScriptMinSize->9],
  
  Cell[StyleData[All, "Presentation"],
    PageWidth->WindowWidth,
    CellLabelMargins->{{24, Inherited}, {Inherited, Inherited}},
    ScriptMinSize->12],
  
  Cell[StyleData[All, "Printout"],
    PageWidth->PaperWidth,
    CellLabelMargins->{{2, Inherited}, {Inherited, Inherited}},
    ScriptMinSize->5,
    PrivateFontOptions->{"FontType"->"Outline"}],
  
  Cell[StyleData[All, "Production"],
    PageWidth->PaperWidth,
    ShowCellBracket->False,
    CellLabelMargins->{{30, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 2},
    ScriptMinSize->5,
    PrivateFontOptions->{"FontType"->"Outline"}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Notebook Options", "Section"],
  
  Cell["\<\
The options defined for the style below will be used at the Notebook level.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Notebook"],
    PageHeaders->{{Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"], None, Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"]}, {Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"], None, Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"]}},
    StyleMenuListing->None],
  
  Cell[StyleData["Notebook", "Production"],
    PrintingOptions->{"PrintingMargins"->{{54, 54}, {72, 72}},
    "PaperSize"->{Automatic, Automatic},
    "PageSize"->{494, 701},
    "PageHeaderMargins"->{Automatic, Automatic},
    "PageFooterMargins"->{Automatic, Automatic},
    "PaperOrientation"->"Portrait",
    "PrintCellBrackets"->False,
    "PrintSelectionHighlighting"->False,
    "PrintRegistrationMarks"->True,
    "PrintMultipleHorizontalPages"->False,
    "FirstPageHeader"->False,
    "FirstPageFooter"->True,
    "RestPagesHeader"->True,
    "RestPagesFooter"->True,
    "FacingPages"->True,
    "FirstPageFace"->Right,
    "GraphicsPrintingFormat"->"Automatic",
    "PostScriptOutputFile":>"Automatic",
    "UsePostScriptOutputFile"->False,
    "UnixShellPrintingCommand"->Automatic,
    "UseUnixShellPrintingCommand"->False,
    "CellBackgroundHalftoneDensity"->Automatic,
    "CellBackgroundHalftoneAngle"->Automatic},
    CellFrameLabelMargins->6]
  }, Open  ]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headings", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Chapter"],
    ShowCellBracket->False,
    CellMargins->{{0, 0}, {24, 0}},
    CellGroupingRules->{"TitleGrouping", 0},
    ConversionRules:>{"TeX" -> {"\\chapter{", "}\n\n"}},
    CellFrameMargins->20,
    LineSpacing->{1, 6},
    CounterIncrements->"Chapter",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subtitle", 0}, {"Subsubtitle", 0}, {"Head1", 0}},
    CounterStyleMenuListing->None,
    FontFamily->"Times",
    FontSize->24,
    FontWeight->"Bold",
    Background->RGBColor[0.890196, 0.878431, 0.717647]],
  
  Cell[StyleData["Chapter", "Presentation"],
    FontSize->30,
    FontWeight->"Bold"],
  
  Cell[StyleData["Chapter", "Printout"],
    FontSize->22,
    Background->None],
  
  Cell[StyleData["Chapter", "Production"],
    CellMargins->{{0, Inherited}, {36, 18}},
    FontFamily->"Janson Text",
    FontSize->24,
    FontWeight->"Plain",
    Background->None]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subtitle"],
    CellMargins->{{12, Inherited}, {20, 15}},
    CellGroupingRules->{"TitleGrouping", 10},
    PageBreakBelow->False,
    DefaultNewInlineCellStyle->"None",
    InputAutoReplacements->{"TeX"->StyleBox[ 
            RowBox[ {"T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
                0.5], "X"}]], "LaTeX"->StyleBox[ 
            RowBox[ {"L", 
              StyleBox[ 
                AdjustmentBox[ 
                "A", BoxMargins -> {{-0.36, -0.1}, {0, -0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
                0.5], "X"}]], "mma"->"Mathematica", "Mma"->"Mathematica", 
        "MMA"->"Mathematica"},
    LanguageCategory->"NaturalLanguage",
    CounterIncrements->"Subtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subsubtitle", 0}},
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->24],
  
  Cell[StyleData["Subtitle", "Presentation"],
    CellMargins->{{24, 10}, {20, 20}},
    LineSpacing->{1, 0},
    FontSize->36],
  
  Cell[StyleData["Subtitle", "Printout"],
    CellMargins->{{2, 10}, {12, 8}},
    FontSize->18],
  
  Cell[StyleData["Subtitle", "Production"],
    CellMargins->{{2, 10}, {12, 8}},
    FontSize->18]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubtitle"],
    CellMargins->{{12, Inherited}, {20, 15}},
    CellGroupingRules->{"TitleGrouping", 20},
    PageBreakBelow->False,
    DefaultNewInlineCellStyle->"None",
    InputAutoReplacements->{"TeX"->StyleBox[ 
            RowBox[ {"T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
                0.5], "X"}]], "LaTeX"->StyleBox[ 
            RowBox[ {"L", 
              StyleBox[ 
                AdjustmentBox[ 
                "A", BoxMargins -> {{-0.36, -0.1}, {0, -0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
                0.5], "X"}]], "mma"->"Mathematica", "Mma"->"Mathematica", 
        "MMA"->"Mathematica"},
    LanguageCategory->"NaturalLanguage",
    CounterIncrements->"Subsubtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}},
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->14,
    FontSlant->"Italic"],
  
  Cell[StyleData["Subsubtitle", "Presentation"],
    CellMargins->{{24, 10}, {20, 20}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Subsubtitle", "Printout"],
    CellMargins->{{2, 10}, {12, 8}},
    FontSize->14],
  
  Cell[StyleData["Subsubtitle", "Production"],
    CellMargins->{{2, 10}, {12, 8}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Section"],
    CellDingbat->None,
    CellMargins->{{12, Inherited}, {0, 15}},
    CellGroupingRules->{"SectionGrouping", 30},
    ConversionRules:>{"TeX" -> {"\\section{", "}\n\n"}},
    PageBreakBelow->False,
    CellFrameLabels->{{Cell[ 
            TextData[ {
              CounterBox[ "Chapter"], ".", 
              CounterBox[ "Section"]}], "Section", CellBaseline -> Baseline], 
          None}, {None, None}},
    CounterIncrements->"Section",
    CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}, {
        "Exercise", 0}},
    CounterStyleMenuListing->None,
    FontFamily->"Times",
    FontSize->20,
    FontWeight->"Bold"],
  
  Cell[StyleData["Section", "Presentation"],
    CellMargins->{{24, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Section", "Printout"],
    CellMargins->{{Inherited, 0}, {7, 18}},
    FontSize->14],
  
  Cell[StyleData["Section", "Production"],
    CellMargins->{{0, 0}, {6, 6}},
    FontFamily->"Janson Text",
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsection"],
    CellMargins->{{12, Inherited}, {5, 18}},
    CellGroupingRules->{"SectionGrouping", 40},
    ConversionRules:>{"TeX" -> {"\\subsection{", "}\n\n"}},
    PageBreakBelow->False,
    CounterAssignments->{{"Subsubsection", 0}},
    CounterStyleMenuListing->None,
    FontSize->16,
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsection", "Presentation"],
    CellMargins->{{24, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->22],
  
  Cell[StyleData["Subsection", "Printout"],
    CellMargins->{{40, 0}, {7, 22}},
    FontSize->12],
  
  Cell[StyleData["Subsection", "Production"],
    CellMargins->{{0, 0}, {6, 6}},
    FontFamily->"Janson Text",
    FontSize->11,
    FontSlant->"Italic"]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 18}},
    CellGroupingRules->{"SectionGrouping", 50},
    PageBreakBelow->False,
    DefaultNewInlineCellStyle->"None",
    InputAutoReplacements->{"TeX"->StyleBox[ 
            RowBox[ {"T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
                0.5], "X"}]], "LaTeX"->StyleBox[ 
            RowBox[ {"L", 
              StyleBox[ 
                AdjustmentBox[ 
                "A", BoxMargins -> {{-0.36, -0.1}, {0, -0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
                0.5], "X"}]], "mma"->"Mathematica", "Mma"->"Mathematica", 
        "MMA"->"Mathematica"},
    LanguageCategory->"NaturalLanguage",
    CounterIncrements->"Subsubsection",
    StyleMenuListing->None,
    FontFamily->"Times",
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsubsection", "Presentation"],
    CellMargins->{{34, 10}, {11, 26}},
    LineSpacing->{1, 0},
    FontSize->18],
  
  Cell[StyleData["Subsubsection", "Printout"],
    CellMargins->{{9, 0}, {7, 14}},
    FontSize->11],
  
  Cell[StyleData["Subsubsection", "Production"],
    CellDingbat->None,
    CellMargins->{{0, 0}, {0, 7}},
    FontFamily->"Janson Text",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TitleBar"],
    ShowCellBracket->False,
    CellMargins->{{0, 0}, {0, 0}},
    CellFrameMargins->{{24, 0}, {6, 6}},
    LanguageCategory->"NaturalLanguage",
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->12,
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->GrayLevel[0.900008],
    Background->RGBColor[0.501961, 0.501961, 0.752941]],
  
  Cell[StyleData["TitleBar", "Presentation"],
    CellMargins->{{0, 0}, {0, 0}},
    LineSpacing->{1, 0},
    FontSize->14],
  
  Cell[StyleData["TitleBar", "Printout"],
    CellMargins->{{Inherited, Inherited}, {0, 0}},
    CellElementSpacings->{"CellMinHeight"->1,
    "ClosedCellHeight"->0},
    CellOpen->False],
  
  Cell[StyleData["TitleBar", "Production"],
    CellMargins->{{Inherited, Inherited}, {0, 0}},
    CellElementSpacings->{"CellMinHeight"->1,
    "ClosedCellHeight"->0},
    CellOpen->False]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Body Text", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Text"],
    CellMargins->{{12, 10}, {7, 7}},
    Hyphenation->True,
    LineSpacing->{1, 3},
    CounterIncrements->"Text",
    FontFamily->"Times"],
  
  Cell[StyleData["Text", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5},
    FontSize->16],
  
  Cell[StyleData["Text", "Printout"],
    CellMargins->{{40, 2}, {6, 6}},
    TextJustification->0.5,
    FontSize->10],
  
  Cell[StyleData["Text", "Production"],
    CellMargins->{{0, 0}, {0, 0}},
    TextJustification->1,
    LineSpacing->{1, 2},
    ParagraphIndent->24,
    FontFamily->"Janson Text",
    FontSize->10]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TextFirst"],
    CellMargins->{{12, 10}, {7, 7}},
    Hyphenation->True,
    LineSpacing->{1, 3},
    CounterIncrements->"Text",
    FontFamily->"Times"],
  
  Cell[StyleData["TextFirst", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5},
    FontSize->16],
  
  Cell[StyleData["TextFirst", "Printout"],
    CellMargins->{{40, 2}, {6, 6}},
    TextJustification->0.5,
    FontSize->10],
  
  Cell[StyleData["TextFirst", "Production"],
    CellMargins->{{0, 0}, {0, 0}},
    TextJustification->1,
    LineSpacing->{1, 2},
    FontFamily->"Janson Text",
    FontSize->10]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["BulletedList"],
    CellDingbat->"\[Bullet]",
    CellMargins->{{48, 4}, {6, 6}},
    TextJustification->1,
    Hyphenation->True,
    LineSpacing->{1, 3},
    ParagraphSpacing->{0, 8},
    ParagraphIndent->0,
    CounterIncrements->"Text",
    FontFamily->"Times"],
  
  Cell[StyleData["BulletedList", "Presentation"],
    FontSize->16],
  
  Cell[StyleData["BulletedList", "Printout"],
    CellMargins->{{50, 4}, {Inherited, Inherited}},
    FontSize->10],
  
  Cell[StyleData["BulletedList", "Production"],
    CellMargins->{{24, 4}, {6, 6}},
    LineSpacing->{1, 2},
    FontFamily->"Janson Text",
    FontSize->10]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ItemizedText"],
    CellMargins->{{26, 4}, {0, 8}},
    CellFrameLabels->{{Cell[ 
            TextData[ {
              CounterBox[ "ItemNumber"], "."}], "Text", CellBaseline -> 
            Baseline, FontWeight -> "Plain"], None}, {None, None}},
    LineSpacing->{1, 3},
    ParagraphSpacing->{0, 8},
    ParagraphIndent->0,
    CounterIncrements->"ItemNumber",
    CounterStyleMenuListing->None,
    FontFamily->"Times"],
  
  Cell[StyleData["ItemizedText", "Presentation"],
    FontSize->16],
  
  Cell[StyleData["ItemizedText", "Printout"],
    CellMargins->{{20, 4}, {0, 8}},
    FontSize->11],
  
  Cell[StyleData["ItemizedText", "Production"],
    CellMargins->{{6, 0}, {0, 6}},
    LineSpacing->{1, 2},
    FontFamily->"Janson Text",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Editorial"],
    CellMargins->{{12, 10}, {6, 6}},
    DefaultNewInlineCellStyle->"None",
    Hyphenation->True,
    LineSpacing->{1, 3},
    LanguageCategory->"NaturalLanguage",
    CounterIncrements->"SmallText",
    FontFamily->"Helvetica",
    FontSize->10,
    FontColor->RGBColor[1, 0, 0]],
  
  Cell[StyleData["Editorial", "Presentation"],
    CellMargins->{{24, 10}, {8, 8}},
    LineSpacing->{1, 5},
    FontSize->12],
  
  Cell[StyleData["Editorial", "Printout"],
    CellMargins->{{2, 2}, {5, 5}},
    TextJustification->0.5,
    FontSize->7,
    FontWeight->"Bold",
    FontColor->GrayLevel[0.500008]],
  
  Cell[StyleData["Editorial", "Production"],
    CellMargins->{{0, 2}, {5, 5}},
    TextJustification->0.5,
    FontSize->7,
    FontWeight->"Bold",
    FontColor->GrayLevel[0.500008]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Unique Styles", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ChapterHeading"],
    CellFrame->{{0, 0}, {1, 0}},
    CellGroupingRules->{"TitleGrouping", 0},
    ConversionRules:>{"TeX" -> {{"", CompoundExpression[ #, ""]&, ""}, {"", 
      CompoundExpression[ #, ""]&, ""}}},
    PageBreakAbove->True,
    CellFrameMargins->False,
    CounterIncrements->"ChapterHeading",
    StyleMenuListing->None,
    CounterStyleMenuListing->None,
    FontSize->30,
    FontWeight->"Bold",
    GridBoxOptions->{ColumnSpacings->0.2,
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["ChapterHeading", "Printout"],
    CellMargins->{{2, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["ChapterHeading", "Production"],
    FontSize->24]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ChapterHead"],
    CounterIncrements->"ChapterHeading",
    StyleMenuListing->None,
    CounterStyleMenuListing->None,
    FontFamily->"Times",
    FontSize->24,
    FontWeight->"Bold"],
  
  Cell[StyleData["ChapterHead", "Printout"]],
  
  Cell[StyleData["ChapterHead", "Production"]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["PrefaceSection"],
    CellMargins->{{12, Inherited}, {5, 18}},
    CellGroupingRules->{"SectionGrouping", 30},
    PageBreakBelow->False,
    StyleMenuListing->None,
    FontSize->20,
    FontWeight->"Bold"],
  
  Cell[StyleData["PrefaceSection", "Presentation"],
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["PrefaceSection", "Printout"],
    CellMargins->{{12, 0}, {7, 22}},
    FontSize->14],
  
  Cell[StyleData["PrefaceSection", "Production"],
    CellMargins->{{0, 0}, {6, 6}},
    FontFamily->"Janson Text",
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ChapterAbstract"],
    CellMargins->{{40, 100}, {20, 0}},
    TextJustification->1,
    Hyphenation->True,
    LineSpacing->{1, 2},
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->9],
  
  Cell[StyleData["ChapterAbstract", "Presentation"],
    FontSize->14],
  
  Cell[StyleData["ChapterAbstract", "Printout"],
    TextJustification->1,
    FontSize->10],
  
  Cell[StyleData["ChapterAbstract", "Production"],
    CellMargins->{{24, 30}, {36, 0}},
    TextJustification->1,
    LineSpacing->{1, 1},
    FontFamily->"Janson Text",
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Quote"],
    CellMargins->{{36, 36}, {9, 18}},
    Hyphenation->True,
    LineSpacing->{1, 3},
    ParagraphSpacing->{0, 8},
    CounterIncrements->"Text",
    StyleMenuListing->None,
    FontSlant->"Italic"],
  
  Cell[StyleData["Quote", "Presentation"],
    FontSize->14],
  
  Cell[StyleData["Quote", "Printout"],
    CellMargins->{{20, 4}, {0, 8}},
    ParagraphIndent->-14,
    FontSize->11],
  
  Cell[StyleData["Quote", "Production"],
    CellMargins->{{24, 26}, {7, 7}},
    FontFamily->"Janson Text",
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["References"],
    CellMargins->{{20, 10}, {0, 6}},
    DefaultNewInlineCellStyle->"None",
    Hyphenation->True,
    LineSpacing->{1, 3},
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->12],
  
  Cell[StyleData["References", "Presentation"],
    CellMargins->{{24, 10}, {8, 8}},
    LineSpacing->{1, 5},
    FontSize->14],
  
  Cell[StyleData["References", "Printout"],
    CellMargins->{{2, 2}, {5, 5}},
    TextJustification->0.5,
    FontSize->7],
  
  Cell[StyleData["References", "Production"],
    CellMargins->{{0, 2}, {0, 6}},
    TextJustification->0.5,
    FontFamily->"Janson Text",
    FontSize->8]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DisplayTable"],
    CellMargins->{{30, Inherited}, {0, 18}},
    CellHorizontalScrolling->True,
    DefaultFormatType->DefaultTraditionalFormatType,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    LanguageCategory->"Formula",
    ScriptLevel->0,
    SingleLetterItalics->True,
    UnderoverscriptBoxOptions->{LimitsPositioning->True}],
  
  Cell[StyleData["DisplayTable", "Presentation"],
    LineSpacing->{1, 5},
    FontSize->16],
  
  Cell[StyleData["DisplayTable", "Printout"],
    FontSize->10],
  
  Cell[StyleData["DisplayTable", "Production"],
    CellMargins->{{24, Inherited}, {0, 12}},
    FontFamily->"Janson Text",
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Picture"],
    CellMargins->{{24, 10}, {6, 6}},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True],
  
  Cell[StyleData["Picture", "Printout"],
    CellMargins->{{70, 2}, {6, 6}},
    Magnification->0.5],
  
  Cell[StyleData["Picture", "Production"],
    CellMargins->{{36, 2}, {12, 6}},
    Magnification->0.7]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["NonPrint Styles", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["NonPrintSection"],
    CellMargins->{{25, 4}, {4, 8}},
    CellGroupingRules->{"SectionGrouping", 30},
    PageBreakBelow->False,
    DefaultNewInlineCellStyle->"None",
    LineSpacing->{1, 7},
    LanguageCategory->"NaturalLanguage",
    CounterIncrements->"Section",
    CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}},
    FontSize->20,
    FontWeight->"Bold"],
  
  Cell[StyleData["NonPrintSection", "Presentation"],
    FontSize->20],
  
  Cell[StyleData["NonPrintSection", "Production"],
    CellMargins->{{Inherited, Inherited}, {0, 0}},
    CellElementSpacings->{"CellMinHeight"->1,
    "ClosedCellHeight"->0},
    CellOpen->False]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["NonPrintInput"],
    CellMargins->{{60, 10}, {5, 7}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    DefaultFormatType->DefaultInputFormatType,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    AutoItalicWords->{},
    LanguageCategory->"Formula",
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    LinebreakAdjustments->{0.85, 2, 10, 0, 1},
    CounterIncrements->"Input",
    FontSize->14,
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]],
  
  Cell[StyleData["NonPrintInput", "Presentation"],
    CellMargins->{{72, Inherited}, {8, 10}},
    LineSpacing->{1, 0},
    FontSize->16],
  
  Cell[StyleData["NonPrintInput", "Production"],
    CellMargins->{{Inherited, Inherited}, {0, 0}},
    CellElementSpacings->{"CellMinHeight"->1,
    "ClosedCellHeight"->0},
    CellOpen->False,
    PageBreakAbove->False]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Automatic Numbering", "Section"],
  
  Cell["\<\
The following styles are useful for numbered equations, figures, etc.  They \
automatically give the cell a FrameLabel containing a reference to a \
particular counter, and also increment that counter.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["NumberedEquation"],
    CellMargins->{{55, 10}, {0, 10}},
    CellFrameLabels->{{None, Cell[ 
            TextData[ {"(", 
              CounterBox[ "NumberedEquation"], ")"}]]}, {None, None}},
    DefaultFormatType->DefaultInputFormatType,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    CounterIncrements->"NumberedEquation",
    FormatTypeAutoConvert->False],
  
  Cell[StyleData["NumberedEquation", "Printout"],
    CellMargins->{{55, 55}, {0, 10}},
    FontSize->10],
  
  Cell[StyleData["NumberedEquation", "Production"],
    CellMargins->{{42, 55}, {0, 10}},
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["NumberedFigure"],
    CellMargins->{{52, 4}, {0, 8}},
    PageBreakAbove->False,
    CellFrameLabels->{{Cell[ 
            TextData[ {"Figure ", 
              CounterBox[ "Chapter"], ".", 
              CounterBox[ "NumberedFigure"], ":"}], FontWeight -> "Bold", 
            CellBaseline -> Baseline], None}, {None, None}},
    CounterIncrements->"NumberedFigure",
    FormatTypeAutoConvert->False,
    FontFamily->"Helvetica",
    FontSize->9],
  
  Cell[StyleData["NumberedFigure", "Printout"],
    FontSize->8],
  
  Cell[StyleData["NumberedFigure", "Production"],
    CellMargins->{{24, Inherited}, {12, Inherited}},
    FontSize->7.5]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["NumberedTable"],
    CellMargins->{{42, 4}, {0, 8}},
    PageBreakAbove->False,
    CellFrameMargins->8,
    CellFrameLabels->{{Cell[ 
            TextData[ {"Table ", 
              CounterBox[ "Chapter"], ".", 
              CounterBox[ "NumberedTable"], ":"}], FontWeight -> "Bold", 
            CellBaseline -> Baseline], None}, {None, None}},
    CounterIncrements->"NumberedTable",
    FormatTypeAutoConvert->False,
    FontFamily->"Helvetica",
    FontSize->9],
  
  Cell[StyleData["NumberedTable", "Printout"],
    CellMargins->{{18, Inherited}, {Inherited, Inherited}},
    FontSize->8],
  
  Cell[StyleData["NumberedTable", "Production"],
    CellMargins->{{24, Inherited}, {12, Inherited}},
    FontSize->7.5]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ProgramListing"],
    CellMargins->{{42, 4}, {12, 6}},
    CellFrameMargins->8,
    CellFrameLabels->{{Cell[ 
            TextData[ {"Program Listing ", 
              CounterBox[ "Chapter"], ".", 
              CounterBox[ "NumberedProgram"], ":"}], FontWeight -> "Bold", 
            CellBaseline -> Baseline], None}, {None, None}},
    CounterIncrements->"NumberedProgram",
    FormatTypeAutoConvert->False,
    FontFamily->"Helvetica",
    FontSize->9],
  
  Cell[StyleData["ProgramListing", "Printout"],
    CellMargins->{{18, Inherited}, {Inherited, Inherited}},
    FontSize->10],
  
  Cell[StyleData["ProgramListing", "Production"],
    CellMargins->{{24, Inherited}, {12, 0}},
    FontSize->7.5]
  }, Open  ]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Input/Output", "Section"],
  
  Cell["\<\
The cells in this section define styles used for input and output to the \
kernel.  Be careful when modifying, renaming, or removing these styles, \
because the front end associates special meanings with these style names. \
Some attributes for these styles are actually set in FormatType Styles (in \
the last section of this stylesheet). \
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Input"],
    CellMargins->{{60, 10}, {5, 7}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    DefaultFormatType->DefaultInputFormatType,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    AutoItalicWords->{},
    LanguageCategory->"Formula",
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    LinebreakAdjustments->{0.85, 2, 10, 0, 1},
    CounterIncrements->"Input",
    FontWeight->"Bold"],
  
  Cell[StyleData["Input", "Presentation"],
    CellMargins->{{72, Inherited}, {8, 10}},
    LineSpacing->{1, 0},
    FontSize->16],
  
  Cell[StyleData["Input", "Printout"],
    CellMargins->{{48, 0}, {4, 6}},
    LinebreakAdjustments->{0.85, 2, 10, 1, 1},
    FontSize->9],
  
  Cell[StyleData["Input", "Production"],
    CellMargins->{{42, 0}, {3, 6}},
    LinebreakAdjustments->{0.85, 2, 10, 1, 1},
    FontSize->8]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Output"],
    CellMargins->{{60, 10}, {7, 5}},
    CellEditDuplicate->True,
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    DefaultFormatType->DefaultOutputFormatType,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    AutoItalicWords->{},
    LanguageCategory->"Formula",
    FormatType->InputForm,
    CounterIncrements->"Output"],
  
  Cell[StyleData["Output", "Presentation"],
    CellMargins->{{72, Inherited}, {10, 8}},
    LineSpacing->{1, 0},
    FontSize->16],
  
  Cell[StyleData["Output", "Printout"],
    CellMargins->{{48, 0}, {6, 4}},
    FontSize->9],
  
  Cell[StyleData["Output", "Production"],
    CellMargins->{{42, 0}, {6, 3}},
    FontSize->8]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Message"],
    CellMargins->{{60, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    DefaultFormatType->DefaultOutputFormatType,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Message",
    StyleMenuListing->None,
    FontSize->11,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Message", "Presentation"],
    LineSpacing->{1, 0},
    FontSize->16],
  
  Cell[StyleData["Message", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->9,
    FontColor->GrayLevel[0]],
  
  Cell[StyleData["Message", "Production"],
    CellMargins->{{52, Inherited}, {6, 3}},
    FontSize->8,
    FontColor->GrayLevel[0]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Print"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    DefaultFormatType->DefaultOutputFormatType,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Print",
    StyleMenuListing->None],
  
  Cell[StyleData["Print", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0},
    FontSize->16],
  
  Cell[StyleData["Print", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8],
  
  Cell[StyleData["Print", "Production"],
    CellMargins->{{42, Inherited}, {6, 3}},
    FontSize->8]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Graphics"],
    CellMargins->{{40, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    DefaultFormatType->DefaultOutputFormatType,
    LanguageCategory->None,
    FormatType->InputForm,
    CounterIncrements->"Graphics",
    ImageMargins->{{43, Inherited}, {Inherited, 0}},
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontSize->10],
  
  Cell[StyleData["Graphics", "Presentation"],
    ImageMargins->{{62, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Printout"],
    ImageMargins->{{30, Inherited}, {Inherited, 0}},
    Magnification->0.8],
  
  Cell[StyleData["Graphics", "Production"],
    ImageMargins->{{18, Inherited}, {Inherited, 0}},
    Magnification->0.62]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["CellLabel"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->9,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["CellLabel", "Presentation"],
    FontSize->12],
  
  Cell[StyleData["CellLabel", "Printout"],
    FontFamily->"Courier",
    FontSize->8,
    FontSlant->"Italic",
    FontColor->GrayLevel[0]],
  
  Cell[StyleData["CellLabel", "Production"],
    FontFamily->"Helvetica",
    FontSize->7,
    FontSlant->"Italic",
    FontColor->GrayLevel[0]]
  }, Closed]]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell["Inline Formatting", "Section"],
  
  Cell["\<\
These styles are for modifying individual words or letters in a cell \
exclusive of the cell tag.\
\>", "Text"],
  
  Cell[StyleData["RM"],
    StyleMenuListing->None,
    FontWeight->"Plain",
    FontSlant->"Plain"],
  
  Cell[StyleData["BF"],
    StyleMenuListing->None,
    FontWeight->"Bold"],
  
  Cell[StyleData["IT"],
    StyleMenuListing->None,
    FontSlant->"Italic"],
  
  Cell[StyleData["TR"],
    StyleMenuListing->None,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontSlant->"Plain"],
  
  Cell[StyleData["TI"],
    StyleMenuListing->None,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontSlant->"Italic"],
  
  Cell[StyleData["TB"],
    StyleMenuListing->None,
    FontFamily->"Times",
    FontWeight->"Bold",
    FontSlant->"Plain"],
  
  Cell[StyleData["TBI"],
    StyleMenuListing->None,
    FontFamily->"Times",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  
  Cell[StyleData["MR"],
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontWeight->"Plain",
    FontSlant->"Plain"],
  
  Cell[StyleData["MO"],
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontWeight->"Plain",
    FontSlant->"Italic"],
  
  Cell[StyleData["MB"],
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontWeight->"Bold",
    FontSlant->"Plain"],
  
  Cell[StyleData["MBO"],
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SR"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontWeight->"Plain",
    FontSlant->"Plain"],
  
  Cell[StyleData["SR", "Production"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->8,
    FontWeight->"Plain",
    FontSlant->"Plain"]
  }, Open  ]],
  
  Cell[StyleData["SO"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontWeight->"Plain",
    FontSlant->"Italic"],
  
  Cell[StyleData["SB"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontWeight->"Bold",
    FontSlant->"Plain"],
  
  Cell[StyleData["SBO"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SO10"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->10,
    FontWeight->"Plain",
    FontSlant->"Italic"],
  
  Cell[StyleData["SO10", "Presentation"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->10,
    FontWeight->"Plain",
    FontSlant->"Italic"],
  
  Cell[StyleData["SO10", "Production"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->8,
    FontWeight->"Plain",
    FontSlant->"Italic"]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TermDefinition"],
    FontFamily->"Times",
    FontWeight->"Plain",
    FontSlant->"Italic"],
  
  Cell[StyleData["TermDefinition", "Production"],
    FontFamily->"Janson Text",
    FontWeight->"Plain",
    FontSlant->"Italic"]
  }, Closed]],
  
  Cell[StyleData["SmallCaps"],
    StyleMenuListing->None,
    FontSize->9],
  
  Cell[StyleData["InputComment"],
    StyleMenuListing->None,
    FontColor->GrayLevel[0.250004]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Formulas and Programming", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["InlineFormula"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    LanguageCategory->"Formula",
    ScriptLevel->1,
    SingleLetterItalics->True],
  
  Cell[StyleData["InlineFormula", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5},
    FontSize->16],
  
  Cell[StyleData["InlineFormula", "Printout"],
    CellMargins->{{2, 0}, {6, 6}},
    FontSize->10],
  
  Cell[StyleData["InlineFormula", "Production"],
    CellMargins->{{2, 0}, {6, 6}},
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DisplayFormula"],
    CellMargins->{{36, Inherited}, {Inherited, Inherited}},
    CellHorizontalScrolling->True,
    DefaultFormatType->DefaultTraditionalFormatType,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    LanguageCategory->"Formula",
    ScriptLevel->0,
    SingleLetterItalics->True,
    UnderoverscriptBoxOptions->{LimitsPositioning->True}],
  
  Cell[StyleData["DisplayFormula", "Presentation"],
    LineSpacing->{1, 5},
    FontSize->16],
  
  Cell[StyleData["DisplayFormula", "Printout"],
    FontSize->10],
  
  Cell[StyleData["DisplayFormula", "Production"],
    CellMargins->{{24, Inherited}, {12, 12}},
    FontFamily->"Janson Text",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Program"],
    CellFrame->{{0, 0}, {0.5, 0.5}},
    CellMargins->{{42, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    Hyphenation->False,
    LanguageCategory->"Formula",
    ScriptLevel->1,
    FontFamily->"Courier"],
  
  Cell[StyleData["Program", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5},
    FontSize->16],
  
  Cell[StyleData["Program", "Printout"],
    CellMargins->{{Inherited, 0}, {6, 6}},
    FontSize->9],
  
  Cell[StyleData["Program", "Production"],
    CellMargins->{{24, 0}, {12, 12}},
    FontSize->8]
  }, Open  ]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Hyperlink Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making hypertext ButtonBoxes.  The \
\"Hyperlink\" style is for links within the same Notebook, or between \
Notebooks.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Hyperlink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0.269993, 0.308507, 0.6],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookLocate[ #2]}]&),
    Active->True,
    ButtonNote->ButtonData}],
  
  Cell[StyleData["Hyperlink", "Presentation"],
    FontSize->16],
  
  Cell[StyleData["Hyperlink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["Hyperlink", "Production"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell["\<\
The following styles are for linking automatically to the on-line help \
system.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MainBookLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0.269993, 0.308507, 0.6],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "MainBook", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["MainBookLink", "Presentation"],
    FontSize->16],
  
  Cell[StyleData["MainBookLink", "Printout"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["MainBookLink", "Production"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["AddOnsLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0.269993, 0.308507, 0.6],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "AddOns", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["AddOnsLink", "Presentation"],
    FontSize->16],
  
  Cell[StyleData["AddOnsLink", "Printout"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["AddOnsLink", "Production"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["RefGuideLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0.269993, 0.308507, 0.6],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "RefGuide", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["RefGuideLink", "Presentation"],
    FontSize->16],
  
  Cell[StyleData["RefGuideLink", "Printout"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["RefGuideLink", "Production"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["GettingStartedLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0.269993, 0.308507, 0.6],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "GettingStarted", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["GettingStartedLink", "Presentation"],
    FontSize->16],
  
  Cell[StyleData["GettingStartedLink", "Printout"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["GettingStartedLink", "Production"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["OtherInformationLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0.269993, 0.308507, 0.6],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "OtherInformation", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["OtherInformationLink", "Presentation"],
    FontSize->16],
  
  Cell[StyleData["OtherInformationLink", "Printout"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["OtherInformationLink", "Production"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MasterIndexLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0.269993, 0.308507, 0.6],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "MasterIndex", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["MasterIndexLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["MasterIndexLink", "Production"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SolutionsLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic],
  
  Cell[StyleData["SolutionsLink", "Presentation"],
    FontSize->16],
  
  Cell[StyleData["SolutionsLink", "Printout"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["SolutionsLink", "Production"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headers and Footers", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Header"],
    CellMargins->{{0, 0}, {4, 1}},
    DefaultNewInlineCellStyle->"None",
    LanguageCategory->"NaturalLanguage",
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->8],
  
  Cell[StyleData["Header", "Production"],
    FontFamily->"Janson Text",
    FontSize->9.5,
    FontSlant->"Italic"]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["PageFooter"],
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->7.5,
    FontSlant->"Italic"],
  
  Cell[StyleData["PageFooter", "Production"]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["PageNumber"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->9.5,
    FontWeight->"Bold"],
  
  Cell[StyleData["PageNumber", "Production"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontFamily->"Janson Text",
    FontSize->9.5,
    FontWeight->"Bold"]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Palette Styles", "Section"],
  
  Cell["\<\
The cells below define styles that define standard ButtonFunctions, for use \
in palette buttons.\
\>", "Text"],
  
  Cell[StyleData["Paste"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, After]}]&)}],
  
  Cell[StyleData["Evaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["EvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionMove[ 
          FrontEnd`InputNotebook[ ], All, Cell, 1], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Placeholder Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making placeholder objects in \
palette templates.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Placeholder"],
    Placeholder->True,
    StyleMenuListing->None,
    FontSlant->"Italic",
    FontColor->RGBColor[0.890623, 0.864698, 0.384756],
    TagBoxOptions->{Editable->False,
    Selectable->False,
    StripWrapperBoxes->False}],
  
  Cell[StyleData["Placeholder", "Presentation"]],
  
  Cell[StyleData["Placeholder", "Printout"]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["PrimaryPlaceholder"],
    StyleMenuListing->None,
    DrawHighlighted->True,
    FontSlant->"Italic",
    Background->RGBColor[0.912505, 0.891798, 0.507774],
    TagBoxOptions->{Editable->False,
    Selectable->False,
    StripWrapperBoxes->False}],
  
  Cell[StyleData["PrimaryPlaceholder", "Presentation"]],
  
  Cell[StyleData["PrimaryPlaceholder", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["FormatType Styles", "Section"],
  
  Cell["\<\
The cells below define styles that are mixed in with the styles of most \
cells.  If a cell's FormatType matches the name of one of the styles defined \
below, then that style is applied between the cell's style and its own \
options. This is particularly true of Input and Output.\
\>", "Text"],
  
  Cell[StyleData["CellExpression"],
    PageWidth->Infinity,
    CellMargins->{{6, Inherited}, {Inherited, Inherited}},
    ShowCellLabel->False,
    ShowSpecialCharacters->False,
    AllowInlineCells->False,
    Hyphenation->False,
    AutoItalicWords->{},
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontSize->12,
    Background->GrayLevel[1]],
  
  Cell[StyleData["InputForm"],
    InputAutoReplacements->{},
    AllowInlineCells->False,
    Hyphenation->False,
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["OutputForm"],
    PageWidth->Infinity,
    TextAlignment->Left,
    LineSpacing->{0.6, 1},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["StandardForm"],
    InputAutoReplacements->{
      "->"->"\[Rule]", ":>"->"\[RuleDelayed]", "<="->"\[LessEqual]", 
        ">="->"\[GreaterEqual]", "!="->"\[NotEqual]", "=="->"\[Equal]", 
        Inherited},
    "TwoByteSyntaxCharacterAutoReplacement"->True,
    LineSpacing->{1.25, 0},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["TraditionalForm"],
    InputAutoReplacements->{
      "->"->"\[Rule]", ":>"->"\[RuleDelayed]", "<="->"\[LessEqual]", 
        ">="->"\[GreaterEqual]", "!="->"\[NotEqual]", "=="->"\[Equal]", 
        Inherited},
    "TwoByteSyntaxCharacterAutoReplacement"->True,
    LineSpacing->{1.25, 0},
    SingleLetterItalics->True,
    TraditionalFunctionNotation->True,
    DelimiterMatching->None,
    StyleMenuListing->None],
  
  Cell["\<\
The style defined below is mixed in to any cell that is in an inline cell \
within another.\
\>", "Text"],
  
  Cell[StyleData["InlineCell"],
    ScriptLevel->1,
    StyleMenuListing->None],
  
  Cell[StyleData["InlineCellEditing"],
    StyleMenuListing->None,
    Background->RGBColor[1, 0.749996, 0.8]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Automatic Styles", "Section"],
  
  Cell["\<\
The cells below define styles that are used to affect the display of certain \
types of objects in typeset expressions.  For example, \"UnmatchedBracket\" \
style defines how unmatched bracket, curly bracket, and parenthesis \
characters are displayed (typically by coloring them to make them stand out).\
\
\>", "Text"],
  
  Cell[StyleData["UnmatchedBracket"],
    StyleMenuListing->None,
    FontColor->RGBColor[0.760006, 0.330007, 0.8]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Title Page, Contents, and Index", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ContentsTitle"],
    CellMargins->{{21, 4}, {12, 24}},
    FontFamily->"Times",
    FontSize->24,
    FontWeight->"Bold"],
  
  Cell[StyleData["ContentsTitle", "Presentation"],
    FontSize->36],
  
  Cell[StyleData["ContentsTitle", "Printout"],
    CellMargins->{{12, 0}, {102, 89}},
    PageBreakBelow->False,
    FontSize->30.5,
    FontColor->GrayLevel[0]],
  
  Cell[StyleData["ContentsTitle", "Production"],
    CellMargins->{{24, 0}, {72, 18}},
    PageBreakBelow->False,
    FontFamily->"Janson Text",
    FontSize->24,
    FontWeight->"Plain"]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ChapterNum"],
    TextAlignment->Left,
    StyleMenuListing->None,
    FontSize->12,
    FontWeight->"Plain"],
  
  Cell[StyleData["ChapterNum", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["ChapterNum", "Printout"],
    FontSize->10],
  
  Cell[StyleData["ChapterNum", "Production"],
    CellSize->{18, Inherited},
    FontFamily->"Janson Text",
    FontSize->12,
    FontWeight->"Bold"]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ContentsChapter"],
    CellMargins->{{36, 4}, {0, 12}},
    CellGroupingRules->{"SectionGrouping", 70},
    CellFrameLabels->{{Cell[ 
            TextData[ {
              CounterBox[ "ChapterNum"], " "}], "ChapterNum", CellBaseline -> 
            Baseline], None}, {None, None}},
    CounterIncrements->"ChapterNum",
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->14,
    FontWeight->"Bold"],
  
  Cell[StyleData["ContentsChapter", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["ContentsChapter", "Printout"],
    CellMargins->{{20, 0}, {3, 18}},
    PageBreakBelow->False,
    FontSize->11],
  
  Cell[StyleData["ContentsChapter", "Production"],
    CellMargins->{{2, 0}, {0, 6}},
    PageBreakBelow->False,
    FontFamily->"Janson Text",
    FontSize->12]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ContentsChapterNoNum"],
    CellMargins->{{35, 4}, {0, 12}},
    CellGroupingRules->{"SectionGrouping", 70},
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->14,
    FontWeight->"Bold"],
  
  Cell[StyleData["ContentsChapterNoNum", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["ContentsChapterNoNum", "Printout"],
    CellMargins->{{20, 0}, {3, 18}},
    PageBreakBelow->False,
    FontSize->11],
  
  Cell[StyleData["ContentsChapterNoNum", "Production"],
    CellMargins->{{9, 0}, {0, 6}},
    PageBreakBelow->False,
    FontFamily->"Janson Text",
    FontSize->12]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ContentsSection"],
    CellMargins->{{48, 4}, {0, 12}},
    CellGroupingRules->{"SectionGrouping", 80},
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->14],
  
  Cell[StyleData["ContentsSection", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["ContentsSection", "Printout"],
    CellMargins->{{20, 0}, {3, 18}},
    PageBreakBelow->False,
    FontSize->11],
  
  Cell[StyleData["ContentsSection", "Production"],
    CellMargins->{{26, 0}, {0, 6}},
    PageBreakBelow->False,
    FontFamily->"Janson Text",
    FontSize->10,
    FontWeight->"Bold"]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ContentsSubsection"],
    ShowGroupOpenCloseIcon->False,
    CellMargins->{{50, 4}, {6, 0}},
    CellGroupingRules->{"SectionGrouping", 90},
    StyleMenuListing->None],
  
  Cell[StyleData["ContentsSubsection", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["ContentsSubsection", "Printout"],
    CellMargins->{{40, 4}, {0, 5}},
    FontSize->11],
  
  Cell[StyleData["ContentsSubsection", "Production"],
    CellMargins->{{26, 5}, {0, 0}},
    FontSize->10,
    FontSlant->"Italic"]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["IndexSection"],
    CellDingbat->"\[FilledSquare]",
    CellMargins->{{20, 4}, {5, 20}},
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->12,
    FontWeight->"Bold"],
  
  Cell[StyleData["IndexSection", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["IndexSection", "Printout"],
    CellMargins->{{12, 0}, {5, 20}},
    PageBreakBelow->False,
    FontSize->12],
  
  Cell[StyleData["IndexSection", "Production"],
    CellMargins->{{12, 0}, {5, 20}},
    PageBreakBelow->False,
    FontSize->12]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Index"],
    CellMargins->{{21, 4}, {0, 0}},
    ParagraphIndent->-48,
    StyleMenuListing->None],
  
  Cell[StyleData["Index", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["Index", "Printout"],
    CellMargins->{{13, 0}, {0, 0}},
    FontSize->9],
  
  Cell[StyleData["Index", "Production"],
    CellMargins->{{13, 0}, {0, 0}},
    FontSize->9]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["IndexSubentry"],
    CellMargins->{{36, 4}, {0, 0}},
    ParagraphIndent->-48],
  
  Cell[StyleData["IndexSubentry", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["IndexSubentry", "Printout"],
    CellMargins->{{24, 0}, {0, 0}},
    FontSize->9],
  
  Cell[StyleData["IndexSubentry", "Production"],
    CellMargins->{{24, 0}, {0, 0}},
    FontSize->9]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Index2Column"],
    CellMargins->{{21, 4}, {0, 8}},
    ParagraphIndent->-20,
    TabSpacings->1,
    StyleMenuListing->None,
    FontSize->10,
    GridBoxOptions->{ColumnWidths->0.5,
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["Index2Column", "Presentation"],
    FontSize->15],
  
  Cell[StyleData["Index2Column", "Printout"],
    CellMargins->{{2, 2}, {6, 6}},
    FontSize->8],
  
  Cell[StyleData["Index2Column", "Production"],
    CellMargins->{{2, 2}, {6, 6}},
    FontSize->8]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Leader"],
    TabFilling->".",
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->12,
    FontWeight->"Plain"],
  
  Cell[StyleData["Leader", "Printout"],
    FontSize->10],
  
  Cell[StyleData["Leader", "Production"],
    FontSize->10]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["LeaderNoDots"],
    TabFilling->" ",
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->12,
    FontWeight->"Plain"],
  
  Cell[StyleData["LeaderNoDots", "Printout"],
    FontSize->10],
  
  Cell[StyleData["LeaderNoDots", "Production"],
    FontSize->10]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["PageLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0.269993, 0.308507, 0.6],
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookLocate[ #2]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["PageLink", "Printout"],
    FontColor->GrayLevel[0]],
  
  Cell[StyleData["PageLink", "Production"],
    FontColor->GrayLevel[0]]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TOCPage"],
    CellSize->{22, Inherited},
    TextAlignment->Right,
    StyleMenuListing->None,
    FontSize->12,
    FontWeight->"Plain"],
  
  Cell[StyleData["TOCPage", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["TOCPage", "Printout"],
    FontSize->10],
  
  Cell[StyleData["TOCPage", "Production"],
    FontSize->10]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TOCTitle"],
    CellMargins->{{20, 0}, {1, 8}},
    CellGroupingRules->{"SectionGrouping", 70},
    TabSpacings->46,
    CounterIncrements->"TOCTitle",
    CounterAssignments->{{"TOCSection", 0}},
    FontFamily->"Helvetica",
    FontSize->12,
    FontWeight->"Bold"],
  
  Cell[StyleData["TOCTitle", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["TOCTitle", "Printout"],
    CellMargins->{{12, 0}, {1, 8}},
    PageBreakBelow->False,
    TabSpacings->47.4,
    FontSize->11],
  
  Cell[StyleData["TOCTitle", "Production"],
    CellMargins->{{12, 0}, {1, 8}},
    PageBreakBelow->False,
    TabSpacings->47.4,
    FontSize->11]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TOCSection"],
    CellMargins->{{48, 0}, {1, 1}},
    CellGroupingRules->{"SectionGrouping", 75},
    TabSpacings->42.9,
    CounterIncrements->"TOCSection",
    CounterAssignments->{{"TOCSubsection", 0}},
    FontFamily->"Helvetica",
    FontSize->12],
  
  Cell[StyleData["TOCSection", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["TOCSection", "Printout"],
    CellMargins->{{30, 0}, {1, 1}},
    PageBreakBelow->False,
    FontSize->12],
  
  Cell[StyleData["TOCSection", "Production"],
    CellMargins->{{30, 0}, {1, 1}},
    PageBreakBelow->False,
    FontSize->12]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TOCSubsection"],
    CellMargins->{{76, 0}, {1, 1}},
    CellGroupingRules->{"SectionGrouping", 80},
    TabSpacings->39.8,
    CounterIncrements->"TOCSubsection",
    CounterAssignments->{{"TOCSubsubsection", 0}},
    FontSize->12],
  
  Cell[StyleData["TOCSubsection", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["TOCSubsection", "Printout"],
    CellMargins->{{70, 0}, {1, 1}},
    PageBreakBelow->False,
    FontSize->10],
  
  Cell[StyleData["TOCSubsection", "Production"],
    CellMargins->{{70, 0}, {1, 1}},
    PageBreakBelow->False,
    FontSize->10]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TOCSubsubsection"],
    CellMargins->{{104, 0}, {1, 1}},
    CellGroupingRules->{"SectionGrouping", 85},
    TabSpacings->36.7,
    CounterIncrements->"TOCSubsubsection",
    FontSize->12],
  
  Cell[StyleData["TOCSubsubsection", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["TOCSubsubsection", "Printout"],
    CellMargins->{{96, 0}, {1, 1}},
    PageBreakBelow->False,
    FontSize->9],
  
  Cell[StyleData["TOCSubsubsection", "Production"],
    CellMargins->{{96, 0}, {1, 1}},
    PageBreakBelow->False,
    FontSize->9]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TOCTitleDingbat"],
    CellSize->{34, Inherited},
    TextAlignment->Right],
  
  Cell[StyleData["TOCTitleDingbat", "Production"],
    FontSize->10]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TOCSectionDingbat"],
    CellSize->{38, Inherited},
    TextAlignment->Right],
  
  Cell[StyleData["TOCSectionDingbat", "Production"],
    FontSize->9]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TOCSubsectionDingbat"],
    CellSize->{54, Inherited},
    TextAlignment->Right],
  
  Cell[StyleData["TOCSubsectionDingbat", "Production"],
    FontSize->9]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TitlePageGraphic"],
    CellMargins->{{0, 0}, {100, 20}},
    Evaluatable->False,
    PageBreakBelow->False,
    TextAlignment->Center],
  
  Cell[StyleData["TitlePageGraphic", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["TitlePageGraphic", "Printout"],
    CellMargins->{{0, 0}, {230, 88}}],
  
  Cell[StyleData["TitlePageGraphic", "Production"],
    CellMargins->{{0, 0}, {230, 88}}]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TitlePageLogo"],
    CellMargins->{{0, 0}, {0, 0}}],
  
  Cell[StyleData["TitlePageLogo", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["TitlePageLogo", "Printout"]],
  
  Cell[StyleData["TitlePageLogo", "Production"]]
  }, Open  ]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Exercises", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ExerciseSubsection"],
    CellFrame->{{0, 0}, {0, 0.5}},
    CellMargins->{{12, 0}, {8, 36}},
    CellGroupingRules->{"SectionGrouping", 40},
    LineSpacing->{1, 6},
    LanguageCategory->"NaturalLanguage",
    CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}, {
        "ExerciseItem", 0}, {"ExerciseSubItem", 0}},
    FontFamily->"Times",
    FontSize->16,
    FontWeight->"Bold",
    FontSlant->"Italic"],
  
  Cell[StyleData["ExerciseSubsection", "Presentation"],
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["ExerciseSubsection", "Printout"],
    FontSize->14],
  
  Cell[StyleData["ExerciseSubsection", "Production"],
    CellFrame->{{0, 0}, {0, 0.5}},
    CellMargins->{{4, 0}, {0, 6}},
    PageBreakBelow->False,
    FontFamily->"Janson Text",
    FontSize->12,
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->GrayLevel[0],
    Background->None]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ExerciseItem"],
    CellMargins->{{22, 4}, {0, 8}},
    CellGroupingRules->{"SectionGrouping", 45},
    CellFrameLabels->{{Cell[ 
            TextData[ {
              CounterBox[ "ExerciseItem"], "."}], "ExerciseItemNumber", 
            CellBaseline -> Baseline], None}, {None, None}},
    Hyphenation->True,
    LineSpacing->{1, 3},
    ParagraphSpacing->{0, 8},
    CounterIncrements->"ExerciseItem"],
  
  Cell[StyleData["ExerciseItem", "Presentation"],
    LineSpacing->{1, 5},
    FontSize->14],
  
  Cell[StyleData["ExerciseItem", "Printout"],
    FontSize->10],
  
  Cell[StyleData["ExerciseItem", "Production"],
    CellMargins->{{-4, 4}, {0, 5}},
    LineSpacing->{1, 2},
    FontFamily->"Janson Text",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ExerciseSubItem"],
    CellMargins->{{36, 4}, {0, 8}},
    CellGroupingRules->{"SectionGrouping", 45},
    CellFrameLabels->{{Cell[ 
            TextData[ {
              CounterBox[ "ExerciseSubItem", CounterFunction -> (Part[ 
                  CharacterRange[ "a", "z"], #]&)], "."}], 
            "ExerciseSubItemNumber", CellBaseline -> Baseline], None}, {
        None, None}},
    Hyphenation->True,
    LineSpacing->{1, 3},
    ParagraphSpacing->{0, 8},
    CounterIncrements->"ExerciseSubItem"],
  
  Cell[StyleData["ExerciseSubItem", "Presentation"],
    LineSpacing->{1, 5},
    FontSize->14],
  
  Cell[StyleData["ExerciseSubItem", "Printout"],
    FontSize->10],
  
  Cell[StyleData["ExerciseSubItem", "Production"],
    CellMargins->{{12, 4}, {5, 5}},
    LineSpacing->{1, 2},
    FontFamily->"Janson Text",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ExercisesNoLabel"],
    CellMargins->{{42, 4}, {0, 8}},
    Hyphenation->True,
    LineSpacing->{1, 3},
    ParagraphSpacing->{0, 8},
    CounterStyleMenuListing->None],
  
  Cell[StyleData["ExercisesNoLabel", "Presentation"],
    FontSize->14],
  
  Cell[StyleData["ExercisesNoLabel", "Printout"],
    CellMargins->{{38, 4}, {0, 8}},
    ParagraphIndent->-14,
    FontSize->11],
  
  Cell[StyleData["ExercisesNoLabel", "Production"],
    CellMargins->{{22, 4}, {0, 0}},
    ParagraphIndent->24,
    FontFamily->"Janson Text",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ExerciseItemNumber"],
    CellSize->{18, Inherited},
    TextAlignment->Right,
    FontWeight->"Bold"],
  
  Cell[StyleData["ExerciseItemNumber", "Printout"],
    FontSize->10],
  
  Cell[StyleData["ExerciseItemNumber", "Production"],
    FontFamily->"Janson Text",
    FontSize->9.5,
    FontWeight->"Plain",
    FontSlant->"Italic"]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ExerciseSubItemNumber"],
    CellSize->{18, Inherited},
    TextAlignment->Right,
    FontWeight->"Bold"],
  
  Cell[StyleData["ExerciseSubItemNumber", "Printout"],
    FontSize->10],
  
  Cell[StyleData["ExerciseSubItemNumber", "Production"],
    FontFamily->"Janson Text",
    FontSize->10,
    FontWeight->"Plain",
    FontSlant->"Italic"]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Solutions", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SolutionsSection"],
    CellDingbat->None,
    CellMargins->{{12, Inherited}, {5, 18}},
    CellGroupingRules->{"SectionGrouping", 30},
    PageBreakBelow->False,
    FontFamily->"Times",
    FontSize->20,
    FontWeight->"Bold"],
  
  Cell[StyleData["SolutionsSection", "Presentation"],
    CellMargins->{{24, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["SolutionsSection", "Printout"],
    CellMargins->{{Inherited, 0}, {7, 18}},
    FontSize->14],
  
  Cell[StyleData["SolutionsSection", "Production"],
    CellMargins->{{0, 0}, {6, 6}},
    FontFamily->"Janson Text",
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SolutionsSubsection"],
    CellMargins->{{24, 0}, {12, 6}},
    CellGroupingRules->{"SectionGrouping", 50},
    PageBreakBelow->False,
    DefaultNewInlineCellStyle->"None",
    LineSpacing->{1, 7},
    LanguageCategory->"NaturalLanguage",
    CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}, {
        "SolutionItem", 0}, {"SolutionSubItem", 0}},
    FontFamily->"Helvetica",
    FontSize->14,
    FontWeight->"Bold"],
  
  Cell[StyleData["SolutionsSubsection", "Presentation"],
    LineSpacing->{1, 0},
    FontSize->16],
  
  Cell[StyleData["SolutionsSubsection", "Printout"],
    CellMargins->{{13, 0}, {7, 22}},
    FontSize->14],
  
  Cell[StyleData["SolutionsSubsection", "Production"],
    CellMargins->{{0, 0}, {0, 6}},
    FontFamily->"Janson Text",
    FontSize->12]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SolutionItem"],
    CellMargins->{{18, 4}, {0, 8}},
    CellGroupingRules->{"SectionGrouping", 40},
    CellFrameLabels->{{Cell[ 
            TextData[ {
              CounterBox[ "SolutionItem"], "."}], "SolutionItemNumber", 
            CellBaseline -> Baseline], None}, {None, None}},
    Hyphenation->True,
    LineSpacing->{1, 3},
    ParagraphSpacing->{0, 8},
    CounterIncrements->"SolutionItem"],
  
  Cell[StyleData["SolutionItem", "Presentation"],
    CellMargins->{{18, 4}, {0, 8}},
    FontSize->16],
  
  Cell[StyleData["SolutionItem", "Printout"],
    CellMargins->{{22, 4}, {0, 8}},
    FontSize->10],
  
  Cell[StyleData["SolutionItem", "Production"],
    CellMargins->{{-6, 4}, {0, 6}},
    LineSpacing->{1, 2},
    FontFamily->"Janson Text",
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SolutionSubItem"],
    CellMargins->{{36, 4}, {0, 8}},
    CellGroupingRules->{"SectionGrouping", 55},
    CellFrameLabels->{{Cell[ 
            TextData[ {
              CounterBox[ "SolutionSubItem", CounterFunction -> (Part[ 
                  CharacterRange[ "a", "z"], #]&)], "."}], 
            "SolutionSubItemNumber", CellBaseline -> Baseline], None}, {
        None, None}},
    Hyphenation->True,
    LineSpacing->{1, 3},
    ParagraphSpacing->{0, 8},
    CounterIncrements->"SolutionSubItem"],
  
  Cell[StyleData["SolutionSubItem", "Presentation"],
    LineSpacing->{1, 5},
    FontSize->14],
  
  Cell[StyleData["SolutionSubItem", "Printout"],
    FontSize->10],
  
  Cell[StyleData["SolutionSubItem", "Production"],
    CellMargins->{{6, 4}, {6, 3}},
    LineSpacing->{1, 2},
    FontFamily->"Janson Text",
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SolutionNoLabel"],
    CellMargins->{{30, 4}, {0, 8}},
    Hyphenation->True,
    LineSpacing->{1, 3},
    ParagraphSpacing->{0, 8},
    CounterStyleMenuListing->None],
  
  Cell[StyleData["SolutionNoLabel", "Presentation"],
    FontSize->14],
  
  Cell[StyleData["SolutionNoLabel", "Printout"],
    CellMargins->{{38, 4}, {0, 8}},
    ParagraphIndent->-14,
    FontSize->11],
  
  Cell[StyleData["SolutionNoLabel", "Production"],
    CellMargins->{{18, 4}, {0, 3}},
    FontFamily->"Janson Text",
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SolutionItemNumber"],
    CellSize->{18, Inherited},
    TextAlignment->Right,
    FontWeight->"Bold"],
  
  Cell[StyleData["SolutionItemNumber", "Printout"],
    FontSize->10],
  
  Cell[StyleData["SolutionItemNumber", "Production"],
    CellSize->{18, Inherited},
    FontFamily->"Janson Text",
    FontSize->9.5,
    FontWeight->"Plain",
    FontSlant->"Italic"]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SolutionSubItemNumber"],
    CellSize->{18, Inherited},
    TextAlignment->Right,
    FontWeight->"Bold"],
  
  Cell[StyleData["SolutionSubItemNumber", "Printout"],
    FontSize->10],
  
  Cell[StyleData["SolutionSubItemNumber", "Production"],
    FontFamily->"Janson Text",
    FontSize->10,
    FontWeight->"Plain",
    FontSlant->"Italic"]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Spacer Cells", "Section"],
  
  Cell[StyleData["SectionSpacer", "Working"],
    CellElementSpacings->{"CellMinHeight"->1,
    "ClosedCellHeight"->0},
    CellOpen->False],
  
  Cell[StyleData["SectionSpacer", "Production"],
    CellMargins->{{Inherited, Inherited}, {24, 0}},
    PageBreakAbove->False],
  
  Cell[StyleData["SubsectionSpacer", "Working"],
    CellElementSpacings->{"CellMinHeight"->1,
    "ClosedCellHeight"->0},
    CellOpen->False],
  
  Cell[StyleData["SubsectionSpacer", "Production"],
    CellMargins->{{Inherited, Inherited}, {0, 0}},
    CellElementSpacings->{"CellMinHeight"->0},
    PageBreakAbove->False]
  }, Closed]]
  }, Open  ]]
  }]
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "IPM3.Sol.2.1"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[3656, 98, 171, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.2.1"],
    Cell[3830, 106, 190, 7, 27, "SolutionItem",
      CellTags->"IPM3.Sol.2.1"],
    Cell[4045, 117, 203, 6, 30, "SolutionItem",
      CellTags->"IPM3.Sol.2.1"],
    Cell[4273, 127, 262, 8, 30, "Input",
      CellTags->"IPM3.Sol.2.1"],
    Cell[4538, 137, 98, 3, 40, "Output",
      CellTags->"IPM3.Sol.2.1"],
    Cell[4685, 146, 207, 5, 46, "SolutionItem",
      CellTags->"IPM3.Sol.2.1"],
    Cell[4917, 155, 123, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.1"],
    Cell[5043, 160, 286, 8, 43, "Output",
      CellTags->"IPM3.Sol.2.1"],
    Cell[5366, 173, 134, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.1"],
    Cell[5503, 178, 87, 3, 29, "Output",
      CellTags->"IPM3.Sol.2.1"],
    Cell[5639, 187, 174, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.2.1"],
    Cell[5816, 194, 115, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.1"],
    Cell[5956, 201, 99, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.1"],
    Cell[6058, 206, 281, 8, 43, "Output",
      CellTags->"IPM3.Sol.2.1"],
    Cell[6354, 217, 230, 9, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.2.1"],
    Cell[6609, 230, 98, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.1"],
    Cell[6710, 235, 90, 3, 29, "Output",
      CellTags->"IPM3.Sol.2.1"],
    Cell[6837, 243, 101, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.1"],
    Cell[6941, 248, 87, 3, 29, "Output",
      CellTags->"IPM3.Sol.2.1"]},
  "IPM3.Sol.2.2"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[7089, 258, 171, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.2.2"],
    Cell[7263, 266, 144, 4, 27, "SolutionItem",
      CellTags->"IPM3.Sol.2.2"],
    Cell[7432, 274, 170, 6, 27, "SolutionSubItem",
      CellTags->"IPM3.Sol.2.2"],
    Cell[7605, 282, 121, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.2"],
    Cell[7751, 289, 98, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.2"],
    Cell[7852, 294, 88, 1, 20, "Print",
      CellTags->{"Info3302765056-3338141", "IPM3.Sol.2.2"}],
    Cell[7943, 297, 479, 13, 20, "Print",
      CellTags->{"Info3302765056-3338141", "IPM3.Sol.2.2"}],
    Cell[8459, 315, 96, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.2"],
    Cell[8558, 320, 159, 4, 29, "Output",
      CellTags->"IPM3.Sol.2.2"],
    Cell[8766, 330, 352, 11, 46, "SolutionSubItem",
      CellTags->"IPM3.Sol.2.2"],
    Cell[9121, 343, 134, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.2"],
    Cell[9280, 350, 98, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.2"],
    Cell[9381, 355, 88, 1, 20, "Print",
      CellTags->{"Info3302765056-1842942", "IPM3.Sol.2.2"}],
    Cell[9472, 358, 492, 13, 20, "Print",
      CellTags->{"Info3302765056-1842942", "IPM3.Sol.2.2"}],
    Cell[10001, 376, 96, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.2"],
    Cell[10100, 381, 156, 4, 29, "Output",
      CellTags->"IPM3.Sol.2.2"],
    Cell[10305, 391, 270, 8, 46, "SolutionSubItem",
      CellTags->"IPM3.Sol.2.2"],
    Cell[10578, 401, 135, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.2"],
    Cell[10738, 408, 98, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.2"],
    Cell[10839, 413, 88, 1, 20, "Print",
      CellTags->{"Info3302765057-4949338", "IPM3.Sol.2.2"}],
    Cell[10930, 416, 493, 13, 20, "Print",
      CellTags->{"Info3302765057-4949338", "IPM3.Sol.2.2"}],
    Cell[11460, 434, 96, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.2"],
    Cell[11559, 439, 156, 4, 29, "Output",
      CellTags->"IPM3.Sol.2.2"],
    Cell[11742, 447, 312, 8, 46, "SolutionSubItem",
      CellTags->"IPM3.Sol.2.2"],
    Cell[12079, 459, 121, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.2"],
    Cell[12203, 464, 348, 6, 19, "Message",
      CellTags->"IPM3.Sol.2.2"],
    Cell[12554, 472, 107, 3, 29, "Output",
      CellTags->"IPM3.Sol.2.2"],
    Cell[12698, 480, 99, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.2"],
    Cell[12800, 485, 88, 1, 20, "Print",
      CellTags->{"Info3302765057-6746167", "IPM3.Sol.2.2"}],
    Cell[12891, 488, 478, 13, 20, "Print",
      CellTags->{"Info3302765057-6746167", "IPM3.Sol.2.2"}]},
  "IPM3.Sol.2.3"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[13418, 507, 194, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.2.3"],
    Cell[13615, 515, 198, 4, 46, "SolutionItem",
      CellTags->"IPM3.Sol.2.3"],
    Cell[14335, 553, 223, 7, 27, "SolutionItem",
      CellTags->"IPM3.Sol.2.3"],
    Cell[14583, 564, 96, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.3"],
    Cell[14682, 569, 91, 3, 29, "Output",
      CellTags->"IPM3.Sol.2.3"],
    Cell[14788, 575, 135, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.3"],
    Cell[14948, 582, 96, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.3"],
    Cell[15047, 587, 90, 3, 29, "Output",
      CellTags->"IPM3.Sol.2.3"],
    Cell[15174, 595, 101, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.3"],
    Cell[15278, 600, 91, 3, 29, "Output",
      CellTags->"IPM3.Sol.2.3"],
    Cell[15418, 609, 151, 4, 27, "SolutionItem",
      CellTags->"IPM3.Sol.2.3"],
    Cell[15572, 615, 111, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.3"],
    Cell[15686, 620, 305, 13, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.2.3"],
    Cell[15994, 635, 143, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.3"],
    Cell[16140, 640, 164, 4, 50, "Input",
      CellTags->"IPM3.Sol.2.3"],
    Cell[16329, 648, 99, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.3"],
    Cell[16431, 653, 91, 3, 29, "Output",
      CellTags->"IPM3.Sol.2.3"],
    Cell[16537, 659, 267, 6, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.2.3"],
    Cell[16807, 667, 143, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.3"],
    Cell[16975, 674, 99, 3, 30, "Input",
      CellTags->"IPM3.Sol.2.3"],
    Cell[17077, 679, 91, 3, 29, "Output",
      CellTags->"IPM3.Sol.2.3"]},
  "IPM3.Sol.3.2"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[17322, 695, 189, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.3.2"],
    Cell[17536, 705, 187, 6, 27, "SolutionItem",
      CellTags->"IPM3.Sol.3.2"],
    Cell[17748, 715, 121, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.2"],
    Cell[17872, 720, 141, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.2"],
    Cell[18050, 728, 118, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.2"],
    Cell[18171, 733, 141, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.2"],
    Cell[18361, 742, 194, 6, 27, "SolutionItem",
      CellTags->"IPM3.Sol.3.2"],
    Cell[18580, 752, 126, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.2"],
    Cell[18709, 757, 141, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.2"],
    Cell[18899, 766, 93, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.3.2"],
    Cell[19017, 771, 120, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.2"],
    Cell[19140, 776, 163, 4, 29, "Output",
      CellTags->"IPM3.Sol.3.2"],
    Cell[19340, 785, 127, 3, 31, "Input",
      CellTags->"IPM3.Sol.3.2"],
    Cell[19470, 790, 126, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.2"],
    Cell[19611, 796, 221, 6, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.3.2"],
    Cell[19857, 806, 180, 4, 30, "Input",
      CellTags->"IPM3.Sol.3.2"],
    Cell[20040, 812, 141, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.2"],
    Cell[20230, 821, 179, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.3.2"],
    Cell[20434, 830, 104, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.2"],
    Cell[20541, 835, 116, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.2"],
    Cell[20694, 843, 115, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.2"],
    Cell[20812, 848, 209, 4, 48, "Output",
      CellTags->"IPM3.Sol.3.2"],
    Cell[21070, 858, 176, 4, 27, "SolutionItem",
      CellTags->"IPM3.Sol.3.2"],
    Cell[21271, 866, 133, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.2"],
    Cell[21407, 871, 95, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.2"]},
  "IPM3.Sol.3.3"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[21563, 881, 179, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.3.3"],
    Cell[21767, 891, 234, 6, 46, "SolutionItem",
      CellTags->"IPM3.Sol.3.3"],
    Cell[22026, 901, 163, 4, 50, "Input",
      CellTags->"IPM3.Sol.3.3"],
    Cell[22192, 907, 102, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.3"],
    Cell[22343, 916, 152, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.3.3"],
    Cell[22520, 925, 157, 4, 30, "Input",
      CellTags->"IPM3.Sol.3.3"],
    Cell[22680, 931, 130, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.3"],
    Cell[22859, 940, 134, 3, 27, "SolutionItem",
      CellTags->"IPM3.Sol.3.3"],
    Cell[22996, 945, 139, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.3"],
    Cell[23160, 952, 184, 5, 30, "Input",
      CellTags->"IPM3.Sol.3.3"],
    Cell[23347, 959, 195, 4, 48, "Output",
      CellTags->"IPM3.Sol.3.3"],
    Cell[23591, 969, 219, 5, 46, "SolutionItem",
      CellTags->"IPM3.Sol.3.3"],
    Cell[23835, 978, 112, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.3"],
    Cell[23950, 983, 104, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.3"],
    Cell[24091, 991, 103, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.3"],
    Cell[24197, 996, 101, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.3"],
    Cell[24335, 1004, 95, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.3"],
    Cell[24433, 1009, 95, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.3"],
    Cell[24577, 1018, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.3.3"],
    Cell[24654, 1023, 159, 4, 30, "Input",
      CellTags->"IPM3.Sol.3.3"],
    Cell[24816, 1029, 98, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.3"],
    Cell[24963, 1038, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.3.3"],
    Cell[25040, 1043, 124, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.3"],
    Cell[25167, 1048, 118, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.3"],
    Cell[25322, 1056, 93, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.3"],
    Cell[25418, 1061, 119, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.3"],
    Cell[25574, 1069, 98, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.3"],
    Cell[25675, 1074, 115, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.3"],
    Cell[25827, 1082, 129, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.3"],
    Cell[25959, 1087, 99, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.3"]},
  "IPM3.Sol.3.4"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[26119, 1097, 187, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.3.4"],
    Cell[26331, 1107, 122, 4, 27, "SolutionItem",
      CellTags->"IPM3.Sol.3.4"],
    Cell[26478, 1115, 102, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.4"],
    Cell[26583, 1120, 95, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.4"],
    Cell[26727, 1129, 145, 4, 27, "SolutionItem",
      CellTags->"IPM3.Sol.3.4"],
    Cell[26897, 1137, 124, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.4"],
    Cell[27024, 1142, 110, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.4"],
    Cell[27171, 1150, 95, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.4"],
    Cell[27269, 1155, 107, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.4"],
    Cell[27413, 1163, 103, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.4"],
    Cell[27519, 1168, 106, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.4"],
    Cell[27662, 1176, 95, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.4"],
    Cell[27760, 1181, 98, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.4"],
    Cell[28226, 1207, 178, 4, 46, "SolutionItem",
      CellTags->"IPM3.Sol.3.4"],
    Cell[28407, 1213, 163, 4, 50, "Input",
      CellTags->"IPM3.Sol.3.4"],
    Cell[28595, 1221, 130, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.4"],
    Cell[28728, 1226, 98, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.4"],
    Cell[28863, 1234, 129, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.4"],
    Cell[28995, 1239, 99, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.4"]},
  "IPM3.Sol.3.5"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[29155, 1249, 183, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.3.5"],
    Cell[29363, 1259, 104, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.3.5"],
    Cell[29492, 1264, 118, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[29613, 1269, 109, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[29737, 1275, 142, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.3.5"],
    Cell[29904, 1284, 103, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[30010, 1289, 89, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[30114, 1295, 82, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.3.5"],
    Cell[30221, 1300, 103, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[30327, 1305, 91, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[30433, 1311, 175, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.3.5"],
    Cell[30633, 1319, 91, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[30727, 1324, 90, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[30832, 1330, 83, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.3.5"],
    Cell[30940, 1335, 105, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[31048, 1340, 89, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[31152, 1346, 106, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.3.5"],
    Cell[31283, 1351, 103, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[31389, 1356, 108, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[31512, 1362, 110, 2, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.3.5"],
    Cell[31647, 1368, 102, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[31752, 1373, 109, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[31910, 1382, 122, 3, 27, "SolutionItem",
      CellTags->"IPM3.Sol.3.5"],
    Cell[32057, 1389, 102, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[32162, 1394, 90, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[32289, 1402, 163, 4, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[32455, 1408, 88, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[32580, 1416, 102, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[32685, 1421, 89, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[32811, 1429, 164, 4, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[32978, 1435, 89, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[33104, 1443, 92, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[33199, 1448, 88, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[33324, 1456, 93, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[33420, 1461, 89, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[33524, 1467, 95, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.3.5"],
    Cell[33644, 1472, 308, 7, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[33955, 1481, 89, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[34259, 1496, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.3.5"],
    Cell[34336, 1501, 118, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[34457, 1506, 95, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[34589, 1514, 95, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[34687, 1519, 93, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[34817, 1527, 112, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[34932, 1532, 89, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[35036, 1538, 187, 4, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.3.5"],
    Cell[35248, 1546, 120, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[35371, 1551, 93, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[35501, 1559, 107, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[35611, 1564, 89, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[35749, 1573, 104, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.3.5"],
    Cell[35878, 1578, 114, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[35995, 1583, 107, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[36139, 1591, 92, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[36234, 1596, 102, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[36373, 1604, 118, 3, 31, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[36494, 1609, 112, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[36643, 1617, 92, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[36738, 1622, 92, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[37176, 1648, 99, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.3.5"],
    Cell[37300, 1653, 113, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[37416, 1658, 106, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[37537, 1664, 114, 2, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.3.5"],
    Cell[37676, 1670, 97, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[37776, 1675, 91, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[37882, 1681, 144, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.3.5"],
    Cell[38029, 1688, 140, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[38172, 1693, 284, 7, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.3.5"],
    Cell[38481, 1704, 230, 5, 70, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[38714, 1711, 204, 5, 48, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[38933, 1719, 221, 7, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.3.5"],
    Cell[39157, 1728, 123, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[39283, 1733, 213, 7, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.3.5"],
    Cell[39521, 1744, 124, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[39648, 1749, 217, 4, 43, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[39914, 1759, 121, 3, 27, "SolutionItem",
      CellTags->"IPM3.Sol.3.5"],
    Cell[40038, 1764, 138, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[40201, 1771, 109, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[40313, 1776, 92, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[40442, 1784, 108, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[40553, 1789, 91, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[40659, 1795, 140, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[40824, 1802, 107, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[40934, 1807, 91, 3, 29, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[41040, 1813, 140, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.3.5"],
    Cell[41205, 1822, 205, 5, 70, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[41413, 1829, 208, 5, 48, "Output",
      CellTags->"IPM3.Sol.3.5"],
    Cell[41636, 1837, 71, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.3.5"],
    Cell[41710, 1840, 128, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[41863, 1847, 112, 3, 30, "Input",
      CellTags->"IPM3.Sol.3.5"],
    Cell[41978, 1852, 674, 10, 124, "Output",
      CellTags->"IPM3.Sol.3.5"]},
  "IPM3.Sol.4.2"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[42823, 1875, 199, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.4.2"],
    Cell[43047, 1885, 93, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.2"],
    Cell[43143, 1888, 137, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[43283, 1893, 145, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.2"],
    Cell[43431, 1900, 111, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[43545, 1905, 158, 6, 27, "SolutionNoLabel",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.4.2"],
    Cell[43728, 1915, 103, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[43834, 1920, 102, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.2"],
    Cell[43985, 1929, 93, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.2"],
    Cell[44081, 1932, 137, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[44221, 1937, 239, 8, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.2"],
    Cell[44485, 1949, 107, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[44595, 1954, 102, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.2"],
    Cell[44746, 1963, 126, 3, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.2"],
    Cell[44897, 1970, 113, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[45013, 1975, 108, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.2"],
    Cell[45158, 1983, 99, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[45260, 1988, 110, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.2"],
    Cell[45407, 1996, 100, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[45510, 2001, 110, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.2"],
    Cell[45635, 2007, 142, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.2"],
    Cell[45802, 2016, 110, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[45915, 2021, 110, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.2"],
    Cell[46074, 2030, 165, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.2"],
    Cell[46264, 2039, 121, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[46388, 2044, 112, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.2"],
    Cell[46537, 2052, 100, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[46640, 2057, 110, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.2"],
    Cell[46787, 2065, 130, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[46920, 2070, 110, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.2"],
    Cell[47079, 2079, 214, 7, 27, "SolutionItem",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.4.2"],
    Cell[47318, 2090, 115, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[47436, 2095, 119, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.2"],
    Cell[47592, 2103, 107, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[47702, 2108, 103, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.2"],
    Cell[47820, 2114, 155, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.2"],
    Cell[48000, 2123, 101, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[48104, 2128, 94, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.2"],
    Cell[48213, 2134, 102, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.2"],
    Cell[48318, 2137, 143, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[48486, 2144, 140, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[48629, 2149, 193, 4, 48, "Output",
      CellTags->"IPM3.Sol.4.2"],
    Cell[48859, 2158, 102, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[48964, 2163, 126, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.2"],
    Cell[49105, 2169, 282, 7, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.2"],
    Cell[49412, 2180, 101, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[49516, 2185, 115, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.2"],
    Cell[49668, 2193, 105, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[49776, 2198, 103, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.2"],
    Cell[49894, 2204, 132, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.2"],
    Cell[50051, 2213, 101, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[50155, 2218, 94, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.2"],
    Cell[50264, 2224, 163, 4, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[52195, 2314, 297, 7, 46, "SolutionItem",
      CellTags->"IPM3.Sol.4.2"],
    Cell[52517, 2325, 238, 7, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[52758, 2334, 120, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.2"],
    Cell[52893, 2340, 112, 2, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.2"],
    Cell[53008, 2344, 133, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[53144, 2349, 180, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.2"],
    Cell[53349, 2357, 147, 4, 32, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[53499, 2363, 283, 5, 48, "Output",
      CellTags->"IPM3.Sol.4.2"],
    Cell[53819, 2373, 97, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.2"],
    Cell[53919, 2378, 88, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.2"],
    Cell[54022, 2384, 470, 8, 84, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.2"]},
  "IPM3.Sol.4.3"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[54541, 2398, 180, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.4.3"],
    Cell[54746, 2408, 90, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.3"],
    Cell[54861, 2413, 127, 3, 31, "Input",
      CellTags->"IPM3.Sol.4.3"],
    Cell[54991, 2418, 136, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.3"],
    Cell[55266, 2430, 105, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.3"],
    Cell[55374, 2435, 119, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.3"],
    Cell[55542, 2444, 161, 4, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.3"],
    Cell[55728, 2452, 211, 4, 30, "Input",
      CellTags->"IPM3.Sol.4.3"],
    Cell[55942, 2458, 200, 4, 48, "Output",
      CellTags->"IPM3.Sol.4.3"],
    Cell[56179, 2467, 110, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.3"],
    Cell[56292, 2472, 203, 4, 48, "Output",
      CellTags->"IPM3.Sol.4.3"],
    Cell[56544, 2482, 230, 8, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.3"],
    Cell[56777, 2492, 120, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.3"],
    Cell[56922, 2499, 92, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.3"],
    Cell[57017, 2504, 93, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.3"]},
  "IPM3.Sol.4.4"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[57171, 2514, 182, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.4.4"],
    Cell[57378, 2524, 536, 18, 46, "SolutionItem",
      CellTags->"IPM3.Sol.4.4"],
    Cell[57917, 2544, 242, 6, 50, "Input",
      CellTags->"IPM3.Sol.4.4"],
    Cell[58184, 2554, 135, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.4"],
    Cell[58322, 2559, 95, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.4"],
    Cell[58466, 2568, 134, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.4"],
    Cell[58603, 2575, 270, 6, 70, "Input",
      CellTags->"IPM3.Sol.4.4"],
    Cell[58898, 2585, 132, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.4"],
    Cell[59033, 2590, 104, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.4"],
    Cell[59152, 2596, 168, 4, 50, "Input",
      CellTags->"IPM3.Sol.4.4"],
    Cell[59357, 2605, 319, 10, 46, "SolutionItem",
      CellTags->"IPM3.Sol.4.4"],
    Cell[59679, 2617, 156, 4, 31, "Input",
      CellTags->"IPM3.Sol.4.4"],
    Cell[59860, 2625, 109, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.4"],
    Cell[59972, 2630, 87, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.4"],
    Cell[60108, 2639, 290, 9, 46, "SolutionItem",
      CellTags->"IPM3.Sol.4.4"],
    Cell[60401, 2650, 231, 5, 70, "Input",
      CellTags->"IPM3.Sol.4.4"],
    Cell[60657, 2659, 121, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.4"],
    Cell[60781, 2664, 107, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.4"],
    Cell[60937, 2673, 140, 4, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.4"],
    Cell[61080, 2679, 253, 6, 50, "Input",
      CellTags->"IPM3.Sol.4.4"],
    Cell[61358, 2689, 132, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.4"],
    Cell[61493, 2694, 1245, 20, 124, "Output",
      CellTags->"IPM3.Sol.4.4"],
    Cell[62787, 2720, 173, 6, 27, "SolutionItem",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.4.4"],
    Cell[62985, 2730, 194, 5, 50, "Input",
      CellTags->"IPM3.Sol.4.4"],
    Cell[63182, 2737, 108, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.4"],
    Cell[63305, 2743, 152, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.4"],
    Cell[63482, 2752, 132, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.4"],
    Cell[63617, 2757, 108, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.4"]},
  "IPM3.Sol.4.5"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[63786, 2767, 180, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.4.5"],
    Cell[63991, 2777, 174, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.5"],
    Cell[64168, 2784, 365, 8, 90, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[64558, 2796, 101, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[64662, 2801, 193, 4, 48, "Output",
      CellTags->"IPM3.Sol.4.5"],
    Cell[64870, 2808, 137, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.5"],
    Cell[65010, 2813, 375, 9, 90, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[65410, 2826, 101, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[65514, 2831, 183, 4, 48, "Output",
      CellTags->"IPM3.Sol.4.5"],
    Cell[65746, 2841, 442, 15, 46, "SolutionItem",
      CellTags->"IPM3.Sol.4.5"],
    Cell[66191, 2858, 258, 6, 70, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[66474, 2868, 107, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[66584, 2873, 98, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.5"],
    Cell[66697, 2879, 489, 11, 65, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.5"],
    Cell[67211, 2894, 91, 2, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[67305, 2898, 88, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.5"],
    Cell[67408, 2904, 303, 8, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.5"],
    Cell[67714, 2914, 105, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[67822, 2919, 264, 6, 70, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[68089, 2927, 116, 2, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.5"],
    Cell[68230, 2933, 108, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[68341, 2938, 99, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.5"],
    Cell[68477, 2946, 108, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[68588, 2951, 109, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.5"],
    Cell[68746, 2960, 202, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.5"],
    Cell[68951, 2967, 259, 6, 70, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[69213, 2975, 192, 6, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.5"],
    Cell[69430, 2985, 112, 3, 31, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[69545, 2990, 105, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.5"],
    Cell[69699, 2999, 202, 6, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.5"],
    Cell[69904, 3007, 259, 6, 70, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[70166, 3015, 301, 6, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.5"],
    Cell[70492, 3025, 124, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[70619, 3030, 140, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.5"],
    Cell[70808, 3039, 92, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.5"],
    Cell[70903, 3042, 321, 7, 90, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[71249, 3053, 110, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[71362, 3058, 94, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.5"],
    Cell[71505, 3067, 199, 4, 46, "SolutionItem",
      CellTags->"IPM3.Sol.4.5"],
    Cell[71707, 3073, 324, 7, 90, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[72034, 3082, 117, 2, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.5"],
    Cell[72176, 3088, 115, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[72294, 3093, 114, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.5"],
    Cell[72457, 3102, 257, 6, 46, "SolutionItem",
      CellTags->"IPM3.Sol.4.5"],
    Cell[72739, 3112, 113, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[72855, 3117, 111, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.5"],
    Cell[72981, 3123, 94, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.5"],
    Cell[73100, 3128, 103, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[73206, 3133, 99, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.5"],
    Cell[73320, 3139, 211, 4, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.5"],
    Cell[73534, 3145, 154, 4, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[73713, 3153, 112, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[73828, 3158, 91, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.5"],
    Cell[73956, 3166, 93, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[74052, 3171, 94, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.5"],
    Cell[74161, 3177, 196, 6, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.5"],
    Cell[74360, 3185, 128, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[74513, 3192, 93, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[74609, 3197, 91, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.5"],
    Cell[74715, 3203, 127, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[74867, 3210, 94, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[74964, 3215, 88, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.5"],
    Cell[75067, 3221, 125, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[75217, 3228, 92, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[75312, 3233, 89, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.5"],
    Cell[75416, 3239, 170, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.5"],
    Cell[75589, 3246, 579, 11, 150, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[76193, 3261, 109, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.5"],
    Cell[76305, 3266, 100, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.5"]},
  "IPM3.Sol.4.6"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[76466, 3276, 175, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.4.6"],
    Cell[76666, 3286, 150, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.6"],
    Cell[76819, 3293, 129, 3, 31, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[76973, 3300, 116, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[77092, 3305, 90, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[77197, 3311, 115, 2, 27, "SolutionNoLabel",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.4.6"],
    Cell[77337, 3317, 139, 3, 31, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[77479, 3322, 90, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[77584, 3328, 65, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.6"],
    Cell[77674, 3333, 124, 3, 31, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[77801, 3338, 90, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[77940, 3347, 111, 2, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.6"],
    Cell[78054, 3351, 138, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[78217, 3358, 99, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[78319, 3363, 88, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[78422, 3369, 91, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.6"],
    Cell[78538, 3374, 136, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[78677, 3379, 88, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[78802, 3387, 125, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[78930, 3392, 88, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[79067, 3401, 89, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.6"],
    Cell[79159, 3404, 142, 3, 33, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[79304, 3409, 83, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.6"],
    Cell[79412, 3414, 120, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[79535, 3419, 347, 7, 48, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[79897, 3429, 157, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.6"],
    Cell[80079, 3437, 128, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[80210, 3442, 107, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[80332, 3448, 156, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.6"],
    Cell[80491, 3454, 133, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[80627, 3459, 204, 8, 27, "SolutionNoLabel",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.4.6"],
    Cell[80856, 3471, 118, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[80977, 3476, 106, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[81098, 3482, 376, 11, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.6"],
    Cell[81477, 3495, 251, 6, 70, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[81753, 3505, 102, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[81858, 3510, 106, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[81979, 3516, 1388, 46, 96, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.6"],
    Cell[83404, 3567, 137, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.6"],
    Cell[83566, 3576, 177, 4, 50, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[83746, 3582, 99, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[83882, 3590, 161, 4, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[84046, 3596, 99, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[84194, 3605, 203, 7, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.6"],
    Cell[84400, 3614, 411, 11, 130, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[84836, 3629, 93, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[84932, 3634, 190, 4, 29, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[85171, 3644, 101, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.6"],
    Cell[85275, 3647, 134, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[85434, 3654, 96, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[85533, 3659, 94, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[85664, 3667, 114, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[85781, 3672, 196, 4, 48, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[86026, 3682, 330, 7, 65, "SolutionItem",
      CellTags->"IPM3.Sol.4.6"],
    Cell[86359, 3691, 228, 6, 70, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[86612, 3701, 130, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[86745, 3706, 99, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[86893, 3715, 189, 4, 46, "SolutionItem",
      CellTags->"IPM3.Sol.4.6"],
    Cell[87107, 3723, 258, 6, 50, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[87368, 3731, 214, 4, 48, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[87631, 3741, 92, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.6"],
    Cell[87748, 3746, 230, 5, 70, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[87981, 3753, 204, 5, 48, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[88200, 3761, 221, 7, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.6"],
    Cell[88424, 3770, 123, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[88550, 3775, 96, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.6"],
    Cell[88671, 3780, 111, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[88785, 3785, 116, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[88916, 3791, 460, 13, 65, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.6"],
    Cell[89401, 3808, 141, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[89545, 3813, 91, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[89651, 3819, 211, 6, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.6"],
    Cell[89865, 3827, 188, 4, 50, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[90056, 3833, 196, 6, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.6"],
    Cell[90277, 3843, 119, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[90399, 3848, 473, 8, 86, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[90899, 3860, 208, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.6"],
    Cell[91695, 3883, 342, 9, 46, "SolutionNoLabel",
      CellTags->{"IPM3.Sol.4.6", "i:2"}],
    Cell[92880, 3914, 157, 5, 27, "SolutionNoLabel",
      CellTags->{"IPM3.Sol.4.6", "i:1"}],
    Cell[93647, 3939, 461, 9, 84, "SolutionItem",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.4.6"],
    Cell[94111, 3950, 110, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[94224, 3955, 361, 8, 70, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[94610, 3967, 121, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[94734, 3972, 113, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[94874, 3979, 235, 8, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.6"],
    Cell[95112, 3989, 110, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[95600, 4010, 190, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.6"],
    Cell[96048, 4030, 194, 6, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.6"],
    Cell[96245, 4038, 158, 4, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[96428, 4046, 112, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[96543, 4051, 134, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.6"],
    Cell[96714, 4059, 95, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.6"],
    Cell[96812, 4064, 125, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.6"]},
  "IPM3.Sol.4.7"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[96998, 4074, 195, 7, 42, "SolutionsSubsection",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.4.7"],
    Cell[97218, 4085, 218, 6, 46, "SolutionItem",
      CellTags->"IPM3.Sol.4.7"],
    Cell[97461, 4095, 124, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[97588, 4100, 101, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.7"],
    Cell[97704, 4106, 170, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.7"],
    Cell[97877, 4112, 171, 4, 50, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[98073, 4120, 98, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[98174, 4125, 101, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.7"],
    Cell[98312, 4133, 126, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[98441, 4138, 95, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.7"],
    Cell[98551, 4144, 132, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.7"],
    Cell[98708, 4151, 94, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[98805, 4156, 87, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.7"],
    Cell[98907, 4162, 183, 4, 50, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[99093, 4168, 175, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.7"],
    Cell[99271, 4175, 180, 4, 50, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[99466, 4182, 209, 6, 46, "SolutionItem",
      CellTags->"IPM3.Sol.4.7"],
    Cell[99982, 4206, 214, 5, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.7"],
    Cell[101203, 4258, 97, 2, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.7"],
    Cell[101303, 4262, 245, 6, 70, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[101573, 4272, 123, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[101699, 4277, 111, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.7"],
    Cell[101859, 4286, 146, 3, 27, "SolutionSubItem",
      CounterAssignments->{{"SolutionSubItem", 1}},
      CellTags->"IPM3.Sol.4.7"],
    Cell[102008, 4291, 313, 7, 90, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[102346, 4302, 117, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[102466, 4307, 128, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.7"],
    Cell[102609, 4313, 248, 5, 70, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[102882, 4322, 117, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[103002, 4327, 128, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.7"],
    Cell[103179, 4336, 98, 2, 27, "SolutionSubItem",
      CellTags->"IPM3.Sol.4.7"],
    Cell[103280, 4340, 388, 9, 150, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[103693, 4353, 106, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[103802, 4358, 102, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.7"],
    Cell[103919, 4364, 274, 7, 70, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[104218, 4375, 106, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[104327, 4380, 102, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.7"],
    Cell[104466, 4388, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.7"],
    Cell[104543, 4393, 169, 4, 30, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[104715, 4399, 172, 4, 29, "Output",
      CellTags->"IPM3.Sol.4.7"],
    Cell[104924, 4408, 171, 4, 30, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[105098, 4414, 170, 4, 29, "Output",
      CellTags->"IPM3.Sol.4.7"],
    Cell[105317, 4424, 79, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.7"],
    Cell[105421, 4429, 124, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[105548, 4434, 117, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.7"],
    Cell[105680, 4440, 194, 4, 50, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[105899, 4448, 106, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[106008, 4453, 90, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.7"],
    Cell[106113, 4459, 218, 5, 50, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[106356, 4468, 106, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[106465, 4473, 90, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.7"],
    Cell[106604, 4482, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.7"],
    Cell[106659, 4485, 208, 5, 50, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[106892, 4494, 101, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[106996, 4499, 99, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.7"],
    Cell[107144, 4508, 76, 2, 27, "SolutionItem",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.4.7"],
    Cell[107223, 4512, 190, 5, 50, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[107416, 4519, 235, 5, 70, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[107676, 4528, 99, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[107778, 4533, 247, 6, 29, "Output",
      CellTags->"IPM3.Sol.4.7"],
    Cell[108074, 4545, 131, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.4.7"],
    Cell[108230, 4554, 101, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[108334, 4559, 414, 10, 58, "Print",
      CellTags->{"Info3302767663-6804076", "IPM3.Sol.4.7"}],
    Cell[108763, 4572, 238, 7, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.4.7"],
    Cell[109004, 4581, 327, 7, 90, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[109356, 4592, 110, 3, 30, "Input",
      CellTags->"IPM3.Sol.4.7"],
    Cell[109469, 4597, 100, 3, 29, "Output",
      CellTags->"IPM3.Sol.4.7"],
    Cell[157654, 6482, 172, 4, 50, "Input",
      CellTags->"IPM3.Sol.4.7"]},
  "IPM3.Sol.5.2"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[109752, 4614, 180, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.5.2"],
    Cell[109957, 4624, 236, 6, 46, "SolutionItem",
      CellTags->"IPM3.Sol.5.2"],
    Cell[110196, 4632, 350, 10, 44, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[110549, 4644, 269, 6, 134, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[110843, 4654, 91, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[110937, 4659, 127, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.2"],
    Cell[111113, 4668, 219, 6, 27, "SolutionItem",
      CellTags->"IPM3.Sol.5.2"],
    Cell[111357, 4678, 178, 4, 65, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[111538, 4684, 108, 3, 46, "Output",
      CellTags->"IPM3.Sol.5.2"],
    Cell[111661, 4690, 180, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.5.2"],
    Cell[111844, 4696, 158, 4, 46, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[112027, 4704, 101, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[112131, 4709, 105, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.2"],
    Cell[112285, 4718, 275, 7, 46, "SolutionItem",
      CellTags->"IPM3.Sol.5.2"],
    Cell[112563, 4727, 351, 10, 44, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[112939, 4741, 300, 7, 134, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[113242, 4750, 565, 12, 67, "Output",
      CellTags->"IPM3.Sol.5.2"],
    Cell[114024, 4773, 93, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[114120, 4778, 128, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.2"],
    Cell[114297, 4787, 230, 5, 46, "SolutionItem",
      CellTags->"IPM3.Sol.5.2"],
    Cell[114530, 4794, 333, 8, 130, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[114888, 4806, 111, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[115002, 4811, 121, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.2"],
    Cell[115138, 4817, 137, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.5.2"],
    Cell[115278, 4822, 270, 7, 90, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[115573, 4833, 112, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[115688, 4838, 121, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.2"],
    Cell[115824, 4844, 168, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.5.2"],
    Cell[116017, 4852, 139, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[116159, 4857, 170, 4, 29, "Output",
      CellTags->"IPM3.Sol.5.2"],
    Cell[116378, 4867, 225, 7, 27, "SolutionItem",
      CellTags->"IPM3.Sol.5.2"],
    Cell[116606, 4876, 101, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[116710, 4881, 353, 7, 150, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[117088, 4892, 109, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[117200, 4897, 89, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.2"],
    Cell[117338, 4906, 218, 7, 27, "SolutionItem",
      CellTags->"IPM3.Sol.5.2"],
    Cell[117559, 4915, 908, 20, 149, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[118470, 4937, 104, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[118599, 4944, 108, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[118710, 4949, 105, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.2"],
    Cell[118864, 4958, 113, 2, 27, "SolutionItem",
      CellTags->"IPM3.Sol.5.2"],
    Cell[118980, 4962, 1384, 31, 206, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[120367, 4995, 104, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[120496, 5002, 117, 3, 31, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[120616, 5007, 227, 5, 29, "Output",
      CellTags->"IPM3.Sol.5.2"],
    Cell[120892, 5018, 173, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.5.2"],
    Cell[121068, 5025, 1051, 24, 109, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[122144, 5053, 143, 3, 31, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[122290, 5058, 108, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.2"],
    Cell[122447, 5067, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.5.2"],
    Cell[122502, 5070, 506, 9, 215, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[123033, 5083, 163, 4, 50, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[123199, 5089, 97, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.2"],
    Cell[123345, 5098, 113, 2, 27, "SolutionItem",
      CellTags->"IPM3.Sol.5.2"],
    Cell[123461, 5102, 320, 7, 130, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[123806, 5113, 195, 5, 70, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[124004, 5120, 89, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.2"],
    Cell[124108, 5126, 267, 6, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.5.2"],
    Cell[124378, 5134, 221, 5, 70, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[124624, 5143, 195, 5, 70, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[124822, 5150, 89, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.2"],
    Cell[124960, 5159, 95, 2, 27, "SolutionItem",
      CellTags->"IPM3.Sol.5.2"],
    Cell[125080, 5165, 510, 22, 46, "SolutionSubItem",
      CellTags->"IPM3.Sol.5.2"],
    Cell[125593, 5189, 115, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[125711, 5194, 385, 8, 90, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[126121, 5206, 110, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[126234, 5211, 102, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.2"],
    Cell[126351, 5217, 280, 6, 70, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[126656, 5227, 115, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[126774, 5232, 102, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.2"],
    Cell[126903, 5239, 1572, 50, 103, "SolutionSubItem",
      CellTags->"IPM3.Sol.5.2"],
    Cell[128478, 5291, 386, 8, 90, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[128889, 5303, 117, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[129009, 5308, 102, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.2"],
    Cell[129126, 5314, 400, 8, 110, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[129551, 5326, 122, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[129676, 5331, 102, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.2"],
    Cell[129793, 5337, 261, 10, 27, "SolutionSubItem",
      CellTags->"IPM3.Sol.5.2"],
    Cell[130057, 5349, 382, 8, 90, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[130464, 5361, 131, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[130598, 5366, 120, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.2"],
    Cell[130733, 5372, 98, 2, 27, "SolutionSubItem",
      CellTags->"IPM3.Sol.5.2"],
    Cell[130834, 5376, 450, 9, 110, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[131309, 5389, 147, 4, 30, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[131459, 5395, 120, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.2"],
    Cell[131594, 5401, 911, 35, 65, "SolutionSubItem",
      CounterAssignments->{{"SolutionItem", 1}},
      CellTags->"IPM3.Sol.5.2"],
    Cell[132508, 5438, 540, 10, 150, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[133073, 5452, 147, 4, 30, "Input",
      CellTags->"IPM3.Sol.5.2"],
    Cell[133223, 5458, 96, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.2"]},
  "IPM3.Sol.5.3"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[133380, 5468, 173, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.5.3"],
    Cell[133578, 5478, 89, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.5.3"],
    Cell[133670, 5481, 191, 5, 70, "Input",
      CellTags->"IPM3.Sol.5.3"],
    Cell[133886, 5490, 113, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.3"],
    Cell[134002, 5495, 100, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.3"],
    Cell[134117, 5501, 144, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.5.3"],
    Cell[134264, 5508, 135, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.3"],
    Cell[134424, 5515, 113, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.3"],
    Cell[134540, 5520, 100, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.3"],
    Cell[134655, 5526, 147, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.5.3"],
    Cell[134805, 5533, 140, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.3"],
    Cell[134970, 5540, 113, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.3"],
    Cell[135086, 5545, 100, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.3"],
    Cell[135213, 5552, 160, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.5.3"],
    Cell[135742, 5576, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.5.3"],
    Cell[135797, 5579, 226, 6, 90, "Input",
      CellTags->"IPM3.Sol.5.3"],
    Cell[136048, 5589, 114, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.3"],
    Cell[136165, 5594, 101, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.3"],
    Cell[136281, 5600, 135, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.3"],
    Cell[136441, 5607, 114, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.3"],
    Cell[136558, 5612, 101, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.3"],
    Cell[136674, 5618, 140, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.3"],
    Cell[136839, 5625, 114, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.3"],
    Cell[136956, 5630, 101, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.3"],
    Cell[137106, 5639, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.5.3"],
    Cell[137161, 5642, 335, 8, 102, "Input",
      CellTags->"IPM3.Sol.5.3"],
    Cell[137533, 5655, 119, 3, 27, "SolutionItem",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.5.3"],
    Cell[137685, 5662, 135, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.3"],
    Cell[137823, 5667, 98, 2, 27, "SolutionSubItem",
      CellTags->"IPM3.Sol.5.3"],
    Cell[137924, 5671, 316, 7, 70, "Input",
      CellTags->"IPM3.Sol.5.3"],
    Cell[138243, 5680, 98, 2, 27, "SolutionSubItem",
      CellTags->"IPM3.Sol.5.3"],
    Cell[138344, 5684, 148, 4, 30, "Input",
      CellTags->"IPM3.Sol.5.3"],
    Cell[138529, 5693, 128, 3, 27, "SolutionItem",
      CellTags->"IPM3.Sol.5.3"],
    Cell[138660, 5698, 117, 3, 40, "Input",
      CellTags->"IPM3.Sol.5.3"],
    Cell[138780, 5703, 120, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.3"],
    Cell[138903, 5708, 233, 9, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.5.3"],
    Cell[139139, 5719, 163, 4, 30, "Input",
      CellTags->"IPM3.Sol.5.3"],
    Cell[139327, 5727, 105, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.3"],
    Cell[139435, 5732, 122, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.3"]},
  "IPM3.Sol.5.4"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[139618, 5742, 169, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.5.4"],
    Cell[139812, 5752, 183, 7, 27, "SolutionItem",
      CellTags->"IPM3.Sol.5.4"],
    Cell[139998, 5761, 95, 3, 30, "Input",
      CellTags->"IPM3.Sol.5.4"],
    Cell[140096, 5766, 190, 5, 30, "Input",
      CellTags->"IPM3.Sol.5.4"],
    Cell[140311, 5775, 160, 5, 70, "Input",
      CellTags->"IPM3.Sol.5.4"],
    Cell[140474, 5782, 88, 3, 29, "Output",
      CellTags->"IPM3.Sol.5.4"],
    Cell[140589, 5789, 168, 6, 27, "SolutionItem",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.5.4"],
    Cell[142194, 5846, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.5.4"],
    Cell[142249, 5849, 696, 15, 190, "Input",
      CellTags->"IPM3.Sol.5.4"]},
  "IPM3.Sol.6.2"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[143308, 5887, 169, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.6.2"],
    Cell[143502, 5897, 167, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.6.2"],
    Cell[143694, 5906, 106, 3, 31, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[143803, 5911, 268, 8, 43, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[144108, 5924, 111, 3, 31, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[144222, 5929, 90, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[144349, 5937, 121, 3, 31, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[144473, 5942, 90, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[144578, 5948, 127, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.6.2"],
    Cell[144730, 5955, 107, 3, 31, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[144840, 5960, 90, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[144979, 5969, 142, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.6.2"],
    Cell[145146, 5978, 128, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[145277, 5983, 275, 8, 43, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[145589, 5996, 133, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[145725, 6001, 90, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[145852, 6009, 167, 5, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[146022, 6016, 90, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[146161, 6025, 141, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.6.2"],
    Cell[146327, 6034, 115, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[146445, 6039, 266, 8, 43, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[146748, 6052, 139, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[146890, 6057, 90, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[147017, 6065, 147, 4, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[147167, 6071, 91, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[147295, 6079, 190, 4, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[147488, 6085, 91, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[147616, 6093, 140, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[147759, 6098, 91, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[147887, 6106, 138, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[148028, 6111, 91, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[148168, 6120, 267, 10, 46, "SolutionItem",
      CellTags->"IPM3.Sol.6.2"],
    Cell[148438, 6132, 235, 5, 70, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[148698, 6141, 105, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[148806, 6146, 88, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[148943, 6155, 155, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.6.2"],
    Cell[149101, 6162, 306, 6, 90, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[149410, 6170, 285, 6, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.6.2"],
    Cell[149698, 6178, 312, 7, 90, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[150013, 6187, 119, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.6.2"],
    Cell[150135, 6192, 158, 4, 31, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[150296, 6198, 179, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.6.2"],
    Cell[150500, 6206, 111, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[150614, 6211, 147, 4, 29, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[150810, 6221, 133, 3, 27, "SolutionItem",
      CellTags->"IPM3.Sol.6.2"],
    Cell[150946, 6226, 114, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[151063, 6231, 111, 3, 40, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[151199, 6238, 98, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[151300, 6243, 100, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[151415, 6249, 173, 5, 27, "SolutionNoLabel",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.6.2"],
    Cell[151613, 6258, 112, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[151728, 6263, 699, 11, 162, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[152476, 6280, 171, 4, 27, "SolutionItem",
      CellTags->"IPM3.Sol.6.2"],
    Cell[152650, 6286, 100, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[152753, 6291, 135, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[152891, 6296, 132, 3, 40, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[153048, 6303, 98, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[153149, 6308, 100, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[153286, 6316, 101, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[153390, 6321, 102, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[153529, 6329, 112, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[153644, 6334, 699, 11, 162, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[154392, 6351, 149, 4, 27, "SolutionItem",
      CellTags->"IPM3.Sol.6.2"],
    Cell[154544, 6357, 167, 4, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[154714, 6363, 100, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.6.2"],
    Cell[154817, 6366, 129, 3, 33, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[154949, 6371, 138, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.6.2"],
    Cell[155090, 6376, 109, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[155224, 6383, 128, 3, 42, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[155355, 6388, 107, 3, 42, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[155511, 6397, 290, 7, 46, "SolutionItem",
      CellTags->"IPM3.Sol.6.2"],
    Cell[155804, 6406, 142, 4, 50, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[155949, 6412, 190, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.6.2"],
    Cell[156142, 6419, 122, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[156289, 6426, 123, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[156415, 6431, 110, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[156540, 6437, 270, 6, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.6.2"],
    Cell[156813, 6445, 159, 4, 50, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[156997, 6453, 124, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[157124, 6458, 110, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.2"],
    Cell[157283, 6467, 87, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.6.2"],
    Cell[157373, 6470, 163, 4, 50, "Input",
      CellTags->"IPM3.Sol.6.2"],
    Cell[157573, 6479, 78, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.6.2"],
    Cell[157829, 6488, 77, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.6.2"],
    Cell[158130, 6502, 215, 7, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.6.2"],
    Cell[158567, 6522, 150, 4, 27, "SolutionNoLabel",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.6.2"],
    Cell[158887, 6539, 113, 2, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.6.2"],
    Cell[159394, 6560, 222, 5, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.6.2"]},
  "IPM3.Sol.6.3"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[160842, 6614, 181, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.6.3"],
    Cell[161048, 6624, 152, 4, 27, "SolutionItem",
      CellTags->"IPM3.Sol.6.3"],
    Cell[161203, 6630, 153, 4, 30, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[161359, 6636, 221, 5, 30, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[161605, 6645, 127, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[161735, 6650, 3943, 104, 181, "Output",
      CellTags->"IPM3.Sol.6.3"],
    Cell[165715, 6759, 128, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[165846, 6764, 7913, 254, 314, "Output",
      CellTags->"IPM3.Sol.6.3"],
    Cell[173808, 7024, 184, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.6.3"],
    Cell[174017, 7033, 146, 4, 30, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[174166, 7039, 1819, 56, 48, "Output",
      CellTags->"IPM3.Sol.6.3"],
    Cell[176034, 7101, 189, 7, 27, "SolutionItem",
      CellTags->"IPM3.Sol.6.3"],
    Cell[176226, 7110, 96, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[176347, 7117, 219, 5, 70, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[176569, 7124, 88, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.3"],
    Cell[176706, 7133, 271, 6, 46, "SolutionItem",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.6.3"],
    Cell[177002, 7143, 156, 4, 30, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[177161, 7149, 1062, 32, 48, "Output",
      CellTags->"IPM3.Sol.6.3"],
    Cell[178238, 7184, 97, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[178338, 7189, 177, 5, 30, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[178540, 7198, 98, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[178641, 7203, 94, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.3"],
    Cell[178784, 7212, 104, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.6.3"],
    Cell[178891, 7215, 171, 5, 30, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[179087, 7224, 139, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[179229, 7229, 130, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.3"],
    Cell[179408, 7238, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.6.3"],
    Cell[179463, 7241, 168, 4, 30, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[179656, 7249, 113, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[179772, 7254, 89, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.3"],
    Cell[179910, 7263, 197, 7, 27, "SolutionItem",
      CellTags->"IPM3.Sol.6.3"],
    Cell[180110, 7272, 214, 6, 50, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[180327, 7280, 100, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.6.3"],
    Cell[180430, 7283, 112, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[180545, 7288, 109, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[180679, 7295, 124, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[180806, 7300, 168, 4, 29, "Output",
      CellTags->"IPM3.Sol.6.3"],
    Cell[181011, 7309, 106, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[181120, 7314, 89, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.3"],
    Cell[181258, 7323, 283, 10, 46, "SolutionItem",
      CellTags->"IPM3.Sol.6.3"],
    Cell[181544, 7335, 304, 8, 90, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[181851, 7345, 91, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.6.3"],
    Cell[181945, 7348, 133, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[182103, 7355, 113, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.3"],
    Cell[182219, 7360, 2023225, 27766, 154, 1954885, 26917, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.6.3"],
    Cell[2205459, 35129, 203, 5, 27, "SolutionNoLabel",
      CellTags->{"IPM3.Sol.6.3", "i:3"}]},
  "IPM3.Sol.6.4"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[4243051, 63105, 169, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4243245, 63115, 114, 2, 27, "SolutionItem",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4243384, 63121, 166, 4, 30, "Input",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4243553, 63127, 225, 5, 29, "Output",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4243815, 63137, 179, 5, 30, "Input",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4243997, 63144, 570, 9, 67, "Output",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4244604, 63158, 180, 5, 30, "Input",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4244787, 63165, 570, 9, 67, "Output",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4245372, 63177, 185, 5, 30, "Input",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4245560, 63184, 189, 5, 30, "Input",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4245774, 63193, 142, 4, 30, "Input",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4245919, 63199, 107, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4246063, 63207, 120, 4, 30, "Input",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4246186, 63213, 107, 3, 29, "Output",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4246342, 63222, 216, 6, 27, "SolutionItem",
      CounterAssignments->{{"SolutionItem", 2}},
      CellTags->"IPM3.Sol.6.4"],
    Cell[4246561, 63230, 282, 7, 70, "Input",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4246846, 63239, 130, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4247001, 63246, 162, 4, 30, "Input",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4247166, 63252, 42398, 607, 204, 5866, 150, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4289567, 63861, 183, 5, 29, "Output",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4289765, 63869, 392, 8, 65, "SolutionNoLabel",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4290160, 63879, 134, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4290319, 63886, 158, 4, 30, "Input",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4290480, 63892, 177082, 2424, 127, 124334, 1767, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4467589, 66320, 316, 11, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4467908, 66333, 340, 8, 70, "Input",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4468273, 66345, 158, 4, 30, "Input",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4468434, 66351, 192666, 2633, 148, 124509, 1786, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4853978, 71632, 90, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4854093, 71637, 141, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4854237, 71642, 36957, 996, 154, 15138, 721, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4891209, 72641, 127, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4891361, 72648, 186, 5, 30, "Input",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4891550, 72655, 25179, 850, 154, 15226, 721, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4916744, 73508, 464, 9, 84, "SolutionNoLabel",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4917245, 73522, 326, 6, 46, "SolutionItem",
      CounterAssignments->{{"SolutionItem", 5}},
      CellTags->"IPM3.Sol.6.4"],
    Cell[4917574, 73530, 305, 7, 90, "Input",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4917904, 73541, 129, 3, 30, "Input",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4918036, 73546, 28257, 846, 149, 13969, 664, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4946330, 74397, 92, 2, 30, "Input",
      CellTags->"IPM3.Sol.6.4"],
    Cell[4946425, 74401, 30060, 895, 149, 15216, 706, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.6.4"]},
  "IPM3.Sol.7.1"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[4976643, 75309, 178, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.7.1"],
    Cell[4976846, 75319, 95, 2, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.1"],
    Cell[4976944, 75323, 154, 4, 27, "SolutionSubItem",
      CellTags->"IPM3.Sol.7.1"],
    Cell[4977101, 75329, 166, 5, 70, "Input",
      CellTags->"IPM3.Sol.7.1"],
    Cell[4977292, 75338, 107, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.1"],
    Cell[4977402, 75343, 129, 3, 29, "Output",
      CellTags->"IPM3.Sol.7.1"],
    Cell[4977546, 75349, 142, 4, 27, "SolutionSubItem",
      CellTags->"IPM3.Sol.7.1"],
    Cell[4977691, 75355, 167, 5, 70, "Input",
      CellTags->"IPM3.Sol.7.1"],
    Cell[4977883, 75364, 107, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.1"],
    Cell[4977993, 75369, 135, 3, 29, "Output",
      CellTags->"IPM3.Sol.7.1"],
    Cell[4978143, 75375, 93, 1, 27, "SolutionSubItem",
      CellTags->"IPM3.Sol.7.1"],
    Cell[4978239, 75378, 204, 6, 90, "Input",
      CellTags->"IPM3.Sol.7.1"],
    Cell[4978468, 75388, 108, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.1"],
    Cell[4978579, 75393, 118, 3, 29, "Output",
      CellTags->"IPM3.Sol.7.1"],
    Cell[4978746, 75402, 105, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.1"],
    Cell[4978854, 75405, 177, 5, 70, "Input",
      CellTags->"IPM3.Sol.7.1"],
    Cell[4979056, 75414, 103, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.1"],
    Cell[4979162, 75419, 113, 3, 29, "Output",
      CellTags->"IPM3.Sol.7.1"]},
  "IPM3.Sol.7.2"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[4979336, 75429, 175, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4979536, 75439, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4979591, 75442, 279, 6, 90, "Input",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4979895, 75452, 127, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4980025, 75457, 88, 3, 29, "Output",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4980162, 75466, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4980217, 75469, 257, 6, 70, "Input",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4980499, 75479, 134, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4980636, 75484, 88, 3, 29, "Output",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4980773, 75493, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4980828, 75496, 245, 5, 70, "Input",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4981098, 75505, 183, 4, 30, "Input",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4981284, 75511, 174, 4, 29, "Output",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4981507, 75521, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4981562, 75524, 240, 6, 70, "Input",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4981827, 75534, 120, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4981950, 75539, 109, 3, 29, "Output",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4982108, 75548, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4982163, 75551, 207, 5, 70, "Input",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4982395, 75560, 116, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4982514, 75565, 96, 3, 29, "Output",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4982659, 75574, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4982714, 75577, 208, 5, 50, "Input",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4982947, 75586, 118, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.2"],
    Cell[4983068, 75591, 105, 3, 29, "Output",
      CellTags->"IPM3.Sol.7.2"]},
  "IPM3.Sol.7.3"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[4983234, 75601, 191, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4983450, 75611, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4983505, 75614, 307, 7, 90, "Input",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4983849, 75626, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4983904, 75629, 383, 8, 130, "Input",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4984324, 75642, 294, 8, 46, "SolutionItem",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4984621, 75652, 124, 5, 48, "Input",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4984748, 75659, 423, 9, 110, "Input",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4985174, 75670, 249, 9, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4985426, 75681, 141, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4985592, 75688, 114, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4985709, 75693, 117, 3, 29, "Output",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4985841, 75699, 119, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4985985, 75706, 141, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4986129, 75711, 143, 3, 29, "Output",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4986321, 75720, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4986376, 75723, 386, 8, 110, "Input",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4986799, 75736, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4986854, 75739, 157, 4, 50, "Input",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4987014, 75745, 264, 6, 70, "Input",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4987315, 75756, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4987370, 75759, 197, 5, 50, "Input",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4987604, 75769, 152, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4987759, 75776, 207, 5, 70, "Input",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4987969, 75783, 255, 6, 50, "Input",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4988249, 75793, 108, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4988360, 75798, 176, 4, 48, "Output",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4988551, 75805, 94, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4988648, 75808, 163, 4, 30, "Input",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4988814, 75814, 143, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4988982, 75822, 106, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4989091, 75827, 333, 6, 67, "Output",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4989439, 75836, 181, 6, 27, "SolutionNoLabel",
      PageBreakAbove->True,
      CellTags->{"IPM3.Sol.7.3", "i:4"}],
    Cell[4989645, 75846, 106, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4989754, 75851, 333, 6, 67, "Output",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4990114, 75861, 162, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4991113, 75890, 196, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.7.3"],
    Cell[4991608, 75909, 339, 7, 65, "SolutionNoLabel",
      CellTags->"IPM3.Sol.7.3"]},
  "IPM3.Sol.7.4"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[4992213, 75932, 196, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.7.4"],
    Cell[4992434, 75942, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.4"],
    Cell[4992489, 75945, 412, 9, 170, "Input",
      CellTags->"IPM3.Sol.7.4"],
    Cell[4992904, 75956, 224, 5, 85, "Input",
      CellTags->"IPM3.Sol.7.4"],
    Cell[4993153, 75965, 112, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.4"],
    Cell[4993268, 75970, 114, 3, 29, "Output",
      CellTags->"IPM3.Sol.7.4"],
    Cell[4993419, 75978, 103, 3, 31, "Input",
      CellTags->"IPM3.Sol.7.4"],
    Cell[4993525, 75983, 112, 3, 30, "Output",
      CellTags->"IPM3.Sol.7.4"],
    Cell[4993686, 75992, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.4"],
    Cell[4993741, 75995, 96, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.4"],
    Cell[4993840, 76000, 413, 9, 170, "Input",
      CellTags->"IPM3.Sol.7.4"],
    Cell[4994256, 76011, 108, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.4"],
    Cell[4994367, 76016, 455, 10, 190, "Input",
      CellTags->"IPM3.Sol.7.4"],
    Cell[4994859, 76031, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.4"],
    Cell[4994914, 76034, 563, 11, 210, "Input",
      CellTags->"IPM3.Sol.7.4"],
    Cell[4995502, 76049, 155, 4, 31, "Input",
      CellTags->"IPM3.Sol.7.4"],
    Cell[4995660, 76055, 132, 3, 29, "Output",
      CellTags->"IPM3.Sol.7.4"],
    Cell[4995829, 76063, 130, 3, 42, "Input",
      CellTags->"IPM3.Sol.7.4"],
    Cell[4995962, 76068, 135, 3, 48, "Output",
      CellTags->"IPM3.Sol.7.4"]},
  "IPM3.Sol.7.5"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[4996158, 76078, 179, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.7.5"],
    Cell[4996362, 76088, 208, 6, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.5"],
    Cell[4996573, 76096, 97, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[4996673, 76101, 412, 9, 126, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[4997088, 76112, 119, 3, 42, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[4997210, 76117, 189, 5, 30, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[4997402, 76124, 238, 6, 44, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[4997643, 76132, 613, 13, 110, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[4998259, 76147, 146, 4, 30, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[4998408, 76153, 83, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.7.5"],
    Cell[4998516, 76158, 116, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[4998635, 76163, 474, 8, 86, "Output",
      CellTags->"IPM3.Sol.7.5"],
    Cell[4999146, 76176, 109, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[4999258, 76181, 176, 4, 29, "Output",
      CellTags->"IPM3.Sol.7.5"],
    Cell[4999471, 76190, 103, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[4999577, 76195, 189, 5, 29, "Output",
      CellTags->"IPM3.Sol.7.5"],
    Cell[4999803, 76205, 97, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[4999903, 76210, 212, 4, 29, "Output",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5000152, 76219, 93, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5000248, 76224, 99, 3, 29, "Output",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5000396, 76233, 1563, 60, 84, "SolutionItem",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5001962, 76295, 126, 3, 42, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5002091, 76300, 249, 5, 86, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5002343, 76307, 337, 8, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5002683, 76317, 130, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5002816, 76322, 163, 4, 30, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5003016, 76331, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5003071, 76334, 503, 12, 90, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5003577, 76348, 125, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5003705, 76353, 144, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5003852, 76358, 166, 4, 30, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5004021, 76364, 324, 7, 50, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5004348, 76373, 212, 5, 42, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5004563, 76380, 295, 7, 50, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5004895, 76392, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5004950, 76395, 198, 5, 50, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5005185, 76405, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5005240, 76408, 208, 5, 70, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5005485, 76418, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5005540, 76421, 239, 6, 50, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5005782, 76429, 656, 12, 110, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5006475, 76446, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5006530, 76449, 206, 5, 50, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5006739, 76456, 176, 4, 50, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5006952, 76465, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5007007, 76468, 279, 7, 70, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5007289, 76477, 200, 5, 50, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5007492, 76484, 118, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5007613, 76489, 271, 5, 70, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5007887, 76496, 176, 4, 50, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5008100, 76505, 868, 18, 141, "SolutionItem",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5008971, 76525, 237, 5, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5009211, 76532, 256, 6, 30, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5009470, 76540, 357, 8, 110, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5009830, 76550, 132, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5009965, 76555, 114, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5010104, 76562, 315, 7, 70, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5010422, 76571, 206, 4, 48, "Output",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5010677, 76581, 657, 19, 65, "SolutionItem",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5011337, 76602, 312, 6, 70, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5011652, 76610, 142, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5011797, 76615, 233, 5, 70, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5012033, 76622, 133, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5012191, 76629, 119, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5012313, 76634, 324, 6, 48, "Output",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5012652, 76643, 173, 4, 30, "Input",
      CellTags->"IPM3.Sol.7.5"],
    Cell[5012828, 76649, 137, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.5"]},
  "IPM3.Sol.7.6"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[5013014, 76658, 180, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.7.6"],
    Cell[5013219, 76668, 159, 4, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.6"],
    Cell[5013381, 76674, 122, 4, 50, "Input",
      CellTags->"IPM3.Sol.7.6"],
    Cell[5013506, 76680, 231, 5, 76, "Input",
      CellTags->"IPM3.Sol.7.6"],
    Cell[5013762, 76689, 102, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.6"],
    Cell[5013867, 76694, 120, 3, 29, "Output",
      CellTags->"IPM3.Sol.7.6"],
    Cell[5014036, 76703, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.6"],
    Cell[5014091, 76706, 124, 4, 50, "Input",
      CellTags->"IPM3.Sol.7.6"],
    Cell[5014218, 76712, 261, 6, 76, "Input",
      CellTags->"IPM3.Sol.7.6"],
    Cell[5014504, 76722, 104, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.6"],
    Cell[5014611, 76727, 130, 3, 29, "Output",
      CellTags->"IPM3.Sol.7.6"],
    Cell[5014790, 76736, 52, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.6"],
    Cell[5014845, 76739, 100, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.6"],
    Cell[5014948, 76744, 105, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.6"],
    Cell[5015056, 76749, 184, 4, 63, "Input",
      CellTags->"IPM3.Sol.7.6"],
    Cell[5015243, 76755, 187, 4, 50, "Input",
      CellTags->"IPM3.Sol.7.6"],
    Cell[5015433, 76761, 114, 2, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.7.6"],
    Cell[5015572, 76767, 100, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.6"],
    Cell[5015675, 76772, 89, 3, 29, "Output",
      CellTags->"IPM3.Sol.7.6"],
    Cell[5015779, 76778, 194, 4, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.7.6"],
    Cell[5015998, 76786, 120, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.6"],
    Cell[5016121, 76791, 714, 11, 162, "Output",
      CellTags->"IPM3.Sol.7.6"]},
  "IPM3.Sol.7.7"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[5016896, 76809, 197, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.7.7"],
    Cell[5017118, 76819, 152, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.7.7"],
    Cell[5017273, 76826, 174, 4, 50, "Input",
      CellTags->"IPM3.Sol.7.7"],
    Cell[5017472, 76834, 115, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.7"],
    Cell[5017590, 76839, 103, 3, 29, "Output",
      CellTags->"IPM3.Sol.7.7"],
    Cell[5017708, 76845, 206, 5, 50, "Input",
      CellTags->"IPM3.Sol.7.7"],
    Cell[5017939, 76854, 113, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.7"],
    Cell[5018055, 76859, 112, 3, 29, "Output",
      CellTags->"IPM3.Sol.7.7"],
    Cell[5018182, 76865, 120, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.7.7"],
    Cell[5018305, 76872, 191, 5, 50, "Input",
      CellTags->"IPM3.Sol.7.7"],
    Cell[5018521, 76881, 111, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.7"],
    Cell[5018635, 76886, 163, 4, 29, "Output",
      CellTags->"IPM3.Sol.7.7"],
    Cell[5018847, 76896, 183, 6, 27, "SolutionItem",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.7.7"],
    Cell[5019576, 76923, 306, 7, 70, "Input",
      CellTags->"IPM3.Sol.7.7"],
    Cell[5020011, 76938, 100, 3, 30, "Input",
      CellTags->"IPM3.Sol.7.7"],
    Cell[5020114, 76943, 134, 3, 29, "Output",
      CellTags->"IPM3.Sol.7.7"]},
  "IPM3.Sol.8.2"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[5020405, 76959, 168, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5020598, 76969, 155, 4, 27, "SolutionItem",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5020756, 76975, 123, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5020882, 76980, 112, 2, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5021019, 76986, 121, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5021143, 76991, 104, 3, 40, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5021284, 76999, 151, 4, 38, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5021438, 77005, 99, 3, 40, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5021586, 77014, 261, 7, 46, "SolutionItem",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5021850, 77023, 165, 4, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5022018, 77029, 91, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5022134, 77034, 104, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5022241, 77039, 98, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5022354, 77045, 135, 3, 27, "SolutionNoLabel",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.8.2"],
    Cell[5022514, 77052, 95, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5022612, 77057, 87, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5022714, 77063, 104, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5022843, 77068, 107, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5022953, 77073, 92, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5023082, 77081, 99, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5023184, 77086, 89, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5023288, 77092, 183, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5023474, 77098, 108, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5023607, 77105, 113, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5023723, 77110, 134, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5023894, 77118, 95, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5023992, 77123, 125, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5024166, 77132, 174, 6, 27, "SolutionItem",
      CounterAssignments->{{"SolutionItem", 3}},
      CellTags->"IPM3.Sol.8.2"],
    Cell[5024343, 77140, 144, 3, 31, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5024490, 77145, 104, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5024597, 77148, 155, 4, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5024755, 77154, 100, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5024880, 77159, 103, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5024986, 77164, 148, 4, 29, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5025149, 77171, 116, 2, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5025290, 77177, 104, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5025397, 77182, 156, 4, 29, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5025590, 77191, 103, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5025696, 77196, 157, 4, 29, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5025890, 77205, 105, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5025998, 77210, 159, 4, 29, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5026206, 77220, 225, 6, 27, "SolutionItem",
      CounterAssignments->{{"SolutionItem", 5}},
      CellTags->"IPM3.Sol.8.2"],
    Cell[5026434, 77228, 142, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5026601, 77235, 106, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5026710, 77240, 90, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5026849, 77249, 171, 4, 27, "SolutionItem",
      CounterAssignments->{{"SolutionItem", 7}},
      CellTags->"IPM3.Sol.8.2"],
    Cell[5027045, 77257, 102, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5027150, 77262, 209, 7, 43, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5027374, 77272, 86, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5027485, 77277, 107, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5027595, 77282, 108, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5027718, 77288, 232, 5, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5027975, 77297, 126, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5028104, 77302, 108, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5028227, 77308, 186, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5028438, 77317, 99, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5028540, 77322, 89, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5028644, 77328, 170, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5028817, 77335, 198, 5, 50, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5029040, 77344, 99, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5029142, 77349, 89, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5029246, 77355, 194, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5029443, 77362, 179, 5, 50, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5029647, 77371, 100, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5029750, 77376, 89, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5029888, 77385, 218, 5, 46, "SolutionItem",
      CounterAssignments->{{"SolutionItem", 8}},
      CellTags->"IPM3.Sol.8.2"],
    Cell[5030109, 77392, 148, 4, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5030282, 77400, 92, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5030377, 77405, 93, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5030485, 77411, 84, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5030594, 77416, 104, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5030701, 77421, 127, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5030877, 77430, 134, 3, 27, "SolutionItem",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5031014, 77435, 120, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5031137, 77440, 115, 2, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5031277, 77446, 157, 4, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5031437, 77452, 49403, 1764, 191, 42494, 1673, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5080855, 79219, 95, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5080975, 79224, 156, 4, 31, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5081134, 79230, 49152, 1761, 190, 42494, 1673, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5130323, 80996, 183, 4, 43, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5130509, 81002, 84918, 1678, 193, 35652, 1064, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5215476, 82686, 140, 2, 27, "SolutionItem",
      CounterAssignments->{{"SolutionItem", 10}},
      CellTags->"IPM3.Sol.8.2"],
    Cell[5215619, 82690, 117, 2, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5215739, 82694, 142, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5215906, 82702, 135, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5216044, 82707, 130, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5216189, 82713, 151, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5216343, 82719, 111, 2, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5216479, 82725, 142, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5216624, 82730, 404, 7, 86, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5217043, 82740, 314, 7, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5217382, 82751, 165, 5, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5217550, 82758, 188506, 6670, 154, 108140, 5672, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5406071, 89431, 256, 6, 46, "SolutionNoLabel",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.8.2"],
    Cell[5406352, 89441, 152, 5, 48, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5406507, 89448, 153372, 5858, 155, 98856, 5179, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5559894, 95309, 189, 4, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5560108, 95317, 209, 5, 52, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5560320, 95324, 187534, 6617, 154, 107306, 5621, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5747891, 101946, 119, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5748013, 101951, 171659, 6376, 154, 106050, 5560, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5919699, 108331, 210, 5, 27, "SolutionItem",
      CounterAssignments->{{"SolutionItem", 12}},
      CellTags->"IPM3.Sol.8.2"],
    Cell[5919912, 108338, 252, 6, 81, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5920167, 108346, 165, 4, 27, "SolutionItem",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5920335, 108352, 158, 4, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5920518, 108360, 101, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5920622, 108365, 100, 3, 42, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5920759, 108373, 90, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5920852, 108378, 105, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5920972, 108384, 345, 10, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5921342, 108398, 137, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5921482, 108403, 608, 9, 143, "Output",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5922105, 108415, 106, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5922236, 108420, 100, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.2"],
    Cell[5922339, 108425, 98, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.2"]},
  "IPM3.Sol.8.3"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[5922486, 108434, 181, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.8.3"],
    Cell[5922692, 108444, 90, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.8.3"],
    Cell[5922807, 108449, 100, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.3"],
    Cell[5922910, 108454, 102, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.3"],
    Cell[5923027, 108460, 343, 8, 65, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.3"],
    Cell[5923407, 108473, 222, 5, 46, "SolutionItem",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.8.3"],
    Cell[5923654, 108482, 180, 4, 54, "Input",
      CellTags->"IPM3.Sol.8.3"],
    Cell[5923837, 108488, 641, 18, 167, "Output",
      CellTags->"IPM3.Sol.8.3"]},
  "IPM3.Sol.8.4"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[5924539, 108513, 191, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5924755, 108523, 102, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5924860, 108526, 179, 4, 30, "Input",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5925064, 108534, 127, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5925194, 108539, 620, 15, 103, "Output",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5925863, 108560, 140, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5926006, 108567, 255, 6, 50, "Input",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5926286, 108577, 124, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5926413, 108582, 350, 10, 29, "Output",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5926800, 108597, 108, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5926911, 108602, 612, 15, 103, "Output",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5927572, 108623, 117, 2, 27, "SolutionItem",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.8.4"],
    Cell[5927692, 108627, 120, 3, 31, "Input",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5927837, 108634, 112, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5927952, 108639, 90, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5928057, 108645, 186, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5928246, 108652, 121, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5928392, 108659, 115, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5928510, 108664, 91, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5928616, 108670, 156, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5928797, 108678, 115, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5928915, 108683, 106, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5929058, 108691, 112, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5929173, 108696, 106, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5929294, 108702, 159, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5929478, 108710, 112, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5929593, 108715, 109, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5929739, 108723, 115, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5929857, 108728, 110, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5929982, 108734, 154, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5930161, 108742, 107, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5930271, 108747, 123, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5930431, 108755, 110, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.4"],
    Cell[5930544, 108760, 123, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.4"]},
  "IPM3.Sol.8.5"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[5930728, 108770, 207, 7, 42, "SolutionsSubsection",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.8.5"],
    Cell[5930960, 108781, 206, 6, 46, "SolutionItem",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5931169, 108789, 338, 7, 110, "Input",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5931510, 108798, 1812, 40, 348, "Input",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5933325, 108840, 102, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5933452, 108847, 106, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5933561, 108852, 105, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5933703, 108860, 112, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5933818, 108865, 176, 4, 29, "Output",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5934031, 108874, 97, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5934131, 108879, 105, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5934285, 108888, 132, 2, 27, "SolutionItem",
      CounterAssignments->{{"SolutionItem", 4}},
      CellTags->"IPM3.Sol.8.5"],
    Cell[5934420, 108892, 110, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5934533, 108897, 176, 6, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5934712, 108905, 131, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5934868, 108912, 94, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5934965, 108917, 87, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5935067, 108923, 152, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5935244, 108932, 105, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5935352, 108937, 88, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5935455, 108943, 152, 6, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5935632, 108953, 130, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5935765, 108958, 125, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5935905, 108964, 86, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5935994, 108967, 174, 4, 50, "Input",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5936193, 108975, 95, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5936291, 108980, 88, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5936394, 108986, 151, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5936570, 108995, 105, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5936678, 109000, 88, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5936781, 109006, 890, 26, 103, "SolutionNoLabel",
      CellTags->{"IPM3.Sol.8.5", "i:5"}],
    Cell[5937708, 109037, 220, 7, 27, "SolutionItem",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5937931, 109046, 169, 4, 50, "Input",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5938103, 109052, 148, 4, 44, "Input",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5938276, 109060, 119, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5938398, 109065, 90, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5938503, 109071, 139, 3, 27, "SolutionNoLabel",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.8.5"],
    Cell[5938667, 109078, 128, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5938798, 109083, 105, 3, 29, "Output",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5938918, 109089, 128, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5939071, 109096, 137, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5939211, 109101, 193, 4, 76, "Output",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5939441, 109110, 90, 3, 30, "Input",
      CellTags->"IPM3.Sol.8.5"],
    Cell[5939534, 109115, 233, 5, 48, "Output",
      CellTags->"IPM3.Sol.8.5"]},
  "IPM3.Sol.9.1"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[5939936, 109133, 182, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.9.1"],
    Cell[5940143, 109143, 306, 7, 46, "SolutionItem",
      CellTags->"IPM3.Sol.9.1"],
    Cell[5940452, 109152, 281, 7, 86, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[5940736, 109161, 126, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.1"],
    Cell[5940887, 109168, 112, 3, 40, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[5941002, 109173, 155975, 3670, 204, 27985, 2084, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6097026, 112849, 148, 4, 27, "SolutionItem",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.9.1"],
    Cell[6097177, 112855, 114, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6097294, 112860, 316, 7, 84, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6097613, 112869, 137, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6097753, 112874, 146, 4, 30, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6097902, 112880, 264, 6, 50, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6098169, 112888, 87, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6098259, 112891, 197, 5, 30, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6098459, 112898, 272, 6, 50, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6098734, 112906, 132, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6098891, 112913, 184, 4, 50, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6099078, 112919, 29888, 511, 169, 4893, 197, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6129015, 113436, 275, 6, 46, "SolutionItem",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6129315, 113446, 129, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6129447, 113451, 263, 6, 48, "Output",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6129725, 113460, 316, 8, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6130044, 113470, 143, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6130212, 113477, 114, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6130329, 113482, 133729, 3877, 211, 99576, 3450, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6264107, 117365, 177, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6264287, 117372, 134, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6264424, 117377, 163, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6264590, 117383, 136, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6264729, 117388, 105, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6264837, 117391, 114, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6264954, 117396, 157, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6265114, 117402, 159, 4, 30, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6265276, 117408, 79, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6265380, 117413, 128, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6265511, 117418, 56617, 1994, 154, 19906, 1535, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6322131, 119414, 183, 5, 29, "Output",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6322363, 119425, 294, 11, 27, "SolutionItem",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.9.1"],
    Cell[6322660, 119438, 100, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6322785, 119445, 230, 6, 31, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6323018, 119453, 533, 13, 144, "Output",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6323566, 119469, 306, 12, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6323897, 119485, 219, 4, 50, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6324119, 119491, 203, 5, 32, "Output",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6324337, 119499, 174, 6, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6324536, 119509, 118, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6324657, 119514, 129, 3, 32, "Output",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6324801, 119520, 248, 5, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6325052, 119527, 117, 3, 33, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6325194, 119534, 186, 5, 30, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6325383, 119541, 29211, 747, 203, 10408, 509, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6354609, 120291, 247, 7, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6354859, 120300, 151, 4, 27, "SolutionNoLabel",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.9.1"],
    Cell[6355013, 120306, 139, 4, 54, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6355177, 120314, 249, 6, 50, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6355429, 120322, 36381, 924, 191, 14293, 646, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6391825, 121249, 801, 24, 84, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6392629, 121275, 253, 6, 50, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6392907, 121285, 204, 5, 50, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6393114, 121292, 32694, 880, 192, 14339, 648, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6425857, 122178, 128, 3, 27, "SolutionItem",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6425988, 122183, 118, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6426109, 122188, 177, 5, 27, "SolutionNoLabel",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.9.1"],
    Cell[6426311, 122197, 119, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6426433, 122202, 289, 6, 67, "Output",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6426737, 122211, 154, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6426894, 122218, 334, 7, 70, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6427231, 122227, 296, 10, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6427552, 122241, 127, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6427682, 122246, 193170, 5842, 221, 130978, 5068, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6620855, 128090, 188, 5, 29, "Output",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6621092, 128101, 88, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6621205, 128106, 126, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6621334, 128111, 28725, 852, 154, 13969, 664, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6650062, 128965, 183, 5, 29, "Output",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6650260, 128973, 735, 21, 84, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6651020, 128998, 195, 8, 102, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6651218, 129008, 55753, 1398, 155, 16745, 911, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6706974, 130408, 183, 5, 29, "Output",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6707172, 130416, 144, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6707341, 130424, 169, 4, 50, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6707513, 130430, 276, 6, 43, "Output",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6707804, 130439, 129, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6707958, 130446, 157, 4, 30, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6708118, 130452, 314, 7, 43, "Output",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6708447, 130462, 86, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6708558, 130467, 278, 6, 90, "Input",
      CellTags->"IPM3.Sol.9.1"],
    Cell[6708839, 130475, 55748, 1397, 155, 16738, 910, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.1"]},
  "IPM3.Sol.9.2"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[6764648, 131879, 181, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6764854, 131889, 574, 16, 84, "SolutionItem",
      CellTags->{"IPM3.Sol.9.2", "i:6"}],
    Cell[6765431, 131907, 112, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6765546, 131912, 400, 8, 110, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6765949, 131922, 100, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6766074, 131927, 142, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6766219, 131932, 28321, 936, 154, 18537, 810, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6794589, 132874, 318, 9, 46, "SolutionItem",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6794910, 132885, 172, 4, 50, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6795107, 132893, 199, 4, 31, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6795309, 132899, 30384, 902, 246, 17178, 733, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6825742, 133807, 76, 2, 27, "SolutionItem",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.9.2"],
    Cell[6825821, 133811, 100, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6825924, 133816, 112, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6826039, 133821, 968, 17, 270, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6827032, 133842, 197, 4, 54, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6827232, 133848, 36935, 1109, 146, 17139, 859, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6864216, 134963, 130, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6864349, 134970, 101, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6864453, 134975, 123, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6864579, 134980, 128, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6864710, 134985, 198, 4, 70, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6864911, 134991, 846, 16, 210, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6865760, 135009, 96, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6865859, 135012, 286, 5, 70, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6866148, 135019, 100, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6866273, 135024, 131, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6866407, 135029, 112, 3, 29, "Output",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6866556, 135037, 127, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6866686, 135042, 23384, 625, 148, 9860, 452, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6890073, 135669, 183, 5, 29, "Output",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6890293, 135679, 127, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6890423, 135684, 27398, 689, 148, 10156, 471, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6917824, 136375, 183, 5, 29, "Output",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6918022, 136383, 160, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6918207, 136392, 129, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6918339, 136397, 219, 5, 37, "Message",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6918607, 136408, 853, 19, 122, "SolutionItem",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6919463, 136429, 565, 12, 170, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6920031, 136443, 123, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6920157, 136448, 311, 6, 110, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6920493, 136458, 124, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6920620, 136463, 21913, 343, 154, 1370, 84, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6942582, 136812, 345, 10, 46, "SolutionItem",
      CounterAssignments->{{"SolutionItem", 6}},
      CellTags->"IPM3.Sol.9.2"],
    Cell[6942930, 136824, 501, 12, 110, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6943434, 136838, 123, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6943582, 136845, 124, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6943709, 136850, 19713, 316, 154, 1377, 84, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6963471, 137172, 218, 5, 46, "SolutionItem",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6963692, 137179, 486, 10, 84, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6964181, 137191, 119, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6964325, 137198, 218, 5, 50, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6964546, 137205, 191, 5, 29, "Output",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6964752, 137213, 95, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6964850, 137216, 167, 5, 70, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6965020, 137223, 105, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6965150, 137228, 168, 4, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6965321, 137234, 97, 3, 29, "Output",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6965433, 137240, 134, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6965592, 137247, 103, 3, 42, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6965698, 137252, 88, 3, 29, "Output",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6965801, 137258, 147, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6965951, 137264, 468, 10, 104, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6966422, 137276, 170, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6966595, 137282, 213, 6, 63, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6966833, 137292, 109, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6966945, 137297, 88, 3, 29, "Output",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6967082, 137306, 1265, 31, 141, "SolutionItem",
      CounterAssignments->{{"SolutionItem", 8}},
      CellTags->"IPM3.Sol.9.2"],
    Cell[6968350, 137339, 516, 11, 106, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6968869, 137352, 132, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6969004, 137357, 140, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6969147, 137362, 137, 4, 50, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6969309, 137370, 293, 7, 50, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6969605, 137379, 13253, 209, 203, 697, 48, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6982873, 137591, 127, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6983025, 137598, 111, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6983139, 137603, 91, 3, 29, "Output",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6983267, 137611, 111, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6983381, 137616, 92, 3, 29, "Output",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6983522, 137625, 869, 20, 122, "SolutionItem",
      CounterAssignments->{{"SolutionItem", 11}},
      CellTags->"IPM3.Sol.9.2"],
    Cell[6984394, 137647, 100, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6984497, 137652, 109, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6984609, 137657, 1085, 22, 188, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6985697, 137681, 689, 13, 122, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6986389, 137696, 458, 9, 150, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6986850, 137707, 188, 5, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6987041, 137714, 702, 23, 84, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6987746, 137739, 229, 6, 70, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6987978, 137747, 827, 14, 141, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6988808, 137763, 226, 6, 70, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6989037, 137771, 190, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6989230, 137778, 156, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6989389, 137784, 112, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6989504, 137789, 139, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6989668, 137796, 159, 4, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[6989830, 137802, 12715, 237, 203, 1265, 90, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.2"],
    Cell[7002594, 138045, 202, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.9.2"],
    Cell[7002799, 138052, 1212, 24, 290, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[7004014, 138078, 373, 9, 65, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.2"],
    Cell[7004390, 138089, 166, 4, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[7004559, 138095, 410, 8, 65, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.2"],
    Cell[7004972, 138105, 138, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[7005113, 138110, 170, 4, 50, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[7005286, 138116, 847, 17, 235, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[7006136, 138135, 191, 5, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[7006352, 138144, 142, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.2"],
    Cell[7006497, 138149, 17348, 418, 154, 7342, 289, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.2"]},
  "IPM3.Sol.9.3"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[7023906, 138574, 166, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7024097, 138584, 829, 22, 103, "SolutionItem",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7024951, 138610, 119, 3, 42, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7025073, 138615, 337, 6, 31, "Message",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7025413, 138623, 179, 5, 29, "Output",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7025641, 138634, 557, 14, 65, "SolutionItem",
      PageBreakAbove->True,
      CounterAssignments->{{"SolutionItem", 2}},
      CellTags->"IPM3.Sol.9.3"],
    Cell[7026223, 138652, 113, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7026339, 138657, 179, 5, 29, "Output",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7026567, 138668, 201, 5, 27, "SolutionItem",
      CounterAssignments->{{"SolutionItem", 4}},
      CellTags->"IPM3.Sol.9.3"],
    Cell[7026771, 138675, 164, 4, 42, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7026960, 138683, 129, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7027092, 138688, 67751, 2052, 155, 28506, 1562, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7094858, 140743, 202, 5, 63, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7095063, 140750, 105, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7095193, 140755, 123, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7095319, 140760, 179, 5, 29, "Output",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7095547, 140771, 237, 5, 46, "SolutionItem",
      CounterAssignments->{{"SolutionItem", 6}},
      CellTags->"IPM3.Sol.9.3"],
    Cell[7095787, 140778, 163, 4, 42, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7095975, 140786, 131, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7096109, 140791, 58152, 1784, 155, 25608, 1377, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7154276, 142578, 102, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7154403, 142583, 125, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7154531, 142588, 179, 5, 29, "Output",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7154725, 142596, 113, 2, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7154841, 142600, 142, 4, 30, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7154986, 142606, 103, 2, 30, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7155092, 142610, 147, 4, 42, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7155242, 142616, 106, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7155373, 142621, 133, 3, 42, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7155509, 142626, 42525, 1010, 155, 14041, 653, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7198071, 143641, 131, 3, 42, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7198205, 143646, 43336, 1025, 156, 13649, 653, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7241590, 144677, 320, 9, 46, "SolutionItem",
      CounterAssignments->{{"SolutionItem", 8}},
      CellTags->"IPM3.Sol.9.3"],
    Cell[7241913, 144688, 384, 8, 110, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7242300, 144698, 158, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7242461, 144704, 120, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7242584, 144709, 168, 4, 30, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7242777, 144717, 111, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7242891, 144722, 3138, 79, 86, "Output",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7246078, 144807, 652, 18, 84, "SolutionItem",
      CounterAssignments->{{"SolutionItem", 10}},
      CellTags->"IPM3.Sol.9.3"],
    Cell[7246733, 144827, 446, 10, 127, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7247216, 144842, 403, 10, 65, "SolutionItem",
      CounterAssignments->{{"SolutionItem", 12}},
      CellTags->"IPM3.Sol.9.3"],
    Cell[7247644, 144856, 133, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7247780, 144861, 137, 3, 29, "Output",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7247954, 144869, 120, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7248077, 144874, 120, 3, 29, "Output",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7248234, 144882, 167, 4, 42, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7248404, 144888, 157, 4, 42, "Output",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7248576, 144895, 173, 7, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7248774, 144906, 133, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7248910, 144911, 159, 4, 29, "Output",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7249106, 144920, 127, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7249236, 144925, 122, 3, 29, "Output",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7249395, 144933, 139, 3, 31, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7249537, 144938, 361, 7, 48, "Output",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7249935, 144950, 100, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7250038, 144955, 89, 3, 29, "Output",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7250164, 144963, 144, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7250311, 144968, 321, 6, 48, "Output",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7250647, 144977, 126, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7250776, 144982, 125, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7250904, 144987, 607, 12, 167, "Input",
      CellTags->"IPM3.Sol.9.3"],
    Cell[7251514, 145001, 109, 3, 30, "Input",
      CellTags->"IPM3.Sol.9.3"]},
  "IPM3.Sol.10.2"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[7251781, 145016, 200, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.10.2"],
    Cell[7252006, 145026, 99, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.10.2"],
    Cell[7252130, 145031, 458, 9, 170, "Input",
      CellTags->"IPM3.Sol.10.2"],
    Cell[7252591, 145042, 284, 8, 29, "Output",
      CellTags->"IPM3.Sol.10.2"],
    Cell[7252924, 145056, 197, 6, 27, "SolutionItem",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.10.2"],
    Cell[7253146, 145066, 112, 3, 30, "Input",
      CellTags->"IPM3.Sol.10.2"],
    Cell[7253261, 145071, 526, 10, 143, "Output",
      CellTags->"IPM3.Sol.10.2"],
    Cell[7253802, 145084, 306, 7, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.10.2"],
    Cell[7254133, 145095, 199, 6, 30, "Input",
      CellTags->"IPM3.Sol.10.2"],
    Cell[7254335, 145103, 284, 8, 29, "Output",
      CellTags->"IPM3.Sol.10.2"]},
  "IPM3.Sol.10.3"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[7254680, 145118, 179, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.10.3"],
    Cell[7254884, 145128, 147, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.10.3"],
    Cell[7255056, 145137, 588, 13, 170, "Input",
      CellTags->"IPM3.Sol.10.3"],
    Cell[7255647, 145152, 284, 8, 29, "Output",
      CellTags->"IPM3.Sol.10.3"]},
  "IPM3.Sol.10.4"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[7255992, 145167, 173, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7256190, 145177, 198, 4, 46, "SolutionItem",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7256391, 145183, 326, 7, 70, "Input",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7256720, 145192, 101, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7256824, 145195, 142, 3, 30, "Input",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7256969, 145200, 264, 5, 64, "Input",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7257236, 145207, 241, 5, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7257502, 145216, 125, 3, 30, "Input",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7257630, 145221, 736, 13, 162, "Output",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7258381, 145237, 633, 13, 150, "Input",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7259039, 145254, 143, 3, 30, "Input",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7259185, 145259, 1137, 32, 125, "Output",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7260337, 145294, 301, 7, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7260641, 145303, 133, 3, 30, "Input",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7260777, 145308, 1387, 29, 270, "Input",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7262189, 145341, 177, 5, 30, "Input",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7262369, 145348, 1145, 32, 125, "Output",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7263563, 145386, 213, 5, 27, "SolutionItem",
      CounterAssignments->{{"SolutionItem", 2}},
      CellTags->"IPM3.Sol.10.4"],
    Cell[7263801, 145395, 174, 5, 30, "Input",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7263978, 145402, 278, 5, 67, "Output",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7264538, 145423, 134, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7264697, 145430, 178, 4, 50, "Input",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7264878, 145436, 563, 10, 86, "Output",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7265456, 145449, 149, 4, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7265630, 145457, 96, 3, 30, "Input",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7265729, 145462, 139, 3, 29, "Output",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7265883, 145468, 137, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7266023, 145475, 964, 20, 270, "Input",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7267012, 145499, 128, 3, 30, "Input",
      CellTags->"IPM3.Sol.10.4"],
    Cell[7267143, 145504, 698, 22, 177, "Output",
      CellTags->"IPM3.Sol.10.4"]},
  "IPM3.Sol.10.5"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[7267902, 145533, 171, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7268098, 145543, 145, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7268268, 145552, 187, 4, 50, "Input",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7268458, 145558, 212, 6, 46, "Output",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7268685, 145567, 94, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7268804, 145572, 266, 5, 30, "Input",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7269073, 145579, 291, 7, 46, "Output",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7269413, 145592, 142, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7269580, 145601, 225, 5, 50, "Input",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7269808, 145608, 239, 7, 46, "Output",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7270062, 145618, 365, 8, 65, "SolutionNoLabel",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7270430, 145628, 124, 3, 30, "Input",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7270579, 145635, 132, 3, 31, "Input",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7270714, 145640, 759, 12, 67, "Output",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7271522, 145658, 87, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7271612, 145661, 995, 27, 433, "Program",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7272610, 145690, 133, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7272746, 145695, 864, 25, 87, "Input",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7273613, 145722, 271, 8, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7273887, 145732, 529, 15, 65, "SolutionNoLabel",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7274419, 145749, 737, 25, 348, "Program",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.10.5"],
    Cell[7275159, 145776, 262, 6, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7275424, 145784, 521, 16, 87, "Input",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7275948, 145802, 97, 3, 44, "Input",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7276070, 145809, 107, 3, 44, "Input",
      CellTags->"IPM3.Sol.10.5"],
    Cell[7276180, 145814, 106, 3, 42, "Output",
      CellTags->"IPM3.Sol.10.5"]},
  "IPM3.Sol.11.1"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[7276484, 145831, 187, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7276696, 145841, 207, 7, 27, "SolutionItem",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7276906, 145850, 332, 7, 110, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7277241, 145859, 665, 13, 210, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7277931, 145876, 162, 4, 30, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7278096, 145882, 115, 3, 29, "Output",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7278226, 145888, 121, 3, 30, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7278350, 145893, 220, 6, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7278573, 145901, 310, 6, 50, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7278886, 145909, 135, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7279046, 145916, 118, 3, 30, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7279167, 145921, 606, 9, 143, "Output",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7279822, 145936, 146, 4, 27, "SolutionItem",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7279993, 145944, 162, 4, 30, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7280158, 145950, 115, 3, 29, "Output",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7280288, 145956, 121, 3, 30, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7280412, 145961, 100, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7280537, 145966, 99, 3, 30, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7280639, 145971, 181, 4, 29, "Output",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7280835, 145978, 304, 6, 65, "SolutionNoLabel",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7281164, 145988, 139, 3, 30, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7281306, 145993, 165, 4, 29, "Output",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7281508, 146002, 96, 3, 30, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7281607, 146007, 90, 3, 29, "Output",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7281712, 146013, 126, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7281863, 146020, 159, 4, 30, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7282025, 146026, 93, 3, 29, "Output",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7282133, 146032, 127, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7282285, 146039, 157, 4, 30, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7282445, 146045, 96, 3, 29, "Output",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7282578, 146053, 217, 6, 70, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7282798, 146061, 574, 10, 67, "Output",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7283387, 146074, 116, 3, 30, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7283528, 146081, 148, 4, 30, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7283679, 146087, 124553, 2192, 154, 16524, 853, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7408281, 148285, 90, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7408374, 148288, 116, 3, 30, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7408493, 148293, 98, 2, 30, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7408594, 148297, 674, 11, 173, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7409271, 148310, 73, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7409369, 148315, 163, 4, 30, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7409535, 148321, 116, 3, 29, "Output",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7409666, 148327, 240, 6, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7409909, 148335, 122, 3, 30, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7410034, 148340, 224, 6, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7410283, 148350, 138, 3, 30, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7410424, 148355, 166, 4, 29, "Output",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7410605, 148362, 93, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7410723, 148367, 138, 3, 30, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7410864, 148372, 167, 4, 29, "Output",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7411046, 148379, 82, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7411153, 148384, 108, 3, 30, "Input",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7411264, 148389, 49532, 1417, 121, 31703, 1191, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.11.1"],
    Cell[7460799, 149808, 184, 5, 29, "Output",
      CellTags->"IPM3.Sol.11.1"]},
  "IPM3.Sol.11.2"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[7461044, 149820, 176, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7461245, 149830, 267, 9, 46, "SolutionItem",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7461515, 149841, 194, 4, 50, "Input",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7461712, 149847, 158, 4, 31, "Input",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7461873, 149853, 389, 8, 90, "Input",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7462265, 149863, 237, 5, 70, "Input",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7462505, 149870, 294, 8, 54, "Input",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7462802, 149880, 270, 6, 85, "Input",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7463097, 149890, 164, 4, 30, "Input",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7463264, 149896, 134, 3, 29, "Output",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7463413, 149902, 760, 17, 190, "Input",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7464210, 149924, 226, 7, 27, "SolutionItem",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7464461, 149935, 121, 3, 30, "Input",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7464585, 149940, 120, 3, 29, "Output",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7464720, 149946, 169, 6, 27, "SolutionNoLabel",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.11.2"],
    Cell[7464892, 149954, 730, 16, 150, "Input",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7465647, 149974, 139, 3, 30, "Input",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7465789, 149979, 64242, 2102, 179, 30578, 1681, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7530080, 152087, 140, 4, 27, "SolutionItem",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7530223, 152093, 353, 7, 76, "Input",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7530579, 152102, 98, 1, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7530702, 152107, 167, 4, 34, "Input",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7530872, 152113, 89, 3, 29, "Output",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7530976, 152119, 129, 3, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7531130, 152126, 132, 3, 30, "Input",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7531265, 152131, 129, 3, 29, "Output",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7531409, 152137, 218, 9, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7531652, 152150, 130, 3, 30, "Input",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7531785, 152155, 165, 4, 29, "Output",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7531965, 152162, 205, 6, 27, "SolutionNoLabel",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.11.2"],
    Cell[7532195, 152172, 265, 6, 90, "Input",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7532463, 152180, 329, 6, 48, "Output",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7532807, 152189, 168, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7532978, 152196, 92, 2, 30, "Input",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7533073, 152200, 574, 11, 158, "Input",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7533672, 152215, 196, 4, 50, "Input",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7533871, 152221, 120021, 8045, 246, 85459, 7613, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7653941, 160272, 98, 2, 27, "SolutionItem",
      CounterAssignments->{{"SolutionItem", 4}},
      CellTags->"IPM3.Sol.11.2"],
    Cell[7654042, 160276, 509, 11, 130, "Input",
      CellTags->"IPM3.Sol.11.2"],
    Cell[7654554, 160289, 148, 4, 30, "Input",
      CellTags->"IPM3.Sol.11.2"]},
  "IPM3.Sol.11.3"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[7654751, 160299, 204, 7, 42, "SolutionsSubsection",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.11.3"],
    Cell[7654980, 160310, 53, 1, 27, "SolutionItem",
      CellTags->"IPM3.Sol.11.3"],
    Cell[7655036, 160313, 210, 5, 50, "Input",
      CellTags->"IPM3.Sol.11.3"],
    Cell[7655249, 160320, 507, 11, 130, "Input",
      CellTags->"IPM3.Sol.11.3"],
    Cell[7655781, 160335, 107, 3, 30, "Input",
      CellTags->"IPM3.Sol.11.3"],
    Cell[7655891, 160340, 173, 4, 29, "Output",
      CellTags->"IPM3.Sol.11.3"],
    Cell[7656079, 160347, 878, 17, 270, "Input",
      CellTags->"IPM3.Sol.11.3"],
    Cell[7656982, 160368, 132, 3, 30, "Input",
      CellTags->"IPM3.Sol.11.3"],
    Cell[7657117, 160373, 5026, 110, 165, 1395, 60, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.11.3"],
    Cell[7662158, 160486, 105, 3, 30, "Input",
      CellTags->"IPM3.Sol.11.3"],
    Cell[7662288, 160493, 242, 7, 50, "Input",
      CellTags->"IPM3.Sol.11.3"],
    Cell[7662533, 160502, 5764, 120, 166, 1395, 60, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"IPM3.Sol.11.3"],
    Cell[7668300, 160624, 183, 5, 29, "Output",
      CellTags->"IPM3.Sol.11.3"],
    Cell[7668498, 160632, 113, 3, 30, "Input",
      CellTags->"IPM3.Sol.11.3"],
    Cell[7668614, 160637, 210, 5, 50, "Input",
      CellTags->"IPM3.Sol.11.3"],
    Cell[7668827, 160644, 205, 5, 50, "Input",
      CellTags->"IPM3.Sol.11.3"],
    Cell[7669069, 160654, 272, 5, 46, "SolutionItem",
      CellTags->"IPM3.Sol.11.3"],
    Cell[7669344, 160661, 800, 16, 250, "Input",
      CellTags->"IPM3.Sol.11.3"],
    Cell[7670147, 160679, 340, 9, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.11.3"],
    Cell[7670490, 160690, 271, 7, 46, "SolutionNoLabel",
      CellTags->"IPM3.Sol.11.3"],
    Cell[7670764, 160699, 189, 5, 30, "Input",
      CellTags->"IPM3.Sol.11.3"],
    Cell[7670956, 160706, 131, 3, 30, "Input",
      CellTags->"IPM3.Sol.11.3"],
    Cell[7671090, 160711, 165, 5, 27, "SolutionNoLabel",
      CellTags->"IPM3.Sol.11.3"]},
  "IPM3.Sol.12.5"->{
    Cell[1754, 51, 852, 16, 29, "TitleBar",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5"}],
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}],
    Cell[7671408, 160728, 189, 6, 42, "SolutionsSubsection",
      CellTags->"IPM3.Sol.12.5"],
    Cell[7671622, 160738, 157, 5, 27, "SolutionItem",
      CellTags->"IPM3.Sol.12.5"],
    Cell[7671988, 160756, 151, 4, 27, "SolutionItem",
      CellTags->"IPM3.Sol.12.5"],
    Cell[7672552, 160782, 273, 8, 46, "SolutionItem",
      CellTags->"IPM3.Sol.12.5"],
    Cell[7673478, 160812, 265, 7, 46, "SolutionItem",
      CellTags->"IPM3.Sol.12.5"],
    Cell[7674803, 160851, 721, 24, 84, "SolutionItem",
      PageBreakAbove->True,
      CellTags->"IPM3.Sol.12.5"],
    Cell[7675527, 160877, 92, 3, 30, "Input",
      CellTags->"IPM3.Sol.12.5"],
    Cell[7676136, 160897, 582, 19, 65, "SolutionNoLabel",
      CellTags->"IPM3.Sol.12.5"],
    Cell[7677825, 160957, 831, 23, 103, "SolutionNoLabel",
      CellTags->"IPM3.Sol.12.5"]},
  "c:1"->{
    Cell[2631, 71, 837, 13, 100, "Chapter",
      CellTags->{
      "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
        "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
        "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
        "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
        "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
        "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
        "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
        "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
        "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
        "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
        "IPM3.Sol.12.5", "c:1"}]},
  "c:2"->{
    Cell[3493, 88, 138, 6, 49, "SolutionsSection",
      CellTags->"c:2"]},
  "Info3302765056-3338141"->{
    Cell[7852, 294, 88, 1, 20, "Print",
      CellTags->{"Info3302765056-3338141", "IPM3.Sol.2.2"}],
    Cell[7943, 297, 479, 13, 20, "Print",
      CellTags->{"Info3302765056-3338141", "IPM3.Sol.2.2"}]},
  "Info3302765056-1842942"->{
    Cell[9381, 355, 88, 1, 20, "Print",
      CellTags->{"Info3302765056-1842942", "IPM3.Sol.2.2"}],
    Cell[9472, 358, 492, 13, 20, "Print",
      CellTags->{"Info3302765056-1842942", "IPM3.Sol.2.2"}]},
  "Info3302765057-4949338"->{
    Cell[10839, 413, 88, 1, 20, "Print",
      CellTags->{"Info3302765057-4949338", "IPM3.Sol.2.2"}],
    Cell[10930, 416, 493, 13, 20, "Print",
      CellTags->{"Info3302765057-4949338", "IPM3.Sol.2.2"}]},
  "Info3302765057-6746167"->{
    Cell[12800, 485, 88, 1, 20, "Print",
      CellTags->{"Info3302765057-6746167", "IPM3.Sol.2.2"}],
    Cell[12891, 488, 478, 13, 20, "Print",
      CellTags->{"Info3302765057-6746167", "IPM3.Sol.2.2"}]},
  "c:3"->{
    Cell[17241, 690, 56, 1, 34, "SolutionsSection",
      CellTags->"c:3"]},
  "c:4"->{
    Cell[42725, 1870, 73, 1, 34, "SolutionsSection",
      CellTags->"c:4"]},
  "i:2"->{
    Cell[91695, 3883, 342, 9, 46, "SolutionNoLabel",
      CellTags->{"IPM3.Sol.4.6", "i:2"}]},
  "i:1"->{
    Cell[92880, 3914, 157, 5, 27, "SolutionNoLabel",
      CellTags->{"IPM3.Sol.4.6", "i:1"}]},
  "b:17.0"->{
    Cell[100199, 4213, 140, 3, 31, "Input",
      CellTags->{"b:17.0", "IPM3.4.7.1"}],
    Cell[100342, 4218, 140, 3, 31, "Input",
      CellTags->{"b:17.0", "IPM3.4.7.1"}],
    Cell[159619, 6567, 242, 5, 70, "Input",
      CellTags->{"b:17.0", "IPM3.4.7.1"}],
    Cell[159864, 6574, 140, 3, 31, "Input",
      CellTags->{"b:17.0", "IPM3.4.7.1"}],
    Cell[160007, 6579, 140, 3, 31, "Input",
      CellTags->{"b:17.0", "IPM3.4.7.1"}],
    Cell[160172, 6586, 141, 3, 30, "Input",
      CellTags->{"i:48", "b:17.0", "IPM3.4.7.1"}],
    Cell[160316, 6591, 141, 3, 29, "Output",
      CellTags->{"i:48", "b:17.0", "IPM3.4.7.1"}],
    Cell[160494, 6599, 142, 3, 30, "Input",
      CellTags->{"i:48", "b:17.0", "IPM3.4.7.1"}],
    Cell[160639, 6604, 142, 3, 29, "Output",
      CellTags->{"i:48", "b:17.0", "IPM3.4.7.1"}]},
  "IPM3.4.7.1"->{
    Cell[100199, 4213, 140, 3, 31, "Input",
      CellTags->{"b:17.0", "IPM3.4.7.1"}],
    Cell[100342, 4218, 140, 3, 31, "Input",
      CellTags->{"b:17.0", "IPM3.4.7.1"}],
    Cell[159619, 6567, 242, 5, 70, "Input",
      CellTags->{"b:17.0", "IPM3.4.7.1"}],
    Cell[159864, 6574, 140, 3, 31, "Input",
      CellTags->{"b:17.0", "IPM3.4.7.1"}],
    Cell[160007, 6579, 140, 3, 31, "Input",
      CellTags->{"b:17.0", "IPM3.4.7.1"}],
    Cell[160172, 6586, 141, 3, 30, "Input",
      CellTags->{"i:48", "b:17.0", "IPM3.4.7.1"}],
    Cell[160316, 6591, 141, 3, 29, "Output",
      CellTags->{"i:48", "b:17.0", "IPM3.4.7.1"}],
    Cell[160494, 6599, 142, 3, 30, "Input",
      CellTags->{"i:48", "b:17.0", "IPM3.4.7.1"}],
    Cell[160639, 6604, 142, 3, 29, "Output",
      CellTags->{"i:48", "b:17.0", "IPM3.4.7.1"}]},
  "Info3302767663-6804076"->{
    Cell[108334, 4559, 414, 10, 58, "Print",
      CellTags->{"Info3302767663-6804076", "IPM3.Sol.4.7"}]},
  "c:5"->{
    Cell[109654, 4609, 73, 1, 34, "SolutionsSection",
      CellTags->"c:5"]},
  "c:6"->{
    Cell[143210, 5882, 73, 1, 34, "SolutionsSection",
      CellTags->"c:6"]},
  "i:48"->{
    Cell[160172, 6586, 141, 3, 30, "Input",
      CellTags->{"i:48", "b:17.0", "IPM3.4.7.1"}],
    Cell[160316, 6591, 141, 3, 29, "Output",
      CellTags->{"i:48", "b:17.0", "IPM3.4.7.1"}],
    Cell[160494, 6599, 142, 3, 30, "Input",
      CellTags->{"i:48", "b:17.0", "IPM3.4.7.1"}],
    Cell[160639, 6604, 142, 3, 29, "Output",
      CellTags->{"i:48", "b:17.0", "IPM3.4.7.1"}]},
  "i:3"->{
    Cell[2205459, 35129, 203, 5, 27, "SolutionNoLabel",
      CellTags->{"IPM3.Sol.6.3", "i:3"}]},
  "c:7"->{
    Cell[4976558, 75304, 60, 1, 34, "SolutionsSection",
      CellTags->"c:7"]},
  "i:4"->{
    Cell[4989439, 75836, 181, 6, 27, "SolutionNoLabel",
      PageBreakAbove->True,
      CellTags->{"IPM3.Sol.7.3", "i:4"}]},
  "b:32"->{
    Cell[5019033, 76904, 169, 4, 30, "Input",
      CellTags->{"b:32", "IPM3.7.7.1"}],
    Cell[5019205, 76910, 170, 4, 30, "Input",
      CellTags->{"b:32", "IPM3.7.7.1"}]},
  "IPM3.7.7.1"->{
    Cell[5019033, 76904, 169, 4, 30, "Input",
      CellTags->{"b:32", "IPM3.7.7.1"}],
    Cell[5019205, 76910, 170, 4, 30, "Input",
      CellTags->{"b:32", "IPM3.7.7.1"}]},
  "c:8"->{
    Cell[5020321, 76954, 59, 1, 34, "SolutionsSection",
      CellTags->"c:8"]},
  "i:5"->{
    Cell[5936781, 109006, 890, 26, 103, "SolutionNoLabel",
      CellTags->{"IPM3.Sol.8.5", "i:5"}]},
  "c:9"->{
    Cell[5939840, 109128, 71, 1, 34, "SolutionsSection",
      CellTags->"c:9"]},
  "i:6"->{
    Cell[6764854, 131889, 574, 16, 84, "SolutionItem",
      CellTags->{"IPM3.Sol.9.2", "i:6"}]},
  "c:10"->{
    Cell[7251684, 145011, 72, 1, 34, "SolutionsSection",
      CellTags->"c:10"]},
  "c:11"->{
    Cell[7276359, 145825, 100, 2, 34, "SolutionsSection",
      PageBreakAbove->True,
      CellTags->"c:11"]},
  "c:12"->{
    Cell[7671316, 160723, 67, 1, 34, "SolutionsSection",
      CellTags->"c:12"]},
  "M220:7.8.10-2"->{
    Cell[7674359, 160836, 407, 10, 70, "Input",
      CellTags->{"M220:7.8.10-2", "M220.7.8"}],
    Cell[7677272, 160937, 407, 10, 70, "Input",
      CellTags->{"M220:7.8.10-2", "M220.7.8"}]},
  "M220.7.8"->{
    Cell[7674359, 160836, 407, 10, 70, "Input",
      CellTags->{"M220:7.8.10-2", "M220.7.8"}],
    Cell[7677272, 160937, 407, 10, 70, "Input",
      CellTags->{"M220:7.8.10-2", "M220.7.8"}]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"IPM3.Sol.2.1", 7760802, 163734},
  {"IPM3.Sol.2.2", 7763935, 163799},
  {"IPM3.Sol.2.3", 7768132, 163886},
  {"IPM3.Sol.3.2", 7771435, 163955},
  {"IPM3.Sol.3.3", 7775052, 164032},
  {"IPM3.Sol.3.4", 7779051, 164119},
  {"IPM3.Sol.3.5", 7782207, 164184},
  {"IPM3.Sol.4.2", 7791005, 164393},
  {"IPM3.Sol.4.3", 7797780, 164550},
  {"IPM3.Sol.4.4", 7800633, 164607},
  {"IPM3.Sol.4.5", 7804541, 164691},
  {"IPM3.Sol.4.6", 7811639, 164856},
  {"IPM3.Sol.4.7", 7820775, 165072},
  {"IPM3.Sol.5.2", 7827873, 165236},
  {"IPM3.Sol.5.3", 7836671, 165442},
  {"IPM3.Sol.5.4", 7841490, 165548},
  {"IPM3.Sol.6.2", 7843922, 165594},
  {"IPM3.Sol.6.3", 7852673, 165799},
  {"IPM3.Sol.6.4", 7858107, 165920},
  {"IPM3.Sol.7.1", 7863599, 166038},
  {"IPM3.Sol.7.2", 7866757, 166101},
  {"IPM3.Sol.7.3", 7870461, 166178},
  {"IPM3.Sol.7.4", 7875311, 166282},
  {"IPM3.Sol.7.5", 7878529, 166347},
  {"IPM3.Sol.7.6", 7885620, 166508},
  {"IPM3.Sol.7.7", 7889092, 166579},
  {"IPM3.Sol.8.2", 7892102, 166639},
  {"IPM3.Sol.8.3", 7904047, 166913},
  {"IPM3.Sol.8.4", 7906432, 166957},
  {"IPM3.Sol.8.5", 7910945, 167053},
  {"IPM3.Sol.9.1", 7916378, 167171},
  {"IPM3.Sol.9.2", 7926122, 167389},
  {"IPM3.Sol.9.3", 7937388, 167644},
  {"IPM3.Sol.10.2", 7944814, 167808},
  {"IPM3.Sol.10.3", 7947372, 167856},
  {"IPM3.Sol.10.4", 7949397, 167891},
  {"IPM3.Sol.10.5", 7953665, 167979},
  {"IPM3.Sol.11.1", 7957585, 168059},
  {"IPM3.Sol.11.2", 7963905, 168196},
  {"IPM3.Sol.11.3", 7969154, 168308},
  {"IPM3.Sol.12.5", 7972891, 168384},
  {"c:1", 7975387, 168430},
  {"c:2", 7976230, 168444},
  {"Info3302765056-3338141", 7976336, 168447},
  {"Info3302765056-1842942", 7976571, 168452},
  {"Info3302765057-4949338", 7976806, 168457},
  {"Info3302765057-6746167", 7977043, 168462},
  {"c:3", 7977261, 168467},
  {"c:4", 7977349, 168470},
  {"i:2", 7977438, 168473},
  {"i:1", 7977545, 168476},
  {"b:17.0", 7977655, 168479},
  {"IPM3.4.7.1", 7978491, 168498},
  {"Info3302767663-6804076", 7979339, 168517},
  {"c:5", 7979457, 168520},
  {"c:6", 7979547, 168523},
  {"i:48", 7979638, 168526},
  {"i:3", 7980032, 168535},
  {"c:7", 7980142, 168538},
  {"i:4", 7980234, 168541},
  {"b:32", 7980373, 168545},
  {"IPM3.7.7.1", 7980566, 168550},
  {"c:8", 7980752, 168555},
  {"i:5", 7980844, 168558},
  {"c:9", 7980957, 168561},
  {"i:6", 7981050, 168564},
  {"c:10", 7981160, 168567},
  {"c:11", 7981255, 168570},
  {"c:12", 7981379, 168574},
  {"M220:7.8.10-2", 7981483, 168577},
  {"M220.7.8", 7981692, 168582}
  }
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 852, 16, 29, "TitleBar",
  CellTags->{
  "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
    "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
    "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
    "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
    "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
    "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
    "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
    "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
    "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
    "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
    "IPM3.Sol.12.5"}],

Cell[CellGroupData[{
Cell[2631, 71, 837, 13, 100, "Chapter",
  CellTags->{
  "IPM3.Sol.2.1", "IPM3.Sol.2.2", "IPM3.Sol.2.3", "IPM3.Sol.3.2", 
    "IPM3.Sol.3.3", "IPM3.Sol.3.4", "IPM3.Sol.3.5", "IPM3.Sol.4.2", 
    "IPM3.Sol.4.3", "IPM3.Sol.4.4", "IPM3.Sol.4.5", "IPM3.Sol.4.6", 
    "IPM3.Sol.4.7", "IPM3.Sol.5.2", "IPM3.Sol.5.3", "IPM3.Sol.5.4", 
    "IPM3.Sol.6.2", "IPM3.Sol.6.3", "IPM3.Sol.6.4", "IPM3.Sol.7.1", 
    "IPM3.Sol.7.2", "IPM3.Sol.7.3", "IPM3.Sol.7.4", "IPM3.Sol.7.5", 
    "IPM3.Sol.7.6", "IPM3.Sol.7.7", "IPM3.Sol.8.2", "IPM3.Sol.8.3", 
    "IPM3.Sol.8.4", "IPM3.Sol.8.5", "IPM3.Sol.9.1", "IPM3.Sol.9.2", 
    "IPM3.Sol.9.3", "IPM3.Sol.10.2", "IPM3.Sol.10.3", "IPM3.Sol.10.4", 
    "IPM3.Sol.10.5", "IPM3.Sol.11.1", "IPM3.Sol.11.2", "IPM3.Sol.11.3", 
    "IPM3.Sol.12.5", "c:1"}],

Cell[CellGroupData[{
Cell[3493, 88, 138, 6, 49, "SolutionsSection",
  CellTags->"c:2"],

Cell[CellGroupData[{
Cell[3656, 98, 171, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.2.1"],
Cell[3830, 106, 190, 7, 27, "SolutionItem",
  CellTags->"IPM3.Sol.2.1"],

Cell[CellGroupData[{
Cell[4045, 117, 203, 6, 30, "SolutionItem",
  CellTags->"IPM3.Sol.2.1"],

Cell[CellGroupData[{
Cell[4273, 127, 262, 8, 30, "Input",
  CellTags->"IPM3.Sol.2.1"],
Cell[4538, 137, 98, 3, 40, "Output",
  CellTags->"IPM3.Sol.2.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[4685, 146, 207, 5, 46, "SolutionItem",
  CellTags->"IPM3.Sol.2.1"],

Cell[CellGroupData[{
Cell[4917, 155, 123, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.1"],
Cell[5043, 160, 286, 8, 43, "Output",
  CellTags->"IPM3.Sol.2.1"]
}, Closed]],

Cell[CellGroupData[{
Cell[5366, 173, 134, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.1"],
Cell[5503, 178, 87, 3, 29, "Output",
  CellTags->"IPM3.Sol.2.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5639, 187, 174, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.2.1"],
Cell[5816, 194, 115, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.1"],

Cell[CellGroupData[{
Cell[5956, 201, 99, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.1"],
Cell[6058, 206, 281, 8, 43, "Output",
  CellTags->"IPM3.Sol.2.1"]
}, Closed]],
Cell[6354, 217, 230, 9, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.2.1"],

Cell[CellGroupData[{
Cell[6609, 230, 98, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.1"],
Cell[6710, 235, 90, 3, 29, "Output",
  CellTags->"IPM3.Sol.2.1"]
}, Closed]],

Cell[CellGroupData[{
Cell[6837, 243, 101, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.1"],
Cell[6941, 248, 87, 3, 29, "Output",
  CellTags->"IPM3.Sol.2.1"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7089, 258, 171, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.2.2"],
Cell[7263, 266, 144, 4, 27, "SolutionItem",
  CellTags->"IPM3.Sol.2.2"],

Cell[CellGroupData[{
Cell[7432, 274, 170, 6, 27, "SolutionSubItem",
  CellTags->"IPM3.Sol.2.2"],
Cell[7605, 282, 121, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.2"],

Cell[CellGroupData[{
Cell[7751, 289, 98, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.2"],
Cell[7852, 294, 88, 1, 20, "Print",
  CellTags->{"Info3302765056-3338141", "IPM3.Sol.2.2"}],
Cell[7943, 297, 479, 13, 20, "Print",
  CellTags->{"Info3302765056-3338141", "IPM3.Sol.2.2"}]
}, Closed]],

Cell[CellGroupData[{
Cell[8459, 315, 96, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.2"],
Cell[8558, 320, 159, 4, 29, "Output",
  CellTags->"IPM3.Sol.2.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[8766, 330, 352, 11, 46, "SolutionSubItem",
  CellTags->"IPM3.Sol.2.2"],
Cell[9121, 343, 134, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.2"],

Cell[CellGroupData[{
Cell[9280, 350, 98, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.2"],
Cell[9381, 355, 88, 1, 20, "Print",
  CellTags->{"Info3302765056-1842942", "IPM3.Sol.2.2"}],
Cell[9472, 358, 492, 13, 20, "Print",
  CellTags->{"Info3302765056-1842942", "IPM3.Sol.2.2"}]
}, Closed]],

Cell[CellGroupData[{
Cell[10001, 376, 96, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.2"],
Cell[10100, 381, 156, 4, 29, "Output",
  CellTags->"IPM3.Sol.2.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[10305, 391, 270, 8, 46, "SolutionSubItem",
  CellTags->"IPM3.Sol.2.2"],
Cell[10578, 401, 135, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.2"],

Cell[CellGroupData[{
Cell[10738, 408, 98, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.2"],
Cell[10839, 413, 88, 1, 20, "Print",
  CellTags->{"Info3302765057-4949338", "IPM3.Sol.2.2"}],
Cell[10930, 416, 493, 13, 20, "Print",
  CellTags->{"Info3302765057-4949338", "IPM3.Sol.2.2"}]
}, Closed]],

Cell[CellGroupData[{
Cell[11460, 434, 96, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.2"],
Cell[11559, 439, 156, 4, 29, "Output",
  CellTags->"IPM3.Sol.2.2"]
}, Closed]]
}, Closed]],
Cell[11742, 447, 312, 8, 46, "SolutionSubItem",
  CellTags->"IPM3.Sol.2.2"],

Cell[CellGroupData[{
Cell[12079, 459, 121, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.2"],
Cell[12203, 464, 348, 6, 19, "Message",
  CellTags->"IPM3.Sol.2.2"],
Cell[12554, 472, 107, 3, 29, "Output",
  CellTags->"IPM3.Sol.2.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[12698, 480, 99, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.2"],
Cell[12800, 485, 88, 1, 20, "Print",
  CellTags->{"Info3302765057-6746167", "IPM3.Sol.2.2"}],
Cell[12891, 488, 478, 13, 20, "Print",
  CellTags->{"Info3302765057-6746167", "IPM3.Sol.2.2"}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[13418, 507, 194, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.2.3"],
Cell[13615, 515, 198, 4, 46, "SolutionItem",
  CellTags->"IPM3.Sol.2.3"],
Cell[13816, 521, 80, 2, 30, "Input"],
Cell[13899, 525, 76, 2, 30, "Input"],

Cell[CellGroupData[{
Cell[14000, 531, 61, 2, 30, "Input"],
Cell[14064, 535, 63, 2, 29, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[14164, 542, 69, 2, 30, "Input"],
Cell[14236, 546, 62, 2, 29, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[14335, 553, 223, 7, 27, "SolutionItem",
  CellTags->"IPM3.Sol.2.3"],

Cell[CellGroupData[{
Cell[14583, 564, 96, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.3"],
Cell[14682, 569, 91, 3, 29, "Output",
  CellTags->"IPM3.Sol.2.3"]
}, Closed]],
Cell[14788, 575, 135, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.3"],

Cell[CellGroupData[{
Cell[14948, 582, 96, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.3"],
Cell[15047, 587, 90, 3, 29, "Output",
  CellTags->"IPM3.Sol.2.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[15174, 595, 101, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.3"],
Cell[15278, 600, 91, 3, 29, "Output",
  CellTags->"IPM3.Sol.2.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[15418, 609, 151, 4, 27, "SolutionItem",
  CellTags->"IPM3.Sol.2.3"],
Cell[15572, 615, 111, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.3"],
Cell[15686, 620, 305, 13, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.2.3"],
Cell[15994, 635, 143, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.3"],
Cell[16140, 640, 164, 4, 50, "Input",
  CellTags->"IPM3.Sol.2.3"],

Cell[CellGroupData[{
Cell[16329, 648, 99, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.3"],
Cell[16431, 653, 91, 3, 29, "Output",
  CellTags->"IPM3.Sol.2.3"]
}, Closed]],
Cell[16537, 659, 267, 6, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.2.3"],
Cell[16807, 667, 143, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.3"],

Cell[CellGroupData[{
Cell[16975, 674, 99, 3, 30, "Input",
  CellTags->"IPM3.Sol.2.3"],
Cell[17077, 679, 91, 3, 29, "Output",
  CellTags->"IPM3.Sol.2.3"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[17241, 690, 56, 1, 34, "SolutionsSection",
  CellTags->"c:3"],

Cell[CellGroupData[{
Cell[17322, 695, 189, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.3.2"],

Cell[CellGroupData[{
Cell[17536, 705, 187, 6, 27, "SolutionItem",
  CellTags->"IPM3.Sol.3.2"],

Cell[CellGroupData[{
Cell[17748, 715, 121, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.2"],
Cell[17872, 720, 141, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[18050, 728, 118, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.2"],
Cell[18171, 733, 141, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[18361, 742, 194, 6, 27, "SolutionItem",
  CellTags->"IPM3.Sol.3.2"],

Cell[CellGroupData[{
Cell[18580, 752, 126, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.2"],
Cell[18709, 757, 141, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[18899, 766, 93, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.3.2"],

Cell[CellGroupData[{
Cell[19017, 771, 120, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.2"],
Cell[19140, 776, 163, 4, 29, "Output",
  CellTags->"IPM3.Sol.3.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[19340, 785, 127, 3, 31, "Input",
  CellTags->"IPM3.Sol.3.2"],
Cell[19470, 790, 126, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.2"]
}, Closed]],
Cell[19611, 796, 221, 6, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.2"],

Cell[CellGroupData[{
Cell[19857, 806, 180, 4, 30, "Input",
  CellTags->"IPM3.Sol.3.2"],
Cell[20040, 812, 141, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[20230, 821, 179, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.3.2"],

Cell[CellGroupData[{
Cell[20434, 830, 104, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.2"],
Cell[20541, 835, 116, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[20694, 843, 115, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.2"],
Cell[20812, 848, 209, 4, 48, "Output",
  CellTags->"IPM3.Sol.3.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[21070, 858, 176, 4, 27, "SolutionItem",
  CellTags->"IPM3.Sol.3.2"],

Cell[CellGroupData[{
Cell[21271, 866, 133, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.2"],
Cell[21407, 871, 95, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.2"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[21563, 881, 179, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.3.3"],

Cell[CellGroupData[{
Cell[21767, 891, 234, 6, 46, "SolutionItem",
  CellTags->"IPM3.Sol.3.3"],

Cell[CellGroupData[{
Cell[22026, 901, 163, 4, 50, "Input",
  CellTags->"IPM3.Sol.3.3"],
Cell[22192, 907, 102, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[22343, 916, 152, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.3.3"],

Cell[CellGroupData[{
Cell[22520, 925, 157, 4, 30, "Input",
  CellTags->"IPM3.Sol.3.3"],
Cell[22680, 931, 130, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[22859, 940, 134, 3, 27, "SolutionItem",
  CellTags->"IPM3.Sol.3.3"],
Cell[22996, 945, 139, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.3"],

Cell[CellGroupData[{
Cell[23160, 952, 184, 5, 30, "Input",
  CellTags->"IPM3.Sol.3.3"],
Cell[23347, 959, 195, 4, 48, "Output",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[23591, 969, 219, 5, 46, "SolutionItem",
  CellTags->"IPM3.Sol.3.3"],

Cell[CellGroupData[{
Cell[23835, 978, 112, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.3"],
Cell[23950, 983, 104, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[24091, 991, 103, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.3"],
Cell[24197, 996, 101, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[24335, 1004, 95, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.3"],
Cell[24433, 1009, 95, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[24577, 1018, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.3.3"],

Cell[CellGroupData[{
Cell[24654, 1023, 159, 4, 30, "Input",
  CellTags->"IPM3.Sol.3.3"],
Cell[24816, 1029, 98, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[24963, 1038, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.3.3"],

Cell[CellGroupData[{
Cell[25040, 1043, 124, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.3"],
Cell[25167, 1048, 118, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[25322, 1056, 93, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.3"],
Cell[25418, 1061, 119, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[25574, 1069, 98, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.3"],
Cell[25675, 1074, 115, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[25827, 1082, 129, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.3"],
Cell[25959, 1087, 99, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.3"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[26119, 1097, 187, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.3.4"],

Cell[CellGroupData[{
Cell[26331, 1107, 122, 4, 27, "SolutionItem",
  CellTags->"IPM3.Sol.3.4"],

Cell[CellGroupData[{
Cell[26478, 1115, 102, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.4"],
Cell[26583, 1120, 95, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.4"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[26727, 1129, 145, 4, 27, "SolutionItem",
  CellTags->"IPM3.Sol.3.4"],

Cell[CellGroupData[{
Cell[26897, 1137, 124, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.4"],
Cell[27024, 1142, 110, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.4"]
}, Closed]],

Cell[CellGroupData[{
Cell[27171, 1150, 95, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.4"],
Cell[27269, 1155, 107, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.4"]
}, Closed]],

Cell[CellGroupData[{
Cell[27413, 1163, 103, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.4"],
Cell[27519, 1168, 106, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.4"]
}, Closed]],

Cell[CellGroupData[{
Cell[27662, 1176, 95, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.4"],
Cell[27760, 1181, 98, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.4"]
}, Closed]],
Cell[27873, 1187, 117, 4, 27, "SolutionNoLabel"],

Cell[CellGroupData[{
Cell[28015, 1195, 89, 2, 30, "Input"],
Cell[28107, 1199, 70, 2, 29, "Output"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[28226, 1207, 178, 4, 46, "SolutionItem",
  CellTags->"IPM3.Sol.3.4"],
Cell[28407, 1213, 163, 4, 50, "Input",
  CellTags->"IPM3.Sol.3.4"],

Cell[CellGroupData[{
Cell[28595, 1221, 130, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.4"],
Cell[28728, 1226, 98, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.4"]
}, Closed]],

Cell[CellGroupData[{
Cell[28863, 1234, 129, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.4"],
Cell[28995, 1239, 99, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.4"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[29155, 1249, 183, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{
Cell[29363, 1259, 104, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{
Cell[29492, 1264, 118, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[29613, 1269, 109, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],
Cell[29737, 1275, 142, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{
Cell[29904, 1284, 103, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[30010, 1289, 89, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],
Cell[30114, 1295, 82, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{
Cell[30221, 1300, 103, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[30327, 1305, 91, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],
Cell[30433, 1311, 175, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{
Cell[30633, 1319, 91, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[30727, 1324, 90, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],
Cell[30832, 1330, 83, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{
Cell[30940, 1335, 105, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[31048, 1340, 89, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],
Cell[31152, 1346, 106, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{
Cell[31283, 1351, 103, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[31389, 1356, 108, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],
Cell[31512, 1362, 110, 2, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{
Cell[31647, 1368, 102, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[31752, 1373, 109, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[31910, 1382, 122, 3, 27, "SolutionItem",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{
Cell[32057, 1389, 102, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[32162, 1394, 90, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[32289, 1402, 163, 4, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[32455, 1408, 88, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[32580, 1416, 102, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[32685, 1421, 89, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[32811, 1429, 164, 4, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[32978, 1435, 89, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[33104, 1443, 92, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[33199, 1448, 88, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[33324, 1456, 93, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[33420, 1461, 89, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],
Cell[33524, 1467, 95, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{
Cell[33644, 1472, 308, 7, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[33955, 1481, 89, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],
Cell[34059, 1487, 163, 4, 27, "SolutionNoLabel"]
}, Closed]],

Cell[CellGroupData[{
Cell[34259, 1496, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{
Cell[34336, 1501, 118, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[34457, 1506, 95, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[34589, 1514, 95, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[34687, 1519, 93, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[34817, 1527, 112, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[34932, 1532, 89, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],
Cell[35036, 1538, 187, 4, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{
Cell[35248, 1546, 120, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[35371, 1551, 93, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[35501, 1559, 107, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[35611, 1564, 89, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[35749, 1573, 104, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{
Cell[35878, 1578, 114, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[35995, 1583, 107, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[36139, 1591, 92, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[36234, 1596, 102, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[36373, 1604, 118, 3, 31, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[36494, 1609, 112, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[36643, 1617, 92, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[36738, 1622, 92, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],
Cell[36845, 1628, 107, 4, 27, "SolutionNoLabel"],

Cell[CellGroupData[{
Cell[36977, 1636, 83, 2, 30, "Input"],
Cell[37063, 1640, 64, 2, 29, "Output"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[37176, 1648, 99, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{
Cell[37300, 1653, 113, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[37416, 1658, 106, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],
Cell[37537, 1664, 114, 2, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{
Cell[37676, 1670, 97, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[37776, 1675, 91, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],
Cell[37882, 1681, 144, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],
Cell[38029, 1688, 140, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[38172, 1693, 284, 7, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{
Cell[38481, 1704, 230, 5, 70, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[38714, 1711, 204, 5, 48, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],
Cell[38933, 1719, 221, 7, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],
Cell[39157, 1728, 123, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[39283, 1733, 213, 7, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{
Cell[39521, 1744, 124, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[39648, 1749, 217, 4, 43, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[39914, 1759, 121, 3, 27, "SolutionItem",
  CellTags->"IPM3.Sol.3.5"],
Cell[40038, 1764, 138, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{
Cell[40201, 1771, 109, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[40313, 1776, 92, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[40442, 1784, 108, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[40553, 1789, 91, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],
Cell[40659, 1795, 140, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{
Cell[40824, 1802, 107, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[40934, 1807, 91, 3, 29, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],
Cell[41040, 1813, 140, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{
Cell[41205, 1822, 205, 5, 70, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[41413, 1829, 208, 5, 48, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]],
Cell[41636, 1837, 71, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.3.5"],
Cell[41710, 1840, 128, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],

Cell[CellGroupData[{
Cell[41863, 1847, 112, 3, 30, "Input",
  CellTags->"IPM3.Sol.3.5"],
Cell[41978, 1852, 674, 10, 124, "Output",
  CellTags->"IPM3.Sol.3.5"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[42725, 1870, 73, 1, 34, "SolutionsSection",
  CellTags->"c:4"],

Cell[CellGroupData[{
Cell[42823, 1875, 199, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{
Cell[43047, 1885, 93, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.2"],
Cell[43143, 1888, 137, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[43283, 1893, 145, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.2"],
Cell[43431, 1900, 111, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[43545, 1905, 158, 6, 27, "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{
Cell[43728, 1915, 103, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[43834, 1920, 102, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[43985, 1929, 93, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.2"],
Cell[44081, 1932, 137, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[44221, 1937, 239, 8, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{
Cell[44485, 1949, 107, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[44595, 1954, 102, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[44746, 1963, 126, 3, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{
Cell[44897, 1970, 113, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[45013, 1975, 108, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[45158, 1983, 99, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[45260, 1988, 110, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[45407, 1996, 100, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[45510, 2001, 110, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],
Cell[45635, 2007, 142, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{
Cell[45802, 2016, 110, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[45915, 2021, 110, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[46074, 2030, 165, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{
Cell[46264, 2039, 121, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[46388, 2044, 112, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[46537, 2052, 100, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[46640, 2057, 110, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[46787, 2065, 130, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[46920, 2070, 110, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[47079, 2079, 214, 7, 27, "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{
Cell[47318, 2090, 115, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[47436, 2095, 119, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[47592, 2103, 107, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[47702, 2108, 103, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],
Cell[47820, 2114, 155, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{
Cell[48000, 2123, 101, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[48104, 2128, 94, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],
Cell[48213, 2134, 102, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.2"],
Cell[48318, 2137, 143, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{
Cell[48486, 2144, 140, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[48629, 2149, 193, 4, 48, "Output",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[48859, 2158, 102, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[48964, 2163, 126, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],
Cell[49105, 2169, 282, 7, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{
Cell[49412, 2180, 101, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[49516, 2185, 115, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[49668, 2193, 105, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[49776, 2198, 103, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],
Cell[49894, 2204, 132, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{
Cell[50051, 2213, 101, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[50155, 2218, 94, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],
Cell[50264, 2224, 163, 4, 30, "Input",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[50464, 2233, 96, 2, 27, "SolutionItem"],

Cell[CellGroupData[{
Cell[50585, 2239, 87, 2, 30, "Input"],
Cell[50675, 2243, 91, 2, 29, "Output"]
}, Closed]],
Cell[50781, 2248, 82, 1, 27, "SolutionNoLabel"],

Cell[CellGroupData[{
Cell[50888, 2253, 94, 2, 30, "Input"],
Cell[50985, 2257, 71, 2, 29, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[51093, 2264, 98, 2, 30, "Input"],
Cell[51194, 2268, 71, 2, 29, "Output"]
}, Closed]],
Cell[51280, 2273, 214, 6, 46, "SolutionNoLabel"],

Cell[CellGroupData[{
Cell[51519, 2283, 95, 2, 30, "Input"],
Cell[51617, 2287, 66, 2, 29, "Output"]
}, Closed]],
Cell[51698, 2292, 72, 0, 27, "SolutionNoLabel"],
Cell[51773, 2294, 201, 4, 50, "Input"],

Cell[CellGroupData[{
Cell[51999, 2302, 78, 2, 30, "Input"],
Cell[52080, 2306, 66, 2, 29, "Output"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[52195, 2314, 297, 7, 46, "SolutionItem",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{
Cell[52517, 2325, 238, 7, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[52758, 2334, 120, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],
Cell[52893, 2340, 112, 2, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.2"],
Cell[53008, 2344, 133, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[53144, 2349, 180, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.2"],

Cell[CellGroupData[{
Cell[53349, 2357, 147, 4, 32, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[53499, 2363, 283, 5, 48, "Output",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[53819, 2373, 97, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.2"],
Cell[53919, 2378, 88, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]],
Cell[54022, 2384, 470, 8, 84, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[54541, 2398, 180, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.4.3"],

Cell[CellGroupData[{
Cell[54746, 2408, 90, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.3"],

Cell[CellGroupData[{
Cell[54861, 2413, 127, 3, 31, "Input",
  CellTags->"IPM3.Sol.4.3"],
Cell[54991, 2418, 136, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.3"]
}, Closed]],
Cell[55142, 2424, 99, 2, 27, "SolutionNoLabel"],

Cell[CellGroupData[{
Cell[55266, 2430, 105, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.3"],
Cell[55374, 2435, 119, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[55542, 2444, 161, 4, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.3"],

Cell[CellGroupData[{
Cell[55728, 2452, 211, 4, 30, "Input",
  CellTags->"IPM3.Sol.4.3"],
Cell[55942, 2458, 200, 4, 48, "Output",
  CellTags->"IPM3.Sol.4.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[56179, 2467, 110, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.3"],
Cell[56292, 2472, 203, 4, 48, "Output",
  CellTags->"IPM3.Sol.4.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[56544, 2482, 230, 8, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.3"],
Cell[56777, 2492, 120, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.3"],

Cell[CellGroupData[{
Cell[56922, 2499, 92, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.3"],
Cell[57017, 2504, 93, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.3"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[57171, 2514, 182, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.4.4"],

Cell[CellGroupData[{
Cell[57378, 2524, 536, 18, 46, "SolutionItem",
  CellTags->"IPM3.Sol.4.4"],
Cell[57917, 2544, 242, 6, 50, "Input",
  CellTags->"IPM3.Sol.4.4"],

Cell[CellGroupData[{
Cell[58184, 2554, 135, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.4"],
Cell[58322, 2559, 95, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.4"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[58466, 2568, 134, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.4"],
Cell[58603, 2575, 270, 6, 70, "Input",
  CellTags->"IPM3.Sol.4.4"],

Cell[CellGroupData[{
Cell[58898, 2585, 132, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.4"],
Cell[59033, 2590, 104, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.4"]
}, Closed]],
Cell[59152, 2596, 168, 4, 50, "Input",
  CellTags->"IPM3.Sol.4.4"]
}, Closed]],

Cell[CellGroupData[{
Cell[59357, 2605, 319, 10, 46, "SolutionItem",
  CellTags->"IPM3.Sol.4.4"],
Cell[59679, 2617, 156, 4, 31, "Input",
  CellTags->"IPM3.Sol.4.4"],

Cell[CellGroupData[{
Cell[59860, 2625, 109, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.4"],
Cell[59972, 2630, 87, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.4"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[60108, 2639, 290, 9, 46, "SolutionItem",
  CellTags->"IPM3.Sol.4.4"],
Cell[60401, 2650, 231, 5, 70, "Input",
  CellTags->"IPM3.Sol.4.4"],

Cell[CellGroupData[{
Cell[60657, 2659, 121, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.4"],
Cell[60781, 2664, 107, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.4"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[60937, 2673, 140, 4, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.4"],
Cell[61080, 2679, 253, 6, 50, "Input",
  CellTags->"IPM3.Sol.4.4"],

Cell[CellGroupData[{
Cell[61358, 2689, 132, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.4"],
Cell[61493, 2694, 1245, 20, 124, "Output",
  CellTags->"IPM3.Sol.4.4"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[62787, 2720, 173, 6, 27, "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.4.4"],

Cell[CellGroupData[{
Cell[62985, 2730, 194, 5, 50, "Input",
  CellTags->"IPM3.Sol.4.4"],
Cell[63182, 2737, 108, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.4"]
}, Closed]],
Cell[63305, 2743, 152, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.4"],

Cell[CellGroupData[{
Cell[63482, 2752, 132, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.4"],
Cell[63617, 2757, 108, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.4"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[63786, 2767, 180, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{
Cell[63991, 2777, 174, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.5"],
Cell[64168, 2784, 365, 8, 90, "Input",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{
Cell[64558, 2796, 101, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[64662, 2801, 193, 4, 48, "Output",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],
Cell[64870, 2808, 137, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],
Cell[65010, 2813, 375, 9, 90, "Input",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{
Cell[65410, 2826, 101, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[65514, 2831, 183, 4, 48, "Output",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[65746, 2841, 442, 15, 46, "SolutionItem",
  CellTags->"IPM3.Sol.4.5"],
Cell[66191, 2858, 258, 6, 70, "Input",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{
Cell[66474, 2868, 107, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[66584, 2873, 98, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],
Cell[66697, 2879, 489, 11, 65, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{
Cell[67211, 2894, 91, 2, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[67305, 2898, 88, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],
Cell[67408, 2904, 303, 8, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],
Cell[67714, 2914, 105, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[67822, 2919, 264, 6, 70, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[68089, 2927, 116, 2, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{
Cell[68230, 2933, 108, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[68341, 2938, 99, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[68477, 2946, 108, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[68588, 2951, 109, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[68746, 2960, 202, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.5"],
Cell[68951, 2967, 259, 6, 70, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[69213, 2975, 192, 6, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{
Cell[69430, 2985, 112, 3, 31, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[69545, 2990, 105, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[69699, 2999, 202, 6, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.5"],
Cell[69904, 3007, 259, 6, 70, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[70166, 3015, 301, 6, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{
Cell[70492, 3025, 124, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[70619, 3030, 140, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[70808, 3039, 92, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.5"],
Cell[70903, 3042, 321, 7, 90, "Input",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{
Cell[71249, 3053, 110, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[71362, 3058, 94, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[71505, 3067, 199, 4, 46, "SolutionItem",
  CellTags->"IPM3.Sol.4.5"],
Cell[71707, 3073, 324, 7, 90, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[72034, 3082, 117, 2, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{
Cell[72176, 3088, 115, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[72294, 3093, 114, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[72457, 3102, 257, 6, 46, "SolutionItem",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{
Cell[72739, 3112, 113, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[72855, 3117, 111, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],
Cell[72981, 3123, 94, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{
Cell[73100, 3128, 103, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[73206, 3133, 99, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],
Cell[73320, 3139, 211, 4, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],
Cell[73534, 3145, 154, 4, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{
Cell[73713, 3153, 112, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[73828, 3158, 91, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[73956, 3166, 93, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[74052, 3171, 94, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],
Cell[74161, 3177, 196, 6, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],
Cell[74360, 3185, 128, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{
Cell[74513, 3192, 93, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[74609, 3197, 91, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],
Cell[74715, 3203, 127, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{
Cell[74867, 3210, 94, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[74964, 3215, 88, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],
Cell[75067, 3221, 125, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{
Cell[75217, 3228, 92, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[75312, 3233, 89, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]],
Cell[75416, 3239, 170, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.5"],
Cell[75589, 3246, 579, 11, 150, "Input",
  CellTags->"IPM3.Sol.4.5"],

Cell[CellGroupData[{
Cell[76193, 3261, 109, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.5"],
Cell[76305, 3266, 100, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.5"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[76466, 3276, 175, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[76666, 3286, 150, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.6"],
Cell[76819, 3293, 129, 3, 31, "Input",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[76973, 3300, 116, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[77092, 3305, 90, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],
Cell[77197, 3311, 115, 2, 27, "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[77337, 3317, 139, 3, 31, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[77479, 3322, 90, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],
Cell[77584, 3328, 65, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[77674, 3333, 124, 3, 31, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[77801, 3338, 90, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[77940, 3347, 111, 2, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.6"],
Cell[78054, 3351, 138, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[78217, 3358, 99, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[78319, 3363, 88, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],
Cell[78422, 3369, 91, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[78538, 3374, 136, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[78677, 3379, 88, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],

Cell[CellGroupData[{
Cell[78802, 3387, 125, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[78930, 3392, 88, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[79067, 3401, 89, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.6"],
Cell[79159, 3404, 142, 3, 33, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[79304, 3409, 83, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[79412, 3414, 120, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[79535, 3419, 347, 7, 48, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],
Cell[79897, 3429, 157, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[80079, 3437, 128, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[80210, 3442, 107, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],
Cell[80332, 3448, 156, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],
Cell[80491, 3454, 133, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[80627, 3459, 204, 8, 27, "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[80856, 3471, 118, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[80977, 3476, 106, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],
Cell[81098, 3482, 376, 11, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],
Cell[81477, 3495, 251, 6, 70, "Input",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[81753, 3505, 102, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[81858, 3510, 106, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],
Cell[81979, 3516, 1388, 46, 96, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],

Cell[CellGroupData[{
Cell[83404, 3567, 137, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[83566, 3576, 177, 4, 50, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[83746, 3582, 99, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],

Cell[CellGroupData[{
Cell[83882, 3590, 161, 4, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[84046, 3596, 99, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[84194, 3605, 203, 7, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.6"],
Cell[84400, 3614, 411, 11, 130, "Input",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[84836, 3629, 93, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[84932, 3634, 190, 4, 29, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[85171, 3644, 101, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.6"],
Cell[85275, 3647, 134, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[85434, 3654, 96, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[85533, 3659, 94, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],

Cell[CellGroupData[{
Cell[85664, 3667, 114, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[85781, 3672, 196, 4, 48, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[86026, 3682, 330, 7, 65, "SolutionItem",
  CellTags->"IPM3.Sol.4.6"],
Cell[86359, 3691, 228, 6, 70, "Input",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[86612, 3701, 130, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[86745, 3706, 99, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[86893, 3715, 189, 4, 46, "SolutionItem",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[87107, 3723, 258, 6, 50, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[87368, 3731, 214, 4, 48, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[87631, 3741, 92, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[87748, 3746, 230, 5, 70, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[87981, 3753, 204, 5, 48, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],
Cell[88200, 3761, 221, 7, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],
Cell[88424, 3770, 123, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[88550, 3775, 96, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[88671, 3780, 111, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[88785, 3785, 116, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],
Cell[88916, 3791, 460, 13, 65, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[89401, 3808, 141, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[89545, 3813, 91, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],
Cell[89651, 3819, 211, 6, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],
Cell[89865, 3827, 188, 4, 50, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[90056, 3833, 196, 6, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[90277, 3843, 119, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[90399, 3848, 473, 8, 86, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]]
}, Closed]],
Cell[90899, 3860, 208, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[91132, 3869, 100, 2, 30, "Input"],
Cell[91235, 3873, 445, 7, 86, "Output"]
}, Closed]],
Cell[91695, 3883, 342, 9, 46, "SolutionNoLabel",
  CellTags->{"IPM3.Sol.4.6", "i:2"}],

Cell[CellGroupData[{
Cell[92062, 3896, 132, 3, 30, "Input"],
Cell[92197, 3901, 668, 10, 143, "Output"]
}, Closed]],
Cell[92880, 3914, 157, 5, 27, "SolutionNoLabel",
  CellTags->{"IPM3.Sol.4.6", "i:1"}],

Cell[CellGroupData[{
Cell[93062, 3923, 105, 2, 30, "Input"],
Cell[93170, 3927, 440, 7, 86, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[93647, 3939, 461, 9, 84, "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.4.6"],
Cell[94111, 3950, 110, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[94224, 3955, 361, 8, 70, "Input",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[94610, 3967, 121, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[94734, 3972, 113, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]]
}, Closed]],
Cell[94874, 3979, 235, 8, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],
Cell[95112, 3989, 110, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[95225, 3994, 154, 3, 50, "Input"],

Cell[CellGroupData[{
Cell[95404, 4001, 93, 2, 30, "Input"],
Cell[95500, 4005, 85, 2, 29, "Output"]
}, Closed]],
Cell[95600, 4010, 190, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[95815, 4019, 108, 2, 30, "Input"],
Cell[95926, 4023, 85, 2, 29, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[96048, 4030, 194, 6, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.6"],
Cell[96245, 4038, 158, 4, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],

Cell[CellGroupData[{
Cell[96428, 4046, 112, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[96543, 4051, 134, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]],

Cell[CellGroupData[{
Cell[96714, 4059, 95, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.6"],
Cell[96812, 4064, 125, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.6"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[96998, 4074, 195, 7, 42, "SolutionsSubsection",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{
Cell[97218, 4085, 218, 6, 46, "SolutionItem",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{
Cell[97461, 4095, 124, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.7"],
Cell[97588, 4100, 101, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],
Cell[97704, 4106, 170, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.7"],
Cell[97877, 4112, 171, 4, 50, "Input",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{
Cell[98073, 4120, 98, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.7"],
Cell[98174, 4125, 101, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],

Cell[CellGroupData[{
Cell[98312, 4133, 126, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.7"],
Cell[98441, 4138, 95, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],
Cell[98551, 4144, 132, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{
Cell[98708, 4151, 94, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.7"],
Cell[98805, 4156, 87, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],
Cell[98907, 4162, 183, 4, 50, "Input",
  CellTags->"IPM3.Sol.4.7"],
Cell[99093, 4168, 175, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.7"],
Cell[99271, 4175, 180, 4, 50, "Input",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],
Cell[99466, 4182, 209, 6, 46, "SolutionItem",
  CellTags->"IPM3.Sol.4.7"],
Cell[99678, 4190, 119, 3, 30, "Input"],

Cell[CellGroupData[{
Cell[99822, 4197, 82, 2, 30, "Input"],
Cell[99907, 4201, 60, 2, 29, "Output"]
}, Closed]],
Cell[99982, 4206, 214, 5, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.7"],
Cell[100199, 4213, 140, 3, 31, "Input",
  CellTags->{"b:17.0", "IPM3.4.7.1"}],
Cell[100342, 4218, 140, 3, 31, "Input",
  CellTags->{"b:17.0", "IPM3.4.7.1"}],

Cell[CellGroupData[{
Cell[100507, 4225, 96, 2, 30, "Input"],
Cell[100606, 4229, 98, 2, 29, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[100741, 4236, 96, 2, 30, "Input"],
Cell[100840, 4240, 96, 2, 29, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[100973, 4247, 96, 2, 30, "Input"],
Cell[101072, 4251, 94, 2, 29, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[101203, 4258, 97, 2, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.7"],
Cell[101303, 4262, 245, 6, 70, "Input",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{
Cell[101573, 4272, 123, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.7"],
Cell[101699, 4277, 111, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[101859, 4286, 146, 3, 27, "SolutionSubItem",
  CounterAssignments->{{"SolutionSubItem", 1}},
  CellTags->"IPM3.Sol.4.7"],
Cell[102008, 4291, 313, 7, 90, "Input",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{
Cell[102346, 4302, 117, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.7"],
Cell[102466, 4307, 128, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],
Cell[102609, 4313, 248, 5, 70, "Input",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{
Cell[102882, 4322, 117, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.7"],
Cell[103002, 4327, 128, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[103179, 4336, 98, 2, 27, "SolutionSubItem",
  CellTags->"IPM3.Sol.4.7"],
Cell[103280, 4340, 388, 9, 150, "Input",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{
Cell[103693, 4353, 106, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.7"],
Cell[103802, 4358, 102, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],
Cell[103919, 4364, 274, 7, 70, "Input",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{
Cell[104218, 4375, 106, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.7"],
Cell[104327, 4380, 102, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],

Cell[CellGroupData[{
Cell[104466, 4388, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{
Cell[104543, 4393, 169, 4, 30, "Input",
  CellTags->"IPM3.Sol.4.7"],
Cell[104715, 4399, 172, 4, 29, "Output",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],

Cell[CellGroupData[{
Cell[104924, 4408, 171, 4, 30, "Input",
  CellTags->"IPM3.Sol.4.7"],
Cell[105098, 4414, 170, 4, 29, "Output",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[105317, 4424, 79, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{
Cell[105421, 4429, 124, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.7"],
Cell[105548, 4434, 117, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],
Cell[105680, 4440, 194, 4, 50, "Input",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{
Cell[105899, 4448, 106, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.7"],
Cell[106008, 4453, 90, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]],
Cell[106113, 4459, 218, 5, 50, "Input",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{
Cell[106356, 4468, 106, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.7"],
Cell[106465, 4473, 90, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[106604, 4482, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.7"],
Cell[106659, 4485, 208, 5, 50, "Input",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{
Cell[106892, 4494, 101, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.7"],
Cell[106996, 4499, 99, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[107144, 4508, 76, 2, 27, "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.4.7"],
Cell[107223, 4512, 190, 5, 50, "Input",
  CellTags->"IPM3.Sol.4.7"],
Cell[107416, 4519, 235, 5, 70, "Input",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{
Cell[107676, 4528, 99, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.7"],
Cell[107778, 4533, 247, 6, 29, "Output",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[108074, 4545, 131, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{
Cell[108230, 4554, 101, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.7"],
Cell[108334, 4559, 414, 10, 58, "Print",
  CellTags->{"Info3302767663-6804076", "IPM3.Sol.4.7"}]
}, Closed]],
Cell[108763, 4572, 238, 7, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.4.7"],
Cell[109004, 4581, 327, 7, 90, "Input",
  CellTags->"IPM3.Sol.4.7"],

Cell[CellGroupData[{
Cell[109356, 4592, 110, 3, 30, "Input",
  CellTags->"IPM3.Sol.4.7"],
Cell[109469, 4597, 100, 3, 29, "Output",
  CellTags->"IPM3.Sol.4.7"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[109654, 4609, 73, 1, 34, "SolutionsSection",
  CellTags->"c:5"],

Cell[CellGroupData[{
Cell[109752, 4614, 180, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[109957, 4624, 236, 6, 46, "SolutionItem",
  CellTags->"IPM3.Sol.5.2"],
Cell[110196, 4632, 350, 10, 44, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[110549, 4644, 269, 6, 134, "Input",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[110843, 4654, 91, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[110937, 4659, 127, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[111113, 4668, 219, 6, 27, "SolutionItem",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[111357, 4678, 178, 4, 65, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[111538, 4684, 108, 3, 46, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]],
Cell[111661, 4690, 180, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.5.2"],
Cell[111844, 4696, 158, 4, 46, "Input",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[112027, 4704, 101, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[112131, 4709, 105, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[112285, 4718, 275, 7, 46, "SolutionItem",
  CellTags->"IPM3.Sol.5.2"],
Cell[112563, 4727, 351, 10, 44, "Input",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[112939, 4741, 300, 7, 134, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[113242, 4750, 565, 12, 67, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]],
Cell[113822, 4765, 177, 4, 46, "SolutionNoLabel",
  PageBreakAbove->True],

Cell[CellGroupData[{
Cell[114024, 4773, 93, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[114120, 4778, 128, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[114297, 4787, 230, 5, 46, "SolutionItem",
  CellTags->"IPM3.Sol.5.2"],
Cell[114530, 4794, 333, 8, 130, "Input",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[114888, 4806, 111, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[115002, 4811, 121, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]],
Cell[115138, 4817, 137, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.5.2"],
Cell[115278, 4822, 270, 7, 90, "Input",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[115573, 4833, 112, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[115688, 4838, 121, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]],
Cell[115824, 4844, 168, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[116017, 4852, 139, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[116159, 4857, 170, 4, 29, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[116378, 4867, 225, 7, 27, "SolutionItem",
  CellTags->"IPM3.Sol.5.2"],
Cell[116606, 4876, 101, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[116710, 4881, 353, 7, 150, "Input",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[117088, 4892, 109, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[117200, 4897, 89, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[117338, 4906, 218, 7, 27, "SolutionItem",
  CellTags->"IPM3.Sol.5.2"],
Cell[117559, 4915, 908, 20, 149, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[118470, 4937, 104, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[118599, 4944, 108, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[118710, 4949, 105, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[118864, 4958, 113, 2, 27, "SolutionItem",
  CellTags->"IPM3.Sol.5.2"],
Cell[118980, 4962, 1384, 31, 206, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[120367, 4995, 104, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[120496, 5002, 117, 3, 31, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[120616, 5007, 227, 5, 29, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[120892, 5018, 173, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.5.2"],
Cell[121068, 5025, 1051, 24, 109, "Input",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[122144, 5053, 143, 3, 31, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[122290, 5058, 108, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[122447, 5067, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.5.2"],
Cell[122502, 5070, 506, 9, 215, "Input",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[123033, 5083, 163, 4, 50, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[123199, 5089, 97, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[123345, 5098, 113, 2, 27, "SolutionItem",
  CellTags->"IPM3.Sol.5.2"],
Cell[123461, 5102, 320, 7, 130, "Input",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[123806, 5113, 195, 5, 70, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[124004, 5120, 89, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]],
Cell[124108, 5126, 267, 6, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.5.2"],
Cell[124378, 5134, 221, 5, 70, "Input",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[124624, 5143, 195, 5, 70, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[124822, 5150, 89, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[124960, 5159, 95, 2, 27, "SolutionItem",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[125080, 5165, 510, 22, 46, "SolutionSubItem",
  CellTags->"IPM3.Sol.5.2"],
Cell[125593, 5189, 115, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[125711, 5194, 385, 8, 90, "Input",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[126121, 5206, 110, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[126234, 5211, 102, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]],
Cell[126351, 5217, 280, 6, 70, "Input",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[126656, 5227, 115, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[126774, 5232, 102, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]],
Cell[126903, 5239, 1572, 50, 103, "SolutionSubItem",
  CellTags->"IPM3.Sol.5.2"],
Cell[128478, 5291, 386, 8, 90, "Input",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[128889, 5303, 117, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[129009, 5308, 102, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]],
Cell[129126, 5314, 400, 8, 110, "Input",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[129551, 5326, 122, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[129676, 5331, 102, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]],
Cell[129793, 5337, 261, 10, 27, "SolutionSubItem",
  CellTags->"IPM3.Sol.5.2"],
Cell[130057, 5349, 382, 8, 90, "Input",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[130464, 5361, 131, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[130598, 5366, 120, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]],
Cell[130733, 5372, 98, 2, 27, "SolutionSubItem",
  CellTags->"IPM3.Sol.5.2"],
Cell[130834, 5376, 450, 9, 110, "Input",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[131309, 5389, 147, 4, 30, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[131459, 5395, 120, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]],
Cell[131594, 5401, 911, 35, 65, "SolutionSubItem",
  CounterAssignments->{{"SolutionItem", 1}},
  CellTags->"IPM3.Sol.5.2"],
Cell[132508, 5438, 540, 10, 150, "Input",
  CellTags->"IPM3.Sol.5.2"],

Cell[CellGroupData[{
Cell[133073, 5452, 147, 4, 30, "Input",
  CellTags->"IPM3.Sol.5.2"],
Cell[133223, 5458, 96, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.2"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[133380, 5468, 173, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.5.3"],

Cell[CellGroupData[{
Cell[133578, 5478, 89, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.5.3"],
Cell[133670, 5481, 191, 5, 70, "Input",
  CellTags->"IPM3.Sol.5.3"],

Cell[CellGroupData[{
Cell[133886, 5490, 113, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.3"],
Cell[134002, 5495, 100, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.3"]
}, Closed]],
Cell[134117, 5501, 144, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.5.3"],
Cell[134264, 5508, 135, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.3"],

Cell[CellGroupData[{
Cell[134424, 5515, 113, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.3"],
Cell[134540, 5520, 100, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.3"]
}, Closed]],
Cell[134655, 5526, 147, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.5.3"],
Cell[134805, 5533, 140, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.3"],

Cell[CellGroupData[{
Cell[134970, 5540, 113, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.3"],
Cell[135086, 5545, 100, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.3"]
}, Closed]]
}, Closed]],
Cell[135213, 5552, 160, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.5.3"],

Cell[CellGroupData[{
Cell[135398, 5561, 110, 2, 30, "Input"],
Cell[135511, 5565, 194, 6, 41, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[135742, 5576, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.5.3"],
Cell[135797, 5579, 226, 6, 90, "Input",
  CellTags->"IPM3.Sol.5.3"],

Cell[CellGroupData[{
Cell[136048, 5589, 114, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.3"],
Cell[136165, 5594, 101, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.3"]
}, Closed]],
Cell[136281, 5600, 135, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.3"],

Cell[CellGroupData[{
Cell[136441, 5607, 114, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.3"],
Cell[136558, 5612, 101, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.3"]
}, Closed]],
Cell[136674, 5618, 140, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.3"],

Cell[CellGroupData[{
Cell[136839, 5625, 114, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.3"],
Cell[136956, 5630, 101, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[137106, 5639, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.5.3"],
Cell[137161, 5642, 335, 8, 102, "Input",
  CellTags->"IPM3.Sol.5.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[137533, 5655, 119, 3, 27, "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.5.3"],
Cell[137655, 5660, 27, 0, 27, "SolutionSubItem"],
Cell[137685, 5662, 135, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.3"],
Cell[137823, 5667, 98, 2, 27, "SolutionSubItem",
  CellTags->"IPM3.Sol.5.3"],
Cell[137924, 5671, 316, 7, 70, "Input",
  CellTags->"IPM3.Sol.5.3"],
Cell[138243, 5680, 98, 2, 27, "SolutionSubItem",
  CellTags->"IPM3.Sol.5.3"],
Cell[138344, 5684, 148, 4, 30, "Input",
  CellTags->"IPM3.Sol.5.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[138529, 5693, 128, 3, 27, "SolutionItem",
  CellTags->"IPM3.Sol.5.3"],
Cell[138660, 5698, 117, 3, 40, "Input",
  CellTags->"IPM3.Sol.5.3"],
Cell[138780, 5703, 120, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.3"],
Cell[138903, 5708, 233, 9, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.5.3"],
Cell[139139, 5719, 163, 4, 30, "Input",
  CellTags->"IPM3.Sol.5.3"],

Cell[CellGroupData[{
Cell[139327, 5727, 105, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.3"],
Cell[139435, 5732, 122, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.3"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[139618, 5742, 169, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.5.4"],

Cell[CellGroupData[{
Cell[139812, 5752, 183, 7, 27, "SolutionItem",
  CellTags->"IPM3.Sol.5.4"],
Cell[139998, 5761, 95, 3, 30, "Input",
  CellTags->"IPM3.Sol.5.4"],
Cell[140096, 5766, 190, 5, 30, "Input",
  CellTags->"IPM3.Sol.5.4"],

Cell[CellGroupData[{
Cell[140311, 5775, 160, 5, 70, "Input",
  CellTags->"IPM3.Sol.5.4"],
Cell[140474, 5782, 88, 3, 29, "Output",
  CellTags->"IPM3.Sol.5.4"]
}, Closed]]
}, Closed]],
Cell[140589, 5789, 168, 6, 27, "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.5.4"],

Cell[CellGroupData[{
Cell[140782, 5799, 239, 4, 50, "Input"],
Cell[141024, 5805, 523, 15, 121, "Output"]
}, Closed]],
Cell[141562, 5823, 274, 5, 70, "Input"],

Cell[CellGroupData[{
Cell[141861, 5832, 193, 5, 50, "Input"],
Cell[142057, 5839, 100, 2, 29, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[142194, 5846, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.5.4"],
Cell[142249, 5849, 696, 15, 190, "Input",
  CellTags->"IPM3.Sol.5.4"],

Cell[CellGroupData[{
Cell[142970, 5868, 94, 2, 30, "Input"],
Cell[143067, 5872, 70, 2, 29, "Output"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[143210, 5882, 73, 1, 34, "SolutionsSection",
  CellTags->"c:6"],

Cell[CellGroupData[{
Cell[143308, 5887, 169, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{
Cell[143502, 5897, 167, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{
Cell[143694, 5906, 106, 3, 31, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[143803, 5911, 268, 8, 43, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[144108, 5924, 111, 3, 31, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[144222, 5929, 90, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[144349, 5937, 121, 3, 31, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[144473, 5942, 90, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],
Cell[144578, 5948, 127, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{
Cell[144730, 5955, 107, 3, 31, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[144840, 5960, 90, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[144979, 5969, 142, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{
Cell[145146, 5978, 128, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[145277, 5983, 275, 8, 43, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[145589, 5996, 133, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[145725, 6001, 90, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[145852, 6009, 167, 5, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[146022, 6016, 90, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[146161, 6025, 141, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{
Cell[146327, 6034, 115, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[146445, 6039, 266, 8, 43, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[146748, 6052, 139, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[146890, 6057, 90, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[147017, 6065, 147, 4, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[147167, 6071, 91, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[147295, 6079, 190, 4, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[147488, 6085, 91, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[147616, 6093, 140, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[147759, 6098, 91, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[147887, 6106, 138, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[148028, 6111, 91, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[148168, 6120, 267, 10, 46, "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],
Cell[148438, 6132, 235, 5, 70, "Input",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{
Cell[148698, 6141, 105, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[148806, 6146, 88, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[148943, 6155, 155, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],
Cell[149101, 6162, 306, 6, 90, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[149410, 6170, 285, 6, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],
Cell[149698, 6178, 312, 7, 90, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[150013, 6187, 119, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],
Cell[150135, 6192, 158, 4, 31, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[150296, 6198, 179, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{
Cell[150500, 6206, 111, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[150614, 6211, 147, 4, 29, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[150810, 6221, 133, 3, 27, "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],
Cell[150946, 6226, 114, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[151063, 6231, 111, 3, 40, "Input",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{
Cell[151199, 6238, 98, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[151300, 6243, 100, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],
Cell[151415, 6249, 173, 5, 27, "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{
Cell[151613, 6258, 112, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[151728, 6263, 699, 11, 162, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[152476, 6280, 171, 4, 27, "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],
Cell[152650, 6286, 100, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[152753, 6291, 135, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[152891, 6296, 132, 3, 40, "Input",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{
Cell[153048, 6303, 98, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[153149, 6308, 100, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[153286, 6316, 101, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[153390, 6321, 102, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[153529, 6329, 112, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[153644, 6334, 699, 11, 162, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[154392, 6351, 149, 4, 27, "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],
Cell[154544, 6357, 167, 4, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[154714, 6363, 100, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],
Cell[154817, 6366, 129, 3, 33, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[154949, 6371, 138, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],
Cell[155090, 6376, 109, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{
Cell[155224, 6383, 128, 3, 42, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[155355, 6388, 107, 3, 42, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[155511, 6397, 290, 7, 46, "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],
Cell[155804, 6406, 142, 4, 50, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[155949, 6412, 190, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],
Cell[156142, 6419, 122, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{
Cell[156289, 6426, 123, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[156415, 6431, 110, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],
Cell[156540, 6437, 270, 6, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],
Cell[156813, 6445, 159, 4, 50, "Input",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{
Cell[156997, 6453, 124, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.2"],
Cell[157124, 6458, 110, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[157283, 6467, 87, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],
Cell[157373, 6470, 163, 4, 50, "Input",
  CellTags->"IPM3.Sol.6.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[157573, 6479, 78, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.6.2"],
Cell[157654, 6482, 172, 4, 50, "Input",
  CellTags->"IPM3.Sol.4.7"],
Cell[157829, 6488, 77, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{
Cell[157931, 6493, 82, 2, 30, "Input"],
Cell[158016, 6497, 99, 2, 29, "Output"]
}, Closed]],
Cell[158130, 6502, 215, 7, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{
Cell[158370, 6513, 96, 2, 30, "Input"],
Cell[158469, 6517, 83, 2, 29, "Output"]
}, Closed]],
Cell[158567, 6522, 150, 4, 27, "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.6.2"],

Cell[CellGroupData[{
Cell[158742, 6530, 67, 2, 30, "Input"],
Cell[158812, 6534, 60, 2, 29, "Output"]
}, Closed]],
Cell[158887, 6539, 113, 2, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],
Cell[159003, 6543, 207, 4, 50, "Input"],

Cell[CellGroupData[{
Cell[159235, 6551, 81, 2, 30, "Input"],
Cell[159319, 6555, 60, 2, 29, "Output"]
}, Closed]],
Cell[159394, 6560, 222, 5, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.2"],
Cell[159619, 6567, 242, 5, 70, "Input",
  CellTags->{"b:17.0", "IPM3.4.7.1"}],
Cell[159864, 6574, 140, 3, 31, "Input",
  CellTags->{"b:17.0", "IPM3.4.7.1"}],
Cell[160007, 6579, 140, 3, 31, "Input",
  CellTags->{"b:17.0", "IPM3.4.7.1"}],

Cell[CellGroupData[{
Cell[160172, 6586, 141, 3, 30, "Input",
  CellTags->{"i:48", "b:17.0", "IPM3.4.7.1"}],
Cell[160316, 6591, 141, 3, 29, "Output",
  CellTags->{"i:48", "b:17.0", "IPM3.4.7.1"}]
}, Closed]],

Cell[CellGroupData[{
Cell[160494, 6599, 142, 3, 30, "Input",
  CellTags->{"i:48", "b:17.0", "IPM3.4.7.1"}],
Cell[160639, 6604, 142, 3, 29, "Output",
  CellTags->{"i:48", "b:17.0", "IPM3.4.7.1"}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[160842, 6614, 181, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.6.3"],

Cell[CellGroupData[{
Cell[161048, 6624, 152, 4, 27, "SolutionItem",
  CellTags->"IPM3.Sol.6.3"],
Cell[161203, 6630, 153, 4, 30, "Input",
  CellTags->"IPM3.Sol.6.3"],
Cell[161359, 6636, 221, 5, 30, "Input",
  CellTags->"IPM3.Sol.6.3"],

Cell[CellGroupData[{
Cell[161605, 6645, 127, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.3"],
Cell[161735, 6650, 3943, 104, 181, "Output",
  CellTags->"IPM3.Sol.6.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[165715, 6759, 128, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.3"],
Cell[165846, 6764, 7913, 254, 314, "Output",
  CellTags->"IPM3.Sol.6.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[173808, 7024, 184, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.6.3"],

Cell[CellGroupData[{
Cell[174017, 7033, 146, 4, 30, "Input",
  CellTags->"IPM3.Sol.6.3"],
Cell[174166, 7039, 1819, 56, 48, "Output",
  CellTags->"IPM3.Sol.6.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[176034, 7101, 189, 7, 27, "SolutionItem",
  CellTags->"IPM3.Sol.6.3"],
Cell[176226, 7110, 96, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.3"],

Cell[CellGroupData[{
Cell[176347, 7117, 219, 5, 70, "Input",
  CellTags->"IPM3.Sol.6.3"],
Cell[176569, 7124, 88, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[176706, 7133, 271, 6, 46, "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.6.3"],

Cell[CellGroupData[{
Cell[177002, 7143, 156, 4, 30, "Input",
  CellTags->"IPM3.Sol.6.3"],
Cell[177161, 7149, 1062, 32, 48, "Output",
  CellTags->"IPM3.Sol.6.3"]
}, Closed]],
Cell[178238, 7184, 97, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.3"],
Cell[178338, 7189, 177, 5, 30, "Input",
  CellTags->"IPM3.Sol.6.3"],

Cell[CellGroupData[{
Cell[178540, 7198, 98, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.3"],
Cell[178641, 7203, 94, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[178784, 7212, 104, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.6.3"],
Cell[178891, 7215, 171, 5, 30, "Input",
  CellTags->"IPM3.Sol.6.3"],

Cell[CellGroupData[{
Cell[179087, 7224, 139, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.3"],
Cell[179229, 7229, 130, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[179408, 7238, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.6.3"],
Cell[179463, 7241, 168, 4, 30, "Input",
  CellTags->"IPM3.Sol.6.3"],

Cell[CellGroupData[{
Cell[179656, 7249, 113, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.3"],
Cell[179772, 7254, 89, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[179910, 7263, 197, 7, 27, "SolutionItem",
  CellTags->"IPM3.Sol.6.3"],
Cell[180110, 7272, 214, 6, 50, "Input",
  CellTags->"IPM3.Sol.6.3"],
Cell[180327, 7280, 100, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.3"],
Cell[180430, 7283, 112, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.3"],
Cell[180545, 7288, 109, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.3"],

Cell[CellGroupData[{
Cell[180679, 7295, 124, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.3"],
Cell[180806, 7300, 168, 4, 29, "Output",
  CellTags->"IPM3.Sol.6.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[181011, 7309, 106, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.3"],
Cell[181120, 7314, 89, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[181258, 7323, 283, 10, 46, "SolutionItem",
  CellTags->"IPM3.Sol.6.3"],
Cell[181544, 7335, 304, 8, 90, "Input",
  CellTags->"IPM3.Sol.6.3"],
Cell[181851, 7345, 91, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.3"],
Cell[181945, 7348, 133, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.3"],

Cell[CellGroupData[{
Cell[182103, 7355, 113, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.3"],
Cell[182219, 7360, 2023225, 27766, 154, 1954885, 26917, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.6.3"]
}, Closed]],
Cell[2205459, 35129, 203, 5, 27, "SolutionNoLabel",
  CellTags->{"IPM3.Sol.6.3", "i:3"}],

Cell[CellGroupData[{
Cell[2205687, 35138, 161, 4, 30, "Input"],
Cell[2205851, 35144, 2037139, 27954, 148, 1955061, 26936, "GraphicsData", \
"PostScript", "Graphics"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[4243051, 63105, 169, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.6.4"],

Cell[CellGroupData[{
Cell[4243245, 63115, 114, 2, 27, "SolutionItem",
  CellTags->"IPM3.Sol.6.4"],

Cell[CellGroupData[{
Cell[4243384, 63121, 166, 4, 30, "Input",
  CellTags->"IPM3.Sol.6.4"],
Cell[4243553, 63127, 225, 5, 29, "Output",
  CellTags->"IPM3.Sol.6.4"]
}, Closed]],

Cell[CellGroupData[{
Cell[4243815, 63137, 179, 5, 30, "Input",
  CellTags->"IPM3.Sol.6.4"],
Cell[4243997, 63144, 570, 9, 67, "Output",
  CellTags->"IPM3.Sol.6.4"]
}, Closed]],

Cell[CellGroupData[{
Cell[4244604, 63158, 180, 5, 30, "Input",
  CellTags->"IPM3.Sol.6.4"],
Cell[4244787, 63165, 570, 9, 67, "Output",
  CellTags->"IPM3.Sol.6.4"]
}, Closed]],
Cell[4245372, 63177, 185, 5, 30, "Input",
  CellTags->"IPM3.Sol.6.4"],
Cell[4245560, 63184, 189, 5, 30, "Input",
  CellTags->"IPM3.Sol.6.4"],

Cell[CellGroupData[{
Cell[4245774, 63193, 142, 4, 30, "Input",
  CellTags->"IPM3.Sol.6.4"],
Cell[4245919, 63199, 107, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.4"]
}, Closed]],

Cell[CellGroupData[{
Cell[4246063, 63207, 120, 4, 30, "Input",
  CellTags->"IPM3.Sol.6.4"],
Cell[4246186, 63213, 107, 3, 29, "Output",
  CellTags->"IPM3.Sol.6.4"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[4246342, 63222, 216, 6, 27, "SolutionItem",
  CounterAssignments->{{"SolutionItem", 2}},
  CellTags->"IPM3.Sol.6.4"],
Cell[4246561, 63230, 282, 7, 70, "Input",
  CellTags->"IPM3.Sol.6.4"],
Cell[4246846, 63239, 130, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.4"],

Cell[CellGroupData[{
Cell[4247001, 63246, 162, 4, 30, "Input",
  CellTags->"IPM3.Sol.6.4"],
Cell[4247166, 63252, 42398, 607, 204, 5866, 150, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.6.4"],
Cell[4289567, 63861, 183, 5, 29, "Output",
  CellTags->"IPM3.Sol.6.4"]
}, Closed]],
Cell[4289765, 63869, 392, 8, 65, "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.4"],
Cell[4290160, 63879, 134, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.4"],

Cell[CellGroupData[{
Cell[4290319, 63886, 158, 4, 30, "Input",
  CellTags->"IPM3.Sol.6.4"],
Cell[4290480, 63892, 177082, 2424, 127, 124334, 1767, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.6.4"]
}, Closed]]
}, Closed]],
Cell[4467589, 66320, 316, 11, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.4"],
Cell[4467908, 66333, 340, 8, 70, "Input",
  CellTags->"IPM3.Sol.6.4"],

Cell[CellGroupData[{
Cell[4468273, 66345, 158, 4, 30, "Input",
  CellTags->"IPM3.Sol.6.4"],
Cell[4468434, 66351, 192666, 2633, 148, 124509, 1786, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.6.4"]
}, Closed]],

Cell[CellGroupData[{
Cell[4661137, 68989, 161, 4, 30, "Input"],
Cell[4661301, 68995, 192640, 2632, 148, 124509, 1786, "GraphicsData", \
"PostScript", "Graphics"]
}, Closed]],

Cell[CellGroupData[{
Cell[4853978, 71632, 90, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.6.4"],

Cell[CellGroupData[{
Cell[4854093, 71637, 141, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.4"],
Cell[4854237, 71642, 36957, 996, 154, 15138, 721, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.6.4"]
}, Closed]],
Cell[4891209, 72641, 127, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.4"],

Cell[CellGroupData[{
Cell[4891361, 72648, 186, 5, 30, "Input",
  CellTags->"IPM3.Sol.6.4"],
Cell[4891550, 72655, 25179, 850, 154, 15226, 721, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.6.4"]
}, Closed]],
Cell[4916744, 73508, 464, 9, 84, "SolutionNoLabel",
  CellTags->"IPM3.Sol.6.4"]
}, Closed]],

Cell[CellGroupData[{
Cell[4917245, 73522, 326, 6, 46, "SolutionItem",
  CounterAssignments->{{"SolutionItem", 5}},
  CellTags->"IPM3.Sol.6.4"],
Cell[4917574, 73530, 305, 7, 90, "Input",
  CellTags->"IPM3.Sol.6.4"],

Cell[CellGroupData[{
Cell[4917904, 73541, 129, 3, 30, "Input",
  CellTags->"IPM3.Sol.6.4"],
Cell[4918036, 73546, 28257, 846, 149, 13969, 664, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.6.4"]
}, Closed]],

Cell[CellGroupData[{
Cell[4946330, 74397, 92, 2, 30, "Input",
  CellTags->"IPM3.Sol.6.4"],
Cell[4946425, 74401, 30060, 895, 149, 15216, 706, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.6.4"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[4976558, 75304, 60, 1, 34, "SolutionsSection",
  CellTags->"c:7"],

Cell[CellGroupData[{
Cell[4976643, 75309, 178, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.7.1"],

Cell[CellGroupData[{
Cell[4976846, 75319, 95, 2, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.1"],
Cell[4976944, 75323, 154, 4, 27, "SolutionSubItem",
  CellTags->"IPM3.Sol.7.1"],
Cell[4977101, 75329, 166, 5, 70, "Input",
  CellTags->"IPM3.Sol.7.1"],

Cell[CellGroupData[{
Cell[4977292, 75338, 107, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.1"],
Cell[4977402, 75343, 129, 3, 29, "Output",
  CellTags->"IPM3.Sol.7.1"]
}, Closed]],
Cell[4977546, 75349, 142, 4, 27, "SolutionSubItem",
  CellTags->"IPM3.Sol.7.1"],
Cell[4977691, 75355, 167, 5, 70, "Input",
  CellTags->"IPM3.Sol.7.1"],

Cell[CellGroupData[{
Cell[4977883, 75364, 107, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.1"],
Cell[4977993, 75369, 135, 3, 29, "Output",
  CellTags->"IPM3.Sol.7.1"]
}, Closed]],
Cell[4978143, 75375, 93, 1, 27, "SolutionSubItem",
  CellTags->"IPM3.Sol.7.1"],
Cell[4978239, 75378, 204, 6, 90, "Input",
  CellTags->"IPM3.Sol.7.1"],

Cell[CellGroupData[{
Cell[4978468, 75388, 108, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.1"],
Cell[4978579, 75393, 118, 3, 29, "Output",
  CellTags->"IPM3.Sol.7.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[4978746, 75402, 105, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.1"],
Cell[4978854, 75405, 177, 5, 70, "Input",
  CellTags->"IPM3.Sol.7.1"],

Cell[CellGroupData[{
Cell[4979056, 75414, 103, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.1"],
Cell[4979162, 75419, 113, 3, 29, "Output",
  CellTags->"IPM3.Sol.7.1"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[4979336, 75429, 175, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.7.2"],

Cell[CellGroupData[{
Cell[4979536, 75439, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.2"],
Cell[4979591, 75442, 279, 6, 90, "Input",
  CellTags->"IPM3.Sol.7.2"],

Cell[CellGroupData[{
Cell[4979895, 75452, 127, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.2"],
Cell[4980025, 75457, 88, 3, 29, "Output",
  CellTags->"IPM3.Sol.7.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[4980162, 75466, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.2"],
Cell[4980217, 75469, 257, 6, 70, "Input",
  CellTags->"IPM3.Sol.7.2"],

Cell[CellGroupData[{
Cell[4980499, 75479, 134, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.2"],
Cell[4980636, 75484, 88, 3, 29, "Output",
  CellTags->"IPM3.Sol.7.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[4980773, 75493, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.2"],
Cell[4980828, 75496, 245, 5, 70, "Input",
  CellTags->"IPM3.Sol.7.2"],

Cell[CellGroupData[{
Cell[4981098, 75505, 183, 4, 30, "Input",
  CellTags->"IPM3.Sol.7.2"],
Cell[4981284, 75511, 174, 4, 29, "Output",
  CellTags->"IPM3.Sol.7.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[4981507, 75521, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.2"],
Cell[4981562, 75524, 240, 6, 70, "Input",
  CellTags->"IPM3.Sol.7.2"],

Cell[CellGroupData[{
Cell[4981827, 75534, 120, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.2"],
Cell[4981950, 75539, 109, 3, 29, "Output",
  CellTags->"IPM3.Sol.7.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[4982108, 75548, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.2"],
Cell[4982163, 75551, 207, 5, 70, "Input",
  CellTags->"IPM3.Sol.7.2"],

Cell[CellGroupData[{
Cell[4982395, 75560, 116, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.2"],
Cell[4982514, 75565, 96, 3, 29, "Output",
  CellTags->"IPM3.Sol.7.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[4982659, 75574, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.2"],
Cell[4982714, 75577, 208, 5, 50, "Input",
  CellTags->"IPM3.Sol.7.2"],

Cell[CellGroupData[{
Cell[4982947, 75586, 118, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.2"],
Cell[4983068, 75591, 105, 3, 29, "Output",
  CellTags->"IPM3.Sol.7.2"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[4983234, 75601, 191, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.7.3"],

Cell[CellGroupData[{
Cell[4983450, 75611, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.3"],
Cell[4983505, 75614, 307, 7, 90, "Input",
  CellTags->"IPM3.Sol.7.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[4983849, 75626, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.3"],
Cell[4983904, 75629, 383, 8, 130, "Input",
  CellTags->"IPM3.Sol.7.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[4984324, 75642, 294, 8, 46, "SolutionItem",
  CellTags->"IPM3.Sol.7.3"],
Cell[4984621, 75652, 124, 5, 48, "Input",
  CellTags->"IPM3.Sol.7.3"],
Cell[4984748, 75659, 423, 9, 110, "Input",
  CellTags->"IPM3.Sol.7.3"],
Cell[4985174, 75670, 249, 9, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.3"],
Cell[4985426, 75681, 141, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.3"],

Cell[CellGroupData[{
Cell[4985592, 75688, 114, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.3"],
Cell[4985709, 75693, 117, 3, 29, "Output",
  CellTags->"IPM3.Sol.7.3"]
}, Closed]],
Cell[4985841, 75699, 119, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.3"],

Cell[CellGroupData[{
Cell[4985985, 75706, 141, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.3"],
Cell[4986129, 75711, 143, 3, 29, "Output",
  CellTags->"IPM3.Sol.7.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[4986321, 75720, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.3"],
Cell[4986376, 75723, 386, 8, 110, "Input",
  CellTags->"IPM3.Sol.7.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[4986799, 75736, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.3"],
Cell[4986854, 75739, 157, 4, 50, "Input",
  CellTags->"IPM3.Sol.7.3"],
Cell[4987014, 75745, 264, 6, 70, "Input",
  CellTags->"IPM3.Sol.7.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[4987315, 75756, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.3"],
Cell[4987370, 75759, 197, 5, 50, "Input",
  CellTags->"IPM3.Sol.7.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[4987604, 75769, 152, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.3"],
Cell[4987759, 75776, 207, 5, 70, "Input",
  CellTags->"IPM3.Sol.7.3"],
Cell[4987969, 75783, 255, 6, 50, "Input",
  CellTags->"IPM3.Sol.7.3"],

Cell[CellGroupData[{
Cell[4988249, 75793, 108, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.3"],
Cell[4988360, 75798, 176, 4, 48, "Output",
  CellTags->"IPM3.Sol.7.3"]
}, Closed]],
Cell[4988551, 75805, 94, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.3"],
Cell[4988648, 75808, 163, 4, 30, "Input",
  CellTags->"IPM3.Sol.7.3"],
Cell[4988814, 75814, 143, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.3"],

Cell[CellGroupData[{
Cell[4988982, 75822, 106, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.3"],
Cell[4989091, 75827, 333, 6, 67, "Output",
  CellTags->"IPM3.Sol.7.3"]
}, Closed]],
Cell[4989439, 75836, 181, 6, 27, "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->{"IPM3.Sol.7.3", "i:4"}],

Cell[CellGroupData[{
Cell[4989645, 75846, 106, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.3"],
Cell[4989754, 75851, 333, 6, 67, "Output",
  CellTags->"IPM3.Sol.7.3"]
}, Closed]]
}, Closed]],
Cell[4990114, 75861, 162, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.3"],

Cell[CellGroupData[{
Cell[4990301, 75870, 94, 2, 30, "Input"],
Cell[4990398, 75874, 326, 5, 19, "Message"],
Cell[4990727, 75881, 371, 6, 37, "Message"]
}, Closed]],
Cell[4991113, 75890, 196, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.3"],

Cell[CellGroupData[{
Cell[4991334, 75899, 174, 3, 70, "Input"],
Cell[4991511, 75904, 82, 2, 29, "Output"]
}, Closed]],
Cell[4991608, 75909, 339, 7, 65, "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.3"],

Cell[CellGroupData[{
Cell[4991972, 75920, 94, 2, 30, "Input"],
Cell[4992069, 75924, 95, 2, 29, "Output"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[4992213, 75932, 196, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.7.4"],

Cell[CellGroupData[{
Cell[4992434, 75942, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.4"],
Cell[4992489, 75945, 412, 9, 170, "Input",
  CellTags->"IPM3.Sol.7.4"],
Cell[4992904, 75956, 224, 5, 85, "Input",
  CellTags->"IPM3.Sol.7.4"],

Cell[CellGroupData[{
Cell[4993153, 75965, 112, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.4"],
Cell[4993268, 75970, 114, 3, 29, "Output",
  CellTags->"IPM3.Sol.7.4"]
}, Closed]],

Cell[CellGroupData[{
Cell[4993419, 75978, 103, 3, 31, "Input",
  CellTags->"IPM3.Sol.7.4"],
Cell[4993525, 75983, 112, 3, 30, "Output",
  CellTags->"IPM3.Sol.7.4"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[4993686, 75992, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.4"],
Cell[4993741, 75995, 96, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.4"],
Cell[4993840, 76000, 413, 9, 170, "Input",
  CellTags->"IPM3.Sol.7.4"],
Cell[4994256, 76011, 108, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.4"],
Cell[4994367, 76016, 455, 10, 190, "Input",
  CellTags->"IPM3.Sol.7.4"]
}, Closed]],

Cell[CellGroupData[{
Cell[4994859, 76031, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.4"],
Cell[4994914, 76034, 563, 11, 210, "Input",
  CellTags->"IPM3.Sol.7.4"],

Cell[CellGroupData[{
Cell[4995502, 76049, 155, 4, 31, "Input",
  CellTags->"IPM3.Sol.7.4"],
Cell[4995660, 76055, 132, 3, 29, "Output",
  CellTags->"IPM3.Sol.7.4"]
}, Closed]],

Cell[CellGroupData[{
Cell[4995829, 76063, 130, 3, 42, "Input",
  CellTags->"IPM3.Sol.7.4"],
Cell[4995962, 76068, 135, 3, 48, "Output",
  CellTags->"IPM3.Sol.7.4"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[4996158, 76078, 179, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.7.5"],

Cell[CellGroupData[{
Cell[4996362, 76088, 208, 6, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.5"],
Cell[4996573, 76096, 97, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[4996673, 76101, 412, 9, 126, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[4997088, 76112, 119, 3, 42, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[4997210, 76117, 189, 5, 30, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[4997402, 76124, 238, 6, 44, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[4997643, 76132, 613, 13, 110, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[4998259, 76147, 146, 4, 30, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[4998408, 76153, 83, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.5"],

Cell[CellGroupData[{
Cell[4998516, 76158, 116, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[4998635, 76163, 474, 8, 86, "Output",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[4999146, 76176, 109, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[4999258, 76181, 176, 4, 29, "Output",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[4999471, 76190, 103, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[4999577, 76195, 189, 5, 29, "Output",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[4999803, 76205, 97, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[4999903, 76210, 212, 4, 29, "Output",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[5000152, 76219, 93, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5000248, 76224, 99, 3, 29, "Output",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5000396, 76233, 1563, 60, 84, "SolutionItem",
  CellTags->"IPM3.Sol.7.5"],
Cell[5001962, 76295, 126, 3, 42, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5002091, 76300, 249, 5, 86, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5002343, 76307, 337, 8, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.5"],
Cell[5002683, 76317, 130, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5002816, 76322, 163, 4, 30, "Input",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[5003016, 76331, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.5"],
Cell[5003071, 76334, 503, 12, 90, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5003577, 76348, 125, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5003705, 76353, 144, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5003852, 76358, 166, 4, 30, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5004021, 76364, 324, 7, 50, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5004348, 76373, 212, 5, 42, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5004563, 76380, 295, 7, 50, "Input",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[5004895, 76392, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.5"],
Cell[5004950, 76395, 198, 5, 50, "Input",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[5005185, 76405, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.5"],
Cell[5005240, 76408, 208, 5, 70, "Input",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[5005485, 76418, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.5"],
Cell[5005540, 76421, 239, 6, 50, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5005782, 76429, 656, 12, 110, "Input",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[5006475, 76446, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.5"],
Cell[5006530, 76449, 206, 5, 50, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5006739, 76456, 176, 4, 50, "Input",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[5006952, 76465, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.5"],
Cell[5007007, 76468, 279, 7, 70, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5007289, 76477, 200, 5, 50, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5007492, 76484, 118, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5007613, 76489, 271, 5, 70, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5007887, 76496, 176, 4, 50, "Input",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[5008100, 76505, 868, 18, 141, "SolutionItem",
  CellTags->"IPM3.Sol.7.5"],
Cell[5008971, 76525, 237, 5, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.5"],
Cell[5009211, 76532, 256, 6, 30, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5009470, 76540, 357, 8, 110, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5009830, 76550, 132, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5009965, 76555, 114, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.5"],

Cell[CellGroupData[{
Cell[5010104, 76562, 315, 7, 70, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5010422, 76571, 206, 4, 48, "Output",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5010677, 76581, 657, 19, 65, "SolutionItem",
  CellTags->"IPM3.Sol.7.5"],
Cell[5011337, 76602, 312, 6, 70, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5011652, 76610, 142, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5011797, 76615, 233, 5, 70, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5012033, 76622, 133, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.5"],

Cell[CellGroupData[{
Cell[5012191, 76629, 119, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5012313, 76634, 324, 6, 48, "Output",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]],
Cell[5012652, 76643, 173, 4, 30, "Input",
  CellTags->"IPM3.Sol.7.5"],
Cell[5012828, 76649, 137, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5013014, 76658, 180, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.7.6"],

Cell[CellGroupData[{
Cell[5013219, 76668, 159, 4, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.6"],
Cell[5013381, 76674, 122, 4, 50, "Input",
  CellTags->"IPM3.Sol.7.6"],
Cell[5013506, 76680, 231, 5, 76, "Input",
  CellTags->"IPM3.Sol.7.6"],

Cell[CellGroupData[{
Cell[5013762, 76689, 102, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.6"],
Cell[5013867, 76694, 120, 3, 29, "Output",
  CellTags->"IPM3.Sol.7.6"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5014036, 76703, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.6"],
Cell[5014091, 76706, 124, 4, 50, "Input",
  CellTags->"IPM3.Sol.7.6"],
Cell[5014218, 76712, 261, 6, 76, "Input",
  CellTags->"IPM3.Sol.7.6"],

Cell[CellGroupData[{
Cell[5014504, 76722, 104, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.6"],
Cell[5014611, 76727, 130, 3, 29, "Output",
  CellTags->"IPM3.Sol.7.6"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5014790, 76736, 52, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.6"],
Cell[5014845, 76739, 100, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.6"],
Cell[5014948, 76744, 105, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.6"],
Cell[5015056, 76749, 184, 4, 63, "Input",
  CellTags->"IPM3.Sol.7.6"],
Cell[5015243, 76755, 187, 4, 50, "Input",
  CellTags->"IPM3.Sol.7.6"],
Cell[5015433, 76761, 114, 2, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.6"],

Cell[CellGroupData[{
Cell[5015572, 76767, 100, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.6"],
Cell[5015675, 76772, 89, 3, 29, "Output",
  CellTags->"IPM3.Sol.7.6"]
}, Closed]],
Cell[5015779, 76778, 194, 4, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.6"],

Cell[CellGroupData[{
Cell[5015998, 76786, 120, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.6"],
Cell[5016121, 76791, 714, 11, 162, "Output",
  CellTags->"IPM3.Sol.7.6"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5016896, 76809, 197, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.7.7"],

Cell[CellGroupData[{
Cell[5017118, 76819, 152, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.7.7"],
Cell[5017273, 76826, 174, 4, 50, "Input",
  CellTags->"IPM3.Sol.7.7"],

Cell[CellGroupData[{
Cell[5017472, 76834, 115, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.7"],
Cell[5017590, 76839, 103, 3, 29, "Output",
  CellTags->"IPM3.Sol.7.7"]
}, Closed]],
Cell[5017708, 76845, 206, 5, 50, "Input",
  CellTags->"IPM3.Sol.7.7"],

Cell[CellGroupData[{
Cell[5017939, 76854, 113, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.7"],
Cell[5018055, 76859, 112, 3, 29, "Output",
  CellTags->"IPM3.Sol.7.7"]
}, Closed]],
Cell[5018182, 76865, 120, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.7.7"],
Cell[5018305, 76872, 191, 5, 50, "Input",
  CellTags->"IPM3.Sol.7.7"],

Cell[CellGroupData[{
Cell[5018521, 76881, 111, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.7"],
Cell[5018635, 76886, 163, 4, 29, "Output",
  CellTags->"IPM3.Sol.7.7"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5018847, 76896, 183, 6, 27, "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.7.7"],
Cell[5019033, 76904, 169, 4, 30, "Input",
  CellTags->{"b:32", "IPM3.7.7.1"}],
Cell[5019205, 76910, 170, 4, 30, "Input",
  CellTags->{"b:32", "IPM3.7.7.1"}],
Cell[5019378, 76916, 195, 5, 46, "SolutionNoLabel"],
Cell[5019576, 76923, 306, 7, 70, "Input",
  CellTags->"IPM3.Sol.7.7"],
Cell[5019885, 76932, 101, 2, 27, "SolutionNoLabel"],

Cell[CellGroupData[{
Cell[5020011, 76938, 100, 3, 30, "Input",
  CellTags->"IPM3.Sol.7.7"],
Cell[5020114, 76943, 134, 3, 29, "Output",
  CellTags->"IPM3.Sol.7.7"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5020321, 76954, 59, 1, 34, "SolutionsSection",
  CellTags->"c:8"],

Cell[CellGroupData[{
Cell[5020405, 76959, 168, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5020598, 76969, 155, 4, 27, "SolutionItem",
  CellTags->"IPM3.Sol.8.2"],
Cell[5020756, 76975, 123, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5020882, 76980, 112, 2, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5021019, 76986, 121, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5021143, 76991, 104, 3, 40, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[5021284, 76999, 151, 4, 38, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5021438, 77005, 99, 3, 40, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5021586, 77014, 261, 7, 46, "SolutionItem",
  CellTags->"IPM3.Sol.8.2"],
Cell[5021850, 77023, 165, 4, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5022018, 77029, 91, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5022134, 77034, 104, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5022241, 77039, 98, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],
Cell[5022354, 77045, 135, 3, 27, "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5022514, 77052, 95, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5022612, 77057, 87, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],
Cell[5022714, 77063, 104, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5022843, 77068, 107, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5022953, 77073, 92, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[5023082, 77081, 99, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5023184, 77086, 89, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],
Cell[5023288, 77092, 183, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],
Cell[5023474, 77098, 108, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5023607, 77105, 113, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5023723, 77110, 134, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[5023894, 77118, 95, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5023992, 77123, 125, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5024166, 77132, 174, 6, 27, "SolutionItem",
  CounterAssignments->{{"SolutionItem", 3}},
  CellTags->"IPM3.Sol.8.2"],
Cell[5024343, 77140, 144, 3, 31, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5024490, 77145, 104, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],
Cell[5024597, 77148, 155, 4, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5024755, 77154, 100, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5024880, 77159, 103, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5024986, 77164, 148, 4, 29, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],
Cell[5025149, 77171, 116, 2, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5025290, 77177, 104, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5025397, 77182, 156, 4, 29, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[5025590, 77191, 103, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5025696, 77196, 157, 4, 29, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[5025890, 77205, 105, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5025998, 77210, 159, 4, 29, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5026206, 77220, 225, 6, 27, "SolutionItem",
  CounterAssignments->{{"SolutionItem", 5}},
  CellTags->"IPM3.Sol.8.2"],
Cell[5026434, 77228, 142, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5026601, 77235, 106, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5026710, 77240, 90, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5026849, 77249, 171, 4, 27, "SolutionItem",
  CounterAssignments->{{"SolutionItem", 7}},
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5027045, 77257, 102, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5027150, 77262, 209, 7, 43, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],
Cell[5027374, 77272, 86, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5027485, 77277, 107, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5027595, 77282, 108, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],
Cell[5027718, 77288, 232, 5, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5027975, 77297, 126, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5028104, 77302, 108, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],
Cell[5028227, 77308, 186, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5028438, 77317, 99, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5028540, 77322, 89, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],
Cell[5028644, 77328, 170, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],
Cell[5028817, 77335, 198, 5, 50, "Input",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5029040, 77344, 99, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5029142, 77349, 89, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],
Cell[5029246, 77355, 194, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],
Cell[5029443, 77362, 179, 5, 50, "Input",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5029647, 77371, 100, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5029750, 77376, 89, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5029888, 77385, 218, 5, 46, "SolutionItem",
  CounterAssignments->{{"SolutionItem", 8}},
  CellTags->"IPM3.Sol.8.2"],
Cell[5030109, 77392, 148, 4, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5030282, 77400, 92, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5030377, 77405, 93, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],
Cell[5030485, 77411, 84, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5030594, 77416, 104, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5030701, 77421, 127, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5030877, 77430, 134, 3, 27, "SolutionItem",
  CellTags->"IPM3.Sol.8.2"],
Cell[5031014, 77435, 120, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5031137, 77440, 115, 2, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5031277, 77446, 157, 4, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5031437, 77452, 49403, 1764, 191, 42494, 1673, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],
Cell[5080855, 79219, 95, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5080975, 79224, 156, 4, 31, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5081134, 79230, 49152, 1761, 190, 42494, 1673, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[5130323, 80996, 183, 4, 43, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5130509, 81002, 84918, 1678, 193, 35652, 1064, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5215476, 82686, 140, 2, 27, "SolutionItem",
  CounterAssignments->{{"SolutionItem", 10}},
  CellTags->"IPM3.Sol.8.2"],
Cell[5215619, 82690, 117, 2, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5215739, 82694, 142, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5215906, 82702, 135, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5216044, 82707, 130, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],
Cell[5216189, 82713, 151, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],
Cell[5216343, 82719, 111, 2, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5216479, 82725, 142, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5216624, 82730, 404, 7, 86, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],
Cell[5217043, 82740, 314, 7, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5217382, 82751, 165, 5, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5217550, 82758, 188506, 6670, 154, 108140, 5672, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],
Cell[5406071, 89431, 256, 6, 46, "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5406352, 89441, 152, 5, 48, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5406507, 89448, 153372, 5858, 155, 98856, 5179, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],
Cell[5559894, 95309, 189, 4, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5560108, 95317, 209, 5, 52, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5560320, 95324, 187534, 6617, 154, 107306, 5621, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[5747891, 101946, 119, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5748013, 101951, 171659, 6376, 154, 106050, 5560, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]]
}, Closed]],
Cell[5919699, 108331, 210, 5, 27, "SolutionItem",
  CounterAssignments->{{"SolutionItem", 12}},
  CellTags->"IPM3.Sol.8.2"],
Cell[5919912, 108338, 252, 6, 81, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5920167, 108346, 165, 4, 27, "SolutionItem",
  CellTags->"IPM3.Sol.8.2"],
Cell[5920335, 108352, 158, 4, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5920518, 108360, 101, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5920622, 108365, 100, 3, 42, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[5920759, 108373, 90, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5920852, 108378, 105, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],
Cell[5920972, 108384, 345, 10, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5921342, 108398, 137, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5921482, 108403, 608, 9, 143, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]],
Cell[5922105, 108415, 106, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.2"],

Cell[CellGroupData[{
Cell[5922236, 108420, 100, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.2"],
Cell[5922339, 108425, 98, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5922486, 108434, 181, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.8.3"],

Cell[CellGroupData[{
Cell[5922692, 108444, 90, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.8.3"],

Cell[CellGroupData[{
Cell[5922807, 108449, 100, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.3"],
Cell[5922910, 108454, 102, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.3"]
}, Closed]],
Cell[5923027, 108460, 343, 8, 65, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[5923407, 108473, 222, 5, 46, "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.8.3"],

Cell[CellGroupData[{
Cell[5923654, 108482, 180, 4, 54, "Input",
  CellTags->"IPM3.Sol.8.3"],
Cell[5923837, 108488, 641, 18, 167, "Output",
  CellTags->"IPM3.Sol.8.3"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5924539, 108513, 191, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.8.4"],

Cell[CellGroupData[{
Cell[5924755, 108523, 102, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.8.4"],
Cell[5924860, 108526, 179, 4, 30, "Input",
  CellTags->"IPM3.Sol.8.4"],

Cell[CellGroupData[{
Cell[5925064, 108534, 127, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.4"],
Cell[5925194, 108539, 620, 15, 103, "Output",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5925863, 108560, 140, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.8.4"],
Cell[5926006, 108567, 255, 6, 50, "Input",
  CellTags->"IPM3.Sol.8.4"],

Cell[CellGroupData[{
Cell[5926286, 108577, 124, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.4"],
Cell[5926413, 108582, 350, 10, 29, "Output",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]],

Cell[CellGroupData[{
Cell[5926800, 108597, 108, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.4"],
Cell[5926911, 108602, 612, 15, 103, "Output",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5927572, 108623, 117, 2, 27, "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.8.4"],
Cell[5927692, 108627, 120, 3, 31, "Input",
  CellTags->"IPM3.Sol.8.4"],

Cell[CellGroupData[{
Cell[5927837, 108634, 112, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.4"],
Cell[5927952, 108639, 90, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]],
Cell[5928057, 108645, 186, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.4"],
Cell[5928246, 108652, 121, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.4"],

Cell[CellGroupData[{
Cell[5928392, 108659, 115, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.4"],
Cell[5928510, 108664, 91, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]],
Cell[5928616, 108670, 156, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.4"],

Cell[CellGroupData[{
Cell[5928797, 108678, 115, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.4"],
Cell[5928915, 108683, 106, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]],

Cell[CellGroupData[{
Cell[5929058, 108691, 112, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.4"],
Cell[5929173, 108696, 106, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]],
Cell[5929294, 108702, 159, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.4"],

Cell[CellGroupData[{
Cell[5929478, 108710, 112, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.4"],
Cell[5929593, 108715, 109, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]],

Cell[CellGroupData[{
Cell[5929739, 108723, 115, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.4"],
Cell[5929857, 108728, 110, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]],
Cell[5929982, 108734, 154, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.4"],

Cell[CellGroupData[{
Cell[5930161, 108742, 107, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.4"],
Cell[5930271, 108747, 123, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]],

Cell[CellGroupData[{
Cell[5930431, 108755, 110, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.4"],
Cell[5930544, 108760, 123, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.4"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5930728, 108770, 207, 7, 42, "SolutionsSubsection",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.8.5"],

Cell[CellGroupData[{
Cell[5930960, 108781, 206, 6, 46, "SolutionItem",
  CellTags->"IPM3.Sol.8.5"],
Cell[5931169, 108789, 338, 7, 110, "Input",
  CellTags->"IPM3.Sol.8.5"],
Cell[5931510, 108798, 1812, 40, 348, "Input",
  CellTags->"IPM3.Sol.8.5"],
Cell[5933325, 108840, 102, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.5"],

Cell[CellGroupData[{
Cell[5933452, 108847, 106, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.5"],
Cell[5933561, 108852, 105, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[5933703, 108860, 112, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.5"],
Cell[5933818, 108865, 176, 4, 29, "Output",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[5934031, 108874, 97, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.5"],
Cell[5934131, 108879, 105, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5934285, 108888, 132, 2, 27, "SolutionItem",
  CounterAssignments->{{"SolutionItem", 4}},
  CellTags->"IPM3.Sol.8.5"],
Cell[5934420, 108892, 110, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.5"],
Cell[5934533, 108897, 176, 6, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.5"],
Cell[5934712, 108905, 131, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.5"],

Cell[CellGroupData[{
Cell[5934868, 108912, 94, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.5"],
Cell[5934965, 108917, 87, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]],
Cell[5935067, 108923, 152, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.5"],

Cell[CellGroupData[{
Cell[5935244, 108932, 105, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.5"],
Cell[5935352, 108937, 88, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]],
Cell[5935455, 108943, 152, 6, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.5"],

Cell[CellGroupData[{
Cell[5935632, 108953, 130, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.5"],
Cell[5935765, 108958, 125, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]],
Cell[5935905, 108964, 86, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.5"],
Cell[5935994, 108967, 174, 4, 50, "Input",
  CellTags->"IPM3.Sol.8.5"],

Cell[CellGroupData[{
Cell[5936193, 108975, 95, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.5"],
Cell[5936291, 108980, 88, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]],
Cell[5936394, 108986, 151, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.5"],

Cell[CellGroupData[{
Cell[5936570, 108995, 105, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.5"],
Cell[5936678, 109000, 88, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]],
Cell[5936781, 109006, 890, 26, 103, "SolutionNoLabel",
  CellTags->{"IPM3.Sol.8.5", "i:5"}]
}, Closed]],

Cell[CellGroupData[{
Cell[5937708, 109037, 220, 7, 27, "SolutionItem",
  CellTags->"IPM3.Sol.8.5"],
Cell[5937931, 109046, 169, 4, 50, "Input",
  CellTags->"IPM3.Sol.8.5"],
Cell[5938103, 109052, 148, 4, 44, "Input",
  CellTags->"IPM3.Sol.8.5"],

Cell[CellGroupData[{
Cell[5938276, 109060, 119, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.5"],
Cell[5938398, 109065, 90, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]],
Cell[5938503, 109071, 139, 3, 27, "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.8.5"],

Cell[CellGroupData[{
Cell[5938667, 109078, 128, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.5"],
Cell[5938798, 109083, 105, 3, 29, "Output",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]],
Cell[5938918, 109089, 128, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.8.5"],

Cell[CellGroupData[{
Cell[5939071, 109096, 137, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.5"],
Cell[5939211, 109101, 193, 4, 76, "Output",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]],

Cell[CellGroupData[{
Cell[5939441, 109110, 90, 3, 30, "Input",
  CellTags->"IPM3.Sol.8.5"],
Cell[5939534, 109115, 233, 5, 48, "Output",
  CellTags->"IPM3.Sol.8.5"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5939840, 109128, 71, 1, 34, "SolutionsSection",
  CellTags->"c:9"],

Cell[CellGroupData[{
Cell[5939936, 109133, 182, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{
Cell[5940143, 109143, 306, 7, 46, "SolutionItem",
  CellTags->"IPM3.Sol.9.1"],
Cell[5940452, 109152, 281, 7, 86, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[5940736, 109161, 126, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{
Cell[5940887, 109168, 112, 3, 40, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[5941002, 109173, 155975, 3670, 204, 27985, 2084, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[6097026, 112849, 148, 4, 27, "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.9.1"],
Cell[6097177, 112855, 114, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6097294, 112860, 316, 7, 84, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6097613, 112869, 137, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],
Cell[6097753, 112874, 146, 4, 30, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6097902, 112880, 264, 6, 50, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6098169, 112888, 87, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],
Cell[6098259, 112891, 197, 5, 30, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6098459, 112898, 272, 6, 50, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6098734, 112906, 132, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{
Cell[6098891, 112913, 184, 4, 50, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6099078, 112919, 29888, 511, 169, 4893, 197, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[6129015, 113436, 275, 6, 46, "SolutionItem",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{
Cell[6129315, 113446, 129, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6129447, 113451, 263, 6, 48, "Output",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],
Cell[6129725, 113460, 316, 8, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],
Cell[6130044, 113470, 143, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{
Cell[6130212, 113477, 114, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6130329, 113482, 133729, 3877, 211, 99576, 3450, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[6264107, 117365, 177, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.9.1"],
Cell[6264287, 117372, 134, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6264424, 117377, 163, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],
Cell[6264590, 117383, 136, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6264729, 117388, 105, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],
Cell[6264837, 117391, 114, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6264954, 117396, 157, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],
Cell[6265114, 117402, 159, 4, 30, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6265276, 117408, 79, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{
Cell[6265380, 117413, 128, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6265511, 117418, 56617, 1994, 154, 19906, 1535, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.1"],
Cell[6322131, 119414, 183, 5, 29, "Output",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[6322363, 119425, 294, 11, 27, "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.9.1"],
Cell[6322660, 119438, 100, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{
Cell[6322785, 119445, 230, 6, 31, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6323018, 119453, 533, 13, 144, "Output",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],
Cell[6323566, 119469, 306, 12, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{
Cell[6323897, 119485, 219, 4, 50, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6324119, 119491, 203, 5, 32, "Output",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],
Cell[6324337, 119499, 174, 6, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{
Cell[6324536, 119509, 118, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6324657, 119514, 129, 3, 32, "Output",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],
Cell[6324801, 119520, 248, 5, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],
Cell[6325052, 119527, 117, 3, 33, "Input",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{
Cell[6325194, 119534, 186, 5, 30, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6325383, 119541, 29211, 747, 203, 10408, 509, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],
Cell[6354609, 120291, 247, 7, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],
Cell[6354859, 120300, 151, 4, 27, "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.9.1"],
Cell[6355013, 120306, 139, 4, 54, "Input",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{
Cell[6355177, 120314, 249, 6, 50, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6355429, 120322, 36381, 924, 191, 14293, 646, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],
Cell[6391825, 121249, 801, 24, 84, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],
Cell[6392629, 121275, 253, 6, 50, "Input",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{
Cell[6392907, 121285, 204, 5, 50, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6393114, 121292, 32694, 880, 192, 14339, 648, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[6425857, 122178, 128, 3, 27, "SolutionItem",
  CellTags->"IPM3.Sol.9.1"],
Cell[6425988, 122183, 118, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6426109, 122188, 177, 5, 27, "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{
Cell[6426311, 122197, 119, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6426433, 122202, 289, 6, 67, "Output",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],
Cell[6426737, 122211, 154, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],
Cell[6426894, 122218, 334, 7, 70, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6427231, 122227, 296, 10, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{
Cell[6427552, 122241, 127, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6427682, 122246, 193170, 5842, 221, 130978, 5068, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.1"],
Cell[6620855, 128090, 188, 5, 29, "Output",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[6621092, 128101, 88, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{
Cell[6621205, 128106, 126, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6621334, 128111, 28725, 852, 154, 13969, 664, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.1"],
Cell[6650062, 128965, 183, 5, 29, "Output",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],
Cell[6650260, 128973, 735, 21, 84, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{
Cell[6651020, 128998, 195, 8, 102, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6651218, 129008, 55753, 1398, 155, 16745, 911, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.1"],
Cell[6706974, 130408, 183, 5, 29, "Output",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],
Cell[6707172, 130416, 144, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{
Cell[6707341, 130424, 169, 4, 50, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6707513, 130430, 276, 6, 43, "Output",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],
Cell[6707804, 130439, 129, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{
Cell[6707958, 130446, 157, 4, 30, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6708118, 130452, 314, 7, 43, "Output",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]],
Cell[6708447, 130462, 86, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.1"],

Cell[CellGroupData[{
Cell[6708558, 130467, 278, 6, 90, "Input",
  CellTags->"IPM3.Sol.9.1"],
Cell[6708839, 130475, 55748, 1397, 155, 16738, 910, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.1"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[6764648, 131879, 181, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{
Cell[6764854, 131889, 574, 16, 84, "SolutionItem",
  CellTags->{"IPM3.Sol.9.2", "i:6"}],
Cell[6765431, 131907, 112, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6765546, 131912, 400, 8, 110, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6765949, 131922, 100, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{
Cell[6766074, 131927, 142, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6766219, 131932, 28321, 936, 154, 18537, 810, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[6794589, 132874, 318, 9, 46, "SolutionItem",
  CellTags->"IPM3.Sol.9.2"],
Cell[6794910, 132885, 172, 4, 50, "Input",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{
Cell[6795107, 132893, 199, 4, 31, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6795309, 132899, 30384, 902, 246, 17178, 733, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[6825742, 133807, 76, 2, 27, "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.9.2"],
Cell[6825821, 133811, 100, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6825924, 133816, 112, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6826039, 133821, 968, 17, 270, "Input",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{
Cell[6827032, 133842, 197, 4, 54, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6827232, 133848, 36935, 1109, 146, 17139, 859, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[6864216, 134963, 130, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.9.2"],
Cell[6864349, 134970, 101, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6864453, 134975, 123, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6864579, 134980, 128, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6864710, 134985, 198, 4, 70, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6864911, 134991, 846, 16, 210, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6865760, 135009, 96, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],
Cell[6865859, 135012, 286, 5, 70, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6866148, 135019, 100, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{
Cell[6866273, 135024, 131, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6866407, 135029, 112, 3, 29, "Output",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[6866556, 135037, 127, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6866686, 135042, 23384, 625, 148, 9860, 452, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.2"],
Cell[6890073, 135669, 183, 5, 29, "Output",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[6890293, 135679, 127, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6890423, 135684, 27398, 689, 148, 10156, 471, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.2"],
Cell[6917824, 136375, 183, 5, 29, "Output",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]],
Cell[6918022, 136383, 160, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{
Cell[6918207, 136392, 129, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6918339, 136397, 219, 5, 37, "Message",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[6918607, 136408, 853, 19, 122, "SolutionItem",
  CellTags->"IPM3.Sol.9.2"],
Cell[6919463, 136429, 565, 12, 170, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6920031, 136443, 123, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6920157, 136448, 311, 6, 110, "Input",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{
Cell[6920493, 136458, 124, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6920620, 136463, 21913, 343, 154, 1370, 84, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[6942582, 136812, 345, 10, 46, "SolutionItem",
  CounterAssignments->{{"SolutionItem", 6}},
  CellTags->"IPM3.Sol.9.2"],
Cell[6942930, 136824, 501, 12, 110, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6943434, 136838, 123, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{
Cell[6943582, 136845, 124, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6943709, 136850, 19713, 316, 154, 1377, 84, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[6963471, 137172, 218, 5, 46, "SolutionItem",
  CellTags->"IPM3.Sol.9.2"],
Cell[6963692, 137179, 486, 10, 84, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],
Cell[6964181, 137191, 119, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{
Cell[6964325, 137198, 218, 5, 50, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6964546, 137205, 191, 5, 29, "Output",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]],
Cell[6964752, 137213, 95, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],
Cell[6964850, 137216, 167, 5, 70, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6965020, 137223, 105, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{
Cell[6965150, 137228, 168, 4, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6965321, 137234, 97, 3, 29, "Output",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]],
Cell[6965433, 137240, 134, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{
Cell[6965592, 137247, 103, 3, 42, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6965698, 137252, 88, 3, 29, "Output",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]],
Cell[6965801, 137258, 147, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],
Cell[6965951, 137264, 468, 10, 104, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6966422, 137276, 170, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],
Cell[6966595, 137282, 213, 6, 63, "Input",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{
Cell[6966833, 137292, 109, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6966945, 137297, 88, 3, 29, "Output",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[6967082, 137306, 1265, 31, 141, "SolutionItem",
  CounterAssignments->{{"SolutionItem", 8}},
  CellTags->"IPM3.Sol.9.2"],
Cell[6968350, 137339, 516, 11, 106, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6968869, 137352, 132, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],
Cell[6969004, 137357, 140, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6969147, 137362, 137, 4, 50, "Input",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{
Cell[6969309, 137370, 293, 7, 50, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6969605, 137379, 13253, 209, 203, 697, 48, "GraphicsData", "PostScript", \
"Graphics",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]],
Cell[6982873, 137591, 127, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{
Cell[6983025, 137598, 111, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6983139, 137603, 91, 3, 29, "Output",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[6983267, 137611, 111, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6983381, 137616, 92, 3, 29, "Output",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[6983522, 137625, 869, 20, 122, "SolutionItem",
  CounterAssignments->{{"SolutionItem", 11}},
  CellTags->"IPM3.Sol.9.2"],
Cell[6984394, 137647, 100, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6984497, 137652, 109, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6984609, 137657, 1085, 22, 188, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6985697, 137681, 689, 13, 122, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6986389, 137696, 458, 9, 150, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6986850, 137707, 188, 5, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6987041, 137714, 702, 23, 84, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],
Cell[6987746, 137739, 229, 6, 70, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6987978, 137747, 827, 14, 141, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],
Cell[6988808, 137763, 226, 6, 70, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6989037, 137771, 190, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],
Cell[6989230, 137778, 156, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],
Cell[6989389, 137784, 112, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6989504, 137789, 139, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{
Cell[6989668, 137796, 159, 4, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[6989830, 137802, 12715, 237, 203, 1265, 90, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7002594, 138045, 202, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.9.2"],
Cell[7002799, 138052, 1212, 24, 290, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[7004014, 138078, 373, 9, 65, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],
Cell[7004390, 138089, 166, 4, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[7004559, 138095, 410, 8, 65, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.2"],
Cell[7004972, 138105, 138, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[7005113, 138110, 170, 4, 50, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[7005286, 138116, 847, 17, 235, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[7006136, 138135, 191, 5, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],

Cell[CellGroupData[{
Cell[7006352, 138144, 142, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.2"],
Cell[7006497, 138149, 17348, 418, 154, 7342, 289, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.2"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7023906, 138574, 166, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{
Cell[7024097, 138584, 829, 22, 103, "SolutionItem",
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{
Cell[7024951, 138610, 119, 3, 42, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7025073, 138615, 337, 6, 31, "Message",
  CellTags->"IPM3.Sol.9.3"],
Cell[7025413, 138623, 179, 5, 29, "Output",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7025641, 138634, 557, 14, 65, "SolutionItem",
  PageBreakAbove->True,
  CounterAssignments->{{"SolutionItem", 2}},
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{
Cell[7026223, 138652, 113, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7026339, 138657, 179, 5, 29, "Output",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7026567, 138668, 201, 5, 27, "SolutionItem",
  CounterAssignments->{{"SolutionItem", 4}},
  CellTags->"IPM3.Sol.9.3"],
Cell[7026771, 138675, 164, 4, 42, "Input",
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{
Cell[7026960, 138683, 129, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7027092, 138688, 67751, 2052, 155, 28506, 1562, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],
Cell[7094858, 140743, 202, 5, 63, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7095063, 140750, 105, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{
Cell[7095193, 140755, 123, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7095319, 140760, 179, 5, 29, "Output",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7095547, 140771, 237, 5, 46, "SolutionItem",
  CounterAssignments->{{"SolutionItem", 6}},
  CellTags->"IPM3.Sol.9.3"],
Cell[7095787, 140778, 163, 4, 42, "Input",
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{
Cell[7095975, 140786, 131, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7096109, 140791, 58152, 1784, 155, 25608, 1377, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],
Cell[7154276, 142578, 102, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{
Cell[7154403, 142583, 125, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7154531, 142588, 179, 5, 29, "Output",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],
Cell[7154725, 142596, 113, 2, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.3"],
Cell[7154841, 142600, 142, 4, 30, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7154986, 142606, 103, 2, 30, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7155092, 142610, 147, 4, 42, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7155242, 142616, 106, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{
Cell[7155373, 142621, 133, 3, 42, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7155509, 142626, 42525, 1010, 155, 14041, 653, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[7198071, 143641, 131, 3, 42, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7198205, 143646, 43336, 1025, 156, 13649, 653, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7241590, 144677, 320, 9, 46, "SolutionItem",
  CounterAssignments->{{"SolutionItem", 8}},
  CellTags->"IPM3.Sol.9.3"],
Cell[7241913, 144688, 384, 8, 110, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7242300, 144698, 158, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.3"],
Cell[7242461, 144704, 120, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7242584, 144709, 168, 4, 30, "Input",
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{
Cell[7242777, 144717, 111, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7242891, 144722, 3138, 79, 86, "Output",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7246078, 144807, 652, 18, 84, "SolutionItem",
  CounterAssignments->{{"SolutionItem", 10}},
  CellTags->"IPM3.Sol.9.3"],
Cell[7246733, 144827, 446, 10, 127, "Input",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[7247216, 144842, 403, 10, 65, "SolutionItem",
  CounterAssignments->{{"SolutionItem", 12}},
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{
Cell[7247644, 144856, 133, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7247780, 144861, 137, 3, 29, "Output",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[7247954, 144869, 120, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7248077, 144874, 120, 3, 29, "Output",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[7248234, 144882, 167, 4, 42, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7248404, 144888, 157, 4, 42, "Output",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],
Cell[7248576, 144895, 173, 7, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.3"],

Cell[CellGroupData[{
Cell[7248774, 144906, 133, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7248910, 144911, 159, 4, 29, "Output",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[7249106, 144920, 127, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7249236, 144925, 122, 3, 29, "Output",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[7249395, 144933, 139, 3, 31, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7249537, 144938, 361, 7, 48, "Output",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[7249935, 144950, 100, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7250038, 144955, 89, 3, 29, "Output",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[7250164, 144963, 144, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7250311, 144968, 321, 6, 48, "Output",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]],
Cell[7250647, 144977, 126, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7250776, 144982, 125, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.9.3"],
Cell[7250904, 144987, 607, 12, 167, "Input",
  CellTags->"IPM3.Sol.9.3"],
Cell[7251514, 145001, 109, 3, 30, "Input",
  CellTags->"IPM3.Sol.9.3"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7251684, 145011, 72, 1, 34, "SolutionsSection",
  CellTags->"c:10"],

Cell[CellGroupData[{
Cell[7251781, 145016, 200, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.10.2"],

Cell[CellGroupData[{
Cell[7252006, 145026, 99, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.10.2"],

Cell[CellGroupData[{
Cell[7252130, 145031, 458, 9, 170, "Input",
  CellTags->"IPM3.Sol.10.2"],
Cell[7252591, 145042, 284, 8, 29, "Output",
  CellTags->"IPM3.Sol.10.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7252924, 145056, 197, 6, 27, "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.10.2"],

Cell[CellGroupData[{
Cell[7253146, 145066, 112, 3, 30, "Input",
  CellTags->"IPM3.Sol.10.2"],
Cell[7253261, 145071, 526, 10, 143, "Output",
  CellTags->"IPM3.Sol.10.2"]
}, Closed]],
Cell[7253802, 145084, 306, 7, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.2"],

Cell[CellGroupData[{
Cell[7254133, 145095, 199, 6, 30, "Input",
  CellTags->"IPM3.Sol.10.2"],
Cell[7254335, 145103, 284, 8, 29, "Output",
  CellTags->"IPM3.Sol.10.2"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7254680, 145118, 179, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.10.3"],

Cell[CellGroupData[{
Cell[7254884, 145128, 147, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.10.3"],

Cell[CellGroupData[{
Cell[7255056, 145137, 588, 13, 170, "Input",
  CellTags->"IPM3.Sol.10.3"],
Cell[7255647, 145152, 284, 8, 29, "Output",
  CellTags->"IPM3.Sol.10.3"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7255992, 145167, 173, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.10.4"],

Cell[CellGroupData[{
Cell[7256190, 145177, 198, 4, 46, "SolutionItem",
  CellTags->"IPM3.Sol.10.4"],
Cell[7256391, 145183, 326, 7, 70, "Input",
  CellTags->"IPM3.Sol.10.4"],
Cell[7256720, 145192, 101, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.4"],
Cell[7256824, 145195, 142, 3, 30, "Input",
  CellTags->"IPM3.Sol.10.4"],
Cell[7256969, 145200, 264, 5, 64, "Input",
  CellTags->"IPM3.Sol.10.4"],
Cell[7257236, 145207, 241, 5, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.4"],

Cell[CellGroupData[{
Cell[7257502, 145216, 125, 3, 30, "Input",
  CellTags->"IPM3.Sol.10.4"],
Cell[7257630, 145221, 736, 13, 162, "Output",
  CellTags->"IPM3.Sol.10.4"]
}, Closed]],
Cell[7258381, 145237, 633, 13, 150, "Input",
  CellTags->"IPM3.Sol.10.4"],

Cell[CellGroupData[{
Cell[7259039, 145254, 143, 3, 30, "Input",
  CellTags->"IPM3.Sol.10.4"],
Cell[7259185, 145259, 1137, 32, 125, "Output",
  CellTags->"IPM3.Sol.10.4"]
}, Closed]],
Cell[7260337, 145294, 301, 7, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.4"],
Cell[7260641, 145303, 133, 3, 30, "Input",
  CellTags->"IPM3.Sol.10.4"],
Cell[7260777, 145308, 1387, 29, 270, "Input",
  CellTags->"IPM3.Sol.10.4"],

Cell[CellGroupData[{
Cell[7262189, 145341, 177, 5, 30, "Input",
  CellTags->"IPM3.Sol.10.4"],
Cell[7262369, 145348, 1145, 32, 125, "Output",
  CellTags->"IPM3.Sol.10.4"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7263563, 145386, 213, 5, 27, "SolutionItem",
  CounterAssignments->{{"SolutionItem", 2}},
  CellTags->"IPM3.Sol.10.4"],

Cell[CellGroupData[{
Cell[7263801, 145395, 174, 5, 30, "Input",
  CellTags->"IPM3.Sol.10.4"],
Cell[7263978, 145402, 278, 5, 67, "Output",
  CellTags->"IPM3.Sol.10.4"]
}, Closed]],
Cell[7264271, 145410, 58, 0, 27, "SolutionNoLabel"],

Cell[CellGroupData[{
Cell[7264354, 145414, 89, 2, 30, "Input"],
Cell[7264446, 145418, 77, 2, 29, "Output"]
}, Closed]],
Cell[7264538, 145423, 134, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.4"],

Cell[CellGroupData[{
Cell[7264697, 145430, 178, 4, 50, "Input",
  CellTags->"IPM3.Sol.10.4"],
Cell[7264878, 145436, 563, 10, 86, "Output",
  CellTags->"IPM3.Sol.10.4"]
}, Closed]],
Cell[7265456, 145449, 149, 4, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.4"],

Cell[CellGroupData[{
Cell[7265630, 145457, 96, 3, 30, "Input",
  CellTags->"IPM3.Sol.10.4"],
Cell[7265729, 145462, 139, 3, 29, "Output",
  CellTags->"IPM3.Sol.10.4"]
}, Closed]],
Cell[7265883, 145468, 137, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.4"],
Cell[7266023, 145475, 964, 20, 270, "Input",
  CellTags->"IPM3.Sol.10.4"],

Cell[CellGroupData[{
Cell[7267012, 145499, 128, 3, 30, "Input",
  CellTags->"IPM3.Sol.10.4"],
Cell[7267143, 145504, 698, 22, 177, "Output",
  CellTags->"IPM3.Sol.10.4"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7267902, 145533, 171, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.10.5"],

Cell[CellGroupData[{
Cell[7268098, 145543, 145, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.10.5"],

Cell[CellGroupData[{
Cell[7268268, 145552, 187, 4, 50, "Input",
  CellTags->"IPM3.Sol.10.5"],
Cell[7268458, 145558, 212, 6, 46, "Output",
  CellTags->"IPM3.Sol.10.5"]
}, Closed]],
Cell[7268685, 145567, 94, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.5"],

Cell[CellGroupData[{
Cell[7268804, 145572, 266, 5, 30, "Input",
  CellTags->"IPM3.Sol.10.5"],
Cell[7269073, 145579, 291, 7, 46, "Output",
  CellTags->"IPM3.Sol.10.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7269413, 145592, 142, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.10.5"],

Cell[CellGroupData[{
Cell[7269580, 145601, 225, 5, 50, "Input",
  CellTags->"IPM3.Sol.10.5"],
Cell[7269808, 145608, 239, 7, 46, "Output",
  CellTags->"IPM3.Sol.10.5"]
}, Closed]],
Cell[7270062, 145618, 365, 8, 65, "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.5"],
Cell[7270430, 145628, 124, 3, 30, "Input",
  CellTags->"IPM3.Sol.10.5"],

Cell[CellGroupData[{
Cell[7270579, 145635, 132, 3, 31, "Input",
  CellTags->"IPM3.Sol.10.5"],
Cell[7270714, 145640, 759, 12, 67, "Output",
  CellTags->"IPM3.Sol.10.5"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7271522, 145658, 87, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.10.5"],
Cell[7271612, 145661, 995, 27, 433, "Program",
  CellTags->"IPM3.Sol.10.5"],
Cell[7272610, 145690, 133, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.5"],
Cell[7272746, 145695, 864, 25, 87, "Input",
  CellTags->"IPM3.Sol.10.5"],
Cell[7273613, 145722, 271, 8, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.5"],
Cell[7273887, 145732, 529, 15, 65, "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.5"],
Cell[7274419, 145749, 737, 25, 348, "Program",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.10.5"],
Cell[7275159, 145776, 262, 6, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.10.5"],
Cell[7275424, 145784, 521, 16, 87, "Input",
  CellTags->"IPM3.Sol.10.5"],
Cell[7275948, 145802, 97, 3, 44, "Input",
  CellTags->"IPM3.Sol.10.5"],

Cell[CellGroupData[{
Cell[7276070, 145809, 107, 3, 44, "Input",
  CellTags->"IPM3.Sol.10.5"],
Cell[7276180, 145814, 106, 3, 42, "Output",
  CellTags->"IPM3.Sol.10.5"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7276359, 145825, 100, 2, 34, "SolutionsSection",
  PageBreakAbove->True,
  CellTags->"c:11"],

Cell[CellGroupData[{
Cell[7276484, 145831, 187, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{
Cell[7276696, 145841, 207, 7, 27, "SolutionItem",
  CellTags->"IPM3.Sol.11.1"],
Cell[7276906, 145850, 332, 7, 110, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7277241, 145859, 665, 13, 210, "Input",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{
Cell[7277931, 145876, 162, 4, 30, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7278096, 145882, 115, 3, 29, "Output",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],
Cell[7278226, 145888, 121, 3, 30, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7278350, 145893, 220, 6, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],
Cell[7278573, 145901, 310, 6, 50, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7278886, 145909, 135, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{
Cell[7279046, 145916, 118, 3, 30, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7279167, 145921, 606, 9, 143, "Output",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7279822, 145936, 146, 4, 27, "SolutionItem",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{
Cell[7279993, 145944, 162, 4, 30, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7280158, 145950, 115, 3, 29, "Output",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],
Cell[7280288, 145956, 121, 3, 30, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7280412, 145961, 100, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{
Cell[7280537, 145966, 99, 3, 30, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7280639, 145971, 181, 4, 29, "Output",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],
Cell[7280835, 145978, 304, 6, 65, "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{
Cell[7281164, 145988, 139, 3, 30, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7281306, 145993, 165, 4, 29, "Output",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],

Cell[CellGroupData[{
Cell[7281508, 146002, 96, 3, 30, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7281607, 146007, 90, 3, 29, "Output",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],
Cell[7281712, 146013, 126, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{
Cell[7281863, 146020, 159, 4, 30, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7282025, 146026, 93, 3, 29, "Output",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],
Cell[7282133, 146032, 127, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{
Cell[7282285, 146039, 157, 4, 30, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7282445, 146045, 96, 3, 29, "Output",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],

Cell[CellGroupData[{
Cell[7282578, 146053, 217, 6, 70, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7282798, 146061, 574, 10, 67, "Output",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],
Cell[7283387, 146074, 116, 3, 30, "Input",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{
Cell[7283528, 146081, 148, 4, 30, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7283679, 146087, 124553, 2192, 154, 16524, 853, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7408281, 148285, 90, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.11.1"],
Cell[7408374, 148288, 116, 3, 30, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7408493, 148293, 98, 2, 30, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7408594, 148297, 674, 11, 173, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7409271, 148310, 73, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{
Cell[7409369, 148315, 163, 4, 30, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7409535, 148321, 116, 3, 29, "Output",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],
Cell[7409666, 148327, 240, 6, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],
Cell[7409909, 148335, 122, 3, 30, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7410034, 148340, 224, 6, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{
Cell[7410283, 148350, 138, 3, 30, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7410424, 148355, 166, 4, 29, "Output",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],
Cell[7410605, 148362, 93, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{
Cell[7410723, 148367, 138, 3, 30, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7410864, 148372, 167, 4, 29, "Output",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]],
Cell[7411046, 148379, 82, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.1"],

Cell[CellGroupData[{
Cell[7411153, 148384, 108, 3, 30, "Input",
  CellTags->"IPM3.Sol.11.1"],
Cell[7411264, 148389, 49532, 1417, 121, 31703, 1191, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.11.1"],
Cell[7460799, 149808, 184, 5, 29, "Output",
  CellTags->"IPM3.Sol.11.1"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7461044, 149820, 176, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.11.2"],

Cell[CellGroupData[{
Cell[7461245, 149830, 267, 9, 46, "SolutionItem",
  CellTags->"IPM3.Sol.11.2"],
Cell[7461515, 149841, 194, 4, 50, "Input",
  CellTags->"IPM3.Sol.11.2"],
Cell[7461712, 149847, 158, 4, 31, "Input",
  CellTags->"IPM3.Sol.11.2"],
Cell[7461873, 149853, 389, 8, 90, "Input",
  CellTags->"IPM3.Sol.11.2"],
Cell[7462265, 149863, 237, 5, 70, "Input",
  CellTags->"IPM3.Sol.11.2"],
Cell[7462505, 149870, 294, 8, 54, "Input",
  CellTags->"IPM3.Sol.11.2"],
Cell[7462802, 149880, 270, 6, 85, "Input",
  CellTags->"IPM3.Sol.11.2"],

Cell[CellGroupData[{
Cell[7463097, 149890, 164, 4, 30, "Input",
  CellTags->"IPM3.Sol.11.2"],
Cell[7463264, 149896, 134, 3, 29, "Output",
  CellTags->"IPM3.Sol.11.2"]
}, Closed]],
Cell[7463413, 149902, 760, 17, 190, "Input",
  CellTags->"IPM3.Sol.11.2"]
}, Closed]],

Cell[CellGroupData[{
Cell[7464210, 149924, 226, 7, 27, "SolutionItem",
  CellTags->"IPM3.Sol.11.2"],

Cell[CellGroupData[{
Cell[7464461, 149935, 121, 3, 30, "Input",
  CellTags->"IPM3.Sol.11.2"],
Cell[7464585, 149940, 120, 3, 29, "Output",
  CellTags->"IPM3.Sol.11.2"]
}, Closed]],
Cell[7464720, 149946, 169, 6, 27, "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.11.2"],
Cell[7464892, 149954, 730, 16, 150, "Input",
  CellTags->"IPM3.Sol.11.2"],

Cell[CellGroupData[{
Cell[7465647, 149974, 139, 3, 30, "Input",
  CellTags->"IPM3.Sol.11.2"],
Cell[7465789, 149979, 64242, 2102, 179, 30578, 1681, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.11.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7530080, 152087, 140, 4, 27, "SolutionItem",
  CellTags->"IPM3.Sol.11.2"],
Cell[7530223, 152093, 353, 7, 76, "Input",
  CellTags->"IPM3.Sol.11.2"],
Cell[7530579, 152102, 98, 1, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.2"],

Cell[CellGroupData[{
Cell[7530702, 152107, 167, 4, 34, "Input",
  CellTags->"IPM3.Sol.11.2"],
Cell[7530872, 152113, 89, 3, 29, "Output",
  CellTags->"IPM3.Sol.11.2"]
}, Closed]],
Cell[7530976, 152119, 129, 3, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.2"],

Cell[CellGroupData[{
Cell[7531130, 152126, 132, 3, 30, "Input",
  CellTags->"IPM3.Sol.11.2"],
Cell[7531265, 152131, 129, 3, 29, "Output",
  CellTags->"IPM3.Sol.11.2"]
}, Closed]],
Cell[7531409, 152137, 218, 9, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.2"],

Cell[CellGroupData[{
Cell[7531652, 152150, 130, 3, 30, "Input",
  CellTags->"IPM3.Sol.11.2"],
Cell[7531785, 152155, 165, 4, 29, "Output",
  CellTags->"IPM3.Sol.11.2"]
}, Closed]],
Cell[7531965, 152162, 205, 6, 27, "SolutionNoLabel",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.11.2"],

Cell[CellGroupData[{
Cell[7532195, 152172, 265, 6, 90, "Input",
  CellTags->"IPM3.Sol.11.2"],
Cell[7532463, 152180, 329, 6, 48, "Output",
  CellTags->"IPM3.Sol.11.2"]
}, Closed]],
Cell[7532807, 152189, 168, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.2"],
Cell[7532978, 152196, 92, 2, 30, "Input",
  CellTags->"IPM3.Sol.11.2"],
Cell[7533073, 152200, 574, 11, 158, "Input",
  CellTags->"IPM3.Sol.11.2"],

Cell[CellGroupData[{
Cell[7533672, 152215, 196, 4, 50, "Input",
  CellTags->"IPM3.Sol.11.2"],
Cell[7533871, 152221, 120021, 8045, 246, 85459, 7613, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"IPM3.Sol.11.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7653941, 160272, 98, 2, 27, "SolutionItem",
  CounterAssignments->{{"SolutionItem", 4}},
  CellTags->"IPM3.Sol.11.2"],
Cell[7654042, 160276, 509, 11, 130, "Input",
  CellTags->"IPM3.Sol.11.2"],
Cell[7654554, 160289, 148, 4, 30, "Input",
  CellTags->"IPM3.Sol.11.2"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7654751, 160299, 204, 7, 42, "SolutionsSubsection",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.11.3"],

Cell[CellGroupData[{
Cell[7654980, 160310, 53, 1, 27, "SolutionItem",
  CellTags->"IPM3.Sol.11.3"],
Cell[7655036, 160313, 210, 5, 50, "Input",
  CellTags->"IPM3.Sol.11.3"],
Cell[7655249, 160320, 507, 11, 130, "Input",
  CellTags->"IPM3.Sol.11.3"],

Cell[CellGroupData[{
Cell[7655781, 160335, 107, 3, 30, "Input",
  CellTags->"IPM3.Sol.11.3"],
Cell[7655891, 160340, 173, 4, 29, "Output",
  CellTags->"IPM3.Sol.11.3"]
}, Closed]],
Cell[7656079, 160347, 878, 17, 270, "Input",
  CellTags->"IPM3.Sol.11.3"],

Cell[CellGroupData[{
Cell[7656982, 160368, 132, 3, 30, "Input",
  CellTags->"IPM3.Sol.11.3"],
Cell[7657117, 160373, 5026, 110, 165, 1395, 60, "GraphicsData", "PostScript", \
"Graphics",
  CellTags->"IPM3.Sol.11.3"]
}, Closed]],
Cell[7662158, 160486, 105, 3, 30, "Input",
  CellTags->"IPM3.Sol.11.3"],

Cell[CellGroupData[{
Cell[7662288, 160493, 242, 7, 50, "Input",
  CellTags->"IPM3.Sol.11.3"],
Cell[7662533, 160502, 5764, 120, 166, 1395, 60, "GraphicsData", "PostScript", \
"Graphics",
  CellTags->"IPM3.Sol.11.3"],
Cell[7668300, 160624, 183, 5, 29, "Output",
  CellTags->"IPM3.Sol.11.3"]
}, Closed]],
Cell[7668498, 160632, 113, 3, 30, "Input",
  CellTags->"IPM3.Sol.11.3"],
Cell[7668614, 160637, 210, 5, 50, "Input",
  CellTags->"IPM3.Sol.11.3"],
Cell[7668827, 160644, 205, 5, 50, "Input",
  CellTags->"IPM3.Sol.11.3"]
}, Closed]],

Cell[CellGroupData[{
Cell[7669069, 160654, 272, 5, 46, "SolutionItem",
  CellTags->"IPM3.Sol.11.3"],
Cell[7669344, 160661, 800, 16, 250, "Input",
  CellTags->"IPM3.Sol.11.3"],
Cell[7670147, 160679, 340, 9, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.3"],
Cell[7670490, 160690, 271, 7, 46, "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.3"],
Cell[7670764, 160699, 189, 5, 30, "Input",
  CellTags->"IPM3.Sol.11.3"],
Cell[7670956, 160706, 131, 3, 30, "Input",
  CellTags->"IPM3.Sol.11.3"],
Cell[7671090, 160711, 165, 5, 27, "SolutionNoLabel",
  CellTags->"IPM3.Sol.11.3"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7671316, 160723, 67, 1, 34, "SolutionsSection",
  CellTags->"c:12"],

Cell[CellGroupData[{
Cell[7671408, 160728, 189, 6, 42, "SolutionsSubsection",
  CellTags->"IPM3.Sol.12.5"],

Cell[CellGroupData[{
Cell[7671622, 160738, 157, 5, 27, "SolutionItem",
  CellTags->"IPM3.Sol.12.5"],
Cell[7671782, 160745, 81, 2, 30, "Input"],
Cell[7671866, 160749, 85, 2, 30, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[7671988, 160756, 151, 4, 27, "SolutionItem",
  CellTags->"IPM3.Sol.12.5"],
Cell[7672142, 160762, 131, 3, 30, "Input"],

Cell[CellGroupData[{
Cell[7672298, 160769, 75, 2, 30, "Input"],
Cell[7672376, 160773, 127, 3, 29, "Output"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7672552, 160782, 273, 8, 46, "SolutionItem",
  CellTags->"IPM3.Sol.12.5"],
Cell[7672828, 160792, 247, 4, 90, "Input"],
Cell[7673078, 160798, 197, 4, 46, "SolutionNoLabel"],
Cell[7673278, 160804, 163, 3, 70, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[7673478, 160812, 265, 7, 46, "SolutionItem",
  CellTags->"IPM3.Sol.12.5"],
Cell[7673746, 160821, 308, 5, 110, "Input"],
Cell[7674057, 160828, 299, 6, 65, "SolutionNoLabel"],
Cell[7674359, 160836, 407, 10, 70, "Input",
  CellTags->{"M220:7.8.10-2", "M220.7.8"}]
}, Closed]],

Cell[CellGroupData[{
Cell[7674803, 160851, 721, 24, 84, "SolutionItem",
  PageBreakAbove->True,
  CellTags->"IPM3.Sol.12.5"],
Cell[7675527, 160877, 92, 3, 30, "Input",
  CellTags->"IPM3.Sol.12.5"],
Cell[7675622, 160882, 95, 2, 30, "Input"],
Cell[7675720, 160886, 247, 4, 90, "Input"],
Cell[7675970, 160892, 163, 3, 70, "Input"],
Cell[7676136, 160897, 582, 19, 65, "SolutionNoLabel",
  CellTags->"IPM3.Sol.12.5"],
Cell[7676721, 160918, 84, 2, 30, "Input"],
Cell[7676808, 160922, 81, 2, 30, "Input"],
Cell[7676892, 160926, 85, 2, 30, "Input"],
Cell[7676980, 160930, 289, 5, 90, "Input"],
Cell[7677272, 160937, 407, 10, 70, "Input",
  CellTags->{"M220:7.8.10-2", "M220.7.8"}],
Cell[7677682, 160949, 67, 2, 30, "Input"],
Cell[7677752, 160953, 70, 2, 30, "Input"],
Cell[7677825, 160957, 831, 23, 103, "SolutionNoLabel",
  CellTags->"IPM3.Sol.12.5"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

